<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />		
	<?php include_once(dirname(__FILE__)."/tools/all_header.php"); global $c_scheme, $timezone, $rel_path; ?>
	
  <title>Analysis no activities</title>

	<link rel="stylesheet" href="./css/qb.php" />
	<link rel="stylesheet" href="./jqGrid_5.2.1/css/ui.jqgrid.css" />

	<style>
		.ui-jqgrid tr.jqgrow td{
			white-space:nowrap;
			height: 18px !important;
		}
		#pager_left
		{
			padding-top: 5px;
		}		
	</style>
	
	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>
	
	<?php 
		foreach(explode(":", $qb_support->getLanOnly()) as $key=>$value) {
			echo '<script src="./jqGrid_5.2.1/js/i18n/grid.locale-' . $value . '.js"></script>';
		}
	?>
	<script src="./jqGrid_5.2.1/js/jquery.jqGrid.min.js"></script>	

	<script>
	// load translation and save in localTranslation
		<?php	
			$ini_aactqb = parse_ini_file($rel_path.'i18n/a_actqb.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_aactqb as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$ini_qbstatus = parse_ini_file($rel_path.'xml/qb_status.ini', true);
			$ddr = ":".$ini_aactqb['all'][$_SESSION['lng']];			
			echo "qbstatusTranslation = {};";
			foreach($ini_qbstatus as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "qbstatusTranslation['".$key."']={".rtrim($add, ',')."};";
				if (in_array($key, array('N','O','S','C'))) {
					$ddr .= ";".$key.":".$value[$_SESSION['lng']];
				}				
			}
			echo "var ddr = '".$ddr."';";
			$ini_qbtype = parse_ini_file($rel_path.'xml/qb_type.ini', true);	
			echo "qbtypeTranslation = {};";
			foreach($ini_qbtype as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "qbtypeTranslation['".$key."']={".rtrim($add, ',')."};";
			}			
		?>
</script>
</head>
<body>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
			<?php 
				echo "<div id='mainnav'>". $qb_support->get_main_menu(2) . "</div>";
			?>
			<div class="dtop">
				<span class="icn3_arraoleft_w_n clckbtn" style="float: left; font-size: 30px; margin-left: 5px;" data-type="title" data-lan="prev" title="<?php echo $ini_aactqb['prev'][$_SESSION['lng']]; ?>" onclick="backtoanalysis()"></span>
				<span data-type="text" data-lan="no_activity"><?php echo $ini_aactqb['no_activity'][$_SESSION['lng']]; ?></span>
			</div>
			<div id="btn_div" class="btn_div">
				<div style="text-align: center; margin-top: 30px;">
					<span class="spanbuttonp" id="export" data-type="text" data-lan="excel_export" onclick="ExportDataToExcel('list')"><?php echo $ini_aactqb['excel_export'][$_SESSION['lng']]; ?></span>
				</div>
			</div>
			<div style="display: inline-block; width: 670px; text-align: center;">
				<table id="list"></table> 
				<div id="pager"></div> 
			</div>
		</div>
		<?php include_once($rel_path.'/footer.php'); ?>
		<form name="anqbxls" method="post" target="_blank" action = "./tools/a_actqb_excel.php">
			<input type="hidden" name="datas" id="datas" value="" />
			<input type="hidden" name="titles" id="titles" value="" />
			<input type="hidden" name="filters" id="filters" value="" />
			<input type="hidden" name="fields" id="fields" value="" />
			<input type="hidden" name="qblan" id="qblan" value="" />
		</form>
	</div>
	<script>
		function load_page() {
			start_search();
		}
	// switch language
		function c_lan(loc) {
			translate_header($globlan);	
			translate_mainmenu($globlan);
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {	
				switch ($(this).data("type")) {
					case "text":		
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;					
				}
			});			
			$.jgrid.setRegional('list',{regional: $globlan});
			$("#list").jqGrid('setLabel', "qbn", localTranslation["qbn"][$globlan])
				.jqGrid('setLabel', "qbl", localTranslation["type"][$globlan])
				.jqGrid('setLabel', "svt", localTranslation["svt"][$globlan])
				.jqGrid('setLabel', "pl", localTranslation["pl"][$globlan])
				.jqGrid('setLabel', "status", localTranslation["status"][$globlan])
				.jqGrid('setLabel', "last", localTranslation["no_act"][$globlan]);
			$("#gs_status").find("option").each(function(idx, obj) {
				if ($(this).val() == "") {
					$(this).text(localTranslation["all"][$globlan]);
				} else {
					$(this).text(qbstatusTranslation[$(this).val()][$globlan]);
				}
			});
			$("#gs_qbl").find("option").each(function(idx, obj) {
				if ($(this).val() == "") {
					$(this).text(localTranslation["all"][$globlan]);
				} else {
					$(this).text(qbtypeTranslation[$(this).val()][$globlan]);
				}
			});				
			$("#list").trigger("reloadGrid");
		}	
		function backtoanalysis() {
			window.location.href="./analysis.php";
		}
		function StatusFormatter (cellvalue, options, rowObject)
		{
			var ctext = qbstatusTranslation[cellvalue][$globlan];
			return ctext;
		}	
		function ArtFormatter (cellvalue, options, rowObject)
		{
			var ctext = qbtypeTranslation[cellvalue][$globlan];
			return ctext;
		}
		function start_search() {
			<?php
				echo "var ddr = '".$ddr."';";
				$ddt = ":".$ini_aactqb['all'][$_SESSION['lng']];
				$ini_qbtype = parse_ini_file($rel_path.'xml/qb_type.ini', true);	
				foreach($ini_qbtype as $key=>$value){
					$ddt .= ";".$key.":".$value[$_SESSION['lng']];
				}
				echo "var ddt = '".$ddt."';";
			?>
			cmTemplate = {
				editable: false,		
				sorttype:'string',		
				searchoptions: {
					sopt:['cn'],
					clearSearch: false
				}
			};
			obj = {
				url:  "./tools/a_actqb_api.php",
				postData: {routine : "search"},
				contentType: "application/json",
				datatype: "json",
				jsonReader: {
					id: "id",
					repeatitems: true
				},
				mtype: "POST",
				colNames: [
					localTranslation["qbn"][$globlan],
					localTranslation["type"][$globlan],
					localTranslation["svt"][$globlan],
					localTranslation["pl"][$globlan],
					localTranslation["status"][$globlan],
					localTranslation["no_act"][$globlan],
					"",
					""
				],
				colModel: [
					{ 
						name: "qbn", 
						width: 90,
						template: cmTemplate
					},				
					{
						name: "qbl", 
						width: 120,
						template: cmTemplate,
						formatter: ArtFormatter,
						stype: 'select',					
						searchoptions:
						{
							value: ddt,
							clearSearch: false,
							searchOperators: false
						}						
					},
					{ 
						name: "svt", 
						width: 150, 
						template: cmTemplate
					},
					{
						name: "pl", 
						width: 150,
						template: cmTemplate
					},
					{ 
						name: "status", 
						width: 120,
						template: cmTemplate,
						formatter: StatusFormatter,
						stype: 'select',					
						searchoptions:
						{
							value: ddr,
							clearSearch: false,
							searchOperators: false
						}					
					},
					{ 
						name: "last", 
						width: 110 , 
						template: cmTemplate,
						sorttype: "integer",
						align: "center"
					},
					{
						name: "sts", 
						hidden: true
					},
					{
						name: "qblc", 
						hidden: true
					}
				],
				regional: $globlan,
				storeNavOptions : true,			
				loadonce: false,
				pager: "#pager",
				recordpos: "left",
				height: 510,
				rowNum: 100,
				rowList: [10, 100, 500, 1000, 1500],
				hoverrows: false,
				rownumbers: true,
				sortname: "last",
				sortorder: "asc",
				viewrecords: true,
				gridview: true,
				autoencode: true,
				ignoreCase:true,
				loadui: "block",
				onRightClickRow: function (rowid, iRow, iCol, e) {
					window.localStorage.setItem("qb", $("#list").jqGrid('getRowData', rowid).qbn);
					$.ajax({
						url: "./tools/general_api.php",
						data: {
							routine: "get_qbs",
							qbn: $("#list").jqGrid('getRowData', rowid).qbn
						},
						success: function(result) {
							window.localStorage.setItem("qbn", result.substring(1, result.length-1));				
							window.open(
								'./basic.php',
								'_blank'
							);
							return false;
						}		
					});
					return false;
				},			
				loadComplete: function() {
					$("th[role='columnheader']")
						.unbind("mouseenter")
						.unbind("mouseleave");

					var rows = $("#list").getDataIDs();
					for(a=0;a<rows.length;a++)
					{
						row = $("#list").getRowData(rows[a]);
						switch(row.sts) {
							case "N":
								$("#list").setCell (rows[a], 'status','',{'background':'<?php echo $c_scheme['SN']; ?>'});
								break;					
							case "O":
								$("#list").setCell (rows[a], 'status','',{'background':'<?php echo $c_scheme['SO']; ?>'});
								break;
							case "S":
								$("#list").setCell (rows[a], 'status','',{'background':'<?php echo $c_scheme['ST']; ?>'});
								break;
							case "C":
								$("#list").setCell (rows[a], 'status','',{'background':'<?php echo $c_scheme['SC']; ?>'});
								break;
						}
						switch(row.qblc) {
							case "L":
								$("#list").setCell (rows[a], 'qbl','',{'background':'<?php echo $c_scheme['TL']; ?>'});
								break;					
							case "T":
								$("#list").setCell (rows[a], 'qbl','',{'background':'<?php echo $c_scheme['TT']; ?>'});
								break;
							case "N":
								$("#list").setCell (rows[a], 'qbl','',{'background':'<?php echo $c_scheme['TN']; ?>'});
								break;
						}					
					}				
				},
				gridComplete: function(data) {
					$(".ui-search-toolbar input[role='textbox']")
						.css("width", "92%")
						.css("background", "<?php echo $c_scheme['M5']; ?>")
						.css("padding", "2px");	
					$(".ui-search-toolbar select[role='select']")
						.removeClass("ui-corner-all")
						.css("background", "<?php echo $c_scheme['M5']; ?>")
						.css("padding", "2px");					
				}			
			};
			list1 = $("#list").jqGrid(obj)
				.jqGrid('filterToolbar',{searchOperators : false, searchOnEnter: false})
				.jqGrid('navGrid', '#pager', {refresh: false, search: false, edit: false, del: false, add: false});	
			$("#loading").hide();
		}
		function ExportDataToExcel() {
		// create output object
			out = Array();
		// define columns to be exported
			var exp_cols = Array("qbn", "qbl", "svt", "pl", "status", "last");
		// first get all column titles
			var col_titles_all = $("#list").jqGrid('getGridParam', 'colNames');
		// now filter those which should be used
			out['titles'] = {};
			$.each(obj.colModel, function(key, value){
				if ($.inArray(value['name'], exp_cols) > -1) out['titles'][value['name']] = col_titles_all[key+1];
			});	
		// get filter
			out['filter'] = {};
			$fltr = $(".ui-search-toolbar input");
			var fltr_set = Array();
			$.each($fltr, function(key, value) {
				if ($.inArray(value['name'], exp_cols) > -1) out['filter'][value['name']] = $(value).val();
			});
			$fltr = $(".ui-search-toolbar select");
			$.each($fltr, function(key, value) {
				if ($.inArray(value['name'], exp_cols) > -1) out['filter'][value['name']] = $(value).val();
			});		
		// get data
			out['data'] = Array();
			// create "negative array" from columns
			var ca = Array();
			$.each(obj.colModel, function (key, value) {
				ca.push(value['name']);
			});		
			var delarray = $.grep(ca, function(n, i){
				return $.inArray(n, exp_cols) == -1;
			});
			// cycle through data and remove columns which are not needed
			$.each($("#list").getRowData(), function (key, value) {
				var $tmp = value;
				$.each(delarray, function(key1, value1) {
					delete $tmp[value1];
				});
				out['data'][key] = value;
			});
			// correct formatters
			$.each(out['data'], function (key, value) {
				var $tmp2 = value;
				$.each($tmp2, function (key1, value1) {		
					if (typeof $($.parseHTML(value1)).html() != "undefined") {
						out['data'][key][key1] = $($.parseHTML(value1)).html();
					}
				});
			});	
			$("#datas").val(JSON.stringify(out['data']));
			$("#titles").val(JSON.stringify(out['titles']));
			$("#filters").val(JSON.stringify(out['filter']));
			$("#qblan").val($globlan);
			document.anqbxls.submit();
		}		
		load_page();
	</script>
</body>
</html>