<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />		
	<?php include_once(dirname(__FILE__)."/tools/all_header.php"); global $c_scheme, $timezone, $rel_path; ?>
	<script>
		var js_debug = false;
		$data_changed = false;		
	</script>
	
    <title>Failure Class Table</title>
		
	<link rel="stylesheet" href="./css/qb.php" />
	<link rel="stylesheet" href="./jqGrid_5.2.1/css/ui.jqgrid.css" />
	
	<style>
		.ui-jqgrid tr.jqgrow td{
			white-space:nowrap;
			height: 18px !important;
		}
		#pager_left
		{
			padding-top: 5px;
		}		
	</style>
	
	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>
	
	<?php 
		foreach(explode(":", $qb_support->getLanOnly()) as $key=>$value) {
			echo '<script src="./jqGrid_5.2.1/js/i18n/grid.locale-' . $value . '.js"></script>';
		}
	?>
	<script src="./jqGrid_5.2.1/js/jquery.jqGrid.min.js"></script>		

	<script>
	// load translation and save in localTranslation
		<?php	
			$ini_afclass = parse_ini_file($rel_path.'i18n/a_fclass.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_afclass as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$cal = parse_ini_file($rel_path.'i18n/calendar.ini', true);
			echo "calTranslation = {};";
			foreach($cal as $key=>$value){
				$add = "";
				if ($value['tpe'] == "S") {
					foreach($value AS $lan=>$trans){
						if ($lan != "tpe") $add .= "'".$lan."':'".$trans."',";
					}
				} else {
					foreach($value AS $lan=>$trans){
						if ($lan != "tpe") {
							$tar = explode(",", $trans);
							$tar = implode("','", $tar);
							$add .= "'".$lan."': ['".$tar."'],";
						}
					}				
				}
				echo "calTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$ini_fcodes_dd = parse_ini_file($rel_path.'xml/fc_dd.ini', true);	
			echo "fcddTranslation = {};";
			foreach($ini_fcodes_dd as $key=>$value){
				$add = "";
				foreach($value as $key2=>$value2){				
					if (!is_array($value2)) {					
						$add .= "'".$key2."':'".$value2."',";
					} else {
						$add2 = "";					
						foreach($value2 as $key3=>$value3) {
							$add2 .= "'".$key3."':'".$value3."',";
						}
						echo "fcddTranslation['".$key.substr($key2, 1)."']={".rtrim($add2, ',')."};";
					}
				}
				echo "fcddTranslation['".$key."']={".rtrim($add, ',')."};";
			}				
		?>	
	</script>
</head>
<body>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
			<?php 
				echo "<div id='mainnav'>". $qb_support->get_main_menu(2) . "</div>";
			?>
			<div class="dtop">
				<span class="icn3_arraoleft_w_n clckbtn" style="float: left; font-size: 30px; margin-left: 5px;" data-type="title" data-lan="prev" title="<?php echo $ini_afclass['prev'][$_SESSION['lng']]; ?>" onclick="backtoanalysis()"></span>
				<span data-type="spant" data-lan="fclass_table"><?php echo $ini_afclass['fclass_table'][$_SESSION['lng']]." ".$_REQUEST['dd']." (".$ini_fcodes_dd[substr($_REQUEST['dd'],0,2)]["_".substr($_REQUEST['dd'],2,2)][$_SESSION['lng']].")"; ?></span>
			</div>
			<div id="btn_div" class="btn_div">
				<p>
					<label class="dlabel vam w50" data-type="text" data-lan="start" ><?php echo $ini_afclass['start'][$_SESSION['lng']]; ?></label>
					<input type="text" id="sdat" data-type="date" data-lan="#sdat_org" class="dinputw vam w75" value="" readonly />
					<input type="hidden" id="sdat_org" value="<?php echo $_REQUEST['s']; ?>" />
				</p>
				<p style="margin: 5px 0;">
					<label class="dlabel vam w50" data-type="text" data-lan="ende" ><?php echo $ini_afclass['ende'][$_SESSION['lng']]; ?></label>
					<input type="text" id="edat" data-type="date" data-lan="#edat_org" class="dinputw vam w75" value="" readonly />
					<input type="hidden" id="edat_org" value="<?php echo $_REQUEST['e']; ?>" />
				</p>
			</div>
			<div style="display: inline-block;">
				<table id="list"></table> 
				<div id="pager"></div> 
			</div>
			<input type="hidden" id="fc" value="<?php echo $_REQUEST['cc']; ?>" />
			<input type="hidden" id="fd" value="<?php echo $_REQUEST['dd']; ?>" />
			<input type="hidden" id="clss" value="<?php echo $_REQUEST['cl']; ?>" />	
		</div>
		<?php include_once($rel_path.'footer.php'); ?> 		
	</div>
	<script>
		$("#sdat").val(localizedate("<?php echo $_REQUEST['s']; ?>"));
		$("#edat").val(localizedate("<?php echo $_REQUEST['e']; ?>"));	

		function load_page() {	
			fill_table();
		}
		function c_lan() {
			translate_header($globlan);	
			translate_mainmenu($globlan);
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {			
				switch ($(this).data("type")) {
					case "text":		
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "date":
						$(this).val(localizedate($($(this).data("lan")).val()));
						break;
					case "spant":
						$(this).text(localTranslation["fclass_table"][$globlan]+" "+$("#fd").val()+" ("+fcddTranslation[$("#fd").val()][$globlan]+")");
						break;
				}
			});
			$.jgrid.setRegional('list',{regional: $globlan});
			$("#list").jqGrid('setLabel', "qbn", localTranslation["qbn"][$globlan])
				.jqGrid('setLabel', "tgr", localTranslation["imat"][$globlan])
				.jqGrid('setLabel', "doc", localTranslation["des"][$globlan]);
			$("#list").trigger("reloadGrid");			
		}
		function backtoanalysis() {
			window.location.href = "a_fclass_details.php"+location.search;
		}
		function DescFormatter (cellvalue, options, rowObject)
		{	
			return cellvalue;
		}			
		function fill_table() {	
			$("#loading").show();
			cmTemplate = {
				sorttype:'string',
				editable: false,
				searchoptions: {
					sopt:['cn'], 
					clearSearch: false
				}
			};			
			obj = {
				url:  "./tools/a_fclass_api.php",
				postData: {
					routine: "gettable",
					from: $("#sdat_org").val(),
					to: $("#edat_org").val(),
					cc: $("#fc").val(),
					dddd: $("#fd").val(),
					clss: $("#clss").val()
				},
				contentType: "application/json",
				datatype: "json",
				jsonReader: {
					id: "id",
					repeatitems: true
				},
				mtype: "POST",
				colNames: [
					localTranslation["qbn"][$globlan],
					localTranslation["imat"][$globlan],
					localTranslation["des"][$globlan]
				],
				colModel: [
					{ 
						name: "qbn", 
						width: 90,
						template: cmTemplate
					},
					{ 
						name: "tgr", 
						width: 140,
						template: cmTemplate
					},
					{ 
						name: "doc", 
						width: 520,
						template: cmTemplate,
						formatter: DescFormatter
					}	
				],
				regional: $globlan,
				storeNavOptions : true,			
				loadonce: false,
				pager: "#pager",
				recordpos: "left",
				height: 510,
				rowNum: 100,
				rowList: [10, 100, 500, 1000, 1500],
				hoverrows: false,
				rownumbers: true,
				sortname: "qbn",
				sortorder: "desc",
				viewrecords: true,
				gridview: true,
				autoencode: true,
				ignoreCase:true,
				loadui: "block",
				onRightClickRow: function (rowid, iRow, iCol, e) {
					window.localStorage.setItem("qb", $("#list").jqGrid('getRowData', rowid).qbn);
					$.ajax({
						url: "./tools/general_api.php",
						data: {
							routine: "get_qbs",
							qbn: $("#list").jqGrid('getRowData', rowid).qbn
						},
						success: function(result) {
							window.localStorage.setItem("qbn", result.substring(1, result.length-1));				
							window.open(
								'./basic.php',
								'_blank'
							);
							return false;
						}		
					});
					return false;
				},				
				loadComplete: function() {
					$("th[role='columnheader']")
						.unbind("mouseenter")
						.unbind("mouseleave");
				},
				gridComplete: function(data) {
					$(".ui-search-toolbar input[role='textbox']")
						.css("width", "92%")
						.css("background", "<?php echo $c_scheme['M5']; ?>")
						.css("padding", "2px");		
				}			
			};
			list1 = $("#list").jqGrid(obj)
				.jqGrid('filterToolbar',{searchOperators : false, searchOnEnter: false})
				.jqGrid('navGrid', '#pager', {refresh: false, search: false, edit: false, del: false, add: false});
			$("#loading").hide();
		}
		load_page();
	</script>
</body>
</html>
