<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />		
	<?php include_once(dirname(__FILE__)."/tools/all_header.php"); global $c_scheme, $timezone, $rel_path; ?>
	<script>
		var js_debug = false;
		$data_changed = false;		
	</script>
	
    <title>Open AIs</title>

	<link rel="stylesheet" href="./css/qb.php" />
	<link rel="stylesheet" href="./jqGrid_5.2.1/css/ui.jqgrid.css" />

	<style>
		.ui-jqgrid tr.jqgrow td{
			white-space:nowrap;
			height: 18px !important;
		}
		#pager_left
		{
			padding-top: 5px;
		}		
	</style>
	
	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>
	
	<?php 
		foreach(explode(":", $qb_support->getLanOnly()) as $key=>$value) {
			echo '<script src="./jqGrid_5.2.1/js/i18n/grid.locale-' . $value . '.js"></script>';
		}
	?>
	<script src="./jqGrid_5.2.1/js/jquery.jqGrid.min.js"></script>	
		
	<script>
	// load translation and save in localTranslation
		<?php	
			$ini_aorphaned = parse_ini_file($rel_path.'i18n/a_orphaned.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_aorphaned as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
		?>	
	</script>
</head>
<body>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
			<?php 
				echo "<div id='mainnav'>". $qb_support->get_main_menu(2) . "</div>";
			?>
			<div class="dtop">
				<span class="icn3_arraoleft_w_n clckbtn" style="float: left; font-size: 30px; margin-left: 5px;" data-type="title" data-lan="prev" title="<?php echo $ini_aorphaned['prev'][$_SESSION['lng']]; ?>" onclick="backtoanalysis()"></span>
				<span data-type="text" data-lan="orphaned"><?php echo $ini_aorphaned['orphaned'][$_SESSION['lng']]; ?></span>
			</div>
			<div id="btn_div" class="btn_div">
				<div style="text-align: center; margin-top: 30px;">
					<span class="spanbuttonp" id="export" data-type="text" data-lan="excel_export" onclick="ExportDataToExcel('list')"><?php echo $ini_aorphaned['excel_export'][$_SESSION['lng']]; ?></span>
				</div>
			</div>			
			<div style="display: inline-block; width: 800px; text-align: center;margin-left: 10px; overflow-y: scroll;">
				<table id="list"></table> 
				<div id="pager"></div> 
			</div>
		</div>
		<?php include_once($rel_path.'/footer.php'); ?>
		<form name="anqbxls" method="post" target="_blank" action = "./tools/a_orphaned_excel.php">
			<input type="hidden" name="titles" id="titles" value="" />
			<input type="hidden" name="filters" id="filters" value="" />
			<input type="hidden" name="qblan" id="qblan" value="" />
		</form>		
	</div>
	<script>
		function load_page() {
			start_search();
		}
	// switch language
		function c_lan() {
			translate_header($globlan);	
			translate_mainmenu($globlan);
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {	
				switch ($(this).data("type")) {
					case "text":		
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "date":
						$(this).val(localizedate($($(this).data("lan")).val()));
						break;						
				}
			});
			$.jgrid.setRegional('list',{regional: $globlan});
			$("#list").jqGrid('setLabel', "qbn", localTranslation["qbn"][$globlan])
				.jqGrid('setLabel', "last", localTranslation["lastact"][$globlan])
				.jqGrid('setLabel', "svt", localTranslation["svt"][$globlan])
				.jqGrid('setLabel', "dep", localTranslation["department"][$globlan])
				.jqGrid('setLabel', "pl", localTranslation["pl"][$globlan])
				.jqGrid('setLabel', "dep2", localTranslation["department"][$globlan])				
				.jqGrid('setLabel', "what", localTranslation["what"][$globlan]);
			$("#list").trigger("reloadGrid");				
		}
		function backtoanalysis() {
			window.location.href="analysis.php";
		}
		function FormFormatter (cellvalue, options, rowObject)
		{
			return localTranslation[cellvalue][$globlan];
		}
		function DescFormatter (cellvalue, options, rowObject)
		{	
			return cellvalue;
		}			
		function start_search() {
			$("#loading").show();
			cmTemplate = {
				searchoptions: {
					sopt:['cn'], 
					clearSearch: false
				},
				editable: false,
				sorttype:'string'
			};
			obj = {
				url:  "./tools/a_orphaned_api.php",
				postData: {routine : "getlist"},
				contentType: "application/json",
				datatype: "json",
				jsonReader: {
					id: "id",
					repeatitems: true
				},
				mtype: "POST",
				colNames: [
					localTranslation["qbn"][$globlan],
					localTranslation["lastact"][$globlan],
					localTranslation["svt"][$globlan],
					localTranslation["department"][$globlan],
					localTranslation["pl"][$globlan],
					localTranslation["department"][$globlan],				
					localTranslation["what"][$globlan],
					""
				],
				colModel: [
					{ 
						name: "qbn", 
						template: cmTemplate,
						width: 90
					},
					{ 
						name: "last", 
						template: cmTemplate,
						width: 130,
						sorttype: 'date'
					},
					{
						name: "svt", 
						template: cmTemplate,
						width: 180
					},
					{ 
						name: "dep",
						template: cmTemplate,
						width: 90
					},
					{
						name: "pl", 
						template: cmTemplate,
						width: 180
					},
					{ 
						name: "dep2",
						template: cmTemplate,
						width: 90
					},				
					{
						name: "what", 
						template: cmTemplate,
						width: 450,
						formatter: DescFormatter
					},
					{
						name: "qbs", 
						hidden: true
					}				
				],
				regional: $globlan,
				storeNavOptions : true,			
				loadonce: false,
				pager: "#pager",
				recordpos: "left",
				height: 495,
				rowNum: 100,
				rowList: [10, 100, 500, 1000, 1500],
				hoverrows: false,
				rownumbers: true,
				sortname: "qbn",
				sortorder: "desc",
				viewrecords: true,
				gridview: true,
				autoencode: true,
				ignoreCase:true,
				loadui: "block",
				onRightClickRow: function (rowid, iRow, iCol, e) {
					window.localStorage.setItem("qb", $("#list").jqGrid('getRowData', rowid).qbn);
					$.ajax({
						url: "./tools/general_api.php",
						data: {
							routine: "get_qbs",
							qbn: $("#list").jqGrid('getRowData', rowid).qbn
						},
						success: function(result) {
							window.localStorage.setItem("qbn", result.substring(1, result.length-1));				
							window.open(
								'./basic.php',
								'_blank'
							);
							return false;
						}		
					});
					return false;
				},			
				loadComplete: function() {
					$("th[role='columnheader']")
						.unbind("mouseenter")
						.unbind("mouseleave");
					$(".ui-search-toolbar input[role='textbox']")
						.css("width", "92%")
						.css("background", "<?php echo $c_scheme['M5']; ?>")
						.css("padding", "2px");
						
					var rows = $("#list").getDataIDs();
					for(a=0;a<rows.length;a++)
					{
						row = $("#list").getRowData(rows[a]);
						switch(row.qbs) {
							case "N":
								$("#list").setCell (rows[a], "qbn","",{"background":"<?php echo $c_scheme['SN']; ?>"});
								break;					
							case "O":
								$("#list").setCell (rows[a], "qbn","",{"background":"<?php echo $c_scheme['SO']; ?>"});
								break;
							case "S":
								$("#list").setCell (rows[a], "qbn","",{"background":"<?php echo $c_scheme['ST']; ?>"});
								break;
							case "C":
								$("#list").setCell (rows[a], "qbn","",{"background":"<?php echo $c_scheme['SC']; ?>"});
								break;
						}					
					}						
				}
			};
			list1 = $("#list").jqGrid(obj)
				.jqGrid('filterToolbar',{searchOperators : false, searchOnEnter: false})
				.navGrid('#pager', {refresh: false, search: false, edit: false, del: false, add: false});
			$("#loading").hide();
		}
		function ExportDataToExcel() {
		// create output object
			out = Array();
		// define columns to be exported
			var exp_cols = Array("qbn", "last", "svt", "dep", "pl", "dep2", "what");
		// first get all column titles
			var col_titles_all = $("#list").jqGrid('getGridParam', 'colNames');
		// now filter those which should be used
			out['titles'] = {};
			$.each(obj.colModel, function(key, value){
				if ($.inArray(value['name'], exp_cols) > -1) out['titles'][value['name']] = col_titles_all[key+1];
			});
		// get filter
			out['filter'] = {};
			$fltr = $(".ui-search-toolbar input");
			var fltr_set = Array();
			$.each($fltr, function(key, value) {
				if ($.inArray(value['name'], exp_cols) > -1) out['filter'][value['name']] = $(value).val();
			});	
		// set values and export
			$("#titles").val(JSON.stringify(out['titles']));
			$("#filters").val(JSON.stringify(out['filter']));
			$("#qblan").val($globlan);
			document.anqbxls.submit();
		}
		load_page();
	</script>
</body>
</html>