<!DOCTYPE html>
<html>
	<head>
		<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<?php include_once(dirname(__FILE__)."/tools/all_header.php"); global $c_scheme, $timezone, $rel_path; ?>
		
		<title>Rückweisungen</title>
		
		<link rel="stylesheet" href="./css/qb.php" />
		<link rel="stylesheet" href="./jqGrid_5.2.1/css/ui.jqgrid.css" />
		
		<style>
			.ui-jqgrid tr.jqgrow td{
				white-space:nowrap;
				height: 18px !important;
			}
			#pager_left{
				padding-top: 5px;
			}
			.sts_o {
				background: <?php echo $c_scheme['SO']; ?>;
			}
		</style>
		
		<script src="./jquery/jquery.min.js"></script>
		<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
		<script src="./jquery/jquery-ui.min.js"></script>
		<script src="./jquery/qb_js.js"></script>
	
		<?php 
			foreach(explode(":", $qb_support->getLanOnly()) as $key=>$value) {
				echo '<script src="./jqGrid_5.2.1/js/i18n/grid.locale-' . $value . '.js"></script>';
			}
		?>
		<script src="./jqGrid_5.2.1/js/jquery.jqGrid.min.js"></script>

		<?php
			$query = "
				SELECT 
					DATE_FORMAT(NOW(), '%Y-%m-%d'), 
					DATEDIFF(MAX(QBREGDATE), NOW()), 
					DATEDIFF(MIN(QBREGDATE), NOW()),
					MIN(QBREGDATE),
					MAX(QBREGDATE),
					IF (DATEDIFF(MAX(QBREGDATE), MIN(QBREGDATE)) > 365, DATE_SUB(MAX(QBREGDATE), INTERVAL 365 DAY), MIN(QBREGDATE))
				FROM 
					qbi 
				WHERE 
					QBSTATUS NOT IN ('M', 'D')
			";
			$stmt = $db->query($query);
			list($now, $diffmax, $diffmin, $min, $max, $lmin) = $stmt->fetch(PDO::FETCH_NUM );
		?>
		<script>
		// load translation and save in localTranslation
			<?php	
				$ini_rejects = parse_ini_file($rel_path.'i18n/a_rejects.ini', true);		
				echo "localTranslation = {};";
				foreach($ini_rejects as $key=>$value){
					$add = "";
					foreach($value AS $lan=>$trans){
						$add .= "'".$lan."':'".$trans."',";
					}
					echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
				}
				$cal = parse_ini_file($rel_path.'i18n/calendar.ini', true);
				echo "calTranslation = {};";
				foreach($cal as $key=>$value){
					$add = "";
					if ($value['tpe'] == "S") {
						foreach($value AS $lan=>$trans){
							if ($lan != "tpe") $add .= "'".$lan."':'".$trans."',";
						}
					} else {
						foreach($value AS $lan=>$trans){
							if ($lan != "tpe") {
								$tar = explode(",", $trans);
								$tar = implode("','", $tar);
								$add .= "'".$lan."': ['".$tar."'],";
							}
						}				
					}
					echo "calTranslation['".$key."']={".rtrim($add, ',')."};";
				}
				$ini_class = parse_ini_file($rel_path.'xml/class.ini', true);
				$ini_class['all']=$ini_rejects['all'];
				echo "classTranslation = {};";
				foreach($ini_class as $key=>$value){
					$add = "";
					foreach($value AS $lan=>$trans){
						$add .= "'".$lan."':'".$trans."',";
					}
					echo "classTranslation['".$key."']={".rtrim($add, ',')."};";
				}	
				$ini_qbstatus = parse_ini_file($rel_path.'xml/qb_status.ini', true);
				$ddr = ":".$ini_rejects['all'][$_SESSION['lng']];			
				echo "qbstatusTranslation = {};";
				foreach($ini_qbstatus as $key=>$value){
					$add = "";
					foreach($value AS $lan=>$trans){
						$add .= "'".$lan."':'".$trans."',";
					}
					echo "qbstatusTranslation['".$key."']={".rtrim($add, ',')."};";
					if (in_array($key, array('N','O','S','C'))) {
						$ddr .= ";".$key.":".$value[$_SESSION['lng']];
					}				
				}
				echo "var ddr = '".$ddr."';";
				$ini_form = parse_ini_file($rel_path.'xml/form.ini', true);
				$ddf = ":".$ini_rejects['all'][$_SESSION['lng']];			
				echo "formTranslation = {};";
				foreach($ini_form as $key=>$value){
					$add = "";
					foreach($value AS $lan=>$trans){
						$add .= "'".$lan."':'".$trans."',";
					}
					echo "formTranslation['".$key."']={".rtrim($add, ',')."};";
					$ddf .= ";".$key.":".$value[$_SESSION['lng']];
				}
				echo "var ddf = '".$ddf."';";
				$ini_rej = parse_ini_file($rel_path.'xml/rejects.ini', true);
				$ddj = ":".$ini_rejects['all'][$_SESSION['lng']];			
				echo "rejTranslation = {};";
				foreach($ini_rej as $key=>$value){
					$add = "";
					foreach($value AS $lan=>$trans){
						$add .= "'".$lan."':'".$trans."',";
					}
					echo "rejTranslation['".$key."']={".rtrim($add, ',')."};";
					$ddj .= ";".$key.":".$value[$_SESSION['lng']];
				}
				echo "var ddj = '".$ddj."';";
			?>
		</script>
	</head>
	<body>
		<div id="container">
			<?php 
				include_once($rel_path.'tools/header.php');
			?> 
			<div id="contents">
				<?php 
					echo "<div id='mainnav'>". $qb_support->get_main_menu(2) . "</div>";
				?>
				<div class="dtop">
					<span class="icn3_arraoleft_w_n clckbtn" style="float: left; font-size: 30px; margin-left: 5px;" data-type="title" data-lan="prev" title="<?php echo $ini_rejects['prev'][$_SESSION['lng']]; ?>" onclick="backtoanalysis()"></span>
					<span data-type="text" data-lan="rejects"><?php echo $ini_rejects['rejects'][$_SESSION['lng']]; ?></span>
				</div>
				<div id="btn_div" class="btn_div">
					<p>
						<label class="dlabel vam w50" data-type="text" data-lan="start" ><?php echo $ini_rejects['start'][$_SESSION['lng']]; ?></label>
						<input type="text" id="sdat" data-type="date" data-lan="#sdat_org" class="dinputw vam w75" value="" onchange="update_grid()" readonly />
						<input type="hidden" id="sdat_org" value="" />
						<input type="hidden" id="sdat_i" value="" />
						<br style="margin: 10px 0;" />
						<label class="dlabel vam w50" data-type="text" data-lan="ende" ><?php echo $ini_rejects['ende'][$_SESSION['lng']]; ?></label>
						<input type="text" id="edat" data-type="date" data-lan="#edat_org" class="dinputw vam w75" value="" onchange="update_grid()" readonly />
						<input type="hidden" id="edat_org" value="" />
						<input type="hidden" id="edat_i" value="" />
					</p>
					<p style="margin-top: 15px; text-align: center; padding-bottom: 10px; border-bottom: 2px solid <?php echo $c_scheme['RN']; ?>;">
						<select id="clss" data-type="select" data-lan="clss" onchange="update_grid()" >
							<?php
								foreach($ini_class as $key=>$value){
									echo "<option value='$key'>".$value[$_SESSION['lng']]."</option>";
								}
							?>
						</select>
					</p>
					<br />			
					<div style="text-align: center; margin-top: 30px;">
						<span class="spanbuttonps" id="openall" data-type="text" data-lan="open_all" onclick='$("#list .ui-icon-circlesmall-plus").trigger("click");'><?php echo $ini_rejects['open_all'][$_SESSION['lng']]; ?></span>
						<span class="spanbuttonps" id="closeall" data-type="text" data-lan="collapse_all" onclick='$("#list .ui-icon-circlesmall-minus").trigger("click");'><?php echo $ini_rejects['collapse_all'][$_SESSION['lng']]; ?></span>	
					</div>
				</div>
				<div style="display: inline-block; width: 805px; text-align: center; margin-left: 5px; overflow: scroll;">
					<table id="list"></table> 
					<div id="pager"></div>				
				</div>
			</div>
			<?php include_once($rel_path.'footer.php'); ?> 		
		</div>
		<script>
			var $ov;
			pickerOpts = {
				closeText: "X",		
				dateFormat: "yy-M-dd",
				altField: '#sdat_org',
				altFormat: 'yy-mm-dd',
				firstDay: 1,
				isRTL: false,
				showButtonPanel: true,
				displayClose: true,
				showOn: "button",  
				buttonImage: "./img/dummy_img.png", 
				buttonImageOnly: true,
				buttonText: localTranslation["cal"][$globlan],
				changeYear: true,
				changeMonth: true,
				maxDate: "+<?php echo $diffmax;?>d",
				minDate: "-<?php echo $diffmin;?>d"		
			}
			pickerOpts_2 = {
				closeText: "X",		
				dateFormat: "yy-M-dd",
				altField: '#edat_org',
				altFormat: 'yy-mm-dd',
				firstDay: 1,
				isRTL: false,
				showButtonPanel: true,
				displayClose: true,
				showOn: "button",  
				buttonImage: "./img/dummy_img.png", 
				buttonImageOnly: true,
				buttonText: localTranslation["cal"][$globlan],
				changeYear: true,
				changeMonth: true,
				maxDate: "+<?php echo $diffmax;?>d",
				minDate: "-<?php echo $diffmin;?>d"	
			}		
					
		// fix um bei klicken auf "Heute" den Kalender zu schliessen	
			var old_goToToday = $.datepicker._gotoToday;
			$.datepicker._gotoToday = function(id) {
				old_goToToday.call(this,id);   
				this._selectDate(id);
				$heute = true;
			};
			
			$.datepicker._defaults['currentText'] = calTranslation['currentText'][$globlan];
			$.datepicker._defaults['monthNames'] = calTranslation['monthNames'][$globlan];
			$.datepicker._defaults['monthNamesShort'] = calTranslation['monthNamesShort'][$globlan];
			$.datepicker._defaults['dayNamesMin'] = calTranslation['dayNamesMin'][$globlan];
			
			$("#sdat").datepicker(pickerOpts);
			clkevnt = $("#sdat").next().data('events').click[0].handler;
			$("#sdat").next().replaceWith('<span class="ui-datepicker-trigger icn_calendar_b_n clckbtn vam" data-type="title" data-lan="cal" title="<?php echo $ini_rejects['cal'][$_SESSION['lng']]; ?>"> </span>');
			$("#sdat").next().bind('click', clkevnt);		
			$("#edat").datepicker(pickerOpts_2);
			clkevnt = $("#edat").next().data('events').click[0].handler;
			$("#edat").next().replaceWith('<span class="ui-datepicker-trigger icn_calendar_b_n clckbtn vam" data-type="title" data-lan="cal" title="<?php echo $ini_rejects['cal'][$_SESSION['lng']]; ?>"> </span>');
			$("#edat").next().bind('click', clkevnt);
			
			function load_page() {
				$("#sdat").val(localizedate("<?php echo $lmin; ?>"));
				$("#edat").val(localizedate("<?php echo $max; ?>"));
				$("#sdat_org").val("<?php echo $lmin; ?>");
				$("#edat_org").val("<?php echo $max; ?>");
				$("#sdat_i").val("<?php echo $lmin; ?>");			// min start date
				$("#edat_i").val("<?php echo $max; ?>");			// max end date
				fill_grid();
			}
		// switch language
			function c_lan() {
				translate_header($globlan);	
				translate_mainmenu($globlan);
				$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {			
					switch ($(this).data("type")) {
						case "text":		
							$(this).text(localTranslation[$(this).data("lan")][$globlan]);
							break;
						case "title":				
							$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
							break;
						case "date":
							$(this).val(localizedate($($(this).data("lan")).val()));
							break;
						case "select":
							if ($(this).data("lan") == "clss") {
								$(this).find("option").each(function() {
									$(this).text(classTranslation[$(this).val()][$globlan]);
								});
								$('#clss').trigger('render');
							}
							break;							
					}
				});	
			// save filter
				$ov = {};
				$.each($(".ui-search-toolbar input[role='textbox']"), function(k,v) {
					$ov[$(v).attr("name")] = $("#gs_"+$(v).attr("name")).val();
				});
				$.each($(".ui-search-toolbar select[role='select']"), function(k,v) {
					$ov[$(v).attr("name")] = $("#gs_"+$(v).attr("name")).val();
				});	
				$.jgrid.setRegional('list',{regional: $globlan});
				$("#gs_qbstatus").find("option").each(function(idx, obj) {
					if ($(this).val() == "") {
						$(this).text(localTranslation["all"][$globlan]);
					} else {
						$(this).text(qbstatusTranslation[$(this).val()][$globlan]);
					}
				});
				$("#gs_frm").find("option").each(function(idx, obj) {
					if ($(this).val() == "") {
						$(this).text(localTranslation["all"][$globlan]);
					} else {
						$(this).text(formTranslation[$(this).val()][$globlan]);
					}
				});	
				$("#gs_tpe").find("option").each(function(idx, obj) {
					if ($(this).val() == "") {
						$(this).text(localTranslation["all"][$globlan]);
					} else {
						$(this).text(rejTranslation[$(this).val()][$globlan]);
					}
				});	
				$("#list").jqGrid('setLabel', "qbno", localTranslation["qbno"][$globlan])
					.jqGrid('setLabel', "qbn", localTranslation["qbn"][$globlan])
					.jqGrid('setLabel', "svt", localTranslation["svt"][$globlan])
					.jqGrid('setLabel', "status", localTranslation["status"][$globlan])
					.jqGrid('setLabel', "des", localTranslation["des"][$globlan])
					.jqGrid('setLabel', "frm", localTranslation["form"][$globlan])
					.jqGrid('setLabel', "wer", localTranslation["wer"][$globlan])
					.jqGrid('setLabel', "date", localTranslation["date"][$globlan]);
				$("#list").trigger("reloadGrid");
				
				$.datepicker._defaults['currentText'] = calTranslation['currentText'][$globlan];
				$.datepicker._defaults['monthNames'] = calTranslation['monthNames'][$globlan];
				$.datepicker._defaults['monthNamesShort'] = calTranslation['monthNamesShort'][$globlan];
				$.datepicker._defaults['dayNamesMin'] = calTranslation['dayNamesMin'][$globlan];
			}
			function backtoanalysis() {
				window.location.href="analysis.php";
			}
			function StatusFormatter (cellvalue, options, rowObject)
			{
				var ctext = qbstatusTranslation[cellvalue][$globlan];
				return ctext;
			}
			function FormFormatter (cellvalue, options, rowObject)
			{
				var ctext = formTranslation[cellvalue][$globlan];
				return ctext;
			}
			function RejFormatter (cellvalue, options, rowObject)
			{
				var ctext = rejTranslation[cellvalue][$globlan];
				return ctext;
			}
			function fill_grid() {
				$("#loading").show();
				cmTemplate = {
					editable: false,		
					sorttype:'string',		
					searchoptions: {
						sopt:['cn'], 
						clearSearch: false
					}
				};
				obj = {
					url:  "./tools/a_rejects_api.php",
					postData: {
						routine : "search",
						sdat: $("#sdat_org").val(),
						edat: $("#edat_org").val(),
						clss: $("#clss").val()
					},
					contentType: "application/json",
					datatype: "json",
					jsonReader: {
						id: "id",
						repeatitems: false
					},
					mtype: "POST",
					colNames: [
						localTranslation["qbno"][$globlan],
						localTranslation["qbn"][$globlan],
						localTranslation["svt"][$globlan],
						localTranslation["status"][$globlan],
						localTranslation["des"][$globlan],
						localTranslation["form"][$globlan],
						localTranslation["wer"][$globlan],
						localTranslation["date"][$globlan],
						"",
						"",
						""
					],	
					colModel: [
						{ 
							name: "qbno", 
							width: 210, 
							template: cmTemplate
						},	
						{
							name: "qbn", 
							width: 80,
							template: cmTemplate
						},
						{ 
							name: "svt", 
							width: 120, 
							template: cmTemplate
						},
						{ 
							name: "qbstatus", 
							width: 120, 
							template: cmTemplate,
							formatter: StatusFormatter,
							stype: 'select',
							searchoptions:
							{
								value: ddr,
								clearSearch: false,
								searchOperators: false
							}
						},				
						{ 
							name: "des", 
							width: 420 , 
							template: cmTemplate
						},
						{ 
							name: "frm", 
							width: 80 , 
							template: cmTemplate,
							formatter: FormFormatter,
							stype: 'select',
							searchoptions:
							{
								value: ddf,
								clearSearch: false,
								searchOperators: false
							}
						},
						{ 
							name: "tpe", 
							width: 80 , 
							template: cmTemplate,
							formatter: RejFormatter,
							stype: 'select',
							searchoptions:
							{
								value: ddj,
								clearSearch: false,
								searchOperators: false
							}
						},
						{ 
							name: "dat", 
							width: 120 ,
							search: false,
							template: cmTemplate
						},
						{
							name: "sts",
							hidden: true,
							hidedlg: true
						},
						{
							name: "frmo",
							hidden: true,
							hidedlg: true
						},
						{
							name: "tpeo",
							hidden: true,
							hidedlg: true
						}
					],
					regional: $globlan,
					storeNavOptions: true,			
					loadonce: false,
					pager: "#pager",
					recordpos: "left",
					height: 495,
					rowNum: 100,
					rowList: [10, 100, 500, 1000, 1500],
					hoverrows: false,
					rownumbers: true,
					sortname: "qbn",
					sortorder: "desc",
					viewrecords: true,
					pgbuttons: true,
					pginput: true,
					gridview: true,
					autoencode: true,
					ignoreCase:true,
					loadui: "block",
					loadComplete: function() {
					},
					onRightClickRow: function (rowid, iRow, iCol, e) {
						window.localStorage.setItem("qb", $("#list").jqGrid('getRowData', rowid).qbn);
						$.ajax({
							url: "./tools/general_api.php",
							data: {
								routine: "get_qbs",
								qbn: $("#list").jqGrid('getRowData', rowid).qbn
							},
							success: function(result) {
								window.localStorage.setItem("qbn", result.substring(1, result.length-1));				
								window.open(
									'./basic.php',
									'_blank'
								);
								return false;
							}		
						});
						return false;
					},		
					grouping:true,
					groupingView : { 
						groupField : ['qbno'],
						groupOrder: ['desc'],
						groupColumnShow : [false], 
						groupText : ['<b>{0} - {1} Item(s)</b>'] 
					},
					gridComplete: function(data) {
						$("th[role='columnheader']")
							.unbind("mouseenter")
							.unbind("mouseleave");
						$(".ui-search-toolbar input[role='textbox']")
							.css("width", "92%")
							.css("background", "<?php echo $c_scheme['M5']; ?>")
							.css("padding", "2px");
						$(".ui-search-toolbar select[role='select']")
							.removeClass("ui-corner-all")
							.css("width", "92%")
							.css("background", "<?php echo $c_scheme['M5']; ?>")
							.css("padding", "2px");
						$("#gs_qbstatus").css("width", "115px");
						var rows = $("#list").getDataIDs();
						for(a=0;a<rows.length;a++)
						{
							row = $("#list").getRowData(rows[a]);
							switch(row.sts) {
								case "N":
									$("#list").jqGrid('setCell', rows[a], "qbstatus", "", {"background":"<?php echo $c_scheme['SN']; ?>"});
									break;					
								case "O":
									$("#list").jqGrid('setCell', rows[a], "qbstatus", "", {"background":"<?php echo $c_scheme['SO']; ?>"});
									break;
								case "S":
									$("#list").jqGrid('setCell', rows[a], "qbstatus", "", {"background":"<?php echo $c_scheme['ST']; ?>"});
									break;
								case "C":
									$("#list").jqGrid('setCell', rows[a], "qbstatus", "", {"background":"<?php echo $c_scheme['SC']; ?>"});
									break;
							}
							switch(row.frmo) {
								case "I":
									$("#list").jqGrid('setCell', rows[a], "frm", "", {"background":"<?php echo $c_scheme['SO']; ?>"});
									break;					
								case "C":
									$("#list").jqGrid('setCell', rows[a], "frm", "", {"background":"<?php echo $c_scheme['SC']; ?>"});
									break;
							}
							switch(row.tpeo) {
								case "S":
									$("#list").jqGrid('setCell', rows[a], "tpe", "", {"background":"<?php echo $c_scheme['M1']; ?>"});
									break;					
								case "Q":
									$("#list").jqGrid('setCell', rows[a], "tpe", "", {"background":"<?php echo $c_scheme['TR']; ?>"});
									break;
							}
						}
					// restore filter (if set)
						if (typeof $ov !== 'undefined') {
							$.each($ov, function(k,v) {$("#gs_"+k).val(v);});
						}		
					}			
				};
				list1 = $("#list").jqGrid(obj)
					.jqGrid('filterToolbar',{searchOperators : false, searchOnEnter: false})	
					.navGrid('#pager', { refresh: false, search: false, add: false, del: false, edit: false }, {}, {}, {});
				$("#loading").hide();
			}
			function update_grid() {
				$("#list").setGridParam({datatype:'json', postData: {sdat: $("#sdat_org").val(), edat: $("#edat_org").val(), clss: $("#clss").val()}}).trigger('reloadGrid');
			}
			load_page();
		</script>	
	</body>
</html>