<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />	
	<?php include_once(dirname(__FILE__)."/tools/all_header.php"); global $c_scheme, $timezone, $rel_path; ?>
	<script>
		var js_debug = false;
		$data_changed = false;		
	</script>
	
    <title>TOP QBs</title>
	
	<link rel="stylesheet" href="./css/qb.php" />
	<link rel="stylesheet" href="./jqGrid_5.2.1/css/ui.jqgrid.css" />
	<link rel="stylesheet" href="./jqGrid_5.2.1/css/addons/ui.multiselect.css" />	
	
	<style>
		.ui-jqgrid tr.jqgrow td{
			white-space:nowrap;
			height: 18px !important;
		}
		#pager_left{
			padding-top: 5px;
		}
		#searchmodfbox_list	{
			width: 630px !important;
		}
	</style>
	
	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>

	<?php 
		foreach(explode(":", $qb_support->getLanOnly()) as $key=>$value) {
			echo '<script src="./jqGrid_5.2.1/js/i18n/grid.locale-' . $value . '.js"></script>';
		}
	?>
	<script src="./jqGrid_5.2.1/js/jquery.jqGrid.min.js"></script>
	<script src="./jqGrid_5.2.1/js/addons/ui.multiselect.js"></script>	
		
	<?php
		$query = "
			SELECT 
				DATE_FORMAT(NOW(), '%Y-%m-%d'), 
				DATEDIFF(MAX(QBREGDATE), NOW()), 
				DATEDIFF(MIN(QBREGDATE), NOW()),
				MIN(QBREGDATE),
				MAX(QBREGDATE)
			FROM 
				qbi 
			WHERE 
				QBSTATUS NOT IN ('M', 'D')
		";
		$stmt = $db->query($query);
		list($now, $diffmax, $diffmin, $min, $max) = $stmt->fetch(PDO::FETCH_NUM );
	?>
	<script>
	// load translation and save in localTranslation
		<?php	
			$ini_topqb = parse_ini_file($rel_path.'i18n/a_topqb.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_topqb as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$cal = parse_ini_file($rel_path.'i18n/calendar.ini', true);		
			echo "calTranslation = {};";
			foreach($cal as $key=>$value){
				$add = "";
				if ($value['tpe'] == "S") {
					foreach($value AS $lan=>$trans){
						if ($lan != "tpe") $add .= "'".$lan."':'".$trans."',";
					}
				} else {
					foreach($value AS $lan=>$trans){
						if ($lan != "tpe") {
							$tar = explode(",", $trans);
							$tar = implode("','", $tar);
							$add .= "'".$lan."': ['".$tar."'],";
						}
					}				
				}
				echo "calTranslation['".$key."']={".rtrim($add, ',')."};";
			}		
			$ini_qbstatus = parse_ini_file($rel_path.'xml/qb_status.ini', true);
			$ddr = ":".$ini_topqb['all'][$_SESSION['lng']];			
			echo "qbstatusTranslation = {};";
			foreach($ini_qbstatus as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "qbstatusTranslation['".$key."']={".rtrim($add, ',')."};";
				if (in_array($key, array('N','O','S','C'))) {
					$ddr .= ";".$key.":".$value[$_SESSION['lng']];
				}				
			}
			echo "var ddr = '".$ddr."';";
			$ini_clsstype = parse_ini_file($rel_path.'xml/class.ini', true);
			$ddc = ":".$ini_topqb['all'][$_SESSION['lng']];	
			echo "clssTranslation = {};";
			foreach($ini_clsstype as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "clssTranslation['".$key."']={".rtrim($add, ',')."};";
				$ddc .= ";".$key.":".$value[$_SESSION['lng']];
			}
			echo "var ddc = '".$ddc."';";
			$ini_rekart = parse_ini_file($rel_path.'xml/r_type.ini', true);	
			echo "rekartTranslation = {};";
			foreach($ini_rekart as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "rekartTranslation['".$key."']={".rtrim($add, ',')."};";
			}	
			$ini_ffu = parse_ini_file($rel_path.'xml/ffu.ini', true);	
			echo "ffuTranslation = {};";
			foreach($ini_ffu as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "ffuTranslation['".$key."']={".rtrim($add, ',')."};";
			}	
			$ini_region = parse_ini_file($rel_path.'xml/regions.ini', true);	
			echo "regionTranslation = {};";
			foreach($ini_region as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "regionTranslation['".$key."']={".rtrim($add, ',')."};";
			}
		?>
	</script>
</head>
<body>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
			<?php 
				echo "<div id='mainnav'>". $qb_support->get_main_menu(2) . "</div>";
			?>
			<div class="dtop">
				<span class="icn3_arraoleft_w_n clckbtn" style="float: left; font-size: 30px; margin-left: 5px;" data-type="title" data-lan="prev" title="<?php echo $ini_topqb['prev'][$_SESSION['lng']]; ?>" onclick="backtoanalysis()"></span>
				<span data-type="text" data-lan="topqb"><?php echo $ini_topqb['topqb'][$_SESSION['lng']]; ?></span>
			</div>
			<div id="btn_div" class="btn_div">
				<label class="dlabel vam w50" data-type="text" data-lan="start" ><?php echo $ini_topqb['start'][$_SESSION['lng']]; ?></label>
				<input type="text" id="sdat" data-type="fqdate" data-lan="#sdat_org" class="dinputw vam w75" value="" onchange="update_chart()" readonly />
				<input type="hidden" id="sdat_org" value="" />
				<input type="hidden" id="sdat_i" value="" />
				<br style="margin: 10px 0;" />
				<label class="dlabel vam w50" data-type="text" data-lan="ende" ><?php echo $ini_topqb['ende'][$_SESSION['lng']]; ?></label>
				<input type="text" id="edat" data-type="fqdate" data-lan="#edat_org" class="dinputw vam w75" value="" onchange="update_chart()" readonly />
				<input type="hidden" id="edat_org" value="" />
				<input type="hidden" id="edat_i" value="" />
				<br />
				<div style="text-align: center; margin-top: 30px;">
					<span class="spanbuttonp" id="excel" data-type="text" data-lan="export" onclick="export_excel()"><?php echo $ini_topqb['export'][$_SESSION['lng']]; ?></span>	
				</div>
			</div>
			<div style="display: inline-block; width: 800px; text-align: center; margin-left: 10px; overflow: scroll;">
				<table id="list"></table> 
				<div id="pager"></div> 
			</div>
		</div>
		<?php include_once($rel_path.'footer.php'); ?> 	
	</div>
	<form name="xls" method="post" target="_blank" action = "./tools/a_topqb_excel.php">
		<input type="hidden" name="colnames" id="colnames" value="" />
		<input type="hidden" name="filters" id="filters" value="" />
		<input type="hidden" name="s_date" id="s_date" value="" />
		<input type="hidden" name="e_date" id="e_date" value="" />
		<input type="hidden" name="sdat_org1" id="sdat_org1" value="" />
		<input type="hidden" name="edat_org1" id="edat_org1" value="" />	
		<input type="hidden" name="qblan" id="qblan" value="" />			
	</form>	
	<script>
		execute_filter = "";
		fqdatefilter = "";

		pickerOpts = {
			closeText: "X",		
			dateFormat: "yy-M-dd",
			altField: '#sdat_org',
			altFormat: 'yy-mm-dd',
			firstDay: 1,
			isRTL: false,
			showButtonPanel: true,
			displayClose: true,
			showOn: "button",  
			buttonImage: "./img/dummy_img.png",
			buttonImageOnly: true,
			buttonText: localTranslation["cal"][$globlan],
			changeYear: true,
			changeMonth: true,
			maxDate: "+<?php echo $diffmax;?>d",
			minDate: "-<?php echo $diffmin;?>d"
		}
		pickerOpts_2 = {
			closeText: "X",		
			dateFormat: "yy-M-dd",
			altField: '#edat_org',
			altFormat: 'yy-mm-dd',
			firstDay: 1,
			isRTL: false,
			showButtonPanel: true,
			displayClose: true,
			showOn: "button",  
			buttonImage: "./img/dummy_img.png",
			buttonImageOnly: true,
			buttonText: localTranslation["cal"][$globlan],
			changeYear: true,
			changeMonth: true,
			maxDate: "+<?php echo $diffmax;?>d",
			minDate: "-<?php echo $diffmin;?>d"	
		}		
				
	// fix um bei klicken auf "Heute" den Kalender zu schliessen	
		var old_goToToday = $.datepicker._gotoToday;
		$.datepicker._gotoToday = function(id) {
			old_goToToday.call(this,id);   
			this._selectDate(id);
		};
		
		$.datepicker._defaults['currentText'] = calTranslation['currentText'][$globlan];
		$.datepicker._defaults['monthNames'] = calTranslation['monthNames'][$globlan];
		$.datepicker._defaults['monthNamesShort'] = calTranslation['monthNamesShort'][$globlan];
		$.datepicker._defaults['dayNamesMin'] = calTranslation['dayNamesMin'][$globlan];
			
		$("#sdat").datepicker(pickerOpts);
		clkevnt = $("#sdat").next().data('events').click[0].handler;
		$("#sdat").next().replaceWith('<span class="ui-datepicker-trigger icn_calendar_b_n clckbtn vam" data-type="title" data-lan="cal" title="<?php echo $ini_topqb['cal'][$_SESSION['lng']]; ?>"> </span>');
		$("#sdat").next().bind('click', clkevnt);		
		$("#edat").datepicker(pickerOpts_2);
		clkevnt = $("#edat").next().data('events').click[0].handler;
		$("#edat").next().replaceWith('<span class="ui-datepicker-trigger icn_calendar_b_n clckbtn vam" data-type="title" data-lan="cal" title="<?php echo $ini_topqb['cal'][$_SESSION['lng']]; ?>"> </span>');
		$("#edat").next().bind('click', clkevnt);
	// switch language
		function c_lan() {
			translate_header($globlan);	
			translate_mainmenu($globlan);
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {	
				switch ($(this).data("type")) {
					case "text":		
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "fqdate":
						$(this).val(localizedate($($(this).data("lan")).val()));
						break;						
				}
			});			
			$.jgrid.setRegional('list',{regional: $globlan});
			$("#list").jqGrid('setLabel', "qbn", localTranslation["qbn"][$globlan])
				.jqGrid('setLabel', "qbstatus", localTranslation["status"][$globlan])
				.jqGrid('setLabel', "customer", localTranslation["ekd"][$globlan])
				.jqGrid('setLabel', "regdate", localTranslation["date"][$globlan])
				.jqGrid('setLabel', "rtype", localTranslation["irek_art"][$globlan])
				.jqGrid('setLabel', "description", localTranslation["des"][$globlan])
				.jqGrid('setLabel', "weight", localTranslation["type"][$globlan])
				.jqGrid('setLabel', "ffu", localTranslation["ffus"][$globlan])
				.jqGrid('setLabel', "vko", localTranslation["vko"][$globlan])
				.jqGrid('setLabel', "svt", localTranslation["svt"][$globlan])
				.jqGrid('setLabel', "req", localTranslation["ireq"][$globlan])
				.jqGrid('setLabel', "tgr", localTranslation["imat"][$globlan])
				.jqGrid('setLabel', "tgrbz", localTranslation["imatname"][$globlan])
				.jqGrid('setLabel', "supplier", localTranslation["supplier"][$globlan])
				.jqGrid('setLabel', "pl", localTranslation["pl"][$globlan])
				.jqGrid('setLabel', "department", localTranslation["department"][$globlan])
				.jqGrid('setLabel', "clss", localTranslation["clss"][$globlan]);
			$("#gs_qbstatus").find("option").each(function(idx, obj) {
				if ($(this).val() == "") {
					$(this).text(localTranslation["all"][$globlan]);
				} else {
					$(this).text(qbstatusTranslation[$(this).val()][$globlan]);
				}
			});	
			$("#gs_clss").find("option").each(function(idx, obj) {
				if ($(this).val() == "") {
					$(this).text(localTranslation["all"][$globlan]);
				} else {
					$(this).text(clssTranslation[$(this).val()][$globlan]);
				}
			});				
			$("#gs_rtype").find("option").each(function(idx, obj) {
				if ($(this).val() == "") {
					$(this).text(localTranslation["all"][$globlan]);
				} else {
					$(this).text(rekartTranslation[$(this).val()][$globlan]);
				}
			});	
			$("#gs_ffu").find("option").each(function(idx, obj) {
				if ($(this).val() == "") {
					$(this).text(localTranslation["all"][$globlan]);
				} else {
					$(this).text(ffuTranslation[$(this).val()][$globlan]);
				}
			});	
			$("#gs_regio").find("option").each(function(idx, obj) {
				if ($(this).val() == "") {
					$(this).text(localTranslation["all"][$globlan]);
				} else {
					$(this).text(regionTranslation[$(this).val()][$globlan]);
				}
			});			
			$("#list").trigger("reloadGrid");
			$.datepicker._defaults['currentText'] = calTranslation['currentText'][$globlan];
			$.datepicker._defaults['monthNames'] = calTranslation['monthNames'][$globlan];
			$.datepicker._defaults['monthNamesShort'] = calTranslation['monthNamesShort'][$globlan];
			$.datepicker._defaults['dayNamesMin'] = calTranslation['dayNamesMin'][$globlan];			
		}
		function load_page() {
			$("#sdat").val(localizedate("<?php echo $min; ?>"));
			$("#edat").val(localizedate("<?php echo $max; ?>"));
			$("#sdat_org").val("<?php echo $min; ?>");
			$("#edat_org").val("<?php echo $max; ?>");
			$("#sdat_i").val("<?php echo $min; ?>");			// min start date
			$("#edat_i").val("<?php echo $max; ?>");			// max end date
			start_search();
		}	
		function backtoanalysis() {
			window.location.href="./analysis.php";
		}		
		function StatusFormatter (cellvalue, options, rowObject)
		{
			var ctext = qbstatusTranslation[cellvalue][$globlan];
			return ctext;
		}	
		function ArtFormatter (cellvalue, options, rowObject)
		{
			var ctext = qbtypeTranslation[cellvalue][$globlan];
			return ctext;
		}
		function RekArtFormatter (cellvalue, options, rowObject)
		{
			return rekartTranslation[cellvalue][$globlan];
		}
		function FfuFormatter (cellvalue, options, rowObject)
		{
			if (cellvalue === undefined || cellvalue === null || cellvalue == "") {
				return "";
			} else {
				return ffuTranslation[cellvalue][$globlan];
			}
		}
		function RegioFormatter (cellvalue, options, rowObject)
		{
			return regionTranslation[cellvalue][$globlan];
		}
		function DescFormatter (cellvalue, options, rowObject)
		{	
			return cellvalue;
		}			
		function start_search() {
			$("#loading").show();
			<?php
				$dds = ":".$ini_topqb['all'][$_SESSION['lng']];
				$ini_rtype = parse_ini_file($rel_path.'xml/r_type.ini', true);	
				foreach($ini_rtype as $key=>$value){
					$dds .= ";".$key.":".$value[$_SESSION['lng']];
				}
				echo "var dds = '".$dds."';";
				$ddf = ":".$ini_topqb['all'][$_SESSION['lng']];
				$ini_ffu = parse_ini_file($rel_path.'xml/ffu.ini', true);	
				foreach($ini_ffu as $key=>$value){
					$ddf .= ";".$key.":".$value[$_SESSION['lng']];
				}
				echo "var ddf = '".$ddf."';";
				$ddreg = ":".$ini_topqb['all'][$_SESSION['lng']];
				$ini_region = parse_ini_file($rel_path.'xml/regions.ini', true);	
				foreach($ini_region as $key=>$value){
					$ddreg .= ";".$key.":".$value[$_SESSION['lng']];
				}
				echo "var ddreg = '".$ddreg."';";					
			?>		
			cmTemplate = {
				editable: false,		
				sorttype:'string',		
				searchoptions: {
					sopt:['cn','nc','eq','ne','bw','bn','ew','en'], 
					clearSearch: false
				}
			};			
			obj = {
				url:  "./tools/a_topqb_api.php",
				postData: {
					routine : "getdata",
					qblan: $globlan,
					sdat: $("#sdat_org").val(),
					edat: $("#edat_org").val()
				},
				contentType: "application/json",
				datatype: "json",
				jsonReader: {
					id: "id",
					repeatitems: true
				},
				mtype: "POST",
				colNames: [
					localTranslation["qbn"][$globlan],
					localTranslation["des"][$globlan],
					localTranslation["imat"][$globlan],
					localTranslation["pl"][$globlan],			
					localTranslation["status"][$globlan],
					localTranslation["ekd"][$globlan],
					localTranslation["date"][$globlan],
					localTranslation["irek_art"][$globlan],
					localTranslation["ffus"][$globlan],
					localTranslation["vko"][$globlan],
					localTranslation["svt"][$globlan],
					localTranslation["ireq"][$globlan],
					localTranslation["region"][$globlan],
					localTranslation["imatname"][$globlan],
					localTranslation["supplier"][$globlan],
					localTranslation["department"][$globlan],
					localTranslation["best"][$globlan],
					"",
					""
				],		
				colModel: [
					{ 
						name: "qbn", 
						width: 90, 
						template: cmTemplate,
						searchoptions: 
						{
							clearSearch: false,
							searchOperators: false
						}					
					},
					{ 
						name: "description", 
						width: 200, 
						template: cmTemplate,
						formatter: DescFormatter
					},
					{ 
						name: "tgr", 
						width: 130, 
						template: cmTemplate
					},
					{ 
						name: "pl", 
						width: 150, 
						template: cmTemplate
					},					
					{ 
						name: "qbstatus", 
						width: 130, 
						template: cmTemplate,
						formatter: StatusFormatter,
						stype: 'select',					
						searchoptions:
						{
							value: ddr,
							clearSearch: false,
							searchOperators: false
						}
					},
					{ 
						name: "customer", 
						width: 120, 
						template: cmTemplate
					},
					{ 
						name: "regdate", 
						width: 110, 
						template: cmTemplate
					},
					{ 
						name: "rtype", 
						width: 150, 
						template: cmTemplate,
						formatter: RekArtFormatter,
						stype: 'select',					
						searchoptions:
						{
							value: dds,
							clearSearch: false,
							searchOperators: false
						}					
					},				
					{ 
						name: "ffu", 
						width: 120, 
						template: cmTemplate,
						formatter: FfuFormatter,
						stype: 'select',					
						searchoptions:
						{
							value: ddf,
							clearSearch: false,
							searchOperators: false
						}					
					},				
					{ 
						name: "vko", 
						width: 120, 
						template: cmTemplate
					},
					{ 
						name: "svt", 
						width: 150, 
						template: cmTemplate
					},				
					{ 
						name: "req", 
						width: 150, 
						template: cmTemplate
					},
					{ 
						name: "regio", 
						width: 100, 
						template: cmTemplate,
						formatter: RegioFormatter,
						stype: 'select',					
						searchoptions:
						{
							value: ddreg,
							clearSearch: false,
							searchOperators: false
						}					
					},				
					{ 
						name: "tgrbz", 
						width: 170, 
						template: cmTemplate
					},
					{ 
						name: "supplier", 
						width: 200, 
						template: cmTemplate
					},				
					{ 
						name: "department", 
						width: 80, 
						template: cmTemplate
					},
					{ 
						name: "best", 
						width: 80, 
						template: cmTemplate
					},
					{
						name: "sts",
						hidden: true,
						hidedlg: true
					},
					{
						name: "qblc",
						hidden: true,
						hidedlg: true
					}				
				],
				regional: $globlan,
				storeNavOptions : true,			
				loadonce: false,
				pager: "#pager",
				recordpos: "left",
				height: 490,
				rowNum: 100,
				rowList: [10, 100, 500, 1000, 1500],
				hoverrows: false,
				rownumbers: true,
				sortname: "qbn",
				sortorder: "desc",
				viewrecords: true,
				gridview: true,
				autoencode: true,
				ignoreCase:true,
				loadui: "block",
				onRightClickRow: function (rowid, iRow, iCol, e) {
					window.localStorage.setItem("qb", $("#list").jqGrid('getRowData', rowid).qbn);
					$.ajax({
						url: "./tools/general_api.php",
						data: {
							routine: "get_qbs",
							qbn: $("#list").jqGrid('getRowData', rowid).qbn
						},
						success: function(result) {
							window.localStorage.setItem("qbn", result.substring(1, result.length-1));				
							window.open(
								'./basic.php',
								'_blank'
							);
							return false;
						}		
					});
					return false;
				},		
				loadComplete: function(data) {
					$("th[role='columnheader']")
						.unbind("mouseenter")
						.unbind("mouseleave");
					$(".ui-search-toolbar input[role='textbox']")
						.css("width", "92%")
						.css("background", "<?php echo $c_scheme['M5']; ?>")
						.css("padding", "2px");	
					
					var rows = $("#list").getDataIDs();
					for(a=0;a<rows.length;a++)
					{
						row = $("#list").getRowData(rows[a]);
						switch(row.sts) {
							case "N":
								$("#list").setCell (rows[a], "qbstatus","",{"background":"<?php echo $c_scheme['SN']; ?>"});
								break;					
							case "O":
								$("#list").setCell (rows[a], "qbstatus","",{"background":"<?php echo $c_scheme['SO']; ?>"});
								break;
							case "S":
								$("#list").setCell (rows[a], "qbstatus","",{"background":"<?php echo $c_scheme['ST']; ?>"});
								break;
							case "C":
								$("#list").setCell (rows[a], "qbstatus","",{"background":"<?php echo $c_scheme['SC']; ?>"});
								break;
						}				
					}
					$("#gs_regio").css("width", "95px");
					
				}
			};
			list1 = $("#list").jqGrid(obj)
				.jqGrid('filterToolbar',{searchOperators : false, searchOnEnter: false})
				.navGrid('#pager', {refresh: false, search: false, edit: false, del: false, add: false});
			$("th.ui-th-column", $("#list")[0].grid.hDiv).bind('contextmenu', function(e) {
				$("#list").jqGrid('columnChooser', {});
				return false;
			});
			$("#loading").hide();
		}
		function update_chart() {
			$("#list").setGridParam({datatype:'json', postData: {routine : "getdata", sdat: $("#sdat_org").val(), edat: $("#edat_org").val()}}).trigger('reloadGrid');
		}
		function export_excel() {
			$viscol = {};
			$gridcolumns = $('#list').jqGrid('getGridParam', 'colModel');
			$colnames = $('#list').jqGrid('getGridParam', 'colNames');
			for(key in $gridcolumns) {		
				if ($gridcolumns[key].name != "rn") {
					if (!($gridcolumns[key].hidden)) $viscol[$gridcolumns[key].name] = $colnames[key];
				}
			}	
		// stop if no column visible
			if (Object.keys($viscol).length == 0) return false;
			$("#colnames").val(JSON.stringify($viscol));
		// if filter is empty save empty array
			if ($("#list").getGridParam("postData").filters === undefined) {
				$hfilters = {};
				cnt = 0;
				$hfilters['groupOp'] = "AND";
				$hfilters['rules'] = [];
				$.each($(".ui-search-input"), function() {
					$inp = $(this).find($(":input"));
					$inpid = $($($inp)[0]).attr("id").split("_")[1];
					if ($inpid in $viscol) {
						if ($($($inp)[0]).val() != "") {
							cnt++;
							$hfilters['rules'].push({"field":$inpid, "op": "cn", "data": $($($inp)[0]).val()});
						}
					}
				});	
				if (cnt > 0) {
					$("#filters").val(JSON.stringify($hfilters));
				} else {
					$("#filters").val("[]");
				}
			} else {
				$("#filters").val($("#list").getGridParam("postData").filters);
			}		
			$("#s_date").val($("#sdat_org").val());
			$("#e_date").val($("#edat_org").val());
			$("#sdat_org1").val($("#sdat").val());
			$("#edat_org1").val($("#edat").val());
			$("#qblan").val($globlan);	
			document.xls.submit();
		}
		load_page();
	</script>
</body>
</html>