<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />	
	<?php include_once(dirname(__FILE__)."/tools/all_header.php"); global $c_scheme, $timezone, $rel_path; ?>
	<script>
		var js_debug = false;
		$data_changed = false;		
	</script>
	
    <title>Whos q-case</title>

	<link rel="stylesheet" href="./css/qb.php" />
	<link rel="stylesheet" href="./jqGrid_5.2.1/css/ui.jqgrid.css" />

	<style>
		.ui-jqgrid tr.jqgrow td{
			white-space:nowrap;
			height: 18px !important;
		}
		#pager_left{
			padding-top: 5px;
		}			
	</style>
	
	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>
	
	<?php 
		foreach(explode(":", $qb_support->getLanOnly()) as $key=>$value) {
			echo '<script src="./jqGrid_5.2.1/js/i18n/grid.locale-' . $value . '.js"></script>';
		}
	?>
	<script src="./jqGrid_5.2.1/js/jquery.jqGrid.min.js"></script>	
	
	<?php
		$query = "
			SELECT 
				DATE_FORMAT(NOW(), '%Y-%m-%d'), 
				DATEDIFF(MAX(QBREGDATE), NOW()), 
				DATEDIFF(MIN(QBREGDATE), NOW()),
				MIN(QBREGDATE),
				MAX(QBREGDATE),
				IF (DATEDIFF(MAX(QBREGDATE), MIN(QBREGDATE)) > 365, DATE_SUB(MAX(QBREGDATE), INTERVAL 365 DAY), MIN(QBREGDATE))
			FROM 
				qbi 
			WHERE 
				QBSTATUS NOT IN ('M', 'D')
		";
		$stmt = $db->query($query);
		list($now, $diffmax, $diffmin, $min, $max, $lmin) = $stmt->fetch(PDO::FETCH_NUM );
	?>

	<script>
	// load translation and save in localTranslation
		<?php	
			$ini_awhoqb = parse_ini_file($rel_path.'i18n/a_whoqb.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_awhoqb as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$cal = parse_ini_file($rel_path.'i18n/calendar.ini', true);
			echo "calTranslation = {};";
			foreach($cal as $key=>$value){
				$add = "";
				if ($value['tpe'] == "S") {
					foreach($value AS $lan=>$trans){
						if ($lan != "tpe") $add .= "'".$lan."':'".$trans."',";
					}
				} else {
					foreach($value AS $lan=>$trans){
						if ($lan != "tpe") {
							$tar = explode(",", $trans);
							$tar = implode("','", $tar);
							$add .= "'".$lan."': ['".$tar."'],";
						}
					}				
				}
				echo "calTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$ini_qbstatus = parse_ini_file($rel_path.'xml/qb_status.ini', true);	
			echo "qbstatusTranslation = {};";
			foreach($ini_qbstatus as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "qbstatusTranslation['".$key."']={".rtrim($add, ',')."};";
			}			
		?>
	</script>
</head>
<body>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
			<?php 
				echo "<div id='mainnav'>". $qb_support->get_main_menu(2) . "</div>";
			?>
			<div class="dtop">
				<span class="icn3_arraoleft_w_n clckbtn" style="float: left; font-size: 30px; margin-left: 5px;" data-type="title" data-lan="prev" title="<?php echo $ini_awhoqb['prev'][$_SESSION['lng']]; ?>" onclick="backtoanalysis()"></span>
				<span data-type="text" data-lan="whosqbs"><?php echo $ini_awhoqb['whosqbs'][$_SESSION['lng']]; ?></span>
			</div>
			<div id="btn_div" class="btn_div">
				<label class="dlabel vam w50" data-type="text" data-lan="start" ><?php echo $ini_awhoqb['start'][$_SESSION['lng']]; ?></label>
				<input type="text" id="sdat" data-type="date" data-lan="#sdat_org" class="dinputw vam w75" value="" onchange="update_grid()" readonly />
				<input type="hidden" id="sdat_org" value="" />
				<input type="hidden" id="sdat_i" value="" />
				<br style="margin: 10px 0;" />
				<label class="dlabel vam w50" data-type="text" data-lan="ende" ><?php echo $ini_awhoqb['ende'][$_SESSION['lng']]; ?></label>
				<input type="text" id="edat" data-type="date" data-lan="#edat_org" class="dinputw vam w75" value="" onchange="update_grid()" readonly />
				<input type="hidden" id="edat_org" value="" />
				<input type="hidden" id="edat_i" value="" />
			</div>
			<div style="display: inline-block; width: 670px; text-align: center;">
				<table id="list"></table> 
				<div id="pager"></div> 
			</div>
		</div>
		<?php include_once($rel_path.'footer.php'); ?> 		
	</div>
	<script>
		pickerOpts = {
			closeText: "X",		
			dateFormat: "yy-M-dd",
			altField: '#sdat_org',
			altFormat: 'yy-mm-dd',
			firstDay: 1,
			isRTL: false,
			showButtonPanel: true,
			displayClose: true,
			showOn: "button",  
			buttonImage: "./img/dummy_img.png", 
			buttonImageOnly: true,
			buttonText: localTranslation["cal"][$globlan],
			changeYear: true,
			changeMonth: true,
			maxDate: "+<?php echo $diffmax;?>d",
			minDate: "-<?php echo $diffmin;?>d"		
		}
		pickerOpts_2 = {
			closeText: "X",		
			dateFormat: "yy-M-dd",
			altField: '#edat_org',
			altFormat: 'yy-mm-dd',
			firstDay: 1,
			isRTL: false,
			showButtonPanel: true,
			displayClose: true,
			showOn: "button",  
			buttonImage: "./img/dummy_img.png", 
			buttonImageOnly: true,
			buttonText: localTranslation["cal"][$globlan],
			changeYear: true,
			changeMonth: true,
			maxDate: "+<?php echo $diffmax;?>d",
			minDate: "-<?php echo $diffmin;?>d"		
		}		
		
	// fix um bei klicken auf "Heute" den Kalender zu schliessen	
		var old_goToToday = $.datepicker._gotoToday;
		$.datepicker._gotoToday = function(id) {
			old_goToToday.call(this,id);   
			this._selectDate(id);
		};
		
		$.datepicker._defaults['currentText'] = calTranslation['currentText'][$globlan];
		$.datepicker._defaults['monthNames'] = calTranslation['monthNames'][$globlan];
		$.datepicker._defaults['monthNamesShort'] = calTranslation['monthNamesShort'][$globlan];
		$.datepicker._defaults['dayNamesMin'] = calTranslation['dayNamesMin'][$globlan];
		
		$("#sdat").datepicker(pickerOpts);
		clkevnt = $("#sdat").next().data('events').click[0].handler;
		$("#sdat").next().replaceWith('<span class="ui-datepicker-trigger icn_calendar_b_n clckbtn vam" data-type="title" data-lan="cal" title="<?php echo $ini_awhoqb['cal'][$_SESSION['lng']]; ?>"> </span>');
		$("#sdat").next().bind('click', clkevnt);		
		$("#edat").datepicker(pickerOpts_2);
		clkevnt = $("#edat").next().data('events').click[0].handler;
		$("#edat").next().replaceWith('<span class="ui-datepicker-trigger icn_calendar_b_n clckbtn vam" data-type="title" data-lan="cal" title="<?php echo $ini_awhoqb['cal'][$_SESSION['lng']]; ?>"> </span>');
		$("#edat").next().bind('click', clkevnt);

		function load_page() {
			$("#sdat").val(localizedate("<?php echo $lmin; ?>"));
			$("#edat").val(localizedate("<?php echo $max; ?>"));
			$("#sdat_org").val("<?php echo $lmin; ?>");
			$("#edat_org").val("<?php echo $max; ?>");
			$("#sdat_i").val("<?php echo $lmin; ?>");			// min start date
			$("#edat_i").val("<?php echo $max; ?>");			// max end date	
			start_search();
		}
	// switch language
		function c_lan(loc) {
			translate_header($globlan);	
			translate_mainmenu($globlan);
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {	
				switch ($(this).data("type")) {
					case "text":		
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "date":
						$(this).val(localizedate($($(this).data("lan")).val()));
						break;						
				}
			});
			$("#list").jqGrid('setLabel', "qbn", localTranslation["qbn"][$globlan])
				.jqGrid('setLabel', "role", localTranslation["irole"][$globlan])
				.jqGrid('setLabel', "visum", localTranslation["nname"][$globlan])
				.jqGrid('setLabel', "status", localTranslation["status"][$globlan])
				.jqGrid('setLabel', "doc", localTranslation["des"][$globlan]);

			$("#gs_role").find("option").each(function(idx, obj) {
				if ($(this).val() == "") {
					$(this).text(localTranslation["all"][$globlan]);
				} else {
					$(this).text(localTranslation[$(this).val()][$globlan]);
				}
			});	
			$("#gs_status").find("option").each(function(idx, obj) {
				if ($(this).val() == "") {
					$(this).text(localTranslation["all"][$globlan]);
				} else {
					$(this).text(qbstatusTranslation[$(this).val()][$globlan]);
				}
			});
			$.jgrid.setRegional('list',{regional: $globlan});
			$("#list").trigger("reloadGrid");
			$.datepicker._defaults['currentText'] = calTranslation['currentText'][$globlan];
			$.datepicker._defaults['monthNames'] = calTranslation['monthNames'][$globlan];
			$.datepicker._defaults['monthNamesShort'] = calTranslation['monthNamesShort'][$globlan];
			$.datepicker._defaults['dayNamesMin'] = calTranslation['dayNamesMin'][$globlan];			
		}
		function backtoanalysis() {
			window.location.href="./analysis.php";
		}
		function StatusFormatter (cellvalue, options, rowObject)
		{
			var ctext = qbstatusTranslation[cellvalue][$globlan];
			return ctext;
		}
		function RoleFormatter (cellvalue, options, rowObject)
		{
			return localTranslation[cellvalue][$globlan];
		}
		function DescFormatter (cellvalue, options, rowObject)
		{	
			return cellvalue;
		}			
		function start_search() {
			$("#loading").show();
			cmTemplate = {
				sorttype:'string',
				editable: false,
				searchoptions: {
					sopt:['cn'], 
					clearSearch: false
				}
			};		
			obj = {
				url:  "./tools/a_whoqb_api.php",
				postData: {
					routine : "getlist",
					sdat: $("#sdat_org").val(),
					edat: $("#edat_org").val()				
				},
				contentType: "application/json",
				datatype: "json",
				jsonReader: {
					id: "id",
					repeatitems: true
				},
				mtype: "POST",
				colNames: [
					localTranslation["qbn"][$globlan],
					localTranslation["irole"][$globlan],
					localTranslation["nname"][$globlan],
					localTranslation["status"][$globlan],
					localTranslation["des"][$globlan],
					""
				],	
				colModel: [
					{ 
						name: "qbn", 
						width: 90,
						template: cmTemplate
					},
					{ 
						name: "role", 
						width: 140, 
						template: cmTemplate,
						stype: 'select',
						searchoptions:
						{
							value: ":"+localTranslation['all'][$globlan]+";MEMBER:"+localTranslation['MEMBER'][$globlan]+";PL:"+localTranslation['PL'][$globlan]+";SVT:"+localTranslation['SVT'][$globlan]
						},					
						formatter: RoleFormatter
					},
					{
						name: "visum", 
						width: 140,
						template: cmTemplate
					},
					{
						name: "status", 
						width: 120,
						template: cmTemplate,
						stype: 'select',
						searchoptions:
						{
							value: ":"+localTranslation['all'][$globlan]+";O:"+qbstatusTranslation['O'][$globlan]+";S:"+qbstatusTranslation['S'][$globlan]+";C:"+qbstatusTranslation['C'][$globlan]
						},							
						formatter: StatusFormatter
					},
					{ 
						name: "doc", 
						width: 250,
						editable: false,			
						sorttype:'string', 
						searchoptions:
						{
							sopt:['cn','nc','bw','eq','bn','ew','en'],
							clearSearch: false
						},
						formatter: DescFormatter
					},
					{
						name: "sts", 
						hidden: true
					}				
				],
				regional: $globlan,
				storeNavOptions : true,			
				loadonce: false,
				pager: "#pager",
				recordpos: "left",
				height: 510,
				rowNum: 100,
				rowList: [10, 100, 500, 1000, 1500],
				hoverrows: false,
				rownumbers: true,
				sortname: "qbn",
				sortorder: "desc",
				viewrecords: true,
				gridview: true,
				autoencode: true,
				ignoreCase:true,
				loadui: "block",
				onRightClickRow: function (rowid, iRow, iCol, e) {
					window.localStorage.setItem("qb", $("#list").jqGrid('getRowData', rowid).qbn);
					$.ajax({
						url: "./tools/general_api.php",
						data: {
							routine: "get_qbs",
							qbn: $("#list").jqGrid('getRowData', rowid).qbn
						},
						success: function(result) {
							window.localStorage.setItem("qbn", result.substring(1, result.length-1));				
							window.open(
								'./basic.php',
								'_blank'
							);
							return false;
						}		
					});
					return false;
				},			
				loadComplete: function() {	
					$("th[role='columnheader']")
						.unbind("mouseenter")
						.unbind("mouseleave");

					var rows = $("#list").getDataIDs();
					for(a=0;a<rows.length;a++)
					{
						row = $("#list").getRowData(rows[a]);
						switch(row.sts) {
							case "N":
								$("#list").setCell (rows[a], "status","",{"background":"<?php echo $c_scheme['SN']; ?>"});
								break;					
							case "O":
								$("#list").setCell (rows[a], "status","",{"background":"<?php echo $c_scheme['SO']; ?>"});
								break;
							case "S":
								$("#list").setCell (rows[a], "status","",{"background":"<?php echo $c_scheme['ST']; ?>"});
								break;
							case "C":
								$("#list").setCell (rows[a], "status","",{"background":"<?php echo $c_scheme['SC']; ?>"});
								break;
						}
					}
				},
				gridComplete: function(data) {
					$(".ui-search-toolbar input[role='textbox']")
						.css("width", "92%")
						.css("background", "<?php echo $c_scheme['M5']; ?>")
						.css("padding", "2px");	
					$(".ui-search-toolbar select[role='select']")
						.removeClass("ui-corner-all")
						.css("background", "<?php echo $c_scheme['M5']; ?>")
						.css("padding", "2px");					
				}			
			};
			list1 = $("#list").jqGrid(obj)
				.jqGrid('filterToolbar',{searchOperators : false, searchOnEnter: false})
				.navGrid('#pager', {refresh: false, search: false, edit: false, del: false, add: false});
			$("#loading").hide();
		}
		function update_grid() {
			$("#list").setGridParam({datatype:'json', postData: {sdat: $("#sdat_org").val(), edat: $("#edat_org").val()}}).trigger('reloadGrid');
		}
		load_page();
	</script>
</body>
</html>