<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />		
	<?php include_once(dirname(__FILE__)."/tools/all_header.php"); global $c_scheme, $timezone, $rel_path;?>
	<script>
		var js_debug = false;
		$data_changed = false;		
	</script>
	
    <title>Analysis</title>
	
	<link rel="stylesheet" href="./css/qb.php" />
	
	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>
	
	<script>		
	// load translation and save in localTranslation
		<?php	
			$ini_analysis = parse_ini_file($rel_path.'i18n/analysis.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_analysis as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$ini_region = parse_ini_file($rel_path.'xml/regions.ini', true);	
			echo "regionTranslation = {};";
			$ini_region['all']=$ini_analysis['all'];
			foreach($ini_region as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "regionTranslation['".$key."']={".rtrim($add, ',')."};";
			}		
			$ini_class = parse_ini_file($rel_path.'xml/class.ini', true);
			$ini_class['all']=$ini_analysis['all'];
			echo "classTranslation = {};";
			foreach($ini_class as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "classTranslation['".$key."']={".rtrim($add, ',')."};";
			}				
		?>			
	</script>
</head>
<body>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
			<?php 
				echo "<div id='mainnav'>". $qb_support->get_main_menu(2) . "</div>";
			?>
			<div style="font: normal 10pt Arial; padding: 5px; margin: 0px;">
				<fieldset style="border: 0px; padding: 10px; background: <?php echo $c_scheme['M4']; ?>; width: 97%; margin: 5px; margin-bottom: 0; text-align: left;">
					<span class="spanbuttona" data-type="text" data-lan="dlz_abfrage" onclick="free()"><?php echo $ini_analysis['dlz_abfrage'][$_SESSION['lng']]; ?></span>
					<?php	if (isset($_SESSION['lg'])) { ?>
						<span class="spanbuttona" data-type="text" data-lan="dlz_abfrage" onclick="pquery()"><?php echo $ini_analysis['pquery'][$_SESSION['lng']]; ?></span>
					<?php	} ?>					
					<span class="spanbuttona" data-type="text" data-lan="topqbs" onclick="topqbs();"><?php echo $ini_analysis['topqbs'][$_SESSION['lng']]; ?></span>
					<span class="spanbuttona" data-type="text" data-lan="dlz" onclick="dlz()"><?php echo $ini_analysis['dlz'][$_SESSION['lng']]; ?></span>
					<span class="spanbuttona" data-type="text" data-lan="dlz2" onclick="dlz2()"><?php echo $ini_analysis['dlz2'][$_SESSION['lng']]; ?></span>
					<span class="spanbuttona" data-type="text" data-lan="general" onclick="qb_allg()"><?php echo $ini_analysis['general'][$_SESSION['lng']]; ?></span>
					<span class="spanbuttona" data-type="text" data-lan="meta" onclick="qb_meta()"><?php echo $ini_analysis['meta'][$_SESSION['lng']]; ?></span>				
					<span class="spanbuttona" data-type="text" data-lan="top_ten" onclick="qb_topten()"><?php echo $ini_analysis['top_ten'][$_SESSION['lng']]; ?></span>
					<span class="spanbuttona" data-type="text" data-lan="whosqbs" onclick="qb_who()"><?php echo $ini_analysis['whosqbs'][$_SESSION['lng']]; ?></span>
					<span class="spanbuttona" data-type="text" data-lan="verlauf" onclick="qb_cont()"><?php echo $ini_analysis['verlauf'][$_SESSION['lng']]; ?></span>
					<span class="spanbuttona" data-type="text" data-lan="no_activity" onclick="qb_act()"><?php echo $ini_analysis['no_activity'][$_SESSION['lng']]; ?></span>
					<span class="spanbuttona" data-type="text" data-lan="fuvsco" onclick="qb_fuvsco()"><?php echo $ini_analysis['fuvsco'][$_SESSION['lng']]; ?></span>				
					<span class="spanbuttona" data-type="text" data-lan="wgrs" onclick="qb_wgr()"><?php echo $ini_analysis['wgrs'][$_SESSION['lng']]; ?></span>
					<span class="spanbuttona spanbuttondoubleline" data-type="text" data-lan="wgrsg" onclick="qb_wgrg()"><?php echo $ini_analysis['wgrsg'][$_SESSION['lng']]; ?></span>
					<span class="spanbuttona" data-type="text" data-lan="region" onclick="qb_reg()"><?php echo $ini_analysis['region'][$_SESSION['lng']]; ?></span>
					<span class="spanbuttona" data-type="text" data-lan="open_ai" onclick="qb_oai()"><?php echo $ini_analysis['open_ai'][$_SESSION['lng']]; ?></span>
					<span class="spanbuttona" data-type="text" data-lan="no_actions" onclick="qb_noai()"><?php echo $ini_analysis['no_actions'][$_SESSION['lng']]; ?></span>
					<span class="spanbuttona" data-type="text" data-lan="qb_r_g" onclick="qb_qb_r_g();"><?php echo $ini_analysis['qb_r_g'][$_SESSION['lng']]; ?></span>
					<span class="spanbuttona" data-type="text" data-lan="orphaned" onclick="qb_orphaned();"><?php echo $ini_analysis['orphaned'][$_SESSION['lng']]; ?></span>	
					<span class="spanbuttona spanbuttondoubleline" data-type="text" data-lan="ffusuploc" onclick="qb_ffusup();"><?php echo $ini_analysis['ffusuploc'][$_SESSION['lng']]; ?></span>
					<span class="spanbuttona" data-type="text" data-lan="linkedqb" onclick="linkedqb();"><?php echo $ini_analysis['linkedqb'][$_SESSION['lng']]; ?></span>
					<span class="spanbuttona spanbuttondoubleline" data-type="text" data-lan="linksummary" onclick="linksummary();"><?php echo $ini_analysis['linksummary'][$_SESSION['lng']]; ?></span>
					<span class="spanbuttona" data-type="text" data-lan="rejects" onclick="rejects();"><?php echo $ini_analysis['rejects'][$_SESSION['lng']]; ?></span>
					<?php
						if ($qb_support->getoptions('qblight', 'set') == "yes") 
						{ 
					?>
							<span class="spanbuttona" data-type="text" data-lan="qbvslight" onclick="qb_rel()"><?php echo $ini_analysis['qbvslight'][$_SESSION['lng']]; ?></span>
					<?php 
						}
						if ($qb_support->getoptions('failurecodes', 'set') == "yes") 
						{ 
					?>
							<span class="spanbuttona" data-type="text" data-lan="f_class" onclick="qb_fclass()"><?php echo $ini_analysis['f_class'][$_SESSION['lng']]; ?></span>
							<span class="spanbuttona" data-type="text" data-lan="fcodereport" onclick="qb_fcreport()"><?php echo $ini_analysis['fcodereport'][$_SESSION['lng']]; ?></span>
					<?php
						}
						if ($qb_support->getoptions('immediateclosure', 'set') == "yes") 
						{
					?>
							<span class="spanbuttona" data-type="text" data-lan="imm_close" onclick="qb_xx()"><?php echo $ini_analysis['imm_close'][$_SESSION['lng']]; ?></span>
					<?php
						}
					?>
					<span class="spanbuttona" data-type="text" data-lan="ffu_sup" onclick="wep();"><?php echo $ini_analysis['ffu_sup'][$_SESSION['lng']]; ?></span>
					<?php if ($qb_support->getOptions('suppliertracking', 'useit') == "yes") { ?>
						<span class="spanbuttona" data-type="text" data-lan="supplier_track" onclick="tracksupplier();"><?php echo $ini_analysis['supplier_track'][$_SESSION['lng']]; ?></span>
					<?php } ?>
				</fieldset>
				<fieldset style=" border: 0px; padding: 10px; width: 97%; height: 235px; margin: 0; margin-left: 5px; text-align: center; float: left; background: <?php echo $c_scheme['M1']; ?>;">
					<label class="dlabel" data-type="text" data-lan="open_qb" style="color: <?php echo $c_scheme['XI']; ?>;"><?php echo $ini_analysis['open_qb'][$_SESSION['lng']]; ?></label>
					<p style="margin-top: 15px; text-align: left;">
						<label class="dlabel w100" data-type="text" data-lan="clss" style="color: <?php echo $c_scheme['XI']; ?>;"><?php echo $ini_analysis['clss'][$_SESSION['lng']]; ?></label>
						<select id="clss" data-type="select" data-lan="clss">
							<?php
								foreach($ini_class as $key=>$value){
									echo "<option value='$key'>".$value[$_SESSION['lng']]."</option>";
								}
							?>
						</select>
					</p>
					<p style="margin-top: 15px;text-align: left;">
						<label class="dlabel w100" data-type="text" data-lan="clss" style="color: <?php echo $c_scheme['XI']; ?>;"><?php echo $ini_analysis['sregion'][$_SESSION['lng']]; ?></label>
						<select id="region" data-type="select" data-lan="region" >
							<?php
								foreach($ini_region as $key=>$value){
									echo "<option value='$key'>".$value[$_SESSION['lng']]."</option>";
								}
							?>
						</select>
					</p>						
					<span style="margin-top: 30px;" class="spanbuttona" data-type="text" data-lan="report" onclick="oqbreport();"><?php echo $ini_analysis['report'][$_SESSION['lng']]; ?></span>
				</fieldset>
			</div>
		</div>
		<?php include_once($rel_path.'/footer.php'); ?> 
	</div>
	<script>
		$('#clss').val("T");
		$('#clss').width(175).customSelect({customClass: "cSelect_wht"});
		$('#region').val("all");
		$('#region').width(175).customSelect({customClass: "cSelect_wht"});
		
		$(document)
			.on('mouseover', '.spanbuttona', function() {
				$(this).css("color", "<?php echo $c_scheme['M1']; ?>");
			})	
			.on('mouseout', '.spanbuttona', function() {
				$(this).css("color", "<?php echo $c_scheme['M3']; ?>");
			})
	// switch language
		function c_lan() {
			translate_header($globlan);	
			translate_mainmenu($globlan);
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {	
				switch ($(this).data("type")) {
					case "text":		
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "select":
						if ($(this).data("lan") == "clss") {
							$(this).find("option").each(function() {
								$(this).text(classTranslation[$(this).val()][$globlan]);
							});
							$('#clss').trigger('render');
						}
						if ($(this).data("lan") == "region") {
							$(this).find("option").each(function() {
								$(this).text(regionTranslation[$(this).val()][$globlan]);
							});
							$('#region').trigger('render');
						}						
						break;						
				}
			});	
		}
		function oqbreport() {
			window.open('./tools/qb_co.php?param='+$("#region").val()+'&qblan='+$globlan+'&cl='+$("#clss").val(), '_blank');
		}
		function pquery() {
			window.location.href = "./privatequery.php";
		}		
		function rejects() {
			window.location.href = "./a_rejects.php";
		}					
		function load_page() {
		}
		function linkedqb() {
			window.location.href = "./a_linkedqb.php";
		}
		function free() {
			window.location.href = "./freequery.php";
		}
		function linksummary() {
			window.location.href = "./a_linksummary.php";
		}
		function topqbs() {
			window.location.href = "./a_topqb.php";
		}
		function wep() {
			window.location.href = "./wepquery.php";
		}
		function purcont() {
			window.location.href = "./purcont.php";
		}	
		function dlz() {
			window.location.href = "./a_dlz.php";
		}
		function dlz2() {
			window.location.href = "./a_dlz2.php";
		}	
		function qb_allg() {
			window.location.href = "./a_gen.php";
		}
		function qb_meta() {
			window.location.href = "./a_meta.php";
		}
		function qb_topten() {
			window.location.href = "./a_topten.php";
		}
		function qb_who() {
			window.location.href = "./a_whoqb.php";
		}	
		function qb_act() {
			window.location.href = "./a_actqb.php";
		}
		function qb_cont() {
			window.location.href = "./a_contqb.php";
		}
		function qb_rel() {
			window.location.href = "./a_qbrel.php";
		}
		function qb_reg() {
			window.location.href = "./a_region.php";
		}
		function qb_fclass() {
			window.location.href = "./a_fclass.php";
		}
		function qb_fcreport() {
			window.location.href = "./a_fcreport.php";
		}
		function nocomonth() {
			window.location.href = "./a_nocomonth.php";
		}
		function qb_oai() {
			window.location.href = "./a_openai.php";
		}
		function qb_noai() {
			window.location.href = "./a_noactions.php";
		}
		function qb_xx() {
			window.location.href = "./a_xx.php";
		}
		function qb_fuvsco() {
			window.location.href = "./a_fuvsco.php";
		}
		function qb_qb_r_g() {
			window.location.href = "./a_qb_r_g.php";
		}
		function qb_wgr() {
			window.location.href = "./a_wgr.php";
		}
		function qb_wgrg() {
			window.location.href = "./a_wgrg.php";
		}		
		function qb_ada() {
			window.location.href = "./a_adanalysis.php";
		}	
		function qb_orphaned() {
			window.location.href = "./a_orphaned.php";
		}
		function qb_ffusup() {
			window.location.href = "./a_ffusup.php";
		}
		function purkpi() {
			<?php
				if ($qb_support->checkflag("B")) {
					print("window.location.href = './purkpi.php'");
				} else {
			?>
					jAlert(localTranslation["norights"][$globlan], localTranslation["attention"][$globlan]);
					return false;		
			<?php
				}
			?>
		}
		function special1() {
			<?php	
				if ($qb_support->checkflag("S")) {
					print("window.location.href = './special1.php'");
				} else {
			?>
					jAlert(localTranslation["norights"][$globlan], localTranslation["attention"][$globlan]);
					return false;		
			<?php
				}
			?>
		}	
		function tracksupplier() {
			<?php
				if ($qb_support->checkflag("T")) {
					print("window.location.href = './suptrack.php'");
				} else {
			?>
					jAlert(localTranslation["norights"][$globlan], localTranslation["attention"][$globlan]);
					return false;		
			<?php
				}
			?>
		}		
	</script>
</body>
</html>
