<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />	
	<?php include_once(dirname(__FILE__)."/tools/all_header.php"); global $c_scheme, $timezone, $rel_path; ?>
	<script>
		var js_debug = false;
		$data_changed = false;
        var referrer = document.referrer;
	</script>
	
    <title>Change Password</title>
	
	<link rel="stylesheet" href="./css/qb.php" />
	
	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>

	<script>
	// load translation and save in localTranslation
		<?php	
			$ini_cpwuser = parse_ini_file($rel_path.'i18n/cpwuser.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_cpwuser as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
		?>
	</script>
</head>
<body>
<body>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
            <div id='mainnav'>
                <ul style='margin-left: 20px;'>
                    <li class='acl'><span data-type='text' data-lan='cpw' data-sr='1'id='sel'><?php echo $ini_cpwuser['cpw'][$_SESSION['lng']]; ?></span></li>
                </ul>
            </div>
			<div class="dtop">
				<span data-type="span" data-lan="cpw"><?php echo $ini_cpwuser['cpw'][$_SESSION['lng']]; ?></span>
			</div>
			<div class="tabs_container">
				<p data-type="text" data-lan="" style="margin-top: 20px;height: 25px; text-align: center; color: <?php echo $c_scheme['XN']; ?>; font: bold 14pt Arial;" id="login_info"><p/>
				<div style="background: <?php echo $c_scheme['M4']; ?>; width: 550px; margin: auto; margin-top: 20px; padding: 20px 5px;">		
					<p>
						<label data-type="text" data-lan="old_pw" class="dlabel w200"><?php echo $ini_cpwuser['old_pw'][$_SESSION['lng']]; ?></label>
						<input type="password" class='dinputw w300 vam' id="opassword" />
					<p />						
					<p>
						<label data-type="text" data-lan="set_new_pw" class="dlabel w200"><?php echo $ini_cpwuser['set_new_pw'][$_SESSION['lng']]; ?></label>
						<input type="password" class='dinputw w300 vam' id="password1" />
					<p />	
					<p>
						<label data-type="text" data-lan="set_new_pw" class="dlabel w200"><?php echo $ini_cpwuser['set_new_pw'][$_SESSION['lng']]; ?></label>
						<input type='password' class='dinputw w300 vam' id='password2' />
					<p />
				</div>
				<center>
					<span data-type="text" data-lan="send" class="spanbutton w100" onclick="check_form();" style="margin-top: 20px;" ><?php echo $ini_cpwuser['send'][$_SESSION['lng']]; ?></span>
				</center>
			</div>
		</div>
		<?php include_once($rel_path.'/footer.php'); ?> 		
	</div>
	<!-- JScript-Bereiche fuer MS Internet Explorer -->
	<script for="document" event="onkeydown()" language="JScript" type="text/jscript">
	<!--
	 { if (window.event.keyCode==13) check_form();}
	//-->
	</script>
	<script>
		var Netscape = new Boolean();
		if(navigator.appName == "Netscape")  Netscape = true;
		document.onkeydown = TasteGedrueckt;	
		document.getElementById("opassword").focus();
		
		function TasteGedrueckt(Ereignis)
		{
			if(Netscape) {
				if (Ereignis.which==13) check_form();
			}
		}		
	// switch language
		function c_lan(loc) {
			translate_header($globlan);
			translate_system($globlan);
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {			
				switch ($(this).data("type")) {
					case "text":
						if ($(this).data("lan")=="") break;					
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;						
				}
			});
		}
		function check_form() {
		// check for consistency
			if ($('#password1').val() != $.trim($('#password1').val())) {
		// passwords contains spaces
				jAlert(localTranslation["no_spaces"][$globlan], localTranslation["attention"][$globlan]);
				return false;
			}	
			if ($('#password2').val() != $.trim($('#password2').val())) {
		// passwords contains spaces
				jAlert(localTranslation["no_spaces"][$globlan], localTranslation["attention"][$globlan]);
				return false;
			}	
		// no user - verfiy both passwords in addition
			if ($('#password1').val() != $('#password2').val()) {
		// passwords do not match
				jAlert(localTranslation["no_match"][$globlan], localTranslation["attention"][$globlan]);
				return false;
			}
			if ($('#password1').val().length < 5) {
		// password too short
				jAlert(localTranslation["too_short"][$globlan], localTranslation["attention"][$globlan]);
				return false;
			} 
		// login equals password
			if ($('#password1').val().toLowerCase() == $("#aroleinfo").data("login")) {
				jAlert(localTranslation["not_same"][$globlan], localTranslation["attention"][$globlan]);
				return false;
			} 
			$("#loading").show();
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/general_api.php",
				data: { 
					routine: "changepw",
					opwd: $.base64.encode($('#opassword').val()),
					pwd: $.base64.encode($('#password1').val()),
					mode: "1"
				},
                dataType: "json",
				success: function(result)
				{
			// change sucessfull
					if (result[0] == 1) {
						jAlert(localTranslation[result[1]][$globlan], localTranslation["attention"][$globlan], function(){ location.href = "./basic.php";});
						return false;		
					} else {
						$("body :input").each(function(){
							$(this).val("");
						});				
						$("#login_info").text(localTranslation[result[1]][$globlan]);
						$("#login_info").data("lan", result[1]);
						$("#loading").hide();
						return;
					}
				}
			});	
		}		
	</script>
</body>
</html>
