<?php
// open log file
	$myFile = dirname(__FILE__) . "/log_overdue_pl_assignment.txt";	
	$fh = fopen($myFile, 'a');	
	$stringData = "*** Checking for overdue PL assignments  @ " . date("Y-m-d H:i:s") . " ***\r\n";		
// check for reminders for SVT which have been assigned but not assigned a PL yet
//
// get reminder intervals
	$query = "SELECT REMINDER, REMINDER2 FROM qb_conf";
	$stmt = $db->query($query);
	list($rem, $rem2) = $stmt->fetch(PDO::FETCH_NUM );	
// get all QB which have no PL is assigned but the SVT was informed (excluding deleted QBs) more than 1hour ago
	$query = "
		SELECT 
			QBN, 
			TIME_FORMAT((TIMEDIFF(NOW(), SVTI)), '%H'), 
			SVT, 
			IC 
		FROM 
			qbi 
		WHERE 
			SVTI != '0000-00-00 00:00:00' AND 
			QBSTATUS = 'N'
	";
	$stmt = $db->query($query);
	while ($readrow = $stmt->fetch(PDO::FETCH_NUM)) {	
		list($ckqb, $td, $svt, $ic) = $readrow;					
		$td = $td * 1;
		$spanne = 0;	
		($ic > 0)?$spanne=$rem2:$spanne=$rem;			
// now check if reminder is due
		if ($td >= $spanne) {
// yes, overdue -> remind SVT
			$query = "
				SELECT 
					VORNAME, 
					EMAIL, 
					LANG,
					NACHNAME
				FROM 
					qb_user
				WHERE 
					LOGIN=:svt
        LIMIT 25
			";
			$stmt2 = $db->prepare($query);
			$stmt2->execute(array(':svt' => $svt));
			$row = $stmt2->fetch(PDO::FETCH_NUM);
			if ($row[2] == "") $row[2] = $qb_support->getOptions('fallbacklang', 'set');
	// generate message
			$template = file_get_contents(dirname(__FILE__) . "/../mail/".$row[2].".cron.overdue_pl_assignment.html");
			$template = str_replace('{{qbnummer}}', $ckqb, $template);
			$template = str_replace('{{username}}', $row[0], $template);
			$template = str_replace('{{remcount}}', ($ic+1).".", $template);
			$template = str_replace('{{qblink}}', $relili . $ckqb . "&page=team", $template);
			preg_match('/<title>(.*)<\/title>/iU', $template, $subject);
			$subject = "QB".$ckqb.": ".$subject[1];					
			$qb_support->templatemail($row[1], $subject, $template, "", "cron:overdue_pl_assignment");
	// increment IC and update SVTI to NOW() -> reminder-cycle starts new
			$query = "UPDATE qbi SET SVTI=NOW(), IC=(IC + 1) WHERE QBN=:qbn";
			$stmt2 = $db->prepare($query);
			$stmt2->execute(
				array(
					':qbn' => $ckqb
				)
			);
			$stringData .= "overdue PL assignment on QB" . $ckqb . " - SVT: " . $row[3] . ", " . $row[0] . "\r\n";
			if ($ic > 1) {
		// SVT has not reacted on first and second reminder -> inform GQ
			// get escalation email
				$query = "SELECT SENDERMAIL FROM qb_conf";
				$stmt2 = $db->query($query);
				list($gq) = $stmt2->fetch(PDO::FETCH_NUM);
				$lng = $qb_support->getOptions('fallbacklang', 'set');
		// generate message
				$template = file_get_contents(dirname(__FILE__) . "/../mail/".$lng.".cron.overdue_pl_assignment_info_gq.html");
				$template = str_replace('{{qbnummer}}', $ckqb, $template);
				$template = str_replace('{{remcount}}', ($ic+1).".", $template);
				$template = str_replace('{{qblink}}', $relili . $ckqb . "&page=team", $template);
				preg_match('/<title>(.*)<\/title>/iU', $template, $subject);
				$subject = "QB".$ckqb.": ".$subject[1];					
				$qb_support->templatemail($gq, $subject, $template, "", "cron:overdue_pl_assignment_info_gq");			
				$stringData .= "PL not assigned after second reminder, inform GQ. QB" . $ckqb . " - SVT: " . $row[3] . ", " . $row[0] . ", Reminder: ".($ic+1)."\r\n";
			}
		}
	}
// write log file
	if (strlen($stringData) > 0) {
		fwrite($fh, $stringData);
		fwrite($fh, "//\r\n");
	}
	fclose($fh);	
?>