<?php
	$cal = parse_ini_file(dirname(__FILE__) . '/../i18n/calendar.ini', true);	
// open log file
	$myFile = dirname(__FILE__) . "/log_svt_close.txt";	
	$fh = fopen($myFile, 'a');	
	$stringData = "*** Checking for overdue closure releases  @ " . date("Y-m-d H:i:s") . " ***\r\n";		
// check for closure releases
//
// get reminder intervals
	$query = "SELECT REMINDER5 FROM qb_conf";
	$stmt = $db->query($query);
	$row = $stmt->fetch(PDO::FETCH_NUM );	
// check closure requests
	$query = "
		SELECT 
			qb_close.QBN, 
			VG_DATE, 
			VORNAME, 
			EMAIL, 
			LANG, 
			qb_close.IDX, 
			NACHNAME 
		FROM 
			qb_close 
		LEFT JOIN 
			qbi 
		ON 
			qb_close.QBN=qbi.QBN 
		LEFT JOIN 
			qb_user 
		ON 
			SVT=LOGIN 
		WHERE 
			DATEDIFF(NOW(), VG_DATE)>:rem AND 
			INFO<>CURDATE() AND 
			(CSTATUS='3' OR CSTATUS='7') AND
			QBSTATUS NOT IN ('D', 'M')
    LIMIT 30
	";
	$stmt = $db->prepare($query);
	$stmt->execute(array(':rem' => $row[0]));
	while($row = $stmt->fetch(PDO::FETCH_NUM)) {
		list($qbn, $due, $vn, $email, $lang, $imidx, $nn) = $row;
		if ($lang == "") $lang = $qb_support->getOptions('fallbacklang', 'set');
// localize date
		$calloc = explode(",", $cal['monthNamesShort'][$lang]);
		$h1 = explode("-", $due);
		$due = $h1[0] . "-" . $calloc[$h1[1]-1] . "-" . $h1[2];
// generate message
		$template = file_get_contents(dirname(__FILE__) . "/../mail/".$lang.".cron.svt_close_overdue.html");
		$template = str_replace('{{qbnummer}}', $qbn, $template);
		$template = str_replace('{{username}}', $vn, $template);
		$template = str_replace('{{termin}}', $due, $template);
		$template = str_replace('{{qblink}}', $relili . $qbn . "&page=close", $template);
		preg_match('/<title>(.*)<\/title>/iU', $template, $subject);
		$subject = "QB".$subject[1];					
		$qb_support->templatemail($email, $subject, $template, "", "cron:svt_close_overdue");	
// update database
		$query = "UPDATE qb_close SET INFO=CURDATE() WHERE IDX=:idx";
		$stmt2 = $db->prepare($query);
		$stmt2->execute(
			array(
				':idx' => $imidx
			)
		);
		$stringData .= "overdue closure release on QB" . $qbn . " - SVT: " . $nn . ", " . $vn . ", due: " . $due . "\r\n";
	}
// write log file
	if (strlen($stringData) > 0) {
		fwrite($fh, $stringData);
		fwrite($fh, "//\r\n");
		$stringData = "";
	}
	fclose($fh);	
?>