<?php
	$cal = parse_ini_file(dirname(__FILE__) . '/../i18n/calendar.ini', true);
// open log file
	$myFile = dirname(__FILE__) . "/log_svt_implement.txt";	
	$fh = fopen($myFile, 'a');	
	$stringData = "*** Checking for overdue implementation releases  @ " . date("Y-m-d H:i:s") . " ***\r\n";		
// check for implementation releases
//
// get reminder intervals
	$query = "SELECT REMINDER4 FROM qb_conf";
	$stmt = $db->query($query);
	$row = $stmt->fetch(PDO::FETCH_NUM );	
// check implemetation requests

	$query = "
		SELECT 
			qb_imp.QBN, 
			SEND_TO_SVT, 
			VORNAME, 
			EMAIL, 
			LANG, 
			qb_imp.IDX, 
			NACHNAME 
		FROM 
			qb_imp 
		LEFT JOIN 
			qbi 
		ON 
			qb_imp.QBN=qbi.QBN 
		LEFT JOIN 
			qb_user 
		ON 
			SVT=LOGIN 
		WHERE 
			DATEDIFF(NOW(), SEND_TO_SVT)>:rem AND 
			INFO<>CURDATE() AND 
			DATE_ACC_BY_SVT='0000-00-00' AND 
			LIGHT=0 AND 
			QBSTATUS NOT IN ('D', 'M')
      LIMIT 30
	";
	$stmt = $db->prepare($query);
	$stmt->execute(array(':rem' => $row[0]));
	while($row = $stmt->fetch(PDO::FETCH_NUM)) {
		list($qbn, $due, $vn, $email, $lang, $imidx, $nn) = $row;
		if ($lang == "") $lang = $qb_support->getOptions('fallbacklang', 'set');
// localize date
		$calloc = explode(",", $cal['monthNamesShort'][$lang]);
		$h1 = explode("-", $due);
		$due = $h1[0] . "-" . $calloc[$h1[1]-1] . "-" . $h1[2];
// generate message
		$template = file_get_contents(dirname(__FILE__) . "/../mail/".$lang.".cron.svt_implement_overdue.html");
		$template = str_replace('{{qbnummer}}', $qbn, $template);
		$template = str_replace('{{username}}', $vn, $template);
		$template = str_replace('{{termin}}', $due, $template);
		$template = str_replace('{{qblink}}', $relili . $qbn . "&page=implement", $template);
		preg_match('/<title>(.*)<\/title>/iU', $template, $subject);
		$subject = "QB".$qbn.": ".$subject[1];					
		$qb_support->templatemail($email, $subject, $template, "", "cron:svt_implement_overdue");	
// update database
		$query = "UPDATE qb_imp SET INFO=CURDATE() WHERE IDX=:idx";
		$stmt2 = $db->prepare($query);
		$stmt2->execute(
			array(
				':idx' => $imidx
			)
		);
		$stringData .= "overdue implementation release on QB" . $qbn . " - SVT: " . $nn . ", " . $vn . ", due: " . $due . "\r\n";
	}
// write log file
	if (strlen($stringData) > 0) {
		fwrite($fh, $stringData);
		fwrite($fh, "//\r\n");
		$stringData = "";
	}
	fclose($fh);	
?>