<?php
//
// constants
//
	// timetable - defines the datediff per day (run time of script) when a teammember is set to "no answer" in team approval loop
	$timetable = array();
	$timetable[0] = 99;		// Sunday, not used (99)
	$timetable[1] = 4;		// Monday
	$timetable[2] = 4;		// Tuesday
	$timetable[3] = 2;		// Wednesday
	$timetable[4] = 2;		// Thursday
	$timetable[5] = 2;		// Friday
	$timetable[6] = 99;		// Saturday, not used (99)
//
	$myFile = dirname(__FILE__) . "/log_vote.txt";	
	$fh = fopen($myFile, 'a');	
	$stringData = "*** Checking for votes @ " . date("Y-m-d H:i:s") . "***\r\n//\r\n";
	fwrite($fh, $stringData);
	$stringData = "";
//	
// check team approval
//
// get day of week
	$query = "SELECT DATE_FORMAT(NOW(), '%w')";
	$stmt = $db->query($query);
	$row = $stmt->fetch(PDO::FETCH_NUM );	
// run automatic status change only on weekdays (Sunday = 0, Saturday = 6)
	if (($row[0] <> 0) AND ($row[0] <> 6)) {
		$test = $timetable[$row[0]];
		$query = "SELECT QBN, (SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE SU=LOGIN), INFORMED FROM qb_imp_sts WHERE 
			DATEDIFF(NOW(), INFORMED) >:dd AND ST='I'";
		$stmt = $db->prepare($query);
		$stmt->execute(
			array(
				':dd' => 10   // original = $test !!!
			)
		);
		$overdue = $stmt->rowCount();
		if ($overdue != 0) {
			$qb_array = array();
			$stringData .= $overdue . " overdue implementation votes\r\n";
			while($row = $stmt->fetch(PDO::FETCH_NUM)) {
				$stringData.= "QB " . $row[0] . " - " . $row[1] . " - informed on " . $row[2] . "\r\n";
		// add qb number to array if not already there
				if(!in_array($row[0], $qb_array)) $qb_array[]=$row[0];					
			}
		// set all affected votes to "agreed by no response"
			$query = "UPDATE qb_imp_sts SET ST='N', TOKEN='', ANSWER=NOW() WHERE DATEDIFF(NOW(), INFORMED) >:dd AND ST='I'";
			$stmt = $db->prepare($query);
			$stmt->execute(
				array(
					':dd' => $test
				)
			);
			$stringData.= $stmt->rowCount() . " dataset(s) updated\r\n";
		}
	}	
	if (strlen($stringData) > 0) {
		fwrite($fh, $stringData);
		fwrite($fh, "//\r\n");
		$stringData = "";
	}	
// check if some votes are complete	
	$query = "SELECT QBN FROM qb_imp WHERE TEAMAPP=1 LIMIT 15";
	$stmt = $db->query($query);
	while($row = $stmt->fetch(PDO::FETCH_NUM)) {
		$query = "SELECT (SELECT COUNT(*) FROM qb_imp_sts WHERE ST='R' AND DEL<>'X' AND QBN=:qbn) AS REJ, (SELECT COUNT(*) FROM qb_imp_sts 
			WHERE (ST='A' OR ST='N') AND DEL<>'X' AND QBN=:qbn) AS ACC, (SELECT COUNT(*) FROM qb_imp_sts WHERE ST<>'S' AND DEL<>'X' AND QBN=:qbn) AS TOT";				
		$stmt2 = $db->prepare($query);
		$stmt2->execute(
			array(
				':qbn' => $row[0]
			)
		);
		$row2 = $stmt2->fetch(PDO::FETCH_NUM );
		if	(($row2[0]+$row2[1]) == $row2[2]) {
	// all votes done, now check what to do
	// TEAMAPP settings
	// 0: no approval requested yet
	//		if no team defined show "send to svt"
	//		if team defined & mailing enabled show "send to team"
	//		if team defined & mailing disabled show "send to svt"
	// 1: team was informed
	//		show "cancel team approval"
	// 2: voting finished but not all team members accepted the implementation
	//		show "overide to svt
	//		show "cancel team approval"			
	// 3: rejected by svt
	// 		show "send to svt"
	// 		show "cancel team approval" if TC > 0
	// 4: accepted by SVT
	//		show no additional button for all user
	// 5: sent to SVT
	//		show "approve" and "reject" only for svt, q, admin
	//	
			if ($row2[1] == $row2[2]) {	
		// all votes positive, set teamapp to 5
				$query = "UPDATE qb_imp SET TEAMAPP=5 WHERE QBN=:qbn";
				$stmt3 = $db->prepare($query);
				$stmt3->execute(
					array(
						':qbn' => $row[0]
					)
				);
				$stringData.= "QB " . $row[0] . " - all implementation votes positive, SVT informed\r\n";	
		// all vots "accepted" -> inform SVT
				$query = "UPDATE qb_imp set SEND_TO_SVT=CURDATE(), INFO=CURDATE() WHERE QBN=:qbn";
				$stmt3 = $db->prepare($query);
				$stmt3->execute(
					array(
						':qbn' => $row[0]
					)
				);
			// inform SVT-mail
				$qb_support->stsvt($row[0], "E5");
			// Event Mailing
				$qb_support->event_mail2("E5", $row[0]);
			} else {
		// not all votes positive, set teamapp to 2
				$query = "UPDATE qb_imp SET TEAMAPP=2 WHERE QBN=:qbn";
				$stmt3 = $db->prepare($query);
				$stmt3->execute(
					array(
						':qbn' => $row[0]
					)
				);
				$stringData.= "QB " . $row[0] . " - not all implementation votes positive, PL informed\r\n";							
		// not all accepted -> inform PL
				$qb_support->ifplrej($row[0]);
			}
		}
	}
	if (strlen($stringData) > 0) {
		fwrite($fh, $stringData);
		fwrite($fh, "//\r\n");
		$stringData = "";
	}
//	
// check closure approval
//
// get day of week
	$query = "SELECT DATE_FORMAT(NOW(), '%w')";
	$stmt = $db->query($query);
	$row = $stmt->fetch(PDO::FETCH_NUM );	
// run automatic status change only on weekdays (Sunday = 0, Saturday = 6)
	if (($row[0] <> 0) AND ($row[0] <> 6)) {
		$test = $timetable[$row[0]];
		$query = "SELECT QBN, (SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE SU=LOGIN), INFORMED FROM qb_close_sts WHERE 
			DATEDIFF(NOW(), INFORMED) >:dd AND ST='I'";
		$stmt = $db->prepare($query);
		$stmt->execute(
			array(
				':dd' => $test
			)
		);
		$overdue = $stmt->rowCount();
		if ($overdue != 0) {
			$qb_array = array();
			$stringData .= $overdue . " overdue closure votes\r\n";
			while($row = $stmt->fetch(PDO::FETCH_NUM)) {
				$stringData.= "QB " . $row[0] . " - " . $row[1] . " - informed on " . $row[2] . "\r\n";
		// add qb number to array if not already there
				if(!in_array($row[0], $qb_array)) $qb_array[]=$row[0];					
			}
		// set all affected votes to "agreed by no response"
			$query = "UPDATE qb_close_sts SET ST='N', TOKEN='', ANSWER=NOW() WHERE DATEDIFF(NOW(), INFORMED) >:dd AND ST='I'";
			$stmt = $db->prepare($query);
			$stmt->execute(
				array(
					':dd' => $test
				)
			);
			$stringData.= $stmt->rowCount() . " dataset(s) updated\r\n";
		}
	}	
	if (strlen($stringData) > 0) {
		fwrite($fh, $stringData);
		fwrite($fh, "//\r\n");
		$stringData = "";
	}	
// check if some votes are complete	
	$query = "SELECT QBN FROM qb_close WHERE CSTATUS=1  LIMIT 15";
	$stmt = $db->query($query);
	while($row = $stmt->fetch(PDO::FETCH_NUM)) {
		$query = "SELECT (SELECT COUNT(*) FROM qb_close_sts WHERE ST='R' AND DEL<>'X' AND QBN=:qbn) AS REJ, (SELECT COUNT(*) FROM qb_close_sts 
			WHERE (ST='A' OR ST='N') AND DEL<>'X' AND QBN=:qbn) AS ACC, (SELECT COUNT(*) FROM qb_close_sts WHERE ST<>'S' AND DEL<>'X' AND QBN=:qbn) AS TOT";				
		$stmt2 = $db->prepare($query);
		$stmt2->execute(
			array(
				':qbn' => $row[0]
			)
		);
		$row2 = $stmt2->fetch(PDO::FETCH_NUM );
		if	(($row2[0]+$row2[1]) == $row2[2]) {
	// all votes done, now check what to do
	//
	// CLOSE STATUS settings
	// 0: no approval requested yet
	//		if status = "S" 
	//		{
	//			if no team defined show "send to svt"
	//			if team defined & mailing enabled show "send to team"
	//			if team defined & mailing disabled show "send to svt"
	//		}
	// 1: team was informed
	//		show "cancel team approval"
	// 2: voting finished but not all team members accepted the closure
	//		show "overide to svt
	//		show "cancel team approval"
	// 3: sent to SVT
	//		show "approve" and "reject" only for svt, d-svt, q, admin, hide cancel_team_approval and overrule			
	// 4: rejected by svt
	// 		show "send to svt"
	// 		show "cancel team approval" if TC > 0
	//		show "save" if TC == 0
	// 5: accepted by SVT, sent to GQ
	//		show "approve" and "reject" only for q, admin		
	// 6: accepted by gq
	// 		show nothing (spare for later use)
	// 7: rejected by gq
	// 		show "approve" and "reject" only for svt, d-svt, q, admin, hide cancel_team_approval and overrule	
	// 9: apply special rights
	// 		show save button
	//
			if ($row2[1] == $row2[2]) {	
		// all votes positive, set cstatus to 3 and inform SVT
				$query = "UPDATE qb_close set VG_DATE=CURDATE(), INFO=CURDATE(), CSTATUS=3 WHERE QBN=:qbn";
				$stmt3 = $db->prepare($query);
				$stmt3->execute(
					array(
						':qbn' => $row[0]
					)
				);
				$stringData.= "QB " . $row[0] . " - all closure votes positive, SVT informed\r\n";	
			// inform SVT-mail
				$ini = parse_ini_file(dirname(__FILE__).'/../i18n/close.ini', true);
				$link = $relili . $row[0];
			// inform svt that a closure is requested
				$query = "SELECT EMAIL, VORNAME, LANG FROM qb_user, qbi WHERE QBN=:qbn AND SVT=LOGIN";
				$stmt4 = $db->prepare($query);
				$stmt4->execute(array(':qbn' => $row[0]));
				$result = $stmt4->fetch(PDO::FETCH_NUM );
			// load template file
				if ($result[2] == "") $result[2] = $qb_support->getOptions('fallbacklang', 'set');
				$template = file_get_contents(dirname(__FILE__)."/../mail/".$result[2].".close.infosvt_tc.html");
				$template = str_replace('{{username}}', $result[1], $template);
				$template = str_replace('{{qbnummer}}', $row[0], $template);
				$template = str_replace('{{qblink}}', $link, $template);
				preg_match('/<title>(.*)<\/title>/iU', $template, $subject);
				$subject = $ini['qbshort'][$result[2]].$row[0].": ".$subject[1];
				$qb_support->templatemail($result[0], $subject, $template, "", "cron:close-infosvt_tc");	
			// Event Mailing
				$qb_support->event_mail2("E8", $row[0]);
			} else {
		// not all votes positive, set cstatus to 2
				$query = "UPDATE qb_close SET CSTATUS=2 WHERE QBN=:qbn";
				$stmt3 = $db->prepare($query);
				$stmt3->execute(
					array(
						':qbn' => $row[0]
					)
				);
				$stringData.= "QB " . $row[0] . " - not all closure votes positive, PL informed\r\n";							
			// not all accepted -> inform PL
				$ini = parse_ini_file(dirname(__FILE__).'/../i18n/close.ini', true);
				$link = $relili . $row[0];
			// inform svt that a closure is requested
				$query = "SELECT EMAIL, VORNAME, LANG FROM qb_user, qb_team WHERE QBN=:qbn AND NAME=LOGIN AND ROLLE='PL'";
				$stmt4 = $db->prepare($query);
				$stmt4->execute(array(':qbn' => $row[0]));
				$result = $stmt4->fetch(PDO::FETCH_NUM );
			// load template file
				if ($result[2] == "") $result[2] = $qb_support->getOptions('fallbacklang', 'set');
				$template = file_get_contents(dirname(__FILE__)."/../mail/".$result[2].".voteclose.infoplrej.html");
				$template = str_replace('{{username}}', $result[1], $template);
				$template = str_replace('{{qbnummer}}', $row[0], $template);
				$template = str_replace('{{qblink}}', $link, $template);
				preg_match('/<title>(.*)<\/title>/iU', $template, $subject);
				$subject = $ini['qbshort'][$result[2]].$row[0].": ".$subject[1];
				$qb_support->templatemail($result[0], $subject, $template, "", "cron:voteclose-infoplrej");	
			// Event Mailing
				$qb_support->event_mail2("E8B", $row[0]);
			}
		}
	}
	if (strlen($stringData) > 0) {
		fwrite($fh, $stringData);
		fwrite($fh, "//\r\n");
		$stringData = "";
	}	
	fclose($fh);
?>