<?php
// ALTER TABLE `qb_urs` ADD `ORPHANED` INT NOT NULL AFTER `IMPDATE`;

// prepare table - insert all new QBN
  $stmt = $db->query("INSERT INTO qb_urs (QBN, QBDATE, STATUS, TOP, LIGHT, SVT, SVTREGION, SVTDEP, KLASSE, REKART) 
    SELECT QBN, QBREGDATE, QBSTATUS, TOP, LIGHT, (SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE LOGIN=SVT), 
    (SELECT REGION FROM qb_user WHERE LOGIN=SVT), (SELECT DEPARTMENT FROM qb_user WHERE LOGIN=SVT), CLSS, RTYPE 
    FROM qbi WHERE qbi.QBN NOT IN (SELECT QBN FROM qb_urs)");   
// set actdate ='' WHERE lastact < act  
  $stmt = $db->query("UPDATE qb_urs, qbi SET LASTACT='0000-00-00 00:00:00' WHERE qbi.QBN=qb_urs.QBN AND LASTACT<ACT");
  $stmt = $db->query("UPDATE qb_urs, qbbasic SET LASTACT='0000-00-00 00:00:00' WHERE qbi.QBN=qb_urs.QBN AND LASTACT<ACT");
// set Orphaned - first reset all then set new
  $stmt = $db->query("UPDATE qb_urs SET ORPHANED=0");
  $stmt = $db->query("UPDATE qb_urs SET ORPHANED=1 WHERE STATUS IN ('S', 'O') AND QBN NOT IN (SELECT DISTINCT QBN FROM qb_docimm WHERE STAT='OPEN' UNION SELECT 
                      QBN FROM qb_docdef WHERE STAT='OPEN' UNION SELECT QBN FROM qb_imp WHERE TEAMAPP NOT IN ('0','4') UNION SELECT QBN FROM qb_val WHERE (
                      CHECK_NEXT_WE=1 AND WE_OK=0) OR (OTHER_TEST !='' AND TEST_OK=0) UNION SELECT QBN FROM qb_close WHERE CSTATUS NOT IN ('0', '2', '4')) 
                      AND LASTACT='0000-00-00 00:00:00'");
// now update details
  $stmt = $db->query("UPDATE qb_urs, qbbasic SET ERSTELLER=REQ, SUPPLIERNR=SUPPLIER, MATNR=MNR, qb_urs.DESCRIPTION=qbbasic.DESCRIPTION, 
    qb_urs.CUSTOMER=qbbasic.CUSTOMER, qb_urs.SALESORG=qbbasic.SALESORG, FAILS=TEST_FAIL, qb_urs.CRITERIUM=qbbasic.CRITERIUM, CRM=BEST 
    WHERE qb_urs.QBN=qbbasic.QBN AND LASTACT='0000-00-00 00:00:00'");
  $stmt = $db->query("UPDATE qb_urs SET REGION=(SELECT REGION FROM qb_user WHERE LOGIN=ERSTELLER), REQDEP=(SELECT DEPARTMENT FROM qb_user WHERE LOGIN=ERSTELLER), ERSTELLER=(SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE LOGIN=ERSTELLER) WHERE LASTACT='0000-00-00 00:00:00'");
  $stmt = $db->query("UPDATE qb_urs SET PLREGION=(SELECT REGION FROM qb_user, qb_team WHERE LOGIN=NAME AND ROLLE='PL' AND qb_team.QBN=qb_urs.QBN),
    PLDEP=(SELECT DEPARTMENT FROM qb_user, qb_team WHERE LOGIN=NAME AND ROLLE='PL' AND qb_team.QBN=qb_urs.QBN), 
    PL=(SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user, qb_team WHERE LOGIN=NAME AND ROLLE='PL' AND qb_team.QBN=qb_urs.QBN) WHERE LASTACT='0000-00-00 00:00:00'");
// update dep with mantrans
  $stmt = $db->query("UPDATE qb_urs, qb_mantrans SET REQSHORT=SHORT WHERE REQDEP=DEPARTMENT");
  $stmt = $db->query("UPDATE qb_urs, qb_mantrans SET SVTSHORT=SHORT WHERE SVTDEP=DEPARTMENT");
  $stmt = $db->query("UPDATE qb_urs, qb_mantrans SET PLSHORT=SHORT WHERE PLDEP=DEPARTMENT");
// update rest
  $stmt = $db->query("UPDATE qb_urs, qb_ccode SET SALESORG=COUNTRY WHERE SALESORG=CODE AND LASTACT='0000-00-00 00:00:00'");
  $stmt = $db->query("UPDATE qb_urs, qb_supplier SET qb_urs.SUPPLIERNAME=qb_supplier.SUPPLIERNAME WHERE qb_urs.SUPPLIERNR=qb_supplier.SUPPLIERNR AND LASTACT='0000-00-00 00:00:00'");
  $stmt = $db->query("UPDATE qb_urs, qb_close SET CLOSEDATE=GQ_DATE WHERE qb_close.QBN=qb_urs.QBN AND LASTACT<ACT");
  $stmt = $db->query("UPDATE qb_urs, qb_imp SET IMPDATE=DATE_ACC_BY_SVT WHERE qb_imp.QBN=qb_urs.QBN AND LASTACT<ACT");

// update status
  $stmt = $db->query("CREATE TEMPORARY TABLE tmp (C VARCHAR(2) NOT NULL, CTXT VARCHAR(50) NOT NULL) ENGINE=InnoDB DEFAULT CHARSET=latin1");
  $query = "INSERT INTO tmp SET C=:ocri, CTXT=:cri";
  $val = parse_ini_file(dirname(__FILE__).'/../xml/qb_status.ini', true);
  $stmt = $db->prepare($query);
  $stmt->bindParam(':cri', $s);
  $stmt->bindParam(':ocri', $k);
  foreach($val as $k=>$v) {
    $s = $v['de'];
    $stmt->execute();
  }
  $stmt = $db->query("UPDATE qb_urs, tmp SET STATUS=CTXT WHERE STATUS=C AND LASTACT='0000-00-00 00:00:00'");
  
// update region
  $stmt = $db->query("CREATE TEMPORARY TABLE tmp1 (C VARCHAR(2) NOT NULL, CTXT VARCHAR(50) NOT NULL) ENGINE=InnoDB DEFAULT CHARSET=latin1");
  $query = "INSERT INTO tmp1 SET C=:ocri, CTXT=:cri";
  $val = parse_ini_file(dirname(__FILE__).'/../xml/regions.ini', true);
  $stmt = $db->prepare($query);
  $stmt->bindParam(':cri', $s);
  $stmt->bindParam(':ocri', $k);
  foreach($val as $k=>$v) {
    $s = $v['de'];
    $stmt->execute();
  }
  $stmt = $db->query("UPDATE qb_urs, tmp1 SET REGION=CTXT WHERE REGION=C AND LASTACT='0000-00-00 00:00:00'");
  $stmt = $db->query("UPDATE qb_urs, tmp1 SET SVTREGION=CTXT WHERE SVTREGION=C AND LASTACT='0000-00-00 00:00:00'");
  $stmt = $db->query("UPDATE qb_urs, tmp1 SET PLREGION=CTXT WHERE PLREGION=C AND LASTACT='0000-00-00 00:00:00'");

// update criteria
  $stmt = $db->query("CREATE TEMPORARY TABLE tmp2 (C VARCHAR(2) NOT NULL, CTXT VARCHAR(50) NOT NULL) ENGINE=InnoDB DEFAULT CHARSET=latin1");
  $query = "INSERT INTO tmp2 SET C=:ocri, CTXT=:cri";
  $val = parse_ini_file(dirname(__FILE__).'/../xml/qb_kriterien.ini', true);
  $stmt = $db->prepare($query);
  $stmt->bindParam(':cri', $s);
  $stmt->bindParam(':ocri', $k);
  foreach($val as $k=>$v) {
    $s = $v['de']; 
    $stmt->execute();
  }  
  $stmt = $db->query("UPDATE qb_urs, tmp2 SET CRITERIUM=CTXT WHERE CRITERIUM=C AND LASTACT='0000-00-00 00:00:00'");
  
// update Rek-Art
  $stmt = $db->query("CREATE TEMPORARY TABLE tmp3 (C VARCHAR(2) NOT NULL, CTXT VARCHAR(50) NOT NULL) ENGINE=InnoDB DEFAULT CHARSET=latin1");
  $query = "INSERT INTO tmp3 SET C=:ocri, CTXT=:cri";
  $val = parse_ini_file(dirname(__FILE__).'/../xml/r_type.ini', true);
  $stmt = $db->prepare($query);
  $stmt->bindParam(':cri', $s);
  $stmt->bindParam(':ocri', $k);
  foreach($val as $k=>$v) {
    $s = $v['de']; 
    $stmt->execute();
  }  
  $stmt = $db->query("UPDATE qb_urs, tmp3 SET REKART=CTXT WHERE REKART=C AND LASTACT='0000-00-00 00:00:00'");

// update Classification
  $stmt = $db->query("CREATE TEMPORARY TABLE tmp4 (C VARCHAR(2) NOT NULL, CTXT VARCHAR(50) NOT NULL) ENGINE=InnoDB DEFAULT CHARSET=latin1");
  $query = "INSERT INTO tmp4 SET C=:ocri, CTXT=:cri";
  $val = parse_ini_file(dirname(__FILE__).'/../xml/class.ini', true);
  $stmt = $db->prepare($query);
  $stmt->bindParam(':cri', $s);
  $stmt->bindParam(':ocri', $k);
  foreach($val as $k=>$v) {
    $s = $v['de']; 
    $stmt->execute();
  }  
  $stmt = $db->query("UPDATE qb_urs, tmp4 SET KLASSE=CTXT WHERE KLASSE=C AND LASTACT='0000-00-00 00:00:00'");
// set LASTACT to current date -10 seconds
  $stmt = $db->query("UPDATE qb_urs SET LASTACT=(NOW()-INTERVAL 10 SECOND) WHERE LASTACT='0000-00-00 00:00:00'");

?>