<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />		
	<?php include_once(dirname(__FILE__)."/tools/all_header.php"); global $c_scheme, $timezone, $rel_path; ?>
	<script>
		var js_debug = false;
		$data_changed = false;		
	</script>
	
    <title>CUSTOMER 8D</title>

	<link rel="stylesheet" href="./css/qb.php" />
  
  <style>
    h3 {
      font-family: Arial; 
      font-weight: normal;
      margin: 0;
      padding: 0;
    }
    h4 {
      font-family: Arial; 
      font-weight: normal;
      margin: 0;
      padding: 0;
    }
    .cntnr {
      background-color: #F5F5F5;
    }
    .sprtr {
      margin-top: 10px;
      border-top: 1px solid black;
      padding: 2px 0;
    }
    .ai {
      font-family: normal 12pt Arial;
      border-bottom: 1px dotted blue;
    }
    .wrnng {
      background-color: #FF5555;
    }
    body {
      font-family: Arial;
    }
  </style>
  
	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>	

	<script>
	// load translation and save in localTranslation
		<?php	
			$ini_cusad = parse_ini_file($rel_path.'i18n/cus_ad.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_cusad as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$cal = parse_ini_file($rel_path.'i18n/calendar.ini', true);
			echo "calTranslation = {};";
			foreach($cal as $key=>$value){
				$add = "";
				if ($value['tpe'] == "S") {
					foreach($value AS $lan=>$trans){
						if ($lan != "tpe") $add .= "'".$lan."':'".$trans."',";
					}
				} else {
					foreach($value AS $lan=>$trans){
						if ($lan != "tpe") {
							$tar = explode(",", $trans);
							$tar = implode("','", $tar);
							$add .= "'".$lan."': ['".$tar."'],";
						}
					}				
				}
				echo "calTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$firstcal = explode(",", $cal['monthNamesShort'][$_SESSION['lng']]);
			$inical = explode("-", date('Y-m-d'));
			$inical = $inical[0]."-".$firstcal[$inical[1]-1]."-".$inical[2];			
		?>	
	</script>
</head>
<body>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
			<?php 
				echo "<div id='mainnav'>". $qb_support->get_main_menu(1) . "</div>";
				include_once($rel_path.'tools/g_header2.php');
				echo $qb_support->get_sub_menu(8);
			?>	
			<div id="tabscontainer" >
				<?php echo $qb_support->get_doc_menu(7); ?>
				<div id="docscontainer">
					<div id="meta_control" style="width: 270px; border: 0px solid red; padding: 0px; margin: 0 2px; height: 410px;display: inline-block; vertical-align: top;">
						<h3 style="margin: 2px 0 10px 0; border-bottom: 1px solid <?php echo $c_scheme['BN']; ?>;padding-bottom: 10px;" data-type="text" data-lan="cusdata" ><?php echo $ini_cusad['cusdata'][$_SESSION['lng']]; ?></h3>
						<p>
							<label class="dlabel vam w200" data-type="text" data-lan="name" ><?php echo $ini_cusad['name'][$_SESSION['lng']]; ?></label><br/>
							<input type="text" class="dinput w250" id="cusname" value="" />
						</p>
						<p>
							<label class="dlabel vam w200" data-type="text" data-lan="address" ><?php echo $ini_cusad['address'][$_SESSION['lng']]; ?></label><br/>
							<input type="text" class="dinput w250" id="cusaddress" value="" />
						</p>
						<p>
							<label class="dlabel vam w200" data-type="text" data-lan="zip" ><?php echo $ini_cusad['zip'][$_SESSION['lng']]; ?></label><br/>
							<input type="text" class="dinput w250" id="cuszip" value="" />
						</p>
						<p>
							<label class="dlabel vam w200" data-type="text" data-lan="land" ><?php echo $ini_cusad['land'][$_SESSION['lng']]; ?></label><br/>
							<select id="land">
								<option value="">...</option>
								<?php					
									$query = "SELECT CODE, COUNTRY FROM qb_ccode ORDER BY CODE";
									$stmt = $db->query($query);
									while($row = $stmt->fetch(PDO::FETCH_NUM)) {
										echo "<option value='" . $row[0] . "'>" . $row[0] . " - ". $row[1] . "</option>";
									}							
								?> 		
							</select>
						</p>		
						<p>
							<label class="dlabel vam w200" data-type="text" data-lan="partner" ><?php echo $ini_cusad['partner'][$_SESSION['lng']]; ?></label><br/>
							<input type="text" class="dinput w250" id="partner" value="" />
						</p>						
						<p>
							<label class="dlabel vam w200" data-type="text" data-lan="ref" ><?php echo $ini_cusad['ref'][$_SESSION['lng']]; ?></label><br/>
							<input type="text" class="dinput w250" id="ref" value="" />
						</p>
						<p>
							<label class="dlabel vam w200" data-type="text" data-lan="cusmat" ><?php echo $ini_cusad['cusmat'][$_SESSION['lng']]; ?></label><br/>
							<input type="text" class="dinput w250" id="cusmat" value="" />
						</p>
						<p>
							<label class="dlabel vam w200" data-type="text" data-lan="bdate" ><?php echo $ini_cusad['bdate'][$_SESSION['lng']]; ?></label><br/>
							<input type="text" id="bdate" data-type="date" data-lan="bdate_org" class="dinput w100" value="<?php echo $inical; ?>" readonly />
							<input type="hidden" id="bdate_org" value="<?php echo date('Y-m-d');?>" />
              <span data-type='title' data-lan='generate' id='saveimg' style='float: right; margin-right: 15px;' class='icn3_pdf_be_n clckbtn vam' title='<?php echo $ini_cusad['generate'][$_SESSION['lng']]; ?>' onclick='check_form()'></span>
            </p>
					</div>
					<div id="ad_list" style="overflow-x: hidden; overflow-y: scroll; width: 715px; height: 410px; border: 1px solid silver; display: inline-block; vertical-align: top; padding: 2px;">
					</div>
				</div>
			</div>
		</div>
		<?php include_once($rel_path.'footer.php'); ?> 
	</div>
	<script>
		$('#land').width(245).customSelect({customClass: "cSelect_opt"});
		$('#land').trigger('render');
// datepicker settings	
		pickerOpts = {
			closeText: "X",		
			dateFormat: "yy-M-dd",
			altField: '#bdate_org',
			altFormat: 'yy-mm-dd',
			firstDay: 1,
			isRTL: false,
			showButtonPanel: true,
			displayClose: true,
			showOn: "both",  
			buttonImage: "./img/dummy_img.png", 
			buttonImageOnly: true,
			buttonText: calTranslation["cal"][$globlan],
			changeYear: true,
			changeMonth: true,
			maxDate: '+1m',
			minDate: '-12m'
		}
		$.datepicker._defaults['currentText'] = calTranslation['currentText'][$globlan];
		$.datepicker._defaults['monthNames'] = calTranslation['monthNames'][$globlan];
		$.datepicker._defaults['monthNamesShort'] = calTranslation['monthNamesShort'][$globlan];
		$.datepicker._defaults['dayNamesMin'] = calTranslation['dayNamesMin'][$globlan];
		$("#bdate").datepicker(pickerOpts);
		clkevnt = $("#bdate").next().data('events').click[0].handler;
		$("#bdate").next().replaceWith('<span class="ui-datepicker-trigger icn_calendar_b_n clckbtn vam" data-type="title" data-lan="cal" title="<?php echo $ini_cusad['cal'][$_SESSION['lng']]; ?>"></span>');
		$("#bdate").next().bind('click', clkevnt);
		
		function load_page() {
			document.title = document.title.split("/")[0] + '/' + window.sessionStorage.getItem("qb");
			fill_data();
		}
		function c_lan() {
			translate_header($globlan);	
			translate_mainmenu($globlan);
			translate_g_header2($globlan);
			translate_submenu($globlan);
			translate_docmenu($globlan);
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {	
				switch ($(this).data("type")) {
					case "text":		
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;
				}
			});
			$.datepicker._defaults['currentText'] = calTranslation['currentText'][$globlan];
			$.datepicker._defaults['monthNames'] = calTranslation['monthNames'][$globlan];
			$.datepicker._defaults['monthNamesShort'] = calTranslation['monthNamesShort'][$globlan];
			$.datepicker._defaults['dayNamesMin'] = calTranslation['dayNamesMin'][$globlan];
			$("#bdate").val(localizedate($("#bdate_org").val()));
		}
		function fill_data() {
			$("#ad_list").empty();
      $.ajax({
        type: "GET",
        cache: false,
        url:  "./tools/cus_ad_api.php",
        data: { 
          routine: "getdata",
          qbn: window.sessionStorage.getItem("qb")
        },
        success: function(result)
        {
          $("#ad_list").html(result);
        }
      });
		}
		g_header2();
	</script>
</body>
</html>
