<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />	
	<?php include_once(dirname(__FILE__)."/tools/all_header.php"); global $c_scheme, $timezone, $rel_path; ?>
	<script>
		var js_debug = false;
		$data_changed = false;	
	</script>
	
    <title>DEFINITIVE ACTIONS</title>
	
	<link rel="stylesheet" href="./css/qb.php" />
	<link rel="stylesheet" href="./js_sources/dzone/min/dropzone.min.css" />
	<link rel="stylesheet" href="./trumbowyg/dist/ui/trumbowyg.css">
	<link rel="stylesheet" href="./trumbowyg/dist/plugins/colors/ui/trumbowyg.colors.min.css">
	
	<style>
		.editbox {
			background: #FFFFFF;
		}		
		.trumbowyg-box, .trumbowyg-editor {
			width: 650px;
			min-height: 70px;
			margin: 0;
			margin-top: 5px;
			display: inline-block;
		}
		.trumbowyg-editor {
			padding: 2px;
			font-family: Arial;
		}
		.trumbowyg-fullscreen {
			margin: 0;
			padding: 0;
			top: 0px;
			left: 0px;
			width: 100%;
			height: 100%;
		}
		.ui-dialog-titlebar-close {display: none;}
	</style>
	
	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>
	<script src="./js_sources/dzone/min/dropzone.min.js"></script>
	<script src="./trumbowyg/dist/trumbowyg.js"></script>
	<script src="./trumbowyg/dist/plugins/colors/trumbowyg.colors.min.js"></script>	
	<?php 
		foreach(explode(":", $qb_support->getLanOnly()) as $key=>$value) {
			if ($value != "en") echo '<script src="./trumbowyg/dist/langs/'.$value.'.min.js"></script>';
		}
	?>
	
	<script>
	// load translation and save in localTranslation
		<?php
			$ini_adc = parse_ini_file($rel_path.'xml/adc.ini', true);
			echo "adcTranslation = {};";
			foreach($ini_adc as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					if (substr($lan, 0, 1) == "_") {
						$add .= "'".substr($lan, 1)."':{";
						foreach($trans AS $us=>$txt){
							$add .= "'".$us."':'".$txt."',";
						}
						$add = rtrim($add, ',')."},";
					} else {
						$add .= "'".$lan."':'".$trans."',";
					}
				}
				echo "adcTranslation['".$key."']={".rtrim($add, ',')."};";
			}		
			$ini_definitive = parse_ini_file($rel_path.'i18n/definitive.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_definitive as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$ini_aistatus = parse_ini_file($rel_path.'xml/status.ini', true);	
			echo "aistatusTranslation = {};";
			foreach($ini_aistatus as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "aistatusTranslation['".$key."']={".rtrim($add, ',')."};";
			}
		?>
	</script>
</head>
<body>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
			<?php 
				echo "<div id='mainnav'>". $qb_support->get_main_menu(1) . "</div>";
				include_once($rel_path.'tools/g_header2.php');
				echo $qb_support->get_sub_menu(4);
			?>	
			<div id="tabscontainer" >
				<div id="adtr" style="display: inline-block; height:80px; width: 480px; margin: 0px; padding: 5px 0px 0px 5px;">
					<div style="display: inline-block; width: 200px; vertical-align: top;">
						<span id="achtd" data-checked="false" class="icn_checkboxempty_c_n clckbtn vam" onclick="check_acht('box')"></span>
						<label class="dlabel vam w150" data-type="text" data-lan="8D"><?php echo $ini_definitive['8D'][$_SESSION['lng']]; ?></label>
					</div>
					<div style="display: inline-block; width: 260px; vertical-align: top;">
						<label class="dlabel vam w100" data-type="text" data-lan="8D_ang"><?php echo $ini_definitive['8D_ang'][$_SESSION['lng']]; ?></label>
						<input type="text" class="dinput vam w100" id="achtd_ang" data-type="filedate" data-lan="" value="" readonly />
						<span id="report2" style=" margin-left: 1px;" data-type="title" data-lan="ad_template" title="<?php echo $ini_definitive['ad_template'][$_SESSION['lng']]; ?>" class="icn_report_b_n clckbtn vam" onclick="check_acht('icon')"></span>
						<br />
						<label class="dlabel vam w100" style="margin-left: 0px;" data-type="text" data-lan="8D_erh" ><?php echo $ini_definitive['8D_erh'][$_SESSION['lng']]; ?></label>
						<input type="text" class="dinput info vam w100" id="achtd_erh" value="" data-type="filedate" data-lan="" readonly />
						<br />
						<?php if ($qb_support->getoptions('adtracking', 'set') == "yes") { ?>
							<span data-type="text" data-lan="track_ad" class="spanbutton w150" style="margin-top: 15px; margin-left: 85px;" id="track_ad" onclick="opentrack();"><?php echo $ini_definitive['track_ad'][$_SESSION['lng']]; ?></span>
						<?php } ?>
					</div>
				</div>
				<div id="filetable" style="display: inline-block; height:85px; width: 500px; vertical-align: top; overflow: hidden; margin: 10px 0;">
					<div class="listheader">
						<span data-type="title" data-lan="add" id="plusimg" style="float: right;" class="icn_upload_w_n clckbtn vam" title="<?php echo $ini_definitive['add'][$_SESSION['lng']]; ?>"></span>
						<span style="line-height: 20px; width: 460px;" data-type="text" data-lan="link" ><?php echo $ini_definitive['link'][$_SESSION['lng']]; ?></span>
					</div>
					<div id="file_list" class="filelist" style="width: 498px; height:58px;"></div>
				</div>				
				<div id="def" style="margin-top: 5px; padding-top: 5px; border-top: 1px solid #999999;">
					<span data-type="text" data-lan="new_record" class="spanbutton w150" id="create-new"><?php echo $ini_definitive['new_record'][$_SESSION['lng']]; ?></span>
					<label style="text-align: right; display: inline-block; width: 360px; font: normal 9pt Arial;padding:0px; margin:0px; margin-right: 10px;" data-type="text" data-lan="order_by" ><?php echo $ini_definitive['order_by'][$_SESSION['lng']]; ?></label>
					<span data-type="text" data-lan="date" class="spanbuttono w75" id="btn_WDATE" onclick="setorder(this)"><?php echo $ini_definitive['date'][$_SESSION['lng']]; ?></span>
					<span data-type="text" data-lan="lupdate" class="spanbutton w75" id="btn_LUPDATE" onclick="setorder(this)"><?php echo $ini_definitive['lupdate'][$_SESSION['lng']]; ?></span>
					<span data-type="text" data-lan="nname" class="spanbutton w75" id="btn_VISUM" onclick="setorder(this)"><?php echo $ini_definitive['nname'][$_SESSION['lng']]; ?></span>
					<span data-type="text" data-lan="until" class="spanbutton w75" id="btn_UNTIL" onclick="setorder(this)"><?php echo $ini_definitive['until'][$_SESSION['lng']]; ?></span>
					<span data-type="text" data-lan="status" class="spanbutton w75" id="btn_STAT" onclick="setorder(this)"><?php echo $ini_definitive['status'][$_SESSION['lng']]; ?></span>
					<div id="daten_list" style="margin-top: 10px; overflow-y: scroll; padding: 0px; overflow-x: hidden; height: 310px;"></div>
				</div>
				<input type="hidden" id="sorder" name="sorder" value="-1" />
				<input type="hidden" id="acc_date" value="" />
			</div>
		</div>
		<?php include_once($rel_path.'footer.php'); ?> 
	<!-- form for adding new datasets -->
		<div id="dialog-form" >
			<p id="def_validateTips" style="padding: 2px; margin: 0px; margin-bottom: 10px;" >&nbsp;</p>
			<fieldset id="fs" style="border: 0px solid purple; padding: 2px; height: 250px; margin:0px;">
				<p>
					<label id="whtlabel" class="dlabel w100" style="vertical-align: top; margin-top: 75px;" data-type="text" data-lan="what" ><?php echo $ini_definitive['what'][$_SESSION['lng']]; ?></label>
					<textarea rows="2" class="dtextarea vam editbox" id="wysiwyg" style="height: 100px;"></textarea>
				</p>
				<p>
					<label id="vislabel" class="dlabel vam w100" data-type="text" data-lan="who" ><?php echo $ini_definitive['who'][$_SESSION['lng']]; ?></label>
					<select id="vis" class="vam">
						<option value="">...</option>
						<?php
							$query = "SELECT LOGIN, CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE ACTIVE = 1 ORDER BY NACHNAME";
							$stmt = $db->query($query);
							while($row = $stmt->fetch(PDO::FETCH_NUM)) {
								echo "<option value='" . $row[0] . "'>" . $row[1] . "</option>";
							}
						?> 						
					</select>
					<?php
						if ($qb_support->getoptions("inform_aiowner", "set") == "yes") {
					?>
							<span id="infoai" data-checked="false" class="icn_checkboxempty_c_n clckbtn vam" style="margin-left: 20px;" onclick="set_mail(this);"></span>				
							<label class="dlabel w150 vam" style="margin-top: 1px;" data-type="text" data-lan="inform_aiowner"><?php echo $ini_definitive['inform_aiowner'][$_SESSION['lng']]; ?></label>
					<?php
						} else {
							echo "<input type='hidden' id='infoai' data-checked='false' value='' />";
						}
					?>					
				</p>
				<p>
					<label class="dlabel w100 vam" data-type="text" data-lan="until" ><?php echo $ini_definitive['until'][$_SESSION['lng']]; ?></label>
					<input type="hidden" id="untl_org" value="" />
					<input type="text" id="untl" class="dinput vam w100" readonly value="" />
				</p>
				<p>					
					<label id="sttslabel" class="dlabel vam w100" data-type="text" data-lan="status" ><?php echo $ini_definitive['status'][$_SESSION['lng']]; ?></label>
					<select name="stts" id="stts" class="vam"></select>
				</p>
			</fieldset>
		</div>
	</div>
	<!-- form for selected 8D sender and language -->
	<div id="dialog-achtd"></div>	
  <span id="plusimg2" style="display: none;"></span>
	<input type="hidden" id="hiddenid" value="" />
	<script>
		Dropzone.autoDiscover = false;
    var fuplds = [];
		lc = new Array();
		lc[0]= "<?php echo $c_scheme['IE']; ?>";
		lc[1]= "<?php echo $c_scheme['IO']; ?>";
		$heute = false;
    
    $("#stts").width(120).customSelect({customClass: "cSelect_man"});
		$("#vis").width(300).customSelect({customClass: "cSelect_man"});
		$("#adt_se_01").width(290).customSelect({customClass: "cSelect_man"});

// dropzone for records    
		$("#plusimg2")
			.dropzone({
				url: "./tools/UploadHandler_ds.php?mode=N&qbn="+window.sessionStorage.getItem('qb'),
				init: function() {
					this.on("processing", function(file) {
						this.options.url = "./tools/UploadHandler_ds.php?mode=N&qbn="+window.sessionStorage.getItem('qb');
					});
				},					
				previewTemplate: '<div class="dz-preview dz-file-preview"></div>',
				"addedfile": function(file) {
					<?php	if (!($qb_support->checkflag('Y'))) { ?>
						var sizeInMB = (file.size / (1024*1024)).toFixed(2);
						if (sizeInMB > 25) {						
							$tdz = Dropzone.forElement("#plusimg");
							$tdz.removeAllFiles();										
							$tdz.removeAllFiles(true);
							jAlert(localTranslation["maxfilesizeexceeded"][$globlan], localTranslation["attention"][$globlan]);
							return false;
						}	
					<?php } ?>
				},
				"complete": function(file) {			
			// add file names to array
					fuplds.push(JSON.parse(file.xhr.responseText).files[0].name);	
				},				
				"queuecomplete": function() {
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/definitive_api.php",
						data: { 
							routine: "savefiles",
							id: $("#hiddenid").val(),
							fils: JSON.stringify(fuplds),
							qbn: window.sessionStorage.getItem('qb')
						},
						success: function(result)
						{
							fuplds = [];
							$("#hiddenid").val("");
							fill_data('WHN', -1);
						}
					});
				}
			});

		pickerOpts = {
			closeText: "X",		
			dateFormat: "yy-M-dd",
			altField: '#untl_org',
			altFormat: 'yy-mm-dd',
			firstDay: 1,
			isRTL: false,
			showButtonPanel: true,
			displayClose: true,
			showOn: "both",  
			buttonImage: "./img/dummy_img.png",
			buttonImageOnly: true,
			buttonText: calTranslation["cal"][$globlan],
			changeYear: true,
			changeMonth: true,
			maxDate: '+12m',
			minDate: new Date($("#reg_date_org").val()),
			onClose: function() {
				$("#wysiwyg").focus();
			},
			beforeShow: function() {
				if ($heute) {
					$heute = false;
					return false;				
				}
			}	
		}
		$.datepicker._defaults['currentText'] = calTranslation['currentText'][$globlan];
		$.datepicker._defaults['monthNames'] = calTranslation['monthNames'][$globlan];
		$.datepicker._defaults['monthNamesShort'] = calTranslation['monthNamesShort'][$globlan];
		$.datepicker._defaults['dayNamesMin'] = calTranslation['dayNamesMin'][$globlan];
		$("#untl").datepicker(pickerOpts);
		clkevnt = $("#untl").next().data('events').click[0].handler;
		$("#untl").next().replaceWith('<span class="ui-datepicker-trigger icn_calendar_b_n clckbtn vam" data-type="title" data-lan="cal" title="<?php echo $ini_definitive['cal'][$_SESSION['lng']]; ?>"></span>');
		$("#untl").next().bind('click', clkevnt);
		
		pickerOpts_2 = {
			closeText: "X",		
			dateFormat: "yy-M-dd",
			altField: '#acc_date',
			altFormat: 'yy-mm-dd',			
			firstDay: 1,
			isRTL: false,
			maxDate: "+0d",
			minDate: "-0d",
			showButtonPanel: true,
			displayClose: true,
			showOn: "button",  
			buttonImage: "./img/dummy_img.png",
			buttonImageOnly: true,
			buttonText: calTranslation["cal"][$globlan],
			changeYear: true,
			changeMonth: true,
			beforeShow: function(input) {
				setTimeout(function() {
					var buttonPane = $(input).datepicker("widget").find(".ui-datepicker-buttonpane");
					buttonPane.css("height", "40px");
					var btn = $('<span data-type="title" data-lan="rem" id="del_mat" style="margin-left: 50px; margin-top: 12px;" class="icn_delete_b_n clckbtn vam" title="<?php echo $ini_definitive['rem'][$_SESSION['lng']]; ?>"></span>');
					btn.unbind("click").bind("click", function() {
						$.datepicker._clearDate(input);
						$.ajax({
							type: "POST",
							cache: false,
							url:  "./tools/definitive_api.php",
							data: { 
								routine: "remcrecord",
								qbn: window.sessionStorage.getItem('qb')
							},
							success: function(result)
							{
							}
						});						
					});
					btn.appendTo(buttonPane);
				}, 1);				
			},
			onClose: function(dateText,datePickerInstance) {
				if (dateText != '') {
			// save data only if date was not deleted
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/definitive_api.php",
						data: { 
							routine: "checkadtrack",
							qbn: window.sessionStorage.getItem('qb')
						},
						success: function(result)
						{
							if (result == 'nofiles') {
								$("#achtd_erh").data("lan", '0000-00-00');
								$("#achtd_erh").val('');
								jAlert(localTranslation["DEF_M_001"][$globlan], localTranslation["attention"][$globlan]);
								return false;
							} else if (result == 'noassessment') {
								$("#achtd_erh").data("lan", '0000-00-00');
								$("#achtd_erh").val('');
								jAlert(localTranslation["DEF_M_002"][$globlan], localTranslation["attention"][$globlan]);
								return false;							
							} else {
								$("#achtd_erh").data("lan", $("#acc_date").val());
								$.ajax({
									type: "POST",
									cache: false,
									url:  "./tools/definitive_api.php",
									data: { 
										routine: "saveaccdate",
										dat: $("#acc_date").val(),
										txt: "8D " + localTranslation["8D_erh"][$globlan],
										qbn: window.sessionStorage.getItem('qb')
									},
									success: function(result)
									{
									}
								});								
							}
						}
					});
				}
			}			
		};		
		pickerOpts_3 = {
			closeText: "X",		
			dateFormat: "yy-mm-dd",
			firstDay: 1,
			isRTL: false,
			showButtonPanel: true,
			displayClose: true,
			showOn: "button",  
			buttonImage: "./img/dummy_img.png",
			buttonImageOnly: true,
			buttonText: calTranslation["cal"][$globlan],
			changeYear: true,
			changeMonth: true,
			maxDate: '+12m',
			minDate: '+0d',
			beforeShow: function(input) {			
				if ($(this).data("value") != "0000-00-00") {
					$(this).datepicker("setDate", new Date($(this).data("value")) );
					setTimeout(function() {
						var buttonPane = $(input).datepicker("widget").find(".ui-datepicker-buttonpane");
						var btn = $('<span data-type="title" data-lan="rem" id="del_mat" style="margin-left: 50px; margin-top: 12px;" class="icn_delete_b_n clckbtn vam" title="<?php echo $ini_definitive['rem'][$_SESSION['lng']]; ?>"></span>');
						btn.unbind("click").bind("click", function() {				
							$.datepicker._clearDate(input);
						});
						btn.appendTo(buttonPane);
					}, 1);
				}
			},
			onSelect: function(dateText, inst) {			
				var $id = $(this).attr('id').split("_")[1];				
				$.ajax({
					type: "POST",
					cache: false,
					url:  "./tools/definitive_api.php",
					data: { 
						routine: "setreminder",
						id: $id,
						dat: dateText,
						qbn: window.sessionStorage.getItem("qb")
					},
					success: function(result)
					{					
						if (dateText == "") {
							$("#clock_"+$id).next().removeClass("icn_alarm_r2_n").addClass("icn_alarm_b_n").attr("title", localTranslation["set_reminder"][$globlan]);
							$("#clock_"+$id).data("value", "0000-00-00");
						} else {
							$("#clock_"+$id).next().removeClass("icn_alarm_b_n").addClass("icn_alarm_r2_n").attr("title", dateText);
							$("#clock_"+$id).data("value", dateText);
						}	
					}
				});
			}
		}	
	// fix um bei klicken auf "Heute" den Kalender zu schliessen	
		var old_goToToday = $.datepicker._gotoToday;
		$.datepicker._gotoToday = function(id) {
			old_goToToday.call(this,id);   
			this._selectDate(id);
			if (id == "#untl") $heute = true;
			if (id == "#adwhn") $heute = true;
		};
		$( "#create-new" ).click(function() {							// assign event to new dataset button
			$.ajax({
				type: "GET",
				cache: false,
				url:  "./tools/definitive_api.php",
				data: { 
					routine: "newrecord",
					qbn: window.sessionStorage.getItem("qb")
				},
				success: function(result)
				{
					eval(result);
				}
			});
		});		
	// add dropZone for 8Ds
		$("#plusimg")
			.dropzone({
				url: "./tools/UploadHandler_ds.php?mode=N&qbn="+window.sessionStorage.getItem('qb'),
				init: function() {
					this.on("processing", function(file) {
						this.options.url = "./tools/UploadHandler_ds.php?mode=N&qbn="+window.sessionStorage.getItem('qb');
					});
				},
				previewTemplate: '<div class="dz-preview dz-file-preview"></div>',
				"dragenter": function(evnt) {
					$("#plusimg").css("background-color", "<?php echo $c_scheme['M3']; ?>");
				},
				"dragleave": function(evnt) {
					$("#plusimg").css("background-color", "transparent");
				},
				"drop": function(evnt) {
					$("#plusimg").css("background-color", "transparent");
				},
				"addedfile": function(file) {
					<?php	if (!($qb_support->checkflag('Y'))) { ?>
						var sizeInMB = (file.size / (1024*1024)).toFixed(2);
						if (sizeInMB > 25) {						
							$tdz = Dropzone.forElement("#plusimg2");
							$tdz.removeAllFiles();										
							$tdz.removeAllFiles(true);
							jAlert(localTranslation["maxfilesizeexceeded"][$globlan], localTranslation["attention"][$globlan]);
							return false;
						}
					<?php } ?>
				},
				"complete": function(file) {
				// add file names to array
					fuplds.push(JSON.parse(file.xhr.responseText).files[0].name);	
				},				
				"queuecomplete": function() {		
					$.each(fuplds, function (index, file) {
						$colorcount = $("#file_list p").length;
						$('#file_list').append('\
							<p style="padding: 0px; margin: 0px; padding-left: 2px;background-color: '+lc[$colorcount % 2]+'" >\
								<label class="dlabel vam w350" style="cursor: pointer;" onclick="window.open(\'./files/'+window.sessionStorage.getItem('qb')+'/'+file+'\', \'_blank\');">'+file+'\
								</label><label class="dlabel vam w100" style="text-align: center; cursor: pointer;" data-type="filedate" data-lan="<?php echo date('Y-m-d'); ?>" onclick="window.open(\'./files/'+window.sessionStorage.getItem('qb')+'/'+file+'\', \'_blank\');">'+localizedate("<?php echo date('Y-m-d'); ?>")+'\
								</label><span data-alt="'+file+'" class="icn_delete_b_n clckbtn" onclick="del_att(this)" title="'+localTranslation["rem"][$globlan]+'"></span>\
							</p>\
						');
					// hide delete if 8D is accepted
						if ($("#achtd_erh").val() != "") $("#file_list").find("p:last").find("span").invisible();
				// save data to database
						$.ajax({
							type: "POST",
							cache: false,
							url:  "./tools/definitive_api.php",
							data: { 
								routine: "saveachtd",
								fn: file,
								qbn: window.sessionStorage.getItem('qb')
							},
							success: function(result)
							{						
								var js = "del_att('" + $.trim(result) + "');";
								var newclick = new Function(js);
								$("#file_list").find("p:last").find("span").click(newclick);								
							}
						});					
					});
					fuplds = [];
				}
			});
		
		function c_lan() {
			translate_header($globlan);	
			translate_mainmenu($globlan);
			translate_g_header2($globlan);
			translate_submenu($globlan);
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {	
				switch ($(this).data("type")) {
					case "text":		
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "filedate":
						$(this).text(localizedate($(this).data("lan")));
						break;
					case "status":
						$(this).text(aistatusTranslation[$(this).data("lan")][$globlan]);
						break;
					default:
						break;
				}
			});	
			$.datepicker._defaults['currentText'] = calTranslation['currentText'][$globlan];
			$.datepicker._defaults['monthNames'] = calTranslation['monthNames'][$globlan];
			$.datepicker._defaults['monthNamesShort'] = calTranslation['monthNamesShort'][$globlan];
			$.datepicker._defaults['dayNamesMin'] = calTranslation['dayNamesMin'][$globlan];
			$tmp = $('#wysiwyg').trumbowyg('html');
      $data_changed_old = $data_changed;
			$('#wysiwyg').trumbowyg('destroy');
      $('#wysiwyg').trumbowyg({
        lang: $globlan,
        removeformatPasted: true,
        semantic: true,
        tagsToRemove: ['script'],
        btns: [
          ['formatting'],
          ['|', 'foreColor', 'backColor'],
          ['strong', 'em', 'del'],
          ['superscript', 'subscript'],
          ['justifyLeft', 'justifyCenter', 'justifyRight', 'justifyFull'],
          ['unorderedList', 'orderedList'],
          ['horizontalRule'],
          ['removeformat'],
          ['fullscreen']
        ]
      })
      .on('tbwchange', function(){$data_changed = true;});
			$('#wysiwyg').trumbowyg('html', $tmp);		
      $data_changed = $data_changed_old;
		}		
		function load_page() {
			document.title = document.title.split("/")[0] + '/' + window.sessionStorage.getItem('qb');
	// fill detail fields
			$.ajax({
				type: "GET",
				cache: false,
				url:  "./tools/definitive_api.php",
				dataType: "json",
				data: { 
					routine: "getdata",
					qbn: window.sessionStorage.getItem('qb')
				},
				success: function(result)
				{
					var $qbs = result[1];
					var $rtpe = result[2];
					var $qbcs = result[3];
					result = result[0];				
				// handle record button 
					if (($qbs != "C") && ($qbcs == 0)){ 					// case not closedyet
						$('#create-new').visible();
						$('#report2').visible();
						if (js_debug) console.log("add button visible becasue qb status "+$qbs+" and CSTATUS==0");
					} else {
						if (js_debug) console.log("add button invisible becasue qb status C");
						$('#create-new').invisible();
						$('#report2').invisible();
					}			
					if (result) {
						if (result['8D'] == 1) {
							if (js_debug) console.log("8D was requested");
							$("#achtd").data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");
							$("#achtd_ang").data("lan", result['8D_AN']);			
							$("#achtd_ang").val(localizedate(result["8D_AN"]));
							$("#plusimg").visible();
						// destroy datepicker functionality for accepted only if it was assigned before
							if ($("#achtd_erh").next().prop('tagName') == "SPAN") {
								$("#achtd_erh").datepicker("destroy");
								$("#achtd_erh").next().remove();
							}
							if (result["8D_ERH"] == "0000-00-00") {
								$("#achtd_erh").val("");
								$("#achtd_erh").data("lan", "");							
								if ($("#achtd_erh").next().prop('tagName') == "SPAN") {
									$('#achtd_erh').datepicker('option', {minDate: new Date(result['8D_AN'])});
								} else {
									$("#achtd_erh").datepicker(pickerOpts_2);
									$('#achtd_erh').datepicker('option', {minDate: new Date(result['8D_AN'])});
									clkevnt = $("#achtd_erh").next().data('events').click[0].handler;
									$("#achtd_erh").next().replaceWith('<span class="ui-datepicker-trigger icn_calendar_b_n clckbtn vam" data-type="title" data-lan="cal" title="<?php echo $ini_definitive['cal'][$_SESSION['lng']]; ?>"></span>');
									$("#achtd_erh").next().bind('click', clkevnt);									
								}								
							} else {
								$("#achtd_erh").val(localizedate(result["8D_ERH"]));
								$("#achtd_erh").data("lan", result["8D_ERH"]);								
							}
							if ($("#track_ad").length != 0) $("#track_ad").removeClass("spanbutton").addClass("spanbuttono");
						} else {
							$("#achtd").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
							$("#plusimg").invisible();
							$("#achtd_ang").data("lan", "");
							$("#achtd_ang").val("");
							$("#achtd_erh").data("lan", "");
							$("#achtd_erh").val("");
						// destroy datepicker functionality only if it was assigned before
							if ($("#achtd_erh").next().prop('tagName') == "SPAN") {
								$("#achtd_erh").datepicker("destroy");
								$("#achtd_erh").next().remove();
							}
							if ($("#track_ad").length != 0) $("#track_ad").removeClass("spanbuttono").addClass("spanbutton");							
						}
					} else {
						$("#achtd").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
						$("#plusimg").invisible();
						$("#achtd_ang").data("lan", "");
						$("#achtd_ang").val("");
						$("#achtd_erh").data("lan", "");
						$("#achtd_erh").val("");	
						$("#plusimg").invisible();
					// destroy datepicker functionality only if it was assigned before
						if ($("#achtd_erh").next().prop('tagName') == "SPAN") {
							$("#achtd_erh").datepicker("destroy");
							$("#achtd_erh").next().remove();
						}
					}			
					$("#adtr").show();
					$("#filetable").show();
					$("#daten_list").css("height","310px");			
					fill_files();
					fill_data('WHN', -1);		
				}
			});
		}
		function check_acht(loc) {
			if ((JSON.parse(window.sessionStorage.getItem('qbn')).status == "C") && (!$("#lockunlock").hasClass("icn_unlock_b_n"))) return false;
			if (loc == "icon") {
				if ($("#achtd").data('checked')) {
					$('#dialog-achtd').dialog( "open" );
					return;
				} else {
					$("#achtd").data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");	
					adsel = true;
				}
			} else {
				if ($("#achtd").data('checked')) {
					$("#achtd").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
				} else {
					$("#achtd").data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");	
				}
				adsel = $("#achtd").data('checked');
			}
		// 8D checked or uncheck
			if (adsel) {
			// 8d set, check if supplier & material number are defined
				$.ajax({
					type: "GET",
					cache: false,
					url:  "./tools/definitive_api.php",
					data: { 
						routine: "supplierdefined",
						qbn: window.sessionStorage.getItem('qb'),
						txt: "8D " + localTranslation["8D_ang"][$globlan]
					},
					success: function(result)
					{
						if ($.trim(result) == '0') {
					// no material number ("xxxxx-xxxxx"), display error message and return
							$("#achtd").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
							jAlert(localTranslation["no_material"][$globlan], localTranslation["attention"][$globlan]);
							return false;	
						} else if ($.trim(result) == "N/A") {
					// no supplier, display error message and return
							$("#achtd").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
							jAlert(localTranslation["no_supplier2"][$globlan], localTranslation["attention"][$globlan]);
							return false;	
						} else {
							$("#achtd").data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");	
					// yes, all defined. Save 8d & date and open 8d-form
							$("#achtd_ang").val(localizedate("<?php echo date('Y-m-d'); ?>"));
							$.ajax({
								type: "GET",
								cache: false,
								url:  "./tools/definitive_api.php",
								data: { 
									routine: "checkachtd",
									ang: "<?php echo date('Y-m-d'); ?>",
									qbn: window.sessionStorage.getItem('qb')
								},
								success: function(result)
								{							
									$('#dialog-achtd').dialog( "open" );
									if ($("#track_ad").length != 0) $("#track_ad").removeClass("spanbutton").addClass("spanbuttono");
									$("#achtd_erh").datepicker(pickerOpts_2);
									$('#achtd_erh').datepicker('option', {minDate: new Date("<?php echo date('Y-m-d'); ?>")});
									clkevnt = $("#achtd_erh").next().data('events').click[0].handler;
									$("#achtd_erh").next().replaceWith('<span class="ui-datepicker-trigger icn_calendar_b_n clckbtn vam" data-type="title" data-lan="cal" title="<?php echo $ini_definitive['cal'][$_SESSION['lng']]; ?>"></span>');
									$("#achtd_erh").next().bind('click', clkevnt);							
								}
							});
						}
					}
				});
			} else {
				$.alerts.cancelButton = localTranslation["cancel"][$globlan];
				jConfirm(localTranslation["conf_ad"][$globlan], localTranslation["attention"][$globlan] , function(r) {	
			// uncheck 8D means to delete all attachments - ask if this is really true
					if (r) {
						$("#achtd").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
						$("#plusimg").invisible();
				//yes - clear all
						$.ajax({
							type: "POST",
							cache: false,
							url:  "./tools/definitive_api.php",
							data: { 
								routine: "uncheckachtd",
								qbn: window.sessionStorage.getItem('qb')
							},
							success: function(result)
							{
								$("#achtd_ang").val("");
								$("#achtd_ang").data("lan", "");
								$("#achtd_erh").val("");
							// destroy datepicker functionality only if it was assigned before
								if ($("#achtd_erh").next().prop('tagName') == "SPAN") {
									$("#achtd_erh").datepicker("destroy");
									$("#achtd_erh").next().remove();
								}								
								$("#file_list").empty();
								$("#plusimg").invisible();
								if ($("#track_ad").length != 0) $("#track_ad").removeClass("spanbuttono").addClass("spanbutton");						
							}
						});
					} else {
				// no - keep 8D checked and return;
						$("#achtd").data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");
					}
				});
			}
		}
		function fill_files() {
			$("#file_list").empty();
			$.ajax({
				type: "GET",
				cache: false,
				url:  "./tools/definitive_api.php",
				data: { 
					routine: "getfiles",
					qbn: window.sessionStorage.getItem('qb')
				},
				dataType: "json",
				success: function(result)
				{
					var filelist = result[0];
					var $qbn = result[1];
					$colorcount = 0;
					$.each(filelist, function (key) {
						$filename = filelist[key]['8D_LINK'].split("/");
						$filename = $filename[$filename.length -1];
						$idat = filelist[key]['8D_DATE'].split("-");
						$odat = $idat[0]+"-"+calTranslation["monthNamesShort"][$globlan][(($idat[1]*1)-1)]+"-"+$idat[2];				
						$("#file_list").append('<p style="padding: 0px; margin: 0px; padding-left: 2px;" >' +
						'<label class="dlabel vam w350" style="cursor: pointer;" onclick="window.open(\'./files/'+window.sessionStorage.getItem('qb')+'/'+$filename+'\', \'_blank\');">' + $filename + '</label>' +
						'<label class="dlabel vam w100" style="text-align: center; cursor: pointer;" data-type="filedate" data-lan="' + filelist[key]["8D_DATE"] + '" onclick="window.open(\'./files/'+window.sessionStorage.getItem('qb')+'/'+$filename+'\', \'_blank\');">' + $odat + '</label>' +
						'<span class="icn_delete_b_n clckbtn vam" data-type="title" data-lan="rem" title="'+localTranslation["rem"][$globlan]+'" onclick="del_att(\'' + filelist[key]['IDX'] + '\')"></span>'+
						'</p>');
					// hide delete if 8D is accepted
						if ($("#achtd_erh").val() != "") $("#file_list").find("p:last").find("span").invisible();
						$("#file_list").find("p:last").css("background-color" , lc[$colorcount % 2]);
						$colorcount++;
					});
				}
			});	
		}
		function del_att(loc) {
		// delete 8D from list
				$.alerts.cancelButton = localTranslation["cancel"][$globlan];
				jConfirm(localTranslation["confirm_delete"][$globlan], localTranslation["attention"][$globlan], function(r) {
				if (r) {
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/definitive_api.php",
						data: { 
							routine: "deleteachtd",
							idx: loc,
							qbn: window.sessionStorage.getItem('qb')
						},
						success: function(result)
						{
							$("#file_list").empty();
							fill_files();
						}
					});
				}
			});		
		}
		function del_att1(loc) {
		// delete file before save
			$.alerts.cancelButton = localTranslation["cancel"][$globlan];
			jConfirm(localTranslation["confirm_delete"][$globlan], localTranslation["attention"][$globlan], function(r) {
				if (r) {
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/definitive_api.php",
						data: { 
							routine: "deletefile",
							fn: $(loc).data("alt"),
							id: $(loc).data("fidx"),
							qbn: window.sessionStorage.getItem("qb")
						},
						success: function(result)
						{
							fill_data('WHN', -1);
						}
					});
				}
			});
		}
		function del_def(uid, idx) {
		// confirm delete
			$.alerts.cancelButton = localTranslation["cancel"][$globlan];
			jConfirm(localTranslation["confirm_delete"][$globlan], localTranslation["attention"][$globlan], function(r) {
				if (r) {
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/definitive_api.php",
						data: { 
							routine: "deleterecord",
							didx: uid,
							qbn: window.sessionStorage.getItem('qb')
						},
						success: function(result)
						{
							$("#div_"+idx).remove();
							$color_count = 0;
							$("#daten_list").find("div").each(function() {
								$(this).css("background-color", lc[$color_count % 2]);
								$color_count++;
							});
							if ($("#daten_list").find("div:first").css("border-top-width") == "0px") {
								$("#daten_list").find("div:first").css("border-top-width", "2px");
							}		
						}
					});	
				}
			});
		}
		function move_imm(loc) {					// move action to definitive
			$.alerts.cancelButton = localTranslation["cancel"][$globlan];
			jConfirm(localTranslation["confirm_move"][$globlan], localTranslation["attention"][$globlan], function(r) {	
				if (r) {	
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/definitive_api.php",
						data: { 
							routine: "moveimm",
							idx: loc,
							qbn: window.sessionStorage.getItem("qb")
						},
						success: function(result)
						{
							$("#div_"+loc).remove();
							$color_count = 0;
							$("#daten_list").find("div").each(function() {
								$(this).css("background-color", "#"+lc[$color_count % 2]);
								$color_count++;
							});
							if ($("#daten_list").find("div:first").css("border-top-width") == "0px") {
								$("#daten_list").find("div:first").css("border-top-width", "2px");
							}				
							jAlert(localTranslation["update_done"][$globlan], localTranslation["attention"][$globlan]);
						}
					});
				}
			});
		}	
		function copy_imm(loc) {					// copy measure to implementation
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/definitive_api.php",
				data: { 
					routine: "copyimm",
					idx: loc,
					qbn: window.sessionStorage.getItem('qb')
				},
				success: function(result)
				{
					jAlert(localTranslation["update_done"][$globlan], localTranslation["attention"][$globlan]);
				}
			});
		}	
		function copy_measure(loc) {
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/definitive_api.php",
				data: { 
					routine: "copymeasure",
					idx: loc,
					qbn: window.sessionStorage.getItem('qb')
				},
				success: function(result)
				{
					jAlert(localTranslation["update_done"][$globlan], localTranslation["attention"][$globlan]);
				}
			});
		}
		function opentrack() {
			if (!($("#achtd").data("checked"))) {
				jAlert(localTranslation["DEF_A_01"][$globlan], localTranslation["attention"][$globlan]);
			} else {
				$.getScript('./jquery/adtracking.php?qb='+window.sessionStorage.getItem('qb'), function() {
					$("#dialog_track").dialog('open');
				});
			}
		}
		function setorder(loc){
			if ($(loc).hasClass('spanbuttono')){		
		// class is active --> already sort field -> reverse direction --> save order
				$nord = $("#sorder").val()*(-1);
				$("#sorder").val($nord);
			} else {
		// font is normal --> new sort field --> set direction ASC --> save order
				$nord = 1;
				$("#sorder").val($nord);		
				$("#def").find('.spanbuttono').removeClass('spanbuttono').addClass('spanbutton');				
				$(loc).removeClass('spanbutton').addClass('spanbuttono');
			}
			fill_data(loc.id.split("_")[1], $nord);
		}
		function set_mail(loc) {
			if ($(loc).data("checked")) {
				$(loc).data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
			} else {		
				$(loc).data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");	
			}			
		}
		function close_def(loc) {
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/definitive_api.php",
				data: { 
					routine: "closerecord",
					cidx: loc,
					qbn: window.sessionStorage.getItem('qb')
				},
				success: function(result)
				{
					$("#close_"+loc).remove();
					$("#vis_"+loc).css("color", "<?php echo $c_scheme['XN']; ?>");
					$("#until_"+loc).css("color", "<?php echo $c_scheme['XN']; ?>");
					$("#sts_"+loc).css("color", "<?php echo $c_scheme['XN']; ?>");
					$("#sts_"+loc).text(aistatusTranslation['DONE'][$globlan]);
					$("#clock_"+loc).datepicker("destroy");
					$("#clock_"+loc).next().remove();
					$("#clock_"+loc).remove();				
				}
			});	
		}
		function edit_def (loc) {
			$( "#dialog-form" ).data("idx", loc).data("action", "E").dialog( "open" );
		}
		function fill_data(fld, sord) {
			(sord=="1")?$sort="ASC":$sort="DESC";
			$("#daten_list").empty();
			$.ajax({
				type: "GET",
				cache: false,
				url:  "./tools/definitive_api.php",
				data: { 
					routine: "readlist",
					orderby: fld,
					sorder: $sort,
					qbn: window.sessionStorage.getItem('qb')
				},
				dataType: "json",
				success: function(result)
				{
					var datalist = result[0];
					var $qbs = result[1];
					var $qbw = result[2];
					var $qba = result[3];
					var $qbcs = result[4];
          if (js_debug) {
            console.log("qb status: "+$qbs);
            console.log("status string analysis: "+'S'.indexOf($qbs));
            console.log("qb weight: "+$qbw);
            console.log("qb close status: "+$qbcs);
          }
					$ictr = 0;
					$color_count = 0;
					$topb = 2;
					for(i=0; i<datalist.length; i++) {
						if (datalist[i]["IDX"] != $ictr) {
							$ictr = datalist[i]["IDX"];
							(datalist[i]['STAT'] == "OPEN") ? $tclr="<?php echo $c_scheme['XW']; ?>" : $tclr="<?php echo $c_scheme['XN']; ?>";				
							$("#daten_list").append('\
                <div id="div_'+datalist[i]['IDX']+'" style="border-top: '+$topb+'px solid black; border-bottom: 2px solid black; padding:0px; margin: 0px; background-color: '+lc[$color_count % 2]+';">\
                  <p style="border-bottom: 1px dotted blue; margin:0px; padding: 0px; padding-bottom: 2px;">\
                    <label id="whn_'+datalist[i]['IDX']+'" class="dlabel vam w80" style="font-weight: bold; border-right: 2px solid black; color:<?php echo $c_scheme['XN']; ?>;" data-type="filedate" data-lan="'+datalist[i]["WDATE"]+'">'+localizedate(datalist[i]["WDATE"])+'\
                    </label><label id="lup_'+datalist[i]['IDX']+'" class="dlabel vam w80" style="font-weight: bold; border-right: 2px solid black; color:<?php echo $c_scheme['XH']; ?>;" data-type="filedate" data-lan="'+datalist[i]["LUPDATE"]+'">'+localizedate(datalist[i]["LUPDATE"])+'\
                    </label><label class="dlabel vam w50" data-type="text" data-lan="who">'+localTranslation["who"][$globlan]+'\
                    </label><label id="vis_'+datalist[i]['IDX']+'" class="dlabel vam w175" style="color:'+$tclr+';">'+datalist[i]['VISUM']+'\
                    </label><label class="dlabel vam w100" data-type="text" data-lan="until">'+localTranslation["until"][$globlan]+'\
                    </label><label id="until_'+datalist[i]['IDX']+'" class="dlabel vam w100" style="color:'+$tclr+';" data-type="filedate" data-lan="'+datalist[i]["UNTIL"]+'">'+localizedate(datalist[i]["UNTIL"])+'\
                    </label><label class="dlabel vam w75" data-type="text" data-lan="status">'+localTranslation["status"][$globlan]+'\
                    </label><label id="sts_'+datalist[i]['IDX']+'" class="dlabel vam w75" style="color:'+$tclr+';" data-type="status" data-lan="'+datalist[i]['STAT']+'">'+aistatusTranslation[datalist[i]['STAT']][$globlan]+'\
                    </label><span id="addf_'+datalist[i]['IDX']+'" data-type="title" data-lan="add_file" style="margin-left: 45px;" onclick="$(\'#hiddenid\').val(\''+datalist[i]['IDX']+'\');$(\'#plusimg2\').click();" class="icn_upload_b_n clckbtn dic vam addfile" title="'+localTranslation["add_file"][$globlan]+'">\
										</span><span data-type="title" data-lan="copy_to_imm" style="margin-left:2px;" class="icn_copy_b_n clckbtn dic2 vam" title="'+localTranslation["copy_to_imm"][$globlan]+'" onclick="copy_imm('+datalist[i]['IDX']+')">\
                    </span><span data-type="title" data-lan="move_to_imm" style="margin: 0 2px;" class="icn_move_b_n clckbtn dic2 vam" title="'+localTranslation["move_to_imm"][$globlan]+'" onclick="move_imm('+datalist[i]['IDX']+')">\
										</span><span data-type="title" data-lan="rem" class="icn_delete_b_n clckbtn dic3 vam" title="'+localTranslation["rem"][$globlan]+'" onclick="del_def(\''+datalist[i]['UID']+'\','+datalist[i]['IDX']+')">\
										</span><span data-type="title" data-lan="edit" class="icn_edit_b_n clckbtn dic3 vam" title="'+localTranslation["edit"][$globlan]+'" onclick="edit_def('+datalist[i]['IDX']+')">\
                    </span><span data-type="title" data-lan="take_as_implement" class="icn_root_b_n clckbtn dic4 vam" title="'+localTranslation["take_as_implement"][$globlan]+'" onclick="copy_measure('+datalist[i]['IDX']+')">\
                    </span>\
                  </p>\
                </div>\
							');
							if (datalist[i]["STAT"] == "OPEN") {
								$("#daten_list").find("p:last").append('<input type="hidden" data-value="'+datalist[i]['REMINDER']+'" id="clock_'+datalist[i]['IDX']+'" />');
								$("#clock_"+datalist[i]['IDX']).datepicker(pickerOpts_3);
								clkevnt = $("#clock_"+datalist[i]['IDX']).next().data('events').click[0].handler;
								$("#clock_"+datalist[i]['IDX']).next().replaceWith('<span class="ui-datepicker-trigger icn_alarm_b_n clckbtn vam" data-type="title" data-lan="cal" > </span>');
								$("#clock_"+datalist[i]['IDX']).next().bind('click', clkevnt);								
								if (datalist[i]['REMINDER'] != "0000-00-00") {
									$("#clock_"+datalist[i]['IDX']).next().removeClass("icn_alarm_b_n").addClass("icn_alarm_r2_n");
								} else {
									$("#clock_"+datalist[i]['IDX']).next().removeClass("icn_alarm_r2_n").addClass("icn_alarm_b_n");								
								}
								$("#daten_list").find("p:last").append('<span id="close_'+datalist[i]['IDX']+'" data-type="title" data-lan="close" class="icn_ok_b_n clckbtn dic vam" title="'+localTranslation["close"][$globlan]+'" onclick="close_def('+datalist[i]['IDX']+')"></span>');
							}
           // icons done, append text
							$lastdiv = $("#daten_list").find("div:last");
							$lastdiv.append('<div id="wht_'+datalist[i]['IDX']+'" class="dplist"></div>');
							$("#wht_"+datalist[i]['IDX']).html(datalist[i]['WHT']);
					// check if link is available
							if(datalist[i]["LINK"].length > 0) {
								$lastdiv.append('<div id="files_'+datalist[i]['IDX']+'" style="border-top: 1px dotted blue; font: normal 9pt Arial;color: <?php echo $c_scheme['XH']; ?>; margin:0px; padding: 0px 5px 0px 0px;"></div>');
								$ln = datalist[i]['LINK'];
								$fp = "./files/"+window.sessionStorage.getItem("qb")+"/"+$ln;
								$("#daten_list").find("div:last").append('\
									<p>\
										<span data-type="title" data-lan="rem" data-alt="'+$ln+'" data-fidx="'+datalist[i]['FIDX']+'" style="margin-right:5px;" title="'+localTranslation["rem"][$globlan]+'" class="icn_delete_b_n clckbtn vam" onclick="del_att1(this)" />\
										<a class="hvrb_bl vam" onclick="window.open(\''+$fp+'\', \'_blank\');">'+$ln+'</a>\
									</p>\
								');
							}
						} else {
							$ln = datalist[i]['LINK'];
							$fp = "./files/"+window.sessionStorage.getItem("qb")+"/"+$ln;
							$("#daten_list").find("div:last").append('\
								<p>\
									<span data-type="title" data-lan="rem" data-alt="'+$ln+'" data-fidx="'+datalist[i]['FIDX']+'" style="margin-right:5px;" title="'+localTranslation["rem"][$globlan]+'" class="icn_delete_b_n clckbtn vam" onclick="del_att1(this)" />\
									<a class="hvrb_bl vam" onclick="window.open(\''+$fp+'\', \'_blank\');">'+$ln+'</a>\
								</p>\
							');
						}
					}
      // work on q-case status
        // case closed
          if (("C".indexOf($qbs)) > -1) {
            $("#daten_list").find("span.dic").hide();   // add file & take as implement
            $("#daten_list").find("span.dic2").hide();  // copy & move to immediate
            $("#daten_list").find("span.dic3").hide();  // edit & delete
            $("#daten_list").find("span.dic4").hide();  // take as implement measure
          }
        // light cases
          if ($qbw == "L") {
            $("#daten_list").find("span.dic2").hide();  // copy & move to immediate
          }
        // if close approval running
          if ($qbcs != 0) {
            $("#daten_list").find("span.dic3").hide();  // edit & delete
          }
				}
			});	
		}
		$("#dialog-achtd").dialog({
			resizable: false,
			dialogClass: "doc_input",
			autoOpen: false,
			closeOnEscape: false,
			height: 380,
			width: 380,
			modal: true,
			buttons:
				[
					{
			// save button
						text: "",
						id: "add_achtd_open",
						css: { width: '100px' },
						click: function() {
							window.open('./tools/achtd_template.php?lng='+$("#langradio").val()+'&site='+$("input[name=\"siteradio\"]:checked").val()+'&qb='+window.sessionStorage.getItem('qb'), '_blank');
							$(this).dialog( "close" );
						}
					},
					{
						text: "",
						id: "add_achtd_cancel",
						css: { width: '100px' },
						click: function() {
							$(this).dialog( "close" );
						}
					}	
				],
			close: function() {
				$('#dialog-achtd').empty();
				$("#plusimg").visible();
			},		
			open: function() {
				$("#dialog-achtd").dialog('option', 'title', localTranslation["ad_template"][$globlan]);
				$("#add_achtd_open2").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
					.off('hover')
					.off('focus')
					.addClass("spanbutton")
					.find("span").text("TEST!!!");	
				$("#add_achtd_open").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
					.off('hover')
					.off('focus')
					.addClass("spanbutton")
					.find("span").text(localTranslation["open"][$globlan]);	
				$("#add_achtd_cancel").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
					.off('hover')
					.off('focus')
					.addClass("spanbutton")
					.find("span").text(localTranslation["cancel"][$globlan]);
			// get sites
				$.ajax({
					type: "POST",
					cache: false,
					url:  "./tools/general_api.php",
					data: { 
						routine: "getsites"
					},
					dataType: 'json',
					success: function(addresses)
					{
					// generate form
						$('#dialog-achtd')
							.append('<p style="margin: 0px; padding:0px;"><label for="sender" style="display: inline-block; width: 100px;" id="senderlabel" data-type="text" data-lan="sender">'+localTranslation["sender"][$globlan]+'</label></p>');
						$('#dialog-achtd')
							.append('<div id="site_container" style="width: 360px; height: 200px; overflow-x: hidden; overflow-y: scroll; border: 1px solid <?php echo $c_scheme['RN']; ?>; margin: 0px; padding: 0px;"></div>');
						for (t=0; t < addresses["site"].length; t++) {
							$tvalue = addresses['site'][t]['zeile'][0] + "<br />" + addresses['site'][t]['zeile'][1] + "<br />" + addresses['site'][t]['zeile'][2];
							$('#dialog-achtd').find("#site_container")					
								.append('<div style="overflow-x: hidden;  white-space: nowrap; padding: 0px; margin:0px; border-bottom: 1px solid <?php echo $c_scheme['RN']; ?>;">' +
										'<input style="display: inline-block;" id="s_'+addresses["site"][t]["name"]+'" class="vam" type="radio" name="siteradio" value="'+addresses["site"][t]["name"]+'" />' +
										'<p class="dinput" style="display: inline-block; width: 320px;">'+$tvalue+'</p>' +
										'</div>');
							if (t==0) $('#dialog-achtd').find("input:radio").prop("checked", true);
						}
					// add langauage selection
						$('#dialog-achtd')
							.append('<p style="margin-top: 10px; ">' +
								'<label class="dlabel w150" id="langglabel" data-type="text" data-lan="achtd">'+localTranslation["achtd"][$globlan]+'</label>' +
								'<select id="langradio"></select>' + 
								'</p>'						
							);
              $lans = "<?php echo $qb_support->getLanOnly(); ?>".split(":");
							$.each($lans, function(key, value) {
								$("#langradio").append($('<option>', { 
									value: value,
									text : localTranslation[value][$globlan]
								}));
							});
							$("#langradio").val($globlan);
							$("#langradio").width(150).customSelect({customClass: "cSelect_man"});
					}		
				});
			}	
		});
		$( "#dialog-form" ).dialog({
			resizable: false,
			autoOpen: false,
			height: 480,
			width: 800,
			modal: true,
			buttons:
				[
					{
			// save button
						text: "",
						id: "add_def_save",
						css: { width: '100px' },
						click: function() {
							var h = $("#wysiwyg").trumbowyg('html').trim();
							while (h.match(/^<br ?\/?>/gi)) h = h.replace(/^<br ?\/?>/gi, '').trim();
							while (h.match(/<br ?\/?>$/gi)) h = h.replace(/<br ?\/?>$/gi, '').trim();								
			// validity check
							if ((h.length == 0) || !$.trim($("#vis").val()) || !$("#untl").val()) {
								$("#dialog-form").find("#def_validateTips")
									.text( localTranslation["fill_sof"][$globlan])
									.css("background-color","<?php echo $c_scheme['IW']; ?>");
								setTimeout(function() {
									$("#dialog-form").find("#def_validateTips")
										.html( '&nbsp' )
										.css("background-color","transparent");
								}, 2000 );							
								return;
							}
							if ($("#dialog-form").data('action') == "N") {
								$rout = "savenew";
								$refidx = 0;
								$aio = "";
							} else {
								$rout = "saveedit";
								$refidx = $("#dialog-form").data('idx');
								$aio = $("#vis option").filter(function() {return $(this).text() == $.trim($("#vis_"+$("#dialog-form").data('idx')).text());}).val();
							}
			// fields filled, save data
							$.ajax({
								type: "POST",
								cache: false,
								url:  "./tools/definitive_api.php",
								data: { 
									routine: $rout,
									what: h,
									until: generalizedate($("#untl").val()),
									visum: $.trim($( "#vis" ).val()),
									stat: $( "#stts" ).val(),
									ridx: $refidx,
									qbn: window.sessionStorage.getItem('qb'),
									iai: $("#infoai").hasClass("icn_checkboxchecked_c_n")*1,
									frm: $(".active").data("lan"),
									oaio: $aio									
								},
								success: function(result)
								{
                  fill_data('WHN', -1);
                  $("#dialog-form").dialog( "close" );							
                }
							});							
						}
					},
					{
						text: "",
						id: "add_def_cancel",
						css: { width: '100px' },
						click: function() {
              $("#dialog-form").dialog( "close" );
						}
					}					
				],
			close: function() {			
		// empty all fields on close
				$( "#untl" ).val( "" );
				$('#wysiwyg').trumbowyg('html', "");
				$('#wysiwyg').trumbowyg('destroy');	
				$( "#vis" ).val( "" );
			}, 
			open : function() {
				$("#dialog-form").dialog('option', 'title', localTranslation["insert_record"][$globlan]);				
				$("#add_def_save").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
					.off('hover')
					.off('focus')
					.addClass("spanbutton")
					.find("span").text(localTranslation["save"][$globlan]);	
				$("#add_def_cancel").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
					.off('hover')
					.off('focus')
					.addClass("spanbutton")
					.find("span").text(localTranslation["cancel"][$globlan]);	
				<?php
					if ($qb_support->getoptions("inform_aiowner", "default") == "yes") {
				?>
						$("#infoai").data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");
				<?php
					} else {
				?>
						$("#infoai").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
				<?php
					}
				?>					
				$("#stts")
					.find('option')
					.remove()
					.end();
				$.each(aistatusTranslation, function(key, value) {
					$("#stts").append($('<option>', { 
						value: key,
						text : value[$globlan]
					}));
				});	
				
			// convenience for manual QB -> set status to done for new datasets
				if (($("#dialog-form").data('action') == "N") && (JSON.parse(window.sessionStorage.getItem('qbn')).status == "M")) {
					$("#stts").val("DONE");
				} else {
					$("#stts").val("OPEN");
				}			
        $('#wysiwyg').trumbowyg({
          lang: $globlan,
          removeformatPasted: true,
          semantic: true,
          tagsToRemove: ['script'],
          btns: [
            ['formatting'],
            ['|', 'foreColor', 'backColor'],
            ['strong', 'em', 'del'],
            ['superscript', 'subscript'],
            ['justifyLeft', 'justifyCenter', 'justifyRight', 'justifyFull'],
            ['unorderedList', 'orderedList'],
            ['horizontalRule'],
            ['removeformat'],
            ['fullscreen']
          ]
        });		
			// preset fields if edit button is clicked
				if ($("#dialog-form").data('action') == "E") {
					$eidx = $("#dialog-form").data('idx');
			// set selectbox value
					$("#stts option").filter(function() {
						return $(this).text() == $.trim($("#sts_"+$eidx).text()); 
					}).attr('selected', true);
					$("#vis option").filter(function() {
						return $(this).text() == $.trim($("#vis_"+$eidx).text()); 
					}).attr('selected', true);	
					$('#stts').trigger('render');
					$('#vis').trigger('render');					
					$("#untl").val($("#until_"+$eidx).text());
					$('#wysiwyg').trumbowyg('html', $("#wht_"+$eidx).html());
				} else {
					$('#stts').trigger('render');
					$('#vis').trigger('render');
					$('#wysiwyg').trumbowyg('html', "");					
				}
			}
		})	
		<?php if ($qb_support->checkflag("ZY")) { ?>		
			function set_special(loc) {
				if (JSON.parse(window.sessionStorage.getItem("qbn")).status != "C") return;
        if (js_debug) console.log("set_special: "+loc);        
				switch(loc) {
					case "A":
						$('#mat_edt_img').visible();	
						$('#create-new').visible();	
						$("#daten_list").find("span.dic").show();
						$("#daten_list").find("span.dic2").show();
            $("#daten_list").find("span.dic3").show();
            $("#daten_list").find("span.dic4").show();
					// show accepted datepicker only if 8D requested
						if ($("#achtd").hasClass("icn_checkboxchecked_c_n")) {
							if ($("#achtd_erh").next().prop('tagName') == "SPAN") {
								$('#achtd_erh').datepicker('option', {minDate: "-10y", maxDate: "+10y", changeYear: true, changeMonth: true});	
							} else {
								$("#achtd_erh").datepicker(pickerOpts_2);
								$('#achtd_erh').datepicker('option', {minDate: "-10y", maxDate: "+10y", changeYear: true, changeMonth: true});
								clkevnt = $("#achtd_erh").next().data('events').click[0].handler;
								$("#achtd_erh").next().replaceWith('<span class="ui-datepicker-trigger icn_calendar_b_n clckbtn vam" data-type="title" data-lan="cal" title="<?php echo $ini_definitive['cal'][$_SESSION['lng']]; ?>"></span>');
								$("#achtd_erh").next().bind('click', clkevnt);							
							}					
						}
						$("#file_list").find("span").show();
						$('#untl').datepicker('option', {minDate: "-10y", maxDate: "+10y"});
						$("#untl").next().remove();	
						break;			
					case "X":
						$('#mat_edt_img').invisible();	
						$('#create-new').invisible();	
						$("#daten_list").find("span.dic").hide();
						$("#daten_list").find("span.dic2").hide();
            $("#daten_list").find("span.dic3").hide();
            $("#daten_list").find("span.dic4").hide();
					// remove accepted datepicker only if (case is closed or accepted date already set) and datepicker visible
						if (((JSON.parse(window.sessionStorage.getItem('qbn')).status == "C") || ($("#achtd_erh").val() == "00000-00-00")) && ($("#achtd_erh").next().prop('tagName') == "SPAN")) {
							$("#achtd_erh").datepicker("destroy");
							$("#achtd_erh").next().remove();
						}
						$("#file_list").find("span").hide();
						$('#untl').datepicker('option', {minDate: new Date($("#reg_date_org").val()), maxDate: "+12m"});
						$("#untl").next().remove();	
						break;
				}
			}
		<?php } ?>
		g_header2();
	</script>
</body>
</html>