<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />		
	<?php include_once(dirname(__FILE__)."/tools/all_header.php"); global $c_scheme, $timezone, $rel_path; ?>
	<script>
		var js_debug = false;
		$data_changed = false;		
	</script>
	
    <title>Communication</title>

	<link rel="stylesheet" href="./css/qb.php" />
	<link rel="stylesheet" href="./js_sources/dzone/min/dropzone.min.css" />
	<link rel="stylesheet" href="./trumbowyg/dist/ui/trumbowyg.css">
	<link rel="stylesheet" href="./trumbowyg/dist/plugins/colors/ui/trumbowyg.colors.min.css">
	
	<style>
		.editbox {
			background: #FFFFFF;
		}		
		.trumbowyg-box, .trumbowyg-editor {
			width: 650px;
			min-height: 70px;
			margin: 0;
			margin-top: 5px;
			display: inline-block;
		}
		.trumbowyg-editor {
			padding: 2px;
			font-family: Arial;
		}
		.trumbowyg-fullscreen {
			margin: 0;
			padding: 0;
			top: 0px;
			left: 0px;
			width: 100%;
			height: 100%;
		}
		.ui-dialog-titlebar-close {display: none;}
	</style>
	
	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>
	<script src="./js_sources/dzone/min/dropzone.min.js"></script>
	<script src="./trumbowyg/dist/trumbowyg.js"></script>
	<script src="./trumbowyg/dist/plugins/colors/trumbowyg.colors.min.js"></script>	
	<?php 
		foreach(explode(":", $qb_support->getLanOnly()) as $key=>$value) {
			if ($value != "en") echo '<script src="./trumbowyg/dist/langs/'.$value.'.min.js"></script>';
		}
	?>	
	
	<script>
	// load translation and save in localTranslation
		<?php	
			$ini_doccom = parse_ini_file($rel_path.'i18n/doccom.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_doccom as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
		?>			
	</script>	
</head>
<body>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
			<?php 
				echo "<div id='mainnav'>". $qb_support->get_main_menu(1) . "</div>";
				include_once($rel_path.'tools/g_header2.php');
				echo $qb_support->get_sub_menu(8);
			?>	
			<div id="tabscontainer" >
				<?php echo $qb_support->get_doc_menu(2); ?>
				<div id="docscontainer">
					<span data-type="text" data-lan="new_record" style="visibility: hidden;" class="spanbutton w150" id="create-new"><?php echo $ini_doccom['new_record'][$_SESSION['lng']];?></span>
					<label style="text-align: right; display: inline-block; width: 700px; font: normal 9pt Arial;padding:0px; margin:0px; margin-right: 10px;" data-type="text" data-lan="order_by" ><?php echo $ini_doccom['order_by'][$_SESSION['lng']];?></label>
					<span data-type="text" data-lan="date" class="spanbuttono w75" id="btn_WHN" onclick="setorder(this)"><?php echo $ini_doccom['date'][$_SESSION['lng']];?></span>
					<div id="daten_list" style="margin-top: 10px;overflow-y: scroll; padding: 0px; overflow-x: hidden; height: 380px;"></div>
				</div>
			</div>
			<input type="hidden" id="sorder" name="sorder" value="-1" />
		</div>
		<?php include_once($rel_path.'footer.php'); ?> 
	<!-- form for adding new datasets -->
		<div id="dialog-form">
			<p id="com_validateTips" style="padding: 2px; margin: 0px; margin-bottom: 10px;" >&nbsp;</p>
			<fieldset id="fs" style="border: 0px solid purple; padding: 2px; height: 250px; margin:0px;">
				<p>
					<label id="whtlabel" class="dlabel w100" style="vertical-align: top; margin-top: 75px;" ></label>
					<textarea rows="2" class="dtextarea vam editbox" id="wysiwyg" style="height: 100px;"></textarea>
				</p>
				<p>
					<label id="whnlabel" class="dlabel w100 vam"></label>
					<input type="hidden" id="untl_org" value="" />				
					<input type="text" id="untl" class="dinput vam w100" readonly value="" />						
				</p>
				<div id="filetable" style="display: inline-block; width: 630px; vertical-align: top; margin: 5px 0 0 108px; overflow: hidden;">
					<p class="listheader">
						<span id="plusimg" style="float: right;" class="icn_upload_w_n clckbtn vam" title=""></span>
						<span id="linklabel" style="line-height: 20px; width: 460px;"></span>
					</p>
					<div id="file_list" class="filelist" style="width: 628px; height:70px;"></div>
				</div>
			</fieldset>
		</div>	
	</div>
	<script>
		Dropzone.autoDiscover = false;
		var fuplds = [];
		var fbuffer = [];
		var fbuffer_keep = [];
		
		lc = new Array();
		lc[0]= "<?php echo $c_scheme['IE']; ?>";
		lc[1]= "<?php echo $c_scheme['IO']; ?>";
	
		pickerOpts = {
			closeText: "X",		
			dateFormat: "yy-M-dd",
			altField: '#untl_org',
			altFormat: 'yy-mm-dd',
			firstDay: 1,
			isRTL: false,
			showButtonPanel: true,
			displayClose: true,
			showOn: "button",  
			buttonImage: "./img/dummy_img.png", 
			buttonImageOnly: true,
			buttonText: localTranslation["cal"][$globlan],
			changeYear: true,
			changeMonth: true,
			maxDate: '+12m',
			minDate: new Date($("#reg_date_org").val())	
		}
	// fix um bei klicken auf "Heute" den Kalender zu schliessen	
		var old_goToToday = $.datepicker._gotoToday;
		$.datepicker._gotoToday = function(id) {
			old_goToToday.call(this,id);   
			this._selectDate(id);
		};
		
		$("#untl").datepicker(pickerOpts);
		clkevnt = $("#untl").next().data('events').click[0].handler;
		$("#untl").next().replaceWith('<span class="ui-datepicker-trigger icn_calendar_b_n clckbtn vam" data-type="title" data-lan="cal" title="<?php echo $ini_doccom['cal'][$_SESSION['lng']]; ?>"> </span>');
		$("#untl").next().bind('click', clkevnt);		
				
		$( "#create-new" ).on("click", function() {							// assign event to new dataset button	
			$('#dialog-form').data('action', 'N').dialog('open');
		});
	// add dropZone
		$("#plusimg")
			.dropzone({
				url: "./tools/UploadHandler_ds.php?mode=N&qbn="+window.sessionStorage.getItem('qb'),
				init: function() {
					this.on("processing", function(file) {
						this.options.url = "./tools/UploadHandler_ds.php?mode=N&qbn="+window.sessionStorage.getItem('qb');
					});
				},				
				previewTemplate: '<div class="dz-preview dz-file-preview"></div>',
				"dragenter": function(evnt) {
					$("#plusimg").css("background-color", "<?php echo $c_scheme['M3']; ?>");
				},
				"dragleave": function(evnt) {
					$("#plusimg").css("background-color", "transparent");
				},
				"drop": function(evnt) {
					$("#plusimg").css("background-color", "transparent");
				},
				"addedfile": function(file) {
					<?php	if (!($qb_support->checkflag('Y'))) { ?>
						var sizeInMB = (file.size / (1024*1024)).toFixed(2);
						if (sizeInMB > 25) {						
							$tdz = Dropzone.forElement("#plusimg");
							$tdz.removeAllFiles();										
							$tdz.removeAllFiles(true);
							jAlert(localTranslation["maxfilesizeexceeded"][$globlan], localTranslation[$globlan]["attention"][$globlan]);
							return false;
						}
					<?php } ?>
				},
				"complete": function(file) {
				// add file names to array
					fuplds.push(JSON.parse(file.xhr.responseText).files[0].name);	
				},				
				"queuecomplete": function() {		
					$.each(fuplds, function (index, file) {
						$colorcount = $("#dialog-form").find("#file_list").find("p").length;
						$('#file_list').append('\
							<p style="padding: 0px; margin: 0px; padding-left: 2px;background-color: '+lc[$colorcount % 2]+'" >\
							<label class="dlabel vam" style="width: 575px;">'+file+'</label>\
							<span data-alt="'+file+'" class="icn_delete_b_n clckbtn" onclick="del_att(this)" title="'+localTranslation["rem"][$globlan]+'"></span>\
							</p>\
						');
					});	
					fuplds = [];
				}
			});
		
	// function for new dataset
		$( "#dialog-form" ).dialog({
			resizable: false,
			dialogClass: "doc_input",
			autoOpen: false,
			height: 480,
			width: 800,
			modal: true,
			buttons:
				[
					{
			// save button
						text: "",
						id: "doc_com_save",
						click: function() {
							var h = $("#wysiwyg").trumbowyg('html').trim();
							while (h.match(/^<br ?\/?>/gi)) h = h.replace(/^<br ?\/?>/gi, '').trim();
							while (h.match(/<br ?\/?>$/gi)) h = h.replace(/<br ?\/?>$/gi, '').trim();							
			// validity check
							if (h.length == 0) {
								$("#dialog-form").find("#com_validateTips")
									.text( localTranslation["fill_sof"][$globlan])
									.css("background-color","<?php echo $c_scheme['IW']; ?>");
								setTimeout(function() {
									$("#dialog-form").find("#com_validateTips")
										.html( '&nbsp' )
										.css("background-color","transparent");
								}, 2000 );
								return false;						
							}
							if ($("#dialog-form").data('action') == "N") {
								$rout = "savenew";
								$refidx = 0;
							} else {
								$rout = "saveedit";
								$refidx = $("#dialog-form").data('idx');
							}
			// fields filled, save data
							$.ajax({
								type: "POST",
								cache: false,
								url:  "./tools/doccom_api.php",
								data: { 
									routine: $rout,
									what: h,
									when: $("#untl_org").val(),
									ridx: $refidx,
									qbn: window.sessionStorage.getItem("qb")
								},
								success: function(result)
								{
						// handle files for new record
									if ($("#dialog-form").data('action') == "N") {	
										$fl = $("#file_list").find("p");
										var tmpfiles = Array();
										$fl.each(function(key)
										{ 
											tmpfiles[key] = $(this).find("span").data("alt");
										});						
								// have there been files uploaded?
										if (tmpfiles.length > 0) {							
									// yes - set links in database
											$.ajax({
												type: "POST",
												cache: false,
												url:  "./tools/doccom_api.php",
												data: { 
													routine: "setfilelinksonsave",
													tmpfls: tmpfiles,
													lastid: result,
													qbn: window.sessionStorage.getItem("qb")
												},
												success: function(result)
												{						
													fill_data('WHN', -1);											
													$("#dialog-form").dialog( "close" );								
												}
											});	
										} else {
											fill_data('WHN', -1);																		
											$("#dialog-form").dialog( "close" );
										}
									} else {
								// first generate list of all files in file list
										$fl = $("#file_list").find("p");
										var tmpfiles = Array();
										$fl.each(function(key)
										{ 
											tmpfiles[key] = $(this).find("span").data("alt");
										});
										fbuffer_keep = JSON.parse(JSON.stringify(fbuffer));
								// now remove all files from fbuffer which are in tmpfiles -> remaining files in fbuffer have to be deleted
										$.each(tmpfiles, function(key, value) {
											fbuffer = $.grep(fbuffer, function(value1) {
											  return value1 != value;
											});
										});
								// now remove all files from tmpfiles which are in fbuffer_keep -> remaining files in tmpfiles are new
										$.each(fbuffer_keep, function(key, value) {
											tmpfiles = $.grep(tmpfiles, function(value1) {
											  return value1 != value;
											});
										});											
						// handle files for edit record
										$.ajax({
											type: "POST",
											cache: false,
											url:  "./tools/doccom_api.php",
											data: { 
												routine: "setfilelinksonedit",
												lastid: result,
												qbn: window.sessionStorage.getItem("qb"),
												tmpfls: tmpfiles,
												fbfr: fbuffer
											},
											success: function(result)
											{
												tmpfiles = [];
												fbuffer = [];													
												fill_data('WHN', -1);																				
												$("#dialog-form").dialog( "close" );
											}
										});						
									}
								}
							});							
						}
					},
					{
						text: "",
						id: "doc_com_cancel",
						css: { width: '100px' },
						click: function() {
				// if form was used for editing do not delete files after cancel
							if ($("#dialog-form").data('action') == "N") {
								$fl = $("#file_list").find("p");
								var tmpfiles = Array();
								$fl.each(function(key)	{ 
									tmpfiles[key] = $(this).find("span").data("alt");
								});
								if (tmpfiles.length > 0) {
									$.ajax({
										type: "POST",
										cache: false,
										url:  "./tools/doccom_api.php",
										data: { 
											routine: "clearfilesoncancel",
											tmpfls: tmpfiles,
											qbn: window.sessionStorage.getItem("qb")
										},
										success: function(result)
										{
											$("#dialog-form").dialog( "close" );
										}
									});
								} else {
									$("#dialog-form").dialog( "close" );
								}
							} else {
					// if cancel on edit remove only added files
								$fl = $("#file_list").find("p");
								var tmpfiles = Array();
							// first generate list of all files in file list
								$fl.each(function(key)
								{ 
									tmpfiles[key] = $(this).find("span").data("alt");
								});
							// now remove all "old" files
								$.each(fbuffer, function(key, value) {
									tmpfiles = $.grep(tmpfiles, function(value1) {
									  return value1 != value;
									});
								});
							// delete all newly added files if any are left
								if (Object.keys(tmpfiles).length > 0) {								
									$.ajax({
										type: "POST",
										cache: false,
										url:  "./tools/doccom_api.php",
										data: { 
											routine: "clearchangessoncancel",
											qbn: window.sessionStorage.getItem("qb"),
											tmpfls: tmpfiles
										},
										success: function(result)
										{
											$("#dialog-form").dialog( "close" );
										}
									});
								} else {
									$("#dialog-form").dialog( "close" );									
								}
							}
						}
					}					
				],
			close: function() {
		// empty file buffer
				fbuffer = [];				
		// empty all fields on close
				$( "#untl" ).val( "" );
				$('#wysiwyg').trumbowyg('html', "");
				$('#wysiwyg').trumbowyg('destroy');	
				$( "#file_list" ).empty();
			}, 
			open : function() {
				$("#dialog-form").dialog('option', 'title', localTranslation["insert_record"][$globlan]);
				$("#whtlabel").text(localTranslation["what"][$globlan]);
				$("#whnlabel").text(localTranslation["when_only"][$globlan]);
				$("#plusimg").attr("title", localTranslation["add"][$globlan]);
				$("#linklabel").text(localTranslation["link"][$globlan]);
				$("#fs .ui-datepicker-trigger").attr("title",localTranslation["cal"][$globlan]);
				
				$("#doc_com_save").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
					.off('hover')
					.off('focus')
					.addClass("spanbutton")
					.find("span").text(localTranslation["save"][$globlan]);	
				$("#doc_com_cancel").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
					.off('hover')
					.off('focus')
					.addClass("spanbutton")
					.find("span").text(localTranslation["cancel"][$globlan]);	
        $('#wysiwyg').trumbowyg({
          lang: $globlan,
          removeformatPasted: true,
          semantic: true,
          tagsToRemove: ['script'],
          btns: [
            ['formatting'],
            ['|', 'foreColor', 'backColor'],
            ['strong', 'em', 'del'],
            ['superscript', 'subscript'],
            ['justifyLeft', 'justifyCenter', 'justifyRight', 'justifyFull'],
            ['unorderedList', 'orderedList'],
            ['horizontalRule'],
            ['removeformat'],
            ['fullscreen']
          ]
        });					
			// preset fields if edit button is clicked
				if ($("#dialog-form").data('action') == "E") {
					$eidx = $("#dialog-form").data('idx');
					$("#untl").val($("#whn_"+$eidx).text());
					$("#untl_org").val(generalizedate($("#whn_"+$eidx).text()));
					$('#wysiwyg').trumbowyg('html', $("#wht_"+$eidx).html());
					
					$colorcount = 0;
					$("#files_"+$eidx+" a").each(function()
					{
						fbuffer.push($(this).prev().data("alt"));
						$("#file_list").append('<p style="padding: 0px; margin: 0px; padding-left: 2px; background-color: '+lc[$colorcount % 2]+';">' +
							'<label class="dlabel vam" style="width: 575px;">' + $(this).prev().data("alt") + '</label>' +
							'<span data-alt="'+$(this).prev().data("alt")+'" class="icn_delete_b_n clckbtn" onclick="del_att(this)" title="'+localTranslation["rem"][$globlan]+'"></span>' + 
							'</p>');
						$colorcount++;
					});
				} else {
					$("#untl_org").val("<?php date_default_timezone_set($timezone); echo date('Y-m-d'); ?>");
					$("#untl").val(localizedate($("#untl_org").val()));
					$('#wysiwyg').trumbowyg('html', "");
				}
			}
		});	
		function load_page() {
			document.title = document.title.split("/")[0] + '/' + window.sessionStorage.getItem("qb");
			fill_data('WHN', -1);
		}
		function c_lan() {
			translate_header($globlan);	
			translate_mainmenu($globlan);
			translate_g_header2($globlan);
			translate_submenu($globlan);
			translate_docmenu($globlan);
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {	
				switch ($(this).data("type")) {
					case "text":		
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "comdate":
						$(this).text(localizedate($(this).data("lan")));
						break;
				}
			});
			$tmp = $('#wysiwyg').trumbowyg('html');
      $data_changed_old = $data_changed;
			$('#wysiwyg').trumbowyg('destroy');
      $('#wysiwyg').trumbowyg({
        lang: $globlan,
        removeformatPasted: true,
        semantic: true,
        tagsToRemove: ['script'],
        btns: [
          ['formatting'],
          ['|', 'foreColor', 'backColor'],
          ['strong', 'em', 'del'],
          ['superscript', 'subscript'],
          ['justifyLeft', 'justifyCenter', 'justifyRight', 'justifyFull'],
          ['unorderedList', 'orderedList'],
          ['horizontalRule'],
          ['removeformat'],
          ['fullscreen']
        ]
      });
			$('#wysiwyg').trumbowyg('html', $tmp);
      $data_changed = $data_changed_old;			
		}
		function del_att(loc) {							// delete attachment from record
		// delete file before save
			$.alerts.cancelButton = localTranslation["cancel"][$globlan];
			jConfirm(localTranslation["confirm_delete"][$globlan], localTranslation["attention"][$globlan], function(r) {
				if (r) {		
				// do not delete files immediatly on edit if original files -> just update fbuffer
					if (($("#dialog-form").data('action') == "E") && ($.inArray($(loc).data("alt"), fbuffer) > -1)) {
						$(loc).parent().remove();
						$fl = $("#file_list").find("p");
						$colorcount = 0;
						$fl.each(function()
						{
							$(this).css("background-color" , lc[$colorcount % 2]);
							$colorcount++;
						});
					} else {			
				// delete file from list for "new" form
						$.ajax({
							type: "POST",
							cache: false,
							url:  "./tools/doccom_api.php",
							data: { 
								routine: "deletefile",
								fn: $(loc).data("alt"),
								qbn: window.sessionStorage.getItem("qb")
							},
							success: function(result)
							{
								$(loc).parent().remove();
								$fl = $("#file_list").find("p");
								$colorcount = 0;
								$fl.each(function()
								{
									$(this).css("background-color" , lc[$colorcount % 2]);				
									$colorcount++;
								});
							}
						});					
					}
				}
			});
		}
		function del_def(uid, idx) {
			$.alerts.cancelButton = localTranslation["cancel"][$globlan];
			jConfirm(localTranslation["confirm_delete"][$globlan], localTranslation["attention"][$globlan], function(r) {
				if (r) {
					$("#loading").show();
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/doccom_api.php",
						data: { 
							routine: "deleterecord",
							didx: uid,
							qbn: window.sessionStorage.getItem("qb")
						},
						success: function(result)
						{
							$("#div_"+idx).remove();
							$colorcount = 0;
							$("#daten_list").find("div").each(function() {
								$(this).css("background-color", lc[$colorcount % 2]);
								$colorcount++;
							});
							if ($("#daten_list").find("div:first").css("border-top-width") == "0px") {
								$("#daten_list").find("div:first").css("border-top-width", "2px");
							}
							$("#loading").hide();
						}
					});
				}
			});
		}
		function edit_def (loc) {
			$( "#dialog-form" ).data("idx", loc).data("action", "E").dialog( "open" );
		}
		function fill_data(fld, sord) {
			(sord=="1")?$sort="ASC":$sort="DESC";
			$("#daten_list").empty();
			$.ajax({
				type: "GET",
				cache: false,		
				url:  "./tools/doccom_api.php",
				data: { 
					routine: "readlist",
					orderby: fld,
					sorder: $sort,
					qbn: window.sessionStorage.getItem("qb")
				},
				dataType: "json",
				success: function(result)
				{
					var $qbs = result[1];
					if ($qbs == "C") {
						$("#create-new").invisible();
					} else {
						$("#create-new").visible();
					}
					var datalist = result[0];
					$ictr = 0;
					$colorcount = 0;
					$topb = 2;
					for(i=0; i<datalist.length; i++) {
						if (datalist[i]["IDX"] != $ictr) {
							$ictr = datalist[i]["IDX"];
							$("#daten_list").append('\
								<div id="div_'+datalist[i]['IDX']+'" style="border-top: '+$topb+'px solid black; border-bottom: 2px solid black; padding:0px; margin: 0px; background-color: '+lc[$colorcount % 2]+';">\
									<p style="border-bottom: 1px dotted blue; margin:0px; padding: 0px; padding-bottom: 2px;">\
										<label id="whn_'+datalist[i]['IDX']+'" class="dlabel vam w80" style="font-weight: bold; border-right: 2px solid black; color:<?php echo $c_scheme['XN']; ?>;" data-type="comdate" data-lan="'+datalist[i]["WHN"]+'">'+localizedate(datalist[i]["WHN"])+'\
										</label><span data-type="title" data-lan="rem" style="margin-left: 850px;" class="icn_delete_b_n clckbtn dic vam" title="'+localTranslation["rem"][$globlan]+'" onclick="del_def(\''+datalist[i]['UID']+'\','+datalist[i]['IDX']+')">\
										</span><span data-type="title" data-lan="edit" class="icn_edit_b_n clckbtn dic vam" title="'+localTranslation["edit"][$globlan]+'" onclick="edit_def('+datalist[i]['IDX']+')"></span>\
									</p>\
								</div>\
							');
							if ($qbs == "C") { 		// case completely closed
								$.each($("#daten_list").find("p:last").find("span.dic"), function(i) {
									$(this).invisible();
								});
							}
							$lastdiv = $("#daten_list").find("div:last");
							$lastdiv.append('<div id="wht_'+datalist[i]['IDX']+'" class="dplist"></div>');
							$("#wht_"+datalist[i]['IDX']).html(datalist[i]['WHT']);								
					// check if link is available
							if(datalist[i]["LINK"].length > 0) {
								$ln = datalist[i]['LINK'];
								$fp = "./files/"+window.sessionStorage.getItem("qb")+"/"+$ln;
								$lastdiv.append('<p id="files_'+datalist[i]['IDX']+'" style="border-top: 1px dotted blue; font: normal 9pt Arial;color: #0000CC; margin:0px; padding: 0px 5px 5px 0px;"></p>');						
								$("#daten_list").find("p:last").append('<span data-alt="'+$ln+'"style="margin-right:5px;" class="icn_file_b_n clckbtn vam" onclick="window.open(\''+$fp+'\', \'_blank\');" />');
								$("#daten_list").find("p:last").append('<a class="hvrb_bl vam" onclick="window.open(\''+$fp+'\', \'_blank\');">'+$ln+'</a>');
							}
							$topb = 0;
							$colorcount++;
						} else {
							$ln = datalist[i]['LINK'];
							$fp = "./files/"+window.sessionStorage.getItem("qb")+"/"+$ln;
							$("#daten_list").find("p:last").append('<br /><span data-alt="'+$ln+'" style="margin-right:5px;" class="icn_file_b_n clckbtn vam" onclick="window.open(\''+$fp+'\', \'_blank\');" />');
							$("#daten_list").find("p:last").append('<a class="hvrb_bl vam" onclick="window.open(\''+$fp+'\', \'_blank\');">'+$ln+'</a>');
						}
					}
				}
			});	
		}
		function setorder(loc){
			if ($(loc).hasClass('spanbuttono')){
		// class is active --> already sort field -> reverse direction --> save order
				$nord = $("#sorder").val()*(-1);
				$("#sorder").val($nord);
			} else {
		// font is normal --> new sort field --> set direction ASC --> save order
				$nord = 1;
				$("#sorder").val($nord);
				$("#docscontainer").find('.spanbuttono').removeClass('spanbuttono').addClass('spanbutton');
				$(loc).removeClass('spanbutton').addClass('spanbuttono');
			}
			fill_data(loc.id.split("_")[1], $nord);
		}
		<?php if ($qb_support->checkflag("ZY")) { ?>		
			function set_special(loc) {
				if (JSON.parse(window.sessionStorage.getItem("qbn")).status != "C") return;
				switch(loc) {
					case "A":
						$('#mat_edt_img').visible();
						$("#create-new").visible();
						$("#daten_list").find("span.dic").visible();			// open detail list
					// set datepicker options
						$('#untl').datepicker('option', {minDate: "-10y", maxDate: "+10y"});
						$("#untl").next().remove();	
						break;
					case "X":
						$('#mat_edt_img').invisible();
					// reset datepicker options
						$('#untl').datepicker('option', {minDate: new Date($("#reg_date_org").val()), maxDate: "+12m"});
						$("#untl").next().remove();
					// reset detail list				
						fill_data('WHN', -1);					
				}
			}
		<?php } ?>
		g_header2();
	</script>
</body>
</html>