<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />		
<?php
	include_once(dirname(__FILE__)."/tools/all_header.php");
	global $c_scheme, $timezone, $rel_path;
	if (strpos($_SESSION['fg'], "C") === false) header("Location: basic.php");
?>	
	<script>
		var js_debug = false;
		$data_changed = false;		
	</script>
	
    <title>Costs</title>
	
	<link rel="stylesheet" href="./css/qb.php" />
	<link rel="stylesheet" href="./js_sources/dzone/min/dropzone.min.css" />
	<style>
		.ui-dialog-titlebar-close{
			display: none;
		}
	</style>
	
	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>
	<script src="./js_sources/dzone/min/dropzone.min.js"></script>
	
	<script>
	// load translation and save in localTranslation
		<?php	
			$ini_doccost = parse_ini_file($rel_path.'i18n/doccost.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_doccost as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$ini_costart = parse_ini_file($rel_path.'xml/cost_art.ini', true);	
			echo "costartTranslation = {};";
			foreach($ini_costart as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "costartTranslation['".$key."']={".rtrim($add, ',')."};";
			}
		?>	
	</script>
</head>
<body>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
			<?php 
				echo "<div id='mainnav'>". $qb_support->get_main_menu(1) . "</div>";
				include_once($rel_path.'tools/g_header2.php');
				echo $qb_support->get_sub_menu(8);
			?>	
			<div id="tabscontainer" >
				<?php echo $qb_support->get_doc_menu(6); ?>
				<div id="docscontainer">
					<span data-type="text" data-lan="new_record" class="spanbutton w150" id="create-new" onclick="$('#dialog-form').data('action', 'N').dialog('open');"><?php echo $ini_doccost['new_record'][$_SESSION['lng']]; ?></span>
					<span id="pdfimg" class="icn2_pdf_b_n clckbtn vam" title="<?php echo $ini_doccost['pdf'][$_SESSION['lng']]; ?>" data-type="title" data-lan="pdf" onclick="print_cost();"></span>
					<span id="def">
						<label class="dlabel vam w50" data-type="text" data-lan="filter" style="margin-left: 50px;" ><?php echo $ini_doccost['filter'][$_SESSION['lng']]; ?></label>
						<span data-type="text" data-lan="all" class="spanbuttono w75" id="sort_X" onclick="setfilter('X')"><?php echo $ini_doccost['all'][$_SESSION['lng']]; ?></span>
						<span data-type="text" data-lan="internal" class="spanbutton w75" id="sort_I" onclick="setfilter('I')"><?php echo $ini_doccost['internal'][$_SESSION['lng']]; ?></span>
						<span data-type="text" data-lan="external" class="spanbutton w75" id="sort_E" onclick="setfilter('E')"><?php echo $ini_doccost['external'][$_SESSION['lng']]; ?></span>
					</span>
					<span id="sor">
						<label class="dlabel vam w150" data-type="text" data-lan="order_by" style="margin-left: 40px; margin-right: 10px; text-align: right;" ><?php echo $ini_doccost['order_by'][$_SESSION['lng']]; ?></label>
						<span data-type="text" data-lan="date" class="spanbuttono w75" id="btn_C_DATE" onclick="setorder(this)"><?php echo $ini_doccost['date'][$_SESSION['lng']]; ?></span>
						<span data-type="text" data-lan="nname" class="spanbutton w75" id="btn_WHO" onclick="setorder(this)"><?php echo $ini_doccost['nname'][$_SESSION['lng']]; ?></span>
						<span data-type="text" data-lan="costs" class="spanbutton w75" id="btn_SUM" onclick="setorder(this)"><?php echo $ini_doccost['costs'][$_SESSION['lng']]; ?></span>
					</span>
					<div id="clas">
						<div id="daten_list" style="border: 0px solid black; overflow-y: scroll; height: 340px; padding: 0px; margin-top: 5px;overflow-x: hidden;">
						</div>
						<hr />
						<label data-type="text" data-lan="sum" class="dlabel" style="margin-left: 470px; border: 0px solid green; width: 55px; text-align: center;"><?php echo $ini_doccost['sum'][$_SESSION['lng']]; ?></label>
						<input id="totinp" type='text' readonly value="" style='text-align: right; border: 0px; border-top: 2px solid black; width: 130px; color: <?php echo $c_scheme['XH']; ?>; font-weight: bold; font-size: 10pt;' />
					</div>
				</div>
				<input type="hidden" name="sorder" id="sorder" value="-1" />
			</div>
		</div>
		<?php include_once($rel_path.'footer.php'); ?> 
	<!-- form for adding new datasets -->
		<div id="dialog-form">
			<p id="cost_validateTips" style="padding: 2px; margin: 0px; margin-bottom: 10px;" >&nbsp;</p>
			<fieldset id="fs" style="border: 0px solid purple; padding: 2px; height: 250px; margin:0px; font: normal 9pt Arial;">
				<p>
					<label id="whtlabel" class="dlabel vam w75"></label>	
					<textarea rows="3" class="dtextarea vam" id="grund" style="width: 450px; height: 50px;"></textarea>
				</p>
				<p>
					<label id="artlabel" class="dlabel vam w75"></label>	
					<select id="art" class="csselect"></select>
				</p>
				<p>
					<label id="untillabel" class="dlabel vam w75"></label>
					<input type="text" id="until" class="dinput vam w75" readonly />
					<input type="hidden" id="until_org" value="" />
				</p>
				<p>
					<label id="mengelabel" class="dlabel vam w75"></label>
					<input type="text" id="menge" class="dinput vam w50" style="text-align: right;" value="" />
				</p>
				<p>
					<label id="costlabel" class="dlabel vam w75"></label>
					<input type="text" id="cost" class="dinput vam w50" style="text-align: right;" />
				</p>
				<p>
					<label id="currencylabel" class="dlabel vam w75"></label>
					<input type="text" id="currency" class="dinput vam w50" value="<?php $qb_support->getOptions("refcurrency", 'display'); ?>" />
					<label class="dlabel vam" style="width:10px;">(*</label>
					<input type="text" id="factor" class="dinput vam" style="width: 35px; text-align: right;" value="1.00" />
					<label id="factorlabel" class="dlabel vam w50">= <?php echo $qb_support->getOptions("refcurrency", 'display'); ?>)</label>
				</p>
				<div id="filetable" style="display: inline-block; width: 450px; vertical-align: top; margin: 5px 0 0 83px; overflow: hidden;">
					<p class="listheader">
						<span id="plusimg" style="float: right;" class="icn_upload_w_n clckbtn vam" title=""></span>
						<span id="linklabel" style="line-height: 20px; width: 525px;"></span>
					</p>
					<div id="file_list" class="filelist" style="width: 448px; height:70px;"></div>
				</div>
			</fieldset>
		</div>			
	</div>
	<script>
		Dropzone.autoDiscover = false;
		var fuplds = [];
		var fbuffer = [];
		var fbuffer_keep = [];
		
		lc = new Array();
		lc[0]= "<?php echo $c_scheme['IE']; ?>";
		lc[1]= "<?php echo $c_scheme['IO']; ?>";
		$iefilter = "X";

		pickerOpts = {
			closeText: "X",		
			dateFormat: "yy-M-dd",
			altField: '#until_org',
			altFormat: 'yy-mm-dd',
			firstDay: 1,
			isRTL: false,
			showButtonPanel: true,
			displayClose: true,
			showOn: "button",  
			buttonImage: "./img/dummy_img.png", 
			buttonImageOnly: true,
			buttonText: localTranslation["cal"][$globlan],
			changeYear: true,
			changeMonth: true,
			maxDate: '+12m',
			minDate: new Date($("#reg_date_org").val()),
			
		}
	// fix um bei klicken auf "Heute" den Kalender zu schliessen	
		var old_goToToday = $.datepicker._gotoToday;
		$.datepicker._gotoToday = function(id) {
			old_goToToday.call(this,id);   
			this._selectDate(id);
		};	
		
		$("#until").datepicker(pickerOpts);	
		clkevnt = $("#until").next().data('events').click[0].handler;
		$("#until").next().replaceWith('<span class="ui-datepicker-trigger icn_calendar_b_n clckbtn vam" data-type="title" data-lan="cal" title="<?php echo $ini_doccost['cal'][$_SESSION['lng']]; ?>"> </span>');
		$("#until").next().bind('click', clkevnt);
		
		$("#art").width(270).customSelect({customClass: "cSelect_nrm"});
		
	// add dropZone
		$("#plusimg")
			.dropzone({
				url: "./tools/UploadHandler_ds.php?mode="+$("#dialog-form").data('action')+"&qbn="+window.sessionStorage.getItem('qb'),
				init: function() {
					this.on("processing", function(file) {
						this.options.url = "./tools/UploadHandler_ds.php?mode="+$("#dialog-form").data('action')+"&qbn="+window.sessionStorage.getItem('qb');
					});
				},				
				previewTemplate: '<div class="dz-preview dz-file-preview"></div>',
				"dragenter": function(evnt) {
					$("#plusimg").css("background-color", "<?php echo $c_scheme['M3']; ?>");
				},
				"dragleave": function(evnt) {
					$("#plusimg").css("background-color", "transparent");
				},
				"drop": function(evnt) {
					$("#plusimg").css("background-color", "transparent");
				},
				"addedfile": function(file) {
					<?php	if (!($qb_support->checkflag('Y'))) { ?>
						var sizeInMB = (file.size / (1024*1024)).toFixed(2);
						if (sizeInMB > 25) {						
							$tdz = Dropzone.forElement("#plusimg");
							$tdz.removeAllFiles();										
							$tdz.removeAllFiles(true);
							jAlert(localTranslation["maxfilesizeexceeded"][$globlan], localTranslation[$globlan]["attention"][$globlan]);
							return false;
						}
					<?php } ?>
				},
				"complete": function(file) {
				// add file names to array
					fuplds.push(JSON.parse(file.xhr.responseText).files[0].name);	
				},				
				"queuecomplete": function() {		
					$.each(fuplds, function (index, file) {
						$colorcount = $("#file_list p").length;
						$('#file_list').append('\
							<p style="padding: 0px; margin: 0px; padding-left: 2px; background-color: '+lc[$colorcount % 2]+'" >\
							<label class="dlabel vam w400">'+file+'</label>\
							<span data-alt="'+file+'" class="icn_delete_b_n clckbtn" onclick="del_att(this)" data-type="title" data-lan="rem" title="'+localTranslation["rem"][$globlan]+'"></span>\
							</p>\
						');
					});	
					fuplds = [];
				}
			});
	// function for new dataset
		$( "#dialog-form" ).dialog({
			resizable: false,
			autoOpen: false,
			height: 430,
			width: 580,
			modal: false,
			buttons:
				[
					{
			// save button
						text: "",
						id: "doc_cost_save",
						css: { width: '100px' },
						click: function() {				
			// validity check
							if ($.trim($("#grund").val()).length == 0 || $.trim($("#menge").val()).length == 0 || $.trim($("#cost").val()).length == 0 || $.trim($("#currency").val()).length == 0 || $.trim($("#factor").val()).length == 0) {						
								$("#dialog-form").find("#cost_validateTips")
									.text(localTranslation["fill_sof"][$globlan])
									.css("background-color","<?php echo $c_scheme['IW']; ?>");
								setTimeout(function() {
									$("#dialog-form").find("#cost_validateTips")
										.html( '&nbsp' )
										.css("background-color","transparent");
								}, 2000 );
								return false;	
							}
							$("#loading").show();
							if ($("#dialog-form").data('action') == "N") {
								$rout = "savenew";
								$refidx = 0;
							} else {
								$rout = "saveedit";
								$refidx = $("#dialog-form").data('idx');
							}
			// fields filled, save data
							$.ajax({
								type: "POST",
								cache: false,
								url:  "./tools/doccost_api.php",
								data: { 
									routine: $rout,
									grund: $.trim($("#grund").val()),
									when: $("#until_org").val(),
									art: $("#art").val(),
									menge: $("#menge").val(),
									cost: $("#cost").val(),
									currency: $("#currency").val(),
									factor: $( "#factor").val(),
									ridx: $refidx,
									qbn: window.sessionStorage.getItem("qb"),
									login: $("#aroleinfo").data("login")
								},
								success: function(result)
								{							
						// handle files for new record
									if ($("#dialog-form").data('action') == "N") {	
										$fl = $("#file_list").find("p");
										var tmpfiles = Array();
										$fl.each(function(key)
										{ 
											tmpfiles[key] = $(this).find("span").data("alt");
										});						
								// have there been files uploaded?
										if (tmpfiles.length > 0) {							
									// yes - set links in database
											$.ajax({
												type: "POST",
												cache: false,
												url:  "./tools/doccost_api.php",
												data: { 
													routine: "setfilelinksonsave",
													tmpfls: tmpfiles,
													lastid: result,
													qbn: window.sessionStorage.getItem("qb")
												},
												success: function(result)
												{						
													fill_list('Q', 'Q', 'Q');
													$("#dialog-form").dialog('close');								
												}
											});	
										} else {
											fill_list('Q', 'Q', 'Q');
											$("#dialog-form").dialog('close');
										}
									} else {
								// first generate list of all files in file list
										$fl = $("#file_list").find("p");
										var tmpfiles = Array();
										$fl.each(function(key)
										{ 
											tmpfiles[key] = $(this).find("span").data("alt");
										});
										fbuffer_keep = JSON.parse(JSON.stringify(fbuffer));
								// now remove all files from fbuffer which are in tmpfiles -> remaining files in fbuffer have to be deleted
										$.each(tmpfiles, function(key, value) {
											fbuffer = $.grep(fbuffer, function(value1) {
											  return value1 != value;
											});
										});
								// now remove all files from tmpfiles which are in fbuffer_keep -> remaining files in tmpfiles are new
										$.each(fbuffer_keep, function(key, value) {
											tmpfiles = $.grep(tmpfiles, function(value1) {
											  return value1 != value;
											});
										});
										$.ajax({
											type: "POST",
											cache: false,
											url:  "./tools/doccost_api.php",
											data: { 
												routine: "setfilelinksonedit",
												lastid: result,
												qbn: window.sessionStorage.getItem("qb"),
												tmpfls: tmpfiles,
												fbfr: fbuffer
											},
											success: function(result)
											{
												tmpfiles = [];
												fbuffer = [];												
												fill_list('Q', 'Q', 'Q');
												$("#dialog-form").dialog('close');							
											}
										});						
									}
									$("#loading").hide();
								}
							});							
						}
					},
					{
						text: "",
						id: "doc_cost_cancel",
						css: { width: '100px' },
						click: function() {
				// if form was used for editing do not delete files after cancel
							if ($("#dialog-form").data('action') == "N") {
								$fl = $("#file_list").find("p");
								var tmpfiles = Array();
								$fl.each(function(key) { 
									tmpfiles[key] = $(this).find("span").data("alt");
								});	
								if (tmpfiles.length > 0) {
									$.ajax({
										type: "POST",
										cache: false,
										url:  "./tools/doccost_api.php",
										data: { 
											routine: "clearfilesoncancel",
											tmpfls: tmpfiles,
											qbn: window.sessionStorage.getItem("qb")
										},
										success: function(result)
										{
											$("#dialog-form").dialog( "close" );
										}
									});
								} else {
									$("#dialog-form").dialog( "close" );
								}
							} else {
					// if cancel on edit remove only added files
								$fl = $("#file_list").find("p");
								var tmpfiles = Array();
							// first generate list of all files in file list
								$fl.each(function(key)
								{ 
									tmpfiles[key] = $(this).find("span").data("alt");
								});
							// now remove all "old" files
								$.each(fbuffer, function(key, value) {
									tmpfiles = $.grep(tmpfiles, function(value1) {
									  return value1 != value;
									});
								});	
							// delete all newly added files if any are left
								if (Object.keys(tmpfiles).length > 0) {								
									$.ajax({
										type: "POST",
										cache: false,
										url:  "./tools/doccost_api.php",
										data: { 
											routine: "clearchangessoncancel",
											qbn: window.sessionStorage.getItem("qb"),
											tmpfls: tmpfiles										
										},
										success: function(result)
										{
											$("#dialog-form").dialog( "close" );
										}
									});	
								} else {
									$("#dialog-form").dialog( "close" );									
								}
							}
						}
					}					
				],
			close: function() {
		// empty file buffer
				fbuffer = [];				
		// empty all fields on close
				$("#until").val("");
				$("#grund").val("");					
				$("#art").val("");
				$("#menge").val("");
				$("#cost").val("");
				$("#currency").val("");
				$("#factor").val("");
				$("#file_list").empty();
				$("#ovrly").remove();					
			}, 
			open : function() {
			// fix for modal=false issue with addTyping....
				$("body").append('<div id="ovrly" style="z-index:99;"><div class="loading-container"></div></div>');
				$("#dialog-form").dialog('option', 'title', localTranslation["insert_record"][$globlan]);
				$("#whtlabel").text(localTranslation["grund"][$globlan]);
				$("#artlabel").text(localTranslation["art"][$globlan]);
				$("#untillabel").text(localTranslation["when_only"][$globlan]);
				$("#mengelabel").text(localTranslation["menge"][$globlan]);
				$("#costlabel").text(localTranslation["costs"][$globlan]);
				$("#currencylabel").text(localTranslation["currency"][$globlan]);
				$("#plusimg").attr("title", localTranslation["add"][$globlan]);
				$("#linklabel").text(localTranslation["link"][$globlan]);
				$("#fs .ui-datepicker-trigger").attr("title",localTranslation["cal"][$globlan]);
				$("#doc_cost_save").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
					.off('hover')
					.off('focus')
					.addClass("spanbutton")
					.find("span").text(localTranslation["save"][$globlan]);	
				$("#doc_cost_cancel").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
					.off('hover')
					.off('focus')
					.addClass("spanbutton")
					.find("span").text(localTranslation["cancel"][$globlan]);
				$('#art')
					.find('option')
					.remove()
					.end();
				$.each(costartTranslation, function($key, $value) {
					$('#art').append($('<option>', { 
						value: $key,
						text : $value[$globlan]
					}));
				});
					
			// preset fields if edit button is clicked
				if ($("#dialog-form").data('action') == "E") {
					$eidx = $("#dialog-form").data('idx');
			// set selectbox value
					$("#art option").filter(function() {
						return $(this).text() == $.trim($("#art_"+$eidx).text()); 
					}).attr('selected', true);	
					$('#art').trigger('render');
					
					$("#until").val($("#whn_"+$eidx).text());		
					$("#until_org").val($("#whn_"+$eidx).data("lan"));
					
					var withBRs = $.trim(htmlDecode($.trim($("#grnd_"+$eidx).html())));				
					var textWithBreaks = withBRs.replace(/\<br\>/gi,'\r');			
					$('#grund').val(textWithBreaks);		
					
					$("#menge").val($("#mge_"+$eidx).text());
					$("#cost").val($("#cst_406").text().replace("<?php echo $qb_support->getOptions("refcurrency", 'thousands'); ?>",""));
					$("#currency").val($("#cur_"+$eidx).text());
					$("#factor").val($("#fac_"+$eidx).val());
					$colorcount = 0;
					$("#files_"+$eidx+" a").each(function()
					{
						fbuffer.push($(this).prev().data("alt"));
						$("#file_list").append('\
							<p style="padding: 0px; margin: 0px; padding-left: 2px;" >\
							<label class="dlabel vam w400">' + $(this).prev().data("alt") + '</label>\
							</p>\
						');				
						if (JSON.parse(window.sessionStorage.getItem("qbn")).status == "C") {
							<?php if ($qb_support->checkflag("ZY")) { ?>
								$("#dialog-form").find("#file_list").find("p:last").append('<span data-alt="'+$(this).prev().data("alt")+'" class="icn_delete_b_n clckbtn" onclick="del_att(this)" data-type="title" data-lan="rem" title="'+localTranslation["rem"][$globlan]+'"></span>');
							<?php } ?>
						} else {
							$("#dialog-form").find("#file_list").find("p:last").append('<span data-alt="'+$(this).prev().data("alt")+'" class="icn_delete_b_n clckbtn" data-type="title" data-lan="rem" onclick="del_att(this)" title="'+localTranslation["rem"][$globlan]+'"></span>');
						}
						$("#dialog-form").find("#file_list").find("p:last").css("background-color" , lc[$colorcount % 2]);
						$colorcount++;
					});
				} else {
					$("#currency").val("<?php echo $qb_support->getOptions("refcurrency", 'display'); ?>");
					$("#factor").val( "1.00" );
					$("#until_org").val(new Date().toJSON().slice(0,10));
					$("#until").val(localizedate($("#until_org").val()));
					$("#grund").val("");
					$("#art").val($("#art option:first").val());
					$("#menge").val("");
					$("#cost").val("");
					$('#art').trigger('render');
				}				
			}
		});
	// keyboard code for menge
		$("#menge").keyboard({
			autoAccept : true,
			restrictInput: true,
			enterNavigation : true,
			maxLength: 6,
			layout: 'custom',	
			customLayout: { 
		 
				'default': [ 
					'7 8 9 {b}',
					'4 5 6 {clear}',
					'1 2 3 {a}',
					'{empty} 0 {empty} {c}'
				]
			},
			beforeVisible: function() {
				$('button[data-action="clear"]').css("border", "1px solid <?php echo $c_scheme['M1']; ?>").find("span").css("color", "<?php echo $c_scheme['M3']; ?>");
				$('button[data-action="bksp"]').css("border", "1px solid <?php echo $c_scheme['M1']; ?>").find("span").css("color", "<?php echo $c_scheme['M3']; ?>");
				$('button[data-action="accept"]').css("border", "1px solid <?php echo $c_scheme['M1']; ?>").find("span").css("color", "<?php echo $c_scheme['M1']; ?>");
				$('button[data-action="cancel"]').css("border", "1px solid <?php echo $c_scheme['M3']; ?>");
				$('.ui-keyboard-preview-wrapper input').css("background", "<?php echo $c_scheme['M4']; ?>").css("width", "100px").css("border-radius", "0px");
			}			
		})
		.addTyping();
		$("#menge").removeClass("ui-keyboard-input ui-widget-content ui-corner-all");
	// keyboard code for cost
		$("#cost").keyboard({
			autoAccept : true,
			restrictInput: true,
			enterNavigation : true,
			maxLength: 9,
			layout: 'custom',	
			customLayout: { 
		 
				'default': [ 
					'7 8 9 {b}',
					'4 5 6 {clear}',
					'1 2 3 {a}',
					'{empty} 0 . {c}'
				]
			},
			beforeVisible: function() {
				$('.ui-keyboard-preview-wrapper input').css("background", "<?php echo $c_scheme['M4']; ?>").css("width", "100px").css("border-radius", "0px");
			}			
		})
		.addTyping();
		$("#cost").removeClass("ui-keyboard-input ui-widget-content ui-corner-all");
	// keyboard code for factor
		$("#factor").keyboard({
			autoAccept : true,
			restrictInput: true,
			enterNavigation : true,
			maxLength: 6,
			layout: 'custom',	
			customLayout: { 
		 
				'default': [ 
					'7 8 9 {b}',
					'4 5 6 {clear}',
					'1 2 3 {a}',
					'{empty} 0 . {c}'
				]
			},
			beforeVisible: function() {
				$('.ui-keyboard-preview-wrapper input').css("background", "<?php echo $c_scheme['M4']; ?>").css("width", "100px").css("border-radius", "0px");
			}
		})
		.addTyping();
		$("#factor").removeClass("ui-keyboard-input ui-widget-content ui-corner-all");
		
		function load_page() {
			document.title = document.title.split("/")[0] + '/' + window.sessionStorage.getItem("qb");
			$("#totinp").val("");
			fill_list("X", "C_DATE", -1);
		}	
	// switch language
		function c_lan() {
			translate_header($globlan);	
			translate_mainmenu($globlan);
			translate_g_header2($globlan);
			translate_submenu($globlan);
			translate_docmenu($globlan);
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {	
				switch ($(this).data("type")) {
					case "text":		
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "select":
						$(this).find("option").each(function(idx, obj) {			
							$(this).text(costartTranslation[$(this).val()][$globlan]);
						});
						break;
					case "costdate":
						$(this).text(localizedate($(this).data("lan")));
						break;
					case "costart":
						$(this).text(costartTranslation[$(this).data("lan")][$globlan]);
						break;						
				}
			});
		}
		function del_att(loc) {							// delete attachment from record
	// delete file before save
			$.alerts.cancelButton = localTranslation["cancel"][$globlan];
			jConfirm(localTranslation["confirm_delete"][$globlan], localTranslation["attention"][$globlan], function(r) {
				if (r) {		
				// do not delete files immediatly on edit if original files -> just update fbuffer
					if (($("#dialog-form").data('action') == "E") && ($.inArray($(loc).data("alt"), fbuffer) > -1)) {
						$(loc).parent().remove();
						$fl = $("#file_list").find("p");
						$colorcount = 0;
						$fl.each(function()
						{
							$(this).css("background-color" , lc[$colorcount % 2]);
							$colorcount++;
						});
					} else {			
				// delete file from list for "new" form
						$.ajax({
							type: "POST",
							cache: false,
							url:  "./tools/doccost_api.php",
							data: { 
								routine: "deletefile",
								fn: $(loc).data("alt"),
								qbn: window.sessionStorage.getItem("qb")
							},
							success: function(result)
							{
								$(loc).parent().remove();
								$fl = $("#file_list").find("p");
								$colorcount = 0;
								$fl.each(function()
								{
									$(this).css("background-color" , lc[$colorcount % 2]);				
									$colorcount++;
								});
							}
						});					
					}
				}
			});
		}
	// delete record
		function del_cost(uid, idx) {
			$.alerts.cancelButton = localTranslation["cancel"][$globlan];
			jConfirm(localTranslation["confirm_delete"][$globlan], localTranslation["attention"][$globlan], function(r) {
				if (r) {
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/doccost_api.php",
						data: { 
							routine: "deleterecord",
							didx: uid,
							qbn: window.sessionStorage.getItem("qb")
						},
						success: function(result)
						{
							$("#div_"+idx).remove();
							$colorcount = 0;
							$("#daten_list").find("div").each(function() {
								$(this).css("background-color", "#"+lc[$colorcount % 2]);
								$colorcount++;
							});
							if ($("#daten_list").find("div:first").css("border-top-width") == "0px") {
								$("#daten_list").find("div:first").css("border-top-width", "2px");
							}
						}
					});			
				}
			});
		}
		function edit_cost(loc) {
			$( "#dialog-form" ).data("idx", loc).data("action", "E").dialog( "open" );
		}
		function fill_list(loc, fld, sord) {
			if (sord == "Q") sord = $("#sorder").val();		// option for keeping oder unchanged
			(sord=="1")?$sort="ASC":$sort="DESC";
			if (fld == "Q") fld = $("#sor").find('.spanbuttono').attr("id").substr(4);		// option for keeping sort field unchanged
			if (loc == "Q") loc = $iefilter;				// option for keeping finter unchanged
			$.ajax({
				type: "GET",
				cache: false,
				url:  "./tools/doccost_api.php",
				data: { 
					routine: "getlist",
					orderby: fld,
					sorder: $sort,
					qbn: window.sessionStorage.getItem("qb")				
				},
				dataType: "json",
				success: function(result)
				{
					var $qbs = result[1];
					datalist = result[0];
					$ictr = 0;
					$colorcount = 0;
					$topb = 2;
					$total = 0;
					$("#daten_list").empty();
					for(i=0; i<datalist.length; i++) {
						if (($iefilter == 'E') && (costartTranslation[datalist[i]["ART"]]["ctype"] != 'E')) continue;
						if (($iefilter == 'I') && (costartTranslation[datalist[i]["ART"]]["ctype"] != 'I')) continue;
						if (datalist[i]["IDX"] != $ictr) {
							$ictr = datalist[i]['IDX'];
							$idat = datalist[i]["C_DATE"].split("-");
							$odat = $idat[0]+"-"+calTranslation["monthNamesShort"][$globlan][(($idat[1]*1)-1)]+"-"+$idat[2];
							$total+=(datalist[i]["COST"]*datalist[i]["MENGE"]*datalist[i]["FACTOR"]);							
							$("#daten_list").append('\
								<div id="div_'+datalist[i]['IDX']+'" style="border-top: '+$topb+'px solid black; border-bottom: 2px solid black; padding:0px; margin: 0px; background-color: '+lc[$colorcount % 2]+';">\
									<p style="color: <?php echo $c_scheme['XN']; ?>; border-bottom: 1px dotted blue; margin:0px; padding: 0px; padding-bottom: 2px; font: normal 10pt Arial;">\
										<label id="whn_'+datalist[i]['IDX']+'" class="dlabel vam w75" style="font-weight: bold; border-right: 2px solid black;" data-type="costdate" data-lan="'+datalist[i]["C_DATE"]+'">'+$odat+'</label>\
										<label id="art_'+datalist[i]['IDX']+'" class="dlabel vam w300" style="border-right: 1px solid black;" data-type="costart" data-lan="'+datalist[i]["ART"]+'">'+costartTranslation[datalist[i]["ART"]][$globlan]+'</label>\
										<label id="cst_'+datalist[i]['IDX']+'" class="dlabel vam w100" style="text-align: right;">'+$.number(datalist[i]["COST"], 2, "<?php echo $qb_support->getOptions("refcurrency", 'decimals'); ?>", "<?php echo $qb_support->getOptions("refcurrency", 'thousands'); ?>")+'</label>\
										<label id="cur_'+datalist[i]['IDX']+'" class="dlabel vam" style="width: 30px;">'+datalist[i]["CURRENCY"]+'</label>x \
										<label id="mge_'+datalist[i]['IDX']+'" class="dlabel vam w50">'+datalist[i]["MENGE"]+'</label>\
										<input id="fac_'+datalist[i]['IDX']+'" type="hidden" value="'+datalist[i]['FACTOR']+'" />=\
										<label class="dlabel vam w100"  style="font-weight: bold; text-align: right;">'+$.number((datalist[i]["COST"]*datalist[i]["MENGE"]*datalist[i]["FACTOR"]), 2, "<?php echo $qb_support->getOptions("refcurrency", 'decimals'); ?>", "<?php echo $qb_support->getOptions("refcurrency", 'thousands'); ?>")+' <?php echo $qb_support->getOptions("refcurrency", 'display'); ?></label>\
										<span data-type="title" data-lan="rem" style="margin-left: 10px;" class="icn_delete_b_n clckbtn dic vam" title="'+localTranslation["rem"][$globlan]+'" onclick="del_cost(\''+datalist[i]['UID']+'\','+datalist[i]['IDX']+')"></span>\
										<span data-type="title" data-lan="edit" class="icn_edit_b_n clckbtn vam" title="'+localTranslation["edit"][$globlan]+'" onclick="edit_cost('+datalist[i]['IDX']+')"></span>\
										<label id="usr_'+datalist[i]['WHO']+'" class="dlabel vam w175" style="border-left: 1px solid black; margin-left: 10px;">'+datalist[i]["WHO"]+'</label>\
									</p>\
									<p id="grnd_'+datalist[i]['IDX']+'" class="dplist" style="border-bottom: 1px dotted blue;">'+htmlEscape(datalist[i]["GRUND"])+'</p>\
								</div>\
							');	
							if(datalist[i]["LINK"].length > 0) {
								$ln = datalist[i]['LINK'];
								$fp = "./files/"+window.sessionStorage.getItem("qb")+"/"+$ln;
								$("#daten_list").find("div:last").append('\
									<p id="files_'+datalist[i]['IDX']+'" style="font: normal 9pt Arial;color: <?php echo $c_scheme['XH']; ?>; margin:0px; padding: 0px 5px 5px 0px;">\
										<span data-alt="'+$ln+'"style="margin-right:5px;"  class="icn_file_b_n clckbtn vam" onclick="window.open(\''+$fp+'\', \'_blank\');"></span>\
										<a class="hvrb_bl vam" onclick="window.open(\''+$fp+'\', \'_blank\');">'+$ln+'</a>\
									</p>\
								');
							} else {
								$("#daten_list").find("p:last").css("border-bottom", "0px");							
							}											
							$topb = 0;
							$colorcount++;
						} else {
							$ln = datalist[i]['LINK'];
							$fp = "./files/"+window.sessionStorage.getItem("qb")+"/"+$ln;
							$("#daten_list").find("p:last").append('\
								<br />\
								<span data-alt="'+$ln+'" style="margin-right:5px;" class="icn_file_b_n clckbtn vam" onclick="window.open(\''+$fp+'\', \'_blank\');"></span>\
								<a class="hvrb_bl vam" onclick="window.open(\''+$fp+'\', \'_blank\');">'+$ln+'</a>\
							');
						}
						if ($qbs == "C") { 		// case completely closed
							$("#daten_list").find("span.dic").invisible();
						}						
					};
					if ($total > 0) {
						$("#totinp").val($.number($total, 2, "<?php echo $qb_support->getOptions("refcurrency", 'decimals'); ?>", "<?php echo $qb_support->getOptions("refcurrency", 'thousands'); ?>")+" <?php echo $qb_support->getOptions("refcurrency", 'display'); ?>");
					}
				}
			});
		}
		function print_cost() {
			if ($("#daten_list").find("p").length == 0) return false;
			window.open("./tools/print_costs.php?qblan="+$globlan+"&qb=" + window.sessionStorage.getItem("qb"), "_blank");
		}
		function setfilter(loc) {
			$("#def").find('.spanbuttono').removeClass('spanbuttono').addClass('spanbutton');		
			$("#sort_"+loc).removeClass('spanbutton').addClass('spanbuttono');
			$iefilter = loc;
			fill_list(loc, "Q", "Q");
		}
		function setorder(loc){							// change order of records
			if ($(loc).hasClass('spanbuttono')){
		// class is active --> already sort field -> reverse direction --> save order
				$nord = $("#sorder").val()*(-1);
				$("#sorder").val($nord);
			} else {
		// font is normal --> new sort field --> set direction ASC --> save order
				$nord = 1;
				$("#sorder").val($nord);
				$("#sor").find('.spanbuttono').removeClass('spanbuttono').addClass('spanbutton');
				$(loc).removeClass('spanbutton').addClass('spanbuttono');
			}
			fill_list("Q", loc.id.substr(4), $nord);
		}
		<?php if ($qb_support->checkflag("ZY")) { ?>		
			function set_special(loc) {
				if (JSON.parse(window.sessionStorage.getItem("qbn")).status != "C") return;
				switch(loc) {
					case "A":
						$('#mat_edt_img').visible();
						$("#daten_list").find("span.dic").visible();			// open delete button list				
						break;
					case "X":
						$('#mat_edt_img').invisible();
						fill_list("Q", "Q", "Q");							// reset detail list
						break;				
				}
			}
		<?php } ?>
		g_header2();
	</script>
</body>
</html>
