<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />		
	<?php include_once(dirname(__FILE__)."/tools/all_header.php"); global $c_scheme, $timezone, $rel_path; ?>
	<script>
		var js_debug = false;
		$data_changed = false;		
	</script>
	
    <title>Rework</title>
	
	<link rel="stylesheet" href="./jqGrid_5.2.1/css/ui.jqgrid.css" />
	<link rel="stylesheet" href="./css/qb.php" />
	
	<style>
		.ui-jqgrid tr.jqgrow td{
			white-space:nowrap;
			height: 18px !important;
		}
		.ui-state-hover, .ui-widget-content .ui-state-hover, .ui-widget-header .ui-state-hover,
		.ui-state-focus, .ui-widget-content .ui-state-focus, .ui-widget-header .ui-state-focus
		{
			border: 0 none;
		}		
	</style>	

	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>
	
	<?php 
		foreach(explode(":", $qb_support->getLanOnly()) as $key=>$value) {
			echo '<script src="./jqGrid_5.2.1/js/i18n/grid.locale-' . $value . '.js"></script>';
		}
	?>
	<script src="./jqGrid_5.2.1/js/jquery.jqGrid.min.js"></script>
	
	<script>
	// load translation and save in localTranslation
		<?php	
			$ini_docrew = parse_ini_file($rel_path.'i18n/docrew.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_docrew as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
		?>
	</script>
</head>
<body>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
			<?php 
				echo "<div id='mainnav'>". $qb_support->get_main_menu(1) . "</div>";
				include_once($rel_path.'tools/g_header2.php');
				echo $qb_support->get_sub_menu(8);
			?>	
			<div id="tabscontainer" >
				<?php echo $qb_support->get_doc_menu(3); ?>
				<div id="docscontainer">
					<table id="list"></table> 
					<div id="pager"></div> 
				</div>
			</div>
		</div>
		<?php include_once($rel_path.'footer.php'); ?> 
		<input type="hidden" id="out_org" value="" />
		<input type="hidden" id="in_org" value="" />
	</div>
	<script>

		var $qbs = "";
		
		pickerOpts = {
			closeText: "X",
			dateFormat: "yy-M-dd",
			altField: '#out_org',
			altFormat: 'yy-mm-dd',			
			firstDay: 1,
			isRTL: false,
			showButtonPanel: true,
			displayClose: true,
			showOn: "button",  
			buttonImage: "./img/dummy_img.png", 
			buttonImageOnly: true,
			buttonText: localTranslation["cal"][$globlan],
			changeYear: false,
			changeMonth: false,
			minDate: "-31d",
			maxDate: "+31d"
		};
		pickerOpts2 = {
			closeText: "X",
			dateFormat: "yy-M-dd",
			altField: '#in_org',
			altFormat: 'yy-mm-dd',			
			firstDay: 1,
			isRTL: false,
			showButtonPanel: true,
			displayClose: true,
			showOn: "button",  
			buttonImage: "./img/dummy_img.png", 
			buttonImageOnly: true,
			buttonText: localTranslation["cal"][$globlan],
			changeYear: false,
			changeMonth: false,
			minDate: "-31d",
			maxDate: "+31d"
		};		
		
	// fix um bei klicken auf "Heute" den Kalender zu schliessen	
		var old_goToToday = $.datepicker._gotoToday;
		$.datepicker._gotoToday = function(id) {
			old_goToToday.call(this,id);   
			this._selectDate(id);
		};
		cmTemplate = {
			searchoptions: {
				sopt:['cn'], 
				clearSearch: false
			},
			editable: true,
			sorttype:'string'			
		};
		obj = {
			url:  "./tools/docrew_api.php",
			postData: {
				routine : "readlist",
				qbn: window.sessionStorage.getItem("qb")
			},
			contentType: "application/json",
			datatype: "json",
			jsonReader: {
				id: "id",
				repeatitems: true
			},
			mtype: "POST",
			colNames: [
				localTranslation["supplier"][$globlan],
				localTranslation["order"][$globlan],
				localTranslation["out"][$globlan],
				localTranslation["menge"][$globlan],
				localTranslation["in"][$globlan],
				localTranslation["menge2"][$globlan],				
				localTranslation["offen"][$globlan],
				""
			],
			colModel: [
				{ 
					name: "suppliername", 
					template: cmTemplate,
					width: 220,
					editrules:
					{
						required:true
					},
					edittype:'select', 
					editoptions:
					{ 
						value:
						{
							<?php
								$query = "SELECT SUPPLIERNR, SUPPLIERNAME FROM qb_supplier WHERE ACTIVE=1 ORDER BY SUPPLIERNAME";
								$stmt = $db->query($query);
								$selopt = "'':'...',";
								while($row = $stmt->fetch(PDO::FETCH_NUM)) {
									$selopt.="'".$row[0]."':'".htmlentities($row[1], ENT_QUOTES)."',";
								}
								echo trim($selopt, ",");
							?>
						},
						dataInit: function(elem)
						{
							$(elem).css({"line-height": "16px", "height": "18px", "white-space": "pre"});
							$(elem).width(120).customSelect({customClass: "cSelect_wht"});
						}
					}					
				},
				{ 
					name: "ordernr", 
					template: cmTemplate,
					width: 140,
					editrules:
					{
						required:true
					}					
				},
				{
					name: "outdate", 
					template: cmTemplate,
					width: 100,
					sorttype: 'date',
					align: "center",
					formatter: DateFormatter,
					unformatter: UnDateFormatter,
					edittype: "text",
					editrules:
					{
						required:true
					}				
				},
				{ 
					name: "menge",
					template: cmTemplate,
					width: 130,			
					sorttype: 'number',
					align: "right",
					editrules:
					{
						required:true,
						integer: true,
						minValue: 1
					}						
				},
				{ 
					name: "indate", 
					template: cmTemplate,
					width: 100,
					sorttype:'date',
					align: "center",
					formatter: DateFormatter,
					unformatter: UnDateFormatter,
					edittype: "text",
					editrules:
					{
						custom: true,
						custom_func: checkreturn
					}			
				},
				{ 
					name: "menge1",
					template: cmTemplate,
					width: 130,			
					sorttype: 'number',
					align: "right",
					editrules:
					{
						integer: true,
						minValue: 0
					}						
				},
				{ 
					name: "offen",
					template: cmTemplate,
					width: 110,
					editable: false,
					sorttype: 'number',
					align: "right",
					formatter: OffenFormatter
				},
				{ 
					name: "idx", 
					hidden: true
				}				
			],
			regional: $globlan,
			storeNavOptions : true,				
			loadonce: true,
			pager: "#pager",
			height: 330,
			rowNum: 100,
			rowList: [10, 100, 500, 1000, 1500],
			rownumbers:true,
			hoverrows:false,
			sortname: "offen",
			sortorder: "desc",
			viewrecords: false,
			pgbuttons: false,
			pginput: false,
			rowList: [],
			gridview: true,
			autoencode: true,
			ignoreCase:true,
			loadui: "block",
			ondblClickRow: function(id, ri, ci) {
				$("#list").jqGrid('editGridRow', id, editSettings);			
			},
			loadComplete: function() {
				$("th[role='columnheader']")
					.unbind("mouseenter")
					.unbind("mouseleave");
			},
			gridComplete: function(data) {
				$(".ui-search-toolbar input[role='textbox']")
					.css("width", "92%")
					.css("background", "<?php echo $c_scheme['M5']; ?>")
					.css("padding", "2px");		
				custbtns();
			},			
			editurl: "./tools/docrew_api.php"
		};
		addSettings = {
			recreateForm:true,
			jqModal:true,
			modal: true,
			reloadAfterSubmit:true,
			closeOnEscape:false,
			savekey: [false,13],
			closeAfterAdd:true,
			width: 350,
			viewPagerButtons:true,
			beforeShowForm: function(form) {
		// center edit form
				var parentWidth = $(window).width();
				var parentHeight = $(window).height();
				var dlgDiv = $("#editmodlist");
				var dlgWidth = dlgDiv.width();
				var dlgHeight = dlgDiv.height();
				dlgDiv[0].style.top = Math.round((parentHeight-dlgHeight)/2) + "px";
				dlgDiv[0].style.left = Math.round((parentWidth-dlgWidth)/2) + "px";
				$(".EditButton")
					.empty()
					.append("<span id='sData' class='spanbutton w100'>"+localTranslation["save"][$globlan]+"</span>")
					.append("<span id='cData' style='margin: 0 10px;' class='spanbutton w100'>"+localTranslation["cancel"][$globlan]+"</span>");
				$("#suppliername").trigger('render');
			},
			onInitializeForm: function() {
				$('#outdate').css("width", "105px");
				$('#outdate').datepicker(pickerOpts);
				clkevnt = $("#outdate").next().data('events').click[0].handler;
				$("#outdate").next().replaceWith('<span class="ui-datepicker-trigger icn_calendar_b_n clckbtn vam" data-type="title" data-lan="cal" title="'+localTranslation['cal'][$globlan]+'"> </span>');
				$("#outdate").next().bind('click', clkevnt);
		
				$('#indate').css("width", "105px");			
				$('#indate').datepicker(pickerOpts2);
				clkevnt = $("#indate").next().data('events').click[0].handler;
				$("#indate").next().replaceWith('<span class="ui-datepicker-trigger icn_calendar_b_n clckbtn vam" data-type="title" data-lan="cal" title="'+localTranslation['cal'][$globlan]+'"> </span>');
				$("#indate").next().bind('click', clkevnt); 				
			},
			ajaxEditOptions:{ contentType:"application/json" },
			mtype:'POST',
			serializeEditData:function (data) {
				data['routine'] = "savenew";
				data['qbn'] = window.sessionStorage.getItem("qb");
				data['out_org'] = $("#out_org").val();
				data['in_org'] = $("#in_org").val();
				return JSON.stringify(data);
			},
			onClose: function(sel, o) {
				$("#list").setGridParam({datatype:'json'}).trigger('reloadGrid');
			}
		};
		editSettings = {
			recreateForm:true,
			jqModal:true,
			modal: true,
			reloadAfterSubmit:true,
			closeOnEscape:false,
			savekey: [false,13],
			closeAfterEdit:true,
			width: 350,
			viewPagerButtons:false,
			beforeShowForm: function(form) {
		// center edit form
				var parentWidth = $(window).width();
				var parentHeight = $(window).height();
				var dlgDiv = $("#editmodlist");
				var dlgWidth = dlgDiv.width();
				var dlgHeight = dlgDiv.height();
				dlgDiv[0].style.top = Math.round((parentHeight-dlgHeight)/2) + "px";
				dlgDiv[0].style.left = Math.round((parentWidth-dlgWidth)/2) + "px";
				$("#out_org").val(generalizedate($("#outdate").val()));				
				<?php if (!$qb_support->checkflag("ZY")) { ?>
					$('#tr_suppliername').hide();
					$('#tr_ordernr').hide();
					$('#tr_outdate').hide();
					$('#tr_menge').hide();
				<?php } else { ?>
					if ($("#lockunlock").attr("src") != './img/unlockedb.png') {
						$('#tr_suppliername').hide();
						$('#tr_ordernr').hide();
						$('#tr_outdate').hide();
						$('#tr_menge').hide();
					}
				<?php } ?>
				$("#list").jqGrid("setColProp", "menge1", {editrules: {	required:true, integer: true, minValue: 1}});
				$(".EditButton")
					.empty()
					.append("<span id='sData' class='spanbutton w100'>"+localTranslation['save'][$globlan]+"</span>")
					.append("<span id='cData' style='margin: 0 10px;' class='spanbutton w100'>"+localTranslation['cancel'][$globlan]+"</span>");								
			},
			onInitializeForm: function() {
				$('#outdate').css("width", "105px");
				$('#outdate').datepicker(pickerOpts);
				clkevnt = $("#outdate").next().data('events').click[0].handler;
				$("#outdate").next().replaceWith('<span class="ui-datepicker-trigger icn_calendar_b_n clckbtn vam" data-type="title" data-lan="cal" title="'+localTranslation['cal'][$globlan]+'"> </span>');
				$("#outdate").next().bind('click', clkevnt); 
				
				$('#indate').css("width", "105px");			
				$('#indate').datepicker(pickerOpts2);
				clkevnt = $("#indate").next().data('events').click[0].handler;
				$("#indate").next().replaceWith('<span class="ui-datepicker-trigger icn_calendar_b_n clckbtn vam" data-type="title" data-lan="cal" title="'+localTranslation['cal'][$globlan]+'"> </span>');
				$("#indate").next().bind('click', clkevnt); 				
			},			
			ajaxEditOptions:{ contentType:"application/json" },
			mtype:'POST',
			serializeEditData:function (data) {
				selRowId = $("#list").jqGrid ('getGridParam', 'selrow');
				$seldata = $("#list").jqGrid ('getCell', selRowId, 'idx');
				data['idx'] = $seldata;	
				data['qbn'] = window.sessionStorage.getItem("qb");				
				data['routine'] = "saveedit";
				data['in_org'] = $("#in_org").val();			
				return JSON.stringify(data);
			},
			onClose: function(sel, o) {
				$("#out_org").val();
				$("#list").setGridParam({datatype:'json'}).trigger('reloadGrid');
			}			
		};			
		deleteSettings = {
			recreateForm:true,
			jqModal:true,
			modal: true,
			reloadAfterSubmit:true,
			closeOnEscape:false,
			savekey: [false,13],
			closeAfterEdit:true,
			zIndex:1000,
			width: 350,
			viewPagerButtons:false,
			beforeShowForm: function(form) {
		// center edit form
				var parentWidth = $(window).width();
				var parentHeight = $(window).height();
				var dlgDiv = $("#delmodlist")||$("#alertmod_list");
				var dlgWidth = dlgDiv.width();
				var dlgHeight = dlgDiv.height();
				dlgDiv[0].style.top = Math.round((parentHeight-dlgHeight)/2) + "px";
				dlgDiv[0].style.left = Math.round((parentWidth-dlgWidth)/2) + "px";
				$(".EditButton a").css("display", "none");
				$(".EditButton")
					.append("<span id='dData1' class='spanbutton w100' onclick='$(\"#dData\").click();'>"+localTranslation["rem"][$globlan]+"</span>")
					.append("<span id='eData1' style='margin: 0 10px;' class='spanbutton w100' onclick='$(\"#eData\").click();'>"+localTranslation["cancel"][$globlan]+"</span>");				
			},
			mtype:'POST',
			serializeDelData:function (data) {
				selRowId = $("#list").jqGrid ('getGridParam', 'selrow');
				$seldata = $("#list").jqGrid ('getCell', selRowId, 'idx');
				data['idx'] = $seldata;
				data['qbn'] = window.sessionStorage.getItem("qb");
				data['routine'] = "delrework";
				return JSON.stringify(data);
			},
			onClose: function() {
				$(".EditButton span").remove();
				$("#list").setGridParam({datatype:'json'}).trigger('reloadGrid');
			}			
		};			
		list1 = $("#list").jqGrid(obj)
			.jqGrid('filterToolbar',{searchOperators : false, searchOnEnter: false})
			.navGrid('#pager', {refresh: false, search: false}, editSettings, addSettings, deleteSettings);
			
		function load_page() {
			document.title = document.title.split("/")[0] + '/' + window.sessionStorage.getItem("qb");
			fill_data();
		}	
	// switch language
		function c_lan() {
			translate_header($globlan);	
			translate_mainmenu($globlan);
			translate_g_header2($globlan);
			translate_submenu($globlan);
			translate_docmenu($globlan);
			$.jgrid.setRegional('list',{regional: $globlan});
			$("#list").jqGrid('setLabel', "suppliername", localTranslation["supplier"][$globlan])
				.jqGrid('setLabel', "ordernr", localTranslation["order"][$globlan])
				.jqGrid('setLabel', "outdate", localTranslation["out"][$globlan])
				.jqGrid('setLabel', "menge", localTranslation["menge"][$globlan])
				.jqGrid('setLabel', "indate", localTranslation["in"][$globlan])
				.jqGrid('setLabel', "menge1", localTranslation["menge2"][$globlan])
				.jqGrid('setLabel', "offen", localTranslation["offen"][$globlan]);
				
			$("#add_list").attr("title", localTranslation["addrow"][$globlan]);
			$("#edit_list").attr("title", localTranslation["editrow"][$globlan]);
			$("#del_list").attr("title", localTranslation["delrow"][$globlan]);
			
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {	
				switch ($(this).data("type")) {
					case "text":		
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "rewdate":
						$(this).text(localizedate($(this).data("lan")));
						break;
				}
			});
		}
		function OffenFormatter (cellvalue, options, rowObject) {
			if (cellvalue > 0) {
				return "<span style='font-weight: bold; color: <?php echo $c_scheme['I1']; ?>; margin-right: 5px;'>"+cellvalue+"</span>";
			} else {
				return "<span style='font-weight: bold; color: <?php echo $c_scheme['I3']; ?>; margin-right: 5px;'>"+cellvalue+"</span>";
			}
		}
		function DateFormatter (cellvalue, options, rowObject) {
			if (cellvalue == "0000-00-00") {
				return "";
			} else {
				return localizedate(cellvalue);
			}
		}
		function UnDateFormatter (cellvalue, options, rowObject) {
			return cellvalue;
		}
		function checkreturn(value, colname) {			
			if (value == '' && $("#menge1").val()*1 > 0) { 
			   return [false,localTranslation["must_date"][$globlan]];
			} else {
				if (value != "") {
					if ((new Date(Date.parse($("#in_org").val())-Date.parse($("#out_org").val()))/1000/60/60/24) <= 0) {
						return [false,localTranslation["date_turn"][$globlan]];
					} else {
						if (($("#menge1").val()*1 == 0) || ($("#menge1").val() == '')) {
							return [false,localTranslation["menge_muss"][$globlan]];
						} else {
							if ($("#menge1").val()*1 > $("#menge").val()*1) {
								return [false,localTranslation["zuviel_zurueck"][$globlan]];
							} else {
								return [true,""];
							}
						}
					}				
				} else {
					return [true,""];
				}
			}
		}
		function fill_data() {
			$("#loading").show();
			$("#list").setGridParam({datatype:'json', postData: {routine : "readlist", qbn: window.sessionStorage.getItem("qb")}}).trigger('reloadGrid');			
			$("#loading").hide();			
		}
		function custbtns() {
			$("#list").jqGrid(obj).jqGrid('navButtonAdd',"#pager",{
				caption:"",
				id:"retall_list",
				buttonicon:"ui-icon-grip-dotted-vertical", 
				onClickButton: function(){ 
					selRowId = $("#list").jqGrid ('getGridParam', 'selrow');
					if (selRowId == null) {
						jAlert(localTranslation["alerttext"][$globlan], localTranslation["attention"][$globlan]);	
						return false;							
					} else {
						root = $("#list").jqGrid ('getCell', selRowId, 'offen');
						if (root == 0) {
							return false;
						} else {
							loc = $("#list").jqGrid ('getCell', selRowId, 'idx');
							$("#loading").show();
							$.ajax({
								type: "POST",
								cache: false,		
								url:  "./tools/docrew_api.php",
								data: { 
									routine: "allback",
									idx: loc,
									qbn: window.sessionStorage.getItem("qb")
								},
								success: function(result)
								{	
									$("#list").setGridParam({datatype:'json'}).trigger('reloadGrid');
									$("#loading").hide();
								}
							});
						}
					}
				},
				position: "last", 
				title: localTranslation["all_back"][$globlan], 
				cursor: "default"				
			});			
			$("#add_list div").empty().html("<span class='icn_add_b_n clckbtn'></span>");
			$("#add_list").removeClass("ui-pg-button");
			$("#edit_list div").empty().html("<span class='icn_edit_b_n clckbtn' style='margin: 0 2px;'></span>");
			$("#edit_list").removeClass("ui-pg-button");
			$("#del_list div").empty().html("<span class='icn_delete_b_n clckbtn'></span>");
			$("#del_list").removeClass("ui-pg-button");
			$("#retall_list div").empty().html("<span class='icn_retall_b_n clckbtn'></span>");			
		}
		<?php if ($qb_support->checkflag("ZY")) { ?>		
			function set_special(loc) {
				switch(loc) {
					case "A":
						$('#mat_edt_img').visible();				
						break;
					case "X":
						if (JSON.parse(window.sessionStorage.getItem("qbn")).status == "C") {
							$('#mat_edt_img').invisible();					
						}		
						break;
				}				
			}
		<?php } ?>
		g_header2();
	</script>
</body>
</html>
