<!DOCTYPE html>
<html>
	<head>
		<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />		
        <?php 
            include_once(dirname(__FILE__)."/tools/all_header.php"); global $c_scheme, $timezone, $rel_path; 
        	$ini = parse_ini_file(dirname(__FILE__).'/i18n/no_license.ini', true);			
        ?>
		
		<title>QB</title>
				
		<link rel="stylesheet" href="./css/qb.php" />
		<style>
			table, th, td
			{
				border-collapse:collapse;
				border: 2px solid black;
			}
			
			td
			{
				width: 200px;
			}

			th
			{
				background-color: <?php echo $c_scheme['M1']; ?>;
			}
			.trd
			{
				text-align: right;
				padding-right: 5px;
			}
			
		</style>
		<script src="./jquery/jquery.min.js"></script>
		<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
		<script src="./jquery/jquery-ui.min.js"></script>
		<script src="./jquery/qb_js.js"></script>
        
	</head>
	<body style="background-color: <?php echo $c_scheme['IW']; ?>; margin: 0px; padding: 0px;">
<?php exit; ?>
		<p style="text-align: center; font: bold 20pt Arial; color: <?php echo $c_scheme['M5']; ?>; margin-top: 100px;">
		<?php 
			if (isset($_REQUEST["info1"])) {
				$gl=json_decode($_REQUEST["info1"], true);
				$bl=json_decode($_REQUEST["info2"], true);
				echo $gl['firma'];
			}
		?>
		</p>
			<?php if ($_REQUEST['r'] == "over") { ?>
			<p style="text-align: center; font: bold 20pt Arial; color: <?php echo $c_scheme['M5']; ?>; margin: 10px 0 50px;">
				<?php echo $ini['over'][$qb_support->getbrowserlanguage()]; ?>
				<table style="font: bold 12pt Arial; color: <?php echo $c_scheme['M5']; ?>; margin: auto;">
					<tr>
						<th>
							<?php echo $ini['role'][$qb_support->getbrowserlanguage()]; ?>
						</th>
						<th>
							<?php echo $ini['avlic'][$qb_support->getbrowserlanguage()]; ?>
						</th>
						<th>
							<?php echo $ini['usedlic'][$qb_support->getbrowserlanguage()]; ?>
						</th>							
					</tr>
					<tr>
						<td>
							ADMIN
						</td>
						<td class="trd">
							<?php echo $gl['ADMIN']*1; ?>
						</td>
						<td class="trd">
							<?php echo $bl[0]; ?>
						</td>							
					</tr>
					<tr>
						<td>
							QUALITY
						</td>
						<td class="trd">
							<?php echo $gl['QUALITY']*1; ?>
						</td>
						<td class="trd">
							<?php echo $bl[1]; ?>
						</td>							
					</tr>					
					<tr>
						<td>
							RESPONSIBLE
						</td>
						<td class="trd">
							<?php echo $gl['RESPONSIBLE']*1; ?>
						</td>
						<td class="trd">
							<?php echo $bl[2]; ?>
						</td>							
					</tr>					
					<tr>
						<td>
							LEADER
						</td>
						<td class="trd">
							<?php echo $gl['LEADER']*1; ?>
						</td>
						<td class="trd">
							<?php echo $bl[3]; ?>
						</td>							
					</tr>
				<?php
					if ($qb_support->getlicense("REPORT") > 0) {
				?>
					<tr>
						<td>
							REPORTS
						</td>
						<td class="trd">
							<?php echo $gl['REPORT']*1; ?>
						</td>
						<td class="trd">
							<?php echo $bl[5]; ?>
						</td>							
					</tr>					
				<?php
					}
				?>
				<?php
					if ($qb_support->getlicense("COST") > 0) {
				?>
					<tr>
						<td>
							COSTS
						</td>
						<td class="trd">
							<?php echo $gl['COST']*1; ?>
						</td>
						<td class="trd">
							<?php echo $bl[6]; ?>
						</td>							
					</tr>					
				<?php
					}
				?>				
					<tr>
						<td>
							USER
						</td>
						<td class="trd">
							<?php echo $gl['USER']*1; ?>
						</td>
						<td class="trd">
							<?php echo $bl[4]; ?>
						</td>							
					</tr>						
				</table>
			</p>			
			<p style="margin-top: 20px; text-align: center;">
				<?php
					$ronly = json_decode(json_encode($gl), true);
					unset($ronly['firma']);
					unset($ronly['package']);
					$over = "";
					$i = 0;
					foreach($ronly as $key=>$value) {
						if ($value != 0) {
							if ($bl[$i] > $value) $over = $key;	
						}
						$i++;
					}				
					if ($over == "USER") {
				?>
						<label style="font: bold 12pt Arial; margin-right: 20px; color: <?php echo $c_scheme['M5']; ?>;"><?php echo $ini['deluser'][$qb_support->getbrowserlanguage()]; ?></label>
				<?php
					} else {
				?>
						<label style="font: bold 12pt Arial; margin-right: 20px; color: <?php echo $c_scheme['M5']; ?>;"><?php echo $ini['resetuser'][$qb_support->getbrowserlanguage()]; ?></label>
				<?php
					}
				?>
				<select id="remuser" style="width: 200px;">
					<option value="">...</option>
					<?php
						switch ($over) {
							case "ADMIN":
								$query = "SELECT LOGIN, CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE FLAGS LIKE '%Y%' ORDER BY NACHNAME ASC";
								break;
							case "QUALITY":
								$query = "SELECT LOGIN, CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE FLAGS LIKE '%W%' ORDER BY NACHNAME ASC";
								break;								
							case "RESPONSIBLE":
								$query = "SELECT LOGIN, CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE FLAGS LIKE '%V%' ORDER BY NACHNAME ASC";
								break;
							case "LEADER":
								$query = "SELECT LOGIN, CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE FLAGS LIKE '%F%' ORDER BY NACHNAME ASC";
								break;
							case "USER":
								$query = "SELECT LOGIN, CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user ORDER BY NACHNAME ASC";
								break;									
							case "REPORT":
								$query = "SELECT LOGIN, CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE FLAGS LIKE '%B%' ORDER BY NACHNAME ASC";
								break;
							case "COST":
								$query = "SELECT LOGIN, CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE FLAGS LIKE '%C%' ORDER BY NACHNAME ASC";
								break;								
						}
						$stmt = $db->query($query);
						while ($r = $stmt->fetch(PDO::FETCH_NUM)) {
							echo "<option value='".$r[0]."'>".$r[1]."</option>";
						}
					?>	
				</select>
				<?php
					if ($over == "USER") {
				?>
						<span class="spanbutton w75" style="margin-left: 10px;" onclick="remuser()"><?php echo $ini['delete'][$qb_support->getbrowserlanguage()]; ?></span>
				<?php
					} else {
				?>
						<span class="spanbutton w75" style="margin-left: 10px;" onclick="resetuser()"><?php echo $ini['ok'][$qb_support->getbrowserlanguage()]; ?></span>
				<?php
					}
				?>
			</p>		
			<script type="text/JavaScript">
				$over = "";
				$("tr").each(function(key) {
					if (key > 0) {
						if (($(this).find("td:eq(2)").text()*1) > ($(this).find("td:eq(1)").text()*1)) {
							$(this).find("td:gt(0)").css("background-color", "<?php echo $c_scheme['M1']; ?>");
							$over = $.trim($(this).find("td:eq(0)").text());								
						}
					}
				});
				function resetuser() {
					if ($("#remuser").val() == "") {
						jAlert("<?php echo $ini['selectuser'][$qb_support->getbrowserlanguage()]; ?>", "<?php echo $ini['attention'][$qb_support->getbrowserlanguage()]; ?>");
						return false;
					} else {
						$.alerts.cancelButton = "<?php echo $ini['cancel'][$qb_support->getbrowserlanguage()]; ?>";
						$.alerts.okButton = "<?php echo $ini['ok'][$qb_support->getbrowserlanguage()]; ?>";
						jConfirm("<?php echo $ini['confirmreset'][$qb_support->getbrowserlanguage()]; ?>", "<?php echo $ini['attention'][$qb_support->getbrowserlanguage()]; ?>", function(r) {
							if (r) {
								$.ajax({
									type: "POST",
									cache: false,
									url:  "./tools/no_license_api.php",
									data: { 
										routine: "resetuser",
										idx: $("#remuser").val()
									},
									success: function(result)
									{
										window.location.href = "./index.php";
									}
								});
							}
						});
					}
				}				
				function remuser() {
					if ($("#remuser").val() == "") {
						jAlert("<?php echo $ini['selectuser'][$qb_support->getbrowserlanguage()]; ?>", "<?php echo $ini['attention'][$qb_support->getbrowserlanguage()]; ?>");
						return false;
					} else {
						$.alerts.cancelButton = "<?php echo $ini['cancel'][$qb_support->getbrowserlanguage()]; ?>";
						$.alerts.okButton = "<?php echo $ini['delete'][$qb_support->getbrowserlanguage()]; ?>";
						jConfirm("<?php echo $ini['confirmdelete'][$qb_support->getbrowserlanguage()]; ?>", "<?php echo $ini['attention'][$qb_support->getbrowserlanguage()]; ?>", function(r) {
							if (r) {
								$.ajax({
									type: "POST",
									cache: false,
									url:  "./tools/no_license_api.php",
									data: { 
										routine: "deluser",
										idx: $("#remuser").val()
									},
									success: function(result)
									{
										window.location.href = "./index.php";
									}
								});
							}
						});
					}
				}
			</script>			
		<?php } else { ?>
			<p style="text-align: center; font: bold 20pt Arial; color: <?php echo $c_scheme['M5']; ?>; margin: 10px 0;">
				<?php echo $ini[$_REQUEST['r']][$qb_support->getbrowserlanguage()]; ?>
			</p>
		<?php
			}	
		?>
	</body>
</html>
