<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />		
	<?php include_once(dirname(__FILE__)."/tools/all_header.php"); global $c_scheme, $timezone, $rel_path; ?>
	<script>
		var js_debug = false;
		$data_changed = false;	
	</script>
	
    <title>Immediate Actions</title>
	
	<link rel="stylesheet" href="./css/qb.php" />
	<link rel="stylesheet" href="./js_sources/dzone/min/dropzone.min.css" />
	<link rel="stylesheet" href="./trumbowyg/dist/ui/trumbowyg.css">
	<link rel="stylesheet" href="./trumbowyg/dist/plugins/colors/ui/trumbowyg.colors.min.css">
	
	<style>
		.editbox {
			background: #FFFFFF;
		}		
		.trumbowyg-box, .trumbowyg-editor {
			width: 650px;
			min-height: 70px;
			margin: 0;
			margin-top: 5px;
			display: inline-block;
		}
		.trumbowyg-editor {
			padding: 2px;
			font-family: Arial;
		}
		.trumbowyg-fullscreen {
			margin: 0;
			padding: 0;
			top: 0px;
			left: 0px;
			width: 100%;
			height: 100%;
		}
		.ui-dialog-titlebar-close {display: none;}
	</style>
	
	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>
	<script src="./js_sources/dzone/min/dropzone.min.js"></script>
	<script src="./trumbowyg/dist/trumbowyg.js"></script>
	<script src="./trumbowyg/dist/plugins/colors/trumbowyg.colors.min.js"></script>
	<?php 
		foreach(explode(":", $qb_support->getLanOnly()) as $key=>$value) {
			if ($value != "en") echo '<script src="./trumbowyg/dist/langs/'.$value.'.min.js"></script>';
		}
	?>
	
	<script>
	// load translation and save in localTranslation
		<?php
			$ini_immediate = parse_ini_file($rel_path.'i18n/immediate.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_immediate as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$ini_aistatus = parse_ini_file($rel_path.'xml/status.ini', true);	
			echo "aistatusTranslation = {};";
			foreach($ini_aistatus as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "aistatusTranslation['".$key."']={".rtrim($add, ',')."};";
			}	
		?>
	</script>
</head>
<body>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
			<?php 
				echo "<div id='mainnav'>". $qb_support->get_main_menu(1) . "</div>";
				include_once($rel_path.'tools/g_header2.php');
				echo $qb_support->get_sub_menu(2);
			?>	
			<div id="tabscontainer" >
				<p id="stdactcont">
					<span id="MIM" data-checked="false" class="icn_checkboxempty_c_n clckbtn vam" onclick="set_mim(this.id);"></span>
					<label class="dlabel w220 vam" style="margin-top: 1px;" data-type="text" data-lan="mim"><?php echo $ini_immediate['mim'][$_SESSION['lng']]; ?></label>
					<span id="SONDERFREIGABE" data-checked="false" class="icn_checkboxempty_c_n clckbtn vam" onclick="set_opt(this);"></span>
					<label class="dlabel w220 vam" style="margin-top: 1px;" data-type="text" data-lan="sonderfreigabe"><?php echo $ini_immediate['sonderfreigabe'][$_SESSION['lng']]; ?></label>
					<span id="ERSATZ" data-checked="false" class="icn_checkboxempty_c_n clckbtn vam" onclick="set_opt(this);"></span>
					<label class="dlabel w220 vam" style="margin-top: 1px;" data-type="text" data-lan="ersatz"><?php echo $ini_immediate['ersatz'][$_SESSION['lng']]; ?></label>
					<span id="WES" data-checked="false" class="icn_checkboxempty_c_n clckbtn vam" onclick="set_opt(this);"></span>
					<label class="dlabel w220 vam" style="margin-top: 1px;" data-type="text" data-lan="wes"><?php echo $ini_immediate['wes'][$_SESSION['lng']]; ?></label>								
					<br style="margin: 5px 0;" />
					<span id="LPSK48" data-checked="false" class="icn_checkboxempty_c_n clckbtn vam" onclick="lpsk48_dialog()"></span>
					<label class="dlabel vam" style="margin-top: 1px; width: 468px;" data-type="text" data-lan="LPSK48"><?php echo $ini_immediate['LPSK48'][$_SESSION['lng']]; ?></label>
					<span id="LPSG48" data-checked="false" class="icn_checkboxempty_c_n clckbtn vam" onclick="lpsg48_dialog()"></span>				
					<label class="dlabel vam" style="margin-top: 1px;" data-type="text" data-lan="LPSG48"><?php echo $ini_immediate['LPSG48'][$_SESSION['lng']]; ?></label>
				</p>
				<div id="def" style="margin-top: 5px; padding-top: 0px;">
					<span data-type="text" data-lan="new_record" class="spanbutton w150" id="create-new"><?php echo $ini_immediate['new_record'][$_SESSION['lng']]; ?></span>
					<label style="text-align: right; display: inline-block; width: 360px; font: normal 9pt Arial;padding:0px; margin:0px; margin-right: 10px;" data-type="text" data-lan="order_by" ><?php echo $ini_immediate['order_by'][$_SESSION['lng']]; ?></label>
					<span data-type="text" data-lan="date" class="spanbuttono w75" id="btn_WDATE" onclick="setorder(this)"><?php echo $ini_immediate['date'][$_SESSION['lng']]; ?></span>
					<span data-type="text" data-lan="lupdate" class="spanbutton w75" id="btn_LUPDATE" onclick="setorder(this)"><?php echo $ini_immediate['lupdate'][$_SESSION['lng']]; ?></span>
					<span data-type="text" data-lan="nname" class="spanbutton w75" id="btn_VISUM" onclick="setorder(this)"><?php echo $ini_immediate['nname'][$_SESSION['lng']]; ?></span>
					<span data-type="text" data-lan="until" class="spanbutton w75" id="btn_UNTIL" onclick="setorder(this)"><?php echo $ini_immediate['until'][$_SESSION['lng']]; ?></span>
					<span data-type="text" data-lan="status" class="spanbutton w75" id="btn_STAT" onclick="setorder(this)"><?php echo $ini_immediate['status'][$_SESSION['lng']]; ?></span>
					<div id="daten_list" style="margin-top: 10px;overflow-y: scroll; padding: 0px; overflow-x: hidden; height: 350px;"></div>
				</div>
			</div>
			<input type="hidden" name="sorder" id="sorder" value="-1" />
		</div>
		<?php include_once($rel_path.'footer.php'); ?>
	<!-- form for priority alerts -->
		<div id="dialog-alert">
			<p id="alert_content" style="font-weight: bold; margin-top: 10px; color: <?php echo $c_scheme['XW']; ?>;">
			</p>
		</div>
	<!-- form for adding new datasets -->
		<div id="dialog-form">
			<p id="imm_validateTips" style="padding: 2px; margin: 0px; margin-bottom: 10px;" >&nbsp;</p>
			<fieldset id="fs" style="border: 0px solid purple; padding: 0px; height: 250px; margin:0px;">
				<p>
					<label id="whtlabel" class="dlabel w100" style="vertical-align: top; margin-top: 75px;"></label>
					<textarea rows="2" class="dtextarea vam editbox" id="wysiwyg" style="height: 200px;"></textarea>
				</p>
				<p>
					<label id="vislabel" class="dlabel w100 vam"></label>
					<select id="vis" class="vam csselect">
						<option value="">...</option>
						<?php
							$query = "SELECT LOGIN, CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE ACTIVE = 1 ORDER BY NACHNAME";
							$stmt = $db->query($query);
							while($row = $stmt->fetch(PDO::FETCH_NUM)) {
								echo "<option value='" . $row[0] . "'>" . $row[1] . "</option>";
							}
						?> 						
					</select>
					<?php
						if ($qb_support->getoptions("inform_aiowner", "set") == "yes") {
					?>
							<span id="infoai" data-checked="false" class="icn_checkboxempty_c_n clckbtn vam" style="margin-left: 20px;" onclick="set_mail(this);"></span>				
							<label id="aiowner_label" class="dlabel w150 vam" style="margin-top: 1px;"></label>
					<?php
						} else {
							echo "<input type='hidden' id='infoai' data-checked='false' value='' />";
						}
					?>
				</p>
				<p>
					<label class="dlabel w100 vam" id="deadline" ></label>
					<input type="hidden" id="untl_org" value="" />
					<input type="text" id="untl" class="dinput vam w100" readonly value="" />
				</p>
				<p>					
					<label id="sttslabel" class="dlabel vam w100"></label>
					<select name="stts" id="stts" class="vam"></select>
				</p>
			</fieldset>
		</div>
	</div>
	<span id="plusimg2" style="display: none;"></span>
	<input type="hidden" id="hiddenid" value="" />
	<script>
	
		Dropzone.autoDiscover = false;
		var fuplds = [];
		lc = new Array();
		lc[0]= "<?php echo $c_scheme['IE']; ?>";
		lc[1]= "<?php echo $c_scheme['IO']; ?>";
		$heute = false;	
	// format select boxes
		$("#stts").width(120).customSelect({customClass: "cSelect_man"});
		$("#vis").width(300).customSelect({customClass: "cSelect_man"});
		
		$("#plusimg2")
			.dropzone({
				url: "./tools/UploadHandler_ds.php?mode=N&qbn="+window.sessionStorage.getItem('qb'),
				init: function() {
					this.on("processing", function(file) {
						this.options.url = "./tools/UploadHandler_ds.php?mode=N&qbn="+window.sessionStorage.getItem('qb');
					});
				},					
				previewTemplate: '<div class="dz-preview dz-file-preview"></div>',
				"addedfile": function(file) {
					<?php	if (!($qb_support->checkflag('Y'))) { ?>
						var sizeInMB = (file.size / (1024*1024)).toFixed(2);
						if (sizeInMB > 25) {						
							$tdz = Dropzone.forElement("#plusimg");
							$tdz.removeAllFiles();										
							$tdz.removeAllFiles(true);
							jAlert(localTranslation["maxfilesizeexceeded"][$globlan], localTranslation["attention"][$globlan]);
							return false;
						}	
					<?php } ?>
				},
				"complete": function(file) {			
			// add file names to array
					fuplds.push(JSON.parse(file.xhr.responseText).files[0].name);	
				},				
				"queuecomplete": function() {
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/immediate_api.php",
						data: { 
							routine: "savefiles",
							id: $("#hiddenid").val(),
							fils: JSON.stringify(fuplds),
							qbn: window.sessionStorage.getItem('qb')
						},
						success: function(result)
						{
							fuplds = [];
							$("#hiddenid").val("");
							fill_data('WHN', -1);
						}
					});
				}
			});
			
// datepicker settings	
		pickerOpts = {
			closeText: "X",		
			dateFormat: "yy-M-dd",
			altField: '#untl_org',
			altFormat: 'yy-mm-dd',
			firstDay: 1,
			isRTL: false,
			showButtonPanel: true,
			displayClose: true,
			showOn: "both",  
			buttonImage: "./img/dummy_img.png", 
			buttonImageOnly: true,
			buttonText: calTranslation["cal"][$globlan],
			changeYear: true,
			changeMonth: true,
			maxDate: '+12m',
			minDate: new Date($("#reg_date_org").val()),			
			onClose: function() {
				$("#wysiwyg").focus();
			},
			beforeShow: function() {
				if ($heute) {
					$heute = false;
					return false;				
				}
			}
		}
		$.datepicker._defaults['currentText'] = calTranslation['currentText'][$globlan];
		$.datepicker._defaults['monthNames'] = calTranslation['monthNames'][$globlan];
		$.datepicker._defaults['monthNamesShort'] = calTranslation['monthNamesShort'][$globlan];
		$.datepicker._defaults['dayNamesMin'] = calTranslation['dayNamesMin'][$globlan];
		$("#untl").datepicker(pickerOpts);
		clkevnt = $("#untl").next().data('events').click[0].handler;
		$("#untl").next().replaceWith('<span class="ui-datepicker-trigger icn_calendar_b_n clckbtn vam" data-type="title" data-lan="cal" title="<?php echo $ini_immediate['cal'][$_SESSION['lng']]; ?>"></span>');
		$("#untl").next().bind('click', clkevnt);
			
		pickerOpts_2 = {
			closeText: "X",		
			dateFormat: "yy-mm-dd",
			firstDay: 1,
			isRTL: false,
			showButtonPanel: true,
			displayClose: true,
			showOn: "button", 
			buttonImage: "./img/dummy_img.png",
			buttonImageOnly: true,
			buttonText: calTranslation["cal"][$globlan],
			changeYear: true,
			changeMonth: true,
			maxDate: '+12m',
			minDate: '+0d',
			beforeShow: function(input) {			
				if ($(this).data("value") != "0000-00-00") {
					$(this).datepicker("setDate", new Date($(this).data("value")) );
					setTimeout(function() {
						var buttonPane = $(input).datepicker("widget").find(".ui-datepicker-buttonpane");
						var btn = $('<span data-type="title" data-lan="rem" id="del_mat" style="margin-left: 50px; margin-top: 12px;" class="icn_delete_b_n clckbtn vam" title="<?php echo $ini_immediate['rem'][$_SESSION['lng']]; ?>"></span>');
						btn.unbind("click").bind("click", function() {				
							$.datepicker._clearDate(input);
						});
						btn.appendTo(buttonPane);
					}, 1);
				}
			},
			onSelect: function(dateText, inst) {			
				var $id = $(this).attr('id').split("_")[1];				
				$.ajax({
					type: "POST",
					cache: false,
					url:  "./tools/immediate_api.php",
					data: { 
						routine: "setreminder",
						id: $id,
						dat: dateText,
						qbn: window.sessionStorage.getItem('qb')
					},
					success: function(result)
					{					
						if (dateText == "") {
							$("#clock_"+$id).next().removeClass("icn_alarm_r2_n").addClass("icn_alarm_b_n").attr("title", localTranslation["set_reminder"][$globlan]);
							$("#clock_"+$id).data("value", "0000-00-00");
						} else {
							$("#clock_"+$id).next().removeClass("icn_alarm_b_n").addClass("icn_alarm_r2_n").attr("title", dateText);
							$("#clock_"+$id).data("value", dateText);
						}			
					}
				});
			}
		}
	// fix um bei klicken auf "Heute" den Kalender zu schliessen	
		var old_goToToday = $.datepicker._gotoToday;
		$.datepicker._gotoToday = function(id) {
			old_goToToday.call(this,id);  
			this._selectDate(id);
			$heute = true;
		};	
		function move_def(loc) {					// move action to definitive
			$.alerts.cancelButton = localTranslation["cancel"][$globlan];
			jConfirm(localTranslation["confirm_move"][$globlan], localTranslation["attention"][$globlan], function(r) {	
				if (r) {	
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/immediate_api.php",
						data: { 
							routine: "movedef",
							idx: loc,
							qbn: window.sessionStorage.getItem("qb")
						},
						success: function(result)
						{
							$("#div_"+loc).remove();
							$color_count = 0;
							$("#daten_list").find("div").each(function() {
								$(this).css("background-color", "#"+lc[$color_count % 2]);
								$color_count++;
							});
							if ($("#daten_list").find("div:first").css("border-top-width") == "0px") {
								$("#daten_list").find("div:first").css("border-top-width", "2px");
							}				
							jAlert(localTranslation["update_done"][$globlan], localTranslation["attention"][$globlan]);
						}
					});
				}
			});
		}	
		function copy_def(loc) {					// copy action to definitive
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/immediate_api.php",
				data: { 
					routine: "copydef",
					idx: loc,
					qbn: window.sessionStorage.getItem("qb")
				},
				success: function(result)
				{
					jAlert(localTranslation["update_done"][$globlan], localTranslation["attention"][$globlan]);
				}
			});
		}	
		function copy_measure(loc) {					// copy measure to implementation
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/immediate_api.php",
				data: { 
					routine: "copymeasure",
					idx: loc,
					qbn: window.sessionStorage.getItem("qb")
				},
				success: function(result)
				{
					jAlert(localTranslation["update_done"][$globlan], localTranslation["attention"][$globlan]);
				}
			});
		}
		function setorder(loc){							// change order of records
			if ($(loc).hasClass('spanbuttono')){
		// class is active --> already sort field -> reverse direction --> save order
				$nord = $("#sorder").val()*(-1);
				$("#sorder").val($nord);
			} else {
		// font is normal --> new sort field --> set direction ASC --> save order
				$nord = 1;
				$("#sorder").val($nord);
				$("#def").find('.spanbuttono').removeClass('spanbuttono').addClass('spanbutton');
				$(loc).removeClass('spanbutton').addClass('spanbuttono');
			}
			fill_data(loc.id.split("_")[1], $nord);
		}
		function set_mail(loc) {
			if ($(loc).data("checked")) {
				$(loc).data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
			} else {		
				$(loc).data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");	
			}			
		}
		function set_mim(loc) {							// set "no immediate actions"
			if ((JSON.parse(window.sessionStorage.getItem("qbn")).status == "C") && (!$("#lockunlock").hasClass("icn_unlock_b_n"))) return false;
			if (!$("#MIM").data("checked")) {
				$("#stdactcont span").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
				$("#MIM").data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");	
				$("#loading").show();
				$.ajax({
					type: "POST",
					cache: false,
					url:  "./tools/immediate_api.php",
					data: { 
						routine: "noaction",
						qbn: window.sessionStorage.getItem("qb")
					},
					success: function(result)
					{
						$("#loading").hide();
					}
				});			
			} else {
				jAlert(localTranslation["no_cbx"][$globlan], localTranslation["attention"][$globlan]);
				return false;	
			}
			
		}
		function lpsg48_dialog() {
			if ((JSON.parse(window.sessionStorage.getItem("qbn")).status == "C") && (!$("#lockunlock").hasClass("icn_unlock_b_n"))) return false;
			if ($("#LPSG48").data("checked")) {		
				if ($("#stdactcont span.icn_checkboxchecked_c_n").not("#MIM").length == 1) {
					jAlert(localTranslation["no_cbx"][$globlan], localTranslation["attention"][$globlan]);
					return false;
				} else {
					$("#LPSG48").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
					return false;
				}
			} else {		
				$("#LPSG48").data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");
			}		
			$("#MIM").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
			$('#dialog-alert').data('action', 'T').dialog('open');
		}
		function lpsg48() {							// top Q-Case
			$("#loading").show();
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/immediate_api.php",
				data: { 
					routine: "lpsg48",
					optval: $("#LPSG48").data("checked")?1:0,
					lang: $globlan,
					qbn: window.sessionStorage.getItem("qb")
				},
				success: function(result)
				{
					$("#loading").hide();
					window.location.href = 'doccom.php';
				}
			});
		}
		function lpsk48_dialog() {
			if ((JSON.parse(window.sessionStorage.getItem("qbn")).status == "C") && (!$("#lockunlock").hasClass("icn_unlock_b_n"))) return false;
			if ($("#LPSK48").data("checked")) {		
				if ($("#stdactcont span.icn_checkboxchecked_c_n").not("#MIM").length == 1) {
					jAlert(localTranslation["no_cbx"][$globlan], localTranslation["attention"][$globlan]);
					return false;
				} else {
					$(LPSK48).data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
					return false;
				}
			} else {		
				$(LPSK48).data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");
			}		
			$("#MIM").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
			$('#dialog-alert').data('action', 'K').dialog('open');
		}
		function lpsk48() {							// danger
			$("#loading").show();
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/immediate_api.php",
				data: { 
					routine: "lpsk48",
					optval: $("#LPSK48").data("checked")?1:0,
					lang: $globlan,
					qbn: window.sessionStorage.getItem("qb")
				},
				success: function(result)
				{
					$("#loading").hide();
					window.location.href = 'doccom.php';
				}
			});
		}
		function set_opt(loc) {							// set immediate actions
			if ((JSON.parse(window.sessionStorage.getItem("qbn")).status == "C") && (!$("#lockunlock").hasClass("icn_unlock_b_n"))) return false;
			if ($(loc).data("checked")) {		
				if ($("#stdactcont span.icn_checkboxchecked_c_n").not("#MIM").length == 1) {
					jAlert(localTranslation["no_cbx"][$globlan], localTranslation["attention"][$globlan]);
					return false;
				} else {
					$(loc).data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
				}
			} else {		
				$(loc).data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");
			}		
			$("#MIM").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
			$("#loading").show();
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/immediate_api.php",
				data: { 
					routine: "saveoptions",
					opt: loc.id,
					optval: $(loc).data("checked")?1:0,
					qbn: window.sessionStorage.getItem("qb")
				},
				success: function(result)
				{
					$("#loading").hide();
				}
			});
		}
		function del_att(loc) {
		// delete file before save
			$.alerts.cancelButton = localTranslation["cancel"][$globlan];
			jConfirm(localTranslation["confirm_delete"][$globlan], localTranslation["attention"][$globlan], function(r) {
				if (r) {
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/immediate_api.php",
						data: { 
							routine: "deletefile",
							fn: $(loc).data("alt"),
							id: $(loc).data("fidx"),
							qbn: window.sessionStorage.getItem("qb")
						},
						success: function(result)
						{
							fill_data('WHN', -1);
						}
					});
				}
			});
		}
		function del_def(uid, idx) {					// delete record
		// confirm delete
			$.alerts.cancelButton = localTranslation["cancel"][$globlan];
			jConfirm(localTranslation["confirm_delete"][$globlan], localTranslation["attention"][$globlan], function(r) {
				if (r) {
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/immediate_api.php",
						data: { 
							routine: "deleterecord",
							didx: uid,
							qbn: window.sessionStorage.getItem("qb")
						},
						success: function(result)
						{
							$("#div_"+idx).remove();
							$color_count = 0;
							$("#daten_list").find("div").each(function() {
								$(this).css("background-color", "#"+lc[$color_count % 2]);
								$color_count++;
							});
							if ($("#daten_list").find("div:first").css("border-top-width") == "0px") {
								$("#daten_list").find("div:first").css("border-top-width", "2px");
							}		
						}
					});	
				}
			});			
		}
		function close_def(loc) {						// close open record	
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/immediate_api.php",
				data: { 
					routine: "closerecord",
					cidx: loc,
					qbn: window.sessionStorage.getItem("qb")
				},
				success: function(result)
				{
					$("#close_"+loc).remove();
					$("#vis_"+loc).css("color", "<?php echo $c_scheme['XN']; ?>");
					$("#until_"+loc).css("color", "<?php echo $c_scheme['XN']; ?>");
					$("#sts_"+loc).css("color", "<?php echo $c_scheme['XN']; ?>");
					$("#sts_"+loc).text(aistatusTranslation['DONE'][$globlan]);
					$("#clock_"+loc).datepicker("destroy");
					$("#clock_"+loc).next().remove();
					$("#clock_"+loc).remove();
				}
			});	
		}
		function edit_def (loc) {						// edit measure
			$( "#dialog-form" ).data("idx", loc).data("action", "E").dialog( "open" );
		}
		function load_page() {
			document.title = document.title.split("/")[0] + '/' + window.sessionStorage.getItem("qb");
	// fill detail fields
			$.ajax({
				type: "GET",
				cache: false,
				url:  "./tools/immediate_api.php",
				dataType: "json",
				data: { 
					routine: "getdata",
					qbn: window.sessionStorage.getItem("qb")
				},
				success: function(result)
				{
					var $qbs = result[1];
					result = result[0];			
				// handle record button 
					if ("SC".indexOf($qbs) > -1) { // case technically or completely closed		
						$('#create-new').invisible();
					} else {
						$('#create-new').visible();
					}
				
					if (result) {
						if (result['MIM'] == 0) {
							$("#MIM").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
						} else {
							$("#MIM").data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");	
						}			
						if (result['SONDERFREIGABE'] == 0) {
							$("#SONDERFREIGABE").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
						} else {
							$("#SONDERFREIGABE").data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");	
						}					
						if (result['ERSATZ'] == 0) {
							$("#ERSATZ").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
						} else {
							$("#ERSATZ").data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");	
						}					
						if (result['WES'] == 0) {
							$("#WES").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
						} else {
							$("#WES").data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");	
						}				
						if (result['LPSG48'] == 0) {
							$("#LPSG48").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
						} else {
							$("#LPSG48").data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");	
						}					
						if (result['LPSK48'] == 0) {
							$("#LPSK48").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
						} else {
							$("#LPSK48").data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");	
						}
					} else {
						$("#MIM").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
						$("#SONDERFREIGABE").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
						$("#ERSATZ").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
						$("#WES").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
						$("#LPSG48").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
						$("#LPSK48").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
					}
				}
			});
			fill_data('WHN', -1);
		}
		$( "#create-new" ).click(function() {							// assign event to new dataset button		
			$.ajax({
				type: "GET",
				cache: false,
				url:  "./tools/immediate_api.php",
				data: { 
					routine: "newrecord",
					qbn: window.sessionStorage.getItem("qb")
				},
				success: function(result)
				{
					eval(result);
				}
			});	
		});
		function fill_data(fld, sord) {					// generate detail list
			(sord=="1")?$sort="ASC":$sort="DESC";
			$("#daten_list").empty();
			$.ajax({
				type: "GET",
				cache: false,		
				url:  "./tools/immediate_api.php",
				data: { 
					routine: "readlist",
					orderby: fld,
					sorder: $sort,
					qbn: window.sessionStorage.getItem("qb")
				},
				dataType: "json",
				success: function(result)
				{		
					var $qbs = result[1];
					var datalist = result[0];		
					$ictr = 0;
					$color_count = 0;
					$topb = 2;
					for(i=0; i<datalist.length; i++) {
						if (datalist[i]["IDX"] != $ictr) {
							$ictr = datalist[i]["IDX"];
							(datalist[i]['STAT'] == "OPEN") ? $tclr="<?php echo $c_scheme['XW']; ?>" : $tclr="<?php echo $c_scheme['XN']; ?>";
							$("#daten_list").append('\
								<div id="div_'+datalist[i]['IDX']+'" style="border-top: '+$topb+'px solid black; border-bottom: 2px solid black; padding:0px; margin: 0px; background-color: '+lc[$color_count % 2]+';">\
									<p style="border-bottom: 1px dotted blue; margin:0px; padding: 0px; padding-bottom: 2px;">\
										<label id="whn_'+datalist[i]['IDX']+'" class="dlabel vam w80" style="font-weight: bold; border-right: 2px solid black; color:<?php echo $c_scheme['XN']; ?>;" data-type="immdate" data-lan="'+datalist[i]["WDATE"]+'">'+localizedate(datalist[i]["WDATE"])+'\
										</label><label id="lup_'+datalist[i]['IDX']+'" class="dlabel vam w80" style="font-weight: bold; border-right: 2px solid black; color:<?php echo $c_scheme['XH']; ?>;" data-type="immdate" data-lan="'+datalist[i]["LUPDATE"]+'">'+localizedate(datalist[i]["LUPDATE"])+'\
										</label><label class="dlabel vam w50" data-type="text" data-lan="who">'+localTranslation["who"][$globlan]+'\
										</label><label id="vis_'+datalist[i]['IDX']+'" class="dlabel vam w175" style="color:'+$tclr+';">'+datalist[i]['VISUM']+'\
										</label><label class="dlabel vam w100" data-type="text" data-lan="until">'+localTranslation["until"][$globlan]+'\
										</label><label id="until_'+datalist[i]['IDX']+'" class="dlabel vam w100" style="color:'+$tclr+';" data-type="immdate" data-lan="'+datalist[i]["UNTIL"]+'">'+localizedate(datalist[i]["UNTIL"])+'\
										</label><label class="dlabel vam w75" data-type="text" data-lan="status">'+localTranslation["status"][$globlan]+'\
										</label><label id="sts_'+datalist[i]['IDX']+'" class="dlabel vam w75" style="color:'+$tclr+';" data-type="status" data-lan="'+datalist[i]['STAT']+'">'+aistatusTranslation[datalist[i]['STAT']][$globlan]+'\
										</label><span id="addf_'+datalist[i]['IDX']+'" data-type="title" data-lan="add_file" style="margin-left: 45px;" onclick="$(\'#hiddenid\').val(\''+datalist[i]['IDX']+'\');$(\'#plusimg2\').click();" class="icn_upload_b_n clckbtn dic vam addfile" title="'+localTranslation["add_file"][$globlan]+'">\
										</span><span data-type="title" data-lan="copy_to_def" style="margin: 0 2px;" class="icn_copy_b_n clckbtn dic2 vam" title="'+localTranslation["copy_to_def"][$globlan]+'" onclick="copy_def('+datalist[i]['IDX']+')">\
										</span><span data-type="title" data-lan="move_to_def" style="margin: 0 2px;" class="icn_move_b_n clckbtn dic2 vam" title="'+localTranslation["move_to_def"][$globlan]+'" onclick="move_def('+datalist[i]['IDX']+')">\
										</span><span data-type="title" data-lan="rem" class="icn_delete_b_n clckbtn dic vam" title="'+localTranslation["rem"][$globlan]+'" onclick="del_def(\''+datalist[i]['UID']+'\','+datalist[i]['IDX']+')">\
										</span><span data-type="title" data-lan="edit" class="icn_edit_b_n clckbtn dic vam" title="'+localTranslation["edit"][$globlan]+'" onclick="edit_def('+datalist[i]['IDX']+')"></span>\
									</p>\
								</div>\
							');
							
							if (("ON".indexOf($qbs)) > -1) { 		// case open or new
								$("#daten_list").find("p:last").append('<span data-type="title" data-lan="take_as_implement" class="icn_root_b_n clckbtn dic vam" title="'+localTranslation["take_as_implement"][$globlan]+'" onclick="copy_measure('+datalist[i]['IDX']+')"></span>');
							}					
							if (datalist[i]["STAT"] == "OPEN") {
								$("#daten_list").find("p:last").append('<input type="hidden" data-value="'+datalist[i]['REMINDER']+'" id="clock_'+datalist[i]['IDX']+'" />');
							// datepicker settings		
								$("#clock_"+datalist[i]['IDX']).datepicker(pickerOpts_2);
								clkevnt = $("#clock_"+datalist[i]['IDX']).next().data('events').click[0].handler;
								$("#clock_"+datalist[i]['IDX']).next().replaceWith('<span class="ui-datepicker-trigger icn_alarm_b_n clckbtn vam" data-type="title" data-lan="cal" title="'+localTranslation["reminder"][$globlan]+'"></span>');
								$("#clock_"+datalist[i]['IDX']).next().bind('click', clkevnt);						
								if (datalist[i]['REMINDER'] != "0000-00-00") {
									$("#clock_"+datalist[i]['IDX']).next().removeClass("icn_alarm_b_n").addClass("icn_alarm_r2_n");
								} else {
									$("#clock_"+datalist[i]['IDX']).next().removeClass("icn_alarm_r2_n").addClass("icn_alarm_b_n");								
								}
								$("#daten_list").find("p:last").append('<span id="close_'+datalist[i]['IDX']+'" data-type="title" data-lan="close" class="icn_ok_b_n clckbtn dic vam" style="margin-left: 2px;" title="'+localTranslation["close"][$globlan]+'" onclick="close_def('+datalist[i]['IDX']+')"></span>');
							}
						// show button for interaction only if case not closed									
							if (("SC".indexOf($qbs)) > -1) { 		// case technically or completely closed
								$.each($("#daten_list").find("p:last").find("span.dic"), function(i) {
									$(this).hide();
								});
							}
							if ($qbs == "C") { // case completely closed		
								$.each($("#daten_list").find("p:last").find("span.dic2"), function(i) {
									$(this).hide();
								});
							}
							$lastdiv = $("#daten_list").find("div:last");
							$lastdiv.append('<div id="wht_'+datalist[i]['IDX']+'" class="dplist"></div>');
							$("#wht_"+datalist[i]['IDX']).html(datalist[i]['WHT']);
						// check if link is available
							if(datalist[i]["LINK"].length > 0) {
								$lastdiv.append('<div id="files_'+datalist[i]['IDX']+'" style="border-top: 1px dotted blue; font: normal 9pt Arial;color: <?php echo $c_scheme['XH']; ?>; margin:0px; padding: 0px 5px 0px 0px;"></div>');
								$ln = datalist[i]['LINK'];
								$fp = "./files/"+window.sessionStorage.getItem("qb")+"/"+$ln;
								$("#daten_list").find("div:last").append('\
									<p>\
										<span data-type="title" data-lan="rem" data-alt="'+$ln+'" data-fidx="'+datalist[i]['FIDX']+'" style="margin-right:5px;" title="'+localTranslation["rem"][$globlan]+'" class="icn_delete_b_n clckbtn vam" onclick="del_att(this)" />\
										<a class="hvrb_bl vam" onclick="window.open(\''+$fp+'\', \'_blank\');">'+$ln+'</a>\
									</p>\
								');
							}
							$topb = 0;
							$color_count++;
						} else {
							$ln = datalist[i]['LINK'];
							$fp = "./files/"+window.sessionStorage.getItem("qb")+"/"+$ln;
							$("#daten_list").find("div:last").append('\
								<p>\
									<span data-type="title" data-lan="rem" data-alt="'+$ln+'" data-fidx="'+datalist[i]['FIDX']+'" style="margin-right:5px;" title="'+localTranslation["rem"][$globlan]+'" class="icn_delete_b_n clckbtn vam" onclick="del_att(this)" />\
									<a class="hvrb_bl vam" onclick="window.open(\''+$fp+'\', \'_blank\');">'+$ln+'</a>\
								</p>\
							');
						}
					}
				
				}
			});	
		}
	// switch language
		function c_lan() {
			translate_header($globlan);	
			translate_mainmenu($globlan);
			translate_g_header2($globlan);
			translate_submenu($globlan);
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {	
				switch ($(this).data("type")) {
					case "text":		
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "immdate":
						$(this).text(localizedate($(this).data("lan")));
						break;
					case "status":
						$(this).text(aistatusTranslation[$(this).data("lan")][$globlan]);
						break;
					default:
						break;
				}
			});	
			$.datepicker._defaults['currentText'] = calTranslation['currentText'][$globlan];
			$.datepicker._defaults['monthNames'] = calTranslation['monthNames'][$globlan];
			$.datepicker._defaults['monthNamesShort'] = calTranslation['monthNamesShort'][$globlan];
			$.datepicker._defaults['dayNamesMin'] = calTranslation['dayNamesMin'][$globlan];
			$tmp = $('#wysiwyg').trumbowyg('html');
			$('#wysiwyg').trumbowyg('destroy');
      $('#wysiwyg').trumbowyg({
        lang: $globlan,
        removeformatPasted: true,
        semantic: true,
        tagsToRemove: ['script'],
        btns: [
          ['formatting'],
          ['|', 'foreColor', 'backColor'],
          ['strong', 'em', 'del'],
          ['superscript', 'subscript'],
          ['justifyLeft', 'justifyCenter', 'justifyRight', 'justifyFull'],
          ['unorderedList', 'orderedList'],
          ['horizontalRule'],
          ['removeformat'],
          ['fullscreen']
        ]
      });
			$('#wysiwyg').trumbowyg('html', $tmp);			
		}
		<?php if ($qb_support->checkflag("ZY")) { ?>	
			function set_special(loc) {
				if ("SC".indexOf(JSON.parse(window.sessionStorage.getItem("qbn")).status) == -1) return;	
				switch(loc) {
					case "A":
						$('#mat_edt_img').visible();	
						$('#create-new').visible();	
						$.each($("#daten_list").find("p"), function(i) {
							$(this).find("span.dic").show();
						});
						if ($("#qb option:selected").attr("data") == "C") {
							$.each($("#daten_list").find("p"), function(i) {
								$(this).find("span.dic2").show();
							});
						}
						$('#untl').datepicker('option', {minDate: "-10y", maxDate: "+10y"});
						$("#untl").next().remove();			
						break;
					case "X":					
						if (JSON.parse(window.sessionStorage.getItem("qbn")).status == "C") $('#mat_edt_img').invisible();
						$('#create-new').invisible();	
						$.each($("#daten_list").find("p"), function(i) {
							$(this).find("span.dic").hide();
						});
						if ($("#qb option:selected").attr("data") == "C") {
							$.each($("#daten_list").find("p"), function(i) {
								$(this).find("span.dic2").hide();
							});			
						}
						$('#untl').datepicker('option', {minDate: new Date($("#reg_date_org").val()), maxDate: "+12m"});
						$("#untl").next().remove();	
						break;					
				}
			}
		<?php } ?>
	// function for new dataset
		$( "#dialog-form" ).dialog({
			resizable: false,
			autoOpen: false,
			height: 480,
			width: 800,
			modal: true,
			buttons:
				[
					{
			// save button
						text: "",
						id: "add_imm_save",
						css: { width: '100px' },
						click: function() {
							var h = $("#wysiwyg").trumbowyg('html').trim();
							while (h.match(/^<br ?\/?>/gi)) h = h.replace(/^<br ?\/?>/gi, '').trim();
							while (h.match(/<br ?\/?>$/gi)) h = h.replace(/<br ?\/?>$/gi, '').trim();								
			// validity check
							if ((h.length == 0) || ($.trim($("#vis").val()).length == 0) || ($.trim($("#untl").val()).length == 0)) {
								$("#dialog-form").find("#imm_validateTips")
									.text(localTranslation["fill_sof"][$globlan])
									.css("background-color","<?php echo $c_scheme['IW']; ?>");
								setTimeout(function() {
									$("#dialog-form").find("#imm_validateTips")
										.html( '&nbsp' )
										.css("background-color","transparent");
								}, 3000 );							
								return;
							}
							if ($("#dialog-form").data('action') == "N") {
								$rout = "savenew";
								$refidx = 0;
								$aio = "";
							} else {
								$rout = "saveedit";
								$refidx = $("#dialog-form").data('idx');
								$aio = $("#vis option").filter(function() {return $(this).text() == $.trim($("#vis_"+$("#dialog-form").data('idx')).text());}).val();
							}
			// fields filled, save data
							$.ajax({
								type: "POST",
								cache: false,
								url: "./tools/immediate_api.php",
								data: { 
									routine: $rout,
									what: h,
									until: $("#untl_org").val(),
									visum: $.trim($( "#vis" ).val()),
									stat: $( "#stts" ).val(),
									ridx: $refidx,
									qbn: window.sessionStorage.getItem("qb"),
									iai: $("#infoai").hasClass("icn_checkboxchecked_c_n")*1,
									frm: $(".active").data("lan"),
									oaio: $aio
								},
								success: function(result)
								{
									fill_data('WHN', -1);
									$("#dialog-form").dialog("close");	
								}
							});							
						}
					},
					{
						text: "",
						id: "add_imm_cancel",
						css: { width: '100px' },
						click: function() {
							$("#dialog-form").dialog( "close" );
						}
					}					
				],
			close: function() {
		// empty all fields on close
				$("#untl").val( "" );
				$('#wysiwyg').trumbowyg('html', "");
				$('#wysiwyg').trumbowyg('destroy');				
				$("#vis").val( "" );
			}, 
			open: function() {
				$("#dialog-form").dialog('option', 'title', localTranslation['insert_record'][$globlan]);
				$("#add_imm_save").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
					.off('hover')
					.off('focus')
					.addClass("spanbutton")
					.find("span").text(localTranslation['save'][$globlan]);	
				$("#add_imm_cancel").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
					.off('hover')
					.off('focus')
					.addClass("spanbutton")
					.find("span").text(localTranslation['cancel'][$globlan]);
				$("#whtlabel").text(localTranslation['what'][$globlan]);
				$("#vislabel").text(localTranslation['who'][$globlan]);
				$("#aiowner_label").text(localTranslation['inform_aiowner'][$globlan]);
				$("#deadline").text(localTranslation['until'][$globlan]);
				$("#sttslabel").text(localTranslation['status'][$globlan]);
				<?php
					if ($qb_support->getoptions("inform_aiowner", "default") == "yes") {
				?>
						$("#infoai").data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");
				<?php
					} else {
				?>
						$("#infoai").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
				<?php
					}
				?>
				$("#stts")
					.find('option')
					.remove()
					.end();
				$.each(aistatusTranslation, function(key, value) {
					$("#stts").append($('<option>', { 
						value: key,
						text : value[$globlan]
					}));
				});	
			// convenience for manual QB -> set status to done for new datasets
				if (($("#dialog-form").data('action') == "N") && (JSON.parse(window.sessionStorage.getItem("qbn")).status == "M")) {
					$("#stts").val("DONE");
				} else {
					$("#stts").val("OPEN");
				}
        $('#wysiwyg').trumbowyg({
          lang: $globlan,
          removeformatPasted: true,
          semantic: true,
          tagsToRemove: ['script'],
          btns: [
            ['foreColor', 'backColor'],
            ['strong', 'em', 'del'],
            ['superscript', 'subscript'],
            ['justifyLeft', 'justifyCenter', 'justifyRight', 'justifyFull'],
            ['unorderedList', 'orderedList'],
            ['horizontalRule'],
            ['removeformat'],
            ['fullscreen']
          ]
        });
			// preset fields if edit button is clicked
				if ($("#dialog-form").data('action') == "E") {
					$eidx = $("#dialog-form").data('idx');
			// set selectbox value
					$("#stts option").filter(function() {
						return $(this).text() == $.trim($("#sts_"+$eidx).text()); 
					}).attr('selected', true);	
					$("#vis option").filter(function() {
						return $(this).text() == $.trim($("#vis_"+$eidx).text()); 
					}).attr('selected', true);
					$('#stts').trigger('render');
					$('#vis').trigger('render');					
					$("#untl").val($("#until_"+$eidx).text());
					$("#untl_org").val(generalizedate($("#until_"+$eidx).text()));
					$('#wysiwyg').trumbowyg('html', $("#wht_"+$eidx).html());
				} else {
					$('#stts').trigger('render');
					$('#vis').trigger('render');
					$('#wysiwyg').trumbowyg('html', "");
				}
			}
		});
	// function for alerts
		$( "#dialog-alert" ).dialog({
			resizable: false,
			autoOpen: false,
			closeOnEscape: false,
			height: 300,
			width: 400,
			modal: true,
			buttons:
				[
					{
			// save button
						text: "",
						id: "alert_ok",
						css: { width: '100px' },
						click: function() {
							if ($("#dialog-alert").data('action') == "T") {
								lpsg48();
							} else {
								lpsk48();
							}
							$("#dialog-alert").dialog( "close" );
						}
					}					
				],
			close: function() {
			}, 
			open: function() {
				if ($("#dialog-alert").data('action') == "T") {
					$("#dialog-alert").dialog('option', 'title', localTranslation['LPSG48'][$globlan]);
				} else {
					$("#dialog-alert").dialog('option', 'title', localTranslation['LPSK48'][$globlan]);
				}
				$("#alert_ok").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
					.off('hover')
					.off('focus')
					.addClass("spanbutton")
					.find("span").text(localTranslation['ok'][$globlan]);	
				$("#alert_cancel").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
					.off('hover')
					.off('focus')
					.addClass("spanbutton")
					.find("span").text(localTranslation['cancel'][$globlan]);
			// preset fields if edit button is clicked
				if ($("#dialog-alert").data('action') == "T") {
					$("#alert_content").text(localTranslation['alert_top'][$globlan]);
				} else {
					$("#alert_content").text(localTranslation['alert_krit'][$globlan]);
				}
			}
		});
		g_header2();
	</script>	
</body>
</html>
