<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />		
	<?php include_once(dirname(__FILE__)."/tools/all_header.php"); global $c_scheme, $timezone, $rel_path;?>
	<script>
		var js_debug = false;
		$data_changed = false;	
	</script>
	
    <title>Implementation</title>

	<link rel="stylesheet" href="./jqGrid_5.2.1/css/ui.jqgrid.css" />
	<link rel="stylesheet" href="./css/qb.php" />
	<link rel="stylesheet" href="./trumbowyg/dist/ui/trumbowyg.css">
	<link rel="stylesheet" href="./trumbowyg/dist/plugins/colors/ui/trumbowyg.colors.min.css">
	
	<style>
		.editbox {
			background: #FFFFFF;
		}		
		.trumbowyg-box, .trumbowyg-editor {
			width: 790px;
			min-height: 140px;
			margin: 0;
			margin-top: 5px;
			display: inline-block;
		}
		.trumbowyg-editor {
			padding: 2px;
			font-family: Arial;
		}
		.trumbowyg-fullscreen {
			margin: 0;
			padding: 0;
			top: 0px;
			left: 0px;
			width: 100%;
			height: 100%;
		}
		.ui-dialog-titlebar-close{
			display: none;
		}
	</style>
	
	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>
	<script src="./trumbowyg/dist/trumbowyg.js"></script>
	<script src="./trumbowyg/dist/plugins/colors/trumbowyg.colors.min.js"></script>
	<script src="./jqGrid_5.2.1/js/jquery.jqGrid.min.js"></script>
	<?php 
		foreach(explode(":", $qb_support->getLanOnly()) as $key=>$value) {
			if ($value != "en") echo '<script src="./trumbowyg/dist/langs/'.$value.'.min.js"></script>';
			echo '<script src="./jqGrid_5.2.1/js/i18n/grid.locale-' . $value . '.js"></script>';
		}
	?>
	
	
	<script>
	// load translation and save in localTranslation
		<?php	
			$ini_implement = parse_ini_file($rel_path.'i18n/implement.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_implement as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$ini_teamstatus = parse_ini_file($rel_path.'i18n/team_status.ini', true);	
			echo "tstatusTranslation = {};";
			foreach($ini_teamstatus as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "tstatusTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$ini_ffu = parse_ini_file($rel_path.'xml/ffu.ini', true);	
			echo "ffuTranslation = {};";
			foreach($ini_ffu as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "ffuTranslation['".$key."']={".rtrim($add, ',')."};";
			}				
		?>
	</script>
</head>
<body>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
			<?php 
				echo "<div id='mainnav'>". $qb_support->get_main_menu(1) . "</div>";
				include_once($rel_path.'tools/g_header2.php');
				echo $qb_support->get_sub_menu(5);
			?>	
			<div id="tabscontainer" >
				<p>
					<label class="dlabel w175 vam" data-type="text" data-lan="dat_umsetzungsfreigabe"><?php echo $ini_implement['dat_umsetzungsfreigabe'][$_SESSION['lng']];?></label>
					<input type="text" class="dinput w100" id="dat_usf" data-type="impdate" data-lan="#dat_usf_org" value="" readonly />
					<label style="margin-left: 10px;" class="dlabel w175 vam" data-type="text" data-lan="dat_plan_abschluss"><?php echo $ini_implement['dat_plan_abschluss'][$_SESSION['lng']];?></label>
					<input type="text" class="dinput w100" id="dat_pla" data-type="impdate" data-lan="#dat_pla_org" value="" readonly />
					<label class="dlabel w175 vam" data-type="text" data-lan="vffus" ><?php echo $ini_implement['vffus'][$_SESSION['lng']];?></label>						
					<select id="ffu" data-type="ffusel" data-lan="ffur" onchange="save_ffu(this.value);">
					<?php
						foreach($ini_ffu AS $key=>$value) {
							echo "<option value='".$key."'>".$value[$_SESSION['lng']]."</option>";
						}
					?>
					</select>
				</p>
				<div style=" margin: 0 0 10px 0px; border-bottom: 1px solid gray; padding-bottom: 5px;">
					<label data-type="text" data-lan="description" class="dlabel w175" style="vertical-align: top; margin-top: 50px;" ><?php echo $ini_implement['description'][$_SESSION['lng']];?></label>
					<div id="wysiwyg" class="editbox"></div>
				</div>
				<div id="tstscontainer" style="vertical-align: top; display: inline-block; margin-left: 5px;">
					<table id="list"></table> 
					<label class="dlabel vam icn_ipopup_b_n" id="rejsvt" readonly data-type="reject" data-lan="" style="width: 501px; margin: 0; margin-top: 3px; padding: 2px; border: 1px solid <?php echo $c_scheme['R3']; ?>"></label>			
				</div>
<!-- Status Section -->					
				<div style="vertical-align: top; border: 0px; width: 470px; margin:0px; padding:0px; display: inline-block; margin-left: 10px;">
					<div id="ordiv" style="height: 100px; overflow: auto; padding: 0; margin: 0 0 3px 0; border: 1px solid <?php echo $c_scheme['M1']; ?>;">
						<label id="orcomment_label" class="dlabel" data-type="text" data-lan="overrule_comment_label"><?php echo $ini_implement['overrule_comment_label'][$_SESSION['lng']];?></label>
						<p style="margin: 2px; font: normal 10pt Arial; border-top: 1px solid <?php echo $c_scheme['RN']; ?>;" id="oruletxt"></p>
					</div>
					<span id="stsp" data-type="stsvt" data-lan="" style="width: 470px; display: inline-block; height: 20px; padding-top: 5px; text-align: center; background: <?php echo $c_scheme['I2']; ?>; color: <?php echo $c_scheme['XN']; ?>; font: bold 10pt Arial;"></span>
					<span id="absp" data-type="absvt" data-lan="" style="width: 470px; display: inline-block; height: 20px; padding-top: 5px; text-align: center; background: <?php echo $c_scheme['I3']; ?>; color: <?php echo $c_scheme['XN']; ?>; font: bold 10pt Arial;"></span>
				</div>
<!-- End Status Section -->
<!-- Button Section -->							
				<div id="btnsection" style="height: 50px; border: 0px solid silver; margin:0px; padding:0px; text-align: right; margin-top: 5px; border-top: 1px solid gray; padding-top: 5px;">
					<?php if ($qb_support->checkflag('DVWY')) { ?>
						<span data-type="title" data-lan="absvt" id="appsvtimg" style="display: none" class="icn5_ok_b_n clckbtn vam" title="<?php echo $ini_implement['absvt'][$_SESSION['lng']];?>" onclick='app_by_svt()'></span>
						<span data-type="title" data-lan="rbsvt" id="rejsvtimg" style="display: none" class="icn5_cross_b_n clckbtn vam" title="<?php echo $ini_implement['rbsvt'][$_SESSION['lng']];?>" onclick='$("#dialog-mailpl" ).dialog("open")'></span>
					<?php } ?>
					<span data-type="title" data-lan="reqteamapp" id="sendteamimg" style="display: none" class="icn5_team_b_n clckbtn vam" title="<?php echo $ini_implement['reqteamapp'][$_SESSION['lng']];?>" onclick='send_to_team()'></span>
					<span data-type="title" data-lan="stsvt" id="stsvtimg" style="display: none" class="icn5_svt_b_n clckbtn vam" title="<?php echo $ini_implement['stsvt'][$_SESSION['lng']];?>" onclick='send_to_svt()'></span>
					<span data-type="title" data-lan="tcancel" id="cancelteamimg" style="display: none" class="icn5_cross_b_n clckbtn vam" title="<?php echo $ini_implement['tcancel'][$_SESSION['lng']];?>" onclick="cancel_send_to_team()"></span>
					<span data-type="title" data-lan="overrule_team" id="overuleteamimg" style="display: none" class="icn5_warning_b_n clckbtn vam" title="<?php echo $ini_implement['overrule_team'][$_SESSION['lng']];?>" onclick="overrule_to_svt()"></span>
					<span data-type="title" data-lan="save" id="saveimg" style="display: none" class="icn5_save_b_n clckbtn vam" title="<?php echo $ini_implement['save'][$_SESSION['lng']];?>" onclick="check_form()"></span>
				</div>
<!-- End Button Section -->		
				<input type="hidden" id="dat_pla_org" value="" />
				<input type="hidden" id="dat_usf_org" value="" />
				<input type="hidden" id="tap" value="" />
				<input type="hidden" id="rejdiv" value="" />	
			</div>
		</div>
		<?php include_once($rel_path.'footer.php'); ?> 
	<!-- form for sending mails -->
		<div id="dialog-mailpl">
			<fieldset id="fs" style="border: 0px; height: 220px; margin:0px;">
				<p>
					<label id="subjectlabel" class="dlabel w100 vam" data-type="label" data-lan="reason"></label>
					<textarea rows="10" class="dtextarea vam" style="margin-top: 10px; width: 405px;" id="whtpl" ></textarea>
				</p>
			</fieldset>
		</div>	
	<!-- form for overrule comment mails -->
		<div id="dialog-overrule">
			<fieldset id="fs1" style="border: 0px solid purple; padding: 2px; height: 220px; margin:0px;">
				<p>
					<label id="overrulelabel" class="dlabel w350 vam" style="font-weight: bold; white-space: normal;" data-type="label" data-lan="overrule_comment" ><?php echo $ini_implement['overrule_comment'][$_SESSION['lng']]; ?></label>
					<textarea rows="10" class="dtextarea w350 vam" id="overrule" ></textarea>
				</p>
			</fieldset>
		</div>
	</div>
	<script>
    $('#wysiwyg').trumbowyg('destroy');
    $('#wysiwyg').trumbowyg({
      lang: $globlan,
      removeformatPasted: true,
      semantic: true,
      tagsToRemove: ['script'],
      btns: [
        ['formatting'],
        ['|', 'foreColor', 'backColor'],
        ['strong', 'em', 'del'],
        ['superscript', 'subscript'],
        ['justifyLeft', 'justifyCenter', 'justifyRight', 'justifyFull'],
        ['unorderedList', 'orderedList'],
        ['horizontalRule'],
        ['removeformat'],
        ['fullscreen']
      ]
    })
    .on('tbwchange', function(){$data_changed = true;});
		
		$ousf_dat = "";
		$opla_dat = "";
		
		pickerOpts = {
			closeText: "X",
			dateFormat: "yy-M-dd",
			altField: '#dat_pla_org',
			altFormat: 'yy-mm-dd',			
			firstDay: 1,
			isRTL: false,
			showButtonPanel: true,
			displayClose: true,
			showOn: "button",  
			buttonImage: "./img/dummy_img.png", 
			buttonImageOnly: true,
			buttonText: localTranslation["cal"][$globlan],
			changeYear: true,
			changeMonth: true,
			beforeShow: function(input) {	
				$opla_dat = $("#dat_pla_org").val();
			},			
			onClose: function(dateText,datePickerInstance) {
				if ($opla_dat == $("#dat_pla_org").val()) {
					if (js_debug) console.log("tentative closing date not saved because not changed");
					return false;
				} else {			
					if (js_debug) console.log("tentative closing date saved");
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/implement_api.php",
						data: { 
							routine: "savepladate",
							dat: $("#dat_pla_org").val(),
							qbn: window.sessionStorage.getItem("qb")
						},
						success: function(result)
						{
						}
					});
				}
			}
		};
		pickerOpts_2 = {
			closeText: "X",
			dateFormat: "yy-M-dd",
			altField: '#dat_usf_org',
			altFormat: 'yy-mm-dd',			
			firstDay: 1,
			isRTL: false,
			showButtonPanel: true,
			displayClose: true,
			showOn: "button",  
			buttonImage: "./img/dummy_img.png", 
			buttonImageOnly: true,
			buttonText: localTranslation["cal"][$globlan],
			changeYear: true,
			changeMonth: true,
			beforeShow: function(input) {	
				$ousf_dat = $("#dat_usf_org").val();
			},
			onClose: function(dateText,datePickerInstance) {
				if ($ousf_dat == $("#dat_usf_org").val()) {
					if (js_debug) console.log("release date not saved because not changed");
					return false;
				} else {
					if (js_debug) console.log("release date saved");
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/implement_api.php",
						data: { 
							routine: "saveusfdate",
							dat: $("#dat_usf_org").val(),
							qbn: window.sessionStorage.getItem("qb")
						},
						success: function(result)
						{
						}
					});	
				}
			}
		};			
	// fix um bei klicken auf "Heute" den Kalender zu schliessen	
		var old_goToToday = $.datepicker._gotoToday;
		$.datepicker._gotoToday = function(id) {
			old_goToToday.call(this,id);   
			this._selectDate(id);
		};
		
		$.datepicker._defaults['currentText'] = calTranslation['currentText'][$globlan];
		$.datepicker._defaults['monthNames'] = calTranslation['monthNames'][$globlan];
		$.datepicker._defaults['monthNamesShort'] = calTranslation['monthNamesShort'][$globlan];
		$.datepicker._defaults['dayNamesMin'] = calTranslation['dayNamesMin'][$globlan];
		
		$('#dat_usf').datepicker(pickerOpts_2);
		clkevnt = $("#dat_usf").next().data('events').click[0].handler;
		$("#dat_usf").next().replaceWith('<span class="ui-datepicker-trigger icn_calendar_b_n clckbtn vam" data-type="title" data-lan="cal" title="<?php echo $ini_implement['cal'][$_SESSION['lng']]; ?>"></span>');
		$("#dat_usf").next().bind('click', clkevnt);			
		$('#dat_pla').datepicker(pickerOpts);
		clkevnt = $("#dat_pla").next().data('events').click[0].handler;
		$("#dat_pla").next().replaceWith('<span class="ui-datepicker-trigger icn_calendar_b_n clckbtn vam" data-type="title" data-lan="cal" title="<?php echo $ini_implement['cal'][$_SESSION['lng']]; ?>"></span>');
		$("#dat_pla").next().bind('click', clkevnt);		
		$('#ffu').width(150).customSelect({customClass: "cSelect_man"});
		
		$(".icn_ipopup_b_n").hover(function() {
			$("body").append($("#rejdiv").val());
			$("#rejpopup").css("top", ($("#rejsvt").position().top-$("#rejpopup").css("height").slice(0, -2)-10)+"px");
			$("#rejpopup").css("left", $("#rejsvt").position().left+"px");
			$("#rejpopup").show();
		}, function() {
			$("#rejpopup").remove();
		});
		
		cmTemplate = {	
			editable: false,
			sorttype:'string',
			search: false
		};	
		obj = {
			url:  "./tools/implement_api.php",
			postData: {
			// handle team approval counter
				<?php 
			// if no mailing option do not show team approval box
					if ($qb_support->getoptions('mailing', 'useit') == 'yes') {
				?>				
					routine : "getteamstatus", 
					qbn: window.sessionStorage.getItem("qb")
				<?php
					} else {
				?>
					routine : "" 
				<?php
					}
				?>
			},
			contentType: "application/json",
			datatype: "json",
			jsonReader: {
				id: "id",
				repeatitems: true
			},
			mtype: "POST",
			colNames: [
				localTranslation["nname"][$globlan],
				localTranslation["status"][$globlan],
				"",
				"",
				"",
				"",
				""
			],	
			colModel: [
				{ 
					name: "fname", 
					template: cmTemplate,
					width: 220
				},
				{
					name: "st", 
					template: cmTemplate,
					width: 200,
					formatter: StatusCellTxt
				},
				{ 
					name: "inf",
					template: cmTemplate,
					width: 20,
					formatter: InfoCell,
					align: "center"
				},
				{
					name: "tc", 
					template: cmTemplate,
					width: 20,
					formatter: StatusCell,
					align: "center"
				},
				{ 
					name: "ans",
					template: cmTemplate,
					width: 20,
					formatter: InfoCell2,
					align: "center"
				},
				{ 
					name: "rs",
					hidden: true
				},
				{ 
					name: "lgi",
					hidden: true
				}			
			],
			regional: $globlan,
			storeNavOptions : true,			
			loadonce: true,
			height: 100,
			rowNum: 100,
			rowList: [],
			rownumbers:false,
			sortname: "fname",
			sortorder: "desc",
			gridview: true,
			autoencode: true,
			ignoreCase:true,
			loadui: "block",
			viewrecords: false,
			hoverrows:false,
			loadComplete: function() {
				if ($("#list").jqGrid('getGridParam', 'records') == 0 ) {
					$("#gbox_list").invisible();
				} else {
					$("#gbox_list").visible();
				}
				$("th[role='columnheader']")
					.unbind("mouseenter")
					.unbind("mouseleave");				
			},
			onCellSelect: function (rowId, iCol, content, event) {		
				if (JSON.parse(window.sessionStorage.getItem("qbn")).status != "O") return false;
				if ($("#list").jqGrid('getRowData', rowId).rs != "R") return false;
				if (iCol != 3) return false;
				$.alerts.cancelButton = localTranslation["cancel"][$globlan];
				jConfirm(localTranslation["confirm_reapply"][$globlan], localTranslation["attention"][$globlan] , function(r) {
					if (r) {
						$.ajax({
							type: "POST",
							cache: false,
							url:  "./tools/implement_api.php",
							data: { 
								routine: "sendteamsingle",
								qbn: window.sessionStorage.getItem("qb"),
								user: $("#list").jqGrid('getRowData', rowId).lgi
							},
							success: function(result)
							{
								$("#list").setGridParam({datatype:'json'}).trigger('reloadGrid');
							// handle buttons (tap:1 = informed, tc optional);
								handle_buttons("1");
								$('#loading').hide();
							}
						});
					}
				});
			}
		};
		list1 = $("#list").jqGrid(obj);
	// function for mailing PL
		$( "#dialog-overrule" ).dialog({
			resizable: false,
			dialogClass: "doc_input",
			autoOpen: false,
			closeOnEscape: false,
			height: 340,
			width: 400,
			modal: true,
			buttons:
				[
					{
			// save button
						text: "",
						id: "ovr_send",
						css: { width: '100px' },
						click: function() {
							entertxt = ($.trim($("#overrule").val()))?$.trim($("#overrule").val()):"$";
							$.ajax({
								type: "POST",
								cache: false,
								url:  "./tools/implement_api.php",
								data: { 
									routine: "sendoverridesvt",
									txt: $.trim(entertxt),
									qbn: window.sessionStorage.getItem("qb")
								},
								success: function(result)
								{
							// fill sent to svt info and show it
									$("#stsp").data("lan", "<?php echo date('Y-m-d'); ?>");
									$("#stsp").text(localTranslation["send_to_svt"][$globlan]+": "+localizedate("<?php echo date('Y-m-d'); ?>"));
									$("#stsp").visible();
									if (entertxt == "$") entertxt = localTranslation["no_comment"][$globlan];
									$("#oruletxt").text(entertxt);
									$("#ordiv").visible();									
								// handle buttons (tap:5 = sent to svt, tc optional);
									handle_buttons("5", $.trim(result));
									$("#dialog-overrule" ).dialog( "close" );
								}
							});							
						}
					},
					{
						text: "",
						id: "ovr_cancel",
						css: { width: '100px' },
						click: function() {
							$("#dialog-overrule" ).dialog( "close" );
						}
					}	
				],
			close: function() {
				$('#overrule').val("");
			},		
			open : function() {
				$("#dialog-overrule").dialog('option', 'title', localTranslation["insert_record"][$globlan]);
				$("#ovr_send").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
					.off('hover')
					.off('focus')
					.addClass("spanbutton")
					.find("span").text(localTranslation["send"][$globlan]);	
				$("#ovr_cancel").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
					.off('hover')
					.off('focus')
					.addClass("spanbutton")
					.find("span").text(localTranslation["cancel"][$globlan]);	
			}	
		});
	// function for mailing PL
		$( "#dialog-mailpl" ).dialog({
			resizable: false,
			dialogClass: "doc_input",
			autoOpen: false,
			closeOnEscape: false,
			height: 350,
			width: 480,
			modal: true,
			buttons:
				[
					{
			// save button
						text: "",
						id: "mailpl_send",
						css: { width: '100px' },
						click: function() {
							$.ajax({
								type: "POST",
								cache: false,
								url:  "./tools/implement_api.php",
								data: { 
									routine: "mailreject",
									txt: $.trim($('#whtpl').val()),
									qbn: window.sessionStorage.getItem("qb")
								},
								success: function(result)
								{
									$("#dialog-mailpl" ).data("cancel", 1).data("tc", $.trim(result)).dialog( "close" );
								}
							});								
						}
					},
					{
						text: "",
						id: "mailpl_cancel",
						css: { width: '100px' },
						click: function() {
							$("#dialog-mailpl" ).data("cancel", 0).dialog( "close" );
						}
					}	
				],
			close: function() {		
				$('#subject').val("");
				$('#whtpl').text("");	
			// change page layout only if rejected (take care of cancel form)
				if ($("#dialog-mailpl" ).data("cancel")==1) {
					$('#stsp').invisible();	
					$("#stsp").data("lan", "");
					$("#stsp").text("");				
				// check if reject status is already visible
					if ($("#rejsvt").text().length) {
						old_text = $("#rejsvt").text().split("x");
						new_text = (($.trim(old_text[0])*1)+1)+"x"+old_text[1];
						$('#rejsvt').data("lan", (($.trim(old_text[0])*1)+1));
						$("#rejsvt").text(new_text);						
					} else {
						$('#rejsvt').data("lan", 1);
						$('#rejsvt').text("1"+localTranslation["times_rej_svt"][$globlan]);
						$('#rejsvt').visible();
					}
					handle_buttons("3", $("#dialog-mailpl" ).data("tc"));
				}
			},		
			open : function() {
				<?php if ($qb_support->getoptions('mailing', 'useit') == 'no')  echo '$("#dialog-mailpl" ).data("cancel", 2).dialog( "close" );'; ?>
				$("#dialog-mailpl").dialog('option', 'title', localTranslation["nfpl"][$globlan]);
				$("#subjectlabel").text(localTranslation["reason"][$globlan]);
				$("#mailpl_send").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
					.off('hover')
					.off('focus')
					.addClass("spanbutton")
					.find("span").text(localTranslation["send"][$globlan]);	
				$("#mailpl_cancel").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
					.off('hover')
					.off('focus')
					.addClass("spanbutton")
					.find("span").text(localTranslation["cancel"][$globlan]);
				$("#whtpl").val("");
			}	
		});		
		function load_page() {
			document.title = document.title.split("/")[0] + '/' + window.sessionStorage.getItem("qb");
			$.ajax({
				type: "GET",
				cache: false,
				url:  "./tools/implement_api.php",
				dataType: "json",
				data: { 
					routine: "getdata",
					qbn: window.sessionStorage.getItem("qb")
				},
				success: function(result)
				{	
					var $rej = result[3];
					var $rel = result[2];
					var $qbs = result[1];
					result = result[0];
					$('#dat_pla').datepicker('option', {maxDate: ($qbs != "M")?"+12m":null});
					$('#dat_pla').datepicker('option', {minDate: ($qbs != "M")?"-6m":null});
					$("#dat_pla").next().remove();
					$('#dat_usf').datepicker('option', {maxDate: ($qbs != "M")?"+12m":null});
					$('#dat_usf').datepicker('option', {minDate: ($qbs != "M")?"-6m":null});
					$("#dat_usf").next().remove();				
					$("#dat_usf").val((result['DRM'] == "0000-00-00")?"":localizedate(result['DRM']));
					$("#dat_usf_org").val((result['DRM'] == "0000-00-00")?"":result['DRM']);
					$("#dat_pla").val((result['PCD'] == "0000-00-00")?"":localizedate(result['PCD']));
					$("#dat_pla_org").val((result['PCD'] == "0000-00-00")?"":result['PCD']);
				// save rej text
					$("#rejdiv").val($rej);
				// handle rejected counter
					if (result['REJ'] > 0) {
						$('#rejsvt').data("lan", result['REJ']);
						$('#rejsvt').text(result['REJ']+localTranslation["times_rej_svt"][$globlan]);
						$('#rejsvt').visible();
						if (js_debug) console.log("reject count visible because reject="+result['REJ']);
					} else {
						$('#rejsvt').data("lan", "");
						$('#rejsvt').text("");
						$('#rejsvt').invisible();
						if (js_debug) console.log("reject count not visible because reject=0");
					}	
				// handle presumable root cause owner
					$("#ffu").val(result['VFFU']);
					if (result['VFFU'] != '') {
						// disallow empty selection once a selection was done
						$("#ffu option[value='']").remove();
					} else {
						if ($("#ffu option[value='']").length == 0) {
							$("#ffu").prepend("<option value='' selected='selected'>...</option>");
						}
					}
					$("#ffu").trigger("render");
					
				// handle team approval counter
					<?php 
				// if no mailing option do not show team approval box
						if ($qb_support->getoptions('mailing', 'useit') == 'yes') {
					?>				
							$("#list").setGridParam({datatype:'json', postData: {routine : "getteamstatus", qbn: window.sessionStorage.getItem("qb")}}).trigger('reloadGrid');
					<?php
						}
					?>			
				// handle overruled	
					if (result['OVR'].length > 0) {
						$('#ordiv').visible();
						if (result['OVR'] == "$") {
							$('#oruletxt').text(localTranslation["no_comment"][$globlan]);
						} else {
							$('#oruletxt').text(result['OVR']);
						}
						if (js_debug) console.log("overruled info visible because team was overruled");
					} else {
						$('#ordiv').invisible();
						$('#oruletxt').text("");
						if (js_debug) console.log("overruled info not visible because team was not overruled");
					}
				// handle description
					if (result['DES'].length > 0) {
						$("#wysiwyg").trumbowyg('html', result['DES']);
					} else {
						$("#wysiwyg").trumbowyg('html', "");
					}
          $data_changed = false;
				// handle sent to svt
					if ((result['TAP'] == 5) || (result['TAP'] == 4)) {
						$("#stsp").data("lan", result['STS']);
						$("#stsp").text(localTranslation["send_to_svt"][$globlan]+": "+localizedate(result['STS']));
						$('#stsp').visible();
						if (js_debug) console.log("sent to svt visible");
					} else {
						$("#stsp").data("lan", "");
						$("#stsp").text("");								
						$('#stsp').invisible();
						if (js_debug) console.log("sent to svt invisible");				
					}				
				// handle approved by svt
					if (result['TAP'] == 4) {
						$("#absp").data("lan", result['ABS']);
						$("#absp").text(localTranslation["approved_by_svt"][$globlan]+": "+localizedate(result['ABS']));
						$('#absp').visible();
						if (js_debug) console.log("approved by svt visible");				
					} else {
						$("#absp").data("lan", "");
						$("#absp").text("");				
						$('#absp').invisible();
						if (js_debug) console.log("approved by svt invisible");
					}
					handle_fields($qbs);
					handle_buttons(result['TAP'], result['TC'], $rel);
				}
			});
		}
		function handle_fields($qbs) {
		// as a default: remove datepicker (and set them new if needed)
			if ("SC".indexOf($qbs) > -1) {
				if (js_debug) console.log("lock all fields");		
		// lock all fields	
				$('#wysiwyg').trumbowyg('disable');
				$('#ffu').prop('disabled', true);
				$('.ui-datepicker-trigger').invisible();
			} else {
				if (js_debug) console.log("unlock all fields");		
		// unlock lock all fields
				$('#wysiwyg').trumbowyg('enable');
				$('#ffu').prop('disabled', false);
				$('.ui-datepicker-trigger').visible();			
			}	
		}
		function handle_buttons(tap, tc, rels) {
			rels = rels || "";	
		// make sure that tap is a number
			tap = tap * 1;
		// make tc optional (only needed for tap == 0)
			tc = tc || 1;
		// save tap for later use
			$("#tap").val(tap);
			if (js_debug) console.log("TAP="+tap+", TC="+tc);
		// first of all hide all buttons
			$("#btnsection").find("span").hide();
		//
		// TEAMAPP (TAP) settings
		// 0: no approval requested yet
		//		if no team defined show "send to svt"
		//		if team defined & mailing enabled show "send to team"
		//		if team defined & mailing disabled show "send to svt"
		// 1: team was informed
		//		show "cancel team approval"
		// 2: voting finished but not all team members accepted the implementation
		//		show "overide to svt
		//		show "cancel team approval"			
		// 3: rejected by svt
		// 		show "send to svt"
		// 		show "cancel team approval" if TC > 0
		// 4: accepted by SVT
		//		show no additional button for all user
		// 5: sent to SVT
		//		show "approve" and "reject" only for svt, d-svt, q, admin, hide cancel_team_approval and overrule
		//
			switch(tap) {
				case 0:		
					if (js_debug) console.log("Case: 0");
					$('#saveimg').show();
					if (tc == 0) {
						$('#stsvtimg').show();
					} else {
					<?php 
						if ($qb_support->getoptions('mailing', 'useit') == 'yes') {
					?>
							$('#sendteamimg').show();
					<?php
						} else {
					?>
							$('#stsvtimg').show();
					<?php
						}
					?>
					}
					break;
				case 1:
					if (js_debug) console.log("Case 1");
					$('#saveimg').show();				
					$('#cancelteamimg').show();
					break;
				case 2:
					if (js_debug) console.log("Case 2");
					$('#saveimg').show();
					$('#overuleteamimg').show();
					$('#cancelteamimg').show();
					break;
				case 3:
					if (js_debug) console.log("Case 3");
					$('#saveimg').show();	
					$('#stsvtimg').show();
					if (tc > 0) {
						$('#cancelteamimg').show();
					}
					break;
				case 4:
					if (js_debug) console.log("Case 4");
					break;
				case 5:
					if (js_debug) console.log("Case 5");
					$('#saveimg').show();
					// show assessment button always for Q and A
						<?php if ($qb_support->checkflag("WY")) { ?>
							if (js_debug) console.log("show assessment button because Q or A");
							$('#rejsvtimg').show();
							$('#appsvtimg').show();
						<?php } else if (($qb_support->checkflag("V")) OR ($qb_support->checkflag("D"))) { ?>
				// show assessment button only for q-case responsible - or if he/she is deputy - for the original SVT
							if (rels.length > 0) {
								if ($.inArray($("#aroleinfo").data("login"), rels) !== -1) {
									$('#appsvtimg').show();
									$('#rejsvtimg').show();
								}
							}
						<?php } ?>
					break;				
			} 	
		}
	// switch language
		function c_lan() {			
			translate_header($globlan);	
			translate_mainmenu($globlan);
			translate_g_header2($globlan);
			translate_submenu($globlan);
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {	
				switch ($(this).data("type")) {
					case "text":		
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "impdate":
						$(this).val(localizedate($($(this).data("lan")).val()));
						break;
					case "select":
						$(this).text(aistatusTranslation[$(this).data("lan")][$globlan]);
						break;
					case "stsvt":
						$(this).text(localTranslation["send_to_svt"][$globlan]+": "+localizedate($(this).data("lan")));
						break;
					case "absvt":
						$(this).text(localTranslation["approved_by_svt"][$globlan]+": "+localizedate($(this).data("lan")));
						break;
					case "reject":
						$(this).text($(this).data("lan")+localTranslation["times_rej_svt"][$globlan]);
						break;
					case "ffusel":
						$(this).find("option").each(function(idx, obj) {	
							if ($(this).val() != "") $(this).text(ffuTranslation[$(this).val()][$globlan]);
						});
						$("#ffu").trigger("render");					
						break;
					default:
						break;
				}
			});	
			$.datepicker._defaults['currentText'] = calTranslation['currentText'][$globlan];
			$.datepicker._defaults['monthNames'] = calTranslation['monthNames'][$globlan];
			$.datepicker._defaults['monthNamesShort'] = calTranslation['monthNamesShort'][$globlan];
			$.datepicker._defaults['dayNamesMin'] = calTranslation['dayNamesMin'][$globlan];
			$("#list").jqGrid('setLabel', "fname", localTranslation["nname"][$globlan])
				.jqGrid('setLabel', "st", localTranslation["status"][$globlan])
				.trigger("reloadGrid");	
			$tmp = $('#wysiwyg').trumbowyg('html');
      $data_changed_old = $data_changed;
      $('#wysiwyg').trumbowyg('destroy');
      $('#wysiwyg').trumbowyg({
        lang: $globlan,
        removeformatPasted: true,
        semantic: true,
        tagsToRemove: ['script'],
        btns: [
          ['formatting'],
          ['|', 'foreColor', 'backColor'],
          ['strong', 'em', 'del'],
          ['superscript', 'subscript'],
          ['justifyLeft', 'justifyCenter', 'justifyRight', 'justifyFull'],
          ['unorderedList', 'orderedList'],
          ['horizontalRule'],
          ['removeformat'],
          ['fullscreen']
        ]
      })
      .on('tbwchange', function(){$data_changed = true;});
			$('#wysiwyg').trumbowyg('html', $tmp);
      $data_changed = $data_changed_old;			
		}
		function check_form() {
			var h = $("#wysiwyg").trumbowyg('html').trim();
			while (h.match(/^<br ?\/?>/gi)) h = h.replace(/^<br ?\/?>/gi, '').trim();
			while (h.match(/<br ?\/?>$/gi)) h = h.replace(/<br ?\/?>$/gi, '').trim();	
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/implement_api.php",
				data: { 
					routine: "newrecord",
					des: h,
					qbn: window.sessionStorage.getItem("qb")
				},
				success: function(result)
				{
					$data_changed = false;
				}
			});
		}		
		function overrule_to_svt() {
		// if team is overruled a comment must be given
			check_form();
		// check if description was deleted in the meantime
			if (!$.trim($("#wysiwyg").trumbowyg('html'))) {
				jAlert(localTranslation["fill_des"][$globlan], localTranslation["attention"][$globlan]);
				return;	
			}
			$.ajax({
				type: "GET",
				cache: false,
				url:  "./tools/implement_api.php",
				data: { 
					routine: "checkrules",
					qbn: window.sessionStorage.getItem("qb")
				},
				success: function(result)
				{
					if($.trim(result) != "OK") {
						jAlert(localTranslation[$.trim(result)][$globlan], localTranslation["attention"][$globlan]);
						return;
					} else {
						$( "#dialog-overrule" ).dialog('open');
					}
				}
			});
		}
		function send_to_svt() {
		// save first
			check_form();
		// check if dates & description are entered
			if (!$("#dat_usf").val() || !$("#dat_pla").val()) {
				jAlert(localTranslation["fill_dates"][$globlan], localTranslation["attention"][$globlan]);
				return;	
			}
			if (!$.trim($("#wysiwyg").trumbowyg('html'))) {
				jAlert(localTranslation["fill_des"][$globlan], localTranslation["attention"][$globlan]);
				return;	
			}
			$('#loading').show();
		// check if all mandatory entries are done
			$.ajax({
				type: "GET",
				cache: false,
				url:  "./tools/implement_api.php",
				data: { 
					routine: "checkrules",
					qbn: window.sessionStorage.getItem("qb")
				},
				success: function(result)
				{
					if($.trim(result) != "OK") {
						jAlert(localTranslation[$.trim(result)][$globlan], localTranslation["attention"][$globlan]);
						return;
					} else {		
						$.ajax({
							type: "POST",
							cache: false,
							url:  "./tools/implement_api.php",
							data: { 
								routine: "sendsvt",
								qbn: window.sessionStorage.getItem("qb")
							},
							success: function(result)
							{
						// fill sent to svt info and show it
								$("#stsp").data("lan", "<?php echo date('Y-m-d'); ?>");
								$("#stsp").text(localTranslation["send_to_svt"][$globlan]+": "+localizedate("<?php echo date('Y-m-d'); ?>"));
								$("#stsp").visible();
								handle_buttons("5", $.trim(result));		// result contains the number of team members
								$('#loading').hide();
							}
						});
					}				
				}
			});	
		}	
		function send_to_team() {
			$.alerts.cancelButton = localTranslation["cancel"][$globlan];
			jConfirm(localTranslation["confirm_teamapp"][$globlan], localTranslation["attention"][$globlan] , function(r) {
				if (r) {		
				// save first
					check_form();
				// check if dates & description are entered
					if (!$("#dat_usf").val() || !$("#dat_pla").val()) {
						jAlert(localTranslation["fill_dates"][$globlan], localTranslation["attention"][$globlan]);
						return;	
					}
					if (!$.trim($("#wysiwyg").trumbowyg('html'))) {
						jAlert(localTranslation["fill_des"][$globlan], localTranslation["attention"][$globlan]);
						return;	
					}
					if ($("#ffu").val() == '') {
						jAlert(localTranslation["fill_vffu"][$globlan], localTranslation["attention"][$globlan]);
						return;	
					}				
					$('#loading').show();
				// check if all mandatory entries are done
					$.ajax({
						type: "GET",
						cache: false,
						url:  "./tools/implement_api.php",
						data: { 
							routine: "checkrules",
							qbn: window.sessionStorage.getItem("qb")
						},
						success: function(result)
						{
							if($.trim(result) != "OK") {
								jAlert(localTranslation[$.trim(result)][$globlan], localTranslation["attention"][$globlan]);
								$('#loading').hide();
								return;
							} else {
								$.ajax({
									type: "POST",
									cache: false,
									url:  "./tools/implement_api.php",
									data: { 
										routine: "sendteam",
										qbn: window.sessionStorage.getItem("qb")
									},
									success: function(result)
									{
										$("#list").setGridParam({datatype:'json'}).trigger('reloadGrid');
									// handle buttons (tap:1 = informed, tc optional);
										handle_buttons("1");
										$('#loading').hide();
									}
								});
							}				
						}
					});
				}
			});				
		}
		function app_by_svt() {
			$('#loading').show();	
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/implement_api.php",
				data: { 
					routine: "approvedbysvt",
					login: $("#aroleinfo").data("login"),
					qbn: window.sessionStorage.getItem("qb")
				},
				success: function(result)
				{
			// fill approved by svt info and show it
					$("#absp").data("lan", "<?php echo date('Y-m-d'); ?>");
					$("#absp").text(localTranslation["approved_by_svt"][$globlan]+": "+localizedate("<?php echo date('Y-m-d'); ?>"));
					$("#absp").visible();

				// handle rest
					$('#wysiwyg').prop('readonly', true);
					$('.ui-datepicker-trigger').invisible();
				// change status
					$tmprcl = JSON.parse(window.sessionStorage.getItem("qbn"));
					$tmprcl.status = "S";
					window.sessionStorage.setItem("qbn", JSON.stringify($tmprcl));
					$("#qb").css("background-color", "<?php echo $c_scheme['ST']; ?>");			
					$('#loading').hide();
					handle_buttons("4", $.trim(result));
				}
			});
		}
		function InfoCell (cellvalue, options, rowObject) {
			return "<span class='icn_mail_b_n hlpcrsr vam' title='"+localTranslation["informed"][$globlan]+": "+cellvalue+"'></span>";
		}
		function InfoCell2 (cellvalue, options, rowObject) {
			if ((rowObject['tc'] == "I") || (rowObject['tc'] == "X")  || (rowObject['tc'] == "S")) {
				return;
			} else if (cellvalue == "0000-00-00 00:00:00") {
				return "<span class='icn_ok_b_n hlpcrsr vam' title='"+localTranslation["answer"][$globlan]+": N/A'></span>";
			} else {
				return "<span class='icn_ok_b_n hlpcrsr vam' title='"+localTranslation["answer"][$globlan]+": "+cellvalue+"'></span>";
			}
		}	
		function StatusCell (cellvalue, options, rowObject) {
			if (rowObject['st'] == "R") {
				return "<span style='color: <?php echo $c_scheme['XW']; ?>;' class='icn_circle_x_n vam' title='"+tstatusTranslation[rowObject['st']][$globlan]+"'></span>";
			} else if (rowObject['st'] == "I") {
				return "<span style='color: <?php echo $c_scheme['XP']; ?>;' class='icn_circle_x_n vam' title='"+tstatusTranslation[rowObject['st']][$globlan]+"'></span>";
			} else if (rowObject['st'] == "A") {
				return "<span style='color: <?php echo $c_scheme['XO']; ?>;' class='icn_circle_x_n vam' title='"+tstatusTranslation[rowObject['st']][$globlan]+"'></span>";
			} else if (rowObject['st'] == "N") {
				return "<span style='color: <?php echo $c_scheme['XH']; ?>;' class='icn_circle_x_n vam' title='"+tstatusTranslation[rowObject['st']][$globlan]+"'></span>";
			} else if (rowObject['st'] == "S") {
				return "<span style='color: <?php echo $c_scheme['XN']; ?>;' class='icn_circle_x_n vam' title='"+tstatusTranslation[rowObject['st']][$globlan]+"'></span>";
			} else if (rowObject['st'] == "X") {
				return "<span style='color: <?php echo $c_scheme['XM']; ?>;' class='icn_circle_x_n vam' title='"+tstatusTranslation[rowObject['st']][$globlan]+"'></span>";
			} else {
				return "";
			}
		}
		function StatusCellTxt (cellvalue, options, rowObject) {
			return tstatusTranslation[cellvalue][$globlan];
		}
		function save_ffu(loc) {
			$('#loading').show();	
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/implement_api.php",
				data: { 
					routine: "saveffu",
					dat: loc,
					qbn: window.sessionStorage.getItem("qb")
				},
				success: function(result)
				{
					$('#loading').hide();
				}
			});
		}
		function cancel_send_to_team() {
			$.alerts.cancelButton = localTranslation["cancel"][$globlan];
			jConfirm(localTranslation["cancel_teamapp"][$globlan], localTranslation["attention"][$globlan] , function(r) {
				if (r) {
					$('#loading').show();	
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/implement_api.php",
						data: { 
							routine: "cancelteamstatus",
							qbn: window.sessionStorage.getItem("qb")
						},
						success: function(result)
						{
						// handle buttons (tap:0 = no approval, tc optional);
							handle_buttons("0");
							$("#list").setGridParam({datatype:'json'}).trigger('reloadGrid');
							$('#loading').hide();
						}
					});
				}
			});
		}		
		<?php if ($qb_support->checkflag("ZY")) { ?>	
			function set_special(loc) {
				switch(loc) {
					case "A":
					// set datepicker options
						$('#dat_pla').datepicker('option', {maxDate: null});
						$('#dat_pla').datepicker('option', {minDate: null});
						$('#dat_usf').datepicker('option', {maxDate: null});
						$('#dat_usf').datepicker('option', {minDate: null});
						$("#dat_pla").next().remove();
						$("#dat_usf").next().remove();
					// open all fields and set daterange to max
						handle_fields("O");									// open fields for editing
						$('#saveimg').show();								// show save image		
						break;
					case "X":
					// reset datepicker options
						var $qbs = JSON.parse(window.sessionStorage.getItem("qbn")).status;
						$('#dat_pla').datepicker('option', {maxDate: ($qbs != "M")?"+12m":null});
						$('#dat_pla').datepicker('option', {minDate: ($qbs != "M")?"-6m":null});
						$('#dat_usf').datepicker('option', {maxDate: ($qbs != "M")?"+12m":null});
						$('#dat_usf').datepicker('option', {minDate: ($qbs != "M")?"-6m":null});
						$("#dat_pla").next().remove();
						$("#dat_usf").next().remove();				
						handle_buttons($("#tap").val());					// reset special rights
						handle_fields($qbs);								// reset field settings				
						break;				
				}
			}
		<?php } ?>
		g_header2();
	</script>
</body>
</html>
