<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />		
	<?php include_once(dirname(__FILE__)."/tools/all_header.php"); global $c_scheme, $timezone, $rel_path;?>
	<script>
		var js_debug = false;
		$data_changed = false;		
	</script>

    <title>New QB</title>
	
	<link rel="stylesheet" href="./css/qb.php" />
	<link rel="stylesheet" href="./trumbowyg/dist/ui/trumbowyg.css">
	<link rel="stylesheet" href="./trumbowyg/dist/plugins/colors/ui/trumbowyg.colors.min.css">
	
	<style>
		.editbox {
			background: #FFFFFF;
		}		
		.trumbowyg-box, .trumbowyg-editor {
			width: 775px; 
			height: 210px;
			min-height: 170px;
			margin: 0;
			margin-top: 5px;
			display: inline-block;
		}
		.trumbowyg-editor {
			padding: 2px;
			font-family: Arial;
		}
		.trumbowyg-fullscreen {
			margin: 0;
			padding: 0;
			top: 0px;
			left: 0px;
			width: 100%;
			height: 100%;
		}
	</style>	
	
	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>
	<script src="./trumbowyg/dist/trumbowyg.js"></script>
	<script src="./trumbowyg/dist/plugins/colors/trumbowyg.colors.min.js"></script>
	<?php 
		foreach(explode(":", $qb_support->getLanOnly()) as $key=>$value) {
			if ($value != "en") echo '<script src="./trumbowyg/dist/langs/'.$value.'.min.js"></script>';
		}
	?>

	<script>
	// load translation and save in localTranslation
		<?php
			date_default_timezone_set($timezone);	
			$ini_index = parse_ini_file($rel_path.'i18n/index.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_index as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$qbkrit = parse_ini_file($rel_path.'xml/qb_kriterien.ini', true);
			echo "qbkritTranslation = {};";
			foreach($qbkrit as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "qbkritTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$rtype = parse_ini_file($rel_path.'xml/r_type.ini', true);
			echo "rtypeTranslation = {};";
			foreach($rtype as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "rtypeTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$sdes = parse_ini_file($rel_path.'xml/std_failures.ini', true);
			echo "sdesTranslation = {};";
			foreach($sdes as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "sdesTranslation['".$key."']={".rtrim($add, ',')."};";
			}		
			$cal = parse_ini_file($rel_path.'i18n/calendar.ini', true);
			echo "calTranslation = {};";
			foreach($cal as $key=>$value){
				$add = "";
				if ($value['tpe'] == "S") {
					foreach($value AS $lan=>$trans){
						if ($lan != "tpe") $add .= "'".$lan."':'".$trans."',";
					}
				} else {
					foreach($value AS $lan=>$trans){
						if ($lan != "tpe") {
							$tar = explode(",", $trans);
							$tar = implode("','", $tar);
							$add .= "'".$lan."': ['".$tar."'],";
						}
					}				
				}
				echo "calTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$ini_events = parse_ini_file($rel_path.'xml/events.ini', true);	
			echo "eventTranslation = {};";
			foreach($ini_events as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "eventTranslation['".$key."']={".rtrim($add, ',')."};";
			}		
		?>
	</script>
	</head>
	<body>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
			<?php
				echo "<div id='mainnav'>".$qb_support->get_main_menu(0)."</div>";
			?>		
			<div>
				<div style="width: 580px; margin-top: 5px; padding: 0px; display: inline-block; vertical-align: top;">
					<p>
						<label data-type="text" data-lan="iopen" class="dlabel w200" ><?php echo $ini_index['iopen'][$_SESSION['lng']]; ?></label>
						<input type="text" id="datepicker" data-type="date" data-lan="when_org" class="dinput" style="width: 85px;" value="<?php echo date('Y-M-d');?>" readonly onchange="$data_changed = true; " />
					</p>
					<p id="ip_00">
						<label data-type="text" data-lan="ireq" class="dlabel w200"><?php echo $ini_index['ireq'][$_SESSION['lng']]; ?></label>
						<select id="requestor" data-lan="reqsel" onchange="erst_set(this.value);">
							<option selected value=""></option>
							<?php
								$query = "SELECT LOGIN, NACHNAME, VORNAME FROM qb_user WHERE ACTIVE=1 ORDER BY NACHNAME";
								$stmt = $db->query($query);
								while($row = $stmt->fetch(PDO::FETCH_NUM)) {
									echo "<option value='$row[0]'>" . $row[1] . ", ". $row[2] . "</option>";
								}
							?> 		
						</select>
					</p>					
					<p id="ip_01" style="visibility: hidden;" >
						<label data-type="text" data-lan="ikriterium" class="dlabel w200"><?php echo $ini_index['ikriterium'][$_SESSION['lng']]; ?></label>
						<select data-type="select" data-lan="qb_krit" id="kriterium" onchange="$data_changed = true; ">
						<?php	
							foreach($qbkrit as $key=>$value) {
								echo "<option value='".$key."'>".$value[$_SESSION['lng']]."</option>";
							}
						?>
						</select>
					</p>
					<p id="ip_02" style="visibility: hidden;" >
						<label data-type="text" data-lan="irek_art" class="dlabel w200"><?php echo $ini_index['irek_art'][$_SESSION['lng']]; ?></label>
						<select data-type="select" data-lan="irekart" id="r_type" onchange="rtype_set(this.value);">
							<option value=""></option>
						<?php	
							foreach($rtype as $key=>$value) {
								echo "<option value='".$key."'>".$value[$_SESSION['lng']]."</option>";
							}
						?>					
						</select>
					</p>
					<p id="ip_04" style="visibility: hidden;" >
						<label data-type="text" data-lan="vko" class="dlabel w200"><?php echo $ini_index['vko'][$_SESSION['lng']]; ?></label>
						<select id="vko" data-lan="vkosel" onchange="vko_set(this.value);">
							<option value=''>...</option>
							<?php
								$query = "SELECT CODE, COUNTRY FROM qb_ccode ORDER BY CODE";
								$stmt = $db->query($query);
								while($row = $stmt->fetch(PDO::FETCH_NUM)) {
									echo "<option value='" . $row[0] . "'>" . $row[0] . " - ". $row[1] . "</option>";
								}
							?> 				
						</select>
					</p>
					<p id="ip_05" style="visibility: hidden;" >
						<label data-type="text" data-lan="ekd" class="dlabel w200" ><?php echo $ini_index['ekd'][$_SESSION['lng']]; ?></label>
						<input type="text" class="dinputm" style="width: 320px;" id="ekd" value="" readonly />
						<span id="del_ekd" class="icn_delete_b_n clckbtn vam" data-type="title" data-lan="rem" style="visibility: hidden;" title="<?php echo $ini_index['rem'][$_SESSION['lng']]; ?>"></span>
					</p>
					<p id="ip_06" style="visibility: hidden;" >
						<label data-type="text" data-lan="ausfaelle" class="dlabel w200"><?php echo $ini_index['ausfaelle'][$_SESSION['lng']]; ?></label>
						<input type="text" class="dinputm" style="width: 320px;" id="defect" value="" onchange="$data_changed = true;" />
					</p>					
				</div>
			<!-- ********************************** mailing options ********************************************** -->
				<?php $nomail = ($qb_support->getoptions('mailing', 'useit') == "no")?true:false; ?>
				<div id="optionbox" style="width:400px; margin-left: 10px;">
					<p style="<?php if ($nomail) echo 'display: none;'; ?>">
						<span class="icn_indarrowr_bl_n vam" style="color:<?php echo $c_scheme['XH'];?>;"></span>
						<span id="cmail" data-checked="false" class="icn_checkboxempty_c_n clckbtn vam" style="color:<?php echo $c_scheme['XN'];?>;" onclick="change_box(this);"></span>
						<label data-type="text" data-lan="conf_mail" class="dlabel w350"><?php echo $ini_index['conf_mail'][$_SESSION['lng']]; ?></label>
					</p>
					<p style="<?php if ($nomail) echo 'display: none;'; ?>">
						<span class="icn_indarrowr_bl_n vam" style="color:<?php echo $c_scheme['XH'];?>;"></span>
						<span id="tracking" data-checked="false" class="icn_checkboxempty_c_n clckbtn vam" style="color:<?php echo $c_scheme['XN'];?>;"></span>
						<label data-type="text" data-lan="keep_track" class="dlabel w350" ><?php echo $ini_index['keep_track'][$_SESSION['lng']]; ?></label>
					</p>
					<?php
						if ($qb_support->getoptions('allow_annonymous', 'set') == "yes") { 
					?>
						<p>
							<span id="unsichtbar" data-checked="false" class="icn_checkboxempty_c_n clckbtn vam" style="margin-left: 20px; color:<?php echo $c_scheme['XN'];?>;" onclick="change_box(this);"></span>
							<label data-type="text" data-lan="no_show" class="dlabel w350"><?php echo $ini_index['no_show'][$_SESSION['lng']]; ?></label>
						</p>
					<?php
						}
					?>
					<p>
						<span class="icn_indarrowr_bl_n vam" style="color:<?php echo $c_scheme['XH'];?>;"></span>
						<span id="addteam" data-checked="false" class="icn_checkboxempty_c_n clckbtn vam" style="color:<?php echo $c_scheme['XN'];?>;" onclick="change_box(this);check_opt(this);"></span>
						<label data-type="text" data-lan="add2team" class="dlabel w350"><?php echo $ini_index['add2team'][$_SESSION['lng']]; ?></label>
					</p>
					<p>
						<span id="repreq" data-checked="false" class="icn_checkboxempty_c_n clckbtn vam" style="margin-left: 20px; color:<?php echo $c_scheme['XN'];?>;" onclick="change_box(this);"></span>
						<label data-type="text" data-lan="repreq" class="dlabel w350"><?php echo $ini_index['repreq'][$_SESSION['lng']]; ?></label>							
					</p>
					<p>
						<span id="qbleader" data-checked="false" class="icn_checkboxempty_c_n clckbtn vam" style="margin-left: 20px; color:<?php echo $c_scheme['XN'];?>;" onclick="change_box(this);check_opt(this);"></span>
						<label data-type="text" data-lan="qbleader" class="dlabel w350"><?php echo $ini_index['qbleader'][$_SESSION['lng']]; ?></label>							
					</p>
					<p style="<?php if ($nomail) echo 'display: none;'; ?>">
						<span class="icn_indarrowr_bl_n vam" style="color:<?php echo $c_scheme['XH'];?>;"></span>
						<span id="qbclosemail" data-checked="false" class="icn_checkboxempty_c_n clckbtn vam" style="color:<?php echo $c_scheme['XN'];?>;" onclick="change_box(this);"></span>
						<label data-type="text" data-lan="qbclosemail" class="dlabel w350"><?php echo $ini_index['qbclosemail'][$_SESSION['lng']]; ?></label>							
					</p>
					<p style="<?php if ($nomail) echo 'display: none;'; ?>">
						<span class="icn_indarrowu_bl_n vam" style="margin-left: 20px; color:<?php echo $c_scheme['XH'];?>; cursor: pointer;" onclick="select_all()"></span>
						<label data-type="text" data-lan="check_all" class="dlabel w250 txthl" style="padding-left: 2px; cursor: pointer;" onclick="select_all()" ><?php echo $ini_index['check_all'][$_SESSION['lng']]; ?></label>
					</p>					
				</div>
			<!-- ********************************** end mailing options ********************************************** -->			
				<div id="det_cont" style="height: 410px;">
					<p id="ip_10" style="margin-top: 5px; height: 30px; padding-top: 4px; border-bottom: 1px solid black; border-top: 1px solid black; visibility: hidden;">
						<label data-type="text" data-lan="imat" id="matsellabel" class="dlabel w200"><?php echo $ini_index['imat'][$_SESSION['lng']]; ?></label>
						<input type="text" class="dinput w150" id="mat_nr" value="" readonly />
						<span id="del_mat" class="icn_delete_b_n clckbtn vam" data-type="title" data-lan="rem" style="visibility: hidden;" title="<?php echo $ini_index['rem'][$_SESSION['lng']]; ?>"></span>
						<input type="text" id="prod_bz" style="margin-left: 5px; background: <?php echo $c_scheme['M5']; ?>;" class="dinput vam w250" value='' readonly />
						<span data-type="text" data-lan="sel_mat_nr" class="spanbutton w150" id="add_mat"><?php echo $ini_index['sel_mat_nr'][$_SESSION['lng']]; ?></span>
						<span data-type="text" data-lan="wo_mat_nr" class="spanbutton w150" id="wo_mat"><?php echo $ini_index['wo_mat_nr'][$_SESSION['lng']]; ?></span>
					</p>
					<p id="ip_11" style="margin-top: 5px; height: 30px; padding-top: 4px; border-bottom: 1px solid black; border-top: 1px solid black; visibility: hidden;">
						<label data-type="text" data-lan="iorder" id="bstlfnrlabel" class="dlabel w200"><?php echo $ini_index['iorder'][$_SESSION['lng']]; ?></label>
						<input type="text" class="dinput w150" id="bstlfnr" value="" readonly />
						<span id="del_odn" class="icn_delete_b_n clckbtn vam" data-type="title" data-lan="rem" style="visibility: hidden;" title="<?php echo $ini_index['rem'][$_SESSION['lng']]; ?>"></span>
						<span data-type="text" data-lan="best_lf_lang" class="spanbutton w150" style="margin-left: 263px;" id="add_bst_new" ><?php echo $ini_index['best_lf_lang'][$_SESSION['lng']]; ?></span>
						<span data-type="text" data-lan="wo_best_lf_lang" class="spanbutton w150" id="wo_bst" onclick='wo_bst();'><?php echo $ini_index['wo_best_lf_lang'][$_SESSION['lng']]; ?></span>				
					</p>				
					<p id="ip_12" style="visibility: hidden;">
						<label data-type="text" data-lan="idescription" class="dlabel w200" style="white-space: pre-wrap; overflow: visible; vertical-align: top; margin-top: 5px;"><?php echo $ini_index['idescription'][$_SESSION['lng']]; ?></label>
						<textarea id="wysiwyg" class="editbox"></textarea>
						<?php 
							if ($qb_support->getoptions('standardtext', 'set') == "yes") { 
						?>
							<br />
							<label data-type="text" data-lan="istd_failure" class="dlabel w200"><?php echo $ini_index['istd_failure'][$_SESSION['lng']]; ?></label>
							<select data-type="select" data-lan="std_fails" id="std_des">
								<option value="">...</option>
								<?php	
									foreach($sdes as $key=>$value) {
										echo "<option value='".$key."'>".$value[$_SESSION['lng']]."</option>";
									}
								?>							
							</select>
						<?php 
							} else {
								echo '<input type="hidden" name="std_des" id="std_des" value="" />';
							}
						?>
					</p>
					<p style="text-align: right; margin-top: 20px;">
						<span data-type="title" data-lan="save" id="saveimg" style="visibility: hidden; margin-right: 20px;" class="icn5_save_b_n clckbtn vam" title="<?php echo $ini_index['save'][$_SESSION['lng']]; ?>" onclick="check_form()"></span>
					</p>
				</div>
				<span id="sg" style="line-height: 10px; display: inline-block; background-color: <?php echo $c_scheme['M1']; ?>; width: 0%;">&nbsp;</span><span id="sr" style="line-height: 10px; display: inline-block; background-color: <?php echo $c_scheme['M4']; ?>; width: 100%;">&nbsp;</span>
			</div>						
			<input type="hidden" name="when_org" id="when_org" value="<?php echo date('Y-m-d');?>" />
			<input type="hidden" name="kptrk" id="kptrk" value="" />
		</div>
		<?php include_once($rel_path.'footer.php'); ?> 
	</div>
	</body>
	<script>
		var pickerOpts = {
			closeText: "X",		
			dateFormat: "yy-M-dd",
			altField: '#when_org',
			altFormat: 'yy-mm-dd',
			firstDay: 1,
			isRTL: false,
			maxDate: "+0",
			minDate: "-6m",
			showButtonPanel: true,
			displayClose: true,
			showOn: "button",  
			buttonImage: "./img/dummy_img.png", 
			buttonImageOnly: true,
			buttonText: localTranslation["cal"][$globlan]
		};			
		
	// fix um bei klicken auf "Heute" den Kalender zu schliessen	
		var old_goToToday = $.datepicker._gotoToday;
		$.datepicker._gotoToday = function(id) {
			old_goToToday.call(this,id);   
			this._selectDate(id);
		};
		$.datepicker._defaults['currentText'] = calTranslation['currentText'][$globlan];
		$.datepicker._defaults['monthNames'] = calTranslation['monthNames'][$globlan];
		$.datepicker._defaults['monthNamesShort'] = calTranslation['monthNamesShort'][$globlan];
		$.datepicker._defaults['dayNamesMin'] = calTranslation['dayNamesMin'][$globlan];
	// datepicker settings		
		$("#datepicker").datepicker(pickerOpts);	
		clkevnt = $('.ui-datepicker-trigger').data('events').click[0].handler;
		$(".ui-datepicker-trigger").replaceWith('<span class="ui-datepicker-trigger icn_calendar_b_n clckbtn vam" data-type="title" data-lan="cal" title="<?php echo $ini_index['cal'][$_SESSION['lng']]; ?>"></span>');
		$('.ui-datepicker-trigger').bind('click', clkevnt);
		
		$('#requestor').width(340).customSelect({customClass: "cSelect_man"});
		$('#kriterium').width(340).customSelect({customClass: "cSelect_opt"});
		$('#r_type').width(340).customSelect({customClass: "cSelect_man"});
		$('#vko').width(340).customSelect({customClass: "cSelect_man"});
		$('#std_des').width(770).customSelect({customClass: "cSelect_opt"});
		
		$("#ip_00").yellowFade();
			
	// keyboard code for defect
		$("#defect").keyboard({
			autoAccept : true,
			restrictInput: true,
			enterNavigation : true,
			layout: 'custom', 
			customLayout: { 
		 
				'default': [ 
					'7 8 9 {b}',
					'4 5 6 {clear}',
					'1 2 3 {a}',
					'{empty} 0 {empty} {c}'
				]
			},
			accepted : function(e, keyboard, el){
				if ($("#defect").val() == "") {
					$("#ip_10").invisible();
					$("#del_mat").trigger("click");	
					$("#del_odn").trigger("click");
					$("#ip_11").invisible();	
					$("#ip_12").invisible();
					$('#wysiwyg').trumbowyg('destroy');
					$('#wysiwyg').trumbowyg('html', "");
					$("#std_des").val("");
					$("#saveimg").invisible();
					$("#sr").css("width", "50%");
					$("#sg").css("width", "50%");				
				} else {
					$("#ip_10").visible();
					$("#ip_10").yellowFade();
					$("#sr").css("width", "40%");
					$("#sg").css("width", "60%");					
				}
			},
			beforeVisible: function(event, keyboard, el){
				$("body").append('<div id="ovrly"><div class="loading-container"></div></div>');
				$('button[data-action="clear"]').css("border", "1px solid <?php echo $c_scheme['M1']; ?>").find("span").css("color", "<?php echo $c_scheme['M3']; ?>");
				$('button[data-action="bksp"]').css("border", "1px solid <?php echo $c_scheme['M1']; ?>").find("span").css("color", "<?php echo $c_scheme['M3']; ?>");
				$('button[data-action="accept"]').css("border", "1px solid <?php echo $c_scheme['M1']; ?>").find("span").css("color", "<?php echo $c_scheme['M1']; ?>");
				$('button[data-action="cancel"]').css("border", "1px solid <?php echo $c_scheme['M3']; ?>");
				$('.ui-keyboard-preview-wrapper input').css("background", "<?php echo $c_scheme['M4']; ?>").css("width", "100px").css("border-radius", "0px");
			},
			beforeClose: function(event, keyboard, el){
				$("#ovrly").remove();
			}
		})
		.addTyping();
		$("#defect").removeClass("ui-keyboard-input").removeClass("ui-widget-content").removeClass("ui-corner-all");

	// del order no
		$( "#del_odn" )	
			.on( "click", function() {
				$( "#bstlfnr" ).val( '' );
				$( "#del_odn" ).invisible();
				order_set(0);
			});	
	// del cutomer
		$( "#del_ekd" )	
			.on( "click", function() {
				$("#ekd").val("");
				$("#del_ekd").invisible();
				$("#ip_06").invisible();
				$("#defect").val("");
				$("#ip_10").invisible();
				$("#del_mat").trigger("click");	
				$("#del_odn").trigger("click");
				$("#ip_11").invisible();	
				$("#ip_12").invisible();
				$('#wysiwyg').trumbowyg('destroy');
				$('#wysiwyg').trumbowyg('html', "");
				$("#std_des").val("");
				$("#saveimg").invisible();
				$("#sr").css("width", "60%");
				$("#sg").css("width", "40%");				
			});	
	// add cutomer
		$( "#ekd" )	
			.on( "click", function() {
				$.alerts.cancelButton = localTranslation["cancel"][$globlan],
				jPrompt(' ','', localTranslation["ekd"][$globlan], function(r) {
					if ($.trim(r).length != 0) {
						$("#ekd").val(r);
						$("#del_ekd").visible();
						$("#ip_06").visible();
						$("#ip_06").yellowFade();
						$("#sr").css("width", "50%");
						$("#sg").css("width", "50%");
					} else {
						if ($("#ekd").val() == "") {
							$("#del_ekd").invisible();
							$("#ip_06").invisible();
							$("#defect").val("");
							$("#sr").css("width", "60%");
							$("#sg").css("width", "40%");
						}
					}
				});
			});		
	// add material
		$( "#add_mat" )	
			.on( "click", function() {
        $.getScript('./jquery/sel_mat.php', function() {
          $("#dialog-selmat").data("idx", "1").dialog('open');
        });
			});	
	// without material number
		$( "#wo_mat" )
			.on( "click", function() {
				$("#mat_nr").val( "xxxxx-xxxxx" );
				$("#prod_bz").val( "N/A" );
				$("#del_mat").visible();
				mat_set(1);
			});
	// del material
		$( "#del_mat" )	
			.on( "click", function() {
				$("#mat_nr").val( "" );
				$("#prod_bz").val( "" );
				$("#del_mat").invisible();
				mat_set(0);
			});	
	// add bstnr
		$( "#add_bst_new" )	
			.on( "click", function() {
				jPrompt(localTranslation["best_lf_lang"][$globlan], $("#bstlfnr").val(), localTranslation["best_lf_lang"][$globlan], function(r) {
					if (r == "") {
						return false;
					} else if (r != null) {
						$("#bstlfnr").val(r);
						$( "#del_odn" ).visible();
						order_set(1);
					}
				});
			});
		function c_lan() {
			translate_header($globlan);	
			translate_mainmenu($globlan);
			$.each($('#contents *').filter(function(){return $(this).data('lan') !== undefined;}), function() {	
				switch ($(this).data("type")) {
					case "text":		
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "select":
						if ($(this).attr("data-lan") == "qb_krit") {			
							$(this).find("option").each(function() {			
								$(this).text(qbkritTranslation[$(this).val()][$globlan]);
							});
							$('#kriterium').trigger('render');
						} else if ($(this).attr("data-lan") == "irekart") {	
							$(this).find("option").each(function(idx, obj) {			
								if ($(this).text() != "") $(this).text(rtypeTranslation[$(this).val()][$globlan]);
							});
							$('#r_type').trigger('render');
						} else if ($(this).attr("data-lan") == "std_fails") {
							$(this).find("option").each(function(idx, obj) {		
								if ($(this).text() != "...") $(this).text(sdesTranslation[$(this).val()][$globlan]);
							});
							$('#std_des').trigger('render');
						}
						break;
					default:
						break;
				}
			});
			$.datepicker._defaults['currentText'] = calTranslation['currentText'][$globlan];
			$.datepicker._defaults['monthNames'] = calTranslation['monthNames'][$globlan];
			$.datepicker._defaults['monthNamesShort'] = calTranslation['monthNamesShort'][$globlan];
			$.datepicker._defaults['dayNamesMin'] = calTranslation['dayNamesMin'][$globlan];
			$("#datepicker").val(localizedate($("#when_org").val()));
			$tmp = $('#wysiwyg').trumbowyg('html');
      $data_changed_old = $data_changed;
      $('#wysiwyg').trumbowyg('destroy');
      $('#wysiwyg').trumbowyg({
        lang: $globlan,
        removeformatPasted: true,
        semantic: true,
        tagsToRemove: ['script'],
        btns: [
          ['formatting'],
          ['|', 'foreColor', 'backColor'],
          ['strong', 'em', 'del'],
          ['superscript', 'subscript'],
          ['justifyLeft', 'justifyCenter', 'justifyRight', 'justifyFull'],
          ['unorderedList', 'orderedList'],
          ['horizontalRule'],
          ['removeformat'],
          ['fullscreen']
        ]
      });
			$('#wysiwyg').trumbowyg('html', $tmp);
      $data_changed = $data_changed_old;			
		}
		function check_form() {
		// check & send QB
			var h = $("#wysiwyg").trumbowyg('html').trim();
			while (h.match(/^<br ?\/?>/gi)) h = h.replace(/^<br ?\/?>/gi, '').trim();
			while (h.match(/<br ?\/?>$/gi)) h = h.replace(/<br ?\/?>$/gi, '').trim();			
			if ((h.length == 0) && ($("#std_des option:selected").text() == "...")) {
				jAlert(localTranslation["no_description"][$globlan], localTranslation["attention"][$globlan]);	
				return false;
			} else {
				$desjoin = "";
				if (h.length == 0) {
					$desjoin = $("#std_des option:selected").text();
				} else if ($("#std_des option:selected").text() == "...") {
					$desjoin = h;
				} else {
					$desjoin = h+"\n"+$("#std_des option:selected").text();
				}		
				$('#loading').show();
				$.ajax({
					type: "POST",
					cache: false,
					url:  "./tools/index_api.php",
					data: { 
						routine: "newqb",
						reg_date: $("#when_org").val(),
						r_type: $("#r_type").val(),
						requestor: $("#requestor").val(),
						unsichtbar: ($("#unsichtbar").data("checked"))?0:1,
						kptrk: $("#kptrk").val(),
						mat_sel: ($("#mat_nr").val() == "xxxxx-xxxxx")?0:$("#mat_nr").val(),
						des: $desjoin,
						kriterium: $("#kriterium").val(),
						bstlfnr: $("#bstlfnr").val(),
						rrq: ($("#repreq").data("checked"))?'Y':'N',
						clm: ($("#qbclosemail").data("checked"))?1:0,
						qbleader: ($("#qbleader").data("checked"))?1:0,
						addteam: ($("#addteam").data("checked"))?1:0,
						cmail: ($("#cmail").data("checked"))?1:0,
						cus: $("#ekd").val(),
						vko: $("#vko").val(),
						def: $("#defect").val()
					},
					success: function(result)
					{
						window.sessionStorage.removeItem("qb");
						window.sessionStorage.removeItem("qbn");
						window.localStorage.removeItem("qb");
						window.localStorage.removeItem("qbn");						
						window.location.href="basic.php";
					}
				});		
			}
		}
		function check_opt(loc) {
			if (($(loc).attr("id") == "addteam") && ($(loc).data("checked"))) {
				$("#qbleader").data("checked", false);
				$("#qbleader").removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
			}
			if (($(loc).attr("id") == "qbleader") && ($(loc).data("checked"))) {
				$("#addteam").data("checked", false);
				$("#addteam").removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
			}
		}	
		function select_all() {
			$("#cmail").data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");
			$("#tracking").data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");
			$("#addteam").data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");
			$("#qbclosemail").data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");
			$kpt = "";
			$.each(eventTranslation, function(key, value) {
				if (key != "E1") {
					$kpt += key+":";
				}
			});		
			$kpt = $kpt.substring(0, $kpt.length - 1);
			$("#kptrk").val($kpt);
		}
		function wo_bst() {
			$( "#bstlfnr" ).val( 'N/A' );
			$( "#del_odn" ).visible();
			order_set(1);
		}
		function erst_set(loc) {
			$data_changed = true;
			if (loc != "") {
				$("#ip_01").visible();
				$("#ip_02").visible();
				$("#ip_02").yellowFade();
				$("#sr").css("width", "85%");
				$("#sg").css("width", "15%");
			} else {
				$("#ip_01").invisible();
				$("#ip_02").invisible();
				$("#r_type").val("");
				$("#ip_04").invisible();
				$("#vko").val("");
				$("#add_ekd").invisible();
				$("#del_ekd").invisible();			
				$("#ekd").val("");
				$("#ip_05").invisible();
				$("#ip_06").invisible();
				$("#defect").val("");			
				$("#ip_10").invisible();
				$("#del_mat").trigger("click");
				$("#ip_11").invisible();
				$("#del_odn").trigger("click");
				$("#ip_12").invisible();
				$('#wysiwyg').trumbowyg('destroy');
				$('#wysiwyg').trumbowyg('html', "");				
				$("#std_des").val("");
				$("#saveimg").invisible();	
				$("#sg").css("width", "0");
				$("#sr").css("width", "100%");			
			}
		}
		function rtype_set(loc) {
			$data_changed = true;
			if (loc == "") {
				$("#ip_04").invisible();
				$("#vko").val("");
				$("#del_ekd").invisible();
				$("#ekd").val("");		
				$("#ip_05").invisible();
				$("#ip_06").invisible();
				$("#defect").val("");			
				$("#ip_10").invisible();
				$("#del_mat").trigger("click");
				$("#ip_11").invisible();
				$("#ip_12").invisible();
				$('#wysiwyg').trumbowyg('destroy');
				$('#wysiwyg').trumbowyg('html', "");				
				$("#std_des").val("");
				$("#saveimg").invisible();
				$("#sr").css("width", "85%");
				$("#sg").css("width", "15%");			
			} else if (loc == "C" ){	
				$("#ip_04").visible();
				$("#ip_04").yellowFade();
				$("#ekd").val("");
				$("#ip_10").invisible();
				$("#del_mat").trigger("click");
				$("#sr").css("width", "70%");
				$("#sg").css("width", "30%");			
			} else {
				$("#ip_04").invisible();
				$("#vko").val("");
				$("#del_ekd").invisible();			
				$("#ekd").val("");
				$("#ip_06").invisible();
				$("#defect").val("");			
				$("#ip_05").invisible();			
				$("#ip_10").visible();
				$("#ip_10").yellowFade();
				$("#sr").css("width", "40%");
				$("#sg").css("width", "60%");			
			}
		}
		function vko_set(loc) {
			$data_changed = true;
			if (loc == "") {
				$("#ekd").val("");
				$("#del_ekd").invisible();
				$("#ip_05").invisible();
				$("#ip_06").invisible();
				$("#defect").val("");
				$("#ip_10").invisible();
				$("#del_mat").trigger("click");	
				$("#del_odn").trigger("click");
				$("#ip_11").invisible();	
				$("#ip_12").invisible();
				$('#wysiwyg').trumbowyg('destroy');
				$('#wysiwyg').trumbowyg('html', "");				
				$("#std_des").val("");
				$("#saveimg").invisible();
				$("#sr").css("width", "70%");
				$("#sg").css("width", "30%");				
			} else {
				$("#ip_05").visible();
				$("#ip_05").yellowFade();
				$("#sr").css("width", "60%");
				$("#sg").css("width", "40%");
			}
		}
		function mat_set(loc) {
			if (loc == 1) {	
				$("#ip_11").visible();
				$("#ip_11").yellowFade();
				$("#sr").css("width", "25%");
				$("#sg").css("width", "75%");			
			} else {		
				$("#del_odn").trigger("click");
				$("#ip_11").invisible();	
				$("#ip_12").invisible();
				$('#wysiwyg').trumbowyg('destroy');
				$('#wysiwyg').trumbowyg('html', "");				
				$("#std_des").val("");
				$("#saveimg").invisible();	
				$("#sr").css("width", "40%");
				$("#sg").css("width", "60%");				
			}
		}
		function order_set(loc) {
			if (loc == 1) {
				$("#ip_12").visible();
				$('#wysiwyg').trumbowyg({
					lang: $globlan,
					removeformatPasted: true,
					semantic: false,
					btns: [
						'btnGrp-design',
						['|', 'foreColor', 'backColor'],
						['link'],
						'btnGrp-justify',
						'btnGrp-lists',
						['horizontalRule'],
						['removeformat'],
						['fullscreen']
					]
				});				
				$("#saveimg").visible();
				$("#sr").css("width", "10%");
				$("#sg").css("width", "90%");					
			} else {	
				$("#ip_12").invisible();
				$('#wysiwyg').trumbowyg('destroy');
				$('#wysiwyg').trumbowyg('html', "");				
				$("#std_des").val("");
				$("#saveimg").invisible();
				$("#sr").css("width", "25%");
				$("#sg").css("width", "75%");				
			}
		}
		function change_box(loc) {
			if ($(loc).data("checked")) {
				$(loc).data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
			} else {		
				$(loc).data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");	
			}
		}	
	// include code for keep track
		$('#tracking').click(function() {
			$.getScript('./jquery/keep_track.php?qb='+window.sessionStorage.getItem('qb')+'&his='+$("#kptrk").val(), function() {
				$("#dialog_keeptrack").dialog('open');
			});
		});	
	</script>
</html>