<?php
	require_once(dirname(__FILE__)."/../templates/db-def.php");
	global $c_scheme, $rel_path;
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;	
	$ini_adtracking = parse_ini_file($rel_path.'i18n/adtracking.ini', true);	
	
    header("Content-type: application/javascript; charset: UTF-8");	
?>
$('body').append('\
	<div id="dialog_track" title="<?php echo $ini_adtracking['track_ad'][$_SESSION['lng']].' '.$ini_adtracking['qbn'][$_SESSION['lng']].': '.$_REQUEST['qb'];?>">\
		<style>\
			.ui-dialog-titlebar-close {display: none;}\
		</style>\
		<div id="adtlist" style="margin-bottom: 5px; border: 1px solid <?php echo $c_scheme['RN']; ?>;width:675px;height:240px;overflow-x:hidden;overflow-y:scroll;"></div>\
		<div id="adtinput">\
			<p>\
				<label class="dlabel w120"><?php echo $ini_adtracking['ADT_001'][$_SESSION['lng']]; ?></label>\
				<textarea class="dtextarea" id="addescription" style="width: 454px; height: 60px;"></textarea>\
			</p>\
			<p>\
				<label class="dlabel w120"><?php echo $ini_adtracking['date'][$_SESSION['lng']]; ?></label>\
				<input type="hidden" id="adwhn_org" value="" />\
				<input type="text" id="adwhn" class="dinput vam w100" readonly value="" />\
			</p>\
		</div>\
	</div>\
');
$('#dialog_track').dialog({
	resizable: false,
	autoOpen:false,
	modal: true,
	width:700,
	height:450,
	buttons:
		[
	// save button
			{
				text: "<?php echo $ini_adtracking['save'][$_SESSION['lng']]; ?>",
				id: "add_adtrack_open",
				css: { width: '100px' },
				click: function() {
					if (!($.trim($("#addescription").val()).length)) {
						jAlert("<?php echo $ini_adtracking['ADT_M_001'][$_SESSION['lng']]; ?>", "<?php echo $ini_adtracking['attention'][$_SESSION['lng']]; ?>");
						return false;
					} else {
						$.ajax({
							type: "POST",
							cache: false,
							url:  "./tools/definitive_api.php",
							data: { 
								routine: "saveachtdtrack",
								qbn: window.sessionStorage.getItem('qb'),
								whn: $("#adwhn_org").val(),
								wht: $.trim($("#addescription").val())
							},
							success: function(result)
							{
								fill_adtracklist();
							}
						});								
					}
				}
			},
			{
				text: "<?php echo $ini_adtracking['close'][$_SESSION['lng']]; ?>",
				id: "add_adtrack_close",
				css: { width: '100px' },
				click: function() {
					$(this).dialog("close");
				}
			}	
		],
	close: function() {
		$("#dialog_track").remove();
	},	
	open: function() {
		$("#add_adtrack_open").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
			.off('hover')
			.off('focus')
			.addClass("spanbutton");
		if (JSON.parse(window.sessionStorage.getItem('qbn')).status == "C") {
			if ($("#lockunlock").attr("src") != './img/unlockedb.png') {
				$("#add_adtrack_open").hide();
				$("#adtinput").hide();
				$("#adtlist").css("height", "320px");
			} else {
				$("#add_adtrack_open").show();
				$("#adtinput").show();
				$("#adtlist").css("height", "240px");						
			}
		} else {
			$("#add_adtrack_open").show();
			$("#adtinput").show();
			$("#adtlist").css("height", "240px");
		}
		$("#add_adtrack_assess").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
			.off('hover')
			.off('focus')
			.addClass("spanbutton");
		$("#add_adtrack_close").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
			.off('hover')
			.off('focus')
			.addClass("spanbutton");
		$("#adwhn").val(localizedate("<?php echo date("Y-m-d"); ?>"));
		$("#adwhn_org").val("<?php echo date("Y-m-d"); ?>");
		fill_adtracklist();
	}
});
pickerOpts_4 = {
	closeText: "X",		
	dateFormat: "yy-M-dd",
	altField: '#adwhn_org',
	altFormat: 'yy-mm-dd',
	firstDay: 1,
	isRTL: false,
	showButtonPanel: true,
	displayClose: true,
	showOn: "both",  
	buttonImage: "./img/dummy_img.png",
	buttonImageOnly: true,
	buttonText: calTranslation["cal"][$globlan],
	changeYear: true,
	changeMonth: true,
	maxDate: '+1m',
	minDate: new Date($("#reg_date_org").val()),
	onClose: function() {
		$("#adtlist").focus();
	},
	beforeShow: function() {
		if ($heute) {
			$heute = false;
			return false;				
		}
	}	
}
$("#adwhn").datepicker(pickerOpts_4);	
clkevnt = $("#adwhn").next().data('events').click[0].handler;
$("#adwhn").next().replaceWith('<span class="ui-datepicker-trigger icn_calendar_b_n clckbtn vam" data-type="image" data-lan="cal" > </span>');
$("#adwhn").next().bind('click', clkevnt);
function fill_adtracklist() {
	$('#adtlist').empty();
	$.ajax({
		type: "GET",
		cache: false,
		url:  "./tools/definitive_api.php",
		data: {
			routine: "get_adtracking",
			qbn: window.sessionStorage.getItem('qb')
		},
		dataType: "json",
		success: function(result)
		{
			var datalist = result[0];
			var $qbs = result[1];
			var assess_done = 0;
			$colorcount = 0;		
			$.each(datalist, function (key) {
				$filename = this['8D_LINK'].split("/");
				$filename = $filename[$filename.length -1];
				$("#adtlist").append('\
					<div id="div_'+this['IDX']+'" style="padding:0px; margin: 0px; background-color: '+lc[$colorcount % 2]+';">\
						<p style="margin:0px; padding: 0px;">\
							<label class="dlabel w20" style="text-align: center; font-weight: bold; color:<?php echo $c_scheme['XH']; ?>;" ">'+this["TPE"]+'</label>\
							<label class="dlabel w85" style="text-align: center; font-weight: bold; color:<?php echo $c_scheme['XN']; ?>;" data-type="immdate" data-lan="'+this["8D_DATE"]+'">'+localizedate(this["8D_DATE"])+'</label>\
						</p>\
					</div>\
				');
				if (this['TPE'] == "F") {
					$("#adtlist").find("p:last").append('<label class="dlabel w500" style="text-decoration: underline; color: <?php echo $c_scheme['XH']; ?>; min-height: 20px; cursor: pointer;border-left: 2px solid black;" onclick="window.open(\'./files/'+window.sessionStorage.getItem('qb')+'/'+$filename+'\', \'_blank\');">' + $filename + '</label>');
				} else if (this['TPE'] == "A") {
					$("#adtlist").find("p:last").append('<label class="dlabel w500" style="border-left: 2px solid black; font-weight: bold;">' + adcTranslation[this['8D_LINK'].substring(0,1)+"0"][$globlan] + ':<br />' + adcTranslation[this['8D_LINK'].substring(0,1)+"0"][this['8D_LINK']][$globlan] + '</label>');
				} else if (this['TPE'] == "I") {
					$("#adtlist").find("p:last").append('<label class="dlabel w500" style="border-left: 2px solid black; white-space: pre-wrap;">8D ' + localTranslation["8D_ang"][$globlan] + '</label>');
				} else if (this['TPE'] == "C") {						
					$("#adtlist").find("p:last").append('<label class="dlabel w500" style="border-left: 2px solid black; white-space: pre-wrap;">8D ' + localTranslation["8D_erh"][$globlan] + '</label>');
				} else {
					$("#adtlist").find("p:last").append('<label class="dlabel w500" style="border-left: 2px solid black; white-space: pre-wrap;">' + this['8D_LINK'].replace(/(\r\n|\n\r|\r|\n)/g, "<br>") + '</label>');
				}
				$("#adtlist").find("p:last").append('<span class="icn_delete_b_n clckbtn vam" data-type="image" data-lan="rem" title="'+localTranslation["rem"][$globlan]+'" onclick="del_adtrack(' + this['IDX'] + ')"></span>');
			// hide delete if case is closed
				if ($qbs == "C") {					
					$("#adtlist").find("p:last").find("span").invisible();
				}
				if (this["TPE"] == "A") assess_done++;
				$colorcount++;			
			});
			if (assess_done != 0) {
		// assessment has already been done - hide assessment button
				$("#add_adtrack_assess").hide();
			} else {
				if (JSON.parse(window.sessionStorage.getItem('qbn')).status == "C") {
					$("#add_adtrack_assess").hide();
				} else {
					$("#add_adtrack_assess").show();
				}
			}		
		}
	});		
}
function del_adtrack(loc) {	
	$.alerts.cancelButton = localTranslation["cancel"][$globlan];
	jConfirm(localTranslation["confirm_delete"][$globlan], localTranslation["attention"][$globlan], function(r) {
		if (r) {
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/definitive_api.php",
				data: { 
					routine: "delachtdtrack",
					qbn: window.sessionStorage.getItem('qb'),
					idx: loc,
					tpe: $("#div_"+loc).find("p label:first").text()
				},
				success: function(result)
				{
					if (result == 0) {
				// no more records, update master form and close window
					// 1) empty file list
						$("#file_list").empty();
					// 2) uncheck 8d and dates
						$("#achtd_ang").val("");
						$("#achtd_ang").data("lan", "");
						$("#achtd_erh").val("");
						$("#file_list").empty();
						$("#aderh_span").invisible();
						$("#adinput").invisible();
						$("#plusimg").invisible();
						$("#achtd").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
						if ($("#track_ad").length != 0) $("#track_ad").removeClass("spanbuttono").addClass("spanbutton");
					// 3) close window
						$("#dialog_track").dialog('close');
					} else {
						if ($("#div_"+loc).find("p label:first").text() == "F") {
							fill_files();
						} else if ($("#div_"+loc).find("p label:first").text() == "C") {
					// closure acceptance deleted, remove record
							$.ajax({
								type: "POST",
								cache: false,
								url:  "./tools/definitive_api.php",
								data: { 
									routine: "remcrecord",
									qbn: window.sessionStorage.getItem('qb')
								},
								success: function(result)
								{
									$("#acc_date").val("");
									$("#achtd_erh").val("");
									$("#achtd_erh").data("lan", "");
								}
							});							
						}
						fill_adtracklist();
					}
				}
			});		
		}
	});
}	