<?php
    header("Content-type: application/javascript; charset: UTF-8");
?>
$("body").append('<div id="dialog-elfinder" style="background-image: none;" title=""></div>');
$("head").append('<link rel="stylesheet" type="text/css" href="./elfinder/css/elfinder.min.css" />'); 
$("head").append('<script src="./elfinder/js/elfinder.min.js"></script>');
$("head").append('<script src="./elfinder/js/i18n/elfinder.'+$globlan+'.js"></script>');

//		http://stackoverflow.com/questions/16604842/adding-a-custom-context-menu-item-to-elfinder

$(function() {
	$( "#dialog-elfinder" ).dialog({
		resizable: false,
		dialogClass: "doc_input_x",
		autoOpen: false,
		closeOnEscape: true,
		height: 460,
		width: 740,
		modal: true,
		dragUploadAllow : true,
		open : function() {
			$("#dialog-elfinder").dialog('option', 'title', gheader2Translation["files"][$globlan]);
			$("#dialog-elfinder").empty();
			$("#dialog-elfinder").append("<div id='elfinder'></div>");
			var options = {
				url  : './elfinder/php/connector.php?qbelf='+window.sessionStorage.getItem("qb"),
				lang : $globlan,
				rememberLastDir : false,
				allowShortcuts: false,
				width : 700,
				height : 400, 
				commands : [
					'open', 'reload', 'home', 'rename', 'download', 'upload', 'search', 'info', 'view', 'sort', 'mkdir', 'rm'
				],
				resizable: false,
				uiOptions : {
					// toolbar configuration
					toolbar : [
						['back', 'forward'],
						['open', 'download'],
						['info'],
						['quicklook'],
						['search'],
						['view']
					]
				},					
				ui : ['tree', 'path', 'stat', 'toolbar'],
				contextmenu : {
				// navbarfolder menu
//						navbar : ['rm'],
					navbar : [],		// will be defined in navbar-handler

				// current directory menu
//						cwd    : ['reload', '|', 'upload', '|', 'mkdir'],
					cwd    : [],		// will be defined in context-handler

				// current directory file menu
//						files  : ['rename', '|', 'open', '|', 'download']
					files  : []			// will be defined in select-handler
				},
				handlers : {				
					contextmenu: function(event, elfinderInstance) {
					// code for clicking on tree menue
						if (event.data.type == "navbar") {
							elfinderInstance.options.contextmenu.navbar.length = 0;
							actdir = decode_utf8(decode64(event.data.targets[0].substr(3)));
							if ((actdir.length == 1) || (actdir == "_Meetings") || (actdir == "_Communication")) {
							} else {
								elfinderInstance.options.contextmenu.navbar.unshift('rm');
							}
					// code for clicking on file / folder
						} else if (event.data.type == "files") {					
							elfinderInstance.options.contextmenu.files.length = 0;
							if ((decode_utf8(decode64(event.data.targets[0].substr(3))) == "_Meetings") || (decode_utf8(decode64(event.data.targets[0].substr(3))) == "_Communication")) {
								elfinderInstance.options.contextmenu.files.unshift('open', '|', 'info');
							} else {
								if ($(".elfinder-path").find("a").length == 1) {
									elfinderInstance.options.contextmenu.files.unshift('open', '|', 'download', '|', 'info');
								} else {
									elfinderInstance.options.contextmenu.files.unshift('open', '|', 'download', '|', 'rename', '|', 'rm', '|', 'info');
								}
							}
					// code for clicking in details view on background
						} else {					
							actname = decode_utf8(decode64(event.data.targets[0].substr(3)));
							elfinderInstance.options.contextmenu.cwd.length = 0;
						// if root folder do not allow upload
							if (actname.length == 1) {
								elfinderInstance.options.contextmenu.cwd.unshift('reload', '|', 'mkdir', '|', 'info');
						// for all other folders allow upload
							} else {
								elfinderInstance.options.contextmenu.cwd.unshift('reload', '|', 'mkdir', '|', 'upload', '|', 'info');
							}
						}
					}
				}
			}				
			$('#elfinder').elfinder(options);			
		}
	});			
});
/*  var keyStr = "ABCDEFGHIJKLMNOP" +
			   "QRSTUVWXYZabcdef" +
			   "ghijklmnopqrstuv" +
			   "wxyz0123456789+/" +
			   "=";
*/		   
	var keyStr = "ABCDEFGHIJKLMNOP" +
				   "QRSTUVWXYZabcdef" +
				   "ghijklmnopqrstuv" +
				   "wxyz0123456789-_" +
				   ".";			   
	function encode_utf8(s) {
		return unescape(encodeURIComponent(s));
	}

	function decode_utf8(s) {
		return decodeURIComponent(escape(s));
	}
  function encode64(input) {
	 input = escape(input);
	 var output = "";
	 var chr1, chr2, chr3 = "";
	 var enc1, enc2, enc3, enc4 = "";
	 var i = 0;

	 do {
		chr1 = input.charCodeAt(i++);
		chr2 = input.charCodeAt(i++);
		chr3 = input.charCodeAt(i++);

		enc1 = chr1 >> 2;
		enc2 = ((chr1 & 3) << 4) | (chr2 >> 4);
		enc3 = ((chr2 & 15) << 2) | (chr3 >> 6);
		enc4 = chr3 & 63;

		if (isNaN(chr2)) {
		   enc3 = enc4 = 64;
		} else if (isNaN(chr3)) {
		   enc4 = 64;
		}

		output = output +
		   keyStr.charAt(enc1) +
		   keyStr.charAt(enc2) +
		   keyStr.charAt(enc3) +
		   keyStr.charAt(enc4);
		chr1 = chr2 = chr3 = "";
		enc1 = enc2 = enc3 = enc4 = "";
	 } while (i < input.length);

	 return output;
  }

	function decode64(input) {
		var output = "";
		var chr1, chr2, chr3 = "";
		var enc1, enc2, enc3, enc4 = "";
		var i = 0;

	// remove all characters that are not A-Z, a-z, 0-9, +, /, or =
		var base64test = /[^A-Za-z0-9\+\/\=]/g;
		
		try{
			input = input.replace(/[^A-Za-z0-9\+\/\=]/g, "");
		} catch(e) {
			input = input;
		}		

		do {
			enc1 = keyStr.indexOf(input.charAt(i++));	
			enc2 = keyStr.indexOf(input.charAt(i++));	
			enc3 = keyStr.indexOf(input.charAt(i++));	
			enc4 = keyStr.indexOf(input.charAt(i++));		
			chr1 = (enc1 << 2) | (enc2 >> 4);
			chr2 = ((enc2 & 15) << 4) | (enc3 >> 2);
			chr3 = ((enc3 & 3) << 6) | enc4;
			
	// fix to get rid of trailing "0" if filename lenght not x times 3
			output = output + (chr1==0?"":String.fromCharCode(chr1));
	//		output = output + String.fromCharCode(chr1);
			
			if (enc3 != 64) {
				output = output + (chr2==0?"":String.fromCharCode(chr2));
	//          output = output + String.fromCharCode(chr2);
			}
			
			if (enc4 != 64) {
				output = output + (chr3==0?"":String.fromCharCode(chr3));
	//          output = output + String.fromCharCode(chr3);
			}
			chr1 = chr2 = chr3 = "";
			enc1 = enc2 = enc3 = enc4 = "";
			} while (i < input.length);
		return unescape(output);
	}