<?php
	require_once(dirname(__FILE__)."/../templates/db-def.php");
	global $c_scheme, $rel_path;
	$ini_events = parse_ini_file($rel_path.'xml/events.ini', true);	
	
    header("Content-type: application/javascript; charset: UTF-8");	
?>
$("body").append('\
	<div id="dialog_keeptrack" style="padding:4px;margin:0; font: bold 25pt Arial;" title="">\
		<style>\
			#evnts > div.checkList {height:auto !important;line-height: 12pt !important;}\
			#evnts > div.checkList label {vertical-align: middle;}\
			.ui-dialog-titlebar-close {display: none;}\
		</style>\
		<div id="evnts" style="display: inline-block; vertical-align: top; margin: auto; margin-top: 0; height: 310px; padding: 2px; width: 470px;"></div>\
	</div>\
');
//  event list
$('#evnts').checkList({
	effect: 'none',
	ckall: false,
	tfilter: false,
	colopts: 1,
	altrows: true,
	prefix: "ev",
	tdhigh: "<?php echo $c_scheme['I3']; ?>",
	evenrow: "<?php echo $c_scheme['IE']; ?>",
	oddrow: "<?php echo $c_scheme['IO']; ?>",
	onChange: function(loc) {
		return false;
	}
});
$( "#dialog_keeptrack" ).dialog({
	resizable: false,
	autoOpen: false,
	closeOnEscape: false,
	minHeight: 480,
	width: 500,
	modal: true,
	buttons:
		[
			{
	// save button
				text: localTranslation['save'][$globlan],
				id: "kptrk_save",
				css: { width: '100px' },
				click: function() {
		// collect selected events
					$sellist = $('#evnts').checkList("getSelection");			
					$chksum = "";
					$.each($sellist, function(key, value) {
						$chksum += value['value'] + ":";
					});
					$chksum = $chksum.slice(0, -1);	
					if ($chksum.length > 0) {
						$("#kptrk").val($chksum);
						$('#tracking').data("checked", true);
						$('#tracking').removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");
					} else {
						$("#kptrk").val( "" );
						$('#tracking').data("checked", false);
						$('#tracking').removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
					}
					$(this).dialog( "close" );
				}
			},
			{
				text: localTranslation['rem'][$globlan],
				id: "kptrk_rem",
				css: { width: '100px' },
				click: function() {
					$("#kptrk").val( "" );
					$('#tracking').data("checked", false);
					$('#tracking').removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
					$( this ).dialog( "close" );
				}
			},		
			{
				text: localTranslation['cancel'][$globlan],
				id: "kptrk_cancel",
				css: { width: '100px' },
				click: function() {
					$(this).dialog( "close" );
				}
			}				
		],
	close: function() {
		$("#dialog_keeptrack").remove();
	},		
	open : function() {
		$("#dialog_keeptrack").dialog('option', 'title', localTranslation["keep_track"][$globlan]);
		$("#kptrk_cancel").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only")
			.off('hover')
			.off('focus')
			.addClass("spanbutton");
		$("#kptrk_rem").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only")
			.off('hover')
			.off('focus')
			.addClass("spanbutton");
		$('#kptrk_save').blur()
			.removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only")
			.off('hover')
			.off('focus')
			.addClass("spanbutton");
		evtlist = new Array();
		<?php
			$i = 0;
			foreach ($ini_events as $key=>$value) {
				if ($key != "E1") {
					echo "evtlist[".$i."] = {'text': '".$value[$_SESSION['lng']]."', 'value': '".$key."', 'help': '".$key."'};";
					$i++;
				}
			}
		?>
		$('#evnts').checkList('setData', evtlist);
		$('#evnts').checkList("resetAll");		
		$preset = "<?php echo $_REQUEST['his']; ?>";
		$preset = $preset.split(":");
		$.each($preset, function(key, value) {
			$('#evnts').checkList("setSelection", value);
		});		
	}
});