<?php
	require_once(dirname(__FILE__)."/../templates/db-def.php");
	global $c_scheme, $rel_path;
	$ini_selmat = parse_ini_file($rel_path.'i18n/selmat.ini', true);	
	echo "selmatTranslation = {};";
	foreach($ini_selmat as $key=>$value){
		$add = "";
		foreach($value AS $lan=>$trans){
			$add .= "'".$lan."':'".$trans."',";
		}
		echo "selmatTranslation['".$key."']={".rtrim($add, ',')."};";
	}
  session_start();	
  header("Content-type: application/javascript; charset: UTF-8");
?>
$("body").append('\
	<div id="dialog-selmat" title="<?php echo $ini_selmat['sel_mat_nr'][$_SESSION['lng']]; ?>">\
		<style>\
			.ui-dialog-titlebar-close {display: none;}\
		</style>\
	</div>\
');
$(function() {
// function adding material numbers
	$( "#dialog-selmat" ).dialog({
		resizable: false,
		autoOpen: false,
		closeOnEscape: false,
		height: 390,
		width: 560,
		modal: true,
		buttons:
			[
				{
					text: "<?php echo $ini_selmat['search'][$_SESSION['lng']]; ?>",
					id: "selmat_btnsearch",
					'class': "spanbutton w100",
					click: function() {
				// remove spaces and check if input field is empty
						$("#lookformat").val( $.trim($("#lookformat").val()) );
						if ($("#lookformat").val() == "") return;
						$("#loading").show();
						$.ajax({
							type: "POST",
							cache: false,
							url:  "./tools/general_api.php",
							data: { 
								routine: "lookup",
								mstr: $("#lookformat").val(),
								qblan: $globlan
							},
							context:this,
							success: function(result)
							{
								var matav = jQuery.parseJSON(result);
								if (matav.length == 0) {						
					// no material found -> issue error message
									$("#msg")
										.text("<?php echo $ini_selmat['no_mat'][$_SESSION['lng']]; ?>")
										.css("background-color","#E74C3C");
									setTimeout(function() {
										$("#msg")
											.html( '&nbsp' )
											.css("background-color","transparent");
									}, 2000 );
									usrresult = new Array();
									$('#mymaterial').checkList('setData', usrresult);
									$("#lookformat").val( "" );
									$("#loading").hide();
									return false;
								} else if (matav.length == 1) {
					// exact match -> if idx == 1 just update fields, else save new material number
									if ($('#dialog-selmat').data("idx") == 1) {
										$("#loading").hide();
										$("#mat_nr").val( matav[0]["TGR"] );
										$("#prod_bz").val( matav[0]["TGRBZ"] );
										$('#dialog-selmat').dialog( "close" );
									} else if ($("#dialog-selmat").data("man") == 1) {
										$("#loading").hide();
										$("#mat_nr").val( matav[0]["TGR"] );
										$("#prod_bz").val( matav[0]["TGRBZ"] );
										$('#dialog-selmat').dialog( "close" );									
									} else {
										$.ajax({
											type: "POST",
											cache: false,
											url:  "./tools/general_api.php",
											data: { 
												routine: "changemat",
												midx: matav[0]["TGR"],
												qbn: window.sessionStorage.getItem("qb")
											},
											success: function(result)
											{						
												$("#mat_nr").text( matav[0]["TGR"] );
												$("#prod_bz").text( matav[0]["TGRBZ"] );
                                                $("#mstat").val( matav[0]["MSTATUS"] );
												$('#dialog-selmat').dialog( "close" );
												if ($('#dialog-selmat').data("idx") == 1) {
													$("#del_mat").visible();
													mat_set(1);
												}
												$("#loading").hide();
											}
										});	
									}										
								} else {
					// more than one material found -> generate list for detail selection								
									usrresult = new Array();
									$.each(matav, function(key, value) {
										usrresult[key] = {'text': value['TGR'] + " - " + value['TGRBZ'], 'value': JSON.stringify(Array(value['TGR'], value['TGRBZ'].replace(/"/g, '&quot;'), value['MSTATUS']))};
									});
									$('#mymaterial').checkList('setData', usrresult);
									$("#loading").hide();
									return false;
								}
							}
						});	
					}
				},
				{
					text: "<?php echo $ini_selmat['wo_mat_nr'][$_SESSION['lng']]; ?>",
					id: "selmat_btnxxxx",
					'class': "spanbutton w150",
					click: function() {
						if ($('#dialog-selmat').data("idx") == 1) {
							$("#mat_nr").val( "xxxxx-xxxxx" );
							$("#prod_bz").val( "xxxxx-xxxxx" );
							$('#dialog-selmat').dialog( "close" );								
						} else if ($("#dialog-selmat").data("man") == 1) {	
							$("#mat_nr").val( "xxxxx-xxxxx" );
							$("#prod_bz").val( "xxxxx-xxxxx" );										
							$('#dialog-selmat').dialog( "close" );
						} else {
							$.ajax({
								type: "POST",
								cache: false,
								url:  "./tools/general_api.php",
								data: { 
									routine: "changemat",
									midx: "0",
									qbn: window.sessionStorage.getItem("qb")
								},
								success: function(result)
								{
									$("#mat_nr").text( "xxxxx-xxxxx" );
									$("#prod_bz").text( "xxxxx-xxxxx" );										
									$('#dialog-selmat').dialog( "close" );
								}
							});
						}
					}
				},
				{
					text: "<?php echo $ini_selmat['cancel'][$_SESSION['lng']]; ?>",
					id: "selmat_btncncl",
					'class': "spanbutton w100",
					click: function() {
						$( this ).dialog( "close" );
					}
				}				
			],
		close: function() {
			if ($("#dialog-selmat").data("man") == 1) {
				if ($("#mat_nr").val().length) {
					$("#del_mat").visible();
					mat_set(1);
				} else {
					$("#del_mat").invisible();
					mat_set(0);				
				}
			}
			if ($('#dialog-selmat').data("idx") == 1) {
				if ($("#mat_nr").val().length) {
					$("#del_mat").visible();
					mat_set(1);
				} else {
					$("#del_mat").invisible();
					mat_set(0);				
				}
			}			
			$("body").find("#dialog-selmat").remove();
		},		
		open : function() {
			$('#dialog-selmat').append('<p id="msg" style="padding: 2px; margin: 0px; margin-bottom: 10px;" >&nbsp;</p>');
			$('#dialog-selmat').append('<label class="dlabel vam w125" id="lookforlabel"><?php echo $ini_selmat['imat'][$_SESSION['lng']]; ?>:</label>');
			$('#dialog-selmat').append('<input id="lookformat" type="text" class="dinput vam w100" />');
			$('#dialog-selmat').append('<div id="mymaterial" style="width: 525px; height:205px; margin-top: 20px; overflow-y: auto;"></div>');
		// search button - format & position
			$("#selmat_btnsearch")
				.removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
				.off('hover')
				.off('focus')
				.addClass("spanbutton")
				.position({
					my: "left+30 top-5",
					at: "right top",
					of: "#lookformat"
				});	
				
			$("#selmat_btnxxxx")
				.removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
				.off('hover')
				.off('focus')
				.addClass("spanbutton")
				.position({
					my: "left+5",
					at: "right",
					of: "#selmat_btnsearch"
				});					
				
			$('#selmat_btncncl')
				.removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
				.off('hover')
				.off('focus')
				.addClass("spanbutton");				
		
	// set focus on input filed
			$( "#lookformat" ).focus();
	// fix to be able to use enter instead of clicking on "search"
			$("#dialog-selmat").keypress(function(e) {
				  if (e.keyCode == $.ui.keyCode.ENTER) {
					$(this).parent().find("#selmat_btnsearch").trigger("click");
				  }
			});
			$(function() {
				$('#mymaterial').checkList({
					effect: 'none',
					ckall: false,
					colopts: 1,
					radio: true,
					altrows: true,	
					tdhigh: "<?php echo $c_scheme['M1']; ?>",
					evenrow: "<?php echo $c_scheme['IE']; ?>",
					oddrow: "<?php echo $c_scheme['IO']; ?>",
					onChange: function() {
						$("#loading").show();
						var selection = $('#mymaterial').checkList('getSelection');
						if (selection.length > 0) {
							$val = JSON.parse(selection[0].value);				
					// specific material selected -> if idx == 1 just update fields, else update database	
							if ($('#dialog-selmat').data("idx") == 1) {
								$("#mat_nr").val( $val[0] );
								$("#prod_bz").val( $val[1].replace('&quot;', '"') );	
								$('#dialog-selmat').dialog( "close" );
								$("#loading").hide();
							} else if ($("#dialog-selmat").data("man") == 1) {
								$("#mat_nr").val( $val[0] );
								$("#prod_bz").val( $val[1].replace('&quot;', '"') );	
								$('#dialog-selmat').dialog( "close" );
								$("#loading").hide();								
							} else {
								$("#loading").hide();
								$.ajax({
									type: "POST",
									cache: false,
									url:  "./tools/general_api.php",
									data: { 
										routine: "changemat",
										midx: $val[0],
										qbn: window.sessionStorage.getItem("qb")
									},
									success: function(result)
									{											
										$("#mat_nr").text( $val[0] );
										$("#prod_bz").text( $val[1].replace('&quot;', '"') );
                                        $("#mstat").val($val[2]);										
										$('#dialog-selmat').dialog( "close" );
										$("#loading").hide();
									}
								});
							}
						}
						return false;
					}
				}); 
				$("#mymaterial").find(".filterbox").empty();
				$("#mymaterial").find(".filterbox").text("<?php echo $ini_selmat['sel_mat_nr'][$_SESSION['lng']]; ?>");
			});
		}
	});
});