<?php
	require_once(dirname(__FILE__)."/../templates/db-def.php");
	global $c_scheme, $rel_path;
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;	
	$ini_selectpl = parse_ini_file($rel_path.'i18n/selectpl.ini', true);	
	
    header("Content-type: application/javascript; charset: UTF-8");	
?>
$("body").append('\
	<div id="dialog_pl" style="display:none;" title="<?php echo $ini_selectpl['assign_pl'][$_SESSION['lng']];?>">\
		<style>\
			.ui-dialog-titlebar-close {display: none;}\
		</style>\
		<div id="pllist" style="font: normal 9pt Arial; width: 330px; padding: 0px; vertical-align: top; margin:auto;"></div>\
	</div>\
');
$('#pllist').checkList({
	effect: 'none',
	ckall: false,
	colopts: 2,
	tdback: "transparent",
	tdhigh: "transparent",
	altrows: true,
	radio: true,
	prefix: "pl",
	filtertxt: "<?php echo $ini_selectpl['filter'][$_SESSION['lng']];?>",
	tfilter: true,
	onChange: function() {
		var selection = $('#pllist').checkList('getSelection');
		if (selection.length > 0) {
			$("#loading").show();				
	// prevent delete on empty PL
			if ((selection[0].value == -1) && ($("#pl").val() == "")) {
				return false;
			}
			$.ajax({
				type: "POST",
				cache: false,		
				url:  "./tools/team_api.php",
				data: { 
					routine: "savepl",
					qbn: window.sessionStorage.getItem("qb"),
					pl: selection[0].value
				},
				success: function(result)
				{				
				// fill fields
					$("#pl").data("plregion", $.trim(result));
					if (selection[0].value == -1) {	
						$('#pl_idate').data("lan", "0000-00-00 00:00:00");					
						$('#pl_idate').invisible();
					} else {
						$('#pl_idate').data("lan", "<?php echo date('Y-m-d H:i:s'); ?>");
						$("#pl_idate").attr("title", "<?php echo $ini_selectpl['informed'][$_SESSION['lng']].': '. date('Y-m-d H:i:s'); ?>");
						$('#pl_idate').visible();
					}
					if (selection[0].value == -1) {							
						$("#pl").val("");
						$("#pl").data("pllogin", "");
					} else {							
						$("#pl").val(selection[0].text);
						$("#pl").data("pllogin", selection[0].value);
					}
				// update mndatory
					fill_grid1();
				// if PL was deleted update team handling buttons
					if (selection[0].value == -1) {
						$('#add_member').invisible();
						$('#mail_team').invisible();
						$('#inform_team').invisible();							
					} else {
				// update add team buttons	
						$('#add_member').visible();
						if (js_debug) console.log("PL informed - show add team button");
					// get team informed status
						informed = $("#teambuttons").val().split(":");
					// team is already defined
						if (informed[0] > 0) {
						// team not informed yet -> show inform button
							if (informed[1] == 0) {
								if (js_debug) console.log("team not informed yet - show inform team button, hide mail team button");
								$('#mail_team').invisible();
								$('#inform_team').visible();
						// team already informed -> show mail team button
							} else {
								if (js_debug) console.log("team already informed - show mail team button, hide inform team button");
								$('#mail_team').visible();
								$('#inform_team').invisible();						
							}
					// no team defined yet
						} else {
							if (js_debug) console.log("no team defined yet - hide mail team and inform team button");
							$('#mail_team').invisible();
							$('#inform_team').invisible();
						}						
					}
				// close dialog window
					$("#dialog_pl").dialog("close");
				// change qb color only if no manual QB							
					if (JSON.parse(window.sessionStorage.getItem("qbn")).status != "M") {							
						if (selection[0].value == -1) {
							$("#qb").css("background-color", "<?php echo $c_scheme['SN']; ?>");
						} else {							
							$("#qb").css("background-color", "<?php echo $c_scheme['SO']; ?>");
						}
						if (JSON.parse(window.sessionStorage.getItem("qbn")).status == "C") {
							$("#inform_pl").invisible();
						}
				// eventmail only if no special rights were used
						if (JSON.parse(window.sessionStorage.getItem("qbn")).status != "C") {
							<?php if ($qb_support->getoptions('mailing', 'useit') == "yes") { ?>
						// send eventmail
								$.ajax({
									type: "POST",
									cache: false,			
									url:  "./tools/general_api.php",
									data: { 
										routine: "eventmail2",
										evnt: "E4",
										qbn: window.sessionStorage.getItem("qb")
									},
									success: function(result)
									{
										$("#loading").hide();	
									}		
								});
								$.ajax({
									type: "POST",
									cache: false,			
									url:  "./tools/general_api.php",
									data: { 
										routine: "eventmail2",
										evnt: "E4A",
										qbn: window.sessionStorage.getItem("qb")
									},
									success: function(result)
									{
										$("#loading").hide();	
									}		
								});								
							<?php } ?>
						}
					}
					$("#loading").hide();	
				}
			});
		}
	}				
});		
$( "#dialog_pl" ).dialog({							// dialog for qcase leader
	resizable: false,
	autoOpen: false,
	closeOnEscape: false,
	height: 400,
	width: 400,
	modal: true,
	buttons:
		[
			{
				text: "<?php echo $ini_selectpl['cancel'][$_SESSION['lng']];?>",
				id: "selectpl_cancel",
				css: { width: '100px'},
				click: function() {
					$("#dialog_pl").dialog( "close" );
				}
			}	
		],
	close: function() {
		$("#dialog_pl").remove();
	},
	open : function() {
		$("#selectpl_cancel").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
			.off('hover')
			.off('focus')
			.addClass("spanbutton");
		$("#pllist .filterbox input").val("");
		var usrresult = new Array();	
		<?php
			$mnd_team = parse_ini_file($rel_path.'xml/mandatory.ini', true);	
			$query = "
				SELECT 
					CONCAT(NACHNAME, ', ', VORNAME) AS NAME, 
					LOGIN AS IDX,
					COALESCE((SELECT SHORT FROM qb_mantrans WHERE qb_mantrans.DEPARTMENT=qb_user.DEPARTMENT), 'NA') AS SHORT
				FROM 
					qb_user 
				WHERE 
					FLAGS LIKE '%F%' AND
					LOGIN NOT IN (SELECT NAME FROM qb_team WHERE QBN=:qbn AND ROLLE<>'PL')
				ORDER BY 
					NACHNAME
			";
			$stmt = $db->prepare($query);
			$stmt->execute(
				array(
					':qbn' => $_REQUEST['qbn']
				)
			);
			$ofs = 0;
			if ($qb_support->checkflag("YW")) {
				echo "usrresult[0] = {'text': '".$ini_selectpl['rem'][$_SESSION['lng']]."', 'value': -1};";
				$ofs = 1;
			}
			while($r = $stmt->fetch(PDO::FETCH_NUM)) {
				echo "usrresult[".$ofs."] = {'text': '".$r[0]."', 'value': '".$r[1]."', 'text2': '".(($r[2]=='NA')?'NA':$mnd_team[$r[2]][$_SESSION['lng']])."'};";
//				echo "usrresult[".$ofs."] = {'text': '".$r[0]."', 'value': '".$r[1]."'};";
				$ofs++;
			}
		?>				
		$('#pllist').checkList('setData', usrresult);
		$.each($("#pllist").find("tr"), function() {
			if ($(this).find("span").data("value") == -1) {
				$(this).find("label:eq(0)").parent().css("background", "<?php echo $c_scheme['I1']; ?>");
				$(this).find("span").parent().css("background", "<?php echo $c_scheme['I1']; ?>");
			}
			if ($(this).find("span").data("value") == $("#pl").data('pllogin')) {
				$(this).find("label:eq(0)").parent().css("background", "<?php echo $c_scheme['I2']; ?>");
				$(this).find("span").parent().css("background", "<?php echo $c_scheme['I2']; ?>");
				$(this).find("span").data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");	
			}
			$(this).find("label:eq(0)").css("width", "150px");						
		});
	}
});