<?php
	require_once(dirname(__FILE__)."/../templates/db-def.php");
	global $c_scheme, $rel_path;
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;	
	$ini_selectsvt = parse_ini_file($rel_path.'i18n/selectsvt.ini', true);	
	
    header("Content-type: application/javascript; charset: UTF-8");	
?>
$("body").append('\
	<div id="dialog_svt" style="display:none;" title="<?php echo $ini_selectsvt['assign_svt'][$_SESSION['lng']];?>">\
		<style>\
			.ui-dialog-titlebar-close {display: none;}\
		</style>\
		<div id="svtlist" style="font: normal 9pt Arial; width: 330px; padding: 0px; vertical-align: top; margin:auto;"></div>\
	</div>\
');
$('#svtlist').checkList({
	effect: 'none',
	ckall: false,
	colopts: 2,
	tdback: "transparent",
	tdhigh: "transparent",
	altrows: true,
	radio: true,
	prefix: "svt",
	filtertxt: "<?php echo $ini_selectsvt['filter'][$_SESSION['lng']];?>",
	tfilter: true,
	onChange: function() {
		var selection = $('#svtlist').checkList('getSelection');
		if (selection.length > 0) {
			$("#loading").show();
	// save new svt
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/team_api.php",
				data: { 
					routine: "savesvt",
					qbn: window.sessionStorage.getItem("qb"),
					svt: selection[0].value
				},
				success: function(result)
				{
					$("#svt").val($.trim(result));
					if (selection[0].text != $("#svt").val()) {
						jAlert("<?php echo $ini_selectsvt['vacation_text'][$_SESSION['lng']];?>", "<?php echo $ini_selectsvt['attention'][$_SESSION['lng']];?>");
					}
					if (rgb2hex($("#qb").css("backgroundColor")) != "#FF00FF") {
						$('#svt_idate').data("lan", "<?php echo date('Y-m-d H:i:s'); ?>");
						$("#svt_idate").attr("title", "<?php echo $ini_selectsvt['informed'][$_SESSION['lng']].': '. date('Y-m-d H:i:s'); ?>");
						$('#svt_idate').visible();
					}
				// send eventmail only if no manual QB and case not closed
					if ((JSON.parse(window.sessionStorage.getItem("qbn")).status != "M") && (JSON.parse(window.sessionStorage.getItem("qbn")).status != "C")){
						<?php
							if ($qb_support->getoptions('mailing', 'useit') == "yes") {
						?>				
								$.ajax({
									type: "POST",
									cache: false,
									url:  "./tools/general_api.php",
									data: { 
										routine: "eventmail2",
										evnt: "E2",
										qbn: window.sessionStorage.getItem("qb")
									},
									success: function(result)
									{
									}
								});
								$.ajax({
									type: "POST",
									cache: false,
									url:  "./tools/general_api.php",
									data: { 
										routine: "eventmail2",
										evnt: "E3",
										qbn: window.sessionStorage.getItem("qb")
									},
									success: function(result)
									{
									}
								});								
						<?php
							}
						?>
					}
					$("#loading").hide();
					$('#dialog_svt').dialog("close");
				}
			});
		}
	}
});
$( "#dialog_svt" ).dialog({
	resizable: false,
	autoOpen: false,
	closeOnEscape: false,
	height: 400,
	width: 400,
	modal: true,
	buttons:
		[
			{
				text: "<?php echo $ini_selectsvt['cancel'][$_SESSION['lng']];?>",
				id: "selectsvt_cancel",
				css: { width: '100px'},
				click: function() {
					$(this).dialog("close");
				}
			}	
		],
	close: function() {
		$("#dialog_svt").remove();
	},
	open : function() {
		$("#selectsvt_cancel").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
			.off('hover')
			.off('focus')
			.addClass("spanbutton");
		$("#svtlist .filterbox input").val("");
	// generate list
		var usrresult = new Array();
		<?php
			$mnd_team = parse_ini_file($rel_path.'xml/mandatory.ini', true);	
			if ($qb_support->checkflag("WY")) { // special rights - show all SVT and deputies
				$query = "		
					SELECT 
						CONCAT(NACHNAME, ', ', VORNAME) AS NAME, 
						LOGIN AS IDX,
						COALESCE((SELECT SHORT FROM qb_mantrans WHERE qb_mantrans.DEPARTMENT=qb_user.DEPARTMENT), 'NA') AS SHORT
					FROM 
						qb_user 
					WHERE
						FLAGS LIKE '%V%'
					UNION 
					SELECT 
						CONCAT(NACHNAME, ', ', VORNAME) AS NAME, 
						LOGIN AS IDX,
						COALESCE((SELECT SHORT FROM qb_mantrans WHERE qb_mantrans.DEPARTMENT=qb_user.DEPARTMENT), 'NA') AS SHORT
					FROM 
						qb_user 
					WHERE
						FLAGS NOT LIKE '%V%' AND
						FLAGS LIKE '%D%'
					ORDER BY
						NAME
				";
				$stmt = $db->query($query);
				$rows = array();
				while($r = $stmt->fetch(PDO::FETCH_NUM)) {
					$rows[] = $r;
				}					
			} else if ($qb_support->checkflag("V")) {  // for SVT, add own deputies to SVT list	
				$query = "
					SELECT 
						CONCAT(NACHNAME, ', ', VORNAME) AS NAME, 
						LOGIN AS IDX,
						COALESCE((SELECT SHORT FROM qb_mantrans WHERE qb_mantrans.DEPARTMENT=qb_user.DEPARTMENT), 'NA') AS SHORT
					FROM
						qb_user 
					WHERE
						FLAGS LIKE '%V%'
					UNION DISTINCT SELECT 
						CONCAT(NACHNAME, ', ', VORNAME) AS NAME, 
						DSVT AS IDX,
						COALESCE((SELECT SHORT FROM qb_mantrans WHERE qb_mantrans.DEPARTMENT=qb_user.DEPARTMENT), 'NA') AS SHORT
					FROM 
						qb_deputy, 
						qb_user 
					WHERE
						SVT=:svt AND 
						DSVT=LOGIN 
					ORDER BY 
						NAME
				";							
				$stmt = $db->prepare($query);
				$stmt->execute(
					array(
						':svt' => $_SESSION['lg']
					)
				);
				$rows = array();
				while($r = $stmt->fetch(PDO::FETCH_NUM)) {
					$rows[] = $r;
				}		
			} else if ($qb_support->checkflag("D")) {    // Settings for deputy
				$query = "
					SELECT
						SVT,
						EX
					FROM
						qb_deputy
					WHERE
						DSVT=:svt
				";
				$stmt = $db->prepare($query);
				$stmt->execute(
					array(
						':svt' => $_SESSION['lg']
					)
				);
			// check if exchanges are allowed
				$r = $stmt->fetch(PDO::FETCH_NUM);
				if ($r[1] == 1) {
			// yes, add other deputies to list
					$query = "
						SELECT
							(SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE LOGIN=DSVT) AS NAME, 
							DSVT AS IDX,
							COALESCE((SELECT SHORT FROM qb_mantrans WHERE qb_mantrans.DEPARTMENT=qb_user.DEPARTMENT), 'NA') AS SHORT
						FROM
							qb_deputy
                        LEFT JOIN
                        	qb_user
                        ON
                        	qb_user.login = qb_deputy.dsvt
						WHERE
							SVT=:svt
          ";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':svt' => $r[0]
						)
					);					
					while($r = $stmt->fetch(PDO::FETCH_NUM)) {
						$rows[] = $r;
					}								
				}
			}		
			foreach ($rows as $key=>$value) {
				echo "usrresult[".$key."] = {'text': '".$value[0]."', 'value': '".$value[1]."', 'text2': '".(($value[2]=='NA')?'NA':$mnd_team[$value[2]][$_SESSION['lng']])."'};";
			}			
		?>		
		$('#svtlist').checkList('setData', usrresult);
		$.each($("#svtlist").find("tr"), function() {
			if ($(this).find("span").data("text") == $("#svt").val()) {
				$(this).find("label:eq(0)").parent().css("background", "<?php echo $c_scheme['I1']; ?>");
				$(this).find("span").parent().css("background", "<?php echo $c_scheme['I1']; ?>");
				$(this).find("span").data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");	
			}
			$(this).find("label:eq(0)").css("width", "150px");
		});
	}
});