<?php
	require_once(dirname(__FILE__)."/../templates/db-def.php");
	global $c_scheme, $rel_path;
	$ini_team = parse_ini_file($rel_path.'i18n/team.ini', true);
	
    header("Content-type: application/javascript; charset: UTF-8");
?>
$("body").append('\
	<div id="dialog_history" style="padding:4px;margin:0;" title="">\
		<style>\
			#dialog_history p:first-of-type label {\
				background: <?php echo $c_scheme['M4']; ?>;\
				color: <?php echo $c_scheme['XN']; ?>;\
				font: normal 12px Arial;\
				display: inline-block;\
				padding: 3px 2px;\
				margin: 0;\
				border-right: 1px solid <?php echo $c_scheme['R1']; ?>;\
				text-align: center;\
			}\
			#dialog_history p:first-of-type label:nth-child(4) {\
				border-right: 0;\
			}\
			.ui-dialog-titlebar-close {display: none;}\
		</style>\
		<p style="margin:0;padding:0;">\
			<label data-type="text" data-lan="date" style="width: 130px;" ><?php echo $ini_team['date'][$_SESSION['lng']]; ?>\
			</label><label data-type="text" data-lan="old_svt" style="width: 225px;" ><?php echo $ini_team['old_svt'][$_SESSION['lng']]; ?>\
			</label><label data-type="text" data-lan="new_svt" style="width: 225px;" ><?php echo $ini_team['new_svt'][$_SESSION['lng']]; ?>\
			</label><label data-type="text" data-lan="changed_by" style="width: 180px;" ><?php echo $ini_team['changed_by'][$_SESSION['lng']]; ?>\
			</label>\
		</p>\
		<div id="history_body" style="width:795px;padding:0;margin:0;overflow-x:hidden; overflow-y:scroll; border: 1px solid <?php echo $c_scheme['R2']; ?>; border-top: 0px; height: 200px;">\
		</div>\
	</div>\
');
$( "#dialog_history" ).dialog({
	resizable: false,
	autoOpen: false,
	closeOnEscape: false,
	height: 350,
	width: 820,
	modal: true,
	buttons:
		[
			{
				text: "<?php echo $ini_team['close'][$_SESSION['lng']]; ?>",
				id: "hstry_cls",
				'class': "spanbutton w100",
				click: function() {
					$(this).dialog("close");
				}
			}				
		],
	close: function() {	
		$("body").find("#dialog_history").remove();
	},		
	open : function() {
		<?php if ($_REQUEST['tpe'] == "svt") { ?>
			$("#dialog_history").dialog('option', 'title', "<?php echo $ini_team['history'][$_SESSION['lng']].' '.$ini_team['tsvt'][$_SESSION['lng']].' QB-'.$_REQUEST['qb']; ?>");
		<?php } else { ?>
			$("#dialog_history").dialog('option', 'title', "<?php echo $ini_team['history'][$_SESSION['lng']].' '.$ini_team['tpl'][$_SESSION['lng']].' QB-'.$_REQUEST['qb']; ?>");
		<?php } ?>
	// close button format				
		$('#hstry_cls')
			.removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
			.off('hover')
			.off('focus');
	// load data
		$.ajax({
			type: "GET",
			cache: false,
			url:  "./tools/team_api.php",
			data: { 
				routine: "<?php ($_REQUEST['tpe']=='svt')?print('showsvt'):print('showpl');?>",
				qbn: window.sessionStorage.getItem("qb"),
			},
			dataType: "json",
			success: function(result)
			{
				$.each(result, function (key, value) {
					$("#history_body").append('\
						<div style="padding:0;margin:0;border-bottom:1px solid <?php echo $c_scheme['R1']; ?>;">\
							<label style="display:inline-block;margin:0;padding:1px;width:131px;border-right:1px solid <?php echo $c_scheme['R1']; ?>;">'+value["changedate"]+'\
							</label><label style="display:inline-block;margin:0;padding:1px;width:227px;border-right:1px solid <?php echo $c_scheme['R1']; ?>;">'+value["old"]+'\
							</label><label style="display:inline-block;margin:0;padding:1px;width:227px;border-right:1px solid <?php echo $c_scheme['R1']; ?>;">'+value["new"]+'\
							</label><label style="display:inline-block;margin:0;padding:1px;width:182px;">'+value["changer"]+'</label>\
						</div>\
					');
				});
			}
		});
	}
});