<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />	
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />	
	<?php include_once(dirname(__FILE__)."/tools/all_header.php"); global $c_scheme, $timezone, $rel_path; ?>
	<script>
		var js_debug = false;
		$data_changed = false;		
	</script>
	
    <title>Login</title>
		
	<link rel="stylesheet" href="./css/qb.php" />
	
	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>

	<script>
	// load translation and save in localTranslation
		<?php
			$ini_login = parse_ini_file($rel_path.'i18n/login.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_login as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
		?>
	</script>
</head>
<body>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
			<div class="dtop">
				<span data-type="text" data-lan="login"><?php echo $ini_login['login'][$_SESSION['lng']]; ?></span>
			</div>
			<div style="height: 360px; padding: 10px; width: 98%; font: normal 10pt Arial;">
				<fieldset class="login_textbox" style="width: 450px; margin: auto; border: 5px solid gray; padding: 10px;">
					<p id="validateLogin2" style="color: <?php echo $c_scheme['M5']; ?>; font-weight: bold; padding: 2px; margin-bottom: 10px;">&nbsp;</p>
					<label class="dlabel w150" data-type='text' data-lan="login"><?php echo $ini_login['login'][$_SESSION['lng']]; ?></label>
					<input id="username2" class="dinput w150" value="" type="text">
					<br style="margin-bottom: 5px;" />
					<label class="dlabel w150" data-type='text' data-lan="pwd"><?php echo $ini_login['pwd'][$_SESSION['lng']]; ?></label>
					<input id="password2" class="dinput w150" value="" type="password">
					<div style="text-align: center; margin-top: 10px;">
						<span class="spanbutton" data-type="text" data-lan="send" onclick="check_login2()"><?php echo $ini_login['send'][$_SESSION['lng']]; ?></span>
						<br style="margin-bottom: 10px;" />
						<a class="forgot" data-type='text' data-lan="forgot_pw" href="./send_pw.php"><?php echo $ini_login['forgot_pw'][$_SESSION['lng']]; ?></a>
					</div>
				</fieldset>
			</div>
		</div>
		<?php include_once($rel_path.'footer.php'); ?>
	</div>
	<!-- JScript-Bereiche fuer MS Internet Explorer -->
	<script for="document" event="onkeydown()" language="JScript" type="text/jscript">
	<!--
	 { if (window.event.keyCode==13) check_login2();}
	//-->
	</script>
	<script>
		var Netscape = new Boolean();
		if(navigator.appName == "Netscape")  Netscape = true;
		document.onkeydown = TasteGedrueckt;
		$('#loginspan').empty();
		$('#username2').val("");
		$('#password2').val("");
		$("#username2").focus();
		
		function TasteGedrueckt(Ereignis)
		{
			if(Netscape) {
				if (Ereignis.which==13) check_login2();
			}
		}		
	// switch language
		function c_lan(loc) {
			translate_header($globlan);	
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {			
				switch ($(this).data("type")) {
					case "text":
						if ($(this).data("lan")=="") break;
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "date":				
						$(this).val(localizedate($($(this).data("lan")).val()));
						break;						
				}
			});
		}
		function check_login2() {
			$("#loading").show();
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/general_api.php",
				data: { 
					routine: "checklogin",
					login: $('#username2').val(),
					pwd: $.base64.encode($('#password2').val())				
				},
				dataType: "json",
				success: function(usrresult)
				{
				// wrong password		
					if (usrresult[0]==0) {
						$("#loading").hide();
						$("#validateLogin2")
							.text(localTranslation["wrong_pw"][$globlan])
							.css("background-color","<?php echo $c_scheme['IW']; ?>");
						setTimeout(function() {
							$("#validateLogin2")
								.html( '&nbsp' )
								.css("background-color","transparent");
						}, 3000 );							
						return false;
                    } else if (usrresult[0]==1) {
                  // initial password
                        window.location.href = usrresult[1];
					} else {
                 // login OK
						window.location.href = "./index.php";					
					}
				}
			});
		}		
	</script>
</body>
</html>
