<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />	
	<?php 
		include_once(dirname(__FILE__)."/tools/all_header.php"); 
		global $c_scheme, $timezone, $rel_path;
		if ($qb_support->checkflag("Y") === false) header("Location: basic.php");
	?>	
	<script>
		var js_debug = false;
		$data_changed = false;	
	</script>
	
    <title>Options</title>
	
	<link rel="stylesheet" href="./css/qb.php" />
	
	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>

	<script>
	// load translation and save in localTranslation
		<?php	
			$ini_options = parse_ini_file($rel_path.'i18n/options.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_options as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
		?>
	</script>
</head>
<body>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
			<?php 
				echo "<div id='mainnav'>". $qb_support->get_main_menu(4) . "</div>";
			?>
			<div class="dtop">
				<?php include_once($rel_path.'html/systemmenu.php');	?>		
				<span data-type="text" data-lan="options"><?php echo $ini_options['options'][$_SESSION['lng']]; ?></span>
			</div>
			<div class="tabs_container">
				<div style="height: 540px; overflow-y: scroll; font-family: Arial; padding: 5px; border-bottom: 1px solid <?php echo $c_scheme['RN']; ?>" id="inisection">
					<?php
						$ini = $qb_support->optionsarray();                     
						foreach ($ini as $key => $value) {						
							if ($value['allowedit'] == 1) {
								echo "<p id='".$key."' style='border-bottom: 1px solid " . $c_scheme['R1'] . "; margin-bottom: 5px; padding-bottom: 5px;'>";
									echo "<span style='color: ".$c_scheme['XW'].";'>".$value['description'] ."</span><br />";
									$inputs = explode(":", $value['options'] );
									$cnt = 1;
									foreach($inputs as $input) {
										echo "<span>".$input.":</span>";
										switch ($value[$input]['type'])
										{
											case "select":
												echo "<select data-default='".$value[$input]['default']."' id='".$key."-".$cnt."' style='margin: 0 20px 0 10px;'>";
												$selopts = explode(":", $value[$input]['options']); 
												foreach($selopts as $opt) {
													if ($opt == $value[$input]['value']) {
														echo "<option selected value='".$opt."'>".$opt."</option>";
													} else {
														echo "<option value='".$opt."'>".$opt."</option>";
													}
												}
												echo "</select>";
												break;
											case "text":
												echo "<input data-default='".$value[$input]['default']."' id='".$key."-".$cnt."' style='width: ".$value[$input]['width']."px; margin: 0 20px 0 10px;' value='".$value[$input]['value']."' />";
												break;												
										}
										$cnt++;
									}
								echo "</p>";
							}
						}
					?>
				</div>			
				<center>
					<span data-type="text" data-lan="save" class="spanbutton w100" onclick="save();" style="margin-top: 20px;" ><?php echo $ini_options['save'][$_SESSION['lng']]; ?></span>
				</center>
			</div>
		</div>
		<?php include_once($rel_path.'/footer.php'); ?> 		
	</div>
	<script>
		function c_lan(loc) {
			translate_header($globlan);	
			translate_mainmenu($globlan);
			translate_system($globlan) 
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {			
				switch ($(this).data("type")) {
					case "text":		
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "date":
						$(this).val(localizedate($($(this).data("lan")).val()));
						break;						
				}
			});
		}
		function save() {
			$confarray = {};
			$.each($("#inisection p"), function(key, value) {
				$confarray[$(value).attr("id")] = {}
				for ($i = 1; $i < $(value).find("span").length; $i++) {
					$singleopt = $(value).find("span").eq($i).text().slice(0,-1);
					if ($("#"+$(value).attr("id")+"-"+$i).val() == "") {
						$confarray[$(value).attr("id")][$singleopt] = $("#"+$(value).attr("id")+"-"+$i).data("default");
					} else {
						$confarray[$(value).attr("id")][$singleopt] = $("#"+$(value).attr("id")+"-"+$i).val();
					}
				}
			});
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/options_api.php",
				data: { 
					routine: "saveini",
					ini: JSON.stringify($confarray)
				},
				success: function(result)
				{					
					jAlert(localTranslation["saved"][$globlan], localTranslation["attention"][$globlan], function() {
						location.reload(true);
					});
				}
			});				
		}	
	</script>	
</body>
</html>
