<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />	
	<?php 
		include_once(dirname(__FILE__)."/tools/all_header.php"); 
		global $c_scheme, $timezone, $rel_path;
		if (!$qb_support->checkflag("YW")) header("Location: basic.php");
	?>	
	<script>
		var js_debug = false;
		$data_changed = false;
	</script>
	
    <title>Rename</title>
	
	<link rel="stylesheet" href="./css/qb.php" />
	<link rel="stylesheet" href="./jqGrid_5.2.1/css/ui.jqgrid.css" />
	
	<style>
		.ui-jqgrid tr.jqgrow td{
			white-space:nowrap;
			height: 18px !important;
		}
		#pager_left{
			padding-top: 5px;
		}
		.ui-state-hover, .ui-widget-content .ui-state-hover, .ui-widget-header .ui-state-hover,
		.ui-state-focus, .ui-widget-content .ui-state-focus, .ui-widget-header .ui-state-focus
		{
			border: 0 none;
		}			
	</style>
	
	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>
	
	<?php 
		foreach(explode(":", $qb_support->getLanOnly()) as $key=>$value) {
			echo '<script src="./jqGrid_5.2.1/js/i18n/grid.locale-' . $value . '.js"></script>';
		}
	?>
	<script src="./jqGrid_5.2.1/js/jquery.jqGrid.min.js"></script>	

	<script>
	// load translation and save in localTranslation
		<?php	
			$ini_rename = parse_ini_file($rel_path.'i18n/rename.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_rename as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$ini_qbstatus = parse_ini_file($rel_path.'xml/qb_status.ini', true);
			$ddr = ":".$ini_rename['all'][$_SESSION['lng']];			
			echo "qbstatusTranslation = {};";
			foreach($ini_qbstatus as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "qbstatusTranslation['".$key."']={".rtrim($add, ',')."};";
				if (in_array($key, array('N','O','S','C'))) {
					$ddr .= ";".$key.":".$value[$_SESSION['lng']];
				}				
			}
			echo "var ddr = '".$ddr."';";			
		?>
	</script>
</head>
<body>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
			<?php 
				echo "<div id='mainnav'>". $qb_support->get_main_menu(4) . "</div>";
			?>
			<div class="dtop">
				<?php include_once($rel_path.'html/systemmenu.php');	?>		
				<span data-type="text" data-lan="rename_qb"><?php echo $ini_rename['rename_qb'][$_SESSION['lng']]; ?></span>
			</div>
			<div style="display: inline-block; margin-left: 5px;">
				<table id="list"></table> 
				<div id="pager"></div> 
			</div>
		</div>
		<?php include_once($rel_path.'/footer.php'); ?>
		<div id="dialog-rename">
			<p id="validateTips" style="padding: 2px; margin: 0px; margin-bottom: 10px;" >&nbsp;</p>
			<label class="dlaben w200 vam" data-type="label" data-lan="new_qb1" id="newqblabel"><?php echo $ini_rename['new_qb1'][$_SESSION['lng']]; ?></label>
			<select id="newqby">
				<?php
					date_default_timezone_set($timezone);
					$sy = date("Y");			
					echo "<option value='" . ($sy-10) . "'>" . ($sy-10) . "</option>";
					for ($ay=($sy-10); $ay < ($sy+2); $ay++) {			
						echo "<option value='" . $ay . "'>" . $ay . "</option>";
					}
				?>
			</select>
			_
			<input id="newqbn" type="text" maxlength="4" class="dinput w50" value="" />
		</div>	
	</div>
	<script>
		$('#newqby').width(60).customSelect({customClass: "cSelect_man"});
		
		$( "#dialog-rename" ).dialog({
		resizable: false,
		dialogClass: "doc_input",
		autoOpen: false,
		closeOnEscape: false,
		height: 200,
		width: 400,
		modal: true,
		buttons:
			[
				{
					text: "",
					id: "rename_save",
					css: { width: '100px' },	
					click: function() {
						numberRegex = /[0-9]{4,4}/;
						if(!(numberRegex.test($('#newqbn').val()))) {
							$("#dialog-rename").find("#validateTips")
								.text( localTranslation["format_zahl"][$globlan] )
								.css("background-color","<?php echo $c_scheme['IW']; ?>");
							setTimeout(function() {
								$("#dialog-rename").find("#validateTips")
									.html( '&nbsp' )
									.css("background-color","transparent");
							}, 4000 );							
							return false;
						} else {
							$("#loading").show();
							$.ajax({
								type: "POST",
								cache: false,
								url:  "./tools/rename_api.php",
								data: { 
									routine: "checkrename",
									newqb: $("#newqby").val()+"_"+$("#newqbn").val()
								},
								success: function(result)
								{
									$("#loading").hide();
									result=$.trim(result);
									if (result == "D") {
										$.alerts.cancelButton = localTranslation["cancel"][$globlan];
										jConfirm(localTranslation["qb_deleted"][$globlan], localTranslation["attention"][$globlan], function(r) {
											if (r) {
												$("#loading").show();											
												$.ajax({
													type: "POST",
													cache: false,
													url:  "./tools/rename_api.php",
													data: { 
														routine: "dorename",
														newqb: $("#newqby").val()+"_"+$("#newqbn").val(),
														oldqb: $('#dialog-rename').data('qbn'),
														ost: result
													},
													success: function(result)
													{
														$("#list").setGridParam({datatype:'json'}).trigger('reloadGrid');
														$("#dialog-rename").dialog( 'close' );
														$("#loading").hide();
													}
												});
											}
										});
									} else if (result != 'F') {
										$("#dialog-rename").find("#validateTips")
											.text( localTranslation["qb_vorhanden"][$globlan] )
											.css("background-color","<?php echo $c_scheme['IW']; ?>");
											$("#newqbn").val("");	
											$("#newqbn").focus();
										setTimeout(function() {
											$("#dialog-rename").find("#validateTips")
												.html( '&nbsp' )
												.css("background-color","transparent");
										}, 4000 );							
										return false;										
									} else {
										$("#loading").show();							
										$.ajax({
											type: "POST",
											cache: false,
											url:  "./tools/rename_api.php",
											data: { 
												routine: "dorename",
												newqb: $("#newqby").val()+"_"+$("#newqbn").val(),
												oldqb: $('#dialog-rename').data('qbn'),
												ost: result
											},
											success: function(result)
											{
												$("#list").setGridParam({datatype:'json'}).trigger('reloadGrid');
												$("#dialog-rename").dialog( 'close' );
												$("#loading").hide();
											}
										});
									}
								}
							});
						}
					}
				},
				{
					text: "",
					id: "rename_cancel",
					css: { width: '100px' },
					click: function() {
						$( this ).dialog( "close" );
					}
				}				
			],
			close: function() {
				$('#newqbn').val('');
			},		
			open : function() {
				$("#dialog-rename").dialog('option', 'title', "QB "+$('#dialog-rename').data('qbn')+" "+localTranslation["rename"][$globlan]);
				$("#rename_save").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
					.off('hover')
					.off('focus')
					.addClass("spanbutton")
					.find("span").text(localTranslation["save"][$globlan]);	
				$("#rename_cancel").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
					.off('hover')
					.off('focus')
					.addClass("spanbutton")
					.find("span").text(localTranslation["cancel"][$globlan]);				

				$ay = $('#dialog-rename').data('qbn').split("_")[0];
				$("#newqby").val($ay);
				$("#newqbn").val("");	
				$("#newqbn").focus();	
			}
		});	
		
		function load_page() {
			fill_grid();
		}
		function c_lan() {
			translate_header($globlan);	
			translate_mainmenu($globlan);
			translate_system($globlan);
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {			
				switch ($(this).data("type")) {
					case "text":		
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "date":
						$(this).val(localizedate($($(this).data("lan")).val()));
						break;						
				}
			});	
			$.jgrid.setRegional('list',{regional: $globlan});	
			$("#list").jqGrid('setLabel', "qbn", localTranslation["qbn"][$globlan])
				.jqGrid('setLabel', "svt", localTranslation["svt"][$globlan])
				.jqGrid('setLabel', "tgr", localTranslation["imat"][$globlan])
				.jqGrid('setLabel', "tgrbz", localTranslation["imatname"][$globlan])
				.jqGrid('setLabel', "sts", localTranslation["status"][$globlan]);
			$("#rename").attr("title", localTranslation["rename"][$globlan]);				
			$.each($('*').filter(function(){return $(this).data('lan') !== undefined;}), function() {
				$("#gs_qbstatus").find("option").each(function(idx, obj) {
					if ($(this).val() == "") {
						$(this).text(localTranslation["all"][$globlan]);
					} else {
						$(this).text(qbstatusTranslation[$(this).val()][$globlan]);			
					}
				});		
			});
			$("#list").trigger("reloadGrid");
		}
		function custbtns() {
			$("#list").jqGrid('navButtonAdd',"#pager",{
				caption:"", 
				id:"rename",
				buttonicon:"ui-icon-transferthick-e-w", 
				onClickButton: function(){
					selRowId = $("#list").jqGrid ('getGridParam', 'selrow');
					if (selRowId == null) {
						jAlert(localTranslation["selectrow"][$globlan], localTranslation["attention"][$globlan]);	
						return false;							
					} else {
						qbn = $("#list").jqGrid ('getCell', selRowId, 'qbn');
						$("#dialog-rename").data("qbn", qbn).dialog("open");
					}
				},
				position: "last", 
				title: localTranslation["rename"][$globlan], 
				cursor: "default"
			});
			$("#rename div").empty().html("<span class='icn_exchange_b_n clckbtn'></span>");
			$("#rename").removeClass("ui-pg-button");
			$("#pager_left .ui-separator").parent().remove();		
		}
		function QBStatusFormatter (cellvalue, options, rowObject) {
			return qbstatusTranslation[cellvalue][$globlan];
		}
		function fill_grid() {
			$("#loading").show();
			cmTemplate = {
				editable: false,
				sorttype:'string',
				searchoptions: {
					sopt:['cn'], 
					clearSearch: false
				}
			};
			obj = {
				url:  "./tools/rename_api.php",
				postData: {
					routine : "listqb",
					qblan: $globlan
				},
				contentType: "application/json",
				datatype: "json",
				jsonReader: {
					id: "id",
					repeatitems: true
				},
				mtype: "POST",
				colNames: [
					localTranslation["qbn"][$globlan],
					localTranslation["svt"][$globlan],
					localTranslation["imat"][$globlan],
					localTranslation["imatname"][$globlan],
					localTranslation["status"][$globlan],
					""
				],
				colModel: [
					{ 
						name: "qbn", 
						template: cmTemplate,
						width: 90
					},
					{
						name: "svt", 
						template: cmTemplate,
						width: 170
					},
					{ 
						name: "tgr",
						template: cmTemplate,
						width: 200
					},
					{ 
						name: "tgrbz", 
						template: cmTemplate,
						width: 350
					},
					{ 
						name: "qbstatus",
						template: cmTemplate,
						width: 130,
						stype: 'select',					
						searchoptions:
						{
							value: ddr
						},						
						formatter: QBStatusFormatter
					},
					{
						name: "sts",
						hidden: true
					}
				],
				regional: $globlan,
				storeNavOptions: true,			
				loadonce: false,
				pager: "#pager",
				height: 500,
				rowNum: 100,
				rowList: [10, 100, 500, 1000, 1500],
				hoverrows: false,
				rownumbers: true,
				sortname: "qbn",
				sortorder: "desc",
				viewrecords: true,
				gridview: true,
				autoencode: true,
				ignoreCase:true,
				loadui: "block",
				loadComplete: function() {
					$("th[role='columnheader']")
						.unbind("mouseenter")
						.unbind("mouseleave");
						
					var rows = $("#list").getDataIDs();
					for(a=0;a<rows.length;a++)
					{
						row = $("#list").getRowData(rows[a]);
						switch(row.sts) {
							case "N":
								$("#list").setCell (rows[a], "qbstatus","",{"background":"<?php echo $c_scheme['SN']; ?>"});
								break;					
							case "O":
								$("#list").setCell (rows[a], "qbstatus","",{"background":"<?php echo $c_scheme['SO']; ?>"});
								break;
							case "S":
								$("#list").setCell (rows[a], "qbstatus","",{"background":"<?php echo $c_scheme['ST']; ?>"});
								break;
							case "C":
								$("#list").setCell (rows[a], "qbstatus","",{"background":"<?php echo $c_scheme['SC']; ?>"});
								break;
							case "M":
								$("#list").setCell (rows[a], "qbstatus","",{"background":"<?php echo $c_scheme['SM']; ?>"});
								break;							
						}					
					}
				},
				ondblClickRow: function(id, ri, ci) {
					qbn = $("#list").jqGrid ('getCell', id, 'qbn');
					$("#dialog-rename").data("qbn", qbn).dialog("open");				
				},
				gridComplete: function(data) {
					$(".ui-search-toolbar input[role='textbox']")
						.css("width", "92%")
						.css("background", "<?php echo $c_scheme['M5']; ?>")
						.css("padding", "2px");	
					custbtns();						
				}				
			};
			list1 = $("#list").jqGrid(obj)
				.jqGrid('filterToolbar',{searchOperators : false, searchOnEnter: false})
				.navGrid('#pager', {refresh: false, search: false, edit: false, del: false, add: false});	
			$("#loading").hide();
		}
		load_page();
	</script>
</body>
</html>
