<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<?php include_once(dirname(__FILE__)."/tools/all_header.php"); global $c_scheme, $timezone, $rel_path; ?>
	<script>
		var js_debug = false;
		$data_changed = false;		
	</script>
		
    <title>Pasword forgotten</title>
		
	<link rel="stylesheet" href="./css/qb.php" />
	
	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>
	
	<script>
	// load translation and save in localTranslation
		<?php	
			$ini_sendpw = parse_ini_file($rel_path.'i18n/send_pw.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_sendpw as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
		?>
	</script>
</head>
<body>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
			<?php 
				echo "<div id='mainnav'>". $qb_support->get_main_menu(99) . "</div>";
			?>
			<div class="dtop">
				<span data-type="text" data-lan="forgot_pw"><?php echo $ini_sendpw['forgot_pw'][$_SESSION['lng']]; ?></span>
			</div>
			<div class="tabs_container">
				<p style="margin-top: 50px; text-align: center; font: normal 12pt Arial; " data-type="text" data-lan="select_name"><?php echo $ini_sendpw['select_name'][$_SESSION['lng']]; ?><p>
				<p style="margin: auto; margin-top: 30px; width: 230px;">
					<select id="usrname">
						<option value=''>...</option>
						<?php
							$query = "SELECT CONCAT(NACHNAME, ', ', VORNAME), LOGIN FROM qb_user WHERE EMAIL<>''  ORDER BY NACHNAME";
							$stmt = $db->query($query);
							while($row = $stmt->fetch(PDO::FETCH_NUM)) {
								echo "<option value='" . $row[1] . "'>" . $row[0] . "</option>";
							}
						?>
					</select>
				<p />
				<p style="margin-top: 30px; text-align: center;">
					<span data-type="text" data-lan="send" class="spanbutton w100" onclick="check_form();" ><?php echo $ini_sendpw['send'][$_SESSION['lng']]; ?></span>
				</p>				
			</div>
		</div>
		<?php include_once($rel_path.'footer.php'); ?>
	</div>
	<script>
		$('#usrname').width(200).customSelect({customClass: "cSelect_man"});
		
		function c_lan() {
			translate_header($globlan);	
			translate_mainmenu($globlan);
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {	
				switch ($(this).data("type")) {
					case "text":		
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "date":
						$(this).val(localizedate($($(this).data("lan")).val()));
						break;						
				}
			});
		}
		function check_form() {
			if ($("#usrname").val() == "") return;
			$("#loading").show();
			$.ajax({
				type: "GET",
				cache: false,
				url:  "./tools/general_api.php",
				data: { 
					routine: "lostpw",
					usr: $("#usrname").val()
				},
				success: function(result)
				{
					jAlert(localTranslation["pwsent"][$globlan], localTranslation["attention"][$globlan], function(){ window.location.href = "./basic.php"; });
					return false;
				}
			});
		}		
	</script>
</body>
</html>
