<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />	
	<?php 
		include_once(dirname(__FILE__)."/tools/all_header.php"); 
		global $c_scheme, $timezone, $rel_path;
		if (!$qb_support->checkflag("YW")) header("Location: basic.php");
	?>	
	<script>
		var js_debug = false;
		$data_changed = false;	
	</script>
	
    <title>Representatives</title>
	
	<link rel="stylesheet" href="./css/qb.php" />
	<link rel="stylesheet" href="./jqGrid_5.2.1/css/ui.jqgrid.css" />
	<style>
		.ui-separator {
			border:0 !important;
			width: 10px;
		}
		.ui-pager-control {
			height: 32px !important;
		}
		.ui-jqgrid tr.jqgrow td{
			white-space:nowrap;
			height: 18px !important;
		}
		.ui-state-hover, .ui-widget-content .ui-state-hover, .ui-widget-header .ui-state-hover,
		.ui-state-focus, .ui-widget-content .ui-state-focus, .ui-widget-header .ui-state-focus
		{
			border: 0 none;
		}			
	</style>
	
	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>
		
	<?php 
		foreach(explode(":", $qb_support->getLanOnly()) as $key=>$value) {
			echo '<script src="./jqGrid_5.2.1/js/i18n/grid.locale-' . $value . '.js"></script>';
		}
	?>
	<script src="./jqGrid_5.2.1/js/jquery.jqGrid.min.js"></script>	

	<script>
	// load translation and save in localTranslation
		<?php	
			$ini_substitute = parse_ini_file($rel_path.'i18n/substitute.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_substitute as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
		?>
	</script>
</head>
<body>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
			<?php 
				echo "<div id='mainnav'>". $qb_support->get_main_menu(4) . "</div>";
			?>
			<div class="dtop">
				<?php include_once($rel_path.'html/systemmenu.php');	?>		
				<span data-type="text" data-lan="substitute"><?php echo $ini_substitute['substitute'][$_SESSION['lng']]; ?></span>
			</div>
			<div class="tabs_container">
				<div id="btn_div" class="btn_div">
					<label data-type="text" data-lan="svt" class="dlabel w175" style="margin: 10px 0px;" ><?php echo $ini_substitute['svt'][$_SESSION['lng']]; ?></label>
					<br />
					<select id="substitute" onchange="update_list(this.value)" >
						<option selected value="">...</option>
						<?php
							$query = "SELECT LOGIN, CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE FLAGS LIKE '%V%' ORDER BY NACHNAME";
							$stmt = $db->query($query);
							while($row = $stmt->fetch(PDO::FETCH_NUM)) {
								echo "<option value='" . $row[0] . "'>" . $row[1] . "</option>";
							}								
						?>
					</select>
				</div>
				<div style="display: inline-block;">
					<table id="list"></table> 
					<div id="pager"></div> 
				</div>
			</div>
		</div>
		<?php include_once($rel_path.'footer.php'); ?> 	
	</div>
	<script>
		$('#substitute').width(170).customSelect({customClass: "cSelect_wht"});
		
		function load_page() {
			fill_pot();
		}
		function c_lan() {
			translate_header($globlan);	
			translate_mainmenu($globlan);
			translate_system($globlan);
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {			
				switch ($(this).data("type")) {
					case "text":		
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "date":
						$(this).val(localizedate($($(this).data("lan")).val()));
						break;						
				}
			});	
			$.jgrid.setRegional('list',{regional: $globlan});
			$("#list").jqGrid('setLabel', "login", localTranslation["login"][$globlan])
				.jqGrid('setLabel', "nachname", localTranslation["nname"][$globlan])
				.jqGrid('setLabel', "vorname", localTranslation["vorname"][$globlan])
				.jqGrid('setLabel', "role", localTranslation["role"][$globlan])
				.jqGrid('setLabel', "r1", localTranslation["subst"][$globlan]);			
		}
		function VacationFormatter (cellvalue, options, rowObject) {
			if (cellvalue == "1") {
				return "<span class='icn_ok_be_n'></span>";
			} else {
				return "";
			}
		}
		function custbtns() {
			$("#list").jqGrid('navButtonAdd',"#pager",{
					caption:"", 
					id:"add_rep",
					buttonicon:"ui-icon-refresh", 
					onClickButton: function(){
						selRowId = $("#list").jqGrid ('getGridParam', 'selrow');
						if (selRowId == null) {
							jAlert(localTranslation["alertrow"][$globlan], localTranslation["attention"][$globlan]);	
							return false;							
						} else {					
							$residx = $("#list").jqGrid ('getCell', selRowId, 'login');	// get user login
							$.ajax({
								type: "POST",
								cache: false,
								url:  "./tools/substitute_api.php",
								data: { 
									routine: "setrep",
									substitute: $("#substitute").val(),
									usr: $residx
								},
								success: function(result)
								{
									$("#list").setGridParam({datatype:'json'}).trigger('reloadGrid');
								}
							});	
						}
					}, 
					position: "last", 
					title: localTranslation["add_sub"][$globlan], 
					cursor: "default"
				})
				.jqGrid('navSeparatorAdd', "#pager", {})
				.jqGrid('navButtonAdd',"#pager",{
					caption:"", 
					id:"del_rep",
					buttonicon:"ui-icon-shuffle", 
					onClickButton: function(){
						if ($("#substitute").val() == "") {
							return false;							
						} else {					
							$.ajax({
								type: "POST",
								cache: false,
								url:  "./tools/substitute_api.php",
								data: { 
									routine: "resetrep",
									substitute: $("#substitute").val()
								},
								success: function(result)
								{
									$("#list").setGridParam({datatype:'json'}).trigger('reloadGrid');
								}
							});	
						}
					}, 
					position: "last", 
					title: localTranslation["del_sub"][$globlan], 
					cursor: "default"
				});
				$("#add_list div").empty().html("<span class='icn_add_b_n clckbtn'></span>");
				$("#add_list").removeClass("ui-pg-button");
				$("#add_rep div").empty().html("<span class='icn_substitute_b_n clckbtn' style='margin: 0 5px;'></span>");
				$("#add_rep").removeClass("ui-pg-button");
				$("#del_rep div").empty().html("<span class='icn_delete_b_n clckbtn'></span>");
				$("#del_rep").removeClass("ui-pg-button");
				
				$("#pager_left .ui-separator").parent().remove();	

		}
		function fill_pot() {
			$("#loading").show();
			cmTemplate = {
				editable: false,
				sorttype:'string',
				searchoptions: {
					sopt:['cn'], 
					clearSearch: false
				}
			};
			obj = {
				url:  "./tools/substitute_api.php",
				postData: 
				{
					routine : "getlist",
					substitute: $("#substitute").val()
				},
				contentType: "application/json",
				datatype: "json",
				jsonReader: {
					id: "id",
					repeatitems: true
				},
				mtype: "POST",
				colNames: [
					localTranslation["login"][$globlan],
					localTranslation["nname"][$globlan],
					localTranslation["vorname"][$globlan],
					localTranslation["role"][$globlan],
					localTranslation["subst"][$globlan]
				],	
				colModel: [
					{ 
						name: "login", 
						template: cmTemplate,
						width: 140,
						editable: true,
						edittype:'select',
						editrules:
						{
							required:true,
						},
						editoptions:
						{
							dataUrl: './tools/substitute_api.php',
							postData: function (rowid) {
								return { routine: "getsvt", svt: $("#substitute").val() };
							},
							size: "1",
							dataInit: function(elem) {
								$(elem).width(225);
							}
						}	
					},
					{
						name: "nachname", 
						template: cmTemplate,
						width: 210
					},
					{
						name: "vorname", 
						template: cmTemplate,
						width: 210
					},
					{
						name: "role", 
						template: cmTemplate,
						width: 140
					},					
					{
						name: "r1", 
						template: cmTemplate,
						search : false,
						align: "center",
						width: 40,
						formatter: VacationFormatter
					}				
					
				],
				regional: $globlan,
				storeNavOptions: true,
				loadonce: true,
				pager: "#pager",
				height: 510,
				rowNum: 100,
				hoverrows: false,
				rownumbers:true,
				sortname: "dsvt",
				sortorder: "desc",
				gridview: true,
				autoencode: true,
				ignoreCase:true,
				loadui: "block",
				viewrecords: true,
				pgbuttons: false,
				pginput: false,
				rowList: [],
				editurl: "./tools/substitute_api.php",
				loadComplete: function() {
					$("th[role='columnheader']")
						.unbind("mouseenter")
						.unbind("mouseleave");
				},
				gridComplete: function(data) {
					$(".ui-search-toolbar input[role='textbox']")
						.css("width", "92%")
						.css("background", "<?php echo $c_scheme['M5']; ?>")
						.css("padding", "2px");
						
					custbtns();					
					if ($("#substitute").val() == "") {
						$("#pager_left").hide();
					} else {
						$("#pager_left").show();
					}		
				}				
			};
			addSettings = {
				recreateForm:true,
				jqModal:true,
				modal: true,
				reloadAfterSubmit:true,
				closeOnEscape:false,
				savekey: [false,13],
				closeAfterAdd:true,
				zIndex:1000,
				width: 330,
				viewPagerButtons:true,
				beforeShowForm: function(form) {
			// center edit form
					var parentWidth = $(window).width();
					var parentHeight = $(window).height();
					var dlgDiv = $("#editmodlist");
					var dlgWidth = dlgDiv.width();
					var dlgHeight = dlgDiv.height();
					dlgDiv[0].style.top = Math.round((parentHeight-dlgHeight)/2) + "px";
					dlgDiv[0].style.left = Math.round((parentWidth-dlgWidth)/2) + "px";
					$(".EditButton")
						.empty()
						.append("<span id='sData' class='spanbutton w100'>"+localTranslation["save"][$globlan]+"</span>")
						.append("<span id='cData' style='margin: 0 10px;' class='spanbutton w100'>"+localTranslation["cancel"][$globlan]+"</span>");								
				},			
				ajaxEditOptions:{ contentType:"application/json" },
				mtype:'POST',
				postData: {routine : "adduser"},
				serializeEditData:function (data) {
					data["routine"] = "addrep";
					data["svt"] = $("#substitute").val();
					return JSON.stringify(data);
				},
				onClose: function() {
					$("#list").setGridParam({datatype:'json'}).trigger('reloadGrid');
				}	
			};		
			list1 = $("#list").jqGrid(obj)
				.jqGrid('filterToolbar',{searchOperators : false, searchOnEnter: false})
				.navGrid('#pager', {refresh: false, search: false, edit: false, del: false}, {}, addSettings, {});	
			$("#loading").hide();
		}
		function update_list(loc) {
			$("#list").setGridParam({datatype:'json', postData: {routine : "getlist", substitute: loc}}).trigger('reloadGrid');
		}
		load_page();
	</script>		
</body>
</html>