<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />	
	<?php 
		include_once(dirname(__FILE__)."/tools/all_header.php"); 
		global $c_scheme, $timezone, $rel_path;
		if ($qb_support->checkflag("VD") === false) header("Location: basic.php");
	?>	
	<script>
		var js_debug = false;
		$data_changed = false;		
	</script>
	
    <title>SVT Admin</title>
	
	<link rel="stylesheet" href="./css/qb.php" />
	<link rel="stylesheet" href="./jqGrid_5.2.1/css/ui.jqgrid.css" />
	
	<style>
		.ui-jqgrid tr.jqgrow td{
			white-space:nowrap;
			height: 18px !important;
		}
		#pager_left{
			padding-top: 5px;
		}		
	</style>
	
	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>
	
	<?php 
		foreach(explode(":", $qb_support->getLanOnly()) as $key=>$value) {
			echo '<script src="./jqGrid_5.2.1/js/i18n/grid.locale-' . $value . '.js"></script>';
		}
	?>
	<script src="./jqGrid_5.2.1/js/jquery.jqGrid.min.js"></script>	

	<?php
		$query = "
			SELECT 
				DATE_FORMAT(NOW(), '%Y-%m-%d'), 
				DATEDIFF(MAX(QBREGDATE), NOW()), 
				DATEDIFF(MIN(QBREGDATE), NOW())
			FROM 
				qbi 
			WHERE 
				QBSTATUS NOT IN ('M', 'D')
		";
		$stmt = $db->query($query);
		$row = $stmt->fetch(PDO::FETCH_NUM );	
		$cur_dat = $row[0];
	?>
	<script>
	// load translation and save in localTranslation
		<?php	
			$ini_svtcont = parse_ini_file($rel_path.'i18n/svtcont.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_svtcont as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$cal = parse_ini_file($rel_path.'i18n/calendar.ini', true);
			echo "calTranslation = {};";
			foreach($cal as $key=>$value){
				$add = "";
				if ($value['tpe'] == "S") {
					foreach($value AS $lan=>$trans){
						if ($lan != "tpe") $add .= "'".$lan."':'".$trans."',";
					}
				} else {
					foreach($value AS $lan=>$trans){
						if ($lan != "tpe") {
							$tar = explode(",", $trans);
							$tar = implode("','", $tar);
							$add .= "'".$lan."': ['".$tar."'],";
						}
					}				
				}
				echo "calTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$ini_qbtype = parse_ini_file($rel_path.'xml/qb_type.ini', true);
			$ddt = ":".$ini_svtcont['all'][$_SESSION['lng']];	
			echo "qbtypeTranslation = {};";
			foreach($ini_qbtype as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "qbtypeTranslation['".$key."']={".rtrim($add, ',')."};";
				$ddt .= ";".$key.":".$value[$_SESSION['lng']];
			}
			echo "var ddt = '".$ddt."';";			
		?>
	</script>
</head>
<body>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
			<?php 
				echo "<div id='mainnav'>". $qb_support->get_main_menu(5) . "</div>";
			?>
			<div class="dtop">
				<span data-type="text" data-lan="sortimentscontrolling"><?php echo $ini_svtcont['sortimentscontrolling'][$_SESSION['lng']]; ?></span>
			</div>
			<?php echo $qb_support->get_svt_menu(0); ?>
			<div id="docscontainer" style="margin: 2px; margin-top: 0; height: 560px;">
				<div id="btn_div" class="btn_div" style="height: 555px;">
					<br />
					<label class="dlabel vam w50" data-type="text" data-lan="date" ><?php echo $ini_svtcont['date'][$_SESSION['lng']]; ?></label>
					<input type="text" id="fquarter" data-type="date" data-lan="#when_org" class="dinputw vam w75" value="" onchange="update_grid()" readonly />
					<input type="hidden" id="when_org" value="" />
					<br />
					<div style="text-align: center; margin-top: 30px;">	
						<span class="spanbuttonp" id="excel" data-type="text" data-lan="export" onclick="ExportDataToExcel();"><?php echo $ini_svtcont['export'][$_SESSION['lng']]; ?></span>	
					</div>						
				</div>
				<div style="display: inline-block; width: 670px; text-align: center;">
					<table id="list"></table> 
					<div id="pager"></div> 
				</div>
			</div>
		</div>
		<?php include_once($rel_path.'footer.php'); ?> 		
		<form name="anqbxls" method="post" target="_blank" action = "./tools/svtcont_excel.php";>
			<input type="hidden" name="datas" id="datas" value="" />
			<input type="hidden" name="titles" id="titles" value="" />
			<input type="hidden" name="filters" id="filters" value="" />
			<input type="hidden" name="fields" id="fields" value="" />
			<input type="hidden" name="exdate" id="exdate" value="" />
			<input type="hidden" name="qblan" id="qblan" value="" />
		</form>
	</div>
	<script>
		var pickerOpts = {
			closeText: "X",		
			dateFormat: "yy-M-dd",
			altField: '#when_org',
			altFormat: 'yy-mm-dd',
			firstDay: 1,
			isRTL: false,
			maxDate: "+0",
			changeYear: true,
			changeMonth: true,			
			showButtonPanel: true,
			displayClose: true,
			showOn: "button", 
			maxDate: "+0d",
			minDate: "-<?php echo $row[2];?>d",			
			buttonImage: "./img/dummy_img.png", 
			buttonImageOnly: true,
			buttonText: localTranslation["cal"][$globlan]
		};			
				
	// fix um bei klicken auf "Heute" den Kalender zu schliessen	
		var old_goToToday = $.datepicker._gotoToday;
		$.datepicker._gotoToday = function(id) {
			old_goToToday.call(this,id);   
			this._selectDate(id);
		};
		$("#fquarter").datepicker(pickerOpts);
		clkevnt = $("#fquarter").next().data('events').click[0].handler;
		$("#fquarter").next().replaceWith('<span class="ui-datepicker-trigger icn_calendar_b_n clckbtn vam" data-type="image" data-lan="cal" title="<?php echo $ini_svtcont['cal'][$_SESSION['lng']]; ?>"></span>');
		$("#fquarter").next().bind('click', clkevnt);
		
	// switch language
		function c_lan() {
			translate_header($globlan);	
			translate_mainmenu($globlan);
			translate_svtmenu($globlan); 
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {			
				switch ($(this).data("type")) {
					case "text":		
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "date":
						$(this).val(localizedate($($(this).data("lan")).val()));
						break;						
				}
			});
			$.jgrid.setRegional('list',{regional: $globlan});
			$("#list").jqGrid('setLabel', "wgr", localTranslation["wgr"][$globlan])
				.jqGrid('setLabel', "qbn", localTranslation["qbn"][$globlan])
				.jqGrid('setLabel', "qbtype", localTranslation["type"][$globlan])
				.jqGrid('setLabel', "svt", localTranslation["svt"][$globlan]);
			$("#list").trigger("reloadGrid");
			$("#gs_qbtype").find("option").each(function(idx, obj) {
				if ($(this).val() == "") {
					$(this).text(localTranslation["all"][$globlan]);
				} else {
					$(this).text(qbtypeTranslation[$(this).val()][$globlan]);
				}
			});				
		}
		function load_page() {
			$("#fquarter").val(localizedate("<?php echo $row[0]; ?>"));
			$("#when_org").val("<?php echo $row[0]; ?>");
			fill_grid();
		}
		function ArtFormatter (cellvalue, options, rowObject)
		{
			return qbtypeTranslation[cellvalue][$globlan];
		}
		function fill_grid() {
			$("#loading").show();		
			cmTemplate = {
				sorttype:'string',
				editable: false,
				searchoptions: {
					sopt:['cn'], 
					clearSearch: false
				}
			};			
			obj = {
				url:  "./tools/svtcont_api.php",
				postData: {
					routine: "quarterly",
					sdate: $("#fquarter").val()
				},
				contentType: "application/json",
				datatype: "json",
				jsonReader: {
					id: "id",
					repeatitems: true
				},
				mtype: "POST",
				colNames: [
					localTranslation["wgr"][$globlan], 
					localTranslation["qbn"][$globlan],
					localTranslation["type"][$globlan],
					localTranslation["svt"][$globlan],
					""
				],
				colModel: [
					{ 
						name: "wgr", 
						width: 130 , 
						template: cmTemplate
					},				
					{
						name: "qbn", 
						width: 110,
						template: cmTemplate
					},
					{ 
						name: "qbtype", 
						width: 150 , 
						template: cmTemplate,
						stype: 'select',					
						searchoptions:
						{
							value: ddt,
							clearSearch: false,
							searchOperators: false
						},						
						formatter: ArtFormatter
					},
					{
						name: "svt", 
						width: 350,
						template: cmTemplate
					},
					{
						name: "qblc",
						hidden: true
					}
				],
				regional: $globlan,
				storeNavOptions: true,			
				loadonce: true,
				pager: "#pager",
				recordpos: "left",
				height: 470,
				rowNum: 100,
				rowList: [10, 100, 500, 1000, 1500],
				hoverrows: false,
				rownumbers: true,
				sortname: "last",
				sortorder: "desc",
				viewrecords: true,
				gridview: true,
				autoencode: true,
				ignoreCase:true,
				loadui: "block",
				onRightClickRow: function (rowid, iRow, iCol, e) {
					window.localStorage.setItem("qb", $("#list").jqGrid('getRowData', rowid).qbn);
					$.ajax({
						url: "./tools/general_api.php",
						data: {
							routine: "get_qbs",
							qbn: $("#list").jqGrid('getRowData', rowid).qbn
						},
						success: function(result) {
							window.localStorage.setItem("qbn", result.substring(1, result.length-1));				
							window.open(
								'./basic.php',
								'_blank'
							);
							return false;
						}		
					});
					return false;
				},
				loadComplete: function() {
					$("th[role='columnheader']")
						.unbind("mouseenter")
						.unbind("mouseleave");
						
					var rows = $("#list").getDataIDs();
					for(a=0;a<rows.length;a++)
					{
						row = $("#list").getRowData(rows[a]);
						switch(row.qblc) {
							case "L":
								$("#list").setCell (rows[a], "qbtype","",{"background":"<?php echo $c_scheme['TL']; ?>"});
								break;					
							case "T":
								$("#list").setCell (rows[a], "qbtype","",{"background":"<?php echo $c_scheme['TT']; ?>"});
								break;
							case "N":
								$("#list").setCell (rows[a], "qbtype","",{"background":"<?php echo $c_scheme['TN']; ?>"});
								break;							
						}
					}
				},
				gridComplete: function(data) {
					$(".ui-search-toolbar input[role='textbox']")
						.css("width", "92%")
						.css("background", "<?php echo $c_scheme['M5']; ?>")
						.css("padding", "2px");	
					$(".ui-search-toolbar select[role='select']")
						.removeClass("ui-corner-all")
						.css("background", "<?php echo $c_scheme['M5']; ?>")
						.css("padding", "2px");						
				}			
			};
			list1 = $("#list").jqGrid(obj)
				.jqGrid('filterToolbar',{searchOperators : false, searchOnEnter: false})
				.jqGrid('navGrid', '#pager', {refresh: false, search: false, edit: false, del: false, add: false});
			$("#loading").hide();
		}
		function ExportDataToExcel() {
		// create output object
			out = Array();
		// define columns to be exported
			var exp_cols = Array("wgr", "qbn", "qbtype", "svt");
		// first get all column titles
			var col_titles_all = obj.colNames;
		// now filter those which should be used
			out['titles'] = {};
			$.each(obj.colModel, function(key, value){
				if ($.inArray(value['name'], exp_cols) > -1) out['titles'][value['name']] = col_titles_all[key];
			});
		// get filter
			out['filter'] = {};
			$fltr = $(".ui-search-toolbar input");
			var fltr_set = Array();
			$.each($fltr, function(key, value) {
				if ($.inArray(value['name'], exp_cols) > -1) out['filter'][value['name']] = $(value).val();
			});
		// get data
			out['data'] = Array();
			// create "negative array" from columns
			var ca = Array();
			$.each(obj.colModel, function (key, value) {
				ca.push(value['name']);
			});		
			var delarray = $.grep(ca, function(n, i){
				return $.inArray(n, exp_cols) == -1;
			});
			// cycle through data and remove columns which are not needed
			$.each($("#list").getRowData(), function (key, value) {
				var $tmp = value;
				$.each(delarray, function(key1, value1) {
					delete $tmp[value1];
				});
				out['data'][key] = value;
			});
			// correct formatters
			$.each(out['data'], function (key, value) {
				var $tmp2 = value;
				$.each($tmp2, function (key1, value1) {		
					if (typeof $($.parseHTML(value1)).html() != "undefined") {
						out['data'][key][key1] = $($.parseHTML(value1)).html();
					}
				});
			});	
			$("#datas").val(JSON.stringify(out['data']));
			$("#titles").val(JSON.stringify(out['titles']));
			$("#filters").val(JSON.stringify(out['filter']));
			$("#qblan").val($globlan);
			document.anqbxls.submit();
		}
		function update_grid() {
			$("#list").setGridParam({datatype:'json', postData: {sdate: $("#when_org").val()}}).trigger('reloadGrid');
		}
		load_page();
	</script>
</body>
</html>