<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />	
	<?php 
		include_once(dirname(__FILE__)."/tools/all_header.php"); 
		global $c_scheme, $timezone, $rel_path;
		if (!$qb_support->checkflag("YW")) header("Location: basic.php");
        date_default_timezone_set($timezone);
	?>	
	<script>
		var js_debug = false;
		$data_changed = false;	
	</script>
	
    <title>Tests</title>
	
	<link rel="stylesheet" href="./css/qb.php" />
	
	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>

	<script>
	// load translation and save in localTranslation
		<?php	
			$ini_speed = parse_ini_file($rel_path.'i18n/tests.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_speed as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
		?>
	</script>
</head>
<body>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
			<?php 
				echo "<div id='mainnav'>". $qb_support->get_main_menu(4) . "</div>";
			?>
			<div class="dtop">
				<?php include_once($rel_path.'html/systemmenu.php'); ?>		
				<span data-type="text" data-lan="speed_test"><?php echo $ini_speed['tests'][$_SESSION['lng']]; ?></span>
			</div>
			<div class="tabs_container">
				<div style="background: <?php echo $c_scheme['IE']; ?>; width: 800px; margin: auto; margin-top: 20px; padding: 20px 5px;">
					<label data-type="text" data-lan="speed_test" class="dlabel w200" style="color: <?php echo $c_scheme['XH']; ?>;"><?php echo $ini_speed['speed_test'][$_SESSION['lng']]; ?></label>				
					<label data-type="text" data-lan="response_time" class="dlabel w150" style="margin-left: 100px;"><?php echo $ini_speed['response_time'][$_SESSION['lng']]; ?></label>
					<input type="text" class="dinputw w50 vam" style="text-align: right; margin-left: 110px;" id="response" value="" readonly />				
					<label class="dlabel w50">ms</label>
					<span data-type="text" data-lan="start" style="background-color: <?php echo $c_scheme['XH']; ?>;" class="spanbutton w100" onclick="s_start();" ><?php echo $ini_speed['start'][$_SESSION['lng']]; ?></span>
				</div>
				<div style="background: <?php echo $c_scheme['IE']; ?>; width: 800px; margin: auto; margin-top: 20px; padding: 20px 5px;">
					<label data-type="text" data-lan="test_mail" class="dlabel w200" style="color: <?php echo $c_scheme['XH']; ?>;"><?php echo $ini_speed['test_mail'][$_SESSION['lng']]; ?></label>				
					<label data-type="text" data-lan="email" class="dlabel w150" style="margin-left: 100px;"><?php echo $ini_speed['email'][$_SESSION['lng']]; ?></label>
					<input type="text" class="dinputw w200 vam" id="receiver" value="" />				
					<span data-type="text" data-lan="start" style="margin-left: 20px; background-color: <?php echo $c_scheme['XH']; ?>;" class="spanbutton w100" onclick="s_send();" ><?php echo $ini_speed['send'][$_SESSION['lng']]; ?></span>
				</div>
				<div style="background: <?php echo $c_scheme['IE']; ?>; width: 800px; margin: auto; margin-top: 20px; padding: 20px 5px;">
					<label data-type="text" data-lan="fake_user" class="dlabel w200" style="color: <?php echo $c_scheme['XH']; ?>;"><?php echo $ini_speed['fake_user'][$_SESSION['lng']]; ?></label>				
					<label data-type="text" data-lan="user" class="dlabel w150" style="margin-left: 100px;"><?php echo $ini_speed['user'][$_SESSION['lng']]; ?></label>
					<select id="fakeuser" onchange="s_fake();">
						<option selected value=""></option>
						<?php
							$query = "SELECT LOGIN, NACHNAME, VORNAME FROM qb_user WHERE ACTIVE=1 AND FLAGS!='' ORDER BY NACHNAME";
							$stmt = $db->query($query);
							while($row = $stmt->fetch(PDO::FETCH_NUM)) {
								echo "<option value='$row[0]'>" . $row[1] . ", ". $row[2] . "</option>";
							}
						?> 		
					</select>			
					<span data-type="text" data-lan="change" style="margin-left: 20px; background-color: <?php echo $c_scheme['XH']; ?>;" class="spanbutton w100" onclick="s_send();" ><?php echo $ini_speed['change'][$_SESSION['lng']]; ?></span>
				</div>						
			</div>
		</div>
		<?php include_once($rel_path.'/footer.php'); ?> 		
	</div>
	<script>
		$('#fakeuser').width(195).customSelect({customClass: "cSelect_wht"});
		function c_lan(loc) {
			translate_header($globlan);	
			translate_mainmenu($globlan);
			translate_system($globlan) 
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {			
				switch ($(this).data("type")) {
					case "text":		
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "date":
						$(this).val(localizedate($($(this).data("lan")).val()));
						break;						
				}
			});
		}
		function s_start() {
			var Jetzt = new Date();
			var Start_Time = Jetzt.getTime();
			$.ajax({
				type: "GET",
				cache: false,
				url:  "./tools/user_api.php",
				data: { 
					routine: "checkcost"
				},
				success: function(result)
				{
					var Jetzt2 = new Date();
					var End_Time = Jetzt2.getTime();
					$("#response").val(End_Time-Start_Time);		
				}					
			});	
		}
		function s_send() {
			if (!$.trim($("#receiver").val()).length) return false;
			$.ajax({
				type: "GET",
				cache: false,
				url:  "./tools/tests_api.php",
				data: { 
					routine: "checkmail",
					receiver: $("#receiver").val(),
					lng: window.localStorage.getItem('qblan')
				},
				success: function(result)
				{
          console.log(result);
					jAlert(localTranslation["mail_sent"][$globlan], localTranslation["attention"][$globlan]);	
					return false;
				}					
			});	
		}
		function s_fake() {
			if ($("#fakeuser").val() == "") return false;
			jAlert(localTranslation["fake_user_comment"][$globlan], localTranslation["attention"][$globlan], function() {
				$.ajax({
					type: "GET",
					cache: false,
					url:  "./tools/tests_api.php",
					data: { 
						routine: "fakeuser",
						user: $("#fakeuser").val()
					},
					success: function(result)
					{
						window.location.href="basic.php";
						return false;
					}					
				});
			});
			return false;
		}		
	</script>
</body>
</html>
