<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	global $rel_path;
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;
	
	$routine = new A_Costcont();
	echo $routine->execute();
	
	class A_Costcont {
		
		public function __construct() 
		{
		}
		
		public function execute()
		{	
			global $db, $debug, $qb_support;
	// called routine
			$sub_routine = $_REQUEST["routine"];
			switch ($sub_routine)
			{
				case "getcost":
					$query[] = "
						SELECT 
							qb_doccost.QBN AS qbn, 
							SUM(MENGE*COST*FACTOR) AS total, 
							SUM(MENGE*COST*FACTOR) AS total2, 
							QBSTATUS AS sts,
							QBSTATUS AS status
						FROM 
							qb_doccost 
						LEFT JOIN 
							qbi 
						ON 
							qbi.QBN=qb_doccost.QBN 
						GROUP BY
							QBN
					";
				// generate order & limit
					$order_str = "ORDER BY " . $_REQUEST['sidx'] . " " . $_REQUEST['sord'];
					$limit_str = " LIMIT " . ($_REQUEST['page']-1)*$_REQUEST['rows'] . ", " . $_REQUEST['rows'];
				// compile query string
					$querystr = $qb_support->makequery(json_encode($query), json_encode($_REQUEST));
				// get total rows first (only query string)
					$stmt = $db->query($querystr);				
					$num_records = $stmt->rowCount();
					$num_pages = ceil($num_records/$_REQUEST['rows']);
				// now get result (query string with iorder and limit)		
					$stmt = $db->query($querystr . " " . $order_str . " " . $limit_str);
					$rows = array();
					while($r = $stmt->fetch(PDO::FETCH_ASSOC)) {
						$rows[] = $r;
					}
					$ret = Array();
					$ret['total'] = $num_pages;
					$ret['page'] = $_REQUEST['page'];
					$ret['records'] = $num_records;
					$ret['rows'] = $rows;					
					$result = json_encode($ret);
					return $result;		
					break;
				case "getchart":
					$query = "
						SELECT 
							qb_doccost.QBN, 
							SUM(MENGE*COST*FACTOR) AS TOTAL 
						FROM 
							qb_doccost 
						GROUP BY 
							QBN 
						ORDER BY 
							TOTAL DESC 
						LIMIT 
							0, 15
					";
					$stmt = $db->query($query);
					$r = Array();	// array for data
					$q = Array();	// array for qb-nr
					while($row = $stmt->fetch(PDO::FETCH_NUM)) {
						$q[] = $row[0];
						$r[] = (float) $row[1];
					}
					$result = json_encode(Array($r, $q));
					return $result;		
					break;
				case "getdetails":
					$query[] = "
						SELECT 
							C_DATE AS datum, 
							GRUND AS grund, 
							ART AS art, 
							MENGE AS menge, 
							(MENGE*COST*FACTOR) AS cost, 
							CURRENCY AS cur, 
							FACTOR AS factor, 
							COALESCE((SELECT GROUP_CONCAT(IF(LINK<>'',LINK, NULL) SEPARATOR ', ') FROM qb_doccost_files WHERE LUID=UID), '') AS links 
						FROM 
							qb_doccost 
						WHERE 
							QBN=:qbn 
					";
				// generate order & limit
					$order_str = "ORDER BY " . $_REQUEST['sidx'] . " " . $_REQUEST['sord'];
					$limit_str = " LIMIT " . ($_REQUEST['page']-1)*$_REQUEST['rows'] . ", " . $_REQUEST['rows'];
				// compile query string
					$querystr = $qb_support->makequery(json_encode($query), json_encode($_REQUEST));
				// get total rows first (only query string)
					$stmt = $db->prepare($querystr);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn']
						)
					);					
					$num_records = $stmt->rowCount();
					$num_pages = ceil($num_records/$_REQUEST['rows']);
				// now get result (query string with iorder and limit)		
					$stmt = $db->prepare($querystr . " " . $order_str . " " . $limit_str);				
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn']
						)
					);
					$rows = array();
					while($r = $stmt->fetch(PDO::FETCH_ASSOC)) {
						$rows[] = $r;
					}
					$ret = Array();
					$ret['total'] = $num_pages;
					$ret['page'] = $_REQUEST['page'];
					$ret['records'] = $num_records;
					$ret['rows'] = $rows;					
					$result = json_encode($ret);
					return $result;		
					break;
			}
		}		
	}
?>	