<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	global $rel_path;
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;
	
	$routine = new A_dlz();
	echo $routine->execute();
	
	class A_dlz {
		
		public function __construct() 
		{
		}
		
		public function execute()
		{	
			global $db, $debug, $qb_support;
	// called routine
			$sub_routine = $_REQUEST["routine"];
	// working on department filter
			if (stripos($_REQUEST['depts'], 'all') !== false) { // option "all"
				$depts = " LIKE '%' ";
			} else {
				$depts = " IN (" . $_REQUEST['depts'] . ") ";
			}			
			switch ($sub_routine)
			{
				case "n2t":	
			// new to techn. closed cycle time
					$i = 0;
					$fltr = ($_REQUEST['clss'] == "all")?"":" AND CLSS='".$_REQUEST['clss']."'";
					$query = "
						SELECT 
							QBN
						FROM 
							qbi 
						WHERE 
							QBSTATUS NOT IN ('D', 'M') AND
							LIGHT=0 AND
							(SELECT DEPARTMENT FROM qb_team LEFT JOIN qb_user ON NAME=LOGIN WHERE ROLLE='PL' AND qb_team.QBN=qbi.QBN) " . $depts . " AND
							DATE_FORMAT(QBREGDATE, '%Y-%m') <= DATE_FORMAT(DATE_SUB(NOW(),INTERVAL (:off + :sel) MONTH), '%Y-%m') AND
							DATE_FORMAT(QBREGDATE, '%Y-%m') >= DATE_FORMAT(DATE_SUB(NOW(),INTERVAL (:off + :avg + :sel) MONTH), '%Y-%m')					
					".$fltr;				
					$stmt = $db->prepare($query);	
					$stmt->bindParam(':off', $_REQUEST['off']);		
					$stmt->bindParam(':avg', $_REQUEST['avg']);
					$stmt->bindParam(':sel', $i);
					$query2 = "
						SELECT 
							DATE_FORMAT(DATE_SUB(NOW(),INTERVAL (:off2 + :sel2) MONTH), '%Y-%m')
					";
					$stmt2 = $db->prepare($query2);	
					$stmt2->bindParam(':off2', $_REQUEST['off']);
					$stmt2->bindParam(':sel2', $i);					
					$r = Array();		// data
					$x = Array();		// date				
					for ($i = 11; $i >= 0; $i--) {
					// get date for y-axis
						$stmt2->execute();
						$row2 = $stmt2->fetchAll(PDO::FETCH_NUM);
						$x[] = $row2[0];						
					// get all QB numbers in selected date range
						$stmt->execute();
						$qbn_array = $stmt->fetchAll(PDO::FETCH_COLUMN, 0);		// all qbn within selected time period
					// if less than 10 data point set result to 0					
						if (count($qbn_array) < 10) {
							$res = Array();
						} else {
							$qbn_string = "'".implode("', '", $qbn_array)."'";						
							$query3 = "
								SELECT 
									qbi.QBN 
								FROM 
									qbi 
								LEFT JOIN 
									qb_imp ON qbi.QBN=qb_imp.QBN
								WHERE
									qb_imp.QBN IN (".$qbn_string.") AND 
									DATE_ACC_BY_SVT != '0000-00-00'
							";				
							$stmt3 = $db->query($query3);
				// all qbn within selected time period that are techn. closed (DATE_ACC_BY_SVT - QBREGDATE)
							$qbimp_array = $stmt3->fetchAll(PDO::FETCH_COLUMN, 0);						
				// all qbn within selected time period that are still in progress (NOW() - QBREGDATE)
							$qbi_array = array_diff($qbn_array, $qbimp_array);								
					// now get results
						// 1) all techn. closed
							$qbimp_string = "'".implode("', '", $qbimp_array)."'";
							$query3 = "
								SELECT 
									DATEDIFF(DATE_ACC_BY_SVT, QBREGDATE) AS DD, 
									COUNT(*) 
								FROM 
									qb_imp
								LEFT JOIN 
									qbi ON qbi.QBN=qb_imp.QBN
								WHERE 
									qb_imp.QBN IN (".$qbimp_string.")
								GROUP BY 
									DD 
							";
							$stmt3 = $db->query($query3);	
							$r0 = Array();
							while($row = $stmt3->fetch(PDO::FETCH_NUM)) {
								$r0[$row[0]] = $row[1];
							}
						// 2) get all QBN still in progress
							$qbi_string = "'".implode("', '", $qbi_array)."'";
							$query3 = "
								SELECT 
									DATEDIFF(NOW(), QBREGDATE) AS DD, 
									COUNT(*) 
								FROM 
									qbi
								WHERE 
									QBN in (".$qbi_string.")
								GROUP BY 
									DD 
							";
							$stmt3 = $db->query($query3);	
							$r2 = Array();
							while($row = $stmt3->fetch(PDO::FETCH_NUM)) {
								$r2[$row[0]] = $row[1];
							}			
						// check result	
							$res = array();
							// no result at all -> return empty array
							if ((count($r0)==0) AND (count($r2)==0)) {
							// no closed cases at all -> return only $r2
							} else if (count($r0)==0) {			
								$res = $r2;
							// no open cases at all -> return only $r
							} else if (count($r2)==0) {			
								$res = $r0;
							} else {
						// open and closed cases available -> join arrays
								$maxdays = (max(max(array_keys($r0)), max(array_keys($r2))));
								for ($j=0; $j <= $maxdays; $j++) {
									$res[$j] = 0;
									$res[$j]+=(array_key_exists($j,$r0))?$r0[$j]:0;
									$res[$j]+=(array_key_exists($j,$r2))?$r2[$j]:0;
									if ($res[$j] == 0) unset($res[$j]);
								}								
							}
						}					
				// now go for median				
						$cnt = array_sum($res);
						$a50 = round($cnt * 0.5)-1;
						$m50 = 0;
						$tmp = 0;
						foreach($res as $key=>$value) {
							$tmp += $value;
							if ($tmp < $a50) $m50 = $key;
						}
						$r[] = $m50;
					}					
					$result = json_encode(Array($x, $r));
					return $result;		
					break;					
				case "t2c":
			// techn. closed to completely closed cycle time
					$i = 0;
					$fltr = ($_REQUEST['clss'] == "all")?"":" AND CLSS='".$_REQUEST['clss']."'";
				// get all QB in date range which have an implementation accepted date set
					$query = "
						SELECT 
							qbi.QBN
						FROM 
							qbi, 
							qb_imp
						WHERE 
							DATE_ACC_BY_SVT<>'0000-00-00' AND 
							qb_imp.QBN = qbi.QBN AND
							QBSTATUS NOT IN ('D', 'M') AND
							LIGHT=0 AND 
							(SELECT DEPARTMENT FROM qb_team LEFT JOIN qb_user ON NAME=LOGIN WHERE ROLLE='PL' AND qb_team.QBN=qbi.QBN) " . $depts . " AND
							DATE_FORMAT(QBREGDATE, '%Y-%m') <= DATE_FORMAT(DATE_SUB(NOW(),INTERVAL (:off + :sel) MONTH), '%Y-%m') AND
							DATE_FORMAT(QBREGDATE, '%Y-%m') >= DATE_FORMAT(DATE_SUB(NOW(),INTERVAL (:off + :avg + :sel) MONTH), '%Y-%m')
					".$fltr;			
					$stmt = $db->prepare($query);	
					$stmt->bindParam(':off', $_REQUEST['off']);		
					$stmt->bindParam(':avg', $_REQUEST['avg']);
					$stmt->bindParam(':sel', $i);
					$query2 = "
						SELECT 
							DATE_FORMAT(DATE_SUB(NOW(),INTERVAL (:off2 + :sel2) MONTH), '%Y-%m')
					";
					$stmt2 = $db->prepare($query2);	
					$stmt2->bindParam(':off2', $_REQUEST['off']);
					$stmt2->bindParam(':sel2', $i);					
					$r = Array();		// data
					$x = Array();		// date				
					for ($i = 11; $i >= 0; $i--) {
					// get date for y-axis
						$stmt2->execute();
						$row2 = $stmt2->fetchAll(PDO::FETCH_NUM);
						$x[] = $row2[0];						
					// get all QB numbers in selected date range
						$stmt->execute();
						$qbn_array = $stmt->fetchAll(PDO::FETCH_COLUMN, 0);		// all qbn within selected time period					
					// if less than 10 data point set result to 0					
						if (count($qbn_array) < 10) {
							$res = Array();
						} else {
							$qbn_string = "'".implode("', '", $qbn_array)."'";
							$query3 = "
								SELECT 
									QBN 
								FROM 
									qbi
								WHERE
									QBN IN (".$qbn_string.") AND 
									QBSTATUS='C'
							";				
							$stmt3 = $db->query($query3);
					// all qbn within selected time period that are completely closed (CL_DATE - DATE_ACC_BY_SVT)
							$qbclose_array = $stmt3->fetchAll(PDO::FETCH_COLUMN, 0);	
					// all qbn within selected time period that are still in progress (NOW() - DATE_ACC_BY_SVT)
							$qbi_array = array_diff($qbn_array, $qbclose_array);							
					// now get results
						// 1) all completely closed
							$qbimp_string = "'".implode("', '", $qbclose_array)."'";
							$query3 = "
								SELECT 
									DATEDIFF(CL_DATE, DATE_ACC_BY_SVT) AS DD, 
									COUNT(*) 
								FROM 
									qb_CLOSE
								LEFT JOIN 
									qb_imp ON qb_close.QBN=qb_imp.QBN
								WHERE 
									qb_close.QBN IN (".$qbimp_string.")
								GROUP BY 
									DD 
							";
							$stmt3 = $db->query($query3);	
							$r0 = Array();
							while($row = $stmt3->fetch(PDO::FETCH_NUM)) {
								$r0[$row[0]] = $row[1];
							}
						// 2) get all QBN still in progress
							$qbi_string = "'".implode("', '", $qbi_array)."'";
							$query3 = "
								SELECT 
									DATEDIFF(NOW(), DATE_ACC_BY_SVT) AS DD, 
									COUNT(*) 
								FROM 
									qb_imp
								WHERE 
									QBN in (".$qbi_string.")
								GROUP BY 
									DD 
							";
							$stmt3 = $db->query($query3);	
							$r2 = Array();
							while($row = $stmt3->fetch(PDO::FETCH_NUM)) {
								$r2[$row[0]] = $row[1];
							}			
						// check result	
							$res = array();
							// no result at all -> return empty array
							if ((count($r0)==0) AND (count($r2)==0)) {
							// no closed cases at all -> return only $r2
							} else if (count($r0)==0) {			
								$res = $r2;
							// no open cases at all -> return only $r
							} else if (count($r2)==0) {			
								$res = $r0;
							} else {
						// open and closed cases available -> join arrays
								$maxdays = (max(max(array_keys($r0)), max(array_keys($r2))));
								for ($j=0; $j <= $maxdays; $j++) {
									$res[$j] = 0;
									$res[$j]+=(array_key_exists($j,$r0))?$r0[$j]:0;
									$res[$j]+=(array_key_exists($j,$r2))?$r2[$j]:0;
									if ($res[$j] == 0) unset($res[$j]);
								}								
							}
						}					
				// now go for median				
						$cnt = array_sum($res);
						$a50 = round($cnt * 0.5)-1;
						$m50 = 0;
						$tmp = 0;
						foreach($res as $key=>$value) {
							$tmp += $value;
							if ($tmp < $a50) $m50 = $key;
						}
						$r[] = $m50;
					}					
					$result = json_encode(Array($x, $r));
					return $result;		
					break;
				case "n2c":
			// new to completely closed cycle time
					$i = 0;
					$fltr = ($_REQUEST['clss'] == "all")?"":" AND CLSS='".$_REQUEST['clss']."'";
				// get all QB in date range
					$query = "
						SELECT 
							QBN
						FROM 
							qbi
						WHERE 
							QBSTATUS NOT IN ('D', 'M') AND
							LIGHT=0 AND 
							(SELECT DEPARTMENT FROM qb_team LEFT JOIN qb_user ON NAME=LOGIN WHERE ROLLE='PL' AND qb_team.QBN=qbi.QBN) " . $depts . " AND
							DATE_FORMAT(QBREGDATE, '%Y-%m') <= DATE_FORMAT(DATE_SUB(NOW(),INTERVAL (:off + :sel) MONTH), '%Y-%m') AND
							DATE_FORMAT(QBREGDATE, '%Y-%m') >= DATE_FORMAT(DATE_SUB(NOW(),INTERVAL (:off + :avg + :sel) MONTH), '%Y-%m')
					".$fltr;			
					$stmt = $db->prepare($query);	
					$stmt->bindParam(':off', $_REQUEST['off']);		
					$stmt->bindParam(':avg', $_REQUEST['avg']);
					$stmt->bindParam(':sel', $i);
					$query2 = "
						SELECT 
							DATE_FORMAT(DATE_SUB(NOW(),INTERVAL (:off2 + :sel2) MONTH), '%Y-%m')
					";
					$stmt2 = $db->prepare($query2);	
					$stmt2->bindParam(':off2', $_REQUEST['off']);
					$stmt2->bindParam(':sel2', $i);					
					$r = Array();		// data
					$x = Array();		// date				
					for ($i = 11; $i >= 0; $i--) {
					// get date for y-axis
						$stmt2->execute();
						$row2 = $stmt2->fetchAll(PDO::FETCH_NUM);
						$x[] = $row2[0];						
					// get all QB numbers in selected date range
						$stmt->execute();
						$qbn_array = $stmt->fetchAll(PDO::FETCH_COLUMN, 0);		// all qbn within selected time period					
					// if less than 10 data point set result to 0					
						if (count($qbn_array) < 10) {
							$res = Array();
						} else {
							$qbn_string = "'".implode("', '", $qbn_array)."'";
							$query3 = "
								SELECT 
									QBN 
								FROM 
									qbi
								WHERE
									QBN IN (".$qbn_string.") AND 
									QBSTATUS='C'
							";			
							$stmt3 = $db->query($query3);
					// all qbn within selected time period that are completely closed (CL_DATE - DATE_ACC_BY_SVT)
							$qbclose_array = $stmt3->fetchAll(PDO::FETCH_COLUMN, 0);	
					// all qbn within selected time period that are still in progress (NOW() - DATE_ACC_BY_SVT)
							$qbi_array = array_diff($qbn_array, $qbclose_array);							
					// now get results
						// 1) all completely closed
							$qbimp_string = "'".implode("', '", $qbclose_array)."'";
							$query3 = "
								SELECT 
									DATEDIFF(CL_DATE, QBREGDATE) AS DD, 
									COUNT(*) 
								FROM 
									qb_CLOSE
								LEFT JOIN 
									qbi ON qb_close.QBN=qbi.QBN
								WHERE 
									qb_close.QBN IN (".$qbimp_string.")
								GROUP BY 
									DD 
							";
							$stmt3 = $db->query($query3);	
							$r0 = Array();
							while($row = $stmt3->fetch(PDO::FETCH_NUM)) {
								$r0[$row[0]] = $row[1];
							}
						// 2) get all QBN still in progress
							$qbi_string = "'".implode("', '", $qbi_array)."'";
							$query3 = "
								SELECT 
									DATEDIFF(NOW(), QBREGDATE) AS DD, 
									COUNT(*) 
								FROM 
									qbi
								WHERE 
									QBN in (".$qbi_string.")
								GROUP BY 
									DD 
							";
							$stmt3 = $db->query($query3);	
							$r2 = Array();
							while($row = $stmt3->fetch(PDO::FETCH_NUM)) {
								$r2[$row[0]] = $row[1];
							}			
						// check result	
							$res = array();
							// no result at all -> return empty array
							if ((count($r0)==0) AND (count($r2)==0)) {
							// no closed cases at all -> return only $r2
							} else if (count($r0)==0) {			
								$res = $r2;
							// no open cases at all -> return only $r
							} else if (count($r2)==0) {			
								$res = $r0;
							} else {
						// open and closed cases available -> join arrays
								$maxdays = (max(max(array_keys($r0)), max(array_keys($r2))));
								for ($j=0; $j <= $maxdays; $j++) {
									$res[$j] = 0;
									$res[$j]+=(array_key_exists($j,$r0))?$r0[$j]:0;
									$res[$j]+=(array_key_exists($j,$r2))?$r2[$j]:0;
									if ($res[$j] == 0) unset($res[$j]);
								}								
							}
						}					
				// now go for median				
						$cnt = array_sum($res);
						$a50 = round($cnt * 0.5)-1;
						$m50 = 0;
						$tmp = 0;
						foreach($res as $key=>$value) {
							$tmp += $value;
							if ($tmp < $a50) $m50 = $key;
						}
						$r[] = $m50;
					}					
					$result = json_encode(Array($x, $r));
					return $result;		
					break;							
				case "n2cl":
				// qb light
					$i = 0;
					$fltr = ($_REQUEST['clss'] == "all")?"":" AND CLSS='".$_REQUEST['clss']."'";
				// get all QB in date range
					$query = "
						SELECT 
							QBN
						FROM 
							qbi
						WHERE 
							QBSTATUS NOT IN ('D', 'M') AND
							LIGHT=1 AND 
							(SELECT DEPARTMENT FROM qb_team LEFT JOIN qb_user ON NAME=LOGIN WHERE ROLLE='PL' AND qb_team.QBN=qbi.QBN) " . $depts . " AND
							DATE_FORMAT(QBREGDATE, '%Y-%m') <= DATE_FORMAT(DATE_SUB(NOW(),INTERVAL (:off + :sel) MONTH), '%Y-%m') AND
							DATE_FORMAT(QBREGDATE, '%Y-%m') >= DATE_FORMAT(DATE_SUB(NOW(),INTERVAL (:off + :avg + :sel) MONTH), '%Y-%m')
					".$fltr;			
					$stmt = $db->prepare($query);	
					$stmt->bindParam(':off', $_REQUEST['off']);		
					$stmt->bindParam(':avg', $_REQUEST['avg']);
					$stmt->bindParam(':sel', $i);
					$query2 = "
						SELECT 
							DATE_FORMAT(DATE_SUB(NOW(),INTERVAL (:off2 + :sel2) MONTH), '%Y-%m')
					";
					$stmt2 = $db->prepare($query2);	
					$stmt2->bindParam(':off2', $_REQUEST['off']);
					$stmt2->bindParam(':sel2', $i);					
					$r = Array();		// data
					$x = Array();		// date				
					for ($i = 11; $i >= 0; $i--) {
					// get date for y-axis
						$stmt2->execute();
						$row2 = $stmt2->fetchAll(PDO::FETCH_NUM);
						$x[] = $row2[0];						
					// get all QB numbers in selected date range
						$stmt->execute();
						$qbn_array = $stmt->fetchAll(PDO::FETCH_COLUMN, 0);		// all qbn within selected time period
					// if less than 10 data point set result to 0					
						if (count($qbn_array) < 10) {
							$res = Array();
						} else {
							$qbn_string = "'".implode("', '", $qbn_array)."'";
							$query3 = "
								SELECT 
									QBN 
								FROM 
									qbi
								WHERE
									QBN IN (".$qbn_string.") AND 
									QBSTATUS='C'
							";		
							$stmt3 = $db->query($query3);
					// all qbn within selected time period that are completely closed (CL_DATE - DATE_ACC_BY_SVT)
							$qbclose_array = $stmt3->fetchAll(PDO::FETCH_COLUMN, 0);	
					// all qbn within selected time period that are still in progress (NOW() - DATE_ACC_BY_SVT)
							$qbi_array = array_diff($qbn_array, $qbclose_array);							
					// now get results
						// 1) all completely closed
							$qbimp_string = "'".implode("', '", $qbclose_array)."'";
							$query3 = "
								SELECT 
									DATEDIFF(CL_DATE, QBREGDATE) AS DD, 
									COUNT(*) 
								FROM 
									qb_CLOSE
								LEFT JOIN 
									qbi ON qb_close.QBN=qbi.QBN
								WHERE 
									qb_close.QBN IN (".$qbimp_string.")
								GROUP BY 
									DD 
							";
							$stmt3 = $db->query($query3);	
							$r0 = Array();
							while($row = $stmt3->fetch(PDO::FETCH_NUM)) {
								$r0[$row[0]] = $row[1];
							}
						// 2) get all QBN still in progress
							$qbi_string = "'".implode("', '", $qbi_array)."'";
							$query3 = "
								SELECT 
									DATEDIFF(NOW(), QBREGDATE) AS DD, 
									COUNT(*) 
								FROM 
									qbi
								WHERE 
									QBN in (".$qbi_string.")
								GROUP BY 
									DD 
							";
							$stmt3 = $db->query($query3);	
							$r2 = Array();
							while($row = $stmt3->fetch(PDO::FETCH_NUM)) {
								$r2[$row[0]] = $row[1];
							}						
						// check result	
							$res = array();
							// no result at all -> return empty array
							if ((count($r0)==0) AND (count($r2)==0)) {
							// no closed cases at all -> return only $r2
							} else if (count($r0)==0) {			
								$res = $r2;
							// no open cases at all -> return only $r
							} else if (count($r2)==0) {			
								$res = $r0;
							} else {
						// open and closed cases available -> join arrays
								$maxdays = (max(max(array_keys($r0)), max(array_keys($r2))));
								for ($j=0; $j <= $maxdays; $j++) {
									$res[$j] = 0;
									$res[$j]+=(array_key_exists($j,$r0))?$r0[$j]:0;
									$res[$j]+=(array_key_exists($j,$r2))?$r2[$j]:0;
									if ($res[$j] == 0) unset($res[$j]);
								}								
							}
						}					
				// now go for median				
						$cnt = array_sum($res);
						$a50 = round($cnt * 0.5)-1;
						$m50 = 0;
						$tmp = 0;
						foreach($res as $key=>$value) {
							$tmp += $value;
							if ($tmp < $a50) $m50 = $key;
						}
						$r[] = $m50;
					}					
					$result = json_encode(Array($x, $r));
					return $result;		
					break;					
				
					$query = "
						SELECT 
							DATEDIFF(GQ_DATE, QBREGDATE) AS DD 
						FROM 
							qbi
						LEFT JOIN 
							qb_close ON qbi.QBN=qb_close.QBN 								
						WHERE 
							LIGHT =1 AND 
							QBSTATUS = 'C' AND 
							(SELECT DEPARTMENT FROM qb_team LEFT JOIN qb_user ON NAME=LOGIN WHERE ROLLE='PL' AND qb_team.QBN=qb_close.QBN) " . $depts . " AND
							DATEDIFF(GQ_DATE, QBREGDATE) IS NOT NULL AND
                            DATE_FORMAT(GQ_DATE, '%Y-%m') < DATE_FORMAT(DATE_SUB(NOW(),INTERVAL (:off + :sel) MONTH), '%Y-%m') AND
                            DATE_FORMAT(GQ_DATE, '%Y-%m') > DATE_FORMAT(DATE_SUB(NOW(),INTERVAL (:off + :avg + :sel) MONTH), '%Y-%m')						
						ORDER BY 
							DD ASC
					";
					$stmt = $db->prepare($query);	
					$stmt->bindParam(':off', $_REQUEST['off']);		
					$stmt->bindParam(':avg', $_REQUEST['avg']);
					$stmt->bindParam(':sel', $i);					
					$query2 = "
						SELECT 
							DATE_FORMAT(DATE_SUB(NOW(),INTERVAL (:off + :sel) MONTH), '%Y-%m')
					";
					$stmt2 = $db->prepare($query2);	
					$stmt2->bindParam(':off', $_REQUEST['off']);
					$stmt2->bindParam(':sel', $i);
					$r = Array();
					$x = Array();
					for ($i = 11; $i >= 0; $i--) {
						$stmt2->execute();
						$row2 = $stmt2->fetchAll(PDO::FETCH_NUM);
						$x[] = $row2[0];					
						$stmt->execute();
						$sumres = $stmt->rowCount();
						$row = $stmt->fetchAll(PDO::FETCH_NUM);
						if (count($row) == 0) {
							$r[] = 0;
						} else {						
							if ($sumres <= 1) {
								$r[] = 0;
							} else {
						// either average if result is even ...
								if (($sumres % 2) === 0) {
									$r[] = ((integer) $row[($sumres/2)][0]);
								} else {
						//  or take middle value
									$r[] = ((integer) $row[(($sumres+1)/2)][0]);
								}
							}
						}
					}
					$result = json_encode(Array($x, $r));
					return $result;		
					break;		
			}
		}		
	}
?>	