<?php
// this generates the excel
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	global $rel_path;	
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;
// general translations
	$ini_afcreport = parse_ini_file($rel_path.'i18n/a_fcreport.ini', true);	
	$cal = parse_ini_file($rel_path.'i18n/calendar.ini', true);
	$ini_class = parse_ini_file($rel_path.'xml/class.ini', true);
	$ini_fcodes_bb = parse_ini_file($rel_path.'xml/fc_bb.ini', true);
	$ini_fcodes_cc = parse_ini_file($rel_path.'xml/fc_cc.ini', true);	
	$ini_fcodes_dd = parse_ini_file($rel_path.'xml/fc_dd.ini', true);
// extract data
	$titles = json_decode($_REQUEST['titles'], true);

	$filters = json_decode($_REQUEST['filters'], true);
	$lng = $filters['qblan'];
	unset ($filters['qblan']);
	$clss = $filters['clss'];
	unset ($filters['clss']);
	$ymds = $filters['sdat'];
	unset ($filters['sdat']);
	$ymde = $filters['edat'];
	unset ($filters['edat']);
	if ($ymds > $ymde) {
		$tmp = $ymds;
		$ymds = $ymde;
		$ymde = $tmp;
	}
	$fltr = ($clss == "all")?"":" AND CLSS='".$clss."' ";
	$fltrb = ($filters['bb'] != '')?" AND BB LIKE '".$filters['bb']."%' ":"";
	$bb = $filters['bb'];
	unset ($filters['bb']);
	$fltrc = ($filters['cc'] != '')?" AND CC LIKE '".$filters['cc']."%' ":"";
	$cc = $filters['cc'];
	unset ($filters['cc']);
	$fltrd = ($filters['dddd'] != '')?" AND DDDD LIKE '".$filters['dddd']."%' ":"";
	$dd = $filters['dddd'];
	unset ($filters['dddd']);
	
	$detfilter = " HAVING ";
	foreach($filters as $key=>$value) {
		if ($value != "") {
			$detfilter .= $key." LIKE '%".$value."%' AND ";
		}
	}
	if ($detfilter == " HAVING ") {
		$detfilter = "";
	} else {
		$detfilter = substr($detfilter, 0, -5);
	}
	
	$query = "
		SELECT 
			qbi.QBN AS qbn, 
			BB AS bb,
			CC AS cc,
			DDDD AS dddd,
			(SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE LOGIN=SVT) AS svt,
			(SELECT SUPPLIERNAME FROM qb_supplier WHERE SUPPLIER=SUPPLIERNR) AS sup,
			CUSTOMER AS cus,
			CLSS AS clss
		FROM 
			qbi 
		LEFT JOIN 
			qbbasic ON qbi.QBN=qbbasic.QBN
		WHERE 
			QBSTATUS='C' AND
			QBREGDATE>=:sdat AND 
			QBREGDATE<=:edat
	".$fltr.$fltrb.$fltrc.$fltrd.$detfilter;
	$stmt = $db->prepare($query);
	$stmt->execute(
		array(
			':sdat' => $ymds,
			':edat' => $ymde
		)
	);
	$num_records = $stmt->rowCount();	
/** Include PhpSpreadsheet */
  require $rel_path.'phpspreadsheet/autoload.php';

  use PhpOffice\PhpSpreadsheet\Spreadsheet;
  use PhpOffice\PhpSpreadsheet\Style\Border;
  use PhpOffice\PhpSpreadsheet\Style\Color;
  use PhpOffice\PhpSpreadsheet\Style\Font;
  use PhpOffice\PhpSpreadsheet\Writer\Xlsx;

  $spreadsheet = new Spreadsheet();
  $spreadsheet->getActiveSheet()->getPageSetup()->setOrientation(\PhpOffice\PhpSpreadsheet\Worksheet\PageSetup::ORIENTATION_LANDSCAPE);
  $spreadsheet->getActiveSheet()->getPageSetup()->setPaperSize(\PhpOffice\PhpSpreadsheet\Worksheet\PageSetup::PAPERSIZE_A4);
  $spreadsheet->getProperties()->setCreator("QB-oot")->setTitle("TOP FC-ReportQuery");
  $spreadsheet->getDefaultStyle()->getFont()->setName('Arial')->setSize(11);
  $sheet = $spreadsheet->getActiveSheet();

// define formats
  $styleThinBlackBorderOutline = [
    'borders' => [
      'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
      'color' => ['argb' => 'FF000000']
    ]
  ];  
  $styleThickBlackBorderOutline = [
    'borders' => [
      'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_MEDIUM,
      'color' => ['argb' => 'FF000000']
    ]
  ]; 
  $styleGreyBackground = [
    'fill' => [
      'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
      'color' => ['argb' => 'FFCCCCCC']
    ]
  ];
  $styleFilterBackground = [
    'fill' => [
      'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
      'color' => ['argb' => 'FFEBF1DE']
    ]
  ]; 
  $styleHyperlink = [
    'font' => [
      'alignment' => ['horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER],
      'color' => ['argb' => 'FF0000FF'],
      'underline' => Font::UNDERLINE_SINGLE
    ]
  ];
	
// insert filter settings
	$sheet->setCellValue("A1", $ini_afcreport['filter'][$lng]);
	$sheet->getStyle('A1')->getFont()->setBold(true)->setSize(12);
	$sheet->mergeCells('A1:B1');
	$sheet->getStyle('A1:B1')->applyFromArray($styleThickBlackBorderOutline);
	$sheet->setCellValue("A2", $ini_afcreport['qbn'][$lng]);
	$sheet->setCellValue("B2", $filters['qbn']);
	$sheet->setCellValue("A3", $ini_afcreport['date'][$lng]);
	$sheet->setCellValue("B3", $ymds." - ".$ymde);
	$sheet->setCellValue("A4", $ini_afcreport['SVT'][$lng]);
	$sheet->setCellValue("B4", ($filters['svt']=="")?"":"%".$filters['svt']."%");
	$sheet->setCellValue("A5", $ini_afcreport['clss'][$lng]);
	$sheet->setCellValue("B5", $ini_class[$clss][$lng]);
	$sheet->setCellValue("A6", "BB");
	if ($bb == "") {
		$sheet->setCellValue("B6", "");
	} else {
		$tmp = $ini_fcodes_bb[substr($bb,0,1)];
		$sheet->setCellValue("B6", $bb." - ".$tmp[$lng]);
	}
	$sheet->setCellValue("A7", "CC");
	if ($cc == "") {
		$sheet->setCellValue("B7", "");
	} else {
		$sheet->setCellValue("B7", $cc." - ".$ini_fcodes_cc[$cc][$lng]);
	}
	$sheet->setCellValue("A8", "DDDD");
	if ($dd == "") {
		$sheet->setCellValue("B8", "");
	} else {
		$tmp = $ini_fcodes_dd[substr($dd,0,1)];
		$sheet->setCellValue("B8", $dd." - ".$tmp[$lng]);
	}
	$sheet->setCellValue("A9", $ini_afcreport['cus'][$lng]);
	$sheet->setCellValue("B9", ($filters['cus']=="")?"":"%".$filters['cus']."%");
	$sheet->setCellValue("A10", $ini_afcreport['sup'][$lng]);
	$sheet->setCellValue("B10", ($filters['sup']=="")?"":"%".$filters['sup']."%");
	$sheet->setCellValue("A11", $ini_afcreport['generated'][$lng]);
	$sheet->setCellValue("B11", date('Y-M-d H:i:s', time()));
	$sheet->setCellValue("A12", $ini_afcreport['found_datasets'][$lng]);
	$sheet->setCellValue("B12", $num_records);
	$sheet->getStyle('B12')->getAlignment()->setHorizontal(\PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_LEFT);	
	$sheet->getStyle('B12')->getFont()->setBold(true);	
	$sheet->getStyle('B2:B12')->getFont()->setItalic(true);
// format filter box
	$sheet->getStyle('A1:B12')->applyFromArray($styleFilterBackground)->applyFromArray($styleThickBlackBorderOutline);

// generate headlines
	$i = 1;
	$start_row = 14;
	
	foreach ($titles as $title) {
		$sheet->setCellValue(chr(64+$i).$start_row, $title);
		$i++;
	}	
// format headlines
	$sheet->getStyle('A'.$start_row.':'.chr(64+count($titles)).$start_row)->applyFromArray($styleThinBlackBorderOutline);
	$sheet->getStyle('A'.$start_row.':'.chr(64+count($titles)).$start_row)->applyFromArray($styleGreyBackground);
	$sheet->getStyle('A'.$start_row.':'.chr(64+count($titles)).$start_row)->getFont()->setBold(true)->setName('Arial')->setSize(10)->getColor()->setARGB('FF0000FF');
	$sheet->getStyle('A'.$start_row.':'.chr(64+count($titles)).$start_row)->getAlignment()->setHorizontal(\PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_LEFT);	
	
	$data_row = $start_row + 1;
	global $relili;
	while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$i = 1;
		foreach($row as $key => $value) {
			switch ($key) {
				case "clss":
					break;
				case "qbn":
					$sheet->setCellValue(chr(64+$i).$data_row, $value);
					$sheet->getCell(chr(64+$i).$data_row)->getHyperlink()->setUrl('http://' . $relili . $value);
					$sheet->getStyle(chr(64+$i).$data_row)->applyFromArray($styleHyperlink);
					$sheet->getColumnDimension(chr(64+$i))->setAutoSize(true);
					break;
				case "bb":
					$tmp = $ini_fcodes_bb[substr($value,0,1)];
					$sheet->setCellValue(chr(64+$i).$data_row, $value." - ".$tmp[$lng]." / ".$tmp["_".substr($value,1,1)][$lng]);
					$sheet->getColumnDimension(chr(64+$i))->setAutoSize(true);
					break;
				case "cc":
					$sheet->setCellValue(chr(64+$i).$data_row, $value." - ".$ini_fcodes_cc[$value][$lng]);
					$sheet->getColumnDimension(chr(64+$i))->setAutoSize(true);
					break;
				case "dddd":
					$tmp = $ini_fcodes_dd[substr($value,0,2)];
					$sheet->setCellValue(chr(64+$i).$data_row, $value." - ".$tmp[$lng]." / ".$tmp["_".substr($value,2,2)][$lng]);
					$sheet->getColumnDimension(chr(64+$i))->setAutoSize(true);
					break;
				default:
					$sheet->setCellValue(chr(64+$i).$data_row, $value);
					$sheet->getColumnDimension(chr(64+$i))->setAutoSize(true);
					break;
			}
			$sheet->getStyle(chr(64+$i).$data_row)->getAlignment()->setVertical(\PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_TOP);
			$i++;
		}
		$data_row++;
	}
// set autofilter
	$sheet->setAutoFilter('A'.$start_row.':'.chr(64+count($titles)).$start_row);
// Rename worksheet
	$sheet->setTitle('FC Report');

// Set active sheet index to the first sheet, so Excel opens this as the first sheet
	$spreadsheet->setActiveSheetIndex(0);

// Redirect output to a client’s web browser (Excel2007)
	header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
	header('Content-Disposition: attachment;filename="FC-ReportQuery.xlsx"');
	header('Cache-Control: max-age=0');

  $writer = new Xlsx($spreadsheet);
  $writer->save('php://output');
	exit;
?>
