<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;
	
	$routine = new A_ffusup();
	echo $routine->execute();
	
	class A_ffusup {
		
		public function __construct() 
		{
		}
		
		public function execute()
		{	
			global $db, $debug, $timezone, $qb_support, $rel_path;
	// called routine
			$sub_routine = $_REQUEST["routine"];
			switch ($sub_routine)
			{
				case "getdata":
					$fltr = ($_REQUEST['clss'] == "all")?"":" AND CLSS='".$_REQUEST['clss']."'";
            // define material status where supplier might be root cause
                    $ini_mstatus = parse_ini_file($rel_path.'xml/m_status.ini', true);
                    $sup =  array_filter($ini_mstatus, function($k) {
                                return $k['sup'] == 1;
                            });
                    $sup = implode(",",array_keys($sup));
                    $fstring = (strlen($sup) == 0)?"MSTAT LIKE '%' AND ":"MSTAT IN (".$sup.") AND ";
            // get incoming inspection department
                    $ini_in = parse_ini_file($rel_path.'xml/inspection.ini');
                    $insp = "('".implode("','",array_keys($ini_in))."')";
			// make sure that start date is before end date, if no then swap results
					$ymds = $_REQUEST['from'];
					$ymde = $_REQUEST['to'];
					if ($ymds > $ymde) {
						$tmp = $ymds;
						$ymds = $ymde;
						$ymde = $tmp;
					}
			// get difference
					$c = Array();
					$w = Array();
					$p = Array();
					$d = Array();
				// found by customer -> stored in $c
					$query = "
						SELECT 
							COUNT(*)
						FROM 
							qb_close 
						LEFT JOIN 
							qbbasic 
						ON 
							qb_close.QBN=qbbasic.QBN 
						LEFT JOIN 
							qbi 
						ON 
							qb_close.QBN=qbi.QBN 
						WHERE 
							FFU='SUP' AND " 
                            . $fstring ."
							RTYPE='C' AND 
							QBSTATUS NOT IN ('D', 'M') AND
							QBREGDATE>=:sdat AND
							QBREGDATE<=:edat
					".$fltr;
					$stmt = $db->prepare($query);	
					$stmt->bindParam(':sdat', $ymds);		
					$stmt->bindParam(':edat', $ymde);
				// found internally but not WEP -> stored in $p					
					$query = "
						SELECT 
							COUNT(*)
						FROM 
							qb_close 
						LEFT JOIN 
							qbbasic 
						ON 
							qb_close.QBN=qbbasic.QBN 
						LEFT JOIN 
							qbi 
						ON 
							qb_close.QBN=qbi.QBN 
						WHERE 
							FFU='SUP' AND " 
                            . $fstring ."
							RTYPE='I' AND
							REQ NOT IN (SELECT LOGIN FROM qb_user WHERE DEPARTMENT IN " . $insp . ") AND
							QBSTATUS NOT IN ('D', 'M') AND
							QBREGDATE>=:sdat AND
							QBREGDATE<=:edat
					";			
					$stmt1 = $db->prepare($query);
					$stmt1->bindParam(':sdat', $ymds);		
					$stmt1->bindParam(':edat', $ymde);
				// found by WEP -> stored in $w								
					$query = "
						SELECT 
							COUNT(*)
						FROM 
							qb_close 
						LEFT JOIN 
							qbbasic 
						ON 
							qb_close.QBN=qbbasic.QBN 
						LEFT JOIN 
							qbi 
						ON 
							qb_close.QBN=qbi.QBN 
						WHERE 
							FFU='SUP' AND " 
                            . $fstring ."
							RTYPE='I' AND
							REQ IN (SELECT LOGIN FROM qb_user WHERE DEPARTMENT IN " . $insp . ") AND
							QBSTATUS NOT IN ('D', 'M') AND
							QBREGDATE>=:sdat AND
							QBREGDATE<=:edat
					";
					$stmt2 = $db->prepare($query);
					$stmt2->bindParam(':sdat', $ymds);		
					$stmt2->bindParam(':edat', $ymde);
					if ($_REQUEST['art'] == "M") {
				// analysis monthly
						$s_explode = explode("-", $ymds);
						$e_explode = explode("-", $ymde);
						$dm = ($e_explode[1] - $s_explode[1]) + (($e_explode[0] - $s_explode[0])*12);
						$s_explode[1]--;
						$rec = join("-", $s_explode);
						for ($i=0; $i<=$dm; $i++) {
							$andat = explode("-", $rec);
							$andat[1] = ($andat[1]+1);
							if ($andat[1] > 12) {
								$andat[1] = 1;
								$andat[0] = $andat[0]+1;
							}
							$rec = join("-", $andat);
							$ymds = $andat[0] . "-" . $andat[1] . "-01";
							$ymde = $andat[0] . "-" . $andat[1] . "-31";
							$stmt->execute();
							$c[] = ($stmt->rowCount() > 0)?$stmt->fetchColumn():0;					
							$stmt1->execute();
							$p[] = ($stmt1->rowCount() > 0)?$stmt1->fetchColumn():0;				
							$stmt2->execute();
							$w[] = ($stmt2->rowCount() > 0)?$stmt2->fetchColumn():0;
							$d[] = $andat[0] . "-" . substr("0".$andat[1], -2);
						}
						return json_encode(Array($d, $w, $p, $c));		
					} else {
				// analysis quarterly
						$s_explode = explode("-", $ymds);
						$e_explode = explode("-", $ymde);
						$dq = (ceil($e_explode[1]/3) - ceil($s_explode[1]/3)) + (($e_explode[0] - $s_explode[0])*4);
						$ay = $e_explode[0];
						$aq = ceil($e_explode[1]/3);
						for ($i=0; $i<=$dq; $i++) {
							$ymde = $ay . "-" . $aq*3 . "-31";
							$ymds = $ay . "-" . (($aq-1)*3+1) . "-01";
							$stmt->execute();
							$c[] = ($stmt->rowCount() > 0)?$stmt->fetchColumn():0;					
							$stmt1->execute();
							$p[] = ($stmt1->rowCount() > 0)?$stmt1->fetchColumn():0;				
							$stmt2->execute();
							$w[] = ($stmt2->rowCount() > 0)?$stmt2->fetchColumn():0;
							$d[] = "Q" . $aq . "-" . $ay;
							$aq--;
							if ($aq == 0) {
								$ay--;
								$aq = 4;
							}							
						}
						return json_encode(Array(array_reverse($d), array_reverse($w), array_reverse($p), array_reverse($c)));
					}
					break;
				case "gettable":
            // get incoming inspection department
                    $ini_in = parse_ini_file($rel_path.'xml/inspection.ini');
                    $insp = "('".implode("','",array_keys($ini_in))."')";
				// decode date range
					if ($_REQUEST['art'] == "M") {
						$sdat = $_REQUEST['ts'] . "-01";
						$edat = $_REQUEST['ts'] . "-31";
					} else {
						$ad = explode("-", $_REQUEST['ts']);
						$aq = substr($ad[0], 1);
						$sdat = $ad[1] . "-" .((($aq-1)*3)+1) . "-01";
						$edat = $ad[1] . "-" .($aq*3) . "-31";
					}
                    $ini_mstatus = parse_ini_file($rel_path.'xml/m_status.ini', true);
                    $sup =  array_filter($ini_mstatus, function($k) {
                                return $k['sup'] == 1;
                            });
                    $sup = implode(",",array_keys($sup));
                    $fstring = (strlen($sup) == 0)?"MSTAT LIKE '%' AND ":"MSTAT IN (".$sup.") AND ";
				// get QBs
					$query = "
						SELECT 
							qb_close.QBN AS qbn,
							FU AS fu,
							'C' as loc,
							CONCAT(BB, '-', CC, '-', DDDD) as fc,
							(SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE LOGIN=REQ) as ireq,
							(SELECT DEPARTMENT FROM qb_user WHERE LOGIN=REQ) as dep
						FROM 
							qb_close 
						LEFT JOIN 
							qbbasic 
						ON 
							qb_close.QBN=qbbasic.QBN 
						LEFT JOIN 
							qbi 
						ON 
							qb_close.QBN=qbi.QBN 
						WHERE 
							FFU='SUP' AND " 
                            . $fstring ."
							RTYPE='C' AND 
							QBSTATUS NOT IN ('D', 'M') AND
							QBREGDATE>=:sdat AND
							QBREGDATE<=:edat
						UNION
						SELECT 
							qb_close.QBN AS qbn,
							FU AS fu,
							'I' as loc,
							CONCAT(BB, '-', CC, '-', DDDD) as fc,
							(SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE LOGIN=REQ) as ireq,
							(SELECT DEPARTMENT FROM qb_user WHERE LOGIN=REQ) as dep
						FROM 
							qb_close 
						LEFT JOIN 
							qbbasic 
						ON 
							qb_close.QBN=qbbasic.QBN 
						LEFT JOIN 
							qbi 
						ON 
							qb_close.QBN=qbi.QBN 
						WHERE 
							FFU='SUP' AND " 
                            . $fstring ."
							RTYPE='I' AND
                            REQ NOT IN (SELECT LOGIN FROM qb_user WHERE DEPARTMENT IN " . $insp . ") AND
							QBSTATUS NOT IN ('D', 'M') AND
							QBREGDATE>=:sdat AND
							QBREGDATE<=:edat
						UNION
						SELECT 
							qb_close.QBN AS qbn,
							FU AS fu,
							'W' AS loc,
							CONCAT(BB, '-', CC, '-', DDDD) as fc,
							(SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE LOGIN=REQ) as ireq,
							(SELECT DEPARTMENT FROM qb_user WHERE LOGIN=REQ) as dep
						FROM 
							qb_close 
						LEFT JOIN 
							qbbasic 
						ON 
							qb_close.QBN=qbbasic.QBN 
						LEFT JOIN 
							qbi 
						ON 
							qb_close.QBN=qbi.QBN 
						WHERE 
							FFU='SUP' AND " 
                            . $fstring ."
							RTYPE='I' AND
                            REQ IN (SELECT LOGIN FROM qb_user WHERE DEPARTMENT IN " . $insp . ") AND
							QBSTATUS NOT IN ('D', 'M') AND
							QBREGDATE>=:sdat AND
							QBREGDATE<=:edat
					";				
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':sdat' => $sdat,
							':edat' => $edat
						)
					);
					$rows = array();
					while($r = $stmt->fetch(PDO::FETCH_ASSOC)) {
						$r['l2'] = $r['loc'];
						$rows[] = $r;
					}	
					$result = json_encode($rows);
					return $result;
					break;					
			}
		}		
	}
?>	