<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	global $rel_path;	
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;
	
	$routine = new Openai();
	echo $routine->execute();
	
	class Openai {
		
		public function __construct() 
		{
		}
		
		public function execute()
		{	
			global $db, $debug, $qb_support;
	// called routine
			$sub_routine = $_REQUEST["routine"];
			switch ($sub_routine)
			{
				case "getlist":
					$fltr = ($_REQUEST['clss'] == 'all')?"":" AND CLSS='".$_REQUEST['clss']."' ";
					$query[] = "
						SELECT 
							qbi.QBN AS qbn, 
							IF (TOP=1, 'T', IF(LIGHT=1, 'L', 'N')) AS qblc, 
							FU as fu, 
							VB as vb,
							FFU as ffu
						FROM 
							qb_close 
						LEFT JOIN 
							qbi ON qb_close.QBN=qbi.QBN 
						WHERE 
							QBREGDATE>=:sdat AND 
							QBREGDATE<=:edat AND
							FFU <> ''
					".$fltr;
				// generate order & limit
					$order_str = "ORDER BY " . $_REQUEST['sidx'] . " " . $_REQUEST['sord'];
					$limit_str = " LIMIT " . ($_REQUEST['page']-1)*$_REQUEST['rows'] . ", " . $_REQUEST['rows'];
				// compile query string
					$querystr = $qb_support->makequery(json_encode($query), json_encode($_REQUEST));
				// get total rows first (only query string)
					$stmt = $db->prepare($querystr);
					$stmt->execute(
						array(
							':sdat' => $_REQUEST['sdate'],
							':edat' => $_REQUEST['edate']
						)
					);					
					$num_records = $stmt->rowCount();
					$num_pages = ceil($num_records/$_REQUEST['rows']);
				// now get result (query string with iorder and limit)		
					$stmt = $db->prepare($querystr . " " . $order_str . " " . $limit_str);						
					$stmt->execute(
						array(
							':sdat' => $_REQUEST['sdate'],
							':edat' => $_REQUEST['edate']
						)
					);
					$rows = array();
					while($r = $stmt->fetch(PDO::FETCH_ASSOC)) {
						$rows[] = $r;
					}	
					$ret = Array();
					$ret['total'] = $num_pages;
					$ret['page'] = $_REQUEST['page'];
					$ret['records'] = $num_records;
					$ret['rows'] = $rows;					
					$result = json_encode($ret);
					return $result;		
					break;
			}
		}	
	}
?>