<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	global $rel_path;	
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;
	
	$routine = new Actitity();
	echo $routine->execute();
	
	class Actitity {
		
		public function __construct() 
		{
		}
		
		public function execute()
		{	
			global $db, $debug, $qb_support;
	// called routine
			$sub_routine = $_REQUEST["routine"];
			switch ($sub_routine)
			{
				case "search":
					$fltr = ($_REQUEST['clss'] == "all")?"":" AND CLSS='".$_REQUEST['clss']."' ";
					unset ($_REQUEST['clss']);
			// make sure that start date is before end date, if no then swap results
					$ymds = $_REQUEST['sdat'];
					$ymde = $_REQUEST['edat'];
					if ($ymds > $ymde) {
						$tmp = $ymds;
						$ymds = $ymde;
						$ymde = $tmp;
					}
					$query[] = "
						SELECT 
							qbi.QBN AS qbn, 
							COALESCE((SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE SVT=LOGIN), 'N/A')  AS svt,							
							(SELECT COUNT(*) FROM qb_qbref WHERE qb_qbref.QBN=qbi.QBN) as qbsum,
							MNR AS imat,
							DESCRIPTION AS des
						FROM 
							qbi
						LEFT JOIN
							qbbasic
						ON
							qbi.QBN=qbbasic.QBN
						WHERE
							QBREGDATE>=:sdat AND 
							QBREGDATE<=:edat
					".$fltr;
				// generate order & limit
					$order_str = "ORDER BY " . $_REQUEST['sidx'] . " " . $_REQUEST['sord'];
					$limit_str = " LIMIT " . ($_REQUEST['page']-1)*$_REQUEST['rows'] . ", " . $_REQUEST['rows'];
				// compile query string
					$querystr = $qb_support->makequery(json_encode($query), json_encode($_REQUEST));
				// get total rows first (only query string)
					$stmt = $db->prepare($querystr);
					$stmt->execute(
						array(
							':sdat' => $ymds,
							':edat' => $ymde
						)
					);			
					$num_records = $stmt->rowCount();
					$num_pages = ceil($num_records/$_REQUEST['rows']);
				// now get result (query string with iorder and limit)		
					$stmt = $db->prepare($querystr . " " . $order_str . " " . $limit_str);	
					$stmt->execute(
						array(
							':sdat' => $ymds,
							':edat' => $ymde
						)
					);
					$rows = array();
					while($r = $stmt->fetch(PDO::FETCH_ASSOC)) {
						$rows[] = $r;
					}	
					$ret = Array();
					$ret['total'] = $num_pages;
					$ret['page'] = $_REQUEST['page'];
					$ret['records'] = $num_records;
					$ret['rows'] = $rows;					
					$result = json_encode($ret);
					return $result;		
					break;
			}
		}	
	}
?>