<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	global $rel_path;	
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;
	
	$routine = new Openai();
	echo $routine->execute();
	
	class Openai {
		
		public function __construct() 
		{
		}
		
		public function execute()
		{	
			global $db, $debug, $qb_support;
	// called routine
			$sub_routine = $_REQUEST["routine"];
			switch ($sub_routine)
			{
				case "getlist":
			// define query (ies)
					$query[] = "
						SELECT 
							QBN AS qbn, 
							UNTIL AS rdate,
							(SELECT QBSTATUS FROM qbi WHERE qbi.QBN=qb_docimm.QBN) AS status,
							(SELECT QBSTATUS FROM qbi WHERE qbi.QBN=qb_docimm.QBN) AS sts,
							(SELECT CONCAT(NACHNAME,', ', VORNAME) FROM qb_user WHERE LOGIN=VISUM) AS visum,
							(SELECT DEPARTMENT FROM qb_user WHERE LOGIN=VISUM) AS dep,  
							'I' AS doc,
							'I' AS doc2,
							(SELECT IF (TOP=1, 'T', IF (LIGHT=1, 'L', 'N')) FROM qbi WHERE qbi.QBN=qb_docimm.QBN) AS qbl,
							(SELECT IF (TOP=1, 'T', IF (LIGHT=1, 'L', 'N')) FROM qbi WHERE qbi.QBN=qb_docimm.QBN) AS qblc,
							(SELECT CONCAT(NACHNAME,', ', VORNAME) FROM qb_user, qbi WHERE LOGIN=SVT AND qbi.QBN=qb_docimm.QBN) AS svt,
							(SELECT DEPARTMENT FROM qb_user, qbi WHERE LOGIN=SVT AND qbi.QBN=qb_docimm.QBN) AS svtdep,
							(SELECT CONCAT(NACHNAME,', ', VORNAME) FROM qb_user, qb_team WHERE LOGIN=NAME AND ROLLE='PL' AND qb_team.QBN=qb_docimm.QBN) AS pl,
							(SELECT DEPARTMENT FROM qb_user, qb_team WHERE LOGIN=NAME AND ROLLE='PL' AND qb_team.QBN=qb_docimm.QBN) AS pldep
						FROM 
							qb_docimm 
						WHERE 
							STAT='OPEN'
					";
					$query[] = "UNION 
						SELECT 
							QBN AS qbn, 
							UNTIL AS rdate,
							(SELECT QBSTATUS FROM qbi WHERE qbi.QBN=qb_docdef.QBN) AS status,
							(SELECT QBSTATUS FROM qbi WHERE qbi.QBN=qb_docdef.QBN) AS sts,
							(SELECT CONCAT(NACHNAME,', ', VORNAME) FROM qb_user WHERE LOGIN=VISUM) AS visum,
							(SELECT DEPARTMENT FROM qb_user WHERE LOGIN=VISUM) AS dep,  
							'D' AS doc,
							'D' AS doc2,
							(SELECT IF (TOP=1, 'T', IF (LIGHT=1, 'L', 'N')) FROM qbi WHERE qbi.QBN=qb_docdef.QBN) AS qbl,
							(SELECT IF (TOP=1, 'T', IF (LIGHT=1, 'L', 'N')) FROM qbi WHERE qbi.QBN=qb_docdef.QBN) AS qblc,
							(SELECT CONCAT(NACHNAME,', ', VORNAME) FROM qb_user, qbi WHERE LOGIN=SVT AND qbi.QBN=qb_docdef.QBN) AS svt,
							(SELECT DEPARTMENT FROM qb_user, qbi WHERE LOGIN=SVT AND qbi.QBN=qb_docdef.QBN) AS svtdep,
							(SELECT CONCAT(NACHNAME,', ', VORNAME) FROM qb_user, qb_team WHERE LOGIN=NAME AND ROLLE='PL' AND qb_team.QBN=qb_docdef.QBN) AS pl,
							(SELECT DEPARTMENT FROM qb_user, qb_team WHERE LOGIN=NAME AND ROLLE='PL' AND qb_team.QBN=qb_docdef.QBN) AS pldep
						FROM 
							qb_docdef 
						WHERE 
							STAT='OPEN'					
					";
				// generate order & limit
					$order_str = "ORDER BY " . $_REQUEST['sidx'] . " " . $_REQUEST['sord'];
					$limit_str = " LIMIT " . ($_REQUEST['page']-1)*$_REQUEST['rows'] . ", " . $_REQUEST['rows'];
				// compile query string
					$querystr = $qb_support->makequery(json_encode($query), json_encode($_REQUEST));
				// get total rows first (only query string)
					$stmt = $db->query($querystr);				
					$num_records = $stmt->rowCount();
					$num_pages = ceil($num_records/$_REQUEST['rows']);
				// now get result (query string with iorder and limit)		
					$stmt = $db->query($querystr . " " . $order_str . " " . $limit_str);					
					$rows = array();
					while($r = $stmt->fetch(PDO::FETCH_ASSOC)) {
						$rows[] = $r;
					}	
					$ret = Array();
					$ret['total'] = $num_pages;
					$ret['page'] = $_REQUEST['page'];
					$ret['records'] = $num_records;
					$ret['rows'] = $rows;					
					$result = json_encode($ret);
					return $result;		
					break;
			}
		}	
	}
?>