<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	global $rel_path;	
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;
	
	$routine = new Openai();
	echo $routine->execute();
	
	class Openai {
		
		public function __construct() 
		{
		}
		
		public function execute()
		{	
			global $db, $debug, $qb_support;
	// called routine
			$sub_routine = $_REQUEST["routine"];
			switch ($sub_routine)
			{
				case "getlist":
					$query[] = "
						SELECT
							qb_docimm.QBN as qbn, 
							UNTIL AS until, 
							COALESCE((SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE LOGIN=VISUM), VISUM) AS visum, 
							COALESCE((SELECT DEPARTMENT FROM qb_user WHERE LOGIN=VISUM), 'N/A') AS dep, 							
							'I' AS doc, 
							'I' AS doc2, 
							WHT AS what
						FROM 
							qb_docimm 
						LEFT JOIN 
							qbi ON qbi.QBN=qb_docimm.QBN 
						WHERE 
							STAT='OPEN' AND 
							UNTIL < CURDATE() AND 
							QBSTATUS NOT IN ('D', 'M')
					";
					$query[] = "
						UNION SELECT 
							qb_docdef.QBN as qbn, 
							UNTIL AS until, 
							COALESCE((SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE LOGIN=VISUM), VISUM) AS visum, 
							COALESCE((SELECT DEPARTMENT FROM qb_user WHERE LOGIN=VISUM), 'N/A') AS dep, 							
							'D' AS doc, 
							'D' AS doc2, 
							WHT AS what
						FROM 
							qb_docdef 
						LEFT JOIN 
							qbi ON qbi.QBN=qb_docdef.QBN 
						WHERE 
							STAT='OPEN' AND 
							UNTIL < CURDATE() AND 
							QBSTATUS NOT IN ('D', 'M')
					";
				// generate order & limit
					$order_str = "ORDER BY " . $_REQUEST['sidx'] . " " . $_REQUEST['sord'];
					$limit_str = " LIMIT " . ($_REQUEST['page']-1)*$_REQUEST['rows'] . ", " . $_REQUEST['rows'];
				// compile query string
					$querystr = $qb_support->makequery(json_encode($query), json_encode($_REQUEST));
				// get total rows first (only query string)
					$stmt = $db->query($querystr);				
					$num_records = $stmt->rowCount();
					$num_pages = ceil($num_records/$_REQUEST['rows']);
				// now get result (query string with iorder and limit)		
					$stmt = $db->query($querystr . " " . $order_str . " " . $limit_str);
					$rows = array();
					while($r = $stmt->fetch(PDO::FETCH_ASSOC)) {
						$rows[] = $r;
					}
					$ret = Array();
					$ret['total'] = $num_pages;
					$ret['page'] = $_REQUEST['page'];
					$ret['records'] = $num_records;
					$ret['rows'] = $rows;					
					$result = json_encode($ret);
					return $result;		
					break;
			}
		}	
	}
?>