<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	global $rel_path;	
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;
	
	$routine = new Openai();
	echo $routine->execute();
	
	class Openai {
		
		public function __construct() 
		{
		}
		
		public function execute()
		{	
			global $db, $debug, $qb_support;
	// called routine
			$sub_routine = $_REQUEST["routine"];
			switch ($sub_routine)
			{
				case "getlist":
					$query[] = "
						SELECT 
							QBN AS qbn,
							QBSTATUS AS qbs,
							LAST AS last,
							(SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE SVT=LOGIN) AS svt,
							(SELECT DEPARTMENT FROM qb_user WHERE SVT=LOGIN) AS dep,
							(SELECT DESCRIPTION FROM qbbasic WHERE qbbasic.QBN=qbi.QBN) AS what,
							(SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user, qb_team WHERE ROLLE='PL' AND qb_team.QBN=qbi.QBN AND NAME=LOGIN) AS pl,
							(SELECT DEPARTMENT FROM qb_user, qb_team WHERE ROLLE='PL' AND qb_team.QBN=qbi.QBN AND NAME=LOGIN) AS dep2
						FROM 
							qbi 
						WHERE 
							QBSTATUS IN ('S', 'O') AND 
							QBN NOT IN 
							(
								SELECT DISTINCT 
									QBN 
								FROM 
									qb_docimm 
								WHERE 
									STAT='OPEN' 
								UNION 
									SELECT 
										QBN 
									FROM 
										qb_docdef 
									WHERE 
										STAT='OPEN'
								UNION 
									SELECT 
										QBN 
									FROM 
										qb_imp 
									WHERE 
										TEAMAPP NOT IN ('0','4')
								UNION
									SELECT 
										QBN 
									FROM 
										qb_val 
									WHERE 
										(CHECK_NEXT_WE=1 AND WE_OK=0) OR 
										(OTHER_TEST !='' AND TEST_OK=0)
								UNION
									SELECT 
										QBN 
									FROM 
										qb_close 
									WHERE 
										CSTATUS NOT IN ('0', '2', '4')								
							)
					";
				// generate order & limit
					$order_str = "ORDER BY " . $_REQUEST['sidx'] . " " . $_REQUEST['sord'];
					$limit_str = " LIMIT " . ($_REQUEST['page']-1)*$_REQUEST['rows'] . ", " . $_REQUEST['rows'];
				// compile query string
					$querystr = $qb_support->makequery(json_encode($query), json_encode($_REQUEST));
				// get total rows first (only query string)
					$stmt = $db->query($querystr);				
					$num_records = $stmt->rowCount();
					$num_pages = ceil($num_records/$_REQUEST['rows']);
				// now get result (query string with iorder and limit)		
					$stmt = $db->query($querystr . " " . $order_str . " " . $limit_str);					
					$rows = array();
					while($r = $stmt->fetch(PDO::FETCH_ASSOC)) {
						$rows[] = $r;
					}	
					$ret = Array();
					$ret['total'] = $num_pages;
					$ret['page'] = $_REQUEST['page'];
					$ret['records'] = $num_records;
					$ret['rows'] = $rows;					
					$result = json_encode($ret);
					return $result;			
					break;
			}
		}	
	}
?>