<?php 
// this generates the excel
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	global $rel_path;	
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;
	
	$lng = $_REQUEST['qblan'];
// general translations
	$ini_aorphaned = parse_ini_file($rel_path.'i18n/a_orphaned.ini', true);	

// extract data
	$filters = (json_decode($_REQUEST['filters'], true));
	$detfilter = " HAVING ";
	foreach($filters as $key=>$value) {
		if ($value != "") {
			$detfilter .= $key." LIKE '%".$value."%' AND ";
		}
	}
	if ($detfilter == " HAVING ") {
		$detfilter = "";
	} else {
		$detfilter = substr($detfilter, 0, -5);
	}
	$titles = (json_decode($_REQUEST['titles'], true));

	$query = "
		SELECT 
			QBN AS qbn,
			QBSTATUS AS qbs,
			LAST AS last,
			(SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE SVT=LOGIN) AS svt,
			(SELECT DEPARTMENT FROM qb_user WHERE SVT=LOGIN) AS dep,
			(SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user, qb_team WHERE ROLLE='PL' AND qb_team.QBN=qbi.QBN AND NAME=LOGIN) AS pl,
			(SELECT DEPARTMENT FROM qb_user, qb_team WHERE ROLLE='PL' AND qb_team.QBN=qbi.QBN AND NAME=LOGIN) AS dep2,
			(SELECT DESCRIPTION FROM qbbasic WHERE qbbasic.QBN=qbi.QBN) AS what
		FROM 
			qbi 
		WHERE 
			QBSTATUS IN ('S', 'O') AND 
			QBN NOT IN (
				SELECT DISTINCT 
					QBN 
				FROM 
					qb_docimm 
				WHERE 
					STAT='OPEN' 
				UNION 
					SELECT 
						QBN 
					FROM 
						qb_docdef 
					WHERE 
						STAT='OPEN'
				UNION 
					SELECT 
						QBN 
					FROM 
						qb_imp 
					WHERE 
						TEAMAPP NOT IN ('0','4')
				UNION
					SELECT 
						QBN 
					FROM 
						qb_val 
					WHERE 
						(CHECK_NEXT_WE=1 AND WE_OK=0) OR 
						(OTHER_TEST !='' AND TEST_OK=0)
				UNION
					SELECT 
						QBN 
					FROM 
						qb_close 
					WHERE 
						CSTATUS NOT IN ('0', '2', '4')								
				)
	".$detfilter;
	$stmt = $db->query($query);
	$num_records = $stmt->rowCount();
	
/** Include PhpSpreadsheet */
  require $rel_path.'phpspreadsheet/autoload.php';

  use PhpOffice\PhpSpreadsheet\Spreadsheet;
  use PhpOffice\PhpSpreadsheet\Style\Border;
  use PhpOffice\PhpSpreadsheet\Style\Color;
  use PhpOffice\PhpSpreadsheet\Style\Font;
  use PhpOffice\PhpSpreadsheet\Writer\Xlsx;

  $spreadsheet = new Spreadsheet();
  $spreadsheet->getActiveSheet()->getPageSetup()->setOrientation(\PhpOffice\PhpSpreadsheet\Worksheet\PageSetup::ORIENTATION_LANDSCAPE);
  $spreadsheet->getActiveSheet()->getPageSetup()->setPaperSize(\PhpOffice\PhpSpreadsheet\Worksheet\PageSetup::PAPERSIZE_A4);
  $spreadsheet->getProperties()->setCreator("QB-oot")->setTitle("QB Orphaned");
  $spreadsheet->getDefaultStyle()->getFont()->setName('Arial')->setSize(11);
  $sheet = $spreadsheet->getActiveSheet();
	
// define formats
  $styleThinBlackBorderOutline = [
    'borders' => [
      'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
      'color' => ['argb' => 'FF000000']
    ]
  ];  
  $styleThickBlackBorderOutline = [
    'borders' => [
      'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_MEDIUM,
      'color' => ['argb' => 'FF000000']
    ]
  ]; 
  $styleGreyBackground = [
    'fill' => [
      'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
      'color' => ['argb' => 'FFCCCCCC']
    ]
  ];
  $styleFilterBackground = [
    'fill' => [
      'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
      'color' => ['argb' => 'FFEBF1DE']
    ]
  ]; 
  $styleHyperlink = [
    'font' => [
      'alignment' => ['horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER],
      'color' => ['argb' => 'FF0000FF'],
      'underline' => Font::UNDERLINE_SINGLE
    ]
  ];
  $styleStatusO = [
    'fill' => [
      'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
      'color' => ['rgb' => substr($c_scheme["SO"], -6)]
    ]
  ];
  $styleStatusS = [
    'fill' => [
      'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
      'color' => ['rgb' => substr($c_scheme["ST"], -6)]
    ]
  ];
// insert filter settings
	$sheet->setCellValue("A1", "Filter");
	$sheet->getStyle('A1')->getFont()->setBold(true)->setSize(12);
	$sheet->mergeCells('A1:B1');
	$sheet->getStyle('A1:B1')->applyFromArray($styleThickBlackBorderOutline);
	$sheet->setCellValue("A2", $ini_aorphaned['qbn'][$lng]);
	$sheet->setCellValue("B2", $filters['qbn']);
	$sheet->setCellValue("A3", $ini_aorphaned['lastact'][$lng]);
	$sheet->setCellValue("B3", $filters['last']);
	$sheet->setCellValue("A4", $ini_aorphaned['svt'][$lng]);
	$sheet->setCellValue("B4", $filters['svt']);
	$sheet->setCellValue("A5", $ini_aorphaned['department'][$lng]);
	$sheet->setCellValue("B5", $filters['dep']);
	$sheet->setCellValue("A6", $ini_aorphaned['pl'][$lng]);
	$sheet->setCellValue("B6", $filters['pl']);
	$sheet->setCellValue("A7", $ini_aorphaned['department'][$lng]);
	$sheet->setCellValue("B7", $filters['dep2']);
	$sheet->setCellValue("A8", $ini_aorphaned['what'][$lng]);
	$sheet->setCellValue("B8", $filters['what']);	
	$sheet->setCellValue("A9", $ini_aorphaned['generated'][$lng]);	
	$sheet->setCellValue("B9", date('Y-M-d H:i:s', time()));
	$sheet->setCellValue("A10", $ini_aorphaned['found_datasets'][$lng]);
	$sheet->setCellValue("B10", $num_records);
	$sheet->getStyle('B10')->getAlignment()->setHorizontal(\PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_LEFT);	
	$sheet->getStyle('B10')->getFont()->setBold(true);	
	$sheet->getStyle('B2:B10')->getFont()->setItalic(true);
// format filter box
	$sheet->getStyle('A1:B10')->applyFromArray($styleFilterBackground)->applyFromArray($styleThickBlackBorderOutline);
// generate headlines
	$i = 1;
	$start_row = 12;

	foreach ($titles as $title) {
		$sheet->setCellValue(chr(64+$i).$start_row, $title);
		$i++;
	}
// format headlines
	$sheet->getStyle('A'.$start_row.':'.chr(64+count($titles)).$start_row)->applyFromArray($styleThinBlackBorderOutline);
	$sheet->getStyle('A'.$start_row.':'.chr(64+count($titles)).$start_row)->applyFromArray($styleGreyBackground);
	$sheet->getStyle('A'.$start_row.':'.chr(64+count($titles)).$start_row)->getFont()->setBold(true)->setName('Arial')->setSize(10)->getColor()->setARGB('FF0000FF');
	$sheet->getStyle('A'.$start_row.':'.chr(64+count($titles)).$start_row)->getAlignment()->setHorizontal(\PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_LEFT);		
	
	$data_row = $start_row + 1;
	global $relili;
	while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$i = 1;
		foreach($row as $key => $value) {
			if ($key == "qbs") {
			} else {
				if ($key == "qbn") {
					$sheet->setCellValue(chr(64+$i).$data_row, $value);
          $sheet->getCell(chr(64+$i).$data_row)->getHyperlink()->setUrl('http://' . $relili . $value);
          $sheet->getStyle(chr(64+$i).$data_row)->applyFromArray($styleHyperlink);	
          if ($row['qbs'] == "O") {
            $sheet->getStyle(chr(64+$i).$data_row)->applyFromArray($styleStatusO);				
          } else {
            $sheet->getStyle(chr(64+$i).$data_row)->applyFromArray($styleStatusS);				
          }		
				} else {
          $richText = new \PhpOffice\PhpSpreadsheet\RichText\RichText();
          $richText->createText($value);
          $sheet->setCellValue(chr(64+$i).$data_row, $richText);
				}
				$i++;
			}
		}
		$data_row++;
	}

// set autofilter
	$sheet->setAutoFilter('A'.$start_row.':'.chr(64+count($titles)).$start_row);
	
// format columns
	$i = 1;
  foreach ($titles as $title=>$value) {
	// set column width for description including line break
		if ($title == "what") {
			$sheet->getColumnDimension(chr(64+$i))->setWidth(100);			
			$sheet->getStyle(chr(64+$i).($start_row + 1).":".chr(64+$i).$sheet->getHighestRow())->getAlignment()->setWrapText(true); 
		} else {
			$sheet->getColumnDimension(chr(64+$i))->setAutoSize(true);
		}
    $i++;
	}
// Rename worksheet
	$sheet->setTitle($ini_aorphaned['orphaned'][$lng]);

// Set active sheet index to the first sheet, so Excel opens this as the first sheet
	$spreadsheet->setActiveSheetIndex(0);

// Redirect output to a client's web browser (Excel2007)
	header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
	header('Content-Disposition: attachment;filename="orphaned.xlsx"');
	header('Cache-Control: max-age=0');

  $writer = new Xlsx($spreadsheet);
  $writer->save('php://output');
	exit;
?>
