<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	global $rel_path;	
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;
	
	$routine = new Openai();
	echo $routine->execute();
	
	class Openai {
		
		public function __construct() 
		{
		}
		
		public function execute()
		{	
			global $db, $debug, $rel_path, $qb_support;
	// called routine
			$sub_routine = $_REQUEST["routine"];
			switch ($sub_routine)
			{
				case "getlist":
					$query = "
						SELECT 
							qbi.QBN AS qbn, 
							DATE_ACC_BY_SVT AS accdat, 
							(SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE SVT=LOGIN) AS svt, 
							(SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user LEFT JOIN qb_team ON NAME=LOGIN WHERE qb_team.QBN=qbi.QBN AND ROLLE='PL') AS pl, 
							RTYPE AS rtype, 
							DESCRIPTION AS descr, 
							QBSTATUS AS sts 
						FROM 
							qb_imp 
						LEFT JOIN 
							qbi ON qb_imp.QBN=qbi.QBN 
						WHERE 
							QBSTATUS IN ('C', 'S') AND 
							DATEDIFF(NOW(), DATE_ACC_BY_SVT)<=:ddif 
						ORDER BY 
							" . $_REQUEST['sidx'] . " " . $_REQUEST['sord'];
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':ddif' => $_REQUEST['ddif']
						)
					);
					$rows = array();
					while($r = $stmt->fetch(PDO::FETCH_ASSOC)) {
						$rows[] = $r;
					}	
					$result = json_encode($rows);
					return $result;		
					break;
			}
		}	
	}
?>