<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	global $rel_path;
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;

	$routine = new Whos();
	echo $routine->execute();
	
	class Whos {
		
		public function __construct() 
		{
		}
		
		public function execute()
		{	
			global $db, $debug, $qb_support;
	// called routine
			$sub_routine = $_REQUEST["routine"];
			switch ($sub_routine)
			{
				case "search":
					$fltr = ($_REQUEST['clss'] == "all")?"":" AND CLSS='".$_REQUEST['clss']."'";
					$query = "
						SELECT 
							DATE_FORMAT(QBREGDATE,'%Y-%m'), 
							(SUM(IF(LIGHT=1,1,0))/(SUM(1))) AS LIGHT, 
							(SUM(IF(LIGHT=0,1,0))/(SUM(1))) AS NORMAL 
						FROM 
							qbi 
						WHERE 
							QBREGDATE>=:from AND 
							QBREGDATE<=:to AND 
							QBSTATUS NOT IN ('D', 'M')
					".$fltr."
						GROUP BY 
							DATE_FORMAT(QBREGDATE,'%Y-%m') 
						ORDER BY 
							DATE_FORMAT(QBREGDATE,'%Y-%m') ASC
					";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':from' => $_REQUEST['from'],
							':to' => $_REQUEST['to']
						)
					);
					$rows = array();
					while($r = $stmt->fetch(PDO::FETCH_NUM)) {
						$rows[] = $r;
					}	
					$out = array();
			// transpose array			
					foreach ($rows as $key => $subarr) {
						foreach ($subarr as $subkey => $subvalue) {
							$out[$subkey][$key] = $subvalue;
						}
					}			
					$result = json_encode($out);	
					return $result;		
					break;
			}
		}	
	}
?>