<?php
// this generates the excel
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	global $rel_path;
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;
	$lng = $_REQUEST['qblan'];

// get materialname index
	$mncol = $qb_support->getLanMat($_REQUEST['qblan']);

// prepare translations
	$ini_topqb = parse_ini_file($rel_path.'i18n/a_topqb.ini', true);	
	$cal = parse_ini_file($rel_path.'i18n/calendar.ini', true);
	$ini_qbstatus = parse_ini_file($rel_path.'xml/qb_status.ini', true);	
	$ini_qbtype = parse_ini_file($rel_path.'xml/qb_type.ini', true);	
	$ini_rekart = parse_ini_file($rel_path.'xml/r_type.ini', true);		
	$ini_ffu = parse_ini_file($rel_path.'xml/ffu.ini', true);	
	$ini_region = parse_ini_file($rel_path.'xml/regions.ini', true);
	$ini_clsstype = parse_ini_file($rel_path.'xml/class.ini', true);	
	
// extract data
	$colnames = json_decode($_REQUEST['colnames'], true);
	$filters = json_decode($_REQUEST['filters'], true);
// prepare statements
	$statement = Array();
	$statement['qbn'] = "qbi.QBN AS qbn, ";
	$statement['qbstatus'] = "QBSTATUS AS qbstatus, ";
	$statement['customer'] = "CUSTOMER AS customer, ";
	$statement['regdate'] = "QBREGDATE AS regdate, ";
	$statement['clss'] = "CLSS AS clss, ";	
	$statement['rtype'] = "RTYPE AS rtype, ";	
	$statement['description'] = "DESCRIPTION AS description, ";
	$statement['ffu'] = "FFU AS ffu, ";	
	$statement['vko'] = "(SELECT COUNTRY FROM qb_ccode WHERE SALESORG = CODE) AS vko, ";
	$statement['svt'] = "(SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE LOGIN=qbi.SVT) AS svt, ";
	$statement['req'] = "IF (SHOWREQ=1,(SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE REQ=LOGIN), '*****') AS req, ";
	$statement['regio'] = "(SELECT REGION FROM qb_user WHERE REQ=LOGIN) AS regio, ";	
	$statement['tgr'] = "IF (MNR='0', 'xxxxx-xxxxx', MNR) AS tgr, ";
	$statement['tgrbz'] = "COALESCE(TGRBZ_" . $mncol . ", 'xxxxx-xxxxx') AS tgrbz, ";
	$statement['supplier'] = "(SELECT SUPPLIERNAME FROM qb_supplier WHERE SUPPLIER=SUPPLIERNR) AS supplier, ";
	$statement['pl'] = "(SELECT (SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE LOGIN=NAME) FROM qb_team WHERE ROLLE='PL' AND qbn=qbi.QBN) AS pl, ";
	$statement['department'] = "(SELECT (SELECT DEPARTMENT FROM qb_user WHERE LOGIN=NAME) FROM qb_team WHERE ROLLE='PL' AND qbn=qbi.QBN) AS department, ";
	$statement['best'] = "BEST AS best, ";	
// prepare query
	$query = "SELECT ";
	foreach($colnames as $key=>$value) {
		$query .= $statement[$key];
	}
	$query = substr($query, 0, -2);
	$query .= " 
		FROM 
			qbi 
		LEFT JOIN 
			qbbasic ON qbi.QBN=qbbasic.QBN 
		LEFT JOIN 
			qb_material ON MNR=TGR 
		LEFT JOIN 
			qb_close ON qbi.QBN=qb_close.QBN 
	";
	$fstr = " 
		WHERE
			QBSTATUS NOT IN ('M', 'D') AND
			QBREGDATE>=:sdat AND
			QBREGDATE<=:edat AND
			TOP=1
	";
	if (count($filters) > 0) {
		$fstr .= " HAVING  ";
		$cstr = "";
		$groupOp = " " . $filters['groupOp'] . " ";
		$rules = $filters['rules'];
		foreach($rules as $key=>$value) {
			switch ($value['field']) {
				case "cn":
					$fstr .= " " . $value['field'] . " LIKE '%" . $value['data'] . "%' ";
				break;
				case "nc":
					$fstr .= " " . $value['field'] . " NOT LIKE '%" . $value['data'] . "%' ";
				break;
				case "eq":
					$fstr .= " " . $value['field'] . " = '" . $value['data'] . "' ";
				break;
				case "ne":
					$fstr .= " " . $value['field'] . " != '" . $value['data'] . "' ";
				break;
				case "bw":
					$fstr .= " " . $value['field'] . " LIKE '" . $value['data'] . "%' ";
				break;
				case "bn":
					$fstr .= " " . $value['field'] . " NOT LIKE '" . $value['data'] . "%' ";
				break;
				case "ew":
					$fstr .= " " . $value['field'] . " LIKE '%" . $value['data'] . "' ";
				break;
				case "en":
					$fstr .= " " . $value['field'] . " NOT LIKE '%" . $value['data'] . "' ";
				break;					
			}
			$fstr .= " " . $value['field'] . " LIKE '%" . $value['data'] . "%' ";
			if ($key < (count($rules)-1)) $fstr .= $groupOp;
		}
		$fstr .= $cstr;		
	}
	$fstr .= "	
		ORDER BY 
			qbi.QBN DESC
	";
	$query .= $fstr;
	$stmt = $db->prepare($query);
	$stmt->execute(
		array(
			':sdat' => $_REQUEST['s_date'],
			':edat' => $_REQUEST['e_date']
		)
	);	

/** Include PhpSpreadsheet */
  require $rel_path.'phpspreadsheet/autoload.php';

  use PhpOffice\PhpSpreadsheet\Spreadsheet;
  use PhpOffice\PhpSpreadsheet\Style\Border;
  use PhpOffice\PhpSpreadsheet\Style\Color;
  use PhpOffice\PhpSpreadsheet\Style\Font;
  use PhpOffice\PhpSpreadsheet\Writer\Xlsx;

  $spreadsheet = new Spreadsheet();
  $spreadsheet->getActiveSheet()->getPageSetup()->setOrientation(\PhpOffice\PhpSpreadsheet\Worksheet\PageSetup::ORIENTATION_LANDSCAPE);
  $spreadsheet->getActiveSheet()->getPageSetup()->setPaperSize(\PhpOffice\PhpSpreadsheet\Worksheet\PageSetup::PAPERSIZE_A4);
  $spreadsheet->getProperties()->setCreator("QB-oot")->setTitle("TOP Qb");
  $spreadsheet->getDefaultStyle()->getFont()->setName('Arial')->setSize(11);
  $sheet = $spreadsheet->getActiveSheet();
	
// define formats
  $styleThinBlackBorderOutline = [
    'borders' => [
      'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
      'color' => ['argb' => 'FF000000']
    ]
  ];  
  $styleThickBlackBorderOutline = [
    'borders' => [
      'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_MEDIUM,
      'color' => ['argb' => 'FF000000']
    ]
  ]; 
  $styleGreyBackground = [
    'fill' => [
      'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
      'color' => ['argb' => 'FFCCCCCC']
    ]
  ];
  $styleFilterBackground = [
    'fill' => [
      'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
      'color' => ['argb' => 'FFEBF1DE']
    ]
  ]; 
  $styleHyperlink = [
    'font' => [
      'alignment' => ['horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER],
      'color' => ['argb' => 'FF0000FF'],
      'underline' => Font::UNDERLINE_SINGLE
    ]
  ];
	
// insert filter settings
	$sheet->setCellValue("A1", "Filter");
	$sheet->getStyle('A1')->getFont()->setBold(true)->setSize(12);
	$sheet->mergeCells('A1:B1');
	$sheet->getStyle('A1:B1')->applyFromArray($styleThickBlackBorderOutline);
	$off = 1;	
	
	if (count($filters) > 0) {
		foreach($rules as $key=>$value) {		
			$off++;
			$sheet->setCellValue("A".$off, $colnames[$value['field']]);
			if ($value['field'] == "qbstatus") {
				$sheet->setCellValue("B".$off, $ini_qbstatus[$value['data']][$lng]);
			} else if ($value['field'] == "rtype") {
				$sheet->setCellValue("B".$off, $ini_rekart[$value['data']][$lng]);
			} else if ($value['field'] == "clss") {			
				$sheet->setCellValue("B".$off, $ini_clsstype[$value['data']][$lng]);				
			} else if ($value['field'] == "ffu") {		
				$sheet->setCellValue("B".$off, $ini_ffu[$value['data']][$lng]);						
			} else {
				$sheet->setCellValue("B".$off, $value['data']);
			}
			$sheet->getStyle('B'.$off)->getAlignment()->setHorizontal(\PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_LEFT);	
		}
	}
	$off++;
	$sheet->setCellValue("A".$off, $ini_topqb['date_range'][$lng]);	
	$sheet->setCellValue("B".$off, $_REQUEST['sdat_org1'] . " : " . $_REQUEST['edat_org1']);
	$off++;	
	$sheet->setCellValue("A".$off, $ini_topqb['generated'][$lng]);	
	$sheet->setCellValue("B".$off, date('Y-M-d H:i:s', time()));
	$off++;
	$total_rows = $stmt->rowCount();
	$sheet->setCellValue("A".$off, $ini_topqb['found_datasets'][$lng]);
	$sheet->setCellValue("B".$off, $total_rows);
	
	$sheet->getStyle('B'.$off)->getAlignment()->setHorizontal(\PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_LEFT);	
	$sheet->getStyle('B'.$off)->getFont()->setBold(true);	
	$sheet->getStyle('B2:B'.$off)->getFont()->setItalic(true);
// format filter box
	$sheet->getStyle('A1:B'.$off)->applyFromArray($styleFilterBackground)->applyFromArray($styleThickBlackBorderOutline);
// generate headlines
	$i = 1;
	$start_row = $off + 1;
	foreach ($colnames as $key=>$title) {
		$sheet->setCellValue(chr(64+$i).$start_row, $title);
		$i++;
	}

// format headlines
	$sheet->getStyle('A'.$start_row.':'.chr(64+count($colnames)).$start_row)->applyFromArray($styleThinBlackBorderOutline);
	$sheet->getStyle('A'.$start_row.':'.chr(64+count($colnames)).$start_row)->applyFromArray($styleGreyBackground);
	$sheet->getStyle('A'.$start_row.':'.chr(64+count($colnames)).$start_row)->getFont()->setBold(true)->setName('Arial')->setSize(10)->getColor()->setARGB('FF0000FF');
	$sheet->getStyle('A'.$start_row.':'.chr(64+count($colnames)).$start_row)->getAlignment()->setHorizontal(\PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_LEFT);	
// result is there, add amount of rows
	$i = 1;
	$data_row = $start_row + 1;
	global $relili;

	while($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$i = 1;
		foreach($row as $key => $value) {	
			if ($key == "qbstatus") {
				$sheet->setCellValue(chr(64+$i).$data_row, $ini_qbstatus[$value][$lng]);
			} else if ($key == "rtype") {
				$sheet->setCellValue(chr(64+$i).$data_row, $ini_rekart[$value][$lng]);
			} else if ($key == "tgr") {
				$sheet->setCellValue(chr(64+$i).$data_row, " ".$value);
			} else if ($key == "ffu") {
				if ($value == "") {
					$sheet->setCellValue(chr(64+$i).$data_row, $value);
				} else {
					$sheet->setCellValue(chr(64+$i).$data_row, $ini_ffu[$value][$lng]);
				}
			} else {
        $richText = new \PhpOffice\PhpSpreadsheet\RichText\RichText();
        $richText->createText($value);
				$sheet->setCellValue(chr(64+$i).$data_row, $richText);
			}
			if ($key == "qbn") {
				$sheet->getCell(chr(64+$i).$data_row)->getHyperlink()->setUrl('http://' . $relili . $value);
        $sheet->getStyle(chr(64+$i).$data_row)->applyFromArray($styleHyperlink);	
			}
			$i++;
		}
		$data_row++;
	}
// set autofilter
	$sheet->setAutoFilter('A'.$start_row.':'.chr(64+count($colnames)).$start_row);
	
// format columns
	$i = 1;
	foreach ($colnames as $title=>$value) {
	// set column width for description including line break
		if ($title == "description") {
			$sheet->getColumnDimension(chr(64+$i))->setWidth(100);			
			$sheet->getStyle(chr(64+$i).($start_row + 1).":".chr(64+$i).$sheet->getHighestRow())->getAlignment()->setWrapText(true); 
		} else {
			$sheet->getColumnDimension(chr(64+$i))->setAutoSize(true);
		}
		$i++;	
	}
// Rename worksheet
	$sheet->setTitle("overview");

// Set active sheet index to the first sheet, so Excel opens this as the first sheet
	$spreadsheet->setActiveSheetIndex(0);

// Redirect output to a client’s web browser (Excel2007)
	header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
	header('Content-Disposition: attachment;filename="qb-topqb.xlsx"');
	header('Cache-Control: max-age=0');

  $writer = new Xlsx($spreadsheet);
  $writer->save('php://output');
	exit;
?>
