<?php
// load support code
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	require_once($rel_path.'support.php');	
	$qb_support = new QBSupport;
    
	if ((!isset($_SESSION['lng'])) OR (strlen($_SESSION['lng']) == 0)) $_SESSION['lng'] = $qb_support->getbrowserlanguage(); 
    
// check if force login is set. If yes redirect user to login page	
	if ($qb_support->getoptions('forcelogin', 'set') == "yes") {		
		if ((!isset($_SESSION['rl'])) AND (basename($_SERVER["SCRIPT_FILENAME"]) != "login.php")) {
			if (basename($_SERVER['PHP_SELF']) != "login.php") {
				header("Location: ".$relpath."login.php");			
			}
		}
	// check if password change was correctly done (prevent tricking the system by manually changing the page
		if ((!isset($_SESSION['fg'])) AND (basename($_SERVER["SCRIPT_FILENAME"]) != "cpw.php")) {
			if (basename($_SERVER['PHP_SELF']) != "login.php") {
				header("Location: ".$relpath."login.php");			
			}
		}		
	}
// set std role for user if not logged in and forcelogin not set
	if ((!isset($_SESSION['lg'])) AND (basename($_SERVER["SCRIPT_FILENAME"]) != "login.php")) {
		$query = "SELECT FLAGS FROM qb_roles WHERE ROLE='USER'";
		$stmt = $db->query($query);
		$row1  = $stmt->fetch(PDO::FETCH_NUM );		
		$_SESSION['fn'] = "";
		$_SESSION['rl'] = "USER";
		$_SESSION['fg'] = $row1[0];
		unset($_SESSION['lg']);
	}		
?>
<script>
	var $globlan;
// check if language is set
	if (window.localStorage.getItem('qblan') === null) {	
	// no, set language in localStorage
		window.localStorage.setItem('qblan', "<?php echo $qb_support->getbrowserlanguage(); ?>")
		$globlan = window.localStorage.getItem('qblan');
	} else {	
		$globlan = window.localStorage.getItem('qblan');
	}
// check if localStoreage is set (means open in new tab)
	if (window.localStorage.getItem('qb') === null) {		
		// no is not, check if sessionStorage ist set (means change of page in same tab)
		if (window.sessionStorage.getItem('qb') === null) {				
		// no, is not -> new page call, get newest QB
			window.sessionStorage.setItem('qb', '<?php echo $qb_support->getnewestqb(); ?>');
			window.sessionStorage.setItem('qbn', '<?php echo $qb_support->getqbdata($qb_support->getnewestqb()); ?>');		
		} else {		
		// yes, is set - do nothing
		}
	} else {	
		// yes, is set. Most likely a linked call - copy localStorage qb number to sessionStorage QB number...
		window.sessionStorage.setItem('qb', window.localStorage.getItem('qb'));	
		window.sessionStorage.setItem('qbn', window.localStorage.getItem('qbn'));	
		//... and unset localStorage qb number
		window.localStorage.removeItem('qb');
		window.localStorage.removeItem('qbn');
	}	
</script>