﻿<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	global $rel_path;	
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;
	
	$routine = new Delete();
	echo $routine->execute();
	
	class Delete {
		
		public function __construct() 
		{
		}
		
		public function execute()
		{	
			global $db, $rel_path, $debug, $qb_support;
	// called routine
			if (isset($_REQUEST['routine'])) {
				$sub_routine = $_REQUEST["routine"];
			} else {
				$json = file_get_contents('php://input');
				$obj = json_decode($json, true);
				$sub_routine = $obj["routine"];
			}
			switch ($sub_routine)
			{
				case "getqbs":
				// define material name language
					$mncol = $qb_support->getLanMat($_REQUEST['qblan']);
					$query[] = "
					SELECT 
							qbi.QBN AS qbn, 
							QBSTATUS AS qbstatus, 
							QBSTATUS AS sts, 
							(SELECT COALESCE(CONCAT(VORNAME, ' ', NACHNAME), 'N/A') FROM qb_user WHERE LOGIN=SVT) AS svt, 
							IF (MNR='0', 'xxxxx-xxxxx', MNR) AS tgr, 
							IF( MNR='0', 'xxxxx-xxxxx', (SELECT TGRBZ_" . $mncol . " FROM qb_material WHERE TGR=MNR)) AS tgrbz
						FROM
							qbbasic
						LEFT JOIN 
							qbi ON qbi.QBN=qbbasic.QBN 
					";		
				// generate order & limit
					$order_str = "ORDER BY " . $_REQUEST['sidx'] . " " . $_REQUEST['sord'];
					$limit_str = " LIMIT " . ($_REQUEST['page']-1)*$_REQUEST['rows'] . ", " . $_REQUEST['rows'];
				// compile query string
					$querystr = $qb_support->makequery(json_encode($query), json_encode($_REQUEST));
				// get total rows first (only query string)
					$stmt = $db->query($querystr);				
					$num_records = $stmt->rowCount();
					$num_pages = ceil($num_records/$_REQUEST['rows']);
				// now get result (query string with iorder and limit)		
					$stmt = $db->query($querystr . " " . $order_str . " " . $limit_str);
					$rows = array();
					while($r = $stmt->fetch(PDO::FETCH_ASSOC)) {
						$rows[] = $r;
					}
					$ret = Array();
					$ret['total'] = $num_pages;
					$ret['page'] = $_REQUEST['page'];
					$ret['records'] = $num_records;
					$ret['rows'] = $rows;					
					$result = json_encode($ret);
					return $result;	
					break;
				case "deleteqb":	
		// clear all tables		
					$qbi = $obj["qbn"];					
			// qbi
				// check if this is the newest QBN - if yes delete it completely, otherwise set status to "D"
					$query = "SELECT QBN FROM qbi ORDER BY IDX DESC LIMIT 0, 1";
					$stmt = $db->query($query);
					if ($stmt->fetchColumn() == $qbi) {
						$query = "DELETE FROM qbi WHERE QBN=:qbn";	
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':qbn' => $qbi
							)
						);
					} else {
						$query = "UPDATE qbi SET QBSTATUS='D', SVT=:svt, BB='', CC='', DDDD='', LIGHT=0, TOP=0 WHERE QBN=:qbn";	
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':qbn' => $qbi,
								':svt' => $_SESSION['lg']
							)
						);
					}
			// qbbasic
					$query = "DELETE FROM qbbasic WHERE QBN=:qbn";	
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $qbi
						)
					);
			// qbbasic_files
				// delete files
					$query = "SELECT LINK FROM qbbasic_files WHERE QBN=:qbn";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $qbi
						)
					);
					while($row = $stmt->fetch(PDO::FETCH_NUM)) {
						@unlink($row[0]);	
					}					
				// delete database entry
					$query = "DELETE FROM qbbasic_files WHERE QBN=:qbn";	
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $qbi
						)
					);				
			// qb_8d
					$query = "DELETE FROM qb_8d WHERE QBN=:qbn";	
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $qbi
						)
					);
			// qb_close
					$query = "DELETE FROM qb_close WHERE QBN=:qbn";	
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $qbi
						)
					);
			// qb_def		
					$query = "DELETE FROM qb_def WHERE QBN=:qbn";	
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $qbi
						)
					);
			//qb_doccom_files
				// get UID
					$query = "SELECT UID FROM qb_doccom WHERE QBN=:qbn";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $qbi
						)
					);
				// delete files
					while($row = $stmt->fetch(PDO::FETCH_NUM)) {
						$query = "SELECT LINK FROM qb_doccom_files WHERE LUID=:uid";
						$stmt2 = $db->prepare($query);
						$stmt2->execute(
							array(
								':uid' => $row[0]
							)
						);
						while($row2 = $stmt2->fetch(PDO::FETCH_NUM)) {	
							@unlink($rel_path."files/".$qbi."/".$row2[0]);	
						}
					}
				// delete database entry
					$query = "DELETE FROM qb_doccom_files WHERE QBN=:qbn";	
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $qbi
						)
					);
			// qb_doccom		
					$query = "DELETE FROM qb_doccom WHERE QBN=:qbn";	
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $qbi
						)
					);
			//qb_doccost_files
				// get UID
					$query = "SELECT UID FROM qb_doccost WHERE QBN=:qbn";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $qbi
						)
					);
				// delete files
					while($row = $stmt->fetch(PDO::FETCH_NUM)) {
						$query = "SELECT LINK FROM qb_doccost_files WHERE LUID=:uid";
						$stmt2 = $db->prepare($query);
						$stmt2->execute(
							array(
								':uid' => $row[0]
							)
						);
						while($row2 = $stmt2->fetch(PDO::FETCH_NUM)) {	
							@unlink($rel_path."files/".$qbi."/".$row2[0]);
						}
					}
				// delete database entry
					$query = "DELETE FROM qb_doccost_files WHERE QBN=:qbn";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $qbi
						)
					);			
			// qb_doccost		
					$query = "DELETE FROM qb_doccost WHERE QBN=:qbn";	
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $qbi
						)
					);
			//qb_docdef_files
				// get UID
					$query = "SELECT UID FROM qb_docdef WHERE QBN=:qbn";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $qbi
						)
					);
				// delete files
					while($row = $stmt->fetch(PDO::FETCH_NUM)) {
						$query = "SELECT LINK FROM qb_docdef_files WHERE LUID=:uid";
						$stmt2 = $db->prepare($query);
						$stmt2->execute(
							array(
								':uid' => $row[0]
							)
						);
						while($row2 = $stmt2->fetch(PDO::FETCH_NUM)) {	
							@unlink($rel_path."files/".$qbi."/".$row2[0]);
						}
					}
				// delete database entry
					$query = "DELETE FROM qb_docdef_files WHERE QBN=:qbn";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $qbi
						)
					);			
			// qb_docdef	
					$query = "DELETE FROM qb_docdef WHERE QBN=:qbn";	
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $qbi
						)
					);
			//qb_docimm_files
				// get UID
					$query = "SELECT UID FROM qb_docimm WHERE QBN=:qbn";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $qbi
						)
					);
				// delete files
					while($row = $stmt->fetch(PDO::FETCH_NUM)) {
						$query = "SELECT LINK FROM qb_docimm_files WHERE LUID=:uid";
						$stmt2 = $db->prepare($query);
						$stmt2->execute(
							array(
								':uid' => $row[0]
							)
						);
						while($row2 = $stmt2->fetch(PDO::FETCH_NUM)) {	
							@unlink($rel_path."files/".$qbi."/".$row2[0]);
						}
					}
				// delete database entry
					$query = "DELETE FROM qb_docimm_files WHERE QBN=:qbn";	
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $qbi
						)
					);
			// qb_docimm		
					$query = "DELETE FROM qb_docimm WHERE QBN=:qbn";	
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $qbi
						)
					);
			// qb_docmet_files
				// get UID
					$query = "SELECT UID FROM qb_docmet WHERE QBN=:qbn";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $qbi
						)
					);
				// delete files
					while($row = $stmt->fetch(PDO::FETCH_NUM)) {
						$query = "SELECT LINK FROM qb_docmet_files WHERE LUID=:uid";
						$stmt2 = $db->prepare($query);
						$stmt2->execute(
							array(
								':uid' => $row[0]
							)
						);
						while($row2 = $stmt2->fetch(PDO::FETCH_NUM)) {	
							@unlink($rel_path."files/".$qbi."/".$row2[0]);
						}
					}
				// delete database entry
					$query = "DELETE FROM qb_docmet_files WHERE QBN=:qbn";	
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $qbi
						)
					);
					
					$query = "DELETE FROM qb_docmet WHERE QBN=:qbn";	
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $qbi
						)
					);
			// qb_fivewhy
					$query = "DELETE FROM qb_fivewhy WHERE QBN=:qbn";	
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $qbi
						)
					);		
			// qb_imm
					$query = "DELETE FROM qb_imm WHERE QBN=:qbn";	
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $qbi
						)
					);
			// qb_imp
					$query = "DELETE FROM qb_imp WHERE QBN=:qbn";	
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $qbi
						)
					);
			// qb_imp_sts
					$query = "DELETE FROM qb_imp_sts WHERE QBN=:qbn";	
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $qbi
						)
					);		
			// qb_man
					$query = "DELETE FROM qb_man WHERE QBN=:qbn";	
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $qbi
						)
					);
			// qb_meta
					$query = "DELETE FROM qb_meta WHERE QBN=:qbn";	
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $qbi
						)
					);		
			// qb_nacharbeit
					$query = "DELETE FROM qb_nacharbeit WHERE QBN=:qbn";	
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $qbi
						)
					);
			// qb_plchange		
					$query = "DELETE FROM qb_plchange WHERE QBN=:qbn";	
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $qbi
						)
					);					
			// qb_qbref
					$query = "DELETE FROM qb_qbref WHERE QBN=:qbn";	
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $qbi
						)
					);
					$query = "DELETE FROM qb_qbref WHERE QBREF=:qbn";	
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $qbi
						)
					);
			// qb_questions		
					$query = "DELETE FROM qb_questions WHERE QBN=:qbn";	
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $qbi
						)
					);
			// qb_svtchange		
					$query = "DELETE FROM qb_svtchange WHERE QBN=:qbn";	
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $qbi
						)
					);
			// qb_team		
					$query = "DELETE FROM qb_team WHERE QBN=:qbn";	
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $qbi
						)
					);
			// qb_trackmail		
					$query = "DELETE FROM qb_trackmail WHERE QBN=:qbn";	
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $qbi
						)
					);
			// qb_val
					$query = "DELETE FROM qb_val WHERE QBN=:qbn";	
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $qbi
						)
					);
			// now delete folder (if available)
					require '../inc/recrmdir.inc.php';
					$res = rec_rmdir ($rel_path . "files/" . $qbi);	
					$result = "Done";
					return $result;		
					break;
			}
		}
	}
?>								