<script>
// load translation and save in gheader2Translation
	<?php
		$ini_gheader2 = parse_ini_file($rel_path.'i18n/g_header2.ini', true);
		echo "gheader2Translation = {};";
		foreach($ini_gheader2 as $key=>$value){
			$add = "";
			foreach($value AS $lan=>$trans){
				$add .= "'".$lan."':'".$trans."',";
			}
			echo "gheader2Translation['".$key."']={".rtrim($add, ',')."};";
		}
		$rtype = parse_ini_file($rel_path.'xml/r_type.ini', true);
		echo "rtypeTranslation = {};";
		foreach($rtype as $key=>$value){
			$add = "";
			foreach($value AS $lan=>$trans){
				$add .= "'".$lan."':'".$trans."',";
			}
			echo "rtypeTranslation['".$key."']={".rtrim($add, ',')."};";
		}
		$qbkrit = parse_ini_file($rel_path.'xml/qb_kriterien.ini', true);
		echo "qbkritTranslation = {};";
		foreach($qbkrit as $key=>$value){
			$add = "";
			foreach($value AS $lan=>$trans){
				$add .= "'".$lan."':'".$trans."',";
			}
			echo "qbkritTranslation['".$key."']={".rtrim($add, ',')."};";
		}
		$qbklasse = parse_ini_file($rel_path.'xml/class.ini', true);
		echo "qbklasse = {};";
		foreach($qbklasse as $key=>$value){
			$add = "";
			foreach($value AS $lan=>$trans){
				$add .= "'".$lan."':'".$trans."',";
			}
			echo "qbklasse['".$key."']={".rtrim($add, ',')."};";
		}		
		$cal = parse_ini_file($rel_path.'i18n/calendar.ini', true);
		echo "calTranslation = {};";
		foreach($cal as $key=>$value){
			$add = "";
			if ($value['tpe'] == "S") {
				foreach($value AS $lan=>$trans){
					if ($lan != "tpe") $add .= "'".$lan."':'".$trans."',";
				}
			} else {
				foreach($value AS $lan=>$trans){
					if ($lan != "tpe") {
						$tar = explode(",", $trans);
						$tar = implode("','", $tar);
						$add .= "'".$lan."': ['".$tar."'],";
					}
				}				
			}
			echo "calTranslation['".$key."']={".rtrim($add, ',')."};";
		}
		$ini_events = parse_ini_file($rel_path.'xml/events.ini', true);	
		echo "eventTranslation = {};";
		foreach($ini_events as $key=>$value){
			$add = "";
			foreach($value AS $lan=>$trans){
				$add .= "'".$lan."':'".$trans."',";
			}
			echo "eventTranslation['".$key."']={".rtrim($add, ',')."};";
		}			
	?>
	function translate_g_header2(loc) {
		$.each($('#tglhdr *').filter(function(){return $(this).data('type') !== undefined;}), function() {	
			switch ($(this).data("type")) {
				case "ghtext":				
					$(this).text(gheader2Translation[$(this).data("lan")][loc]);
					break;
				case "ghimage":			
					$(this).attr("title", gheader2Translation[$(this).data("lan")][loc]);
					break;
				case "date":
					$mnth = $($(this).data("lan")).val().split("-");					
					$(this).text($mnth[0]+"-"+ calTranslation["monthNamesShort"][loc][$mnth[1]-1]+"-"+$mnth[2]);
					break;
				case "lastact":
					$(this).attr("title", gheader2Translation["lastact"][loc]+localizetime($(this).data("lan")));
					break;
				case "xml_qbc":
					$(this).text(qbkritTranslation[$(this).data("lan")][loc]);
					break;
				case "xml_rtp":
					$(this).text(rtypeTranslation[$(this).data("lan")][loc]);
					break;
				case "clsstitle":
					$(this).attr("title", ($(this).data("lan")=="")?"":qbklasse[$(this).data("lan")][loc]);
					break;										
				default:
					break;
			}
		});
	}	
</script>
<div id="tglhdr" >
	<div id="progressbar"></div>
	<div style="display: inline-block; width: 480px; vertical-align: top;">
		<p>
			<?php include_once($rel_path.'html/qb_dropdown.php'); ?> 
		</p>
		<p>
			<label data-type="ghtext" data-lan="iopen" class="dlabel w200"><?php echo $ini_gheader2['iopen'][$_SESSION['lng']]; ?></label>
			<input type="hidden" id="reg_date_org" value="" />
			<span data-type="date" data-lan="#reg_date_org" class='dspan w200' id="reg_date"></span>
		</p>
		<p>
			<label data-type="ghtext" data-lan="imat" class="dlabel w200"><?php echo $ini_gheader2['imat'][$_SESSION['lng']]; ?></label>
      <span class='dspan w175' id="mat_nr"></span><span style="border-left: 1px solid #000; text-align: center;" class='dspan w20' id="mstat"></span>
			<span id="mat_edt_img" class="icn_loop_b_n clckbtn vam" title="<?php echo $ini_gheader2['edit'][$_SESSION['lng']]; ?>" data-type="ghimage" data-lan="edit"></span>
		</p>
		<p>
			<label data-type="ghtext" data-lan="ireq" class="dlabel w200" ><?php echo $ini_gheader2['ireq'][$_SESSION['lng']]; ?></label>
			<span class='dspan w200' id="full_name"></span>
		</p>
		<p>
			<?php if ($qb_support->getOptions('usecrm', 'set')=="yes")  { ?>
				<label data-type="ghtext" data-lan="best" class="dlabel w200" ><?php echo $ini_gheader2['best'][$_SESSION['lng']]; ?></label>
				<span class="dspan w175" id="best" >&nbsp;</span>				
				<span id="goto_crm" style="margin: 0 3px;" class="icn_goto_b_n clckbtn vam" title="<?php echo $ini_gheader2['open'][$_SESSION['lng']]; ?>" data-type="ghimage" data-lan="open" onclick="goto_best()"></span>
				<span id="change_crm" class="icn_loop_b_n clckbtn vam" title="<?php echo $ini_gheader2['edit'][$_SESSION['lng']]; ?>" data-type="ghimage" data-lan="edit"></span>
			<?php 
				} else {
					echo '<span style="visibility: hidden" id="best" >&nbsp;</span>';
				}
			?>
		</p>		
	</div>
	<div style="display: inline-block; width: 520px; vertical-align: top; margin-bottom: 20px;">
		<p>
			<label data-type="ghtext" data-lan="tools" class="dlabel w175" style="vertical-align: bottom;" ><?php echo $ini_gheader2['tools'][$_SESSION['lng']]; ?></label>
			<span id="bug_hist" class="icn_bug_b_n clckbtn vam" title="<?php echo $ini_gheader2['bug_track'][$_SESSION['lng']]; ?>" data-type="ghimage" data-lan="bug_track" onclick="showbugs();"></span>
			<span id="copyclip" class="icn_link_b_n clckbtn vam" title="<?php echo $ini_gheader2['copy_clip'][$_SESSION['lng']]; ?>" data-type="ghimage" data-lan="copy_clip"></span>
			<span id="ghdr_pdf" class="icn_pdf_b_n clckbtn vam" title="<?php echo $ini_gheader2['pdf'][$_SESSION['lng']]; ?>" data-type="ghimage" data-lan="pdf" onclick="print_pdf();"></span>
			<span id="ghdr_exp" class="icn_filetree_b_n clckbtn vam" title="<?php echo $ini_gheader2['show_files'][$_SESSION['lng']]; ?>" data-type="ghimage" data-lan="show_files"></span>
			<span id="ghdr_kpt" class="icn_mail_b_n clckbtn vam" title="<?php echo $ini_gheader2['keep_track'][$_SESSION['lng']]; ?>" data-type="ghimage" data-lan="keep_track" style="<?php if ($qb_support->getoptions('mailing', 'useit')=="no") echo 'display: none;'; ?>" onclick="trmail();" ></span>
			<span id="last_act" class="icn_info_x_n hlpcrsr vam" title="" data-type="lastact" data-lan=""></span>
			<label data-type="ghtext" data-lan="clss" class="dlabel w75" style="margin-left: 102px;"><?php echo $ini_gheader2['clss'][$_SESSION['lng']]; ?></label>
			<span data-type="clsstitle" data-lan="" class="dspan w20" style="text-align: center;" id="clss">&nbsp;</span>
		</p>	
		<p>
			<label data-type="ghtext" data-lan="ikriterium" id="r_type1" class="dlabel w175" ><?php echo $ini_gheader2['ikriterium'][$_SESSION['lng']]; ?></label>
			<span data-type="xml_qbc" data-lan="" class="dspan w325" id="r_type"></span>
		</p>
		<p>
			<label data-type="ghtext" data-lan="irek_art" id="fehler_fs1" class="dlabel w175" ><?php echo $ini_gheader2['irek_art'][$_SESSION['lng']]; ?></label>
			<span class='dspan w325' data-type="xml_rtp" data-lan="" id="fehler_fs"></span>
		</p>
		<p>
			<label data-type="ghtext" data-lan="imatname" class="dlabel w175" ><?php echo $ini_gheader2['imatname'][$_SESSION['lng']]; ?></label>	
			<span class="dspan w325" id="prod_bz"></span>
		</p>
		<p>
			<label data-type="ghtext" data-lan="repreq" class="dlabel w175" ><?php echo $ini_gheader2['repreq'][$_SESSION['lng']]; ?></label>	
			<span id='repsts' data-type="ghtext" data-lan="notreq" class='dspanm w325' onclick=''></span>
		</p>
	</div>
	<textarea id='tmpinp' style="width:1px;height:1px;border:0;padding:0;margin:0;"></textarea>
	<!-- form for keep track -->
	<div id="dialog-mail" title="">
		<label id="dmeml" class="dlabel" ></label>
		<select id="madd" size=3 style="height: 60px; width: 470px;" onclick="svt_mail_click(this);">
		</select>
		<p id="ghr_sel" style="margin-top: 5px;" >
			<label id="n_madd_label" class="dlabel w100"></label>
			<select id="n_madd" style="width: 300px; white-space:nowrap;" onchange="set_unlocked(this.value);">
				<option value="0">...</option>
			</select>
		</p>
		<hr />
		<div id="trk_evnts" style="display: inline-block; vertical-align: top; margin: auto; margin-top: 0; height: 310px; padding: 2px; width: 470px;"></div>
	</div>
</div>	
<script>
	$( "#progressbar" ).progressbar({
		value: 1
	});	
/*	
	$("#copyclip").on("click", function() {
		jLink(gheader2Translation['press_ctrlc'][$globlan], "http://<?php echo $relili; ?>"+window.sessionStorage.getItem('qb'), gheader2Translation['copy_link'][$globlan]);
	});	
*/	
	$("#copyclip").on("click", function(e) {
		e.preventDefault();
		$("#tmpinp").val("http://<?php echo $relili; ?>"+window.sessionStorage.getItem('qb'));
		$("#tmpinp").select();
		try {
			document.execCommand("copy");
			jAlert(gheader2Translation["clipboard_done"][$globlan], gheader2Translation["attention"][$globlan]);
		} catch (err) {
			jLink(gheader2Translation['press_ctrlc'][$globlan], "http://<?php echo $relili; ?>"+window.sessionStorage.getItem('qb'), gheader2Translation['copy_link'][$globlan]);
		}
	});
	$('#n_madd').width(304).customSelect({customClass: "cSelect_man"});
	
//  event list
	$('#trk_evnts').checkList({
		effect: 'none',
		ckall: false,
		tfilter: false,
		colopts: 1,
		altrows: true,
		prefix: "ev",
		tdhigh: "<?php echo $c_scheme['I3']; ?>",
		evenrow: "<?php echo $c_scheme['IE']; ?>",
		oddrow: "<?php echo $c_scheme['IO']; ?>",
		onChange: function(loc) {
			return false;
		}
	});	
	<?php 
		if ($qb_support->getoptions('qbclassification', 'set') == "yes") {
			if ($qb_support->checkflag("YW")) {
	?>
				$('#clss').on('click', function() {
					if (JSON.parse(window.sessionStorage.getItem('qbn')).status != "C") {
						$.getScript('./jquery/qbklasse.js', function() {});
					} else if ($("#lockunlock").hasClass("icn_unlock_b_n")) {
						$.getScript('./jquery/qbklasse.js', function() {});
					}
				});
	<?php 
			}
		}
	?>	
	function showbugs() {
		window.open(
			'./change_log.txt',
			'_blank'
		);
	}
	function trmail() {
		$( '#dialog-mail' ).data('qbnr', '"'+window.sessionStorage.getItem('qb')+'"').dialog( 'open' );
	}
    <?php if ($qb_support->getOptions('usecrm', 'set')=="yes")  { ?> 
        function goto_best() {
            if ($.trim($("#best").text()) == "") return false;
        // calculate record number for Aurea
            var tmpbst = $("#best").text().trim().split("-");
            var recid = (tmpbst[0]*Math.pow(2, 32))+tmpbst[1];
            recid = "x00000001"+(+recid).toString(16).substr(5);	
            window.open("<?php echo $qb_support->getOptions('usecrm', 'path'); ?>"+recid , "_blank");
        }
    // add bstnr
        $( "#change_crm" )	
            .on( "click", function() {
                $.alerts.cancelButton = gheader2Translation["cancel"][$globlan];
                jPrompt("?-?????", $.trim($("#best").text()), gheader2Translation["best"][$globlan], function(r) {
                    if (r !== null) {
                        $("#best").html($.trim(r)+"&nbsp;");
                        $.ajax({
                            type: "POST",
                            cache: false,
                            url:  "./tools/general_api.php",
                            data: { 
                                routine: "save_crm",
                                crm: $.trim($("#best").text()),
                                qbn: window.sessionStorage.getItem('qb')
                            },
                            success: function(result)
                            {
                            }
                        });
                    }
                });
            });
    <?php } ?>		
	function g_header2() {	
		$.ajax({
			type: "GET",
			cache: false,
			url:  "./tools/general_api.php",
			dataType: "json",
			data: { 
				routine: "get_header_data",
				qbn: window.sessionStorage.getItem('qb'),
				qblan: $globlan
			},
			success: function(result)
			{				
				$("#reg_date_org").val(result['reg_date']);				
				$("#reg_date").text(localizedate($("#reg_date_org").val()));
				$("#mat_nr").text(result['mat_nr']);
				$("#mstat").text((result['mstat'] == "")?"NA":result['mstat']);
				if (result['clss']) {
					$("#clss").text(result['clss']);
					$("#clss").data("lan", result['clss']);
					$("#clss").attr("title", qbklasse[result['clss']][$globlan]);
					$("#clss").css("cursor", "pointer");
				} else {
					$("#clss").html("&nbsp;");
					$("#clss").data("lan", "");
					$("#clss").attr("title", "");
					$("#clss").css("cursor", "default");
				}
				$("#best").html(result['best']+"&nbsp;");
				(result['qbsts'] == "C")?$("#mat_edt_img").invisible():$("#mat_edt_img").visible();
				$("#full_name").text(result['full_name']);
			// next box
				$("#r_type").text(qbkritTranslation[result['crit']][$globlan]).data("lan", result['crit']);
				$("#fehler_fs").text(rtypeTranslation[result['r_type']][$globlan]).data("lan", result['r_type']);
				
				if (result['repreq'] == "Y") {
					$("#repsts").text(gheader2Translation["req"][$globlan]).data("lan", "req").css("color", "<?php echo $c_scheme['XW'];?>");
					<?php if ($qb_support->checkflag("W")) { ?>
						if (result['qbsts'] != "C") {
							$("#repsts").addClass("cp");
							$("#repsts").attr("onclick", "del_rep()");
						}
					<?php } ?>
				} else {
					$("#repsts").text(gheader2Translation["notreq"][$globlan]).data("lan", "notreq").css("color", "<?php echo $c_scheme['XH'];?>");
					<?php if ($qb_support->checkflag("W")) { ?>						
						if (result['qbsts'] != "C") {
							$("#repsts").addClass("cp");
							$("#repsts").attr("onclick", "add_rep()");
						}
					<?php } ?>
				}
				$("#prod_bz").text(result['prod_bz']);					
				if ("NOS".indexOf(result['qbsts']) > -1) {
					$("#last_act").visible();			
					$("#last_act").data("lan", result['last']);
					$("#last_act").attr("title", gheader2Translation["lastact"][$globlan]+localizetime(result['last']));
					if (result['dd'] >= <?php echo $qb_support->getoptions('lastact', 'yellow'); ?>) {
						$("#last_act").css("color", "<?php echo $c_scheme['XP']; ?>");
					}
					if (result['dd'] >= <?php echo $qb_support->getoptions('lastact', 'red'); ?>) {
						$("#last_act").css("color", "<?php echo $c_scheme['XW']; ?>");
					} else {
						$("#last_act").css("color", "<?php echo $c_scheme['XN']; ?>");
					}							
				} else {
					$("#last_act").invisible();
				}
				if (js_debug) console.log("progress bar: "+result['progress']);
				$( "#progressbar" ).progressbar({value: result['progress']});
				if (result['qb_light'] == "1") {
			// hide tabs if qb-light
					$(".qb_tabs li").filter(function() {
						return $(this).data("light") == 0; 
					}).hide();
				} else {
					$(".qb_tabs li").filter(function() {
						return $(this).data("light") == 0; 
					}).show();					
				}
				load_page();					
			}
		});	
	}
	function add_rep() {
		jConfirm(gheader2Translation["confirm_adddel"][$globlan], gheader2Translation["attention"][$globlan], function(r) {
			if (r) {
				$.ajax({
					type: "POST",
					cache: false,
					url: "./tools/general_api.php",
					data: { 
						routine: "addreportrequest",
						qbn: window.sessionStorage.getItem('qb')
					},							
					success: function(result)
					{
						$("#repsts").text(gheader2Translation["req"][$globlan]).data("lan", "req").css("color", "#E74C3C");;
						$("#repsts").removeClass("ch").addClass("cp");
						$("#repsts").attr("onclick","del_rep()");
					}
				});						
			} else {
				return;
			}
		});				
	}
	function del_rep() {
		jConfirm(gheader2Translation["confirm_repdel"][$globlan], gheader2Translation["attention"][$globlan], function(r) {
			if (r) {
				$.ajax({
					type: "POST",
					cache: false,
					url: "./tools/general_api.php",
					data: { 
						routine: "deletereportrequest",
						qbn: window.sessionStorage.getItem('qb')
					},							
					success: function(result)
					{
						$("#repsts").text(gheader2Translation["notreq"][$globlan]).data("lan", "notreq").css("color", "#3C9DD2");
						$("#repsts").addClass("cp");
						$("#repsts").attr("onclick","add_rep()");
					}
				});						
			} else {
				return;
			}
		});		
	}
	function print_pdf() {
		window.open("./tools/print_qb.php?qb=" + window.sessionStorage.getItem('qb') + "&qblan="+$globlan, "_blank");
	}
// function for keep tracking
	$("#dialog-mail").dialog({
		resizable: false,
		dialogClass: "doc_input",
		autoOpen: false,
		closeOnEscape: false,
		height: 550,
		width: 500,
		modal: true,
		buttons:
			[
				{
		// save button
					text: "",
					id: "mail_save",
					css: { width: '100px' },
					click: function() {
		// save data
						if ($("#madd").val() === null) {
							$( this ).dialog( "close" );		// no email selected
							return;
						}
						if (($("#madd").val() == "0!") && ($("#n_madd").val() == "0")) {
							$( this ).dialog( "close" );		// no email selected (just "add new email")
							return;
						}
						$sellist = $('#trk_evnts').checkList("getSelection");
						$chksum = "";
						$.each($sellist, function(key, value) {
							$chksum += value['value'] + ":";
						});
						if (($chksum.length == 0) && ($("#n_madd").val() != "0")) {
							$( this ).dialog( "close" );		// new user but no option -> close
							return;						
						} else if (($chksum.length == 0) && ($("#madd").val() != "0")) {
							action="deletetrackmail";			// existing user but no option -> delete
							midx = $("#madd").val().split("!")[0];
						} else {
				//midx either old IDX or new IDX	
							if ($("#madd").val().split("!")[0] == 0) {
								action="newtrackmail";
								midx=$("#n_madd").val();
							} else {
								action="savetrackmail";
								midx=$("#madd").val().split("!")[0]; 
							}
						}
						$chksum = $chksum.slice(0, -1);
						$.ajax({
							type: "POST",
							cache: false,
							url: "./tools/general_api.php",
							data: { 
								routine: action,
								evnt: $chksum,
								idx: midx,
								qb: window.sessionStorage.getItem("qb")
							},							
							success: function(result)
							{
							}
						});
						$( this ).dialog( "close" );
					}
				},
				{
					text: "",
					id: "mail_cancel",
					css: { width: '100px' },
					click: function() {
						$( this ).dialog( "close" );
					}
				},
				{
					text: "",
					id: "mail_delete",
					css: { width: '100px' },
					click: function() {				
						if ($("#madd").val() === null) return;
						if ($("#madd").val().substr(0, 1) == "0") return;
						midx = $("#madd").val().split("!")[0];
						jConfirm(gheader2Translation["confirm_delete"][$globlan], gheader2Translation["attention"][$globlan], function(r) {
							if (r) {
								$.ajax({
									type: "POST",
									cache: false,
									url: "./tools/general_api.php",
									data: { 
										routine: "deletetrackmail",
										idx: midx
									},							
									success: function(result)
									{
									}
								});						
							} else {
								return;
							}
						});
						$( this ).dialog( "close" );
					}
				}					
			],
		close: function() {
			$('#n_madd option[value!="0"]').remove();
			$("#n_madd").val("0");
			$('#n_madd').trigger('render');	
			$('#trk_evnts').checkList('setData', "");
		},		
		open : function() {
			$("#dialog-mail").dialog('option', 'title', gheader2Translation["keep_track"][$globlan]);
			$("#mail_cancel").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only")
				.off('hover')
				.off('focus')
				.addClass("spanbutton")
				.find("span").text(gheader2Translation["cancel"][$globlan]);
			$("#mail_delete").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only")
				.off('hover')
				.off('focus')
				.addClass("spanbutton")				
				.find("span").text(gheader2Translation["rem"][$globlan]);
			$('#mail_save').blur()
			$("#mail_save").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only")
				.off('hover')
				.off('focus')
				.addClass("spanbutton")					
				.find("span").text(gheader2Translation["save"][$globlan]);
			$("#n_madd_label").text(gheader2Translation["new_mail"][$globlan]);
			$("#dmeml").text(gheader2Translation["av_mail"][$globlan]);
			$("#ghr_sel").invisible();
		// get already defined email addresses
			$.ajax({
				type: "GET",
				cache: false,
				url: "./tools/general_api.php",
				data: { 
					routine: "trackmaillist",
					qbn: window.sessionStorage.getItem('qb')
				},							
				success: function(mail)
				{
					$('#madd option').remove();
					$('#madd').append($(document.createElement("option")).attr("value", "0!").text("--- "+gheader2Translation["add_new_mail"][$globlan]+" ---"));
					if (mail.length > 2) {
						var mailresult = JSON.parse(mail);
						$.each(mailresult, function(key, value) {
							$('#madd').append($("<option/>", {
								value: mailresult[key]["IDX"]+"!"+mailresult[key]["EVENTS"],
								text: mailresult[key]["EMAIL"]
							}));
						});
					}
				// generate list
					$.ajax({
						type: "POST",
						cache: false,
						url: "./tools/general_api.php",
						data: { 
							routine: "getemail",
							qbn: window.sessionStorage.getItem('qb')
						},
						success: function(emails)
						{
							var emailresult = JSON.parse(emails);
							$.each(emailresult, function(key, value) {
								$('#n_madd').append($(document.createElement("option")).attr("value", emailresult[key]["LOGIN"]).text(emailresult[key]["FULLNAME"]));	
							});
							$('#n_madd').trigger('render');
						}
					});
				// generate list
					var $evtlist = new Array();
					$i = 0;
					$.each(eventTranslation, function(key, value) {
						if (key != "E1") {
							$evtlist[$i] = {'text': value[$globlan], 'value': key, 'help': key};
							$i++;	
						}
					});	
					$('#trk_evnts').checkList('setData', $evtlist);	
					$('#trk_evnts').checkList("resetAll");
					$('#trk_evnts').checkList("setOption", "locked:true");
				}
			});
		}
	});
	function set_unlocked (loc) {
		$('#trk_evnts').checkList("resetAll");
		if (loc == 0) {
			$('#trk_evnts').checkList("setOption", "locked:true");	
		} else {
			$('#trk_evnts').checkList("setOption", "locked:false");	
		}
	}
	function svt_mail_click(loc) {		
		if (loc.value == "") return false;
		if (loc.value == "0!") {
			$("#ghr_sel").visible();
			$('#trk_evnts').checkList("resetAll");
			$("#n_madd").val("0");
			$('#n_madd').trigger('render');
		} else {
			$("#n_madd").val("0");
			$('#n_madd').trigger('render');
			$("#ghr_sel").invisible();
			$preset = loc.value.split("!")[1].split(":");
			$.each($preset, function(key, value) {
				$('#trk_evnts').checkList("setSelection", value);
			});
			$('#trk_evnts').checkList("setOption", "locked:false");
		}	
	}
// include code for material number change
	$('#mat_edt_img').click(function() {
    $.getScript('./jquery/sel_mat.php', function() {
      $("#dialog-selmat").dialog('open');
    });
	});
// include code for elfinder
	$('#ghdr_exp').click(function() {
		$.getScript('./jquery/elfinder.php', function() {
			$("#dialog-elfinder").dialog('open');
		});
	});			
</script>