<script>
// load translation and save in headerTranslation
	<?php
		$ini_header = parse_ini_file($rel_path.'i18n/header.ini', true);
		echo "headerTranslation = {};";
		foreach($ini_header as $key=>$value){
			$add = "";
			foreach($value AS $lan=>$trans){
				$add .= "'".$lan."':'".$trans."',";
			}
			echo "headerTranslation['".$key."']={".rtrim($add, ',')."};";
		}
	?>
	function translate_header(loc) {
		$.each($('#header *').filter(function(){return $(this).data('type') !== undefined;}), function() {	
			switch ($(this).data("type")) {
				case "htext":				
					$(this).text(headerTranslation[$(this).data("lan")][loc]);
					break;
				case "himage":
					$(this).attr("title", headerTranslation[$(this).data("lan")][loc]);
					break;
				case "sellan":	
					$(this).find("option").each(function(idx, obj) {			
						if ($(this).val() == "") {					
							$(this).text(headerTranslation['select'][loc]);	
						}
					});
					$('#lanselselect').trigger("render");			
				default:
					break;
			}
		});
	}		
</script>
<div id="header">
	<img id="qmmslogo" src="./templates/<?php global $companylogo; echo $companylogo; ?>" alt="QMMS" />
	<span id='loginspan'>
		<?php
			if (!isset($_SESSION['lg'])){
				echo "<span onclick='show_login();' data-type='htext' data-lan='login' style='cursor: pointer;'>".$ini_header['login'][$_SESSION['lng']]."</span>";
				$rstr = "";
			} else {			
				echo "<span id='adminspan'>";
					if ($qb_support->checkflag("ZY")) {
						echo "<span data-type='himage' data-lan='special' class='vam clckbtn icn_lock_b_n' id='lockunlock'  title='".$ini_header['special'][$_SESSION['lng']]."' onclick='set_special1()'></span>";
					}
					echo "<p id='aroleinfo' data-login='".$_SESSION['lg']."'>".$_SESSION['fn']." [".$_SESSION['rl']."] </p>";
          echo "<span data-type='himage' data-lan='hcpw' style='margin-left:5px;' class='vam clckbtn icn_key_bl_n' id='changepw' title='".$ini_header['hcpw'][$_SESSION['lng']]."' onclick='change_pwd()'></span>";
					echo "<span data-type='himage' data-lan='dashboard' style='margin-left:15px;' class='vam clckbtn icn_widget_b_n' id='dashboard' title='".$ini_header['dashboard'][$_SESSION['lng']]."' onclick='dashboard()'></span>";
					echo "<span data-type='himage' data-lan='logout' style='margin-left:15px;' class='vam clckbtn icn_exit_b_n' id='userlogout' title='".$ini_header['logout'][$_SESSION['lng']]."' onclick='user_logout()'></span>";
				echo "</span>";
			}			
		?>
	</span>
	<span id='lansel' data-type='htext' data-lan='lansel'><?php echo $ini_header['lansel'][$_SESSION['lng']]; ?></span>
	<select id="lanselselect" size="1" data-lan="select" data-type="sellan" onchange="c_lan_check(this.value);">
		<option selected value=""><?php echo $ini_header['select'][$_SESSION['lng']]; ?></option>
		<?php 
			foreach($qb_support->getLanguages() as $key=>$value) {
				echo "<option value='" . $key . "'>" . $value['val'] . "</option>";
			}
		?>
	</select>
    <br />
    <label class="dlabel" style="margin-top: 15px;">
      <span data-type='htext' data-lan='license'><?php echo $ini_header['license'][$_SESSION['lng']]; ?></span>
      <span><?php echo $company; ?></span>
			<?php
				if (isset($_SESSION['rt'])) {
					echo " (<span data-type='htext' data-lan='expires'>".$ini_header['expires'][$_SESSION['lng']]."</span>";
					echo "<span>".$_SESSION['rt']."</span> )";
				}
			?>
    </label>
	<div id="login-box" class="login-popup">
		<p>
			<span style="float: right;" data-type="himage" data-lan="close" class="icn_close_w_n clckbtn vam" onclick="close_login(this);" title="<?php echo $ini_header['close'][$_SESSION['lng']]; ?>"></span>
			<span style="color: <?php echo $c_scheme['M5']; ?>; font-weight: bold; line-height: 24px;" data-type="htext" data-lan="login"><?php echo $ini_header['login'][$_SESSION['lng']]; ?></span>
		</p>
		<form id="login_form" method="post" class="signin" action="#">
			<p id="validateLogin">&nbsp;</p>
			<fieldset class="login_textbox">
				<label class="dlabel w150" data-type='htext' data-lan="login"><?php echo $ini_header['login'][$_SESSION['lng']]; ?></label>
				<input id="username" name="username" class="dinput w150" value="" type="text" />
				<br />
				<label class="dlabel w150" style="margin-top: 10px;" data-type='htext' data-lan="pwd"><?php echo $ini_header['pwd'][$_SESSION['lng']]; ?></label>
				<input id="password" name="password" class="dinput w150" value="" type="password" />
				<div style="text-align: center; margin-top: 10px;">
					<span class="spanbutton" data-type="htext" data-lan="send" onclick="check_login()"><?php echo $ini_header['send'][$_SESSION['lng']]; ?></span>
					<br style="margin-bottom: 10px;" />
					<a class="forgot" data-type='htext' data-lan="forgot_pw" href="./send_pw.php"><?php echo $ini_header['forgot_pw'][$_SESSION['lng']]; ?></a>
				</div>
			</fieldset>
		</form>
	</div>
</div>

<script>
	$("#aroleinfo").hover(function() {
		$.ajax({
			type: "GET",
			cache: false,
			url:  "./tools/general_api.php",
			data: { 
				routine: "showflags"
			},
			success: function(result)
			{
				$("body").append(result);
				$("#flgpopup").css("top", ($("#adminspan").position().top+30)+"px");
				$("#flgpopup").css("left", $("#adminspan").position().left+"px");
				$("#flgpopup").show();
			}
		});
	}, function() {
		$("#flgpopup").remove();
	});
	
	$('#lanselselect').width(80).customSelect({customClass: "cSelect_lan"});
	$('#username').val("");
	$('#password').val("");
	function change_pwd() {
			window.location.href = "./cpwuser.php";
	}
	function dashboard() {
		window.location.href = "./dashboard.php";
	}
	function c_lan_check(loc) {
		if (loc == '') {
			return false;
		} else if (loc == $globlan) {			
			$("#lanselselect").val('');
			return;
		} else {
			window.localStorage.setItem('qblan', loc);
			$globlan = loc;
			$("#lanselselect").val('');
			$.ajax({
				type: "GET",
				cache: false,
				url:  "./tools/general_api.php",
				data: { 
					routine: "setlan",
					lng: loc
				},
				success: function(result)
				{
					c_lan();
				}
			});	
		}
	}
	
	$(document).ready(function() {		
	// convenience....attach enter key to login box
		$('#login-box').keyup(function(e) {
			var code = (e.keyCode ? e.keyCode : e.which);
			if(code == 13) {
				check_login();
				return false;			
		   }
		});			
	});

	function set_special1() {
		if ( typeof set_special == 'function' ) {
			if ($("#lockunlock").hasClass("icn_lock_b_n")) {
		// lock image visible -> set to unlocked
				$("#lockunlock").removeClass("icn_lock_b_n").addClass("icn_unlock_b_n");
				$("#lockunlock").data("lan",'reset');
				$("#lockunlock").attr("title",headerTranslation['reset'][$globlan]);
				loc = "A";
			} else {
		// unlock image visible -> set to locked
				$("#lockunlock").removeClass("icn_unlock_b_n").addClass("icn_lock_b_n");
				$("#lockunlock").data("lan",'special');
				$("#lockunlock").attr("title",headerTranslation['special'][$globlan]);
				loc = "X";
			}
			set_special(loc);
		}
	}
	
	function close_login() {
		$('#mask, .login-popup').fadeOut(100 , function() {
			$('#mask').remove(); 
			$('#username').val("");
			$('#password').val("");
		}); 
		return false;
	}
	function show_login() {
	//Fade in the Popup
		$("#login-box").fadeIn(100);
	//Set the center alignment padding + border see css style
		var popMargTop = ($("#login-box").height() + 24) / 2; 
		var popMargLeft = ($("#login-box").width() + 24) / 2; 
		
		$("#login-box").css({ 
			'margin-top' : -popMargTop,
			'margin-left' : -popMargLeft
		});
		
	// Add the mask to body
		$('body').append('<div id="mask"></div>');
		$('#mask').fadeIn(100);
		$('#username').focus();
			
		return false;
	}
	function check_login() {
		$.ajax({
			type: "POST",
			cache: false,
			url:  "./tools/general_api.php",
			data: { 
				routine: "checklogin",
				login: $('#username').val(),
				pwd: $.base64.encode($('#password').val())
			},
			dataType: "json",
			success: function(usrresult)
			{			
				if (usrresult[0]==0) {
					$("#validateLogin")
						.text(headerTranslation['login_fail'][$globlan])
						.css("background-color","#E74C3C");
					setTimeout(function() {
						$("#validateLogin")
							.html( '&nbsp' )
							.css("background-color","transparent");
					}, 3000 );							
					return false;
				} else {
					window.location.href = usrresult[1];
				}
			}
		});	
	}
	function user_logout(loc) {
		$("#flag_m").remove();
		window.sessionStorage.setItem('qbfilter', "NOSC");
		window.localStorage.removeItem('qboot');
		$.ajax({
			type: "POST",
			cache: false,
			url:  "./tools/general_api.php",
			data: { 
				routine: "logout"
			},
			success: function()
			{		
			<?php
				global $relpath;
				if ($qb_support->getoptions('forcelogin', 'set') == "yes") {
					echo "window.location.href = '".$relpath."login.php'";
				} else {
			?>
				// fix for empty databases
					if ($("#mainnav li").length == 2) {
						window.location.href = "./index.php";
					} else {		
				// if actual main page is a special rights page change to "basic data" (all special settings will be removed automtically)	
						if ($("#sel").data("sr") == 1) {
							window.location.href = "./basic.php";
						} else {
				// "normal" page - reload without parameters
							window.location.href = window.location.pathname;
						}
					}
			<?php
				}
			?>
			}
		});
	}	
</script>