<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	global $rel_path;
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;

	$routine = new Imm();
	echo $routine->execute();
	
	class Imm {
		
		public function __construct() 
		{
		}
		
		public function execute()
		{	
			global $db, $debug, $qb_support, $rel_path, $relili;
			$ini_mmenu = parse_ini_file($rel_path.'i18n/sub_menu.ini', true);
	// called routine
			$sub_routine = $_REQUEST["routine"];
			switch ($sub_routine)
			{
				case "newrecord":
					if ($qb_support->checkteam($_REQUEST['qbn'])) {
						return '			
							if (($("#daten_list").find("div").length == 0) && ($("#stdactcont .icn_checkboxchecked_c_n").length == 0)) {
								$.alerts.cancelButton = localTranslation["cancel"][$globlan];
								jConfirm(localTranslation["no_action"][$globlan], localTranslation["attention"][$globlan] , function(r) {
									if (r) {
										$("#MIM").prop("checked", true);
										$.ajax({
											type: "POST",
											cache: false,
											url:  "./tools/immediate_api.php",
											data: { 
												routine: "noaction",
												qbn: window.sessionStorage.getItem("qb")
											},
											success: function(result)
											{
												$("#dialog-form").data("action", "N").dialog("open");
											}
										});			
									} else {
										return false;
									} 
								});
							} else {
								$("#dialog-form").data("action", "N").dialog("open");
							}
						';
					} else {					
				// check if any dataset is already available
						$query = "
							SELECT 
								SUM(
									(SELECT COUNT(*) FROM qb_docimm WHERE QBN=:qbn) +
									(SELECT COUNT(*) FROM qb_docdef WHERE QBN=:qbn)
								)
						";
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':qbn' => $_REQUEST['qbn']
							)
						);
						$r = $stmt->fetchColumn();						
					// no record yet, check team
						if (($r*1) >= ($qb_support->getoptions("forceteam", "tolerance")*1)) {
							return '
								jAlert(localTranslation["teammustbeinformed"][$globlan], localTranslation["attention"][$globlan]);
							';
					// record available, just continue
						} else {
							return '			
								if (($("#daten_list").find("div").length == 0) && ($("#stdactcont .icn_checkboxchecked_c_n").length == 0)) {
									$.alerts.cancelButton = localTranslation["cancel"][$globlan];
									jConfirm(localTranslation["no_action"][$globlan], localTranslation["attention"][$globlan] , function(r) {
										if (r) {
											$("#MIM").prop("checked", true);
											$.ajax({
												type: "POST",
												cache: false,
												url:  "./tools/immediate_api.php",
												data: { 
													routine: "noaction",
													qbn: window.sessionStorage.getItem("qb")
												},
												success: function(result)
												{
													$("#dialog-form").data("action", "N").dialog("open");
												}
											});			
										} else {
											return false;
										} 
									});
								} else {
									$("#dialog-form").data("action", "N").dialog("open");
								}
							';							
						}
					}
					break;
				case "setreminder":
					$query = "
						UPDATE
							qb_docimm
						SET
							REMINDER=:rem
						WHERE
							IDX=:idx
					";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':rem' => $_REQUEST['dat'],
							':idx' => $_REQUEST['id'],
						)
					);							
			// write log
					if ($_REQUEST['dat'] == "") {
						$qb_support->writelog($_REQUEST['qbn'], "D", "IMMEDIATE", "Reminder deleted for record ".$_REQUEST['id']);
					} else {
						$qb_support->writelog($_REQUEST['qbn'], "A", "IMMEDIATE", "Reminder set for record ".$_REQUEST['id'], $_REQUEST['dat']);
					}
					break;
				case "getdata":
			// get individual immediate data
					$query = "
						SELECT 
							WES, 
							SONDERFREIGABE, 
							CUS_BET, 
							MIM, 
							ERSATZ,
							LPSG48,
							LPSK48,
							LUB,
							PUB,
							ASOR
						FROM 
							qb_imm 
						WHERE 
							QBN=:qbn";							
// LUB, PUB, ASOR sind dummies							
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn']
						)
					);
					$row = $stmt->fetch(PDO::FETCH_ASSOC );		
					$result = json_encode(Array($row, $qb_support->qb_status($_REQUEST['qbn'])));
					return $result;		
					break;				
				case "movedef":
					$qb_support->qbactivity($_REQUEST['qbn']);
			// write log
					$qb_support->writelog($_REQUEST['qbn'], "C", "IMMEDIATE", "Record ".$_REQUEST['id']." moved to definitve actions");
				// generate new unique ID
					$nid = uniqid('def');
				// first get UID from docimm
					$query = "SELECT UID FROM qb_docimm WHERE IDX=:idx";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':idx' => $_REQUEST['idx']
						)
					);
					$uid = $stmt->fetchColumn();
				// then copy file links to docdef_files
					$query = "INSERT INTO qb_docdef_files (LUID, LINK) SELECT LUID, LINK FROM qb_docimm_files WHERE LUID=:uid";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':uid' => $uid
						)
					);		
				// now update LUID to new value
					$query = "UPDATE qb_docdef_files SET LUID=:luid WHERE LUID=:uid";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':uid' => $uid,
							':luid' => $nid
						)
					);				
				// and delete old files
					$query = "DELETE FROM qb_docimm_files WHERE LUID=:uid";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':uid' => $uid
						)
					);		
				// now copy basic data
					$query = "
						INSERT INTO 
							qb_docdef 
							(
								QBN, 
								UID, 
								WHT, 
								WHN, 
								LUPDATE, 
								STAT, 
								VISUM, 
								UNTIL, 
								REMINDER
							) 
						SELECT 
							QBN, 
							UID, 
							WHT, 
							WHN, 
							NOW(), 
							STAT, 
							VISUM, 
							UNTIL,
							REMINDER
						FROM 
							qb_docimm 
						WHERE 
							IDX=:idx
					";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':idx' => $_REQUEST['idx']
						)
					);
					$insertId = $db->lastInsertId();
				// update UID
					$query = "UPDATE qb_docdef SET UID=:luid WHERE IDX=:lidx";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':luid' => $nid,
							':lidx' => $insertId
						)
					);
				// delete old dataset
					$query = "DELETE FROM qb_docimm WHERE IDX=:idx";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':idx' => $_REQUEST['idx']
						)
					);
				// done....
					$result = $nid;				
					return $result;		
					break;
				case "copydef":
					$qb_support->qbactivity($_REQUEST['qbn']);
					$query = "SELECT WHT, WHN, STAT, VISUM, UNTIL FROM qb_docimm WHERE IDX=:idx";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':idx' => $_REQUEST['idx']
						)
					);
					$row = $stmt->fetch(PDO::FETCH_NUM );
					$uid = uniqid('def');
					$query = "INSERT INTO qb_docdef (QBN, UID, WHT, WHN, LUPDATE, STAT, VISUM, UNTIL) 
						VALUES (:qbn, :uid, :wht, :whn, NOW(), :sts, :vis, :utl)";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn'],
							':uid' => $uid,
							':wht' => $row[0],
							':whn' => $row[1],
							':sts' => $row[2],
							':vis' => $row[3],
							':utl' => $row[4]
						)
					);
			// write log
					$qb_support->writelog($_REQUEST['qbn'], "C", "IMMEDIATE", "Record ".$_REQUEST['idx']." copied to definitve actions", $db->lastInsertId());
					break;
				case "noaction":
					$qb_support->qbactivity($_REQUEST['qbn']);
					$query = "SELECT COUNT(*) FROM qb_imm WHERE QBN=:qbn";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn']
						)
					);
					if ($stmt->fetchColumn() == 0) {
						$query = "INSERT INTO qb_imm (MIM, SONDERFREIGABE, ERSATZ, CUS_BET, WES, LPSG48, LPSK48, QBN) VALUES (1, 0, 0, 0, 0, 0, 0, :qbn)";
				// write log
						$qb_support->writelog($_REQUEST['qbn'], "A", "IMMEDIATE", "Standard immediate action set to 'no action'");						
					} else {
						$query = "UPDATE qb_imm SET MIM=1, SONDERFREIGABE=0, ERSATZ=0, CUS_BET=0, WES=0, LPSG48=0, LPSK48=0 WHERE QBN=:qbn";
				// write log
						$qb_support->writelog($_REQUEST['qbn'], "C", "IMMEDIATE", "Standard immediate action changed to 'no action'");						
					}
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn']
						)
					);	
					break;
				// Top Q-Case from immediate actions
				case "lpsg48":
					$this->saveoptions($_REQUEST['qbn'], "LPSG48", $_REQUEST['optval']);
					$lid = uniqid('cst');
					$wht = file_exists(dirname(__FILE__) . "/../templates/lpsg48_".$_REQUEST['lang'].".txt")?file_get_contents(dirname(__FILE__) . "/../templates/lpsg48_".$_REQUEST['lang'].".txt"):"...missing standard text file...";
			// write log
					$qb_support->writelog($_REQUEST['qbn'], "A", "COMMUNICATION", "Record added", $lid);						
					$query = "INSERT INTO qb_doccom (QBN, WHT, WHN, UID) VALUES(:qbn, :wht, '".date('Y-m-d')."', :lid)";			
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn'],
							':wht' => $wht,
							':lid' => $lid
						)
					);
					break;
				// critical Q-Case from immediate actions
				case "lpsk48":
					$this->saveoptions($_REQUEST['qbn'], "LPSK48", $_REQUEST['optval']);
					$lid = uniqid('cst');
					$wht = file_exists(dirname(__FILE__) . "/../templates/lpsk48_".$_REQUEST['lang'].".txt")?file_get_contents(dirname(__FILE__) . "/../templates/lpsk48_".$_REQUEST['lang'].".txt"):"...missing standard text file...";
			// write log
					$qb_support->writelog($_REQUEST['qbn'], "A", "COMMUNICATION", "Record added", $lid);						
					$query = "INSERT INTO qb_doccom (QBN, WHT, WHN, UID) VALUES(:qbn, :wht, '".date('Y-m-d')."', :lid)";			
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn'],
							':wht' => $wht,
							':lid' => $lid
						)
					);
					break;
				case "saveoptions":
					$this->saveoptions($_REQUEST['qbn'], $_REQUEST['opt'], $_REQUEST['optval']);
					break;
			// read detail data sets
				case "readlist":
				// work around to be compatible with old style of responsible (no user dropdown)
					$query = "
						SELECT 
							qb_docimm.IDX, 
							WHT, 
							DATE(WHN) AS WDATE, 
							DATE(LUPDATE) AS LUPDATE, 
							STAT, 
							COALESCE((SELECT CONCAT(NACHNAME, ', ',VORNAME) FROM qb_user WHERE LOGIN=VISUM), VISUM) AS VISUM, 
							UNTIL, 
							COALESCE(LINK, '') AS LINK, 
							UID, 
							REMINDER,
							qb_docimm_files.IDX AS FIDX
						FROM 
							qb_docimm 
						LEFT JOIN 
							qb_docimm_files 
						ON 
							UID=LUID 
						WHERE 
							QBN=:qbn 
						ORDER BY " . $_REQUEST['orderby'] . " " . $_REQUEST['sorder'];
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn']
						)
					);
					$rows = array();
					while($r = $stmt->fetch(PDO::FETCH_ASSOC)) {
						$rows[] = $r;	
					}
					$result = json_encode(Array($rows, $qb_support->qb_status($_REQUEST['qbn'])));
					return $result;		
					break;
				case "closerecord":
					$qb_support->qbactivity($_REQUEST['qbn']);				
			// set status from open to close
					$query = "
						UPDATE 
							qb_docimm 
						SET 
							STAT='DONE', 
							LUPDATE=NOW(),
							REMINDER='0000-00-00'
						WHERE 
							IDX=:idx
					";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':idx' => $_REQUEST['cidx']
						)
					);
			// write log
					$qb_support->writelog($_REQUEST['qbn'], "C", "IMMEDIATE", "Record ".$_REQUEST['cidx']." closed");
				// inform pl if task closed and inform configured
					if ($qb_support->getoptions("inform_qfleiter", "set") == "yes") {
						$query = "SELECT WHT, UNTIL FROM qb_docimm WHERE IDX=:idx";	
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':idx' => $_REQUEST['cidx']
							)
						);
						list($what, $until) = $stmt->fetch(PDO::FETCH_NUM);
					// old status open, new statu done -> inform pl
						$query = "SELECT EMAIL, VORNAME, LANG FROM qb_user LEFT JOIN qb_team ON LOGIN=NAME WHERE ROLLE='PL' AND QBN=:qbn";
						$stmt = $db->prepare($query);
						$stmt->execute(array(':qbn' => $_REQUEST['qbn']));
						$result = $stmt->fetch(PDO::FETCH_NUM );
						if ($result[2] == "") $result[2] = $qb_support->getOptions('fallbacklang', 'set');
					// load template file
						$template = file_get_contents($rel_path."mail/".$result[2].".immediate.ai_inform_done.html");
						$template = str_replace('{{username}}', $result[1], $template);
						$template = str_replace('{{formname}}', $ini_mmenu['sofort'][$result[2]], $template);
						$template = str_replace('{{qbnummer}}', $_REQUEST['qbn'], $template);
						$template = str_replace('{{duedate}}', $until, $template);
						$template = str_replace('{{task}}', $what, $template);
						$template = str_replace('{{qblink}}', $relili . $_REQUEST['qbn'] . "&page=immediate", $template);
						preg_match('/<title>(.*)<\/title>/iU', $template, $subject);
						$subject = "QB".$_REQUEST['qbn'].": ".$subject[1];							
						$qb_support->templatemail($result[0], $subject, $template, "", "immediate_api:closerecord.closedtask");
					}					
					$result = "Done";				
					return $result;		
					break;
				case "deleterecord":
					$qb_support->qbactivity($_REQUEST['qbn']);
			// check for links and delete first
					$query = "SELECT LINK FROM qb_docimm_files WHERE LUID=:idx";		
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':idx' => $_REQUEST['didx']
						)
					);
					if ($stmt->rowCount() > 0) {
						while($row = $stmt->fetch(PDO::FETCH_NUM)) {
				// delete file
							$fullpath = "./files/" . $_REQUEST['qbn'] . "/".$row[0];
							@unlink(".".$fullpath);				
						}		
					}
			// delete records from docimm_files
					$query = "DELETE FROM qb_docimm_files WHERE LUID=:idx";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':idx' => $_REQUEST['didx']
						)
					);			
			// now delete record
					$query = "DELETE FROM qb_docimm WHERE UID=:idx";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':idx' => $_REQUEST['didx']
						)
					);	
			// write log
					$qb_support->writelog($_REQUEST['qbn'], "D", "IMMEDIATE", "Record deleted", "", $_REQUEST['didx']);			
					break;
				case "deletefile":
					$qb_support->qbactivity($_REQUEST['qbn']);
			// delete file
					$dfpath = "../files/" . $_REQUEST['qbn'] . '/' . $_REQUEST['fn'];
					unlink($dfpath);
					$query = "DELETE FROM qb_docimm_files WHERE IDX=:idx";
					$stmt = $db->prepare($query);
					$stmt->execute(array(':idx' => $_REQUEST['id']));
				// write log
					$qb_support->writelog($_REQUEST['qbn'], "D", "IMMEDIATE", "File deleted for activity ".$_REQUEST['id'], $_REQUEST['fn']);
 					$result = "Done";						
					return $result;		
					break;
				case "savefiles":
					$qb_support->qbactivity($_REQUEST['qbn']);
					$query = "SELECT UID FROM qb_docimm WHERE IDX=:idx";
					$stmt = $db->prepare($query);
					$stmt->execute(array(':idx' => $_REQUEST['id']));
					$luid = $stmt->fetchColumn();
			// insert links into database on new record
					$files = json_decode($_REQUEST['fils'], true);
					foreach($files as $key=>$file) {
						$query = "INSERT INTO qb_docimm_files SET LUID=:lid, LINK=:lnk";
						$stmt = $db->prepare($query);
						$stmt->execute(array(':lid' => $luid, ':lnk' => $file));
				// write log
						$qb_support->writelog($_REQUEST['qbn'], "A", "IMMEDIATE", "File added for activity ".$luid, $file);							
					}
 					$result = "Done";
					return $result;
					break;
			// save new dataset
				case "savenew":
					$qb_support->qbactivity($_REQUEST['qbn']);
			// for manual QB: set whn = until
					$lid = uniqid('imm');
					if ($qb_support->qb_status($_REQUEST['qbn']) == "M") {
						$query = "INSERT INTO qb_docimm (QBN, WHT, UNTIL, STAT, VISUM, WHN, LUPDATE, UID) 
							VALUES (:qbn, :wht, :utl, :sts, :vis, :utl, NOW(), :lid)";
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':qbn' => $_REQUEST['qbn'],
								':wht' => $_REQUEST['what'],
								':utl' => $_REQUEST['until'],
								':sts' => $_REQUEST['stat'],
								':vis' => $_REQUEST['visum'],
								':lid' => $lid
							)
						);
						$rid = $db->lastInsertId();
					} else {
						$query = "INSERT INTO qb_docimm (QBN, WHT, LUPDATE, UNTIL, STAT, VISUM, UID) 
							VALUES (:qbn, :wht, NOW(), :utl, :sts, :vis, :lid)";
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':qbn' => $_REQUEST['qbn'],
								':wht' => $_REQUEST['what'],
								':utl' => $_REQUEST['until'],
								':sts' => $_REQUEST['stat'],
								':vis' => $_REQUEST['visum'],
								':lid' => $lid
							)
						);
						$rid = $db->lastInsertId();						
				// inform ai-owner if selected
						if ($_REQUEST['iai'] == 1) {
					// get ai owner data
							$query = "SELECT EMAIL, VORNAME, LANG FROM qb_user WHERE LOGIN=:lgi";
							$stmt = $db->prepare($query);
							$stmt->execute(array(':lgi' => $_REQUEST['visum']));
							$result = $stmt->fetch(PDO::FETCH_NUM );
						// load template file
							if ($result[2] == "") $result[2] = $qb_support->getOptions('fallbacklang', 'set');
							$template = file_get_contents($rel_path."mail/".$result[2].".immediate.ai_inform_new.html");
							$template = str_replace('{{username}}', $result[1], $template);
							$template = str_replace('{{formname}}', $ini_mmenu['sofort'][$result[2]], $template);
							$template = str_replace('{{qbnummer}}', $_REQUEST['qbn'], $template);
							$template = str_replace('{{duedate}}', trim($_REQUEST['until']), $template);
							$template = str_replace('{{task}}', $_REQUEST['what'], $template);
							$template = str_replace('{{qblink}}', $relili . $_REQUEST['qbn'] . "&page=immediate", $template);
							preg_match('/<title>(.*)<\/title>/iU', $template, $subject);
							$subject = "QB".$_REQUEST['qbn'].": ".$subject[1];
							$qb_support->templatemail($result[0], $subject, $template, "", "immediate_api:savenew");
						}
					}
			// write log
					$qb_support->writelog($_REQUEST['qbn'], "A", "IMMEDIATE", "Record added", $rid);					
					$result = $lid;
					return $result;
					break;
			// save edited docimm dataset
				case "saveedit":
					$qb_support->qbactivity($_REQUEST['qbn']);
					$infonclose = "";
			// for manual QB: set whn = until
					if ($qb_support->qb_status($_REQUEST['qbn']) == "M") {
						$query = "UPDATE qb_docimm SET WHT=:wht, UNTIL=:utl, LUPDATE=NOW(), STAT=:sts, VISUM=:vis, WHN=:utl WHERE IDX=:idx";
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':idx' => $_REQUEST['ridx'],
								':wht' => $_REQUEST['what'],
								':utl' => $_REQUEST['until'],
								':sts' => $_REQUEST['stat'],
								':vis' => $_REQUEST['visum']
							)
						);						
					} else {
				// if inform pl on close is set get old status first
						if ($qb_support->getoptions("inform_qfleiter", "set") == "yes") {
							$query = "SELECT STAT FROM qb_docimm WHERE IDX=:idx";
							$stmt = $db->prepare($query);
							$stmt->execute(
								array(
									':idx' => $_REQUEST['ridx']
								)
							);
							$infonclose = $stmt->fetchColumn();
						}
						$query = "UPDATE qb_docimm SET WHT=:wht, LUPDATE=NOW(), UNTIL=:utl, STAT=:sts, VISUM=:vis WHERE IDX=:idx";
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':idx' => $_REQUEST['ridx'],
								':wht' => $_REQUEST['what'],
								':utl' => $_REQUEST['until'],
								':sts' => $_REQUEST['stat'],
								':vis' => $_REQUEST['visum']
							)
						);
				// inform ai-owner if selected
						if ($_REQUEST['iai'] == 1) {
					// check if  ai-owner was changed
							if ($_REQUEST['oaio'] == $_REQUEST['visum']) {
						// no, is same -> get ai owner data
								$query = "SELECT EMAIL, VORNAME, LANG FROM qb_user WHERE LOGIN=:lgi";
								$stmt = $db->prepare($query);
								$stmt->execute(array(':lgi' => $_REQUEST['visum']));
								$result = $stmt->fetch(PDO::FETCH_NUM );
								if ($result[2] == "") $result[2] = $qb_support->getOptions('fallbacklang', 'set');
							// load template file
								$template = file_get_contents($rel_path."mail/".$result[2].".immediate.ai_inform_update.html");
								$template = str_replace('{{username}}', $result[1], $template);
								$template = str_replace('{{formname}}', $ini_mmenu['sofort'][$result[2]], $template);
								$template = str_replace('{{qbnummer}}', $_REQUEST['qbn'], $template);
								$template = str_replace('{{duedate}}', trim($_REQUEST['until']), $template);
								$template = str_replace('{{task}}', $_REQUEST['what'], $template);
								$template = str_replace('{{qblink}}', $relili . $_REQUEST['qbn'] . "&page=immediate", $template);
								preg_match('/<title>(.*)<\/title>/iU', $template, $subject);
								$subject = "QB".$_REQUEST['qbn'].": ".$subject[1];							
								$qb_support->templatemail($result[0], $subject, $template, "", "immediate_api:saveedit.changedtask");
							} else {
						// yes, ai-owner changed -> get data of old and new ai owner
								$query = "
									SELECT 
										EMAIL, 
										VORNAME, 
										LANG,
										CONCAT(NACHNAME, ', ', VORNAME)
									FROM 
										qb_user 
									WHERE 
										LOGIN=:lgi								
								";
								$stmt = $db->prepare($query);
								$stmt->execute(array(':lgi' => $_REQUEST['visum']));
							// 1) inform new ai owner about task
								$result = $stmt->fetch(PDO::FETCH_NUM);
							// load template file
								if ($result[2] == "") $result[2] = $qb_support->getOptions('fallbacklang', 'set');
								$template = file_get_contents($rel_path."mail/".$result[2].".immediate.ai_inform_update_newowner.html");
								$template = str_replace('{{username}}', $result[1], $template);
								$template = str_replace('{{formname}}', $ini_mmenu['sofort'][$result[2]], $template);
								$template = str_replace('{{qbnummer}}', $_REQUEST['qbn'], $template);
								$template = str_replace('{{duedate}}', $_REQUEST['until'], $template);
								$template = str_replace('{{task}}', $_REQUEST['what'], $template);
								$template = str_replace('{{qblink}}', $relili . $_REQUEST['qbn'] . "&page=immediate", $template);
								preg_match('/<title>(.*)<\/title>/iU', $template, $subject);
								$subject = "QB".$_REQUEST['qbn'].": ".$subject[1];							
								$qb_support->templatemail($result[0], $subject, $template, "", "immediate_api:saveedit.changedaiowner");
								$newusername = $result[3];
							// 2) inform old ai-owner about dimissal
								$query = "
									SELECT 
										EMAIL, 
										VORNAME, 
										LANG,
										CONCAT(NACHNAME, ', ', VORNAME)
									FROM 
										qb_user 
									WHERE 
										LOGIN=:lgi								
								";
								$stmt = $db->prepare($query);
								$stmt->execute(array(':lgi' => $_REQUEST['oaio']));							
								$result = $stmt->fetch(PDO::FETCH_NUM);
								if ($result[2] == "") $result[2] = $qb_support->getOptions('fallbacklang', 'set');
							// load template file
								$template = file_get_contents($rel_path."mail/".$result[2].".immediate.ai_inform_update_dismissal.html");
								$template = str_replace('{{username}}', $result[1], $template);
								$template = str_replace('{{formname}}', $ini_mmenu['sofort'][$result[2]], $template);
								$template = str_replace('{{newuser}}', $newusername, $template);
								$template = str_replace('{{qbnummer}}', $_REQUEST['qbn'], $template);
								$template = str_replace('{{qblink}}', $relili . $_REQUEST['qbn'] . "&page=immediate", $template);
								preg_match('/<title>(.*)<\/title>/iU', $template, $subject);
								$subject = "QB".$_REQUEST['qbn'].": ".$subject[1];							
								$qb_support->templatemail($result[0], $subject, $template, "", "immediate_api:saveedit.dismissal");								
							}
						}						
					}
				// reset reminder is case is closed
					if ($_REQUEST['stat'] == "DONE") {
						$query = "UPDATE qb_docimm SET REMINDER='0000-00-00' WHERE IDX=:idx";
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':idx' => $_REQUEST['ridx']
							)
						);
					// inform pl if task closed and inform configured
						if ($qb_support->getoptions("inform_qfleiter", "set") == "yes") {
							if ($infonclose == "OPEN") {
							// old status open, new statu done -> inform pl
								$query = "SELECT EMAIL, VORNAME, LANG FROM qb_user LEFT JOIN qb_team ON LOGIN=NAME WHERE ROLLE='PL' AND QBN=:qbn";
								$stmt = $db->prepare($query);
								$stmt->execute(array(':qbn' => $_REQUEST['qbn']));
								$result = $stmt->fetch(PDO::FETCH_NUM );
								if ($result[2] == "") $result[2] = $qb_support->getOptions('fallbacklang', 'set');
							// load template file
								$template = file_get_contents($rel_path."mail/".$result[2].".immediate.ai_inform_done.html");
								$template = str_replace('{{username}}', $result[1], $template);
								$template = str_replace('{{formname}}', $ini_mmenu['sofort'][$result[2]], $template);
								$template = str_replace('{{qbnummer}}', $_REQUEST['qbn'], $template);
								$template = str_replace('{{duedate}}', trim($_REQUEST['until']), $template);
								$template = str_replace('{{task}}', $_REQUEST['what'], $template);
								$template = str_replace('{{qblink}}', $relili . $_REQUEST['qbn'] . "&page=immediate", $template);
								preg_match('/<title>(.*)<\/title>/iU', $template, $subject);
								$subject = "QB".$_REQUEST['qbn'].": ".$subject[1];							
								$qb_support->templatemail($result[0], $subject, $template, "", "immediate_api:saveedit.closedtask");								
							}
						}
					}
			// write log
					$qb_support->writelog($_REQUEST['qbn'], "C", "IMMEDIATE", "Record ".$_REQUEST['ridx']." updated");					
					$query = "SELECT UID FROM qb_docimm WHERE IDX=:idx";;
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':idx' => $_REQUEST['ridx']
						)
					);
					$result = $stmt->fetchColumn();
					return $result;
					break;
				case "copymeasure":
					$qb_support->qbactivity($_REQUEST['qbn']);		
					$query = "SELECT WHT, WHN FROM qb_docimm WHERE IDX=:idx";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':idx' => $_REQUEST['idx']
						)
					);
					$row = $stmt->fetch(PDO::FETCH_NUM);
					list($wht, $whn) = $row;
					$query = "SELECT COUNT(*) FROM qb_imp WHERE QBN=:qbn";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn']
						)
					);
					$row2 = $stmt->fetchColumn();
					if ($row2 == 0) {
						$query = "INSERT INTO qb_imp SET QBN=:qbn, DATE_REL_M=:whn, PLANNED_C_DATE=:whn, DESCRIPTION=:wht";
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':qbn' => $_REQUEST['qbn'],
								':whn' => $whn,
								':wht' => preg_replace('#<br\s*/?>#i', "", $wht)
							)
						);						
					} else {
						$query = "UPDATE qb_imp SET DATE_REL_M=IF(DATE_REL_M='0000-00-00', :whn, DATE_REL_M), PLANNED_C_DATE=IF(PLANNED_C_DATE='0000-00-00', :whn, 
							PLANNED_C_DATE), DESCRIPTION=IF(DESCRIPTION='', :wht, CONCAT(DESCRIPTION, '\\r\\n', :wht)) WHERE QBN=:qbn";
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':qbn' => $_REQUEST['qbn'],
								':whn' => $whn,
								':wht' => preg_replace('#<br\s*/?>#i', "", $wht)
							)
						);						
					}
			// write log
					$qb_support->writelog($_REQUEST['qbn'], "A", "IMMEDIATE", "Record copied to implementation measures");
					break;
			}
		}
		function saveoptions($qbn, $opt, $optval)
		{
			global $db, $qb_support;
			$qb_support->qbactivity($qbn);
			$query = "SELECT COUNT(*) FROM qb_imm WHERE QBN=:qbn";
			$stmt = $db->prepare($query);
			$stmt->execute(
				array(
					':qbn' => $qbn
				)
			);
			$row = $stmt->fetchColumn();
			if ($row == 0) {
				$query = "INSERT INTO qb_imm (QBN, ".$opt.", MIM) VALUES (:qbn, :opv, 0)";
		// write log
				$qb_support->writelog($qbn, "A", "IMMEDIATE", "Standard immediate action set to ".$opt);						
			} else {
				if ($opt == "LPSG48") {
					$query = "UPDATE qb_imm SET LPSG48=:opv, LPSK48=0, MIM=0 WHERE QBN=:qbn";
				} else if ($opt == "LPSK48") {
					$query = "UPDATE qb_imm SET LPSK48=:opv, LPSG48=0, MIM=0 WHERE QBN=:qbn";
				} else {
					$query = "UPDATE qb_imm SET ".$opt."=:opv, MIM=0 WHERE QBN=:qbn";
				}
		// write log
				$qb_support->writelog($qbn, "C", "IMMEDIATE", "Standard immediate action changed to ".$opt);							
			}
			$stmt = $db->prepare($query);
			$stmt->execute(
				array(
					':qbn' => $qbn,
					':opv' => $optval
				)
			);
		}
	}
?>