<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	global $rel_path;	
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;

	$routine = new Mailing();
	echo $routine->execute();
	
	class Mailing {
		
		public function __construct() 
		{
		}
		
		public function execute()
		{	
			global $db, $debug, $qb_support;
	// called routine
			$sub_routine = $_REQUEST["routine"];
			switch ($sub_routine)
			{
				case "getmails":
					$query = "
						SELECT 
							IDX, 
							(SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE LOGIN=ADDRESS) AS EMAIL,
							ADDRESS
						FROM 
							qb_mail 
						ORDER BY 
							ADDRESS
					";
					$stmt = $db->query($query);
					$rows = array();
					while($r = $stmt->fetch(PDO::FETCH_ASSOC)) {
						$rows[] = $r;
					}
					$result = json_encode($rows);
					return $result;		
					break;
				case "getdetails":
					$query = "
						SELECT 
							EVENTS,
							REGIONS
						FROM 
							qb_mail 
						WHERE 
							IDX=:idx
					";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':idx' => $_REQUEST['idx']
						)
					);
					$result = json_encode($stmt->fetch(PDO::FETCH_ASSOC));
					return $result;		
					break;						
				case "addmail":
			// add email address
					$query = "INSERT INTO qb_mail SET ADDRESS=:add";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':add' => $_REQUEST['email']
						)
					);
					$result = "Done";
					return $result;		
					break;
				case "removemail":
			// remove email address
					$query = "DELETE FROM qb_mail WHERE IDX=:idx";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':idx' => $_REQUEST['eidx']
						)
					);
					$result = "Done";
					return $result;		
					break;
				case "setregions":
			// set filter for regions
					$query = "UPDATE qb_mail SET REGIONS=:reg WHERE IDX=:idx";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':idx' => $_REQUEST['idx'],
							':reg' => $_REQUEST['reg']
						)
					);
					$result = "Done";
					return $result;		
					break;					
				case "setevents":	
			// set event for user
					$query = "UPDATE qb_mail SET EVENTS=:evt WHERE IDX=:idx";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':idx' => $_REQUEST['idx'],
							':evt' => $_REQUEST['evt']
						)
					);
					$result = "Done";
					return $result;		
					break;
			}
		}		
	}
?>