<?php
// this generates the excel
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	global $rel_path;
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;
	$lng = $_SESSION['lng'];
	$cal = parse_ini_file($rel_path.'i18n/calendar.ini', true);	
	$calmonth = explode(",", $cal['monthNamesShort'][$lng]);
	function format_date($loc) {
		global $calmonth;
		if ($loc == "-") return "-";
		$olddate = explode("-", $loc);
		if ($olddate[0] == "0000") return "-";
		$newdate = $olddate[0]."-".$calmonth[$olddate[1]-1]."-".$olddate[2];
		return $newdate;
	}
	function get_fcbb($loc) {
		global $ini_fcodes_bb, $lng;
		if ($loc == "-") return "-";
		if ($loc == "") return "-";
		$b1 = substr($loc, 0, 1);
		$b2 = "_".substr($loc, 1, 1);
		return $ini_fcodes_bb[$b1][$lng]." / " . $ini_fcodes_bb[$b1][$b2][$lng];
	}
	function get_fccc($loc) {
		global $ini_fcodes_cc, $lng;
		if ($loc == "-") return "-";
		if ($loc == "") return "-";
		return $ini_fcodes_cc[$loc][$lng];
	}
	function get_fcdd($loc) {
		global $ini_fcodes_dd, $lng;
		if ($loc == "-") return "-";
		if ($loc == "") return "-";
		$d1 = substr($loc, 0, 2);
		$d2 = "_".substr($loc, 2, 2);
		return $ini_fcodes_dd[$d1][$lng]." / " . $ini_fcodes_dd[$d1][$d2][$lng];
	}
// get materialname index
	$mncol = $qb_support->getLanMat($_REQUEST['exlan']);

// prepare translations
	$ini_privatequery = parse_ini_file($rel_path.'i18n/privquery.ini', true);
	$pquery = parse_ini_file($rel_path.'xml/pquery.ini', true);
//
	$translate = array();
// QB Status
	$ini_qbstatus = parse_ini_file($rel_path.'xml/qb_status.ini', true);
	$translate['ddr'] = array();
	foreach($ini_qbstatus as $key=>$value){
		if (in_array($key, array('N','O','S','C'))) {
			$translate['ddr'][$key] = $value[$_SESSION['lng']];
		}				
	}
// Kriterium
	$qbkrit = parse_ini_file($rel_path.'xml/qb_kriterien.ini', true);
	$translate['ddk'] = array();
	foreach($qbkrit as $key=>$value){
		$translate['ddk'][$key] = $value[$_SESSION['lng']];	
	}
// Material Status
	$ini_mstatus = parse_ini_file($rel_path.'xml/m_status.ini', true);
	$translate['ddm'] = array();
	foreach($ini_mstatus as $key=>$value){
		$translate['ddm'][$key] = $value[$_SESSION['lng']];	
	}
// Klassifizierung
	$ini_class = parse_ini_file($rel_path.'xml/class.ini', true);
	$translate['ddc'] = array();
	foreach($ini_class as $key=>$value){
		$translate['ddc'][$key] = $value[$_SESSION['lng']];	
	}
// QB Type
	$ini_qbtype = parse_ini_file($rel_path.'xml/qb_type.ini', true);
	$translate['ddt'] = array();
	foreach($ini_qbtype as $key=>$value){
		$translate['ddt'][$key] = $value[$_SESSION['lng']];	
	}
// regions
	$ini_region = parse_ini_file($rel_path.'xml/regions.ini', true);
	$translate['ddreg'] = array();
	foreach($ini_region as $key=>$value){
		$translate['ddreg'][$key] = $value[$_SESSION['lng']];	
	}
// Rekart
	$ini_rekart = parse_ini_file($rel_path.'xml/r_type.ini', true);
	$translate['dds'] = array();
	foreach($ini_rekart as $key=>$value){
		$translate['dds'][$key] = $value[$_SESSION['lng']];	
	}
// Fehlerverursacher
	$ini_ffu = parse_ini_file($rel_path.'xml/ffu.ini', true);
	$translate['ddf'] = array();
	foreach($ini_ffu as $key=>$value){
		$translate['ddf'][$key] = $value[$_SESSION['lng']];	
	}
// AI Status
	$ini_aistatus = parse_ini_file($rel_path.'xml/status.ini', true);
	$translate['ddai'] = array();
	$translate['ddai']['-'] = "-";
	foreach($ini_aistatus as $key=>$value){
		$translate['ddai'][$key] = $value[$_SESSION['lng']];	
	}	
// get settings
	$query = "SELECT FELDER, FILTER, FILTER2 FROM qb_privatequery WHERE LOGIN=:lgi AND PROFILE=:pf";
	$stmt = $db->prepare($query);
	$stmt->execute(array(':lgi'=>$_SESSION['lg'], ':pf'=>$_REQUEST['exprof']));
	list($felder, $filter, $filter2) = $stmt->fetch(PDO::FETCH_NUM);
	$felder = json_decode($felder, true);
	$filter = json_decode($filter, true);
	$filter2 = json_decode($filter2, true);
// build query
	$fltr = ($filter['class'] == 'all')?"":" AND CLSS='".$filter['class']."' ";
	$fltrtxt = $filter['class'];
// make sure that start date is before end date, if no then swap results
	$ymds = $filter['start'];
	$ymde = $filter['stop'];
	if ($ymds > $ymde) {
		$tmp = $ymds;
		$ymds = $ymde;
		$ymde = $tmp;
	}	
	$private_fields = parse_ini_file($rel_path.'xml/pquery.ini', true);
	$config = array();
	foreach ($felder as $k=>$v) {
		$config[$k] = $private_fields[$k];
		unset($config[$k]['lang']);
	}
	$tables = array();
	$query = "SELECT ";
	$tablestring = " FROM ";
	$tableref = "";
	$tablefilter = "";
	foreach($config as $k=>$v) {
		if (!in_array($v['table'], $tables)) {
			array_push($tables, $v['table']);
			if ($v['table'] == 'qbi') {
				$tablestring .= $v['table']." ";
			} else {
				if ($v['table'] != "") {
					$tablestring .= " LEFT JOIN ".$v['table']." ON qbi.QBN=".$v['table'].".QBN";
				}
			}
		}
		$query .= $v['query']. ", ";
		if ($v['filter'] != "") {
			$tablefilter .= " AND " . $v['filter'];
		}
	}
	$query = substr($query, 0, -2);
	$final = $query . $tablestring . " WHERE QBREGDATE>=:from AND QBREGDATE<=:to AND QBSTATUS<>'D' ".$fltr.$tablefilter;
	$order_str = " ORDER BY " . $filter['col'] . " " . $filter['sort'];
// work on filters
	$filterstring = "";
	$filterhelpstring = "";
	if ($filter2) {
		foreach($filter2 as $k=>$v) {
			if ($config[$k]['selector'] != '') {
				if ($filterhelpstring == "") {
					$filterhelpstring .= " HAVING " . $config[$k]['selector'] . " LIKE '%" . $v . "%' ";
				} else {
					$filterhelpstring .= " AND " . $config[$k]['selector'] . " LIKE '%" . $v . "%' ";
				}
			} else {
				$filterstring .= " AND " . $config[$k]['table'] . "." . $k . " LIKE '%" . $v . "%' ";
			}
		}
	}
	$final .= $filterstring . $filterhelpstring . $order_str;
// execute query
	$stmt = $db->prepare($final);
	$stmt->execute(array(':from'=>$ymds,':to'=>$ymde));	
	
/** Include PhpSpreadsheet */
  require $rel_path.'phpspreadsheet/autoload.php';

  use PhpOffice\PhpSpreadsheet\Spreadsheet;
  use PhpOffice\PhpSpreadsheet\Style\Border;
  use PhpOffice\PhpSpreadsheet\Style\Color;
  use PhpOffice\PhpSpreadsheet\Style\Font;
  use PhpOffice\PhpSpreadsheet\Writer\Xlsx;

  $spreadsheet = new Spreadsheet();
  $spreadsheet->getActiveSheet()->getPageSetup()->setOrientation(\PhpOffice\PhpSpreadsheet\Worksheet\PageSetup::ORIENTATION_LANDSCAPE);
  $spreadsheet->getActiveSheet()->getPageSetup()->setPaperSize(\PhpOffice\PhpSpreadsheet\Worksheet\PageSetup::PAPERSIZE_A4);
  $spreadsheet->getProperties()->setCreator("QB-oot")->setTitle("TOP Qb");
  $spreadsheet->getDefaultStyle()->getFont()->setName('Arial')->setSize(11);
  $sheet = $spreadsheet->getActiveSheet();
	
// define formats
  $styleThinBlackBorderOutline = [
    'borders' => [
      'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
      'color' => ['argb' => 'FF000000']
    ]
  ];  
  $styleThickBlackBorderOutline = [
    'borders' => [
      'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_MEDIUM,
      'color' => ['argb' => 'FF000000']
    ]
  ]; 
  $styleGreyBackground = [
    'fill' => [
      'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
      'color' => ['argb' => 'FFCCCCCC']
    ]
  ];
  $styleFilterBackground = [
    'fill' => [
      'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
      'color' => ['argb' => 'FFEBF1DE']
    ]
  ]; 
  $styleHyperlink = [
    'font' => [
      'alignment' => ['horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER],
      'color' => ['argb' => 'FF0000FF'],
      'underline' => Font::UNDERLINE_SINGLE
    ]
  ];

// insert filter settings
	$sheet->setCellValue("A1", "Filter");
	$sheet->getStyle('A1')->getFont()->setBold(true)->setSize(12);
	$sheet->mergeCells('A1:B1');
	$sheet->getStyle('A1:B1')->applyFromArray($styleThickBlackBorderOutline);
	$sheet->setCellValue("A2", $ini_privatequery['start'][$lng]);
	$sheet->setCellValue("B2", format_date($ymds));
	$sheet->setCellValue("A3", $ini_privatequery['stop'][$lng]);
	$sheet->setCellValue("B3", format_date($ymde));
	$sheet->setCellValue("A4", $ini_privatequery['class'][$lng]);
	$fltrfulltxt = ($fltrtxt == 'all')?$ini_privatequery['all'][$lng]:$translate['ddc'][$fltrtxt];
	$sheet->setCellValue("B4", $fltrfulltxt);
	$off = 5;
	unset($filter['col']);
	unset($filter['sort']);
	foreach ($filter as $k => $v) {
		$sheet->setCellValue("A".$off, $ini_privatequery[$k][$lng]);
		if ($k == "class") {
			if ($v == "all") {
				$sheet->setCellValue("B".$off, $ini_privatequery['all'][$lng]);
			} else {
				$sheet->setCellValue("B".$off, $ini_class[$v][$lng]);
			}
		} else {
			$sheet->setCellValue("B".$off, $v);	
		}
		$off++;
	}
	if ($filter2) {
		foreach($filter2 as $k=>$v) {
			$sheet->setCellValue("A".$off, $pquery[$k]['lang'][$lng]);
			if ($pquery[$k]['type'] == "input") {
				$sheet->setCellValue("B".$off, $v);	
			} else {
				
				$sheet->setCellValue("B".$off, $translate[$pquery[$k]['soption']][$v]);	
			}
			$off++;
		}
	}
	$off++;	
	$sheet->setCellValue("A".$off, $ini_privatequery['generated'][$lng]);	
	$sheet->setCellValue("B".$off, date('Y-M-d H:i:s', time()));
	$off++;
	$total_rows = $stmt->rowCount();
	$sheet->setCellValue("A".$off, $ini_privatequery['found_datasets'][$lng]);
	$sheet->setCellValue("B".$off, $total_rows);
	$sheet->getStyle('B'.$off)->getAlignment()->setHorizontal(\PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_LEFT);	
	$sheet->getStyle('B'.$off)->getFont()->setBold(true);	
	$sheet->getStyle('B2:B'.$off)->getFont()->setItalic(true);
// format filter box
	$sheet->getStyle('A1:B'.$off)->applyFromArray($styleFilterBackground)->applyFromArray($styleThickBlackBorderOutline);	
// generate headlines
	$i = 1;
	$start_row = $off + 2;
	foreach ($felder as $k=>$v) {
		$sheet->setCellValue(chr(64+$i).$start_row, $pquery[$k]['lang'][$lng]);
		$i++;
	}
// format headlines
	$sheet->getStyle('A'.$start_row.':'.chr(64+count($felder)).$start_row)->applyFromArray($styleThinBlackBorderOutline);
	$sheet->getStyle('A'.$start_row.':'.chr(64+count($felder)).$start_row)->applyFromArray($styleGreyBackground);
	$sheet->getStyle('A'.$start_row.':'.chr(64+count($felder)).$start_row)->getFont()->setBold(true)->setName('Arial')->setSize(10)->getColor()->setARGB('FF0000FF');
	$sheet->getStyle('A'.$start_row.':'.chr(64+count($felder)).$start_row)->getAlignment()->setHorizontal(\PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_LEFT);	
// show result
	$data_row = $start_row + 1;
	global $relili;
	while($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$i = 1;
		foreach($row as $key => $value) {	
			if ($key == "QBSTATUS") {
				$sheet->setCellValue(chr(64+$i).$data_row, $ini_qbstatus[$value][$lng]);
			} else if ($key == "RTYPE") {
				$sheet->setCellValue(chr(64+$i).$data_row, $ini_rekart[$value][$lng]);
			} else if ($key == "TGR") {
				$sheet->setCellValue(chr(64+$i).$data_row, " ".$value);
			} else if ($key == "MNR") {
				if ($value == "0") {
					$sheet->setCellValue(chr(64+$i).$data_row, "xxxxx-xxxxx");
				} else {
					$sheet->setCellValue(chr(64+$i).$data_row, $value);
				}
			} else if ($key == "FFU") {
				if ($value == "") {
					$sheet->setCellValue(chr(64+$i).$data_row, $value);
				} else {
					$sheet->setCellValue(chr(64+$i).$data_row, $ini_ffu[$value][$lng]);
				}
			} else if ($key == "QBREGDATE") {
				$sheet->setCellValue(chr(64+$i).$data_row, $value);
			} else if ($key == "CRITERIUM") {
				$sheet->setCellValue(chr(64+$i).$data_row, ($value == "-")?"-":$qbkrit[$value][$lng]);
			} else if ($key == "PROD_DAT") {
				$sheet->setCellValue(chr(64+$i).$data_row, $value);
			} else if ($key == "CLSS") {
				if ($value== "") {
					$sheet->setCellValue(chr(64+$i).$data_row, "");
				} else {
					$sheet->setCellValue(chr(64+$i).$data_row, $translate['ddc'][$value]);
				}
			} else if ($key == "NOMMEMBER") {
				$sheet->setCellValue(chr(64+$i).$data_row, $value);
			} else if ($key == "INFMEMBER") {
				$sheet->setCellValue(chr(64+$i).$data_row, $value);
			} else if ($key == "BB") {
				$sheet->setCellValue(chr(64+$i).$data_row, get_fcbb($value));
			} else if ($key == "CC") {
				$sheet->setCellValue(chr(64+$i).$data_row, get_fccc($value));
			} else if ($key == "DDDD") {
				$sheet->setCellValue(chr(64+$i).$data_row, get_fcdd($value));
			} else if ($key == "GQ_DATE") {
				$sheet->setCellValue(chr(64+$i).$data_row, $value);
			} else if ($key == "ISTAT") {
				$sheet->setCellValue(chr(64+$i).$data_row, $translate['ddai'][$value]);
			} else if ($key == "IUNTIL") {
				$sheet->setCellValue(chr(64+$i).$data_row, $value);
			} else if ($key == "DSTAT") {
				$sheet->setCellValue(chr(64+$i).$data_row, $translate['ddai'][$value]);
			} else if ($key == "DUNTIL") {
				$sheet->setCellValue(chr(64+$i).$data_row, $value);
			} else if ($key == "DATE_ACC_BY_SVT") {
				$sheet->setCellValue(chr(64+$i).$data_row, $value);
			} else {
        $richText = new \PhpOffice\PhpSpreadsheet\RichText\RichText();
        $richText->createText($value);
				$sheet->setCellValue(chr(64+$i).$data_row, $richText);
			}
			if ($key == "QBN") {
				$sheet->setCellValue(chr(64+$i).$data_row, $value);
				$sheet->getCell(chr(64+$i).$data_row)->getHyperlink()->setUrl('http://' . $relili . $value);
				$sheet->getStyle(chr(64+$i).$data_row)->applyFromArray($styleHyperlink);
			}
			$i++;
		}
		$data_row++;
	}
// set autofilter
	$sheet->setAutoFilter('A'.$start_row.':'.chr(64+count($felder)).$start_row);
// format columns
	$i = 1;
	foreach ($felder as $k=>$v) {
	// set column width for description including line break
		if ($k == "DESCRIPTION") {
			$sheet->getColumnDimension(chr(64+$i))->setWidth(100);			
			$sheet->getStyle(chr(64+$i).($start_row + 1).":".chr(64+$i).$sheet->getHighestRow())->getAlignment()->setWrapText(true); 
		} else {
			$sheet->getColumnDimension(chr(64+$i))->setAutoSize(true);
		}	
		$i++;	
	}

// Rename worksheet
	$sheet->setTitle("overview");

// Set active sheet index to the first sheet, so Excel opens this as the first sheet
	$spreadsheet->setActiveSheetIndex(0);
  
// Redirect output to a client’s web browser (Excel2007)
	header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
	header('Content-Disposition: attachment;filename="qb-privatequery.xlsx"');
	header('Cache-Control: max-age=0');

  $writer = new Xlsx($spreadsheet);
  $writer->save('php://output');
	exit;
?>
