<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	global $rel_path;	
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;
	
	$routine = new Privatequery();
	echo $routine->execute();
	
	class Privatequery {
		
		public function __construct() 
		{
		}
		
		public function execute()
		{	
			global $db, $rel_path, $qb_support;
	// called routine
			$sub_routine = $_REQUEST["routine"];
			switch ($sub_routine)
			{
				case "addprofile":
					$query = "INSERT INTO qb_privatequery (LOGIN, PROFILE, FELDER, FILTER) SELECT LOGIN, :np, FELDER, FILTER FROM qb_privatequery WHERE LOGIN=:lgi AND PROFILE=:op";
					$stmt = $db->prepare($query);	
					$stmt->execute(array(':lgi'=>$_REQUEST['lgi'], ':np'=>$_REQUEST['newprofil'], ':op'=>$_REQUEST['oldprofil']));
					break;
				case "changesort":
					$filter = $this->getfilter($_REQUEST['lgi'], $_REQUEST['prof']);
					$filter['col'] = $_REQUEST['col'];
					$filter['sort'] = $_REQUEST['sort'];
					$this->savefilter($filter, $_REQUEST['lgi'], $_REQUEST['prof']);
					break;
				case "reorder":
					$savefields = array();
					$neworder = json_decode($_REQUEST['neworder'], true);
					foreach ($neworder as $k=>$v) {
						$savefields[$v] = $k;
					}
					$this->savefields($savefields, $_REQUEST['lgi'], $_REQUEST['prof']);
					break;
				case "set_filter":
					$filter = $this->getfilter($_REQUEST['lgi'], $_REQUEST['prof']);
					$filter['start'] = $_REQUEST['sdat'];
					$filter['stop'] = $_REQUEST['edat'];
					$filter['class'] = $_REQUEST['clss'];
					$this->savefilter($filter, $_REQUEST['lgi'], $_REQUEST['prof']);
					break;
				case "change_profile":
					$query = "UPDATE qb_privatequery SET ACTIVE=0 WHERE LOGIN=:lgi";
					$stmt = $db->prepare($query);	
					$stmt->execute(array(':lgi'=>$_REQUEST['lgi']));
					$query = "UPDATE qb_privatequery SET ACTIVE=1 WHERE LOGIN=:lgi AND PROFILE=:pf";
					$stmt = $db->prepare($query);	
					$stmt->execute(array(':lgi'=>$_REQUEST['lgi'], ':pf'=>$_REQUEST['prof']));
					$felder = $this->getfields($_REQUEST['lgi'], $_REQUEST['prof']);
					return json_encode(array_keys($felder));
					break;
				case "getdata":
					$login = $_REQUEST['lgi'];
					$profile = $_REQUEST['prof'];
					$felder = $this->getfields($login, $profile);
					$fltr = ($_REQUEST['clss'] == 'all')?"":" AND CLSS='".$_REQUEST['clss']."' ";
			// make sure that start date is before end date, if no then swap results
					$ymds = $_REQUEST['sdat'];
					$ymde = $_REQUEST['edat'];
					if ($ymds > $ymde) {
						$tmp = $ymds;
						$ymds = $ymde;
						$ymde = $tmp;
					}		
					$private_fields = parse_ini_file($rel_path.'xml/pquery.ini', true);
					$config = array();
					foreach ($felder as $k=>$v) {
						$config[$k] = $private_fields[$k];
						unset($config[$k]['lang']);
					}
					$tables = array();
					$query = "SELECT ";
					$tablestring = " FROM ";
					$tableref = "";
					$tablefilter = "";
					foreach($config as $k=>$v) {
						if (!in_array($v['table'], $tables)) {
							array_push($tables, $v['table']);
							if ($v['table'] == 'qbi') {
								$tablestring .= $v['table']." ";
							} else {
								if ($v['table'] != "") {
									$tablestring .= " LEFT JOIN ".$v['table']." ON qbi.QBN=".$v['table'].".QBN";
								}
							}
						}
						$query .= $v['query']. ", ";
						if ($v['filter'] != "") {
							$tablefilter .= " AND " . $v['filter'];
						}
					}
					$query = substr($query, 0, -2);
					$final = $query . $tablestring . " WHERE QBREGDATE>=:from AND QBREGDATE<=:to AND QBSTATUS<>'D' ".$fltr.$tablefilter;
			// generate order & limit
					$order_str = " ORDER BY " . $_REQUEST['sidx'] . " " . $_REQUEST['sord'];
					$limit_str = " LIMIT " . ($_REQUEST['page']-1)*$_REQUEST['rows'] . ", " . $_REQUEST['rows'];
			// work on filter (if any...)
					$filter = $_REQUEST;
					unset($filter['clss']);
					unset($filter['edat']);
					unset($filter['lgi']);
					unset($filter['prof']);
					unset($filter['nd']);
					unset($filter['page']);
					unset($filter['qblan']);
					unset($filter['routine']);
					unset($filter['rows']);
					unset($filter['sdat']);
					unset($filter['sidx']);
					unset($filter['sord']);
					$search = $filter['_search'];
					unset($filter['_search']);
					$init = $filter['init'];
					unset($filter['init']);
					if ($init == "false") {
						if (count($filter) > 0) {
					// save filter if any is set
							$filterquery = "UPDATE qb_privatequery SET FILTER2=:fltr2 WHERE LOGIN=:lgi AND PROFILE=:pf";
							$stmt = $db->prepare($filterquery);	
							$stmt->execute(array(':lgi'=>$login, ':fltr2'=>json_encode($filter), ':pf'=>$profile));
						} else {
							$filterquery = "UPDATE qb_privatequery SET FILTER2='' WHERE LOGIN=:lgi AND PROFILE=:pf";
							$stmt = $db->prepare($filterquery);	
							$stmt->execute(array(':lgi'=>$login, ':pf'=>$profile));
						}
					}
					if ($init == "true") {
						$filter = json_decode($this->getfilter2($login, $profile));
					}
					$filterstring = "";
					$filterhelpstring = "";
					if ($filter) {
						foreach($filter as $k=>$v) {
							if ($config[$k]['selector'] != '') {
								if ($filterhelpstring == "") {
									$filterhelpstring .= " HAVING " . $config[$k]['selector'] . " LIKE '%" . $v . "%' ";
								} else {
									$filterhelpstring .= " AND " . $config[$k]['selector'] . " LIKE '%" . $v . "%' ";
								}
							} else {
								$filterstring .= " AND " . $config[$k]['table'] . "." . $k . " LIKE '%" . $v . "%' ";
							}
						}
					}
					$final .= $filterstring . $filterhelpstring;
				// done, now query overall result
					$stmt = $db->prepare($final);
					$stmt->execute(array(':from'=>$ymds,':to'=>$ymde));
					$num_records = $stmt->rowCount();
					$num_pages = ceil($num_records/$_REQUEST['rows']);
				// OK, now break down to pages
					$stmt = $db->prepare($final . " " . $order_str . " " . $limit_str);
					$stmt->execute(array(':from'=>$ymds,':to'=>$ymde));
					$rows = array();
					while($r = $stmt->fetch(PDO::FETCH_ASSOC)) {
						$rows[] = $r;
					}
					$ret = Array();
					$ret['total'] = $num_pages;
					$ret['page'] = $_REQUEST['page'];
					$ret['records'] = $num_records;
					$ret['rows'] = $rows;
					if ($init == "true") {
						$filter2 = $this->getfilter2($login, $profile);
						if ($filter2 == "") {
							$filter2 = array();
						} else {
							$filter2 = json_decode($filter2);
						}
						$ret['filter2'] = json_encode($filter2);
					}
					return json_encode($ret);
					break;
				case "fieldchanged":
					$felder = $this->getfields($_REQUEST['lgi'], $_REQUEST['prof']);
					$filter = $this->getfilter($_REQUEST['lgi'], $_REQUEST['prof']);
					$ordr = count($felder);
					$changedfields = json_decode($_REQUEST['fld'], true);
					$ncnt = count($changedfields);
					if($ordr > $ncnt) {
			// field deleted
						$newfields = array();
						$flippedfields = array_flip($changedfields);
						foreach($felder as $k=>$v) {
							if (array_key_exists($k, $flippedfields)) $newfields[$k] = $v;
						}
						asort($newfields);
						$savefields = array();
						$ordr = 0;
						foreach($newfields as $k=>$v) {
							$savefields[$k] = $ordr;
							$ordr++;
						}
						$this->savefields($savefields, $_REQUEST['lgi'], $_REQUEST['prof']);
						if (!array_key_exists($filter['col'], $savefields)) {
			// sort column was deleted
							$filter['col'] = "QBN";
							$filter['sort'] = "desc";
							$this->savefilter($filter, $_REQUEST['lgi'], $_REQUEST['prof']);
						}
						$returnfields = $savefields;
					} else {
			// field added
						$newkey = "";
						foreach($changedfields as $k=>$v) {
							if (!array_key_exists($v, $felder)) $newkey = $v;
						}
						$felder[$newkey] = $ordr;
						$this->savefields($felder, $_REQUEST['lgi'], $_REQUEST['prof']);
						$returnfields = $felder;
					}
					return json_encode(array_flip($returnfields));
					break;
			}
		}
		private function getfilter2($login, $profile) {
			global $db;
			$query = "SELECT FILTER2 FROM qb_privatequery WHERE LOGIN=:lgi AND PROFILE=:pf";
			$stmt = $db->prepare($query);	
			$stmt->execute(array(':lgi'=>$login, ':pf'=>$profile));
			list($filter2) = $stmt->fetch(PDO::FETCH_NUM);
			return $filter2;
		}
		private function savefilter2($filter2, $login, $profile) {
			global $db;
			$query = "UPDATE qb_privatequery SET FILTER2=:fltr WHERE LOGIN=:lgi AND PROFILE=:pf";
			$stmt = $db->prepare($query);	
			$stmt->execute(array(':lgi'=>$login, ':fltr'=>json_encode($filter2), ':pf'=>$profile));
		}
		private function getfilter($login, $profile) {
			global $db;
			$query = "SELECT FILTER FROM qb_privatequery WHERE LOGIN=:lgi AND PROFILE=:pf";
			$stmt = $db->prepare($query);	
			$stmt->execute(array(':lgi'=>$login, ':pf'=>$profile));
			list($filter) = $stmt->fetch(PDO::FETCH_NUM);
			return json_decode($filter, true);
		}
		private function savefilter($filter, $login, $profile) {
			global $db;
			$query = "UPDATE qb_privatequery SET FILTER=:fltr WHERE LOGIN=:lgi AND PROFILE=:pf";
			$stmt = $db->prepare($query);	
			$stmt->execute(array(':lgi'=>$login, ':fltr'=>json_encode($filter), ':pf'=>$profile));
		}
		private function getfields($login, $profile) {
			global $db;
			$query = "SELECT FELDER FROM qb_privatequery WHERE LOGIN=:lgi AND PROFILE=:pf";
			$stmt = $db->prepare($query);	
			$stmt->execute(array(':lgi'=>$login, ':pf'=>$profile));
			list($felder) = $stmt->fetch(PDO::FETCH_NUM);
			return json_decode($felder, true);
		}
		private function savefields($felder, $login, $profile) {
			global $db;
			$query = "UPDATE qb_privatequery SET FELDER=:fld WHERE LOGIN=:lgi AND PROFILE=:pf";
			$stmt = $db->prepare($query);	
			$stmt->execute(array(':lgi'=>$login, ':fld'=>json_encode($felder), ':pf'=>$profile));
		}
		private function newfields($felder, $login, $profile) {
			global $db;
			$query = "INSERT INTO qb_privatequery SET FELDER=:fld, LOGIN=:lgi, PROFILE=:pf";
			$stmt = $db->prepare($query);	
			$stmt->execute(array(':lgi'=>$login, ':fld'=>json_encode($felder), ':pf'=>$profile));
		}
		private function delfields($login, $profile) {
			global $db;
			$query = "DELETE FROM qb_privatequery WHERE LOGIN=:lgi AND PROFILE=:pf";
			$stmt = $db->prepare($query);	
			$stmt->execute(array(':lgi'=>$login, ':pf'=>$profile));
		}
	}
?>