<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	global $rel_path;	
	require_once ($rel_path."support.php");
	
	$qb_support = new QBSupport;
	$lng = $_REQUEST['qblan'];
// define material name language
	$mncol = $qb_support->getLanMat($_REQUEST['qblan']);
// translation
	$cal = parse_ini_file($rel_path.'i18n/calendar.ini', true);
	$cal = explode(",", $cal['monthNamesShort'][$_SESSION['lng']]);
	$ini_rekart = parse_ini_file($rel_path.'xml/r_type.ini', true);	
	$ini_qbstatus = parse_ini_file($rel_path.'xml/qb_status.ini', true);	
	$ini_qbco = parse_ini_file($rel_path.'i18n/qb_co.ini', true);
	$ini_region = parse_ini_file($rel_path.'xml/regions.ini', true);
	$ini_region[''][$_SESSION['lng']] = "";	
	$fltr = ($_REQUEST['cl'] == "all")?"":" AND CLSS='".$_REQUEST['cl']."'";

/** Include PhpSpreadsheet */
  require $rel_path.'phpspreadsheet/autoload.php';

  use PhpOffice\PhpSpreadsheet\Spreadsheet;
  use PhpOffice\PhpSpreadsheet\Style\Border;
  use PhpOffice\PhpSpreadsheet\Style\Color;
  use PhpOffice\PhpSpreadsheet\Style\Font;
  use PhpOffice\PhpSpreadsheet\Style\Fill;
  use PhpOffice\PhpSpreadsheet\Writer\Xlsx;

  $spreadsheet = new Spreadsheet();
  $spreadsheet->getActiveSheet()->getPageSetup()->setOrientation(\PhpOffice\PhpSpreadsheet\Worksheet\PageSetup::ORIENTATION_LANDSCAPE);
  $spreadsheet->getActiveSheet()->getPageSetup()->setPaperSize(\PhpOffice\PhpSpreadsheet\Worksheet\PageSetup::PAPERSIZE_A4);
  $spreadsheet->getProperties()->setCreator("QB-oot")->setTitle("QB Coordination");
  $spreadsheet->getDefaultStyle()->getFont()->setName('Arial')->setSize(11);
  $sheet = $spreadsheet->getActiveSheet();
	
// define formats
  $styleThinBlackBorderOutline = [
    'borders' => [
      'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
      'color' => ['argb' => 'FF000000']
    ]
  ];  
  $styleGreyBackground = [
    'fill' => [
      'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
      'color' => ['argb' => 'FFCCCCCC']
    ]
  ];
	$borderArray = array(
	  'borders' => array(
		'allborders' => array(
		  'style' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
      'color' => ['argb' => 'FF000000']
		)
	  )
	);

// merge Headline
	$sheet->mergeCells('A1:C1');

	$h1 = explode("-", date('Y-m-d', time()));
	$dt = $h1[0] . "-" . $cal[$h1[1]-1] . "-" . $h1[2];
	
// Add basic data
	$sheet->setCellValue('A1', $ini_qbco['qb_coord'][$_SESSION['lng']]);
	if ($_REQUEST['param']=='all') {
		$sheet->setCellValue('A2', $ini_qbco['filter'][$_SESSION['lng']] . ": " . $ini_qbco['all'][$_SESSION['lng']]);
	} else {
		$sheet->setCellValue('A2', $ini_qbco['filter'][$_SESSION['lng']] . ": " . $ini_region[$_REQUEST['param']][$_SESSION['lng']]);
	}
  $sheet->setCellValue('A3', utf8_decode($dt));
			
// format basic data
	$sheet->getStyle('A1:A3')->getFont()->setName('Arial');
	$sheet->getStyle('A1')->getFont()->setSize(12)
															 ->setBold(true);
// add headlines
	$sheet->setCellValue("A4", $ini_qbco['qb_nr'][$_SESSION['lng']]);
	$sheet->setCellValue("B4", $ini_qbco['date'][$_SESSION['lng']]);
	$sheet->setCellValue("C4", $ini_qbco['art'][$_SESSION['lng']]);
	$sheet->setCellValue("D4", $ini_qbco['region'][$_SESSION['lng']]);
	$sheet->setCellValue("E4", $ini_qbco['svt'][$_SESSION['lng']]);
	$sheet->setCellValue("F4", $ini_qbco['pl'][$_SESSION['lng']]);
	$sheet->setCellValue("G4", $ini_qbco['doc'][$_SESSION['lng']]);	
	$sheet->setCellValue("H4", $ini_qbco['tgr'][$_SESSION['lng']]);
	$sheet->setCellValue("I4", $ini_qbco['status'][$_SESSION['lng']]);
	$sheet->setCellValue("J4", $ini_qbco['req'][$_SESSION['lng']]);
	$sheet->setCellValue("K4", $ini_qbco['impdate'][$_SESSION['lng']]);
	$sheet->setCellValue("L4", $ini_qbco['closedate'][$_SESSION['lng']]);
// format headlines
	$sheet->getStyle('A4:L4')->applyFromArray($styleThinBlackBorderOutline);
	$sheet->getStyle('A4:L4')->applyFromArray($styleGreyBackground);
	$sheet->getStyle('A4:L4')->getFont()->setBold(true)->setName('Arial')->setSize(10)->getColor()->setARGB('FF0000FF');
	$sheet->getStyle('A4:L4')->getAlignment()->setHorizontal(\PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER);
	
// prepare query
	$query = "SELECT ";
	$query .= "qbi.QBN AS qbn, ";
	$query .= "QBREGDATE AS regdate, ";
	$query .= "RTYPE AS rtype, ";	
	$query .= "(SELECT REGION FROM qb_user WHERE REQ=LOGIN) AS regio, ";
	$query .= "(SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE LOGIN=qbi.SVT) AS svt, ";
	$query .= "(SELECT (SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE LOGIN=NAME) FROM qb_team WHERE ROLLE='PL' AND qbn=qbi.QBN) AS pl, ";
	$query .= "DESCRIPTION AS description, ";
	$query .= "IF (MNR='0', 'xxxxx-xxxxx', MNR) AS tgr, ";
	$query .= "QBSTATUS AS qbstatus, ";
	$query .= "IF (SHOWREQ=1,(SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE REQ=LOGIN), '*****') AS req, ";
	$query .= "TOP, ";
	$query .= "(SELECT COALESCE(IF (DATE_ACC_BY_SVT='0000-00-00','',DATE_ACC_BY_SVT), '') FROM qb_imp WHERE qb_imp.QBN=qbi.QBN), ";
	$query .= "COALESCE(IF (GQ_DATE='0000-00-00','',GQ_DATE), '') ";
	$query .= "
		FROM 
			qbi 
		LEFT JOIN 
			qbbasic ON qbi.QBN=qbbasic.QBN 
		LEFT JOIN 
			qb_material ON MNR=TGR 
		LEFT JOIN 
			qb_close ON qbi.QBN=qb_close.QBN 
		WHERE
			(QBSTATUS = 'O'	OR (TOP=1 AND QBSTATUS IN ('N', 'O', 'S')))
	";
	$query .= ($_REQUEST['cl'] == "all")?"":" AND CLSS='".$_REQUEST['cl']."'";

// apply filter
	switch ($_REQUEST['param']) {
		case "all":
			$query .= " ORDER BY TOP DESC, PL";
			break;
		case "EU":
			$query .= " HAVING regio = 'EU' ORDER BY TOP DESC, PL";
			break;
		case "AM":
			$query .= " HAVING regio = 'AM' ORDER BY TOP DESC, PL";
			break;
		case "AP":
			$query .= "HAVING regio = 'AP' ORDER BY TOP DESC, PL";
			break;		
	}
	$stmt = $db->query($query);
// output data
	$i = 5;
	global $relili;
	while($row = $stmt->fetch(PDO::FETCH_NUM)) {			
		$h1 = explode("-", $row[1]);
		$dt = $h1[0] . "-" . $cal[$h1[1]-1] . "-" . $h1[2];
		$sheet->setCellValue("A".$i, $row[0]);			
		$sheet->getCell("A".$i)->getHyperlink()->setUrl('http://' . $relili . $row[0]);
		$sheet->setCellValue("B".$i, $dt);
		$sheet->setCellValue("C".$i, $ini_rekart[$row[2]][$_SESSION['lng']]);
		$sheet->setCellValue("D".$i, $ini_region[$row[3]][$_SESSION['lng']]);
		$sheet->setCellValue("E".$i, $row[4]);
		$sheet->setCellValue("F".$i, $row[5]);
    $richText = new \PhpOffice\PhpSpreadsheet\RichText\RichText();
    $richText->createText($row[6]);
		$sheet->setCellValue("G".$i, $richText);
		$sheet->setCellValue("H".$i, $row[7]);
		$sheet->setCellValue("I".$i, $ini_qbstatus[$row[8]][$_SESSION['lng']]);
		$sheet->setCellValue("J".$i, $row[9]);
		$sheet->setCellValue("K".$i, $row[11]);
		$sheet->setCellValue("L".$i, $row[12]);
// format data
		$sheet->getStyle('A'.$i.':L'.$i)->getFont()->setName('Arial')->setSize(10)->getColor()->setARGB('FF000000');			
		$sheet->getStyle('A'.$i.':L'.$i)->applyFromArray($borderArray);
		$sheet->getStyle('A'.$i.':F'.$i)->getAlignment()->setHorizontal(\PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER);		
		$sheet->getStyle('A'.$i)->getFont()->setUnderline(PhpOffice\PhpSpreadsheet\Style\Font::UNDERLINE_SINGLE);
		$sheet->getStyle('A'.$i)->getFont()->getColor()->setARGB('FF0000FF');
		
		if ($row[10] == 1) {
			if ($row[8] == "O") {
        $sheet->getStyle('A'.$i.':L'.$i)->getFill()->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID)->getStartColor()->setARGB('FFFF6666');
			} else if ($row[8] == "S") {
        $sheet->getStyle('A'.$i.':L'.$i)->getFill()->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID)->getStartColor()->setARGB('FFFFFF66');		
			}
		}
		$i++;
	}	
// format columns
	$sheet->getColumnDimension('A')->setAutoSize(true);
	$sheet->getColumnDimension('B')->setAutoSize(true);
	$sheet->getColumnDimension('C')->setAutoSize(true);
	$sheet->getColumnDimension('D')->setAutoSize(true);
	$sheet->getColumnDimension('E')->setAutoSize(true);
	$sheet->getColumnDimension('F')->setAutoSize(true);
	$sheet->getColumnDimension('G')->setWidth(100);			
	$sheet->getStyle('G5:G'.$sheet->getHighestRow())->getAlignment()->setWrapText(true); 
	$sheet->getColumnDimension('H')->setAutoSize(true);
	$sheet->getColumnDimension('I')->setAutoSize(true);		
	$sheet->getColumnDimension('J')->setAutoSize(true);	
	$sheet->getColumnDimension('K')->setAutoSize(true);	
	$sheet->getColumnDimension('L')->setAutoSize(true);
// Rename worksheet
	$sheet->setTitle($_REQUEST['param']);

// Set active sheet index to the first sheet, so Excel opens this as the first sheet
	$spreadsheet->setActiveSheetIndex(0);

// Redirect output to a client's web browser (Excel2007)
	header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
	header('Content-Disposition: attachment;filename="qb-coordination.xlsx"');
	header('Cache-Control: max-age=0');

  $writer = new Xlsx($spreadsheet);
  $writer->save('php://output');
	exit;
?>
