<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	require_once ($rel_path."support.php");	
	$qb_support = new QBSupport;
	
	$routine = new Qbklasse();
	echo $routine->execute();
	
	class Qbklasse {
		
		public function __construct() 
		{
		}
		
		public function execute()
		{	
			global $db, $rel_path, $debug, $timezone, $qb_support;
	// called routine
			$sub_routine = $_REQUEST["routine"];
			switch ($sub_routine)
			{
				case "getclss":	
					$ini = parse_ini_file($rel_path."xml/class.ini", true);					
					$result = json_encode($ini);
					print($result);
					break;
				case "setclss":
				// get old value for log file
					$stmt = $db->prepare("SELECT CLSS FROM qbi WHERE QBN=:qbn");
					$stmt->execute(array(':qbn' => $_REQUEST['qbn']));
					$oc = $stmt->fetch(PDO::FETCH_NUM);			
					$query = "UPDATE qbi SET CLSS=:cls WHERE QBN=:qbn";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn'],
							':cls' => $_REQUEST['cls']
						)
					);
				// write log file
					if ($oc[0] == "") {
						$qb_support->writelog($_REQUEST['qbn'], "A", "HEADER", "QB classification set", $_REQUEST['cls']);	
					} else {
						$qb_support->writelog($_REQUEST['qbn'], "C", "HEADER", "QB classification changed", $_REQUEST['cls'], $oc[0]);	
					}
					break;					
			}
		}
	}
?>