<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;
	
	$routine = new Ratings();
	echo $routine->execute();
	
	class Ratings {
		
		public function __construct() 
		{
		}
		
		public function execute()
		{	
			global $db, $rel_path, $debug, $qb_support;
	// called routine
			$sub_routine = $_REQUEST["routine"];
			switch ($sub_routine)
			{
				case "getratings":	
					$ini = parse_ini_file($rel_path."xml/ratings.ini", true);
					$result = json_encode($ini[$_REQUEST['qblan']]);
					print($result);
					break;
				case "setratings":
					$query = "UPDATE qbi SET RATING=:rtg WHERE QBN=:qbn";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn'],
							':rtg' => $_REQUEST['rtg']
						)
					);
				// write log
					$qb_support->writelog($_REQUEST['qbn'], "C", "CLOSE", "5Why rating changed", $_REQUEST['rtg']);						
					break;					
			}
		}
	}
?>