<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	global $rel_path;	
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;
	
	$routine = new Status();
	echo $routine->execute();
	
	class Status {
		
		public function __construct() 
		{
		}
		
		public function execute()
		{	
			global $db, $debug, $qb_support;
	// called routine
			$sub_routine = $_REQUEST["routine"];
			switch ($sub_routine)
			{
				case "reopen":
					if ($_REQUEST['ns'] == "X") {		// immediately closed
						$query = "UPDATE qb_imp SET SEND_TO_SVT='', DATE_ACC_BY_SVT='', TEAMAPP=0 WHERE QBN=:qbn";
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':qbn' => $_REQUEST['qbn']
							)
						);
						$query = "UPDATE qb_close set CL_DATE='', VG_DATE='', GQ_DATE='', CSTATUS=0 WHERE QBN=:qbn";
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':qbn' => $_REQUEST['qbn']
							)
						);
						$query = "UPDATE qbi SET QBSTATUS='N', BB='', CC='', DDDD='' WHERE QBN=:qbn";
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':qbn' => $_REQUEST['qbn']
							)
						);						
					} else if ($_REQUEST['ns'] == "L") {		// qb-light
						$query = "UPDATE qb_close set CL_DATE='', VG_DATE='', GQ_DATE='', CSTATUS=0 WHERE QBN=:qbn";
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':qbn' => $_REQUEST['qbn']
							)
						);
						$query = "UPDATE qbi SET QBSTATUS='S' WHERE QBN=:qbn";
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':qbn' => $_REQUEST['qbn']
							)
						);						
					} else if ($_REQUEST['ns'] == "S") {		// normal QB to technically closed
						$query = "UPDATE qb_close set CL_DATE='', VG_DATE='', GQ_DATE='', CSTATUS=0 WHERE QBN=:qbn";		
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':qbn' => $_REQUEST['qbn']
							)
						);
						$query = "UPDATE qbi SET QBSTATUS='S' WHERE QBN=:qbn";		
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':qbn' => $_REQUEST['qbn']
							)
						);							
					} else if ($_REQUEST['ns'] == "N") {		// normal QB to open
						$query = "UPDATE qb_imp SET SEND_TO_SVT='', DATE_ACC_BY_SVT='', TEAMAPP=0 WHERE QBN=:qbn";		
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':qbn' => $_REQUEST['qbn']
							)
						);
						$query = "DELETE FROM qb_imp_sts WHERE QBN=:qbn";		
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':qbn' => $_REQUEST['qbn']
							)
						);	
						$query = "UPDATE qb_close set CL_DATE='', VG_DATE='', GQ_DATE='', CSTATUS=0 WHERE QBN=:qbn";			
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':qbn' => $_REQUEST['qbn']
							)
						);
						$query = "UPDATE qbi SET QBSTATUS='O' WHERE QBN=:qbn";	
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':qbn' => $_REQUEST['qbn']
							)
						);							
					}
					$result = "Done";
					return $result;		
					break;
				case "getqbs":
					$query[] = "
						SELECT 
							qbi.QBN as qbn, 
							QBSTATUS AS qbstatus, 
							QBSTATUS AS sts,
							COALESCE(CONCAT(NACHNAME, ' ', VORNAME), 'N/A') AS svt, 
							IF(MNR='0', 'xxxxx-xxxxx', MNR) AS tgr, 
							IF(LIGHT=1,	'L', (IF(TOP=1, 'T', 'N'))) AS qbtype, 
							IF(LIGHT=1,	'L', (IF(TOP=1, 'T', 'N'))) AS qblc, 
							COALESCE((SELECT CONCAT(NACHNAME, ' ', VORNAME) FROM qb_close, qb_user WHERE LOGIN=CLOSEDBY AND qbi.QBN=qb_close.QBN), 'N/A') AS cb1,
							IF(BB='XX', 0, (IF(LIGHT=1, 1, (IF(QBSTATUS='S', 2, 3))))) AS newstatus
						FROM 
							qbbasic, 
							qbi 
						LEFT JOIN 
							qb_user ON LOGIN=SVT 
						WHERE 
							qbbasic.QBN=qbi.QBN AND 
							QBSTATUS IN ('S', 'C')
					";
				// generate order & limit
					$order_str = "ORDER BY " . $_REQUEST['sidx'] . " " . $_REQUEST['sord'];
					$limit_str = " LIMIT " . ($_REQUEST['page']-1)*$_REQUEST['rows'] . ", " . $_REQUEST['rows'];
				// compile query string
					$querystr = $qb_support->makequery(json_encode($query), json_encode($_REQUEST));
				// get total rows first (only query string)
					$stmt = $db->query($querystr);				
					$num_records = $stmt->rowCount();
					$num_pages = ceil($num_records/$_REQUEST['rows']);
				// now get result (query string with iorder and limit)		
					$stmt = $db->query($querystr . " " . $order_str . " " . $limit_str);
					$rows = array();
					while($r = $stmt->fetch(PDO::FETCH_ASSOC)) {
						if (($r['qbtype'] == "L") && ($r['qbstatus'] == "S")) {
						} else if (($r['qbtype'] == "R") && ($r['qbstatus'] == "S")) {
						} else {
							$rows[] = $r;
						}
					}
					$ret = Array();
					$ret['total'] = $num_pages;
					$ret['page'] = $_REQUEST['page'];
					$ret['records'] = $num_records;
					$ret['rows'] = $rows;					
					$result = json_encode($ret);
					return $result;		
					break;
			}
		}
	}
?>								