<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");

	$routine = new Svtcont();
	echo $routine->execute();
	
	class Svtcont {
		
		public function __construct() 
		{
		}
		
		public function execute()
		{	
			global $db, $debug;
	// called routine
			$sub_routine = $_REQUEST["routine"];
			switch ($sub_routine)
			{
				case "quarterly":
					$query = "
						SELECT 
							IF (TOP=1, 'T', IF (LIGHT=1, 'L', 'N')) AS qbtype, 
							IF (TOP=1, 'T', IF (LIGHT=1, 'L', 'N')) AS qblc, 
							qbi.QBN AS qbn, 
							(SELECT LEFT(WGR,4) FROM qb_material WHERE MNR=TGR) AS wgr, 
							(SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE LOGIN=qbi.SVT) AS svt 
						FROM 
							qbi 
						LEFT JOIN 
							qbbasic ON qbi.QBN=qbbasic.QBN 
						LEFT JOIN 
							qb_imp ON qb_imp.QBN=qbi.QBN 
						WHERE 
							MNR<>'0' AND 
							LIGHT=0 AND 
							QBREGDATE<=:sdat AND 
							QBSTATUS NOT IN ('M', 'D') AND 
							(DATE_ACC_BY_SVT >:sdat OR DATE_ACC_BY_SVT='0000-00-00')
						UNION 
						SELECT 
							IF (TOP=1, 'T', IF (LIGHT=1, 'L', 'N')) AS qbtype, 
							IF (TOP=1, 'T', IF (LIGHT=1, 'L', 'N')) AS qblc, 
							qbi.QBN AS qbn, 
							(SELECT LEFT(WGR,4) FROM qb_material WHERE MNR=TGR) AS wgr, 
							(SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE LOGIN=qbi.SVT) AS svt 
						FROM 
							qbi 
						LEFT JOIN 
							qbbasic ON qbi.QBN=qbbasic.QBN 
						WHERE 
							MNR<>'0' AND 
							LIGHT=0 AND 
							QBSTATUS='O' AND 
							qbi.QBN NOT IN (SELECT QBN FROM qb_imp) 
						ORDER BY 
							WGR
					";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':sdat' => $_REQUEST["sdate"]
						)
					);	
					$rows = array();
					while($r = $stmt->fetch(PDO::FETCH_ASSOC)) {
						$rows[] = $r;
					}	
					$result = json_encode($rows);
					return $result;		
					break;
			}
		}			
	}
?>