<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	global $rel_path;	
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;
	
	$routine = new Track();
	echo $routine->execute();
	
	class Track {
		
		public function __construct() 
		{
		}
		
		public function execute()
		{	
			global $db, $debug, $qb_support;
	// called routine
			$sub_routine = $_REQUEST["routine"];
			switch ($sub_routine)
			{
				case "resettrack":
					$query = "
						UPDATE 
							qbi 
						SET 
							TRACK=0, 
							TRACKCOM='' 
						WHERE 
							QBN=:qbn
					";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn']
						)
					);
					$result = "Done";
					return $result;		
					break;			
				case "settrack":
					$query = "
						UPDATE 
							qbi 
						SET 
							TRACK=1, 
							TRACKCOM=:cmt 
						WHERE 
							QBN=:qbn
					";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':cmt' => $_REQUEST['cmnt'],
							':qbn' => $_REQUEST['qbn']
						)
					);
					$result = "Done";
					return $result;		
					break;
				case "newcomment":
					$query = "
						UPDATE 
							qbi 
						SET 
							TRACKCOM=:cmt 
						WHERE 
							QBN=:qbn
					";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':cmt' => $_REQUEST['cmnt'],
							':qbn' => $_REQUEST['qbn']
						)
					);
					$result = "Done";
					return $result;		
					break;					
				case "getlist":
				// define material name language
					$mncol = $qb_support->getLanMat($_REQUEST['qblan']);
					$query[] = "
						SELECT 
							qbi.QBN as qbn, 
							QBSTATUS as qbstatus, 
							QBSTATUS as sts, 
							(SELECT COALESCE(CONCAT(VORNAME, ' ', NACHNAME), 'N/A') FROM qb_user WHERE LOGIN=SVT) AS svt, 
							IF(MNR='0', 'xxxxx-xxxxx', MNR) AS tgr, 
							IF(MNR='0', 'xxxxx-xxxxx', (SELECT TGRBZ_" . $mncol . " FROM qb_material WHERE TGR=MNR)) AS tgr_n,
							qbi.IDX, 
							TRACK AS track, 
							TRACKCOM AS trackcom 
						FROM 
							qbbasic
						LEFT JOIN 
							qbi 
						ON
							qbi.QBN=qbbasic.QBN
						WHERE 
							qbbasic.QBN=qbi.QBN AND 
							QBSTATUS IN ('O', 'N', 'S') 
					";					
				// generate order & limit
					$order_str = "ORDER BY " . $_REQUEST['sidx'] . " " . $_REQUEST['sord'];
					$limit_str = " LIMIT " . ($_REQUEST['page']-1)*$_REQUEST['rows'] . ", " . $_REQUEST['rows'];
				// compile query string
					$querystr = $qb_support->makequery(json_encode($query), json_encode($_REQUEST));
				// get total rows first (only query string)
					$stmt = $db->query($querystr);				
					$num_records = $stmt->rowCount();
					$num_pages = ceil($num_records/$_REQUEST['rows']);
				// now get result (query string with iorder and limit)		
					$stmt = $db->query($querystr . " " . $order_str . " " . $limit_str);
					$rows = array();
					while($r = $stmt->fetch(PDO::FETCH_ASSOC)) {
						$rows[] = $r;
					}
					$ret = Array();
					$ret['total'] = $num_pages;
					$ret['page'] = $_REQUEST['page'];
					$ret['records'] = $num_records;
					$ret['rows'] = $rows;					
					$result = json_encode($ret);
					return $result;		
					break;
			}
		}
	}
?>								