﻿<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	global $rel_path;	
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;

	$routine = new Admin();
	echo $routine->execute();
	
	class Admin {
		
		public function __construct() 
		{
		}
		
		private function searchAllDB($search){
			global $db;
			$out = 0;
			$sql = "show tables";
			$rs = $db->query($sql);
			if($rs->rowCount() > 0){
				while($r = $rs->fetch(PDO::FETCH_NUM)){
					$table = $r[0];
					$sql_search = "select * from ".$table." where ";
					$sql_search_fields = Array();
					$sql2 = "SHOW COLUMNS FROM ".$table;
					$rs2 = $db->query($sql2);
					if($rs2->rowCount() > 0){
						while($r2 = $rs2->fetch(PDO::FETCH_NUM)){
							$colum = $r2[0];
							$sql_search_fields[] = $colum." like('%".$search."%')";
						}
					}
					$sql_search .= implode(" OR ", $sql_search_fields);
					$rs3 = $db->query($sql_search);
					$out += $rs3->rowCount();
				}
			}
			return $out;
		}
		
		public function execute()
		{	
			global $db, $rel_path, $debug, $qb_support;
	// called routine
			if (isset($_REQUEST['routine'])) {
				$sub_routine = $_REQUEST["routine"];
			} else {
				$json = file_get_contents('php://input');
				$obj = json_decode($json, true);
				$sub_routine = $obj["routine"];
			}
			switch ($sub_routine)
			{
				case "getroles":
					$ddr = array();	
					if (!$qb_support->checkflag("Y")) {
						$query = "SELECT ROLE FROM qb_roles WHERE ROLE!='ADMIN' ORDER BY ORDR ASC";
					} else {
						$query = "SELECT ROLE FROM qb_roles ORDER BY ORDR ASC";
					}
					$stmt = $db->query($query);
					while ($r = $stmt->fetch(PDO::FETCH_NUM)) {
						$ddr[] = Array('text'=>$r[0], 'value'=>$r[0], 'help'=> 999999);
					}
					return json_encode($ddr);
					break;
				case "readuser":
					$lng = $_REQUEST['qblan'];
					$ini_language = parse_ini_file($rel_path.'i18n/lang.ini', true);
					$ini_region = parse_ini_file($rel_path.'xml/regions.ini', true);					
					$query = "
						SELECT 
							IDX AS id, 
							NACHNAME AS nachname, 
							VORNAME AS vorname, 
							DEPARTMENT AS department, 
							LOGIN AS login,
							USR AS usr, 
							LANG AS lang, 
							REGION AS region,
							EMAIL as email, 
							IF (PASSWORD <>'',1,0) AS pwr,
							FLAGS as flags,
							ACTIVE AS active
						FROM 
							qb_user 
						ORDER BY " . $_REQUEST['sidx'] . " " .  $_REQUEST['sord'];					
					$stmt = $db->query($query);
					while($r = $stmt->fetch(PDO::FETCH_ASSOC)) {
						if ($r['lang']=="") {
							$r['lang'] = "en";
						} else {
							$r['lang'] = $ini_language[$r['lang']][$lng];
						}
						$r['role'] = $r['usr'];
						$rows[] = $r;
					}
					$result = json_encode($rows);
					return $result;		
					break;
				case "eraseuser":
					if (Admin::searchAllDB($_REQUEST['login']) > 1) {
						$result = "Fail";
					} else {
						$query = "DELETE FROM qb_user WHERE LOGIN=:usr";
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':usr' => $_REQUEST['login']
							)
						);					
						$result = "Done";
					}
					return $result;		
					break;
				case "adminupdate":			
					unset($obj['routine']);
			// check if login is already available
					$query = "SELECT COUNT(*) FROM qb_user WHERE LOGIN=:usr";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':usr' => strtolower($obj['login'])
						)
					);
					if ($stmt->fetchColumn() > 0) {
						http_response_code(409);
						return "";
					} else {
				// no, update tables
					// qb_deputy (2x)
						$query = "UPDATE qb_deputy SET SVT=:new WHERE SVT=:old";
						$stmt = $db->prepare($query);
						$stmt->execute(array(':new' => $obj['login'], ':old' => $obj['old']));
						$query = "UPDATE qb_deputy SET DSVT=:new WHERE DSVT=:old";
						$stmt = $db->prepare($query);
						$stmt->execute(array(':new' => $obj['login'], ':old' => $obj['old']));
					// qb_docdef
						$query = "UPDATE qb_docdef SET VISUM=:new WHERE VISUM=:old";
						$stmt = $db->prepare($query);
						$stmt->execute(array(':new' => $obj['login'], ':old' => $obj['old']));
					// qb_docimm
						$query = "UPDATE qb_docimm SET VISUM=:new WHERE VISUM=:old";
						$stmt = $db->prepare($query);
						$stmt->execute(array(':new' => $obj['login'], ':old' => $obj['old']));
					// qb_imp_sts
						$query = "UPDATE qb_imp_sts SET SU=:new WHERE SU=:old";
						$stmt = $db->prepare($query);
						$stmt->execute(array(':new' => $obj['login'], ':old' => $obj['old']));
					// qb_plchange (3x)
						$query = "UPDATE qb_plchange SET OLDPL=:new WHERE OLDPL=:old";
						$stmt = $db->prepare($query);
						$stmt->execute(array(':new' => $obj['login'], ':old' => $obj['old']));	
						$query = "UPDATE qb_plchange SET NEWPL=:new WHERE NEWPL=:old";
						$stmt = $db->prepare($query);
						$stmt->execute(array(':new' => $obj['login'], ':old' => $obj['old']));	
						$query = "UPDATE qb_plchange SET CHANGER=:new WHERE CHANGER=:old";
						$stmt = $db->prepare($query);
						$stmt->execute(array(':new' => $obj['login'], ':old' => $obj['old']));
					// qb_svtchange (3x)
						$query = "UPDATE qb_svtchange SET OLDSVT=:new WHERE OLDSVT=:old";
						$stmt = $db->prepare($query);
						$stmt->execute(array(':new' => $obj['login'], ':old' => $obj['old']));	
						$query = "UPDATE qb_svtchange SET NEWSVT=:new WHERE NEWSVT=:old";
						$stmt = $db->prepare($query);
						$stmt->execute(array(':new' => $obj['login'], ':old' => $obj['old']));	
						$query = "UPDATE qb_svtchange SET CHANGER=:new WHERE CHANGER=:old";
						$stmt = $db->prepare($query);
						$stmt->execute(array(':new' => $obj['login'], ':old' => $obj['old']));
					// qb_team
						$query = "UPDATE qb_team SET NAME=:new WHERE NAME=:old";
						$stmt = $db->prepare($query);
						$stmt->execute(array(':new' => $obj['login'], ':old' => $obj['old']));
					//  qb_user
						$query = "UPDATE qb_user SET LOGIN=:new, ACTIVE=1 WHERE LOGIN=:old";
						$stmt = $db->prepare($query);
						$stmt->execute(array(':new' => $obj['login'], ':old' => $obj['old']));
					//  qbbasic
						$query = "UPDATE qbbasic SET REQ=:new WHERE REQ=:old";
						$stmt = $db->prepare($query);
						$stmt->execute(array(':new' => $obj['login'], ':old' => $obj['old']));
					//  qbi (2x)
						$query = "UPDATE qbi SET SVT=:new WHERE SVT=:old";
						$stmt = $db->prepare($query);
						$stmt->execute(array(':new' => $obj['login'], ':old' => $obj['old']));
						$query = "UPDATE qbi SET DELEGATE=:new WHERE DELEGATE=:old";
						$stmt = $db->prepare($query);
						$stmt->execute(array(':new' => $obj['login'], ':old' => $obj['old']));
					//  qb_close
						$query = "UPDATE qb_close SET CLOSEDBY=:new WHERE CLOSEDBY=:old";
						$stmt = $db->prepare($query);
						$stmt->execute(array(':new' => $obj['login'], ':old' => $obj['old']));
					//  qb_questions (2x)
						$query = "UPDATE qb_questions SET WHO=:new WHERE WHO=:old";
						$stmt = $db->prepare($query);
						$stmt->execute(array(':new' => $obj['login'], ':old' => $obj['old']));
						$query = "UPDATE qb_questions SET WHO2=:new WHERE WHO2=:old";
						$stmt = $db->prepare($query);
						$stmt->execute(array(':new' => $obj['login'], ':old' => $obj['old']));
					//  qb_doccost
						$query = "UPDATE qb_doccost SET WHO=:new WHERE WHO=:old";
						$stmt = $db->prepare($query);
						$stmt->execute(array(':new' => $obj['login'], ':old' => $obj['old']));
					//  qb_svtmail
						$query = "UPDATE qb_svtmail SET SVT=:new WHERE SVT=:old";
						$stmt = $db->prepare($query);
						$stmt->execute(array(':new' => $obj['login'], ':old' => $obj['old']));							
					}
					$result = "Done";
					return $result;		
					break;
				case "adduser":
			// check if login is already available
					$query = "SELECT COUNT(*) FROM qb_user WHERE LOGIN=:usr";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':usr' => strtolower($obj['login'])
						)
					);
					if ($stmt->fetchColumn() > 0) {
						http_response_code(409);
						return "";
					} else {
						$query = "SELECT FLAGS FROM qb_roles WHERE ROLE='USER'";
						$stmt = $db->query($query);
						$flg = $stmt->fetchColumn();
				// insert as "user"
						$query = "INSERT INTO qb_user (LOGIN, USR, VORNAME, NACHNAME, EMAIL, DEPARTMENT, LANG, REGION, FLAGS, ACTIVE) VALUES 
							(:usr, :role, :vn, :nn, :em, :dep, :lng, :reg, :flg, 1)";	
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':usr' => $obj['login'],
								':role' => 'USER',
								':vn' => $obj['vorname'],
								':nn' => $obj['nachname'],
								':em' => $obj['email'],
								':dep' => $obj['department'],
								':lng' => $obj['lang'],
								':reg' => $obj['region'],
								':flg' => $flg
							)
						);
				// check if forcelogin is enabled
						if ($qb_support->getoptions('forcelogin', 'set') == "yes") {
					// yes, set standard password
							$qb_support->setdefaultpw($obj['login']);
						}
						http_response_code(200);
						return "";
					}
					break;
				case "resetpassword":
          $qb_support->setdefaultpw($_REQUEST['login']);
					$result = "Done";
					return $result;		
					break;
			// update user data		
				case "updateuser":				
				// update user details		
					$query = "UPDATE qb_user SET VORNAME=:vn, NACHNAME=:nn, DEPARTMENT=:dep, EMAIL=:em, LANG=:lng, REGION=:reg, ACTIVE=1 WHERE LOGIN=:usr";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':usr' => $obj['login'],
							':vn' => $obj['vorname'],
							':nn' => $obj['nachname'],
							':em' => $obj['email'],
							':dep' => $obj['department'],
							':lng' => $obj['lang'],
							':reg' => $obj['region']
						)
					);	
					$result = 0;
					return $result;		
					break;					
				case "deleteuser":		
			// is this user a SVT ?
					$query = "SELECT USR FROM qb_user WHERE LOGIN=:usr";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':usr' => $obj['login']
						)
					);	
					if ($stmt->fetchColumn() == "QC-R") {		// yes, user is SVT
				// 1) check if there are still open QB assigned to him
						$query = "SELECT COUNT(*) FROM qbi WHERE SVT=:usr AND QBSTATUS IN ('O', 'S', 'N')";
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':usr' => $obj['login']
							)
						);	
						if ($stmt->fetchColumn() > 0) {		// yes there are -> return and display message
							$result = "Stop";
						} else {	// no, continue deleting
					// 2) set user role to "" and delete password
							$query = "UPDATE qb_user SET USR='', PASSWORD='', SALT='', ACTIVE=0, FLAGS='' WHERE LOGIN=:usr";
							$stmt = $db->prepare($query);
							$stmt->execute(
								array(
									':usr' => $obj['login']
								)
							);	
					// 3) delete from qb_deputy
							$query = "DELETE FROM qb_deputy WHERE SVT=:usr";
							$stmt = $db->prepare($query);
							$stmt->execute(
								array(
									':usr' => $obj['login']
								)
							);	
					// 4) since this SVT might be also PL on some cases assign original SVT as PL
							$query = "UPDATE qb_team LEFT JOIN qbi ON qbi.QBN=qb_team.QBN SET NAME=SVT WHERE NAME=:usr AND ROLLE='PL' AND QBSTATUS IN ('O', 'S')";
							$stmt = $db->prepare($query);
							$stmt->execute(
								array(
									':usr' => $obj['login']
								)
							);		
						}
					} else {
				// 1) if this user is an PL assign SVT as PL
						$query = "UPDATE qb_team LEFT JOIN qbi ON qbi.QBN=qb_team.QBN SET NAME=SVT WHERE NAME=:usr AND ROLLE='PL' AND QBSTATUS IN ('O', 'S')";
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':usr' => $obj['login']
							)
						);	
				// 2) delete user from deputy list
						$query = "DELETE FROM qb_deputy WHERE DSVT=:usr";
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':usr' => $obj['login']
							)
						);	
				// 3) if user was deputy re-assign original SVT
						$query = "UPDATE qbi SET DELEGATE='' WHERE DELEGATE=:usr";
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':usr' => $obj['login']
							)
						);	
				// set user role to "X" and delete password
						$query = "UPDATE qb_user SET USR='', PASSWORD='', SALT='', ACTIVE=0, FLAGS='' WHERE LOGIN=:usr";
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':usr' => $obj['login']
							)
						);
					}
					$result = "Done";
					return $result;		
					break;			
			// update user data		
				case "setrole":
				// get flags assosiated with new role
					$query = "SELECT FLAGS FROM qb_roles WHERE ROLE=:rle";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':rle' => $_REQUEST['role']
						)
					);
					$flags = $stmt->fetchColumn();
					if (strpos($flags, 'V') === FALSE) {
				// check if active QC-R if new role has no "V" flag		
						$query = "
							SELECT 
								COUNT(*) 
							FROM 
								qbi 
							WHERE 
								SVT=:usr AND 
								QBSTATUS NOT IN ('C', 'M', 'D')
						";
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':usr' => $_REQUEST['login']
							)
						);
						$ex = $stmt->fetch(PDO::FETCH_NUM);
						if ($ex[0] > 0) return "noch_qb";
						
					}
				// check if deputy
					$query = "SELECT COUNT(*) FROM qb_deputy WHERE DSVT=:usr";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':usr' => $_REQUEST['login']
						)
					);
					$deputy = $stmt->fetchColumn();
				// if yes add "D" to flags
					if ($deputy > 0) $flags .= "D";
				// now update role							
					$query = "UPDATE qb_user SET FLAGS=:flg, USR=:rle, ACTIVE=1 WHERE LOGIN=:usr";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':usr' => $_REQUEST['login'],
							':flg' => $flags,
							':rle' => $_REQUEST['role']
						)
					);
			// check if password is needed / can be deleted
				// check if forcelogin is enabled
					if ($qb_support->getoptions('forcelogin', 'set') == "yes") {
				// yes, password is needed in any case
					// check if already set
						$query = "SELECT PASSWORD FROM qb_user WHERE LOGIN=:lgi";
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':lgi' => $_REQUEST['login']
							)
						);
						$pwd = $stmt->fetchColumn();
						if ($pwd == "") {
					// no password set, set default password
							$qb_support->setdefaultpw($_REQUEST['login']);
						}
					} else {
					// no, check if password is needed at all
						if (($_REQUEST['role'] == "USER") AND ($deputy == 0)) {
						// user and no deputy -> reset password
							$query = "UPDATE qb_user SET PASSWORD='', SALT='', ACTIVE=1 WHERE LOGIN=:lgi";
							$stmt = $db->prepare($query);
							$stmt->execute(
								array(
									':lgi' => $_REQUEST['login']
								)
							);
						} else {
					// password is needed, check if already set
							$query = "SELECT PASSWORD FROM qb_user WHERE LOGIN=:lgi";
							$stmt = $db->prepare($query);
							$stmt->execute(
								array(
									':lgi' => $_REQUEST['login']
								)
							);
							$pwd = $stmt->fetchColumn();
							if ($pwd == "") {
						// no password set, set default password
                                $qb_support->setdefaultpw($_REQUEST['login']);					
							}
						}
					}
					return "OK";
					break;					
			}
		}
	}
?>