<?php
	include_once (dirname(__file__)."/../templates/db-def.php");
	global $rel_path;
	require_once ($rel_path."support.php");
	$qb_support = new qbsupport;

	$routine = new vote();
	echo $routine->execute();
	
	class vote {
		
		public function __construct() 
		{
		}
		
		public function execute()
		{	
			global $db, $debug, $qb_support, $timezone, $rel_path, $relili;
	// called routine
			$sub_routine = $_REQUEST["routine"];
			switch ($sub_routine)
			{
				case "setteamstatus":
					$query = "SELECT SU FROM qb_close_sts WHERE IDX=:idx";
					$stmt = $db->prepare($query);
					$stmt->execute(array(':idx' => $_REQUEST['idx']));
					$row = $stmt->fetch(PDO::FETCH_NUM);
			// write log
					$qb_support->writelog($_REQUEST['qbn'], "A", "close", $row[0]." voted for closure", $_REQUEST['vte']);				
			// write vote in database				
					$query = "UPDATE qb_close_sts SET ST=:vot, TOKEN='', ANSWER=NOW() WHERE IDX=:idx";							
					$stmt = $db->prepare($query);					
					$test = $stmt->execute(
						array(
							':vot' => $_REQUEST['vte'],
							':idx' => $_REQUEST['idx']
						)
					);
			// check overall status
					$query = "SELECT (SELECT COUNT(*) FROM qb_close_sts WHERE ST='r' AND DEL='' AND QBN=:qbn) AS REJ, (SELECT COUNT(*) FROM qb_close_sts WHERE 
						(ST='A' OR ST='N') AND DEL='' AND QBN=:qbn) AS ACC, (SELECT COUNT(*) FROM qb_close_sts WHERE QBN=:qbn AND DEL='' AND ST<>'S') AS TOT";				
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn']
						)
					);
					$row = $stmt->fetch(PDO::FETCH_NUM);					
					if	(($row[0]*1+$row[1]*1) == $row[2]*1) {				
				// all votes done, now check what to do
						if ($row[1] == $row[2]) {
					// write log
							$qb_support->writelog($_REQUEST['qbn'], "A", "close", "all votes done and positive");							
					// all votes positive, set cstatus to 3 (sent to svt) and inform svt
							$query = "UPDATE qb_close SET CSTATUS=3, VG_DATE=NOW() WHERE QBN=:qbn";
							$stmt = $db->prepare($query);
							$stmt->execute(
								array(
									':qbn' => $_REQUEST['qbn']
								)
							);
					// write log
							$qb_support->writelog($_REQUEST['qbn'], "A", "close", "q-case responsible informed about positive vote", date('y-m-d'));							
					// inform svt
							$ini = parse_ini_file($rel_path.'i18n/close.ini', true);
						// inform svt that a technical closure is requested
							$query = "SELECT EMAIL, VORNAME, LANG FROM QB_USER, QBI WHERE QBN=:qbn AND SVT=LOGIN";
							$stmt = $db->prepare($query);
							$stmt->execute(array(':qbn' => $_REQUEST['qbn']));
							$result = $stmt->fetch(PDO::FETCH_NUM );
						// load template file
							if ($result[2] == "") $result[2] = $qb_support->getoptions('fallbacklang', 'set');
							$template = file_get_contents($rel_path."mail/".$result[2].".voteclose.infosvt_tc.html");
							$template = str_replace('{{username}}', $result[1], $template);
							$template = str_replace('{{qbnummer}}', $_REQUEST['qbn'], $template);
							$template = str_replace('{{qblink}}', $relili . $_REQUEST['qbn'] . "&page=close", $template);
							preg_match('/<title>(.*)<\/title>/iu', $template, $subject);
							$subject = $ini["qbshort"][$_SESSION["lng"]].$_REQUEST['qbn'].": ".$subject[1];
							$qb_support->templatemail($result[0], $subject, $template, "", "voteclose:infosvt_tc");
					// event mailing
							$qb_support->event_mail2("e8", $_REQUEST['qbn']);
						} else {
					// write log
							$qb_support->writelog($_REQUEST['qbn'], "A", "close", "all votes done but not all positive");
					// write log
							$qb_support->writelog($_REQUEST['qbn'], "A", "close", "q-case leader informed about rejection", date('y-m-d'));							
					// not all votes positive, set cstatus to 2
							$query = "UPDATE qb_close SET CSTATUS=2, REJTEAM=REJTEAM+1 WHERE QBN=:qbn";
							$stmt = $db->prepare($query);
							$stmt->execute(
								array(
									':qbn' => $_REQUEST['qbn']
								)
							);
					// not all accepted -> inform pl
							$ini = parse_ini_file($rel_path.'i18n/close.ini', true);						
						// inform pl that the closure is not accepted by all team members
							$query = "SELECT EMAIL, VORNAME, LANG FROM QB_USER LEFT JOIN qb_team ON NAME=LOGIN WHERE QBN=:qbn AND ROLLE='pl'";
							$stmt = $db->prepare($query);
							$stmt->execute(array(':qbn' => $_REQUEST['qbn']));
							$result = $stmt->fetch(PDO::FETCH_NUM );
						// load template file
							if ($result[2] == "") $result[2] = $qb_support->getoptions('fallbacklang', 'set');
							$template = file_get_contents($rel_path."mail/".$result[2].".voteclose.infoplrej.html");
							$template = str_replace('{{username}}', $result[1], $template);
							$template = str_replace('{{qbnummer}}', $_REQUEST['qbn'], $template);
							$template = str_replace('{{qblink}}', $relili . $_REQUEST['qbn'] . "&page=close", $template);
							preg_match('/<title>(.*)<\/title>/iu', $template, $subject);
							$subject = $ini["qbshort"][$_SESSION["lng"]].$_REQUEST['qbn'].": ".$subject[1];
							$qb_support->templatemail($result[0], $subject, $template, "", "voteclose:ifplrej");
					// event mailing
							$qb_support->event_mail2("e8b", $_REQUEST['qbn']);							
						}
					}
					return "done";
					break;
				case "setteamstatus2":
			// reject of vote - send mail to pl
				// load pl
					$query = "SELECT EMAIL, VORNAME FROM QB_USER LEFT JOIN qb_team ON NAME=LOGIN WHERE QBN=:qbn AND ROLLE='PL'";			
					$stmt2 = $db->prepare($query);
					$stmt2->execute(array(':qbn' => $_REQUEST['qbn']));	
					list($sender, $vn) = $stmt2->fetch(PDO::FETCH_NUM);				
					$query = "SELECT VORNAME, EMAIL, LANG FROM QB_USER LEFT JOIN qb_close_sts ON SU=LOGIN WHERE TOKEN=:tkn";		
					$stmt = $db->prepare($query);
					$stmt->execute(array(':tkn' => $_REQUEST['tkn']));
					$result = $stmt->fetch(PDO::FETCH_NUM);
				// load template file
					if ($result[2] == "") $result[2] = $qb_support->getoptions('fallbacklang', 'set');
					$template = file_get_contents($rel_path."mail/".$result[2].".voteclose.rejectclose.html");
					$template = str_replace('{{qbnummer}}', $_REQUEST['qbn'], $template);
					$template = str_replace('{{reason}}', $_REQUEST['cmt'], $template);
					$template = str_replace('{{username}}', $vn, $template);
					$template = str_replace('{{qblink}}', $relili . $_REQUEST['qbn'] . "&page=basic", $template);
					preg_match('/<title>(.*)<\/title>/iu', $template, $subject);
					$subject = "qb".$_REQUEST['qbn'].": ".$subject[1];					
					$qb_support->templatemail($sender, $subject, $template, $result[1], "voteclose:rejectclose");			
			// write vote in database				
					$query = "UPDATE qb_close_sts SET ST=:vot, TOKEN='', ANSWER=NOW() WHERE IDX=:idx";							
					$stmt = $db->prepare($query);					
					$test = $stmt->execute(
						array(
							':vot' => $_REQUEST['vte'],
							':idx' => $_REQUEST['idx']
						)
					);
			// check overall status
					$query = "SELECT (SELECT COUNT(*) FROM qb_close_sts WHERE ST='R' AND DEL='' AND QBN=:qbn) AS REJ, (SELECT COUNT(*) FROM qb_close_sts WHERE 
						(ST='A' OR ST='N') AND DEL='' AND QBN=:qbn) AS ACC, (SELECT COUNT(*) FROM qb_close_sts WHERE QBN=:qbn AND DEL='' AND ST<>'S') AS TOT";				
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn']
						)
					);
					$row = $stmt->fetch(PDO::FETCH_NUM);					
					if	(($row[0]*1+$row[1]*1) == $row[2]*1) {				
				// all votes done, now check what to do
						if ($row[1] == $row[2]) {
					// all votes positive, set cstatus to 3 (sent to svt) and inform svt
							$query = "UPDATE qb_close SET CSTATUS=3, VG_DATE=NOW() WHERE QBN=:qbn";
							$stmt = $db->prepare($query);
							$stmt->execute(
								array(
									':qbn' => $_REQUEST['qbn']
								)
							);
					// inform svt
							$ini = parse_ini_file($rel_path.'i18n/close.ini', true);
						// inform svt that a technical closure is requested
							$query = "SELECT EMAIL, VORNAME, LANG FROM qb_user, QBI WHERE QBN=:qbn AND SVT=LOGIN";
							$stmt = $db->prepare($query);
							$stmt->execute(array(':qbn' => $_REQUEST['qbn']));
							$result = $stmt->fetch(PDO::FETCH_NUM );
						// load template file
							if ($result[2] == "") $result[2] = $qb_support->getoptions('fallbacklang', 'set');
							$template = file_get_contents($rel_path."mail/".$result[2].".voteclose.infosvt_tc.html");
							$template = str_replace('{{username}}', $result[1], $template);
							$template = str_replace('{{qbnummer}}', $_REQUEST['qbn'], $template);
							$template = str_replace('{{qblink}}', $relili . $_REQUEST['qbn'] . "&page=close", $template);
							preg_match('/<title>(.*)<\/title>/iu', $template, $subject);
							$subject = $ini["qbshort"][$_SESSION["lng"]].$_REQUEST['qbn'].": ".$subject[1];
							$qb_support->templatemail($result[0], $subject, $template, "", "voteclose:infosvt_tc");
					// event mailing
							$qb_support->event_mail2("e8", $_REQUEST['qbn']);
						} else {			
					// not all votes positive, set cstatus to 2
							$query = "UPDATE qb_close SET CSTATUS=2, REJTEAM=REJTEAM+1 WHERE QBN=:qbn";
							$stmt = $db->prepare($query);
							$stmt->execute(
								array(
									':qbn' => $_REQUEST['qbn']
								)
							);
					// not all accepted -> inform pl
							$ini = parse_ini_file($rel_path.'i18n/close.ini', true);						
						// inform pl that the closure is not accepted by all team members
							$query = "SELECT EMAIL, VORNAME, LANG FROM qb_user LEFT JOIN QB_TEAM ON NAME=LOGIN WHERE QBN=:qbn AND ROLLE='PL'";
							$stmt = $db->prepare($query);
							$stmt->execute(array(':qbn' => $_REQUEST['qbn']));
							$result = $stmt->fetch(PDO::FETCH_NUM);
						// load template file
							if ($result[2] == "") $result[2] = $qb_support->getoptions('fallbacklang', 'set');
							$template = file_get_contents($rel_path."mail/".$result[2].".voteclose.infoplrej.html");
							$template = str_replace('{{username}}', $result[1], $template);
							$template = str_replace('{{qbnummer}}', $_REQUEST['qbn'], $template);
							$template = str_replace('{{qblink}}', $relili . $_REQUEST['qbn'] . "&page=close", $template);
							preg_match('/<title>(.*)<\/title>/iu', $template, $subject);
							$subject = $ini["qbshort"][$_SESSION["lng"]].$_REQUEST['qbn'].": ".$subject[1];
							$qb_support->templatemail($result[0], $subject, $template, "", "voteclose:ifplrej");
					// event mailing
							$qb_support->event_mail2("e8b", $_REQUEST['qbn']);							
						}
					}
					return "done";
					break;					
			}
		}
	}
?>								