<script>
	<?php
		$wdg = "normalvslight";
		$query = "SELECT DEFS FROM qb_widgets WHERE WIDGET=:wdg";
		$stmt = $db->prepare($query);
		$stmt->execute(array(':wdg'=>$wdg));
		list($WdgDef) = $stmt->fetch(PDO::FETCH_NUM);	
		$WdgDef = json_decode($WdgDef, true);
		$WdgDateRangeDef = (isset($WdgDef['drange']))?$WdgDef['drange']:array();		// allowed daterange
		$WdgHeight = $WdgDef['hgt'];
		$query = "SELECT DASH FROM qb_dashboards WHERE LOGIN=:lgi";
		$stmt = $db->prepare($query);	
		$stmt->execute(array(':lgi'=>$login));
		list($dash) = $stmt->fetch(PDO::FETCH_NUM);
		$dash = json_decode($dash, true);
		$dash = $dash[$wdg];
	?>
	var ctxnormalvslight;
			var normalvslightChartData = {
			labels: [],
			datasets: [
				{
					label: "<?php echo $ini_dashboard['normal'][$_SESSION['lng']]; ?>",
					backgroundColor: "<?php echo $c_scheme['M1'];?>",
					borderColor: "<?php echo $c_scheme['M1'];?>",
					borderWidth: 1,
					data: [],
					fill: false
				},
				{
					label: "<?php echo $ini_dashboard['light'][$_SESSION['lng']]; ?>",
					backgroundColor: "<?php echo $c_scheme['M3'];?>",
					borderColor: "<?php echo $c_scheme['M3'];?>",
					borderWidth: 1,
					data: [],
					fill: false
				}
			]
		}
		$.widget( "custom.wdgnormalvslight", {
		options: {
		},
		_create: function() {
			this.element
				.attr("id", "wdg_normalvslight")
				.css("position", "absolute")
				.css("border", "1px solid <?php echo $c_scheme['RN'];?>")
				.css("background-color", "<?php echo $c_scheme['M5'];?>")
				.css("width", <?php echo $dash['wdt']; ?>)
				.css("height", <?php echo $dash['hgt']; ?>)
				.css("left", <?php echo $dash['lft']; ?>)
				.css("top", <?php echo $dash['top']; ?>)
				.resizable({
					minHeight: 250,
					minWidth: 375,
					stop: function(event, ui){
						$.ajax({
							type: "POST",
							cache: false,
							url:  "./tools/dashboard_api.php",
							data: { 
								routine: "savesize",
								frm: "normalvslight",
								lgi: "<?php echo $login; ?>",
								wdt: Math.floor(ui.size.width),
								hgt: Math.floor(ui.size.height)
							},
							success: function(result)
							{
								$("#normalvslightContainer").css("width",ui.size.width).css("height", ui.size.height - 52);
								normalvslightchart.destroy();
								normalvslightchart = new Chart(ctxnormalvslight, optsnormalvslight);
								if ($("#normalvslightContainer").css("display") == "none") {
									$("#normalvslightContainer").toggle("blind", 1);
									$("#normalvslightFilter").toggle("blind", 1);
								}
							}
						});
					}
				});
			this.element.append('\
				<div id="normalvslightHead" class="hdlne">\
					<span id="normalvslightMenuIcon" title="FILTER" class="ui-icon ui-icon-gear ui-custom2" onclick="$(\'#normalvslightContainer\').toggle(\'blind\', 1);$(\'#normalvslightFilter\').toggle(\'blind\', 1);" ></span>\
					&nbsp;<?php echo $ini_dashboard[$wdg][$_SESSION['lng']]; ?>\
					<span title="SCHLIESSEN" id="normalvslightCloseIcon" class="ui-icon ui-icon-closethick ui-custom" onclick="$(\'#wdg_normalvslight\').remove();" ></span>\
				</div>\
			');
			this.element.draggable({
				containment: "document",
				handle: "#normalvslightHead",
				stop: function(event, ui){
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/dashboard_api.php",
						data: { 
							routine: "saveposition",
							frm: "normalvslight",
							lgi: "<?php echo $login; ?>",
							lft: Math.floor(ui.position.left),
							top: Math.floor(ui.position.top)
						},
						success: function(result)
						{
							if ($("#normalvslightContainer").css("display") == "none") {
								$("#normalvslightContainer").toggle("blind", 1);
								$("#normalvslightFilter").toggle("blind", 1);
							}
						}
					});
				}
			});
			this.element.append('\
				<div id="normalvslightFilter" style="display: none; overflow:hidden; line-height: 25px; height: 225px; background: #FFFFFF;">\
				</div>\
			');
				this.element.find("div:last").append('\
					<label data-type="text" data-lan="range" class="dlabel w100">\
						<?php echo $ini_dashboard['range'][$_SESSION['lng']]; ?>\
					</label>\
					<select id="normalvslightMonthRange" style="width: 50px;" onchange="$Wdg_normalvslight.wdgnormalvslight(\'wdgnormalvslightrefresh\', {\'mode\': \'date\'});">\
					</select>\
					<label data-type="text" data-lan="monate" class="dlabel w75">\
						<?php echo $ini_dashboard['monate'][$_SESSION['lng']]; ?>\
					</label>\
					<br />\
			');
			<?php
				foreach($WdgDateRangeDef as $k=>$v) {
					if ($k==$dash['drange']) {
						echo "$('#normalvslightMonthRange').append('<option selected value=\'".$k."\'>".$v."</option>');";
					} else {
						echo "$('#normalvslightMonthRange').append('<option value=\'".$k."\'>".$v."</option>');";
					}
				}
			?>
			this.element.find("div:last").append('\
				<label data-type="text" data-lan="anzahl" class="dlabel w100">\
					<?php echo $ini_dashboard['klasse'][$_SESSION['lng']]; ?>\
				</label>\
				<select id="normalvslightClss" style="width: 100px;" onchange="$Wdg_normalvslight.wdgnormalvslight(\'wdgnormalvslightrefresh\', {\'mode\': \'klasse\'});">\
				</select>\
				<br />\
			');
			<?php
				foreach($ini_class as $k=>$v) {
					if ($k==$dash['clss']) {
						echo "$('#normalvslightClss').append('<option selected value=\'".$k."\'>".$k."-".$v[$_SESSION['lng']]."</option>');";
					} else {
						echo "$('#normalvslightClss').append('<option value=\'".$k."\'>".$k."-".$v[$_SESSION['lng']]."</option>');";
					}
				}
			?>
			this.element.append('\<div id="normalvslightContainer"></div>');
			$("#normalvslightContainer").css("width",<?php echo $dash['wdt']; ?>).css("height", <?php echo $dash['hgt']-52; ?>).css("overflow-x", "hidden").css("overflow-y", "hidden");
			this.element.find("div:last").append('<canvas style="margin-top: 10px;" id="normalvslightChartCanvas"></canvas>');
			ctxnormalvslight = document.getElementById("normalvslightChartCanvas").getContext("2d");
			this.wdgnormalvslightrefresh({'mode': 'init'});
		},
		wdgnormalvslightrefresh: function(value) {
			if ( value === undefined ) return false;
			if ( value['mode'] === undefined ) return false;
			normalvslightelm = this;
			switch (value['mode']) {
				case "klasse":
				// change class
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/dashboard_api.php",
						data: { 
							routine: "saveclass",
							frm: "normalvslight",
							lgi: "<?php echo $login; ?>",
							clss: $("#normalvslightClss").val()
						},
						success: function(result)
						{
							normalvslightelm._setdata();
						}
					});
					break;
				case "date":
				// change date range
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/dashboard_api.php",
						data: { 
							routine: "savedaterange",
							frm: "normalvslight",
							lgi: "<?php echo $login; ?>",
							range: $("#normalvslightMonthRange").val()
						},
						success: function(result)
						{
							normalvslightelm._setdata();
						}
					});
					break;
				case "init":
					optsnormalvslight = {
						type: 'bar',
						data: normalvslightChartData,
						options: {
							responsive: true,
							legend: {
								display: false,
								position: 'right'
							},
							title: {
								display: false,
								position: 'top',
								text: 'XXX'
							},
							legend: {
								'display':true, 
								'position':'bottom'
							},
							plugins: {
								datalabels: {
									color: 'white',
									display: true,
									formatter: function(value) {
										return value+"%";
									},
									font: {
										weight: 'normal',
										size: 8
									}
								}
							},
							scales: {
								xAxes: [{
									ticks: {
										display: true,
										fontColor: "<?php echo $c_scheme['XN'];?>",
										fontFamily: "Arial",
										fontSize: 8
									},
									scaleLabel: {
										display: true,
										fontColor: "<?php echo $c_scheme['XN'];?>",
										fontFamily: "Arial",
										fontSize: 8,
										labelString: "<?php echo $ini_dashboard['m'][$_SESSION['lng']]; ?>"
									},
									stacked: true
								}],
								yAxes: [{
									ticks: {
										display: true,
										fontColor: "<?php echo $c_scheme['XN'];?>",
										fontFamily: "Arial",
										fontSize: 8,
										beginAtZero: true
									},
									scaleLabel: {
										display: true,
										fontColor: "<?php echo $c_scheme['XN'];?>",
										fontFamily: "Arial",
										fontSize: 8,
										labelString: "<?php echo $ini_dashboard['anzahl'][$_SESSION['lng']]; ?>"
									},
									stacked: true,
								}]
							}
						}
					};
					normalvslightchart = new Chart(ctxnormalvslight, optsnormalvslight);
					normalvslightelm._setdata();
					break;
				case "anzahl":
			// change top 10 to new count
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/dashboard_api.php",
						data: { 
							routine: "savelimitmod",
							frm: "normalvslight",
							lgi: "<?php echo $login; ?>",
							lmt: $("#normalvslightCnt").val()
						},
						success: function(result)
						{
							normalvslightelm._setdata();
						}
					});
					break;
			}
		},
		_setdata: function() {
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./widgets/normalvslight_wdg.php",
				data: { 
					routine: "getdata",
					range: $("#normalvslightMonthRange").val(),
					clss: $("#normalvslightClss").val()
				},
				dataType: "json",
				success: function(result)
				{
					normalvslightChartData.labels = result[0];
					normalvslightChartData.datasets[0].data = result[1].map(Number);
					normalvslightChartData.datasets[1].data = result[2].map(Number);
					normalvslightchart.update();
					if ($("#normalvslightContainer").css("display") == "none") {
						$("#normalvslightContainer").toggle("blind", 1);
						$("#normalvslightFilter").toggle("blind", 1);
					}	
				}
			});
		},
	// destroy element if closed
		_destroy: function() {
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/dashboard_api.php",
				data: { 
					routine: "removewidget",
					frm: "normalvslight",
					lgi: "<?php echo $login; ?>",
				},
				success: function(result)
				{
					$Wdg_normalvslight.remove();
				}
			});
		}
	});
	$Wdg_normalvslight = $("<div></div>").appendTo("body").wdgnormalvslight();
</script>