<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	global $rel_path;	
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;
  
	$routine = new WidgetApi();
	echo $routine->execute();
	
	class WidgetApi {
		
		public function __construct() 
		{
		}
		
		public function execute()
		{	
			global $db, $rel_path;
	// called routine
			$sub_routine = $_REQUEST["routine"];
			switch ($sub_routine)
			{
				case "getdata":
					$fltr = ($_REQUEST['clss'] == "all")?"":" AND CLSS='".$_REQUEST['clss']."'";
					$today = new DateTime();
					$ymde = $today->format('Y-m-d');
					$ymds = $today->sub(new DateInterval('P'.$_REQUEST['range'].'M'))->format('Y-m-d');
					$l = Array();		// lightcases
					$n = Array();		// normal
					$d = Array();		// date
					$query = "
						SELECT 
							DATE_FORMAT(QBREGDATE,'%Y-%m'), 
							(SUM(IF(LIGHT=1,1,0))/(SUM(1))) AS LIGHT, 
							(SUM(IF(LIGHT=0,1,0))/(SUM(1))) AS NORMAL 
						FROM 
							qbi 
						WHERE 
							QBREGDATE>=:from AND 
							QBREGDATE<=:to AND 
							QBSTATUS NOT IN ('D', 'M')
					".$fltr."
						GROUP BY 
							DATE_FORMAT(QBREGDATE,'%Y-%m') 
						ORDER BY 
							DATE_FORMAT(QBREGDATE,'%Y-%m') ASC
					";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':from' => $ymds,
							':to' => $ymde
						)
					);
					$rows = array();
					while($r = $stmt->fetch(PDO::FETCH_NUM)) {
						$l[] = $r[1];
						$n[] = $r[2];
						$d[] = $r[0];
					}	
					$sum = array_sum($l) + array_sum($n);
					foreach($l as $k=>$v) {
						$sum = $l[$k] + $n[$k];
						$l[$k] = floor(($l[$k]/$sum)*10000)/100;
						$n[$k] = floor(($n[$k]/$sum)*10000)/100;
					}
					return json_encode(Array($d, $n, $l));						
					break;
			}
		}		
	}
?>	