<style>
	#gbox_ListOrphans {
		z-index:0;
	}
</style>
<script>
	<?php
		$query = "SELECT DEFS FROM qb_widgets WHERE WIDGET='orphans'";
		$stmt = $db->query($query);
		list($OrphansColDef) = $stmt->fetch(PDO::FETCH_NUM);
		$OrphansColDef = json_decode($OrphansColDef, true);
		$OrphansStpDef = $OrphansColDef['steps'];
		$OrphansColDef = $OrphansColDef['columns'];
		$query = "SELECT DASH FROM qb_dashboards WHERE LOGIN=:lgi";
		$stmt = $db->prepare($query);	
		$stmt->execute(array(':lgi'=>$login));
		list($dash) = $stmt->fetch(PDO::FETCH_NUM);
		$dash = json_decode($dash, true);
		$dash = $dash['orphans'];
		$OrphansSrtDef = $dash['sort'];
		$iniCols = $dash['columns'];
		echo "iniCols = {};";
		foreach ($iniCols AS $k=>$v) {
			echo "iniCols[".$k."] = {'name': '".$v['name']."', 'vis': '".$v['vis']."', 'wdth': '".$v['wdth']."'};";
		}
	?>
	$.widget( "custom.orphans", {
		options: {
			lft: 0,
			top: 0,
			wdt: 200,
			hgt: 500
		},
		_create: function() {
			this.options.wdt = <?php echo $dash['wdt']; ?>;
			this.options.hgt = <?php echo $dash['hgt']; ?>;
			this.options.lft = <?php echo $dash['lft']; ?>;
			this.options.top = <?php echo $dash['top']; ?>;
			this.element
				.attr("id", "wdg_orphans")
				.css("position", "absolute")
				.css("border", "1px solid <?php echo $c_scheme['RN'];?>")
				.css("background-color", "<?php echo $c_scheme['M5'];?>")
				.css("width", <?php echo $dash['wdt']; ?>)
				.css("height", <?php echo $dash['hgt']; ?>)
				.css("left", "<?php echo $dash['lft']; ?>px")
				.css("top", "<?php echo $dash['top']; ?>px")
				.css("overflow", "hidden")
				.resizable({
					minHeight: 200,
					minWidth: 500,
					stop: function(event, ui){
						$.ajax({
							type: "POST",
							cache: false,
							url:  "./tools/dashboard_api.php",
							data: { 
								routine: "savesize",
								frm: "orphans",
								lgi: "<?php echo $login; ?>",
								wdt: Math.floor(ui.size.width),
								hgt: Math.floor(ui.size.height)
							},
							success: function(result)
							{
								$("#OrphansListContainer").css("width",ui.size.width).css("height", ui.size.height - 30);
								$OrphanesList.setGridHeight(ui.size.height - 70, true).setGridWidth(ui.size.width - 3, false).trigger('resize');
								if ($("#OrphansListContainer").css("display") == "none") {
									$("#OrphansListContainer").toggle('blind', 1);
									$("#OrphansFilter").toggle('blind', 1);
								}
							}
						});
					}
				});
			this.element.append('\
				<div id="OrphansHead" class="hdlne">\
					<span id="OrphansMenuIcon" title="<?php echo $ini_dashboard['filter'][$_SESSION['lng']]; ?>" class="ui-icon ui-icon-gear ui-custom2" onclick="$(\'#OrphansListContainer\').toggle(\'blind\', 1);$(\'#OrphansFilter\').toggle(\'blind\', 1);" ></span>\
					&nbsp;<?php echo $ini_dashboard['orphans'][$_SESSION['lng']]; ?>\
					<span id="OrphansCloseIcon" title="<?php echo $ini_dashboard['close'][$_SESSION['lng']]; ?>" class="ui-icon ui-icon-closethick ui-custom" onclick="$(\'#wdg_orphans\').remove();"></span>\
				</div>\
			');
			$("#wdg_orphans").draggable({
				containment: "document",
				handle: "#OrphansHead",
				stop: function(event, ui){
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/dashboard_api.php",
						data: { 
							routine: "saveposition",
							frm: "orphans",
							lgi: "<?php echo $login; ?>",
							lft: Math.floor(ui.position.left),
							top: Math.floor(ui.position.top)
						},
						success: function(result)
						{
							if ($("#OrphansListContainer").css("display") == "none") {
								$("#OrphansListContainer").toggle('blind', 1);
								$("#OrphansFilter").toggle('blind', 1);
							}
						}
					});
				}
			});
			this.element.append('\
				<div id="OrphansFilter" style="display: none; overflow:hidden; line-height: 25px; height: 175px; background: <?php echo $c_scheme['M5'];?>;">\
					<label data-type="text" data-lan="anzahl" class="dlabel w100">\
						<?php echo $ini_dashboard['anzahl'][$_SESSION['lng']]; ?>\
					</label>\
					<select id="OrphanedLimit" class="w150" onchange="$Orphans.orphans(\'orphansrefresh\', {\'mode\': \'limit\'});">\
					</select>\
					<br />\
				</div>\
			');
			<?php		
				foreach($OrphansStpDef as $k=>$v) {
					if ($k=="all") {
						if ($k==$dash['limit']) {
							echo "$('#OrphanedLimit').append('<option selected value=\'".$k."\'>".$ini_dashboard['all'][$_SESSION['lng']]."</option>');";
						} else {
							echo "$('#OrphanedLimit').append('<option value=\'".$k."\'>".$ini_dashboard['all'][$_SESSION['lng']]."</option>');";
						}
					} else {
						if ($k==$dash['limit']) {
							echo "$('#OrphanedLimit').append('<option selected value=\'".$k."\'>".$v."</option>');";
						} else {
							echo "$('#OrphanedLimit').append('<option value=\'".$k."\'>".$v."</option>');";
						}
					}
				}
			?>
			this.element.find("div:last").append('\
				<label data-type="text" data-lan="columns" class="dlabel w100">\
					<?php echo $ini_dashboard['columns'][$_SESSION['lng']]; ?>\
				</label>\
				<select id="OrphanedColumns" class="w150" onchange="$Orphans.orphans(\'orphansrefresh\', {\'mode\': \'table\', \'param\': this.value});">\
					<option value="">...</option>\
				</select>\
				<br />\
			');
			<?php
				foreach($OrphansColDef as $k=>$v) {
					if ($v['name'] != "lastact" )	echo "$('#OrphanedColumns').append('<option value=\'".$v['name']."\'>".$ini_dashboard[$v['name']][$_SESSION['lng']]."</option>');";
				}
			?>
			this.element.find("div:last").append('\
				<label data-type="text" data-lan="anzahl" class="dlabel w100">\
					<?php echo $ini_dashboard['klasse'][$_SESSION['lng']]; ?>\
				</label>\
				<select id="OrphansClss" style="width: 150px;" onchange="$Orphans.orphans(\'orphansrefresh\', {\'mode\': \'klasse\'});">\
				</select>\
			');
			<?php
				foreach($ini_class as $k=>$v) {
					if ($k==$dash['clss']) {
						echo "$('#OrphansClss').append('<option selected value=\'".$k."\'>".$k."-".$v[$_SESSION['lng']]."</option>');";
					} else {
						echo "$('#OrphansClss').append('<option value=\'".$k."\'>".$k."-".$v[$_SESSION['lng']]."</option>');";
					}
				}
			?>
			this.element.append('\
				<div id="OrphansListContainer">\
					<table id="ListOrphans"></table>\
				</div>\
			');
			$("#OrphansListContainer").css("width",this.options.wdt).css("height", this.options.hgt-30).css("overflow-x", "hidden").css("overflow-y", "hidden");					
			this.orphansrefresh({"mode": "init"});
		},
		_colMod: function() {
			var columnNames = $OrphanesList.jqGrid('getGridParam','colModel');
			var $cols = {};
			$.each(columnNames, function(k,v) {
				$cols[k] = {"name": v.name, "vis": v.hidden*1, "wdth": v.width};
			});
	// save data
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/dashboard_api.php",
				data: { 
					routine: "savecolmod",
					frm: "orphans",
					lgi: "<?php echo $login; ?>",
					cols: JSON.stringify($cols)
				},
				success: function(result)
				{
				}
			});
		},
		orphansrefresh: function(value) {
			if (value === undefined) return false;
			if (value['mode'] === undefined) return false;
			orpelm = this;
			switch (value['mode']) {
				case "klasse":
				// change class
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/dashboard_api.php",
						data: { 
							routine: "saveclass",
							frm: "orphans",
							lgi: "<?php echo $login; ?>",
							clss: $("#OrphansClss").val()
						},
						success: function(result)
						{
							$OrphanesList.jqGrid('setGridParam', {postData: {"lmt": $("#OrphanedLimit").val(), "clss": $("#OrphansClss").val()}}).trigger('reloadGrid'); 
							$("#OrphansListContainer").toggle('blind', 1);
							$("#OrphansFilter").toggle('blind', 1);
						}
					});
					break;
				case "limit":
			// save data
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/dashboard_api.php",
						data: { 
							routine: "savelimitmod",
							frm: "orphans",
							lgi: "<?php echo $login; ?>",
							lmt: $("#OrphanedLimit").val()
						},
						success: function(result)
						{
							$OrphanesList.jqGrid('setGridParam', {postData: {"lmt": $("#OrphanedLimit").val(), "clss": $("#OrphansClss").val()}}).trigger('reloadGrid'); 
							$("#OrphansListContainer").toggle('blind', 1);
							$("#OrphansFilter").toggle('blind', 1);
						}
					});
					break;
				case "init":
					obj = {
						url:  "./widgets/orphans_wdg.php",
						postData: {
							routine : "getorphanswidget",
							lmt: $("#OrphanedLimit").val(),
							clss: $("#OrphansClss").val()
						},
						contentType: "application/json",
						datatype: "json",
						jsonReader: {
							id: "id",
							repeatitems: true
						},
						mtype: "POST",
						height: orpelm.options.hgt - 70,
						width: orpelm.options.wdt - 3,
						regional: $globlan,
						sortable: true,
						colModel: [],
						sortIconsBeforeText: true,
						headertitles: true,
						hoverrows: true,
						rownumbers: false,
						sortname: "<?php echo $OrphansSrtDef['col']; ?>",
						sortorder: "<?php echo $OrphansSrtDef['ordr']; ?>",
						sortable: { 
							update: function(permutation) {
								orpelm._colMod();
							}
						},
						resizeStop: function(width, index) {
							orpelm._colMod();
						},
						onRightClickRow: function (rowid, iRow, iCol, e) {
							window.localStorage.setItem("qb", $("#ListOrphans").jqGrid('getRowData', rowid).qbn);
							$.ajax({
								url: "./tools/general_api.php",
								data: {
									routine: "get_qbs",
									qbn: $("#ListOrphans").jqGrid('getRowData', rowid).qbn
								},
								success: function(result) {
									window.localStorage.setItem("qbn", result.substring(1, result.length-1));				
									window.open(
										'./basic.php',
										'_blank'
									);
									return false;
								}		
							});
							return false;
						},
						onSortCol: function (index, columnIndex, sortOrder) {
							$.ajax({
								type: "POST",
								cache: false,
								url:  "./tools/dashboard_api.php",
								data: { 
									routine: "saveorder",
									frm: "orphans",
									lgi: "<?php echo $login; ?>",
									col: index,
									ordr: sortOrder
								},
								success: function(result)
								{
								}
							});
						},
						gridComplete: function() {
							var rows = $("#ListOrphans").getDataIDs();
							for(a=0;a<rows.length;a++)
							{
								row = $("#ListOrphans").getRowData(rows[a]);
								var revsts = Object.keys(qbstatusTranslation).filter(function(key) {return qbstatusTranslation[key][$globlan] == row.sts;})[0];
								switch(revsts) {
									case "N":
										$("#ListOrphans").setCell (rows[a], "sts","",{"background":"<?php echo $c_scheme['SN']; ?>"});
										break;					
									case "O":
										$("#ListOrphans").setCell (rows[a], "sts","",{"background":"<?php echo $c_scheme['SO']; ?>"});
										break;
									case "S":
										$("#ListOrphans").setCell (rows[a], "sts","",{"background":"<?php echo $c_scheme['ST']; ?>"});
										break;
									case "C":
										$("#ListOrphans").setCell (rows[a], "sts","",{"background":"<?php echo $c_scheme['SC']; ?>"});
										break;
								}					
							}						
						}
					}
					$.each(iniCols, function(k,v) {
						obj['colModel'].push({
							label: localTranslation[v.name][$globlan], 
							name: v.name, 
							width: v.wdth,
							hidden: (v.vis==0)?false:true
						});
					});
					$OrphanesList = $("#ListOrphans").jqGrid(obj);
					break;
				case "table":
					if ( value['param'] === undefined ) return false;
					var param = value['param'];
					if (param == "") return false;
					var columnNames = $OrphanesList.jqGrid('getGridParam','colModel');
					var $VisCols = {};
					$.each(columnNames, function(k,v) {
						$VisCols[v.name] = v.hidden;
					});
					if ($VisCols[param]) {
						$OrphanesList.showCol(param).trigger("reloadGrid");
					} else {
						$OrphanesList.hideCol(param).trigger("reloadGrid");
					}
					$("#OrphanedColumns").val("");
					$("#OrphansListContainer").toggle('blind', 1);
					$("#OrphansFilter").toggle('blind', 1);
					orpelm._colMod();
					break;
			}
		},
	// destroy element if closed
		_destroy: function() {
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/dashboard_api.php",
				data: { 
					routine: "removewidget",
					frm: "orphans",
					lgi: "<?php echo $login; ?>"
				},
				success: function(result)
				{
					$Orphans.remove();
				}
			});
		}
	});
	$Orphans = $("<div></div>").appendTo("body").orphans();
</script>