<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	global $rel_path;	
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;
  
	$routine = new OrphansWidget();
	echo $routine->execute();
	
	class OrphansWidget {
		
		public function __construct() 
		{
		}
		
		public function execute()
		{	
			global $db, $rel_path;
	// called routine
			$sub_routine = $_REQUEST["routine"];
			switch ($sub_routine)
			{
				case "getorphanswidget":
					$fltr = ($_REQUEST['clss'] == "all")?"":" AND CLSS='".$_REQUEST['clss']."' ";
					$ini_qbstatus = parse_ini_file($rel_path.'xml/qb_status.ini', true);
					$query = "
						SELECT 
							QBN AS qbn,
							LAST AS lastact,
							(SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE SVT=LOGIN) AS svt,
							(SELECT DEPARTMENT FROM qb_user WHERE SVT=LOGIN) AS dep,
							(SELECT DESCRIPTION FROM qbbasic WHERE qbbasic.QBN=qbi.QBN) AS txt,
							QBSTATUS AS sts
						FROM 
							qbi 
						WHERE 
							QBSTATUS IN ('S', 'O') AND 
							QBN NOT IN 
							(
								SELECT DISTINCT 
									QBN 
								FROM 
									qb_docimm 
								WHERE 
									STAT='OPEN' 
								UNION 
									SELECT 
										QBN 
									FROM 
										qb_docdef 
									WHERE 
										STAT='OPEN'
								UNION 
									SELECT 
										QBN 
									FROM 
										qb_imp 
									WHERE 
										TEAMAPP NOT IN ('0','4')
								UNION
									SELECT 
										QBN 
									FROM 
										qb_val 
									WHERE 
										(CHECK_NEXT_WE=1 AND WE_OK=0) OR 
										(OTHER_TEST !='' AND TEST_OK=0)
								UNION
									SELECT 
										QBN 
									FROM 
										qb_close 
									WHERE 
										CSTATUS NOT IN ('0', '2', '4')								
							)
					".$fltr;
					$order_str = "ORDER BY " . $_REQUEST['sidx'] . " " . $_REQUEST['sord'];
					$limit_str = ($_REQUEST['lmt']=="%")?"":" LIMIT 0," . $_REQUEST['lmt'];
					$stmt = $db->query($query . " " . $order_str . " " . $limit_str);
					$rows = array();
					while($r = $stmt->fetch(PDO::FETCH_ASSOC)) {
						$r['sts'] = $ini_qbstatus[$r['sts']][$_SESSION['lng']];
						$rows[] = $r;
					}	
					$result = json_encode($rows);
					return $result;	
					break;
			}
		}		
	}
?>	