﻿<script>
	<?php
		$query = "SELECT DEFS FROM qb_widgets WHERE WIDGET='regions'";
		$stmt = $db->query($query);
		list($RegionsDef) = $stmt->fetch(PDO::FETCH_NUM);	
		$RegionsDef = json_decode($RegionsDef, true);
		$RegionsDateRangeDef = $RegionsDef['drange'];
		$query = "SELECT DASH FROM qb_dashboards WHERE LOGIN=:lgi";
		$stmt = $db->prepare($query);	
		$stmt->execute(array(':lgi'=>$login));
		list($dash) = $stmt->fetch(PDO::FETCH_NUM);
		$dash = json_decode($dash, true);
		$dash = $dash['regions'];
	?>
	var ctx;
	var RegionsChartData = {
		labels: [],
		datasets: [{
			label: "<?php echo $ini_dashboard['region'][$_SESSION['lng']]; ?>",
			backgroundColor: "<?php echo $c_scheme['M1'];?>",
			borderColor: "<?php echo $c_scheme['M1'];?>",
			borderWidth: 1,
			data: [],
			backgroundColor: ["<?php echo $c_scheme['M1'];?>", "<?php echo $c_scheme['I1'];?>", "<?php echo $c_scheme['I2'];?>"]
		}]
	}
	$.widget( "custom.regions", {
		options: {
			lft: 0,
			top: 0,
			wdt: 550,
			hgt: 250
		},
		_create: function() {
			this.options.wdt = <?php echo $dash['wdt']; ?>;
			this.options.hgt = <?php echo $dash['hgt']; ?>;
			this.options.lft = <?php echo $dash['lft']; ?>;
			this.options.top = <?php echo $dash['top']; ?>;
			this.element
				.attr("id", "wdg_regions")
				.css("position", "absolute")
				.css("border", "1px solid <?php echo $c_scheme['RN'];?>")
				.css("background-color", "<?php echo $c_scheme['M5'];?>")
				.css("width", this.options.wdt)
				.css("height", this.options.hgt)
				.css("left", this.options.lft)
				.css("top", this.options.top)
				.resizable({
					minHeight: 250,
					minWidth: 375,
					stop: function(event, ui){
						$.ajax({
							type: "POST",
							cache: false,
							url:  "./tools/dashboard_api.php",
							data: { 
								routine: "savesize",
								frm: "regions",
								lgi: "<?php echo $login; ?>",
								wdt: Math.floor(ui.size.width),
								hgt: Math.floor(ui.size.height)
							},
							success: function(result)
							{
								$("#RegionsChartContainer").css("width",ui.size.width).css("height", ui.size.height - 52);
								regionschart.destroy();
								regionschart = new Chart(ctx, opts);
								if ($("#RegionsChartContainer").css("display") == "none") {
									$("#RegionsChartContainer").toggle("blind", 1);
									$("#RegionsFilter").toggle("blind", 1);
								}
							}
						});
					}
				});
			this.element.append('\
				<div id="RegionsHead" class="hdlne">\
					<span id="RegionsMenuIcon" title="<?php echo $ini_dashboard['filter'][$_SESSION['lng']]; ?>" class="ui-icon ui-icon-gear ui-custom2" onclick="$(\'#RegionsChartContainer\').toggle(\'blind\', 1);$(\'#RegionsFilter\').toggle(\'blind\', 1);" ></span>\
					&nbsp;<?php echo $ini_dashboard['regions'][$_SESSION['lng']]; ?>\
					<span title="<?php echo $ini_dashboard['close'][$_SESSION['lng']]; ?>" id="RegionsCloseIcon" class="ui-icon ui-icon-closethick ui-custom" onclick="$(\'#wdg_regions\').remove();" ></span>\
				</div>\
			');
			this.element.draggable({
				containment: "document",
				handle: "#RegionsHead",
				stop: function(event, ui){
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/dashboard_api.php",
						data: { 
							routine: "saveposition",
							frm: "regions",
							lgi: "<?php echo $login; ?>",
							lft: Math.floor(ui.position.left),
							top: Math.floor(ui.position.top)
						},
						success: function(result)
						{
							if ($("#RegionsChartContainer").css("display") == "none") {
								$("#RegionsChartContainer").toggle("blind", 1);
								$("#RegionsFilter").toggle("blind", 1);
							}
						}
					});
				}
			});
			this.element.append('\
				<div id="RegionsFilter" style="display: none; overflow:hidden; line-height: 25px; height: 225px; background: <?php echo $c_scheme['M5'];?>;">\
					<label data-type="text" data-lan="range" class="dlabel w100">\
						<?php echo $ini_dashboard['range'][$_SESSION['lng']]; ?>\
					</label>\
					<select id="RegionsMonthRange" style="width: 150px;" onchange="$Regions.regions(\'regionsrefresh\', {\'mode\': \'date\'});">\
					</select>\
					<label data-type="text" data-lan="monate" class="dlabel w75">\
						<?php echo $ini_dashboard['monate'][$_SESSION['lng']]; ?>\
					</label>\
					<br />\
				</div>\
			');
			<?php
				foreach($RegionsDateRangeDef as $k=>$v) {
					if ($k==$dash['drange']) {
						echo "$('#RegionsMonthRange').append('<option selected value=\'".$k."\'>".$v."</option>');";
					} else {
						echo "$('#RegionsMonthRange').append('<option value=\'".$k."\'>".$v."</option>');";
					}
				}
			?>
			this.element.find("div:last").append('\
				<label data-type="text" data-lan="anzahl" class="dlabel w100">\
					<?php echo $ini_dashboard['klasse'][$_SESSION['lng']]; ?>\
				</label>\
				<select id="RegionsClss" style="width: 150px;" onchange="$Regions.regions(\'regionsrefresh\', {\'mode\': \'klasse\'});">\
				</select>\
				<br />\
			');
			<?php
				foreach($ini_class as $k=>$v) {
					if ($k==$dash['clss']) {
						echo "$('#RegionsClss').append('<option selected value=\'".$k."\'>".$k."-".$v[$_SESSION['lng']]."</option>');";
					} else {
						echo "$('#RegionsClss').append('<option value=\'".$k."\'>".$k."-".$v[$_SESSION['lng']]."</option>');";
					}
				}
			?>
			this.element.find("div:last").append('\
				<label data-type="text" data-lan="anzahl" class="dlabel w100">\
					<?php echo $ini_dashboard['scale'][$_SESSION['lng']]; ?>\
				</label>\
				<select id="RegionChartStyle" style="width: 150px;" onchange="$Regions.regions(\'regionsrefresh\', {\'mode\': \'style\'});">\
					<option <?php if ($dash['style'] == 'a') echo ' selected '; ?> value="a"><?php echo $ini_dashboard['abs'][$_SESSION['lng']]; ?></option>\
					<option <?php if ($dash['style'] == 'r') echo ' selected '; ?>value="r"><?php echo $ini_dashboard['rel'][$_SESSION['lng']]; ?></option>\
				</select>\
				<br />\
			');
			this.element.append('\
				<div id="RegionsChartContainer">\
					<canvas style="margin-top: 10px;" id="RegionsChartCanvas"></canvas>\
				</div>\
			');
			$("#RegionsChartContainer").css("width",this.options.wdt).css("height", this.options.hgt-52).css("overflow-x", "hidden").css("overflow-y", "hidden");
			ctx = document.getElementById("RegionsChartCanvas").getContext("2d");
			this.regionsrefresh({'mode': 'init'});
		},
		regionsrefresh: function(value) {
			if ( value === undefined ) return false;
			if ( value['mode'] === undefined ) return false;
			regelm = this;
			switch (value['mode']) {
				case "style":
				// change style
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/dashboard_api.php",
						data: { 
							routine: "savestyle",
							frm: "regions",
							lgi: "<?php echo $login; ?>",
							style: $("#RegionChartStyle").val()
						},
						success: function(result)
						{
							regelm._setdata();
						}
					});
					break;
				case "klasse":
				// change class
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/dashboard_api.php",
						data: { 
							routine: "saveclass",
							frm: "regions",
							lgi: "<?php echo $login; ?>",
							clss: $("#RegionsClss").val()
						},
						success: function(result)
						{
							regelm._setdata();
						}
					});
					break;
				case "date":
				// change date range
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/dashboard_api.php",
						data: { 
							routine: "savedaterange",
							frm: "regions",
							lgi: "<?php echo $login; ?>",
							range: $("#RegionsMonthRange").val()
						},
						success: function(result)
						{
							regelm._setdata();
						}
					});
					break;
				case "init":
					opts = {
						type: 'doughnut',
						data: RegionsChartData,
						options: {
							responsive: true,
							title: {
								display: false,
								position: 'top',
								text: 'Regionen'
							},
							options: {
								responsive: true,
								legend: {
									display: false,
									position: 'right'
								},
								title: {
									display: false,
									position: 'top',
									text: 'Region Verteilung'
								},
								animation: {
										animateScale: true,
										animateRotate: true
								}
							},
							legend: {
								'display':true, 
								'position':'bottom'
							},
							plugins: {
								datalabels: {
									color: 'white',
									display: true,
									formatter: function(value) {
										if ($("#RegionChartStyle").val()=='r') {
											return value+"%";
										} else {
											return value;
										}
									}
/*
									display: function(context) {
										var dataset = context.dataset;
										var count = dataset.data.length;
										var value = dataset.data[context.dataIndex];
										return value > count * 1.5;
*/
								},
								font: {
									weight: 'bold'
								}
							}
						}
					};
					regionschart = new Chart(ctx, opts);
					regelm._setdata();
					break;
			}
		},
		_setdata: function() {
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./widgets/regions_wdg.php",
				data: { 
					routine: "getregionswidget",
					range: $("#RegionsMonthRange").val(),
					clss: $("#RegionsClss").val(),
					style: $("#RegionChartStyle").val()
				},
				dataType: "json",
				success: function(result)
				{
					RegionsChartData.labels = result[0];
					RegionsChartData.datasets[0].data = result[1].map(Number);
					regionschart.update();
					if ($("#RegionsChartContainer").css("display") == "none") {
						$("#RegionsChartContainer").toggle("blind", 1);
						$("#RegionsFilter").toggle("blind", 1);
					}	
				}
			});
		},
	// destroy element if closed
		_destroy: function() {
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/dashboard_api.php",
				data: { 
					routine: "removewidget",
					frm: "regions",
					lgi: "<?php echo $login; ?>"
				},
				success: function(result)
				{
					$Regions.remove();
				}
			});
		}
	});
	$Regions = $("<div></div>").appendTo("body").regions();
</script>