<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	global $rel_path;	
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;
  
	$routine = new TopTenWidget();
	echo $routine->execute();
	
	class TopTenWidget {
		
		public function __construct() 
		{
		}
		
		public function execute()
		{	
			global $db;
	// called routine
			$sub_routine = $_REQUEST["routine"];
			switch ($sub_routine)
			{
				case "gettoptenwidget":
					$today = new DateTime();
					$edat = $today->format('Y-m-d');
					$sdat = $today->sub(new DateInterval('P'.$_REQUEST['range'].'M'))->format('Y-m-d');
					$fltr = ($_REQUEST['clss'] == "all")?"":" AND CLSS='".$_REQUEST['clss']."' ";
					$query = "
						SELECT 
							MNR, 
							COUNT(MNR) AS TOP 
						FROM 
							qbi, 
							qbbasic 
						WHERE 
							qbi.QBN=qbbasic.QBN AND 
							QBREGDATE>='".$sdat."' AND 
							QBREGDATE<='".$edat."'
							AND MNR <> 0 AND 
							QBSTATUS NOT IN ('M', 'D')
					".$fltr."
						GROUP BY 
							MNR 
						ORDER BY 
							TOP DESC 
						LIMIT 
							0, ".$_REQUEST['lim']."
					";
					$stmt = $db->query($query);
					$label = array();
					$vals = array();
					while($r = $stmt->fetch(PDO::FETCH_ASSOC)) {
						$label[] = $r['MNR'];
						$vals[] = $r['TOP'];
					}
					return json_encode(array($label, $vals));
					break;
			}
		}		
	}
?>	