﻿<script>
	<?php
		$wdg = "verlauf";
		$query = "SELECT DEFS FROM qb_widgets WHERE WIDGET=:wdg";
		$stmt = $db->prepare($query);
		$stmt->execute(array(':wdg'=>$wdg));
		list($WdgDef) = $stmt->fetch(PDO::FETCH_NUM);	
		$WdgDef = json_decode($WdgDef, true);
		$WdgAnalysisGroup = (isset($WdgDef['group']))?$WdgDef['group']:array();			// grouping quarter / month
		$WdgDateRangeDef = (isset($WdgDef['drange']))?$WdgDef['drange']:array();		// allowed daterange
		$WdgHeight = $WdgDef['hgt'];
		$query = "SELECT DASH FROM qb_dashboards WHERE LOGIN=:lgi";
		$stmt = $db->prepare($query);	
		$stmt->execute(array(':lgi'=>$login));
		list($dash) = $stmt->fetch(PDO::FETCH_NUM);
		$dash = json_decode($dash, true);
		$dash = $dash[$wdg];
	?>
	var ctxverlauf;
	var verlaufChartData = {
		labels: [],
		datasets: [
		{
			label: "<?php echo $ini_dashboard['new'][$_SESSION['lng']]; ?>",
			backgroundColor: "<?php echo $c_scheme['M1'];?>",
			borderColor: "<?php echo $c_scheme['M1'];?>",
			borderWidth: 1,
			data: [],
			fill: false
		},
		{
			label: "<?php echo $ini_dashboard['closed'][$_SESSION['lng']]; ?>",
			backgroundColor: "<?php echo $c_scheme['M3'];?>",
			borderColor: "<?php echo $c_scheme['M3'];?>",
			borderWidth: 1,
			data: [],
			fill: false
		},
		{
			label: "<?php echo $ini_dashboard['open'][$_SESSION['lng']]; ?>",
			backgroundColor: "<?php echo $c_scheme['I1'];?>",
			borderColor: "<?php echo $c_scheme['I1'];?>",
			borderWidth: 1,
			data: [],
			fill: false
		}
		]
	}
	$.widget( "custom.wdgverlauf", {
		options: {
		},
		_create: function() {
			this.element
				.attr("id", "wdg_verlauf")
				.css("position", "absolute")
				.css("border", "1px solid <?php echo $c_scheme['RN'];?>")
				.css("background-color", "<?php echo $c_scheme['M5'];?>")
				.css("width", <?php echo $dash['wdt']; ?>)
				.css("height", <?php echo $dash['hgt']; ?>)
				.css("left", <?php echo $dash['lft']; ?>)
				.css("top", <?php echo $dash['top']; ?>)
				.resizable({
					minHeight: 250,
					minWidth: 400,
					stop: function(event, ui){
						$.ajax({
							type: "POST",
							cache: false,
							url:  "./tools/dashboard_api.php",
							data: { 
								routine: "savesize",
								frm: "verlauf",
								lgi: "<?php echo $login; ?>",
								wdt: Math.floor(ui.size.width),
								hgt: Math.floor(ui.size.height)
							},
							success: function(result)
							{
								$("#verlaufContainer").css("width",ui.size.width).css("height", ui.size.height - 52);
								verlaufchart.destroy();
								verlaufchart = new Chart(ctxverlauf, optsverlauf);
								if ($("#verlaufContainer").css("display") == "none") {
									$("#verlaufContainer").toggle("blind", 1);
									$("#verlaufFilter").toggle("blind", 1);
								}
							}
						});
					}
				});
			this.element.append('\
				<div id="verlaufHead" class="hdlne">\
					<span id="verlaufMenuIcon" title="FILTER" class="ui-icon ui-icon-gear ui-custom2" onclick="$(\'#verlaufContainer\').toggle(\'blind\', 1);$(\'#verlaufFilter\').toggle(\'blind\', 1);" ></span>\
					&nbsp;VERLAUF\
					<span title="SCHLIESSEN" id="verlaufCloseIcon" class="ui-icon ui-icon-closethick ui-custom" onclick="$(\'#wdg_verlauf\').remove();" ></span>\
				</div>\
			');
			this.element.draggable({
				containment: "document",
				handle: "#verlaufHead",
				stop: function(event, ui){
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/dashboard_api.php",
						data: { 
							routine: "saveposition",
							frm: "verlauf",
							lgi: "<?php echo $login; ?>",
							lft: Math.floor(ui.position.left),
							top: Math.floor(ui.position.top)
						},
						success: function(result)
						{
							if ($("#verlaufContainer").css("display") == "none") {
								$("#verlaufContainer").toggle("blind", 1);
								$("#verlaufFilter").toggle("blind", 1);
							}
						}
					});
				}
			});
			this.element.append('\
				<div id="verlaufFilter" style="display: none; overflow:hidden; line-height: 25px; height: 225px; background: #FFFFFF;">\
				</div>\
			');
			this.element.find("div:last").append('\
				<label data-type="text" data-lan="range" class="dlabel w100">\
					<?php echo $ini_dashboard['range'][$_SESSION['lng']]; ?>\
				</label>\
				<select id="verlaufMonthRange" style="width: 50px;" onchange="$Wdg_verlauf.wdgverlauf(\'wdgverlaufrefresh\', {\'mode\': \'date\'});">\
				</select>\
				<label data-type="text" data-lan="monate" class="dlabel w75">\
					<?php echo $ini_dashboard['monate'][$_SESSION['lng']]; ?>\
				</label>\
				<br />\
			');
			<?php
				foreach($WdgDateRangeDef as $k=>$v) {
					if ($k==$dash['drange']) {
						echo "$('#verlaufMonthRange').append('<option selected value=\'".$k."\'>".$v."</option>');";
					} else {
						echo "$('#verlaufMonthRange').append('<option value=\'".$k."\'>".$v."</option>');";
					}
				}
			?>
			this.element.find("div:last").append('\
				<label data-type="text" data-lan="groups" class="dlabel w100">\
					<?php echo $ini_dashboard['groups'][$_SESSION['lng']]; ?>\
				</label>\
				<select id="verlaufGroup" class="w150" onchange="$Wdg_verlauf.wdgverlauf(\'wdgverlaufrefresh\', {\'mode\': \'group\'});">\
					<option value="">...</option>\
				</select>\
				<br />\
			');
			<?php
				foreach($WdgAnalysisGroup as $k=>$v) {
					if ($k==$dash['group']) {
						echo "$('#verlaufGroup').append('<option selected value=\'".$k."\'>".$ini_dashboard[$v][$_SESSION['lng']]."</option>');";
					} else {
						echo "$('#verlaufGroup').append('<option value=\'".$k."\'>".$ini_dashboard[$v][$_SESSION['lng']]."</option>');";
					}
				}
			?>
			this.element.find("div:last").append('\
				<label data-type="text" data-lan="anzahl" class="dlabel w100">\
					<?php echo $ini_dashboard['klasse'][$_SESSION['lng']]; ?>\
				</label>\
				<select id="verlaufClss" style="width: 100px;" onchange="$Wdg_verlauf.wdgverlauf(\'wdgverlaufrefresh\', {\'mode\': \'klasse\'});">\
				</select>\
				<br />\
			');
			<?php
				foreach($ini_class as $k=>$v) {
					if ($k==$dash['clss']) {
						echo "$('#verlaufClss').append('<option selected value=\'".$k."\'>".$k."-".$v[$_SESSION['lng']]."</option>');";
					} else {
						echo "$('#verlaufClss').append('<option value=\'".$k."\'>".$k."-".$v[$_SESSION['lng']]."</option>');";
					}
				}
			?>
			this.element.append('\<div id="verlaufContainer"></div>');
			$("#verlaufContainer").css("width",<?php echo $dash['wdt']; ?>).css("height", <?php echo $dash['hgt']-52; ?>).css("overflow-x", "hidden").css("overflow-y", "hidden");
			this.element.find("div:last").append('<canvas style="margin-top: 10px;" id="verlaufChartCanvas"></canvas>');
			ctxverlauf = document.getElementById("verlaufChartCanvas").getContext("2d");
			this.wdgverlaufrefresh({'mode': 'init'});
		},
		wdgverlaufrefresh: function(value) {
			if ( value === undefined ) return false;
			if ( value['mode'] === undefined ) return false;
			verlaufelm = this;
			switch (value['mode']) {
				case "group":
				// change group
					verlaufelm._setdata();
					break;
				case "klasse":
				// change class
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/dashboard_api.php",
						data: { 
							routine: "saveclass",
							frm: "verlauf",
							lgi: "<?php echo $login; ?>",
							clss: $("#verlaufClss").val()
						},
						success: function(result)
						{
							verlaufelm._setdata();
						}
					});
					break;
				case "date":
				// change date range
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/dashboard_api.php",
						data: { 
							routine: "savedaterange",
							frm: "verlauf",
							lgi: "<?php echo $login; ?>",
							range: $("#verlaufMonthRange").val()
						},
						success: function(result)
						{
							verlaufelm._setdata();
						}
					});
					break;
				case "init":
					optsverlauf = {
						type: 'line',
						data: verlaufChartData,
						options: {
							responsive: true,
							title: {
								display: false,
								position: 'top',
								text: 'XXX'
							},
							plugins: {
								datalabels: {
									display: false
								}
							},
							scales: {
								xAxes: [{
									ticks: {
										display: true,
										fontColor: "<?php echo $c_scheme['XN'];?>",
										fontFamily: "Arial",
										fontSize: 8
									},
									scaleLabel: {
										display: true,
										fontColor: "<?php echo $c_scheme['XN'];?>",
										fontFamily: "Arial",
										fontSize: 8,
										labelString: "<?php echo $ini_dashboard[$dash['group']][$_SESSION['lng']]; ?>"
									}
								}],
								yAxes: [{
									ticks: {
										display: true,
										fontColor: "<?php echo $c_scheme['XN'];?>",
										fontFamily: "Arial",
										fontSize: 8,
										beginAtZero: true
									},
									scaleLabel: {
										display: true,
										fontColor: "<?php echo $c_scheme['XN'];?>",
										fontFamily: "Arial",
										fontSize: 8,
										labelString: "<?php echo $ini_dashboard['anzahl'][$_SESSION['lng']]; ?>"
									}
								}]
							},
							legend: {
								'display':true, 
								'position':'bottom'
							}
						}
					};
					verlaufchart = new Chart(ctxverlauf, optsverlauf);
					verlaufelm._setdata();
					break;
				case "anzahl":
			// change top 10 to new count
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/dashboard_api.php",
						data: { 
							routine: "savelimitmod",
							frm: "verlauf",
							lgi: "<?php echo $login; ?>",
							lmt: $("#verlaufCnt").val()
						},
						success: function(result)
						{
							verlaufelm._setdata();
						}
					});
					break;
			}
		},
		_setdata: function() {
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./widgets/verlauf_wdg.php",
				data: { 
					routine: "getdata",
					lim: $("#verlaufCnt").val(),
					range: $("#verlaufMonthRange").val(),
					clss: $("#verlaufClss").val(),
					grp: $("#verlaufGroup").val()
				},
				dataType: "json",
				success: function(result)
				{
					verlaufChartData.labels = result[0];
					verlaufChartData.datasets[0].data = result[1].map(Number);
					verlaufChartData.datasets[1].data = result[2].map(Number);
					verlaufChartData.datasets[2].data = result[3].map(Number);
					verlaufchart.update();
					if ($("#verlaufContainer").css("display") == "none") {
						$("#verlaufContainer").toggle("blind", 1);
						$("#verlaufFilter").toggle("blind", 1);
					}	
				}
			});
		},
	// destroy element if closed
		_destroy: function() {
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/dashboard_api.php",
				data: { 
					routine: "removewidget",
					frm: "verlauf",
					lgi: "<?php echo $login; ?>"
				},
				success: function(result)
				{
					$Wdg_verlauf.remove();
				}
			});
		}
	});
	$Wdg_verlauf = $("<div></div>").appendTo("body").wdgverlauf();
</script>