<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />		
	<?php
		include_once(dirname(__FILE__)."/tools/all_header.php");
		global $c_scheme, $timezone, $rel_path;
		if (strpos($_SESSION['fg'], "C") === false) header("Location: basic.php");
	?>
	<script>
		var js_debug = false;
		$data_changed = false;		
	</script>
	
    <title>Cost Controlling</title>

	<link rel="stylesheet" href="./css/qb.php" />
	<link rel="stylesheet" href="./jqGrid_5.2.1/css/ui.jqgrid.css" />
	<link rel="stylesheet" href="./jqplot/jquery.jqplot.css" />
	
	<style>
		.jqplot-highlighter-tooltip, .jqplot-canvasOverlay-tooltip {
			background: <?php echo $c_scheme['GB']; ?>;
		}
		.jqplot-point-label {
			color: <?php echo $c_scheme['GT']; ?>;
		}
		.ui-jqgrid tr.jqgrow td {
			white-space:nowrap;
			height: 18px !important;
		}
		#pager_left{
			padding-top: 5px;
		}			
	</style>
	
	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>
	
	<script src="./jqplot/jquery.jqplot.min.js"></script>
	<script src="./jqplot/plugins/jqplot.barRenderer.min.js"></script>
	<script src="./jqplot/plugins/jqplot.pieRenderer.min.js"></script>
	<script src="./jqplot/plugins/jqplot.categoryAxisRenderer.min.js"></script>
	<script src="./jqplot/plugins/jqplot.highlighter.min.js"></script>
	<script src="./jqplot/plugins/jqplot.boxplotRenderer.js"></script>
	<script src="./jqplot/plugins/jqplot.pointLabels.min.js"></script>
    <script src="./jqplot/plugins/jqplot.canvasTextRenderer.min.js"></script>
    <script src="./jqplot/plugins/jqplot.canvasAxisLabelRenderer.min.js"></script>
	<script src="./jqplot/plugins/jqplot.enhancedLegendRenderer.min.js"></script>
    <script src="./jqplot/plugins/jqplot.canvasAxisTickRenderer.min.js"></script>
	<script src="./jqplot/plugins/jqplot.canvasOverlay.min.js"></script>
	
	<?php 
		foreach(explode(":", $qb_support->getLanOnly()) as $key=>$value) {
			echo '<script src="./jqGrid_5.2.1/js/i18n/grid.locale-' . $value . '.js"></script>';
		}
	?>
	<script src="./jqGrid_5.2.1/js/jquery.jqGrid.min.js"></script>
	
	<script>
	// load translation and save in localTranslation
		<?php	
			$ini_acostcont = parse_ini_file($rel_path.'i18n/a_costcont.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_acostcont as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$ini_qbstatus = parse_ini_file($rel_path.'xml/qb_status.ini', true);
			$ddr = ":".$ini_acostcont['all'][$_SESSION['lng']];			
			echo "qbstatusTranslation = {};";
			foreach($ini_qbstatus as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "qbstatusTranslation['".$key."']={".rtrim($add, ',')."};";
				if (in_array($key, array('N','O','S','C'))) {
					$ddr .= ";".$key.":".$value[$_SESSION['lng']];
				}				
			}
			echo "var ddr = '".$ddr."';";
			$ini_costart = parse_ini_file($rel_path.'xml/cost_art.ini', true);
			$ddc = ":".$ini_acostcont['all'][$_SESSION['lng']];
			echo "costartTranslation = {};";
			foreach($ini_costart as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "costartTranslation['".$key."']={".rtrim($add, ',')."};";
				$ddc .= ";".$key.":".$value[$_SESSION['lng']];
			}
			echo "var ddc = '".$ddc."';";			
		?>
	</script>
</head>
<body>
	<ul id="contextMeasure" class="CustomContext" style="display:none;position:absolute"></ul>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
			<?php 
				echo "<div id='mainnav'>". $qb_support->get_main_menu(3) . "</div>";
			?>
			<div class="dtop">
				<span data-type="span" data-lan="f_cost"><?php echo $ini_acostcont['f_cost'][$_SESSION['lng']]; ?></span>
			</div>
			<div style="display: inline-block; margin-left: 5px; margin-top: 5px; vertical-align: top;">
				<table id="list"></table>
				<div id="pager2"></div> 
				<span class="dlabel vam w75" style="text-align: right;" data-type="span" data-lan="sum"><?php echo $ini_acostcont['sum'][$_SESSION['lng']]; ?></span>
				<span class="dlabel vam w100" style="text-align: right; margin-left: 20px; padding-right: 2px;" id="qbsum" ></span>
				<span class="dlabel vam w50" id="refcur" ><?php echo $qb_support->getOptions("refcurrency", "display"); ?></span>
				<span id="pdfimg" class="icn2_pdf_b_n clckbtn vam" title="<?php echo $ini_acostcont['pdf'][$_SESSION['lng']]; ?>" data-type="title" data-lan="pdf" onclick="print_cost();"></span>
				<span id="gotoimg" class="icn_goto_b_n clckbtn vam" title="<?php echo $ini_acostcont['goto_qb'][$_SESSION['lng']]; ?>" data-type="title" data-lan="goto_qb" onclick="goto_qb();"></span>
			</div>
	<!-- container for chart -->
			<div id="chartdiv" style="height:280px; width:630px; display: inline-block; margin-left: 5px; margin-top: 5px;vertical-align: top;"></div>
			<div style="margin: 5px 0px 0px 5px;">			
				<table id="list2"></table>
				<div id="pager"></div> 
			</div>
		</div>
		<?php include_once($rel_path.'footer.php'); ?> 		
	</div>
	<script>
		cmTemplate2 = {
			editable: false,
			sorttype:'string',
			searchoptions: {
				sopt:['cn'], 
				clearSearch: false
			}
		};
		obj2 = {
			url:  "./tools/a_costcont_api.php",
			postData: {
				routine: ""
			},
			contentType: "application/json",
			datatype: "json",
			jsonReader: {
				id: "id",
				repeatitems: true
			},
			mtype: "POST",
			colNames: [
				localTranslation["date"][$globlan],
				localTranslation["grund"][$globlan],
				localTranslation["art"][$globlan],
				localTranslation["menge"][$globlan],
				localTranslation["sum"][$globlan]+"<?php echo ' (' . $qb_support->getOptions("refcurrency", "display") . ')'; ?>", 
				localTranslation["currency"][$globlan],
				localTranslation["factor"][$globlan],
				localTranslation["link"][$globlan]		
			],
			colModel: [
				{ 
					name: "datum", 
					template: cmTemplate2,
					width: 90
				},
				{
					name: "grund", 
					template: cmTemplate2,
					width: 250,
					formatter: grundformatter
				},
				{ 
					name: "art",
					template: cmTemplate2,
					width: 130,
					stype: 'select',					
					searchoptions:
					{
						value: ddc
					},						
					formatter: CArtFormatter
				},
				{ 
					name: "menge", 
					template: cmTemplate2,
					width: 70,
					align: "right",
					sorttype: 'number'
				},
				{
					name: "cost", 
					template: cmTemplate2,
					width: 105,
					align: "right",
					sorttype: 'number',
					formatter: CurFormatter
				},
				{ 
					name: "cur",
					template: cmTemplate2,
					width: 80,
					align: "right"
				},
				{
					name: "factor", 
					template: cmTemplate2,
					width: 60,
					align: "right",
					search: false,
					formatter: CurFormatter
				},
				{ 
					name: "links",
					template: cmTemplate2,
					width: 140,
					search: false
				}				
			],
			regional: $globlan,
			storeNavOptions : true,			
			loadonce: false,
			pager: "#pager",
			recordpos: "left",
			height: 165,
			rowNum: 10,
			rowList: [10, 100, 500, 1000, 1500],
			hoverrows: false,
			rownumbers: true,
			sortname: "datum",
			sortorder: "desc",
			viewrecords: true,
			gridview: true,
			autoencode: true,
			ignoreCase:true,
			loadui: "block",
			hidegrid: false,
			caption: localTranslation["details"][$globlan],
			onSelectRow: function(rowid, status, e) {
				var $lnk = $("#list2").jqGrid ('getCell', rowid, 'links');	
				if ($lnk == "") return false;
				var $qbn = $("#list2").jqGrid('getGridParam', 'caption').split(" ")[1];
				msrs = $lnk.split(",");	
				if (msrs.length == 1) {
			// if count == 1 go directly to document
					window.open('./files/'+$qbn+'/'+msrs[0], '_blank');
				} else {
					$("#contextMeasure").empty();
					$.each(msrs, function(){						
						$("#contextMeasure").append("<span class='icn_arrow_x_n'></span><li qb='"+$qbn+"' data='"+$.trim(this)+"'>"+$.trim(this)+"</li><br />");					
					});
					$("#contextMeasure")
						.css("top", e.pageY-20)
						.css("left", e.pageX-50)
						.show();
					$('#contextMeasure').one('mouseleave', function(){
//						$(this).hide();
					});							
				}				
			},
			onRightClickRow: function () {
				return false;
			}			
		};
		list2 = $("#list2").jqGrid(obj2)
			.jqGrid('filterToolbar',{searchOperators : false, searchOnEnter: false})
			.jqGrid('navGrid', '#pager', {refresh: false, search: false, edit: false, del: false, add: false});

		$("#contextMeasure").click(function (e) {
			if (!$(e.target).is("li")) {
			  return;
			} else {	
				window.open('./files/'+$(e.target).attr("qb")+'/'+$(e.target).attr("data"), '_blank');
			}
		});
		
		function load_page() {	
			fill_summary();
			costabs();
		}
		function c_lan() {
			translate_header($globlan);	
			translate_mainmenu($globlan);
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {			
				switch ($(this).data("type")) {
					case "text":		
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "date":
						$(this).val(localizedate($($(this).data("lan")).val()));
						break;						
				}
			});
			c_selRowId = $("#list").jqGrid ('getGridParam', 'selrow');	
			$.jgrid.setRegional('list',{regional: $globlan});
			$("#list").jqGrid('setLabel', "qbn", localTranslation["qbn"][$globlan])
				.jqGrid('setLabel', "total", localTranslation["costs"][$globlan])
				.jqGrid('setLabel', "sts", localTranslation["status"][$globlan]);	
			$("#list").trigger("reloadGrid");
			if (c_selRowId != null) {
				setTimeout(function(){
					$("#list").jqGrid('setSelection', c_selRowId, false);
				}, 500);
			}
			
			$.jgrid.setRegional('list2',{regional: $globlan});
			$("#list2").jqGrid('setLabel', "datum", localTranslation["date"][$globlan])
				.jqGrid('setLabel', "grund", localTranslation["grund"][$globlan])
				.jqGrid('setLabel', "art", localTranslation["art"][$globlan])	
				.jqGrid('setLabel', "menge", localTranslation["menge"][$globlan])
				.jqGrid('setLabel', "cost", localTranslation["sum"][$globlan]+" ("+$("#refcur").text()+")")
				.jqGrid('setLabel', "cur", localTranslation["currency"][$globlan])	
				.jqGrid('setLabel', "factor", localTranslation["factor"][$globlan])
				.jqGrid('setLabel', "link", localTranslation["link"][$globlan])
				.jqGrid('setCaption', localTranslation["details"][$globlan]+" "+$("#list2").jqGrid('getGridParam', 'caption').split(" ")[1]);
				
			$.each($('*').filter(function(){return $(this).data('lan') !== undefined;}), function() {
				$("#gs_sts").find("option").each(function(idx, obj) {
					if ($(this).val() == "") {
						$(this).text(localTranslation["all"][$globlan]);
					} else {
						$(this).text(qbstatusTranslation[$(this).val()][$globlan]);
					}
				});	
				$("#gs_art").find("option").each(function(idx, obj) {
					if ($(this).val() == "") {
						$(this).text(localTranslation["all"][$globlan]);
					} else {
						$(this).text(costartTranslation[$(this).val()][$globlan]);
					}
				});			
			});
			
			plot1.replot({
				axes:{
					yaxis:{
						label: localTranslation["costs"][$globlan]
					}
				},
				title: {
					text: localTranslation["costs_t15"][$globlan]
				}
			});					
		}
		function QBStatusFormatter (cellvalue, options, rowObject) {
			return qbstatusTranslation[cellvalue][$globlan];
		}
		function CurFormatter (cellvalue, options, rowObject) {
			return $.number(cellvalue, 2, "<?php echo $qb_support->getOptions("refcurrency", "decimals"); ?>", "<?php echo $qb_support->getOptions("refcurrency", 'thousands'); ?>");
		}
		function CArtFormatter (cellvalue, options, rowObject) {
			return costartTranslation[cellvalue][$globlan];
		}
		function fill_summary() {	
			$("#loading").show();
			cmTemplate = {
				editable: false,
				sorttype:'string',
				searchoptions: {
					sopt:['cn'], 
					clearSearch: false
				}
			};
			obj = {
				url:  "./tools/a_costcont_api.php",
				postData: {routine : "getcost"},
				contentType: "application/json",
				datatype: "json",
				jsonReader: {
					id: "id",
					repeatitems: true
				},
				mtype: "POST",
				colNames: [
					localTranslation["qbn"][$globlan],
					localTranslation["costs"][$globlan],
					localTranslation["status"][$globlan],
					"",
					""
				],
				colModel: [
					{ 
						name: "qbn", 
						template: cmTemplate,
						width: 80
					},
					{
						name: "total", 
						template: cmTemplate,
						width: 90,
						align: "right",
						sorttype: 'number',
						formatter: CurFormatter
					},
					{ 
						name: "status",
						template: cmTemplate,
						width: 130,
						stype: 'select',					
						searchoptions:
						{
							value: ddr
						},						
						formatter: QBStatusFormatter
					},
					{ 
						name: "sts",
						hidden: true
					},
					{ 
						name: "total2",
						hidden: true
					}					
				],
				regional: $globlan,
				storeNavOptions: true,			
				loadonce: false,
				pager: "#pager2",
				recordpos: "left",			
				height: 200,
				rowNum: 100,
				rowList: [10, 100, 500, 1000, 1500],
				hoverrows: false,
				rownumbers: true,
				sortname: "total",
				sortorder: "desc",
				gridview: true,
				autoencode: true,
				ignoreCase:true,
				loadui: "block",
				viewrecords: true,
				loadComplete: function() {
					$("th[role='columnheader']")
						.unbind("mouseenter")
						.unbind("mouseleave");
					$("#pager2_right").remove();
					$("#pager2_center").css("width", "240px");
					
					var rows = $("#list").getDataIDs();
					for(a=0;a<rows.length;a++)
					{
						row = $("#list").getRowData(rows[a]);
						switch(row.sts) {
							case "N":
								$("#list").setCell (rows[a], "status","",{"background":"<?php echo $c_scheme['SN']; ?>"});
								break;					
							case "O":
								$("#list").setCell (rows[a], "status","",{"background":"<?php echo $c_scheme['SO']; ?>"});
								break;
							case "S":
								$("#list").setCell (rows[a], "status","",{"background":"<?php echo $c_scheme['ST']; ?>"});
								break;
							case "C":
								$("#list").setCell (rows[a], "status","",{"background":"<?php echo $c_scheme['SC']; ?>"});
								break;							
						}
					}
					fill_sum();	
				},
				gridComplete: function(data) {
					$(".ui-search-toolbar input[role='textbox']")
						.css("width", "92%")
						.css("background", "<?php echo $c_scheme['M5']; ?>")
						.css("padding", "2px");
					$(".ui-search-toolbar select[role='select']")
						.removeClass("ui-corner-all")
						.css("background", "<?php echo $c_scheme['M5']; ?>")
						.css("padding", "2px");
				},			
				onSelectRow: function(rowid, status, e) {
					var $qbn = $("#list").jqGrid ('getCell', rowid, 'qbn');
					$("#list2").setGridParam({datatype:'json', postData: {routine : "getdetails", qbn: $qbn}}).trigger('reloadGrid');
					$("#list2").jqGrid('setCaption', localTranslation["details"][$globlan]+" "+$qbn);
				}			
			};
			list1 = $("#list").jqGrid(obj)
				.jqGrid('filterToolbar',{searchOperators : false, searchOnEnter: false});
			$("#loading").hide();
		}
		function costabs() {
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/a_costcont_api.php",
				data: { 
					routine: "getchart"
				},
				dataType: "json",
				success: function(result)
				{			
					optionObj = {
						captureRightClick: true,
						grid:{shadow:false, borderWidth:1.0},
						axesDefaults: {
							tickRenderer: $.jqplot.CanvasAxisTickRenderer ,
							tickOptions: {
							  fontSize: '8pt'
							}
						},					
						axes:{
							yaxis:{
								min:0, 
								tickOptions: {formatString:  '%d'},
								label: localTranslation["costs"][$globlan],
								labelRenderer: $.jqplot.CanvasAxisLabelRenderer,
								labelOptions:{
									angel: 90,
									textColor: "<?php echo $c_scheme['GT']; ?>"
								}							
							},
							xaxis:{
								min:0, 
								max: result[1].length,
								tickOptions: {
									formatString: '%d',
									angle: -30,
									fontSize: '8pt',
									fontFamily:'Helvetica'
								},							
								tickRenderer:$.jqplot.CanvasAxisTickRenderer, 
								renderer:$.jqplot.CategoryAxisRenderer,
								ticks: result[1]
							}				
						},
						grid: 
						{         
							gridLineWidth: 2.5,         
							gridLineColor: "<?php echo $c_scheme['GG']; ?>",         
							drawGridlines: true,
							shadow:false, 
							borderWidth:1.0,
							background: "<?php echo $c_scheme['GB']; ?>"
						},
						highlighter: { 
							show: true,
							tooltipContentEditor: function (str, seriesIndex, pointIndex, plot) {
								var html = '<table class="jqplot-highlighter">';
								html += '<tr><td>'+$.number(plot.data[seriesIndex][pointIndex], 2, "<?php echo $qb_support->getOptions("refcurrency", 'decimals'); ?>", "<?php echo $qb_support->getOptions("refcurrency", 'thousands'); ?>")+' <?php echo $qb_support->getOptions("refcurrency", 'display'); ?></td></tr>';
								html += '</table>';
								return html;
							}
						},
						title:{
							text: localTranslation["costs_t15"][$globlan],
							fontSize: '10pt',
							fontFamily:'Arial'
						},
						seriesDefaults:{
							renderer:$.jqplot.BarRenderer,
							rendererOptions: {
								highlightMouseOver: false,
								barMargin: 5,
								shadowDepth: 0,
								varyBarColor: true							
							},
							pointLabels: { 
								show: false
							}					
						},					
						seriesColors: [ "<?php echo $c_scheme['G1']; ?>", "<?php echo $c_scheme['G2']; ?>"]
					};
					plot1 = $.jqplot('chartdiv', [result[0]], optionObj);			
				}
			});
		}
		function grundformatter (cellvalue, options, rowObject) {
			var regex = /<br\s*[\/]?>/gi;
			return cellvalue.replace(regex, "");
		}
		function fill_sum() {
			rows = $("#list").getDataIDs();
			var $sum = 0;		
			for(a=0;a<rows.length;a++)
			{
				$row = $("#list").getRowData(rows[a]);
				$sum += parseFloat($row.total2);
			}
			$("#qbsum").text($.number($sum, 2, "<?php echo $qb_support->getOptions("refcurrency", 'decimals'); ?>", "<?php echo $qb_support->getOptions("refcurrency", 'thousands'); ?>"));
		}
		function print_cost() {
			selRowId = $("#list").jqGrid ('getGridParam', 'selrow');
			if (selRowId == null) {
				return false;							
			} else {
				var $qbn = $("#list").jqGrid ('getCell', selRowId, 'qbn');
				window.open("./tools/print_costs.php?qblan="+$globlan+"&qb="+$qbn, "_blank");
			}	
		}
		function goto_qb() {
			selRowId = $("#list").jqGrid ('getGridParam', 'selrow');
			if (selRowId == null) {
				return false;							
			} else {
				var $qbn = $("#list").jqGrid ('getCell', selRowId, 'qbn');
				window.sessionStorage.setItem("qb", $qbn);
				window.location.href = "./basic.php";
			}		
		}
		load_page();
	</script>
</body>
</html>
