<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<?php 
		if (!isset($_REQUEST['s'])) header("Location: a_fclass.php");		// safety feature if login on details page -> go to main page 
		include_once(dirname(__FILE__)."/tools/all_header.php"); global $c_scheme, $timezone, $rel_path; 
	?>
	<script>
		var js_debug = false;
		$data_changed = false;		
	</script>
	
    <title>Failure Class Details</title>
	
	<link rel="stylesheet" href="./css/qb.php" />
	<link rel="stylesheet" href="./jqplot/jquery.jqplot.css" />
	
	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>
	
	<script src="./jqplot/jquery.jqplot.min.js"></script>
	<script src="./jqplot/plugins/jqplot.barRenderer.min.js"></script>
	<script src="./jqplot/plugins/jqplot.pieRenderer.min.js"></script>
	<script src="./jqplot/plugins/jqplot.categoryAxisRenderer.min.js"></script>
	<script src="./jqplot/plugins/jqplot.boxplotRenderer.js"></script>
	<script src="./jqplot/plugins/jqplot.pointLabels.min.js"></script>
    <script src="./jqplot/plugins/jqplot.canvasTextRenderer.min.js"></script>
    <script src="./jqplot/plugins/jqplot.canvasAxisLabelRenderer.min.js"></script>
	<script src="./jqplot/plugins/jqplot.enhancedLegendRenderer.min.js"></script>
    <script src="./jqplot/plugins/jqplot.canvasAxisTickRenderer.min.js"></script>
	<script src="./jqplot/plugins/jqplot.canvasOverlay.min.js"></script>	

	<script>
	// load translation and save in localTranslation
		<?php	
			$ini_afclass = parse_ini_file($rel_path.'i18n/a_fclass.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_afclass as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$cal = parse_ini_file($rel_path.'i18n/calendar.ini', true);
			echo "calTranslation = {};";
			foreach($cal as $key=>$value){
				$add = "";
				if ($value['tpe'] == "S") {
					foreach($value AS $lan=>$trans){
						if ($lan != "tpe") $add .= "'".$lan."':'".$trans."',";
					}
				} else {
					foreach($value AS $lan=>$trans){
						if ($lan != "tpe") {
							$tar = explode(",", $trans);
							$tar = implode("','", $tar);
							$add .= "'".$lan."': ['".$tar."'],";
						}
					}				
				}
				echo "calTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$ini_fcodes_cc = parse_ini_file($rel_path.'xml/fc_cc.ini', true);
			echo "fcccTranslation = {};";
			foreach($ini_fcodes_cc as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "fcccTranslation['".$key."']={".rtrim($add, ',')."};";
			}				
			$ini_fcodes_dd = parse_ini_file($rel_path.'xml/fc_dd.ini', true);
			echo "fcddTranslation = {};";
			foreach($ini_fcodes_dd as $key=>$value){
				$add = "";
				foreach($value as $key2=>$value2){				
					if (!is_array($value2)) {					
						$add .= "'".$key2."':'".$value2."',";
					} else {
						$add2 = "";					
						foreach($value2 as $key3=>$value3) {
							$add2 .= "'".$key3."':'".$value3."',";
						}
						echo "fcddTranslation['".$key.substr($key2, 1)."']={".rtrim($add2, ',')."};";
					}
				}
				echo "fcddTranslation['".$key."']={".rtrim($add, ',')."};";
			}				
		?>
	</script>
</head>
<body>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
			<?php 
				echo "<div id='mainnav'>". $qb_support->get_main_menu(2) . "</div>";
			?>
			<div class="dtop">
				<span class="icn3_arraoleft_w_n clckbtn" style="float: left; font-size: 30px; margin-left: 5px;" data-type="title" data-lan="prev" title="<?php echo $ini_afclass['prev'][$_SESSION['lng']]; ?>" onclick="backtoanalysis()"></span>
				<span data-type="spand" data-lan="fclass_details"><?php echo $ini_afclass['fclass_details'][$_SESSION['lng']]." ".$_REQUEST['cc']." (".$ini_fcodes_cc[$_REQUEST['cc']][$_SESSION['lng']].")"; ?></span>
			</div>
			<div id="btn_div" class="btn_div">
				<p>
					<label class="dlabel vam w50" data-type="text" data-lan="start" ><?php echo $ini_afclass['start'][$_SESSION['lng']]; ?></label>
					<input type="text" id="sdat" data-type="date" data-lan="#sdat_org" class="dinputw vam w75" value="" readonly />
					<input type="hidden" id="sdat_org" value="<?php echo $_REQUEST['s']; ?>" />
				</p>
				<p style="margin: 5px 0;">
					<label class="dlabel vam w50" data-type="text" data-lan="ende" ><?php echo $ini_afclass['ende'][$_SESSION['lng']]; ?></label>
					<input type="text" id="edat" data-type="date" data-lan="#edat_org" class="dinputw vam w75" value="" readonly />
					<input type="hidden" id="edat_org" value="<?php echo $_REQUEST['e']; ?>" />
				</p>
			</div>			
		<!-- container for chart -->
			<div id="chartdiv" style="display: inline-block; height:600px; width:805px; margin-top: 0px; margin-left: 5px;"></div>
			<input type="hidden" id="fc" value="<?php echo $_REQUEST['cc']; ?>" />
			<input type="hidden" id="clss" value="<?php echo $_REQUEST['cl']; ?>" />	
		</div>
		<?php include_once($rel_path.'footer.php'); ?> 		
	</div>
	<script>
		$("#sdat").val(localizedate("<?php echo $_REQUEST['s']; ?>"));
		$("#edat").val(localizedate("<?php echo $_REQUEST['e']; ?>"));
		
		function load_page() {
			show_data();
		}
	// switch language
		function c_lan() {
			translate_header($globlan);	
			translate_mainmenu($globlan);
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {			
				switch ($(this).data("type")) {
					case "text":		
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "date":
						$(this).val(localizedate($($(this).data("lan")).val()));
						break;	
					case "spand":
						$(this).text(localTranslation["fclass_details"][$globlan]+" "+$("#fc").val()+" ("+fcccTranslation[$("#fc").val()][$globlan]+")");
						break;
				}
			});		
			$nfd = Array();
			$.each(plot2.axes.yaxis.ticks, function(key, value) {
				var $dd = value.substr(value.length - 5, 4);
				$nfd.push(fcddTranslation[$dd][$globlan]+" ("+$dd+")");	
			});
			plot2.replot({
				axes:{
					yaxis:{
						ticks: $nfd
					}
				}						
			});
		}
		function backtoanalysis() {
			window.location.href = "./a_fclass.php";
		}
		function show_data() {
			$("#chartdiv").empty();
			$.ajax({
				type: "GET",
				cache: false,
				url:  "./tools/a_fclass_api.php",
				data: { 
					routine: "details",
					qblan: $globlan,
					sdate: $("#sdat_org").val(),
					edate: $("#edat_org").val(),
					cc: $("#fc").val(),
					clss: $("#clss").val()
				},
				dataType: "json",
				success: function(result)
				{			
					if (result[0].length == 0) {
						$("#chartdiv").append('<p data-type="text" data-lan="no_data" style="text-align: center; font: bold 11pt Arial; color: <?php echo $c_scheme['IW']; ?>;margin-top: 130px;">'+localTranslation["no_data"][$globlan]+'</p>');
						$("#loading").hide();
					} else {				
						qbresult = result;			
						optionObj = {
							captureRightClick: true,
							axes:{
								yaxis:{
									renderer: $.jqplot.CategoryAxisRenderer,
									ticks: qbresult[0], 
									tickOptions: {
										fontSize: '8pt',
										fontFamily:'Helvetica'
									}							
								}
							},				
							seriesDefaults:{
								renderer:$.jqplot.BarRenderer,
								rendererOptions: {
									varyBarColor: true,
									shadow: false, 
									barWidth: 30,
									barDirection: 'horizontal',
									highlightMouseOver: false
								},
								pointLabels: { 
									show: true, 
									location: 'e', 
									hideZeros: true
								}				
							},
							grid: 
							{         
								gridLineWidth: 1.5,          
								gridLineColor: "<?php echo $c_scheme['GG']; ?>",         
								drawGridlines: true,
								shadow:false, 
								borderWidth:1.0,
								background: "<?php echo $c_scheme['GB']; ?>"
							},						
							seriesColors: [ "<?php echo $c_scheme['G1']; ?>", "<?php echo $c_scheme['G2']; ?>"]
						};
						$('#chartdiv').unbind('jqplotMouseDown').bind('jqplotMouseDown', function (ev, seriesIndex, pointIndex, data) {
							if (data == null) return;
							window.location.href = "a_fclass_table.php?cc="+$("#fc").val()+"&dd="+qbresult[2][data['pointIndex']]+"&s="+$("#sdat_org").val()+"&e="+$("#edat_org").val()+"&cl="+$("#clss").val();		
						});					
						plot2 = $.jqplot('chartdiv', [qbresult[1]], optionObj);
					}
				}
			});				
		}
		load_page();
	</script>
</body>
</html>
