<!DOCTYPE html>
<html>
	<head>
		<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />	
		<?php include_once(dirname(__FILE__)."/tools/all_header.php"); global $c_scheme, $timezone, $rel_path; ?>
		
		<title>FC Report</title>

		<link rel="stylesheet" href="./css/qb.php" />
		<link rel="stylesheet" href="./jqGrid_5.2.1/css/ui.jqgrid.css" />

		<style>
			.ui-jqgrid tr.jqgrow td{
				white-space:nowrap;
				height: 18px !important;
			}
			#pager_left{
				padding-top: 5px;
			}			
		</style>
		
		<script src="./jquery/jquery.min.js"></script>
		<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
		<script src="./jquery/jquery-ui.min.js"></script>
		<script src="./jquery/qb_js.js"></script>
		
		<?php 
			foreach(explode(":", $qb_support->getLanOnly()) as $key=>$value) {
				echo '<script src="./jqGrid_5.2.1/js/i18n/grid.locale-' . $value . '.js"></script>';
			}
		?>
		<script src="./jqGrid_5.2.1/js/jquery.jqGrid.min.js"></script>	
		
		<?php
			$query = "
				SELECT 
					DATE_FORMAT(NOW(), '%Y-%m-%d'), 
					DATEDIFF(MAX(QBREGDATE), NOW()), 
					DATEDIFF(MIN(QBREGDATE), NOW()),
					MIN(QBREGDATE),
					MAX(QBREGDATE),
					IF (DATEDIFF(MAX(QBREGDATE), MIN(QBREGDATE)) > 365, DATE_SUB(MAX(QBREGDATE), INTERVAL 365 DAY), MIN(QBREGDATE))
				FROM 
					qbi 
				WHERE 
					QBSTATUS = 'C'
			";
			$stmt = $db->query($query);
			list($now, $diffmax, $diffmin, $min, $max, $lmin) = $stmt->fetch(PDO::FETCH_NUM );
		?>
		<script>
		// load translation and save in localTranslation
			<?php	
				$ini_afcreport = parse_ini_file($rel_path.'i18n/a_fcreport.ini', true);	
				echo "localTranslation = {};";
				foreach($ini_afcreport as $key=>$value){
					$add = "";
					foreach($value AS $lan=>$trans){
						$add .= "'".$lan."':'".$trans."',";
					}
					echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
				}
				$ini_class = parse_ini_file($rel_path.'xml/class.ini', true);
				$ini_class['all']=$ini_afcreport['all'];
				echo "classTranslation = {};";
				foreach($ini_class as $key=>$value){
					$add = "";
					foreach($value AS $lan=>$trans){
						$add .= "'".$lan."':'".$trans."',";
					}
					echo "classTranslation['".$key."']={".rtrim($add, ',')."};";
				}	
				$cal = parse_ini_file($rel_path.'i18n/calendar.ini', true);
				echo "calTranslation = {};";
				foreach($cal as $key=>$value){
					$add = "";
					if ($value['tpe'] == "S") {
						foreach($value AS $lan=>$trans){
							if ($lan != "tpe") $add .= "'".$lan."':'".$trans."',";
						}
					} else {
						foreach($value AS $lan=>$trans){
							if ($lan != "tpe") {
								$tar = explode(",", $trans);
								$tar = implode("','", $tar);
								$add .= "'".$lan."': ['".$tar."'],";
							}
						}				
					}
					echo "calTranslation['".$key."']={".rtrim($add, ',')."};";
				}
				$ini_fcodes_bb = parse_ini_file($rel_path.'xml/fc_bb.ini', true);
				$fcb = ":".$ini_afcreport['all'][$_SESSION['lng']];			
				echo "fcbbTranslation = {};";
				foreach($ini_fcodes_bb as $key=>$value){
					$add = "";
					foreach($value as $key2=>$value2){				
						if (!is_array($value2)) {					
							$add .= "'".$key2."':'".$value2."',";
						} else {
							$add2 = "";					
							foreach($value2 as $key3=>$value3) {
								$add2 .= "'".$key3."':'".$value3."',";
							}
							echo "fcbbTranslation['".$key.substr($key2, 1)."']={".rtrim($add2, ',')."};";
						}
					}
					echo "fcbbTranslation['".$key."']={".rtrim($add, ',')."};";
					$fcb .= ";".$key.":".$key."_-".$value[$_SESSION['lng']];
				}
				echo "var fcb = '".$fcb."';";
				$ini_fcodes_cc = parse_ini_file($rel_path.'xml/fc_cc.ini', true);
				$fcc = ":".$ini_afcreport['all'][$_SESSION['lng']];	
				echo "fcccTranslation = {};";
				foreach($ini_fcodes_cc as $key=>$value){
					$add = "";
					foreach($value AS $lan=>$trans){
						$add .= "'".$lan."':'".$trans."',";
					}
					echo "fcccTranslation['".$key."']={".rtrim($add, ',')."};";
					$fcc .= ";".$key.":".$key."-".$value[$_SESSION['lng']];
				}	
				echo "var fcc = '".$fcc."';";				
				$ini_fcodes_dd = parse_ini_file($rel_path.'xml/fc_dd.ini', true);
				$fcd = ":".$ini_afcreport['all'][$_SESSION['lng']];	
				echo "fcddTranslation = {};";
				foreach($ini_fcodes_dd as $key=>$value){
					$add = "";
					foreach($value as $key2=>$value2){				
						if (!is_array($value2)) {					
							$add .= "'".$key2."':'".$value2."',";
						} else {
							$add2 = "";					
							foreach($value2 as $key3=>$value3) {
								$add2 .= "'".$key3."':'".$value3."',";
							}
							echo "fcddTranslation['".$key.substr($key2, 1)."']={".rtrim($add2, ',')."};";
						}
					}
					echo "fcddTranslation['".$key."']={".rtrim($add, ',')."};";
					$fcd .= ";".$key.":".$key."-".$value[$_SESSION['lng']];
				}
				echo "var fcd = '".$fcd."';";				
			?>
		</script>
	</head>
	<body>
		<div id="container">
			<?php 
				include_once($rel_path.'tools/header.php');
			?> 
			<div id="contents">
				<?php 
					echo "<div id='mainnav'>". $qb_support->get_main_menu(2) . "</div>";
				?>
				<div class="dtop">
					<span class="icn3_arraoleft_w_n clckbtn" style="float: left; font-size: 30px; margin-left: 5px;" data-type="title" data-lan="prev" title="<?php echo $ini_afcreport['prev'][$_SESSION['lng']]; ?>" onclick="backtoanalysis()"></span>
					<span data-type="text" data-lan="fcodereport"><?php echo $ini_afcreport['fcodereport'][$_SESSION['lng']]; ?></span>
				</div>
				<div id="btn_div" class="btn_div">
					<p>
						<label class="dlabel vam w50" data-type="text" data-lan="start" ><?php echo $ini_afcreport['start'][$_SESSION['lng']]; ?></label>
						<input type="text" id="sdat" data-type="date" data-lan="#sdat_org" class="dinputw vam w75" value="" onchange="update_grid()" readonly />
						<input type="hidden" id="sdat_org" value="" />
						<input type="hidden" id="sdat_i" value="" />
					</p>
					<p style="margin: 5px 0;">
						<label class="dlabel vam w50" data-type="text" data-lan="ende" ><?php echo $ini_afcreport['ende'][$_SESSION['lng']]; ?></label>
						<input type="text" id="edat" data-type="date" data-lan="#edat_org" class="dinputw vam w75" value="" onchange="update_grid()" readonly />
						<input type="hidden" id="edat_org" value="" />
						<input type="hidden" id="edat_i" value="" />
					</p>
					<p style="margin-top: 15px; text-align: center; padding-bottom: 10px; border-bottom: 2px solid <?php echo $c_scheme['RN']; ?>;">
						<select id="clss" data-type="select" data-lan="clss" onchange="update_grid()" >
							<?php
								foreach($ini_class as $key=>$value){
									echo "<option value='$key'>".$value[$_SESSION['lng']]."</option>";
								}
							?>
						</select>
					</p>
					<div style="text-align: center; margin-top: 30px;">	
						<span class="spanbuttonp" id="excel" data-type="text" data-lan="excel_export" onclick="ExportDataToExcel();"><?php echo $ini_afcreport['excel_export'][$_SESSION['lng']]; ?></span>	
					</div>
				</div>
				<div style="display: inline-block; width: 800px; text-align: center; margin-left: 5px; overflow: scroll;">
					<table id="list"></table> 
					<div id="pager"></div> 
				</div>
			</div>
			<?php include_once($rel_path.'footer.php'); ?> 		
		</div>
		<form name="fcxls" method="post" target="_blank" action = "./tools/a_fcodereport_excel.php";>
			<input type="hidden" name="titles" id="titles" value="" />
			<input type="hidden" name="filters" id="filters" value="" />
		</form>	
		<script>
			pickerOpts = {
				closeText: "X",		
				dateFormat: "yy-M-dd",
				altField: '#sdat_org',
				altFormat: 'yy-mm-dd',
				firstDay: 1,
				isRTL: false,
				showButtonPanel: true,
				displayClose: true,
				showOn: "button",  
				buttonImage: "./img/dummy_img.png", 
				buttonImageOnly: true,
				buttonText: localTranslation["cal"][$globlan],
				changeYear: true,
				changeMonth: true,
				maxDate: "+<?php echo $diffmax;?>d",
				minDate: "-<?php echo $diffmin;?>d"		
			}
			pickerOpts_2 = {
				closeText: "X",		
				dateFormat: "yy-M-dd",
				altField: '#edat_org',
				altFormat: 'yy-mm-dd',
				firstDay: 1,
				isRTL: false,
				showButtonPanel: true,
				displayClose: true,
				showOn: "button",  
				buttonImage: "./img/dummy_img.png", 
				buttonImageOnly: true,
				buttonText: localTranslation["cal"][$globlan],
				changeYear: true,
				changeMonth: true,
				maxDate: "+<?php echo $diffmax;?>d",
				minDate: "-<?php echo $diffmin;?>d"		
			}		
			
		// fix um bei klicken auf "Heute" den Kalender zu schliessen	
			var old_goToToday = $.datepicker._gotoToday;
			$.datepicker._gotoToday = function(id) {
				old_goToToday.call(this,id);   
				this._selectDate(id);
			};
			
			$.datepicker._defaults['currentText'] = calTranslation['currentText'][$globlan];
			$.datepicker._defaults['monthNames'] = calTranslation['monthNames'][$globlan];
			$.datepicker._defaults['monthNamesShort'] = calTranslation['monthNamesShort'][$globlan];
			$.datepicker._defaults['dayNamesMin'] = calTranslation['dayNamesMin'][$globlan];
			
			$("#sdat").datepicker(pickerOpts);
			clkevnt = $("#sdat").next().data('events').click[0].handler;
			$("#sdat").next().replaceWith('<span class="ui-datepicker-trigger icn_calendar_b_n clckbtn vam" data-type="title" data-lan="cal" title="<?php echo $ini_afcreport['cal'][$_SESSION['lng']]; ?>"> </span>');
			$("#sdat").next().bind('click', clkevnt);		
			$("#edat").datepicker(pickerOpts_2);
			clkevnt = $("#edat").next().data('events').click[0].handler;
			$("#edat").next().replaceWith('<span class="ui-datepicker-trigger icn_calendar_b_n clckbtn vam" data-type="title" data-lan="cal" title="<?php echo $ini_afcreport['cal'][$_SESSION['lng']]; ?>"> </span>');
			$("#edat").next().bind('click', clkevnt);

			function load_page() {
				$("#sdat").val(localizedate("<?php echo $lmin; ?>"));
				$("#edat").val(localizedate("<?php echo $max; ?>"));
				$("#sdat_org").val("<?php echo $lmin; ?>");
				$("#edat_org").val("<?php echo $max; ?>");
				$("#sdat_i").val("<?php echo $lmin; ?>");			// min start date
				$("#edat_i").val("<?php echo $max; ?>");			// max end date	
				start_search();
			}
		// switch language
			function c_lan(loc) {
				translate_header($globlan);	
				translate_mainmenu($globlan);
				$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {	
					switch ($(this).data("type")) {
						case "text":		
							$(this).text(localTranslation[$(this).data("lan")][$globlan]);
							break;
						case "title":				
							$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
							break;
						case "date":
							$(this).val(localizedate($($(this).data("lan")).val()));
							break;
						case "select":
							if ($(this).data("lan") == "clss") {
								$(this).find("option").each(function() {
									$(this).text(classTranslation[$(this).val()][$globlan]);
								});
								$('#clss').trigger('render');
							}
							break;								
					}
				});
			// save filter
				$ov = {};
				$.each($(".ui-search-toolbar input[role='textbox']"), function(k,v) {
					$ov[$(v).attr("name")] = $("#gs_"+$(v).attr("name")).val();
				});
				$.each($(".ui-search-toolbar select[role='select']"), function(k,v) {
					$ov[$(v).attr("name")] = $("#gs_"+$(v).attr("name")).val();
				});	
				$("#list").jqGrid('setLabel', "qbn", localTranslation["qbn"][$globlan])
					.jqGrid('setLabel', "sup", localTranslation["sup"][$globlan])
					.jqGrid('setLabel', "cus", localTranslation["cus"][$globlan])
					.jqGrid('setLabel', "svt", localTranslation["SVT"][$globlan]);
					
				$.jgrid.setRegional('list',{regional: $globlan});
				$("#gs_bb").find("option").each(function(idx, obj) {
					if ($(this).val() == "") {
						$(this).text(localTranslation["all"][$globlan]);
					} else {
						$(this).text($(this).val()+"_-"+fcbbTranslation[$(this).val()][$globlan]);
					}
				});		
				$("#gs_cc").find("option").each(function(idx, obj) {
					if ($(this).val() == "") {
						$(this).text(localTranslation["all"][$globlan]);
					} else {
						$(this).text($(this).val()+"-"+fcccTranslation[$(this).val()][$globlan]);
					}
				});	
				$("#gs_dddd").find("option").each(function(idx, obj) {
					if ($(this).val() == "") {
						$(this).text(localTranslation["all"][$globlan]);
					} else {
						$(this).text($(this).val()+"-"+fcddTranslation[$(this).val()][$globlan]);
					}
				});		
				$("#list").trigger("reloadGrid");
				LoadRun();
			// restore filter
				$.each($ov, function(k,v) {$("#gs_"+k).val(v);});
				
				$.datepicker._defaults['currentText'] = calTranslation['currentText'][$globlan];
				$.datepicker._defaults['monthNames'] = calTranslation['monthNames'][$globlan];
				$.datepicker._defaults['monthNamesShort'] = calTranslation['monthNamesShort'][$globlan];
				$.datepicker._defaults['dayNamesMin'] = calTranslation['dayNamesMin'][$globlan];			
			}
			function backtoanalysis() {
				window.location.href="./analysis.php";
			}
			function bbFormatter (cellvalue, options, rowObject)
			{
				return cellvalue+" - "+fcbbTranslation[cellvalue.slice(0,1)][$globlan]+" / "+fcbbTranslation[cellvalue][$globlan];
			}
			function ccFormatter (cellvalue, options, rowObject)
			{	
				return cellvalue+" - "+fcccTranslation[cellvalue][$globlan];
			}
			function ddFormatter (cellvalue, options, rowObject)
			{
				return cellvalue+" - "+fcddTranslation[cellvalue.slice(0,2)][$globlan]+" / "+fcddTranslation[cellvalue][$globlan];
			}				
			function start_search() {
				$("#loading").show();
				cmTemplate = {
					sorttype:'string',
					editable: false,
					searchoptions: {
						sopt:['cn'], 
						clearSearch: false
					}
				};		
				obj = {
					url:  "./tools/a_fcreport_api.php",
					postData: {
						routine : "getlist",
						sdat: $("#sdat_org").val(),
						edat: $("#edat_org").val(),
						clss: $("#clss").val(),
						qblan: $globlan
					},
					contentType: "application/json",
					datatype: "json",
					jsonReader: {
						id: "id",
						repeatitems: true
					},
					mtype: "POST",
					colNames: [
						localTranslation["qbn"][$globlan],
						"BB",
						"CC",
						"DDDD",
						localTranslation["SVT"][$globlan],
						localTranslation["cus"][$globlan],
						localTranslation["sup"][$globlan]
					],	
					colModel: [
						{ 
							name: "qbn", 
							width: 90,
							template: cmTemplate
						},
						{ 
							name: "bb", 
							width: 140, 
							template: cmTemplate,
							formatter: bbFormatter,
							stype: 'select',					
							searchoptions:
							{
								value: fcb,
								clearSearch: false,
								searchOperators: false
							}
						},
						{
							name: "cc", 
							width: 140,
							template: cmTemplate,
							formatter: ccFormatter,
							stype: 'select',					
							searchoptions:
							{
								value: fcc,
								clearSearch: false,
								searchOperators: false
							}
						},
						{
							name: "dddd", 
							width: 140,
							template: cmTemplate,
							formatter: ddFormatter,
							stype: 'select',					
							searchoptions:
							{
								value: fcd,
								clearSearch: false,
								searchOperators: false
							}
						},
						{ 
							name: "svt", 
							width: 150,
							template: cmTemplate
						},
						{
							name: "cus", 
							width: 150,
							template: cmTemplate
						},
						{
							name: "sup", 
							width: 150,
							template: cmTemplate
						}								
					],
					regional: $globlan,
					recreateFilter: true,
					storeNavOptions : true,			
					loadonce: false,
					pager: "#pager",
					recordpos: "left",
					height: 495,
					rowNum: 100,
					rowList: [10, 100, 500, 1000, 1500],
					hoverrows: false,
					rownumbers: true,
					sortname: "qbn",
					sortorder: "desc",
					viewrecords: true,
					gridview: true,
					autoencode: true,
					ignoreCase:true,
					loadui: "block",
					onRightClickRow: function (rowid, iRow, iCol, e) {
						window.localStorage.setItem("qb", $("#list").jqGrid('getRowData', rowid).qbn);
						$.ajax({
							url: "./tools/general_api.php",
							data: {
								routine: "get_qbs",
								qbn: $("#list").jqGrid('getRowData', rowid).qbn
							},
							success: function(result) {
								window.localStorage.setItem("qbn", result.substring(1, result.length-1));				
								window.open(
									'./basic.php',
									'_blank'
								);
								return false;
							}		
						});
						return false;
					},			
					loadComplete: function() {
						LoadRun();
					}
				};
				list1 = $("#list").jqGrid(obj)
					.jqGrid('filterToolbar',{searchOperators : false, searchOnEnter: false})
					.navGrid('#pager', {refresh: false, search: false, edit: false, del: false, add: false});
				$("#loading").hide();
			}
			function LoadRun() {
				$("th[role='columnheader']")
					.unbind("mouseenter")
					.unbind("mouseleave");
				$(".ui-search-toolbar input[role='textbox']")
					.css("width", "92%")
					.css("background", "<?php echo $c_scheme['M5']; ?>")
					.css("padding", "2px");
				$(".ui-search-toolbar select[role='select']")
					.removeClass("ui-corner-all")
					.css("background", "<?php echo $c_scheme['M5']; ?>")
					.css("padding", "2px");
				$("#gs_bb").css("width", "135px");
				$("#gs_cc").css("width", "135px");
				$("#gs_dddd").css("width", "135px");
			}
			function update_grid() {
				$("#list").setGridParam({
					datatype: "json", 
					postData: {
						routine: "getlist",
						sdat: $("#sdat_org").val(),
						edat: $("#edat_org").val(),
						clss: $("#clss").val(),
						qblan: $globlan
					} 
				}).trigger("reloadGrid");
			}
			function ExportDataToExcel() {
			// save filter
				$ov = {};
				$.each($(".ui-search-toolbar input[role='textbox']"), function(k,v) {
					$ov[$(v).attr("name")] = $("#gs_"+$(v).attr("name")).val();
				});
				$.each($(".ui-search-toolbar select[role='select']"), function(k,v) {
					$ov[$(v).attr("name")] = $("#gs_"+$(v).attr("name")).val();
				});	
				$ov['sdat'] = $("#sdat_org").val();
				$ov['edat'] = $("#edat_org").val();
				$ov['clss'] = $("#clss").val();
				$ov['qblan'] = $globlan;
				$("#filters").val(JSON.stringify($ov));
				$("#titles").val(JSON.stringify(obj.colNames));
				document.fcxls.submit();
			}
			load_page();
		</script>
	</body>
</html>