<!DOCTYPE html>

<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />		
	<?php include_once(dirname(__FILE__)."/tools/all_header.php"); global $c_scheme, $timezone, $rel_path; ?>
	<script>
		var js_debug = false;
		$data_changed = false;		
	</script>
	
    <title>FFU Supplier Spot Point  Table</title>
		
	<link rel="stylesheet" href="./css/qb.php" />
	<link rel="stylesheet" href="./jqGrid_5.2.1/css/ui.jqgrid.css" />
	
	<style>
		.ui-jqgrid tr.jqgrow td{
			white-space:nowrap;
			height: 18px !important;
		}
		#pager_left{
			padding-top: 5px;
		}		
	</style>
	
	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>
	
	<?php 
		foreach(explode(":", $qb_support->getLanOnly()) as $key=>$value) {
			echo '<script src="./jqGrid_5.2.1/js/i18n/grid.locale-' . $value . '.js"></script>';
		}
	?>
	<script src="./jqGrid_5.2.1/js/jquery.jqGrid.min.js"></script>	

	<script>
	// load translation and save in localTranslation
		<?php	
			$ini_affusup = parse_ini_file($rel_path.'i18n/a_ffusup.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_affusup as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
		?>
		ddf = ":"+localTranslation['all'][$globlan];	
		ddf += ";C:" + localTranslation["C"][$globlan];
		ddf += ";W:" + localTranslation["W"][$globlan];
		ddf += ";I:" + localTranslation["I"][$globlan];
	</script>
</head>
<body>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
			<?php 
				echo "<div id='mainnav'>". $qb_support->get_main_menu(2) . "</div>";
			?>
			<div class="dtop">
				<span class="icn3_arraoleft_w_n clckbtn" style="float: left; font-size: 30px; margin-left: 5px;" data-type="title" data-lan="prev" title="<?php echo $ini_affusup['prev'][$_SESSION['lng']]; ?>" onclick="backtoanalysis()"></span>
				<span data-type="text" data-lan="ffusup"><?php echo $ini_affusup['ffusup'][$_SESSION['lng']]; ?></span>
			</div>
			<div style="display: inline-block; margin-left: 5px;">
				<table id="list"></table> 
				<div id="pager"></div> 
			</div>
			<input type="hidden" id="ts" value="" />
			<input type="hidden" id="at" value="" />
		</div>
		<?php include_once($rel_path.'footer.php'); ?> 		
	</div>
	<script>	
		$("#ts").val("<?php echo $_REQUEST['cc']; ?>");	
		$("#at").val("<?php echo $_REQUEST['s']; ?>");	
		
		function load_page() {	
			fill_table();
		}
	// switch language
		function c_lan() {		
			$.jgrid.setRegional('list',{regional: $globlan});
			$("#list").jqGrid('setLabel', "qbn", localTranslation["qbn"][$globlan]);
			$("#list").jqGrid('setLabel', "ireq", localTranslation["ireq"][$globlan]);
			$("#list").jqGrid('setLabel', "dep", localTranslation["depa"][$globlan]);
			$("#list").jqGrid('setLabel', "fu", localTranslation["fu"][$globlan]);
			$("#list").jqGrid('setLabel', "loc", localTranslation["spot"][$globlan]);
			$("#list").jqGrid('setLabel', "fc", localTranslation["f_codes"][$globlan]);	
			$("#gs_loc").find("option").each(function(idx, obj) {		
				if ($(this).val() == "") {
					$(this).text(localTranslation["all"][$globlan]);
				} else {
					$(this).text(localTranslation[$(this).val()][$globlan]);
				}			
			});
			$("#list").trigger('reloadGrid')			
		}
		function backtoanalysis() {
			window.location.href = "./a_ffusup.php";
		}
		function spotFormatter(cellvalue, options, rowObject)
		{
			return localTranslation[cellvalue][$globlan];
		}
		function fill_table() {
			$("#loading").show();
			cmTemplate = {
				sorttype:'string',
				editable: false,
				searchoptions: {
					sopt:['cn'], 
					clearSearch: false
				}
			};			
			obj = {
				url:  "./tools/a_ffusup_api.php",
				postData: {
					routine: "gettable",
					art: $("#at").val(),
					ts: $("#ts").val()
				},
				contentType: "application/json",
				datatype: "json",
				jsonReader: {
					id: "id",
					repeatitems: true
				},
				mtype: "POST",
				colNames: [
					localTranslation["qbn"][$globlan],
					localTranslation["ireq"][$globlan],
					localTranslation["depa"][$globlan],
					localTranslation["fu"][$globlan],
					localTranslation["spot"][$globlan],
					localTranslation["f_codes"][$globlan],
					""
				],
				colModel: [
					{ 
						name: "qbn", 
						width: 90,
						template: cmTemplate
					},
					{ 
						name: "ireq", 
						width: 140,
						template: cmTemplate
					},
					{ 
						name: "dep", 
						width: 100,
						template: cmTemplate
					},
					{ 
						name: "fu", 
						width: 420,
						template: cmTemplate
					},
					{ 
						name: "loc", 
						width: 90,
						stype: 'select',					
						searchoptions:
						{
							value: ddf
						},					
						template: cmTemplate,
						formatter: spotFormatter
					},				
					{ 
						name: "fc", 
						width: 90,
						template: cmTemplate
					},
					{ 
						name: "l2", 
						hidden: true
					},						
				],
				regional: $globlan,
				storeNavOptions : true,			
				loadonce: true,
				pager: "#pager",
				recordpos: "left",
				height: 505,
				rowNum: 100,
				rowList: [10, 100, 500, 1000, 1500],
				hoverrows: false,
				rownumbers: true,
				sortname: "qbn",
				sortorder: "desc",
				viewrecords: true,
				gridview: true,
				autoencode: true,
				ignoreCase:true,
				loadui: "block",
				onRightClickRow: function (rowid, iRow, iCol, e) {
					window.localStorage.setItem("qb", $("#list").jqGrid('getRowData', rowid).qbn);
					$.ajax({
						url: "./tools/general_api.php",
						data: {
							routine: "get_qbs",
							qbn: $("#list").jqGrid('getRowData', rowid).qbn
						},
						success: function(result) {
							window.localStorage.setItem("qbn", result.substring(1, result.length-1));				
							window.open(
								'./basic.php',
								'_blank'
							);
							return false;
						}		
					});
					return false;
				},			
				loadComplete: function() {
					$("th[role='columnheader']")
						.unbind("mouseenter")
						.unbind("mouseleave");
					$(".ui-search-toolbar input[role='textbox']")
						.css("width", "92%")
						.css("background", "<?php echo $c_scheme['M5']; ?>")
						.css("padding", "2px");	
						
					var rows = $("#list").getDataIDs();
					for(a=0;a<rows.length;a++)
					{
						row = $("#list").getRowData(rows[a]);
						switch(row.l2) {
							case "W":
								$("#list").setCell (rows[a], "loc","",{"background":"<?php echo $c_scheme['M1']; ?>"});
								break;					
							case "C":
								$("#list").setCell (rows[a], "loc","",{"background":"<?php echo $c_scheme['SO']; ?>"});
								break;
							case "I":
								$("#list").setCell (rows[a], "loc","",{"background":"<?php echo $c_scheme['M3']; ?>", "color":"<?php echo $c_scheme['M5']; ?>"});
								break;
						}
					}
				}
			};
			list1 = $("#list").jqGrid(obj)
				.jqGrid('filterToolbar',{searchOperators : false, searchOnEnter: false})
				.jqGrid('navGrid', '#pager', {refresh: false, search: false, edit: false, del: false, add: false});
			$("#loading").hide();
		}
		load_page();
	</script>
</body>
</html>
