<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />		
	<?php include_once(dirname(__FILE__)."/tools/all_header.php"); global $c_scheme, $timezone, $rel_path; ?>
	<script>
		var js_debug = false;
		$data_changed = false;		
	</script>
	
    <title>QB general</title>
	
	<link rel="stylesheet" href="./css/qb.php" />
	<link rel="stylesheet" href="./jqplot/jquery.jqplot.css" />	
	
	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>
	
	<script src="./jqplot/jquery.jqplot.min.js"></script>
	<script src="./jqplot/plugins/jqplot.barRenderer.min.js"></script>
	<script src="./jqplot/plugins/jqplot.pieRenderer.min.js"></script>
	<script src="./jqplot/plugins/jqplot.categoryAxisRenderer.min.js"></script>
	<script src="./jqplot/plugins/jqplot.boxplotRenderer.js"></script>
	<script src="./jqplot/plugins/jqplot.pointLabels.min.js"></script>
    <script src="./jqplot/plugins/jqplot.canvasTextRenderer.min.js"></script>
    <script src="./jqplot/plugins/jqplot.canvasAxisLabelRenderer.min.js"></script>
	<script src="./jqplot/plugins/jqplot.enhancedLegendRenderer.min.js"></script>
    <script src="./jqplot/plugins/jqplot.canvasAxisTickRenderer.min.js"></script>
	<script src="./jqplot/plugins/jqplot.canvasOverlay.min.js"></script>	
<?php
	$query = "
		SELECT 
			DATE_FORMAT(NOW(), '%Y-%m-%d'), 
			DATEDIFF(MAX(QBREGDATE), NOW()), 
			DATEDIFF(MIN(QBREGDATE), NOW()),
			MIN(QBREGDATE),
			MAX(QBREGDATE),
			IF (DATEDIFF(MAX(QBREGDATE), MIN(QBREGDATE)) > 365, DATE_SUB(MAX(QBREGDATE), INTERVAL 365 DAY), MIN(QBREGDATE))
		FROM 
			qbi 
		WHERE 
			QBSTATUS NOT IN ('M', 'D')
	";
	$stmt = $db->query($query);
	list($now, $diffmax, $diffmin, $min, $max, $lmin) = $stmt->fetch(PDO::FETCH_NUM );
?>
<script>
	// load translation and save in localTranslation
		<?php	
			$ini_agen = parse_ini_file($rel_path.'i18n/a_gen.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_agen as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$ini_class = parse_ini_file($rel_path.'xml/class.ini', true);
			$ini_class['all']=$ini_agen['all'];
			echo "classTranslation = {};";
			foreach($ini_class as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "classTranslation['".$key."']={".rtrim($add, ',')."};";
			}				
			$cal = parse_ini_file($rel_path.'i18n/calendar.ini', true);
			echo "calTranslation = {};";
			foreach($cal as $key=>$value){
				$add = "";
				if ($value['tpe'] == "S") {
					foreach($value AS $lan=>$trans){
						if ($lan != "tpe") $add .= "'".$lan."':'".$trans."',";
					}
				} else {
					foreach($value AS $lan=>$trans){
						if ($lan != "tpe") {
							$tar = explode(",", $trans);
							$tar = implode("','", $tar);
							$add .= "'".$lan."': ['".$tar."'],";
						}
					}				
				}
				echo "calTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$ini_qbtype = parse_ini_file($rel_path.'xml/qb_type.ini', true);	
			echo "qbtypeTranslation = {};";
			foreach($ini_qbtype as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "qbtypeTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$ini_fcat = parse_ini_file($rel_path.'xml/failure_category.ini', true);	
			echo "fcatTranslation = {};";
			foreach($ini_fcat as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "fcatTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$ini_qbstatus = parse_ini_file($rel_path.'xml/qb_status.ini', true);	
			echo "qbstatusTranslation = {};";
			foreach($ini_qbstatus as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "qbstatusTranslation['".$key."']={".rtrim($add, ',')."};";
			}
		?>
	</script>
</head>
<body>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
			<?php 
				echo "<div id='mainnav'>". $qb_support->get_main_menu(2) . "</div>";
			?>
			<div class="dtop">
				<span class="icn3_arraoleft_w_n clckbtn" style="float: left; font-size: 30px; margin-left: 5px;" data-type="title" data-lan="prev" title="<?php echo $ini_agen['prev'][$_SESSION['lng']]; ?>" onclick="backtoanalysis()"></span>
				<span data-type="text" data-lan="general"><?php echo $ini_agen['general'][$_SESSION['lng']]; ?></span>
			</div>
			<div id="btn_div" class="btn_div">
				<p>
					<label class="dlabel vam w50" data-type="text" data-lan="start" ><?php echo $ini_agen['start'][$_SESSION['lng']]; ?></label>
					<input type="text" id="sdat" data-type="gendate" data-lan="#sdat_org" class="dinputw vam w75" value="" onchange="update_chart()" readonly />
					<input type="hidden" id="sdat_org" value="" />
					<input type="hidden" id="sdat_i" value="" />
				</p>
				<p style="margin: 5px 0;">
					<label class="dlabel vam w50" data-type="text" data-lan="ende" ><?php echo $ini_agen['ende'][$_SESSION['lng']]; ?></label>
					<input type="text" id="edat" data-type="gendate" data-lan="#edat_org" class="dinputw vam w75" value="" onchange="update_chart()" readonly />
					<input type="hidden" id="edat_org" value="" />
					<input type="hidden" id="edat_i" value="" />
				</p>
				<p style="margin-top: 15px; padding-bottom: 10px; border-bottom: 2px solid "<?php echo $c_scheme['RN']; ?>";">
					<select id="clss" data-type="select" data-lan="clss" onchange="update_chart()" >
						<?php
							foreach($ini_class as $key=>$value){
								echo "<option value='$key'>".$value[$_SESSION['lng']]."</option>";
							}
						?>
					</select>
				</p>				
				<div style="text-align: center; margin-top: 30px;">
					<span class="spanbuttonps" id="qbstatus" data-type="text" data-lan="status" onclick="qbstatus()"><?php echo $ini_agen['status'][$_SESSION['lng']]; ?></span>
					<span class="spanbuttonp" id="openqb" data-type="text" data-lan="opened" onclick="openqb()"><?php echo $ini_agen['opened'][$_SESSION['lng']]; ?></span>
					<span class="spanbuttonp" id="qbffu" data-type="text" data-lan="ffu" onclick="qbffu()"><?php echo $ini_agen['ffu'][$_SESSION['lng']]; ?></span>
					<?php if ($qb_support->getoptions('qblight', 'set') == "yes") { ?>
						<span class="spanbuttonp" id="qbqbl" data-type="text" data-lan="qb_light" onclick="qbqbl('percent')"><?php echo $ini_agen['qb_light'][$_SESSION['lng']]; ?></span>
					<?php } ?>						
				</div>
			</div>			
	<!-- container for chart -->
			<div id="chartdiv" style="display: inline-block; height:500px; width:760px; margin-top: 50px; margin-left: 25px;"></div>
			<input type="hidden" id="stamp" value="" />
		</div>
		<?php include_once($rel_path.'footer.php'); ?> 		
	</div>
	<script>
		pickerOpts = {
			closeText: "X",		
			dateFormat: "yy-M-dd",
			altField: '#sdat_org',
			altFormat: 'yy-mm-dd',
			firstDay: 1,
			isRTL: false,
			showButtonPanel: true,
			displayClose: true,
			showOn: "button",  
			buttonImage: "./img/dummy_img.png", 
			buttonImageOnly: true,
			buttonText: localTranslation["cal"][$globlan],
			changeYear: true,
			changeMonth: true,
			maxDate: "+<?php echo $diffmax;?>d",
			minDate: "-<?php echo $diffmin;?>d"
		}
		pickerOpts_2 = {
			closeText: "X",		
			dateFormat: "yy-M-dd",
			altField: '#edat_org',
			altFormat: 'yy-mm-dd',
			firstDay: 1,
			isRTL: false,
			showButtonPanel: true,
			displayClose: true,
			showOn: "button",  
			buttonImage: "./img/dummy_img.png", 
			buttonImageOnly: true,
			buttonText: localTranslation["cal"][$globlan],
			changeYear: true,
			changeMonth: true,
			maxDate: "+<?php echo $diffmax;?>d",
			minDate: "-<?php echo $diffmin;?>d"	
		}
		
	// fix um bei klicken auf "Heute" den Kalender zu schliessen	
		var old_goToToday = $.datepicker._gotoToday;
		$.datepicker._gotoToday = function(id) {
			old_goToToday.call(this,id);   
			this._selectDate(id);
		};
		
		$.datepicker._defaults['currentText'] = calTranslation['currentText'][$globlan];
		$.datepicker._defaults['monthNames'] = calTranslation['monthNames'][$globlan];
		$.datepicker._defaults['monthNamesShort'] = calTranslation['monthNamesShort'][$globlan];
		$.datepicker._defaults['dayNamesMin'] = calTranslation['dayNamesMin'][$globlan];
		
		$("#sdat").datepicker(pickerOpts);
		clkevnt = $("#sdat").next().data('events').click[0].handler;
		$("#sdat").next().replaceWith('<span class="ui-datepicker-trigger icn_calendar_b_n clckbtn vam" data-type="title" data-lan="cal" title="<?php echo $ini_agen['cal'][$_SESSION['lng']]; ?>"> </span>');
		$("#sdat").next().bind('click', clkevnt);		
		$("#edat").datepicker(pickerOpts_2);
		clkevnt = $("#edat").next().data('events').click[0].handler;
		$("#edat").next().replaceWith('<span class="ui-datepicker-trigger icn_calendar_b_n clckbtn vam" data-type="title" data-lan="cal" title="<?php echo $ini_agen['cal'][$_SESSION['lng']]; ?>"> </span>');
		$("#edat").next().bind('click', clkevnt);
		
		$('#clss').val("T");
		$('#clss').width(175).customSelect({customClass: "cSelect_wht"});
		
		$('#chartdiv').bind('jqplotDataClick',
			function (ev, seriesIndex, pointIndex, data) {
				if ($("#chartdiv").attr("data-chart") == "qbqbl") {
					(plot1.options.seriesDefaults.rendererOptions.dataLabels == 'percent')?qbqbl('value'):qbqbl('percent');
				}
			}
		);
		function load_page() {
			$("#sdat").val(localizedate("<?php echo $lmin; ?>"));
			$("#edat").val(localizedate("<?php echo $max; ?>"));
			$("#sdat_org").val("<?php echo $lmin; ?>");
			$("#edat_org").val("<?php echo $max; ?>");
			$("#sdat_i").val("<?php echo $lmin; ?>");			// min start date
			$("#edat_i").val("<?php echo $max; ?>");			// max end date		
			qbstatus();
		}
	// switch language
		function c_lan(loc) {
			translate_header($globlan);	
			translate_mainmenu($globlan);
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {	
				switch ($(this).data("type")) {
					case "text":		
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "gendate":
						$(this).val(localizedate($($(this).data("lan")).val()));
						break;
					case "select":
						if ($(this).data("lan") == "clss") {
							$(this).find("option").each(function() {
								$(this).text(classTranslation[$(this).val()][$globlan]);
							});
							$('#clss').trigger('render');
						}
						break;							
				}
			});
			switch ($("#chartdiv").attr("data-chart")) {
				case "qbqbl":
					plot1.replot({
						title: {
							text: localTranslation["qbl"][$globlan]
						},
						legend: {
							labels: [qbtypeTranslation["T"][$globlan],qbtypeTranslation["L"][$globlan],qbtypeTranslation["N"][$globlan]]
						}
					});
					break;
				case "openqb":
					plot1.replot({
						title: {
							text: localTranslation["opened"][$globlan]
						},
						axes:{
							yaxis:{
								label: localTranslation['count'][$globlan]
							},
							xaxis:{
								label: localTranslation['quarter'][$globlan]
							}
						},						
					});
					$(".jqplot-series-0").css("color", "#FFFFFF");
					$(".jqplot-series-1").css("color", "#FFFFFF");
					$(".jqplot-series-2").css("color", "#FFFFFF");				
					break;
				case "qbstatus":
					var d1 = $("#stamp").val().split(" ");
					$timestamp = localizedate(d1[0])+" "+d1[1];
					plot1.replot({
						title: {
							text: "QB-"+localTranslation['status'][$globlan]+" @ " + $timestamp,
						},
						axes:{
							yaxis:{
								label: localTranslation['status'][$globlan]
							},
							xaxis:{
								ticks: [qbstatusTranslation['N'][$globlan], qbstatusTranslation['O'][$globlan], qbstatusTranslation['S'][$globlan]]
							}
						},						
					});
					break;
				case "qbffu":
					$r_legende = Array();
					$.each($legstore, function(key, value) {
						$r_legende.push(fcatTranslation[value][$globlan]);
					});
					plot1.replot({
						title: {
							text: localTranslation["ffu"][$globlan]
						},
						legend: {
							labels: $r_legende
						},
						axes:{
							yaxis:{
								label: localTranslation['count'][$globlan]
							},
							xaxis:{
								label: localTranslation['quarter'][$globlan]
							}
						},						
					});
					$(".jqplot-series-0").css("color", "#FFFFFF");
					$(".jqplot-series-1").css("color", "#FFFFFF");
					$(".jqplot-series-2").css("color", "#FFFFFF");						
					break;				
			}
			$.datepicker._defaults['currentText'] = calTranslation['currentText'][$globlan];
			$.datepicker._defaults['monthNames'] = calTranslation['monthNames'][$globlan];
			$.datepicker._defaults['monthNamesShort'] = calTranslation['monthNamesShort'][$globlan];
			$.datepicker._defaults['dayNamesMin'] = calTranslation['dayNamesMin'][$globlan];			
		}
		function backtoanalysis() {
			window.location.href="./analysis.php";
		}
		function qbqbl(loc) {
			$("#loading").show();
		// change highlighted button
			$("#btn_div span[data-type='text']").removeClass("spanbuttonps").addClass("spanbuttonp");
			$("#qbqbl").addClass("spanbuttonps");
			$("#chartdiv").empty().attr("data-chart", "qbqbl");
			$.ajax({
				type: "GET",
				cache: false,
				url:  "./tools/a_gen_api.php",
				data: { 
					routine: "qbqbl",
					sdate: $("#sdat_org").val(),
					edate: $("#edat_org").val(),
					clss: $("#clss").val()
				},
				dataType: "json",
				success: function(result)
				{
				// convert result from string to integer
					qbresult = result.map(function (x) {return parseInt(x); });
					optionObj = {
						captureRightClick: true,
						gridPadding: {top:25, bottom:0, left:0, right:0},
						seriesDefaults:{
							shadow: false, 
							renderer:$.jqplot.PieRenderer,
							trendline:{ show:false },
							rendererOptions: { 
								showDataLabels: true,
								sliceMargin: 2,
								dataLabelPositionFactor: 0.9,
								dataLabelThreshold: 1,
								dataLabels: loc,
								highlightMouseOver: false
							}
						},
						title: localTranslation["qbl"][$globlan],
						seriesColors: [ "<?php echo $c_scheme['G3']; ?>", "<?php echo $c_scheme['G4']; ?>", "<?php echo $c_scheme['G1']; ?>"],
						grid: 
						{         
							gridLineWidth: 2.5,         
							gridLineColor: "<?php echo $c_scheme['GG']; ?>",         
							drawGridlines: true,
							shadow:false, 
							borderWidth:1.0,
							background: "<?php echo $c_scheme['GB']; ?>"
						},					
						legend:{
							show:true,
							placement: 'inside',						
							rendererOptions: {                 
								numberRows: 3,
								numberColumns: 1
							},
							location:'ne',
							marginTop: 10, 
							color: "<?php echo $c_scheme['GB']; ?>",
							labels: [qbtypeTranslation["T"][$globlan],qbtypeTranslation["L"][$globlan],qbtypeTranslation["N"][$globlan]]
						}
					};
					$('#chartdiv').unbind('jqplotMouseDown');
					plot1 = $.jqplot('chartdiv', [qbresult], optionObj);
					$("#loading").hide();
				}
			});			
		}
		function openqb() {
			$("#loading").show();
		// change highlighted button
			$("#btn_div span[data-type='text']").removeClass("spanbuttonps").addClass("spanbuttonp");
			$("#openqb").addClass("spanbuttonps");
			$("#chartdiv").empty().attr("data-chart", "openqb");
			$.ajax({
				type: "GET",
				cache: false,
				url:  "./tools/a_gen_api.php",
				data: { 
					routine: "openqb",
					qblan: $globlan,
					sdate: $("#sdat_org").val(),
					edate: $("#edat_org").val(),
					clss: $("#clss").val()					
				},
				dataType: 'json',
				success: function(chartresult)
				{		
					optionObj = {
						captureRightClick: true,
						stackSeries: true,
						grid:{shadow:false, borderWidth:1.0},
						axes:{
							yaxis:{
								min:0, 
								tickOptions: {formatString: '%d'},
								label: localTranslation['count'][$globlan],
								labelRenderer: $.jqplot.CanvasAxisLabelRenderer,
								labelOptions:{
									angel: 90,
									textColor: "<?php echo $c_scheme['GT']; ?>"
								}							
							},
							xaxis:{
								min:0, 
								ticks: chartresult[4],
								tickRenderer:$.jqplot.CanvasAxisTickRenderer, 
								tickOptions: {
									formatString: '%d'
								},					
								renderer:$.jqplot.CategoryAxisRenderer,
								label: localTranslation['quarter'][$globlan]
							}
						},			
						title: localTranslation['opened'][$globlan],
						seriesDefaults:{
							renderer:$.jqplot.BarRenderer,
							rendererOptions: {
								barMargin: 25,
								highlightMouseOver: false
							},
							pointLabels: { 
								show: true, 
								location: 'n', 
								ypadding: 10,
								hideZeros: true
							},
						},
						legend:{
							labels: chartresult[0],
							show:true,
							placement: 'inside',
							renderer: $.jqplot.EnhancedLegendRenderer,
							rendererOptions: {                 
								numberRows: 1,
								numberColumns: 3,
								marginLeft: "400px",
								marginTop: "5px"
							},
							location:'n'
						},
						grid: 
						{         
							gridLineWidth: 2.5,         
							gridLineColor: "<?php echo $c_scheme['GG']; ?>",         
							drawGridlines: true,
							shadow:false, 
							borderWidth:1.0,
							background: "<?php echo $c_scheme['GB']; ?>"
						},		
						seriesColors:["<?php echo $c_scheme['G1']; ?>", "<?php echo $c_scheme['G3']; ?>", "<?php echo $c_scheme['G2']; ?>"]
					};
					$('#chartdiv').unbind('jqplotMouseDown').bind('jqplotMouseDown', function (ev, seriesIndex, pointIndex, data) {
						if (data == null) return;
						window.open(
							"./a_gen_open_popup.php?qu="+chartresult[4][data['pointIndex']]+"&qblan="+$globlan+"&clss="+$("#clss").val(),
							"_blank",
							"height=245, width=400, menubar=no, scrollbars=no, status=no, toolbar=no, titlebar=no"
						);
					});
					$('#chartdiv').on('jqplotDataHighlight', function (ev, seriesIndex, pointIndex, data) {
					   $('.jqplot-event-canvas').css( 'cursor', 'pointer' );
					});
					$('#chartdiv').on('jqplotDataUnhighlight', function() {
						$('.jqplot-event-canvas').css('cursor', 'auto');
					});				
					plot1 = $.jqplot('chartdiv', [chartresult[1], chartresult[2], chartresult[3]], optionObj);
					$(".jqplot-series-0").css("color", "<?php echo $c_scheme['GI']; ?>");
					$(".jqplot-series-1").css("color", "<?php echo $c_scheme['GI']; ?>");
					$(".jqplot-series-2").css("color", "<?php echo $c_scheme['GI']; ?>");
					$("#loading").hide();
				}
			});			
		}
		function qbffu() {
			$("#loading").show();
		// change highlighted button
			$("#btn_div span[data-type='text']").removeClass("spanbuttonps").addClass("spanbuttonp");
			$("#qbffu").addClass("spanbuttonps");
			$("#chartdiv").empty().attr("data-chart", "qbffu");
			$.ajax({
				type: "GET",
				cache: false,
				url:  "./tools/a_gen_api.php",
				data: { 
					routine: "qbffu",
					sdate: $("#sdat_org").val(),
					edate: $("#edat_org").val(),
					clss: $("#clss").val()
				},
				dataType: 'json',
				success: function(result)
				{				
					optionObj = {
						captureRightClick: true,
						stackSeries: true,
						grid:{shadow:false, borderWidth:1.0},
						axes:{
							yaxis:{
								min:0, 
								tickOptions: {formatString: '%d'},
								label: localTranslation['count'][$globlan],
								labelRenderer: $.jqplot.CanvasAxisLabelRenderer,
								labelOptions:{
									angel: 90,
									textColor: "<?php echo $c_scheme['GT']; ?>"
								}							
							},
							xaxis:{
								min:0, 
								ticks: result[2],
								tickRenderer:$.jqplot.CanvasAxisTickRenderer, 
								tickOptions: {
									formatString: '%d'
								},					
								renderer:$.jqplot.CategoryAxisRenderer,
								label: localTranslation['quarter'][$globlan]
							}
						},			
						title: localTranslation['ffu'][$globlan],
						seriesDefaults:{
							renderer:$.jqplot.BarRenderer,
							rendererOptions: {
								barMargin: 25,
								highlightMouseOver: false
							},
							pointLabels: { 
								show: true, 
								location: 'n', 
								ypadding: 2,
								hideZeros: true
							}					
						},
						legend:{
							renderer: $.jqplot.EnhancedLegendRenderer,
							labels: result[0],
							show:true,
							placement: 'inside',           
							rendererOptions: {                 
								numberRows: 1
							},
							location:'n'
						},
						grid: 
						{         
							gridLineWidth: 1,         
							gridLineColor: "<?php echo $c_scheme['GG']; ?>",         
							drawGridlines: true,
							shadow:false, 
							borderWidth:1.0,
							background: "<?php echo $c_scheme['GB']; ?>"
						},
						seriesColors:["<?php echo $c_scheme['G1']; ?>", "<?php echo $c_scheme['G3']; ?>", "<?php echo $c_scheme['G2']; ?>", "<?php echo $c_scheme['G4']; ?>", "<?php echo $c_scheme['G5']; ?>"]
					};
					$('#chartdiv').unbind('jqplotMouseDown');
					plot1 = $.jqplot('chartdiv', result[1], optionObj);
					$(".jqplot-series-0").css("color", "<?php echo $c_scheme['GI']; ?>");
					$(".jqplot-series-1").css("color", "<?php echo $c_scheme['GI']; ?>");
					$(".jqplot-series-2").css("color", "<?php echo $c_scheme['GI']; ?>");				
					$("#loading").hide();
				}
			});			
		}
		function qbstatus() {
			$("#loading").show();
		// change highlighted button
			$("#btn_div span[data-type='text']").removeClass("spanbuttonps").addClass("spanbuttonp");
			$("#qbstatus").addClass("spanbuttonps");
			$("#chartdiv").empty().attr("data-chart", "qbstatus");
			$.ajax({
				type: "GET",
				cache: false,
				url:  "./tools/a_gen_api.php",
				data: { 
					routine: "qbstatus",
					clss: $("#clss").val()
				},
				dataType: "json",
				success: function(result)
				{
					$("#stamp").val(result[1]);
					var d1 = result[1].split(" ");
					result = result[0];
				// convert result from string to integer
					qbresult = result.map(function (x) {return parseInt(x); });
					$timestamp = localizedate(d1[0])+" "+d1[1];
					optionObj = {
						captureRightClick: true,
						grid:{shadow:false, borderWidth:1.0},
						axes:{
							yaxis:{
								min:0,
								tickOptions: {formatString: '%d'},
								label: localTranslation['status'][$globlan],
								labelRenderer: $.jqplot.CanvasAxisLabelRenderer,
								labelOptions:{
									angel: 90,
									textColor: "<?php echo $c_scheme['GT']; ?>"
								}							
							},
							xaxis:{
								min:0, 
								ticks: [qbstatusTranslation['N'][$globlan], qbstatusTranslation['O'][$globlan], qbstatusTranslation['S'][$globlan]], 
								tickRenderer:$.jqplot.CanvasAxisTickRenderer, 
								tickOptions: {
									formatString: '%d'
								},					
								renderer:$.jqplot.CategoryAxisRenderer
							}
						},			
						title: "QB-"+localTranslation['status'][$globlan]+" @ " + $timestamp,
						seriesColors: [ "<?php echo $c_scheme['G4']; ?>", "<?php echo $c_scheme['G3']; ?>", "<?php echo $c_scheme['G5']; ?>"],
						seriesDefaults:{
							renderer:$.jqplot.BarRenderer,
							rendererOptions: {
								barWidth: 100,
								highlightMouseOver: false,
								varyBarColor: true
							},
							pointLabels: { 
								show: true, 
								location: 'n', 
								ypadding: 2,
								color: "<?php echo $c_scheme['GI']; ?>"
							}
						},
						grid: 
						{         
							gridLineWidth: 2.5,         
							gridLineColor: "<?php echo $c_scheme['GG']; ?>",         
							drawGridlines: true,
							shadow:false, 
							borderWidth:1.0,
							background: '<?php echo $c_scheme['GB']; ?>'
						},						
						legend:{
							show:false
						}
					};	
					$('#chartdiv').unbind('jqplotMouseDown');
					plot1 = $.jqplot('chartdiv', [qbresult], optionObj);
					$(".jqplot-point-label").css("color", "<?php echo $c_scheme['GT']; ?>");	
					$("#loading").hide();				
				}
			});	
		}
		function update_chart() {
			switch($("#chartdiv").attr("data-chart")) {
				case "qbqbl":
					(plot1.options.seriesDefaults.rendererOptions.dataLabels == 'percent')?qbqbl('percent'):qbqbl('value');
					break;
				case "openqb":
					openqb();
					break;	
				case "qbffu":
					qbffu();
					break;	
				case "qbstatus":
					qbstatus();
					break;					
			}
		}
		load_page();
	</script>
</body>
</html>
