<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />		
	<?php include_once(dirname(__FILE__)."/tools/all_header.php"); global $c_scheme, $timezone, $rel_path; ?>
	<script>
		var js_debug = false;
		$data_changed = false;		
	</script>
    <title>QB Open PopUp</title>
	
	<link rel="stylesheet" href="./css/qb.php" />
	<link rel="stylesheet" href="./jqGrid_5.2.1/css/ui.jqgrid.css" />
	<style>
		.ui-jqgrid tr.jqgrow td{
			white-space:nowrap;
			height: 18px !important;
		}			
	</style>
	
	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>
	
	<?php 
		echo '<script src="./jqGrid_5.2.1/js/i18n/grid.locale-' . $_REQUEST['qblan'] . '.js"></script>';
	?>
	<script src="./jqGrid_5.2.1/js/jquery.jqGrid.min.js"></script>	
	
	<script>
	// load translation and save in localTranslation
		<?php	
			$ini_agen = parse_ini_file($rel_path.'i18n/a_gen.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_agen as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
		?>
	</script>
</head>
<body>
	<div id="container">
		<label class="dlabel vam w200" style="font-weight: bold;" id="qulabel"></label>
		<table id="list"></table> 
	</div>
	<script>
		function gettable() {
			cmTemplate = {
				sorttype:'string',
				editable: false,
				searchoptions: {
					sopt:[], 
					clearSearch: false
				}
			};				
			obj = {
				url:  "./tools/a_gen_api.php",
				postData: {
					routine : "opentable",
					qu: "<?php echo $_REQUEST['qu']; ?>",
					qblan: "<?php echo $_REQUEST['qblan']; ?>",
					clss: "<?php echo $_REQUEST['clss']; ?>"
				},
				contentType: "application/json",
				datatype: "json",
				jsonReader: {
					id: "id",
					repeatitems: true
				},
				mtype: "POST",
				colNames: [
					localTranslation["irek_art"][$globlan],
					"#",
					localTranslation["type"][$globlan]
				],
				colModel: [
					{ 
						name: "rtype", 
						width: 200,
						template: cmTemplate
					},
					{ 
						name: "cnt", 
						width: 50, 
						template: cmTemplate
					},
					{
						name: "rgroup", 
						width: 120,
						template: cmTemplate
					}
				],
				regional: $globlan,
				storeNavOptions : true,			
				loadonce: true,
				pager: "",
				height: 250,
				rowNum: 100,
				rowList: [],
				hoverrows: false,
				rownumbers: false,
				sortname: "rtype",
				sortorder: "desc",
				viewrecords: false,
				gridview: true,
				autoencode: true,
				ignoreCase:true,
				loadui: "block",
				loadComplete: function() {	
					$("th[role='columnheader']")
						.unbind("mouseenter")
						.unbind("mouseleave");
					$('.ui-search-toolbar').hide();
				}
			}
			list2 = $("#list").jqGrid(obj)
				.jqGrid('filterToolbar',{searchOperators : false, searchOnEnter: false});		
		}	
		function load_page() {
			$("#qulabel").text(localTranslation['quarter'][$globlan]+": <?php echo $_REQUEST['qu']; ?>");
			gettable();
		}	
		load_page();
	</script>
</body>
</html>
