<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />		
	<?php include_once(dirname(__FILE__)."/tools/all_header.php"); global $c_scheme, $timezone, $rel_path; ?>
	<script>
		var js_debug = false;
		$data_changed = false;		
	</script>
	
    <title>Analysis open actions</title>
		
	<link rel="stylesheet" href="./css/qb.php" />
	<link rel="stylesheet" href="./jqGrid_5.2.1/css/ui.jqgrid.css" />
	
	<style>
		.ui-jqgrid tr.jqgrow td{
			white-space:nowrap;
			height: 18px !important;
		}
		#pager_left{
			padding-top: 5px;
		}		
	</style>
	
	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>
	
	<?php 
		foreach(explode(":", $qb_support->getLanOnly()) as $key=>$value) {
			echo '<script src="./jqGrid_5.2.1/js/i18n/grid.locale-' . $value . '.js"></script>';
		}
	?>
	<script src="./jqGrid_5.2.1/js/jquery.jqGrid.min.js"></script>	

	<script>
	// load translation and save in localTranslation
		<?php	
			$ini_anoactions = parse_ini_file($rel_path.'i18n/a_noactions.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_anoactions as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$ddr = ":".$ini_anoactions['all'][$_SESSION['lng']];
			$ini_qbstatus = parse_ini_file($rel_path.'xml/qb_status.ini', true);	
			echo "qbstatusTranslation = {};";
			foreach($ini_qbstatus as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "qbstatusTranslation['".$key."']={".rtrim($add, ',')."};";
				if (in_array($key, array('N','O','S','C'))) {
					$ddr .= ";".$key.":".$value[$_SESSION['lng']];
				}				
			}
			echo "var ddr = '".$ddr."';";
			$ddt = ":".$ini_anoactions['all'][$_SESSION['lng']];
			$ini_qbtype = parse_ini_file($rel_path.'xml/qb_type.ini', true);	
			echo "qbtypeTranslation = {};";
			foreach($ini_qbtype as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "qbtypeTranslation['".$key."']={".rtrim($add, ',')."};";
				$ddt .= ";".$key.":".$value[$_SESSION['lng']];			
			}
			echo "var ddt = '".$ddt."';";
		?>
	</script>
</head>
<body>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
			<?php 
				echo "<div id='mainnav'>". $qb_support->get_main_menu(2) . "</div>";
			?>
			<div class="dtop">
				<span class="icn3_arraoleft_w_n clckbtn" style="float: left; font-size: 30px; margin-left: 5px;" data-type="title" data-lan="prev" title="<?php echo $ini_anoactions['prev'][$_SESSION['lng']]; ?>" onclick="backtoanalysis()"></span>
				<span data-type="text" data-lan="no_actions"><?php echo $ini_anoactions['no_actions'][$_SESSION['lng']]; ?></span>
			</div>
			<div style="display: inline-block; width: 1000px; text-align: center; margin-left: 5px; overflow: scroll;">
				<table id="list"></table> 
				<div id="pager"></div> 
			</div>
		</div>
		<?php include_once($rel_path.'footer.php'); ?>
	</div>
	<script>
		function load_page() {
			start_search();
		}
		function c_lan(loc) {
			translate_header($globlan);	
			translate_mainmenu($globlan);
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {	
				switch ($(this).data("type")) {
					case "text":		
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "date":
						$(this).val(localizedate($($(this).data("lan")).val()));
						break;						
				}
			});	
			$.jgrid.setRegional('list',{regional: $globlan});
			$("#list").jqGrid('setLabel', "qbn", localTranslation["qbn"][$globlan])
				.jqGrid('setLabel', "rdate", localTranslation["date"][$globlan])
				.jqGrid('setLabel', "visum", localTranslation["nname"][$globlan])
				.jqGrid('setLabel', "dep", localTranslation["department"][$globlan])
				.jqGrid('setLabel', "qbl", localTranslation["type"][$globlan])
				.jqGrid('setLabel', "doc", localTranslation["form"][$globlan])
				.jqGrid('setLabel', "status", localTranslation["status"][$globlan])
				.jqGrid('setLabel', "svt", localTranslation["svt"][$globlan])
				.jqGrid('setLabel', "svtdep", localTranslation["department"][$globlan])
				.jqGrid('setLabel', "pl", localTranslation["pl"][$globlan])
				.jqGrid('setLabel', "pldep", localTranslation["department"][$globlan]);
			$("#gs_status").find("option").each(function(idx, obj) {
				if ($(this).val() == "") {
					$(this).text(localTranslation["all"][$globlan]);
				} else {
					$(this).text(qbstatusTranslation[$(this).val()][$globlan]);
				}
			});
			$("#gs_qbl").find("option").each(function(idx, obj) {
				if ($(this).val() == "") {
					$(this).text(localTranslation["all"][$globlan]);
				} else {
					$(this).text(qbtypeTranslation[$(this).val()][$globlan]);
				}
			});
			$("#gs_doc").find("option").each(function(idx, obj) {
				if ($(this).val() == "") {
					$(this).text(localTranslation["all"][$globlan]);
				} else {
					$(this).text(localTranslation[$(this).val()][$globlan]);
				}
			});	
			$("#list").trigger("reloadGrid");
		}	
		function backtoanalysis() {
			window.location.href="./analysis.php";
		}
		function StatusFormatter (cellvalue, options, rowObject)
		{
			return qbstatusTranslation[cellvalue][$globlan];
		}	
		function ArtFormatter (cellvalue, options, rowObject)
		{
			return qbtypeTranslation[cellvalue][$globlan];
		}	
		function FormFormatter (cellvalue, options, rowObject)
		{
			return localTranslation[cellvalue][$globlan];
		}
		function start_search() {
			$("#loading").show();		
			cmTemplate = {
				searchoptions: {
					sopt:['cn'], 
					clearSearch: false
				},
				editable: false,
				sorttype:'string'
			};		
			obj = {
				url:  "./tools/a_noactions_api.php",
				postData: {routine : "getlist"},
				contentType: "application/json",
				datatype: "json",
				jsonReader: {
					id: "id",
					repeatitems: true
				},
				mtype: "POST",
				colNames: [
					localTranslation["qbn"][$globlan],
					localTranslation["date"][$globlan],
					localTranslation["nname"][$globlan],
					localTranslation["department"][$globlan],
					localTranslation["type"][$globlan],				
					localTranslation["form"][$globlan],
					localTranslation["status"][$globlan],
					localTranslation["svt"][$globlan],
					localTranslation["department"][$globlan],
					localTranslation["pl"][$globlan],
					localTranslation["department"][$globlan],				
					"",
					"",
					""
				],
				colModel: [
					{ 
						name: "qbn",
						template: cmTemplate,
						width: 90
					},
					{ 
						name: "rdate",
						template: cmTemplate,					
						width: 120
					},
					{
						name: "visum", 
						template: cmTemplate,
						width: 180
					},
					{ 
						name: "dep", 
						template: cmTemplate,
						width: 110
					},
					{
						name: "qbl",
						template: cmTemplate,					
						width: 130,
						stype: 'select',					
						searchoptions:
						{
							value: ddt,
							clearSearch: false,
							searchOperators: false
						},					
						formatter: ArtFormatter
					},				
					{ 
						name: "doc",
						template: cmTemplate,
						width: 170,
						stype: 'select',
						searchoptions:
						{
							value: ":"+localTranslation['all'][$globlan]+";I:"+localTranslation['I'][$globlan]+";D:"+localTranslation['D'][$globlan]
						},					
						formatter: FormFormatter
					},
					{
						name: "status",
						template: cmTemplate,					
						width: 130,
						stype: 'select',					
						searchoptions:
						{
							value: ddr,
							clearSearch: false,
							searchOperators: false
						},					
						formatter: StatusFormatter
					},
					{
						name: "svt", 
						template: cmTemplate,
						width: 180
					},
					{ 
						name: "svtdep", 
						template: cmTemplate,
						width: 110
					},
					{
						name: "pl", 
						template: cmTemplate,
						width: 180
					},
					{ 
						name: "pldep", 
						template: cmTemplate,
						width: 110
					},				
					{
						name: "sts", 
						hidden: true
					},
					{
						name: "qblc", 
						hidden: true
					},
					{
						name: "doc2", 
						hidden: true
					}								
				],
				regional: $globlan,
				storeNavOptions : true,			
				loadonce: false,
				pager: "#pager",
				recordpos: "left",
				height: 490,
				rowNum: 100,
				rowList: [10, 100, 500, 1000, 1500],
				hoverrows: false,
				rownumbers: true,
				sortname: "doc2",
				sortorder: "desc",
				viewrecords: true,
				gridview: true,
				autoencode: true,
				ignoreCase:true,
				loadui: "block",
				onRightClickRow: function (rowid, iRow, iCol, e) {
					window.localStorage.setItem("qb", $("#list").jqGrid('getRowData', rowid).qbn);
					$.ajax({
						url: "./tools/general_api.php",
						data: {
							routine: "get_qbs",
							qbn: $("#list").jqGrid('getRowData', rowid).qbn
						},
						success: function(result) {
							window.localStorage.setItem("qbn", result.substring(1, result.length-1));				
							window.open(
								'./basic.php',
								'_blank'
							);
							return false;
						}		
					});
					return false;
				},			
				loadComplete: function() {
					$("th[role='columnheader']")
						.unbind("mouseenter")
						.unbind("mouseleave");
					$(".ui-search-toolbar input[role='textbox']")
						.css("width", "92%")
						.css("background", "<?php echo $c_scheme['M5']; ?>")
						.css("padding", "2px");	
					$(".ui-search-toolbar select[role='select']")
						.removeClass("ui-corner-all")
						.css("background", "<?php echo $c_scheme['M5']; ?>")
						.css("padding", "2px");	
					var rows = $("#list").getDataIDs();
					for(a=0;a<rows.length;a++)
					{
						row = $("#list").getRowData(rows[a]);
						switch(row.sts) {
							case "N":
								$("#list").setCell (rows[a], 'status','',{'background':'<?php echo $c_scheme['SN']; ?>'});
								break;					
							case "O":
								$("#list").setCell (rows[a], 'status','',{'background':'<?php echo $c_scheme['SO']; ?>'});
								break;
							case "S":
								$("#list").setCell (rows[a], 'status','',{'background':'<?php echo $c_scheme['ST']; ?>'});
								break;
							case "C":
								$("#list").setCell (rows[a], 'status','',{'background':'<?php echo $c_scheme['SC']; ?>'});
								break;
						}
						switch(row.qblc) {
							case "L":
								$("#list").setCell (rows[a], 'qbl','',{'background':'<?php echo $c_scheme['TL']; ?>'});
								break;					
							case "T":
								$("#list").setCell (rows[a], 'qbl','',{'background':'<?php echo $c_scheme['TT']; ?>'});
								break;
							case "N":
								$("#list").setCell (rows[a], 'qbl','',{'background':'<?php echo $c_scheme['TN']; ?>'});
								break;								
						}					
					}				
				}			
			};
			list1 = $("#list").jqGrid(obj)
				.jqGrid('filterToolbar',{searchOperators : false, searchOnEnter: false})
				.navGrid('#pager', {refresh: false, search: false, edit: false, del: false, add: false});
			$("#loading").hide();
		}
		load_page();
	</script>
</body>
</html>