<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />		
	<?php include_once(dirname(__FILE__)."/tools/all_header.php"); global $c_scheme, $timezone, $rel_path; ?>
	<script>
		var js_debug = false;
		$data_changed = false;		
	</script>
	
    <title>Open AIs</title>

	<link rel="stylesheet" href="./css/qb.php" />
	<link rel="stylesheet" href="./jqGrid_5.2.1/css/ui.jqgrid.css" />
	
	<style>
		.ui-jqgrid tr.jqgrow td{
			white-space:nowrap;
			height: 18px !important;
		}
		#pager_left
		{
			padding-top: 5px;
		}		
	</style>
	
	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>
	
	<?php 
		foreach(explode(":", $qb_support->getLanOnly()) as $key=>$value) {
			echo '<script src="./jqGrid_5.2.1/js/i18n/grid.locale-' . $value . '.js"></script>';
		}
	?>
	<script src="./jqGrid_5.2.1/js/jquery.jqGrid.min.js"></script>
		
	<script>
	// load translation and save in localTranslation
		<?php	
			$ini_aopenai = parse_ini_file($rel_path.'i18n/a_openai.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_aopenai as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
		?>
	</script>
</head>
<body>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
			<?php 
				echo "<div id='mainnav'>". $qb_support->get_main_menu(2) . "</div>";
			?>
			<div class="dtop">
				<span class="icn3_arraoleft_w_n clckbtn" style="float: left; font-size: 30px; margin-left: 5px;" data-type="title" data-lan="prev" title="<?php echo $ini_aopenai['prev'][$_SESSION['lng']]; ?>" onclick="backtoanalysis()"></span>
				<span data-type="text" data-lan="open_ai"><?php echo $ini_aopenai['open_ai'][$_SESSION['lng']]; ?></span>
			</div>
			<div style="display: inline-block; width: 670px; text-align: center;margin-left: 10px;">
				<table id="list"></table> 
				<div id="pager"></div> 
			</div>
		</div>
		<?php include_once($rel_path.'footer.php'); ?>
	</div>
	<script>
		function load_page() {
			start_search();
		}
		function c_lan() {
			translate_header($globlan);	
			translate_mainmenu($globlan);
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {	
				switch ($(this).data("type")) {
					case "text":		
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "date":
						$(this).val(localizedate($($(this).data("lan")).val()));
						break;						
				}
			});
			$.jgrid.setRegional('list',{regional: $globlan});
			$("#list").jqGrid('setLabel', "qbn", localTranslation["qbn"][$globlan])
				.jqGrid('setLabel', "until", localTranslation["date"][$globlan])
				.jqGrid('setLabel', "visum", localTranslation["nname"][$globlan])
				.jqGrid('setLabel', "dep", localTranslation["department"][$globlan])
				.jqGrid('setLabel', "doc", localTranslation["form"][$globlan])
				.jqGrid('setLabel', "what", localTranslation["what"][$globlan]);
			$("#gs_doc").find("option").each(function(idx, obj) {
				if ($(this).val() == "") {
					$(this).text(localTranslation["all"][$globlan]);
				} else {
					$(this).text(localTranslation[$(this).val()][$globlan]);
				}
			});
			$("#list").trigger("reloadGrid");
		}
		function backtoanalysis() {
			window.location.href="./analysis.php";
		}
		function FormFormatter (cellvalue, options, rowObject)
		{
			return localTranslation[cellvalue][$globlan];
		}
		function DescFormatter (cellvalue, options, rowObject)
		{	
			return cellvalue;
		}			
		function start_search() {
			$("#loading").show();
			cmTemplate = {
				searchoptions: {
					sopt:['cn'], 
					clearSearch: false
				},
				editable: false,
				sorttype:'string'
			};
			obj = {
				url:  "./tools/a_openai_api.php",
				postData: {routine : "getlist"},
				contentType: "application/json",
				datatype: "json",
				jsonReader: {
					id: "id",
					repeatitems: true
				},
				mtype: "POST",
				colNames: [
					localTranslation["qbn"][$globlan],
					localTranslation["date"][$globlan],
					localTranslation["nname"][$globlan],
					localTranslation["department"][$globlan],
					localTranslation["form"][$globlan],
					localTranslation["what"][$globlan],
					""
				],
				colModel: [
					{ 
						name: "qbn", 
						template: cmTemplate,
						width: 90
					},
					{ 
						name: "until", 
						template: cmTemplate,
						width: 90
					},
					{
						name: "visum", 
						template: cmTemplate,
						width: 120
					},
					{ 
						name: "dep",
						template: cmTemplate,
						width: 90
					},
					{ 
						name: "doc", 
						template: cmTemplate,
						width: 140,
						stype: 'select',
						searchoptions:
						{
							value: ":"+localTranslation['all'][$globlan]+";I:"+localTranslation['I'][$globlan]+";D:"+localTranslation['D'][$globlan]
						},
						formatter: FormFormatter
					},
					{
						name: "what", 
						template: cmTemplate,
						width: 400,
						formatter: DescFormatter
					},
					{
						name: "doc2", 
						hidden: true
					}						
				],
				regional: $globlan,
				storeNavOptions : true,			
				loadonce: false,
				pager: "#pager",
				recordpos: "left",
				height: 510,
				rowNum: 100,
				rowList: [10, 100, 500, 1000, 1500],
				hoverrows: false,
				rownumbers: true,
				sortname: "qbn",
				sortorder: "desc",
				viewrecords: true,
				gridview: true,
				autoencode: true,
				ignoreCase:true,
				loadui: "block",
				onRightClickRow: function (rowid, iRow, iCol, e) {
					window.localStorage.setItem("qb", $("#list").jqGrid('getRowData', rowid).qbn);
					$.ajax({
						url: "./tools/general_api.php",
						data: {
							routine: "get_qbs",
							qbn: $("#list").jqGrid('getRowData', rowid).qbn
						},
						success: function(result) {
							window.localStorage.setItem("qbn", result.substring(1, result.length-1));				
							if ($("#list").jqGrid('getRowData', rowid).doc2 == "I") {
								window.open(
									'./immediate.php',
									'_blank'
								);
							} else {
								window.open(
									'./definitive.php',
									'_blank'
								);
							}	
							return false;
						}		
					});	
					return false;
				},			
				loadComplete: function() {
					$("th[role='columnheader']")
						.unbind("mouseenter")
						.unbind("mouseleave");
					$(".ui-search-toolbar input[role='textbox']")
						.css("width", "92%")
						.css("background", "<?php echo $c_scheme['M5']; ?>")
						.css("padding", "2px");
					$(".ui-search-toolbar select[role='select']")
						.removeClass("ui-corner-all")
						.css("background", "<?php echo $c_scheme['M5']; ?>")
						.css("padding", "2px");						
				}
			};
			list1 = $("#list").jqGrid(obj)
				.jqGrid('filterToolbar',{searchOperators : false, searchOnEnter: false})
				.navGrid('#pager', {refresh: false, search: false, edit: false, del: false, add: false});
			$("#loading").hide();
		}
		load_page();
	</script>
</body>
</html>