<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />		
	<?php include_once(dirname(__FILE__)."/tools/all_header.php"); global $c_scheme, $timezone, $rel_path; ?>
	<script>
		var js_debug = false;
		$data_changed = false;		
	</script>
	
    <title>QB technical Closure</title>
			
	<link rel="stylesheet" href="./css/qb.php" />
	<link rel="stylesheet" href="./jqGrid_5.2.1/css/ui.jqgrid.css" />
	
	<style>
		.ui-jqgrid tr.jqgrow td{
			white-space:nowrap;
			height: 18px !important;
		}
		#pager_left{
			padding-top: 5px;
		}	
	</style>
	
	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>
	
	<?php 
		foreach(explode(":", $qb_support->getLanOnly()) as $key=>$value) {
			echo '<script src="./jqGrid_5.2.1/js/i18n/grid.locale-' . $value . '.js"></script>';
		}
	?>
	<script src="./jqGrid_5.2.1/js/jquery.jqGrid.min.js"></script>	

	<script>
	// load translation and save in localTranslation
		<?php	
			$ini_aqb_r_g = parse_ini_file($rel_path.'i18n/a_qb_r_g.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_aqb_r_g as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$ini_rekart = parse_ini_file($rel_path.'xml/r_type.ini', true);	
			echo "rekartTranslation = {};";
			foreach($ini_rekart as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "rekartTranslation['".$key."']={".rtrim($add, ',')."};";
			}				
		?>
	</script>
</head>
<body>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
			<?php 
				echo "<div id='mainnav'>". $qb_support->get_main_menu(2) . "</div>";
			?>
			<div class="dtop">
				<span class="icn3_arraoleft_w_n clckbtn" style="float: left; font-size: 30px; margin-left: 5px;" data-type="title" data-lan="prev" title="<?php echo $ini_aqb_r_g['prev'][$_SESSION['lng']]; ?>" onclick="backtoanalysis()"></span>
				<span data-type="text" data-lan="qb_r_g"><?php echo $ini_aqb_r_g['qb_r_g'][$_SESSION['lng']]; ?></span>
			</div>
			<div id="btn_div" class="btn_div">
				<label data-type="text" data-lan="interval" class="dlabel vam w75"><?php echo $ini_aqb_r_g['interval'][$_SESSION['lng']]; ?></label>
				<select id="intervall" onchange="start()">
					<option value="7">7</option>
					<option value="14">14</option>
					<option selected value="21">21</option>
					<option value="28">28</option>
					<option value="30">30</option>
					<option value="60">60</option>
					<option value="90">90</option>
          <option value="120">120</option>
          <option value="180">180</option>
          <option value="365">365</option>
				</select>
				<label data-type="text" data-lan="days1" class="dlabel vam"><?php echo $ini_aqb_r_g['days1'][$_SESSION['lng']]; ?></label>
			</div>
			<div style="display: inline-block; ">
				<table id="list"></table> 
				<div id="pager"></div> 
			</div>
		</div>
		<?php include_once($rel_path.'footer.php'); ?>
	</div>
	<script>
		function load_page() {	
			start_search();
		}
	// switch language
		function c_lan() {
			translate_header($globlan);	
			translate_mainmenu($globlan);
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {	
				switch ($(this).data("type")) {
					case "text":		
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "date":
						$(this).val(localizedate($($(this).data("lan")).val()));
						break;						
				}
			});			
			$.jgrid.setRegional('list',{regional: $globlan});
			$("#list").jqGrid('setLabel', "qbn", localTranslation["qbn"][$globlan])
				.jqGrid('setLabel', "accdat", localTranslation["date"][$globlan])
				.jqGrid('setLabel', "svt", localTranslation["svt"][$globlan])
				.jqGrid('setLabel', "pl", localTranslation["pl"][$globlan])
				.jqGrid('setLabel', "rtype", localTranslation["type"][$globlan])
				.jqGrid('setLabel', "descr", localTranslation["des"][$globlan])
				.trigger('reloadGrid');
		}
		function backtoanalysis() {
			window.location.href="analysis.php";
		}
		function rtypeFormatter(cellvalue, options, rowObject) 
		{
			return rekartTranslation[cellvalue][$globlan];
		}
		function DescFormatter (cellvalue, options, rowObject)
		{	
			return cellvalue;
		}			
		function start_search() {
			$("#loading").show();
			cmTemplate = {
				searchoptions: {
					sopt:['cn'], 
					clearSearch: false
				},
				editable: false,			
				sorttype:'string'
			};	
			obj = {
				url:  "./tools/a_qb_r_g_api.php",
				postData: {
					routine: "getlist",
					qblan: $globlan,
					ddif: $("#intervall").val()
				},
				contentType: "application/json",
				datatype: "json",
				jsonReader: {
					id: "id",
					repeatitems: true
				},
				mtype: "POST",
				colNames: [
					localTranslation["qbn"][$globlan],
					localTranslation["date"][$globlan],
					localTranslation["svt"][$globlan], 
					localTranslation["pl"][$globlan],
					localTranslation["type"][$globlan],
					localTranslation["des"][$globlan],
					""
				],
				colModel: [
					{ 
						name: "qbn", 
						width: 90,
						template: cmTemplate
					},
					{ 
						name: "accdat", 
						width: 90, 
						template: cmTemplate
					},
					{
						name: "svt", 
						width: 130,
						template: cmTemplate
					},
					{ 
						name: "pl", 
						width: 130,
						template: cmTemplate
					},
					{
						name: "rtype", 
						width: 90,
						template: cmTemplate,
						formatter: rtypeFormatter
					},				
					{
						name: "descr", 
						width: 200,
						template: cmTemplate,
						formatter: DescFormatter
					},
					{
						name: "sts", 
						hidden: true
					}				
				],
				pager: "#pager",
				height: 510,
				rowNum: 100,
				rowList: [10, 100, 500, 1000, 1500],
				hoverrows: false,
				rownumbers:true,
				sortname: "qbn",
				sortorder: "desc",
				viewrecords: true,
				gridview: true,
				autoencode: true,
				ignoreCase:true,
				loadui: "block",
				onRightClickRow: function (rowid, iRow, iCol, e) {
					window.localStorage.setItem("qb", $("#list").jqGrid('getRowData', rowid).qbn);
					$.ajax({
						url: "./tools/general_api.php",
						data: {
							routine: "get_qbs",
							qbn: $("#list").jqGrid('getRowData', rowid).qbn
						},
						success: function(result) {
							window.localStorage.setItem("qbn", result.substring(1, result.length-1));				
							window.open(
								'./basic.php',
								'_blank'
							);
							return false;
						}		
					});
					return false;
				},			
				loadComplete: function() {
					$("th[role='columnheader']")
						.unbind("mouseenter")
						.unbind("mouseleave");
					$(".ui-search-toolbar input[role='textbox']")
						.css("width", "92%")
						.css("background", "<?php echo $c_scheme['M5']; ?>")
						.css("padding", "2px");
						
					var rows = $("#list").getDataIDs();
					for(a=0;a<rows.length;a++)
					{
						row = $("#list").getRowData(rows[a]);
						switch(row.sts) {
							case "N":
								$("#list").setCell (rows[a], "qbn","",{"background":"<?php echo $c_scheme['SN']; ?>"});
								break;					
							case "O":
								$("#list").setCell (rows[a], "qbn","",{"background":"<?php echo $c_scheme['SO']; ?>"});
								break;
							case "S":
								$("#list").setCell (rows[a], "qbn","",{"background":"<?php echo $c_scheme['ST']; ?>"});
								break;
							case "C":
								$("#list").setCell (rows[a], "qbn","",{"background":"<?php echo $c_scheme['SC']; ?>"});
								break;
						}
					}					
				}			
			};
			list = $("#list").jqGrid(obj)
				.jqGrid('filterToolbar',{searchOperators : false, searchOnEnter: false})
				.navGrid('#pager', {refresh: false, search: false, edit: false, del: false, add: false});
			$("#loading").hide();
		}
		function start() {
			$("#list").setGridParam({postData: {routine: "getlist", ddif: $("#intervall").val()}}).trigger( 'reloadGrid' );
		}
		load_page();
	</script>
</body>
</html>