<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />		
	<?php include_once(dirname(__FILE__)."/tools/all_header.php"); global $c_scheme, $timezone, $rel_path; ?>
	<script>
		var js_debug = false;
		$data_changed = false;		
	</script>
	
    <title>Analysis WGR Table</title>
		
	<link rel="stylesheet" href="./css/qb.php" />
	<link rel="stylesheet" href="./jqGrid_5.2.1/css/ui.jqgrid.css" />
	
	<style>
		.ui-jqgrid tr.jqgrow td{
			white-space:nowrap;
			height: 18px !important;
		}
		#pager_left
		{
			padding-top: 5px;
		}		
	</style>
	
	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>
	
	<?php 
		foreach(explode(":", $qb_support->getLanOnly()) as $key=>$value) {
			echo '<script src="./jqGrid_5.2.1/js/i18n/grid.locale-' . $value . '.js"></script>';
		}
	?>
	<script src="./jqGrid_5.2.1/js/jquery.jqGrid.min.js"></script>		

	<script>
	// load translation and save in localTranslation
		<?php	
			$ini_awgr = parse_ini_file($rel_path.'i18n/a_wgr.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_awgr as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$cal = parse_ini_file($rel_path.'i18n/calendar.ini', true);
			echo "calTranslation = {};";
			foreach($cal as $key=>$value){
				$add = "";
				if ($value['tpe'] == "S") {
					foreach($value AS $lan=>$trans){
						if ($lan != "tpe") $add .= "'".$lan."':'".$trans."',";
					}
				} else {
					foreach($value AS $lan=>$trans){
						if ($lan != "tpe") {
							$tar = explode(",", $trans);
							$tar = implode("','", $tar);
							$add .= "'".$lan."': ['".$tar."'],";
						}
					}				
				}
				echo "calTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$ini_qbstatus = parse_ini_file($rel_path.'xml/qb_status.ini', true);
			$ddr = ":".$ini_awgr['all'][$_SESSION['lng']];			
			echo "qbstatusTranslation = {};";
			foreach($ini_qbstatus as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "qbstatusTranslation['".$key."']={".rtrim($add, ',')."};";
				if (in_array($key, array('N','O','S','C'))) {
					$ddr .= ";".$key.":".$value[$_SESSION['lng']];
				}				
			}
			echo "var ddr = '".$ddr."';";			
		?>	
	</script>
</head>
<body>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
			<?php 
				echo "<div id='mainnav'>". $qb_support->get_main_menu(2) . "</div>";
			?>
			<div class="dtop">
				<span class="icn3_arraoleft_w_n clckbtn" style="float: left; font-size: 30px; margin-left: 5px;" data-type="title" data-lan="prev" title="<?php echo $ini_awgr['prev'][$_SESSION['lng']]; ?>" onclick="backtoanalysis()"></span>
				<span data-type="spant" data-lan="wgr"><?php echo $ini_awgr['wgr'][$_SESSION['lng']]." (".$_REQUEST['cc'].")"; ?></span>
			</div>
			<div id="btn_div" class="btn_div">
				<label class="dlabel vam w50" data-type="text" data-lan="start" ><?php echo $ini_awgr['start'][$_SESSION['lng']]; ?></label>
				<input type="text" id="sdat" data-type="date" data-lan="#sdat_org" class="dinputw vam w75" value="" readonly />
				<input type="hidden" id="sdat_org" value="<?php echo $_REQUEST['s']; ?>" />
				<br style="margin: 10px 0;" />
				<label class="dlabel vam w50" data-type="text" data-lan="ende" ><?php echo $ini_awgr['ende'][$_SESSION['lng']]; ?></label>
				<input type="text" id="edat" data-type="date" data-lan="#edat_org" class="dinputw vam w75" value="" readonly />
				<input type="hidden" id="edat_org" value="<?php echo $_REQUEST['e']; ?>" />
			</div>
			<div style="display: inline-block;">
				<table id="list"></table> 
				<div id="pager"></div> 
			</div>
			<input type="hidden" id="awgrt" value="<?php echo $_REQUEST['cc']; ?>" />
			<input type="hidden" id="clss" value="<?php echo $_REQUEST['cl']; ?>" />
		</div>
		<?php include_once($rel_path.'footer.php'); ?> 		
	</div>
	<script>
		$("#sdat").val(localizedate("<?php echo $_REQUEST['s']; ?>"));
		$("#edat").val(localizedate("<?php echo $_REQUEST['e']; ?>"));	

		function load_page() {	
			fill_table();
		}
		function c_lan() {
			translate_header($globlan);	
			translate_mainmenu($globlan);
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {			
				switch ($(this).data("type")) {
					case "text":		
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "date":
						$(this).val(localizedate($($(this).data("lan")).val()));
						break;
					case "spant":
						$(this).text(localTranslation["wgr"][$globlan]+" ("+$("#awgr").val()+")");
						break;
				}
			});
			$.jgrid.setRegional('list',{regional: $globlan});
			$("#list").jqGrid('setLabel', "qbn", localTranslation["qbn"][$globlan])
				.jqGrid('setLabel', "qbdat", localTranslation["date"][$globlan])
				.jqGrid('setLabel', "wgr", localTranslation["wgr"][$globlan])
				.jqGrid('setLabel', "mat", localTranslation["imat"][$globlan])
				.jqGrid('setLabel', "des", localTranslation["des"][$globlan]);
			$("#gs_status").find("option").each(function(idx, obj) {
				if ($(this).val() == "") {
					$(this).text(localTranslation["all"][$globlan]);
				} else {
					$(this).text(qbstatusTranslation[$(this).val()][$globlan]);
				}
			});
			$("#list").trigger("reloadGrid");				
		}
		function backtoanalysis() {
			window.location.href = "./a_wgrg.php";
		}
		function StatusFormatter (cellvalue, options, rowObject)
		{
			var ctext = qbstatusTranslation[cellvalue][$globlan];
			return ctext;
		}
		function DescFormatter (cellvalue, options, rowObject)
		{
			return cellvalue;
		}			
		function fill_table() {	
			$("#loading").show();		
			cmTemplate = {
				sorttype:'string',
				editable: false,
				searchoptions: {
					sopt:['cn'], 
					clearSearch: false
				}
			};			
			obj = {
				url:  "./tools/a_wgr_api.php",
				postData: {
					routine: "search",
					sdate: $("#sdat_org").val(),
					edate: $("#edat_org").val(),
					wgr1: "'"+$("#awgrt").val()+"'",
					clss: $("#clss").val()
				},
				contentType: "application/json",
				datatype: "json",
				jsonReader: {
					id: "id",
					repeatitems: true
				},
				mtype: "POST",
				colNames: [
					localTranslation["qbn"][$globlan],
					localTranslation["date"][$globlan], 
					localTranslation["imat"][$globlan],
					localTranslation["status"][$globlan],
					localTranslation["des"][$globlan],
					""
				],
				colModel: [
					{ 
						name: "qbn", 
						width: 70, 
						template: cmTemplate
					},				
					{
						name: "qbdat", 
						width: 70,
						template: cmTemplate
					},
					{
						name: "mat", 
						width: 120,
						template: cmTemplate
					},
					{
						name: "status", 
						width: 120,
						template: cmTemplate,
						stype: 'select',					
						searchoptions:
						{
							value: ddr,
							clearSearch: false,
							searchOperators: false
						},	
						formatter: StatusFormatter
					},				
					{ 
						name: "des", 
						width: 355, 
						editable: false,			
						sorttype:'string', 
						searchoptions:
						{
							sopt:['cn','nc','bw','eq','bn','ew','en'],
							clearSearch: false
						},
						formatter: DescFormatter
					},
					{
						name: "sts", 
						hidden: true
					}				
				],
				regional: $globlan,
				storeNavOptions : true,			
				loadonce: false,
				pager: "#pager",
				recordpos: "left",
				height: 510,
				rowNum: 100,
				rowList: [10, 100, 500, 1000, 1500],
				hoverrows: false,
				rownumbers:true,
				sortname: "qbn",
				sortorder: "desc",
				viewrecords: true,
				gridview: true,
				autoencode: true,
				ignoreCase:true,
				loadui: "block",
				onRightClickRow: function (rowid, iRow, iCol, e) {					
					window.localStorage.setItem("qb", $("#list").jqGrid('getRowData', rowid).qbn);
					$.ajax({
						url: "./tools/general_api.php",
						data: {
							routine: "get_qbs",
							qbn: $("#list").jqGrid('getRowData', rowid).qbn
						},
						success: function(result) {
							window.localStorage.setItem("qbn", result.substring(1, result.length-1));				
							window.open(
								'./basic.php',
								'_blank'
							);
							return false;
						}		
					});								
					return false;
				},			
				loadComplete: function() {
					$.each($(".soptclass"), function(key, value) {
						if ($(this).attr("colname") != "des") {
							$(this).hide();
							$(this).parent().css("width", "0");
						}
					});	
					$("th[role='columnheader']")
						.unbind("mouseenter")
						.unbind("mouseleave");
					$(".ui-search-toolbar input[role='textbox']")
						.css("width", "92%")
						.css("background", "<?php echo $c_scheme['M5']; ?>")
						.css("padding", "2px");	
					$(".ui-search-toolbar select[role='select']")
						.removeClass("ui-corner-all")
						.css("background", "<?php echo $c_scheme['M5']; ?>")
						.css("padding", "2px");						
					$("#gs_status").css("width", "115px");	
					var rows = $("#list").getDataIDs();
					for(a=0;a<rows.length;a++)
					{
						row = $("#list").getRowData(rows[a]);
						switch(row.sts) {
							case "N":
								$("#list").setCell (rows[a], "status","",{"background":"<?php echo $c_scheme['SN']; ?>"});
								break;					
							case "O":
								$("#list").setCell (rows[a], "status","",{"background":"<?php echo $c_scheme['SO']; ?>"});
								break;
							case "S":
								$("#list").setCell (rows[a], "status","",{"background":"<?php echo $c_scheme['ST']; ?>"});
								break;
							case "C":
								$("#list").setCell (rows[a], "status","",{"background":"<?php echo $c_scheme['SC']; ?>"});
								break;
						}
					}
				}			
			};
			list1 = $("#list").jqGrid(obj)
				.jqGrid('filterToolbar',{searchOperators : true, searchOnEnter: false})
				.jqGrid('navGrid', '#pager', {refresh: false, search: false, edit: false, del: false, add: false});
			$("#loading").hide();
		}
		load_page();
	</script>
</body>
</html>
