<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />	
	<?php include_once(dirname(__FILE__)."/tools/all_header.php"); global $c_scheme, $timezone, $rel_path; ?>
	<script>
		var js_debug = false;
		$data_changed = false;		
	</script>
	
    <title>Analysis Immediate Closure</title>
			
	<link rel="stylesheet" href="./css/qb.php" />
	<link rel="stylesheet" href="./jqGrid_5.2.1/css/ui.jqgrid.css" />
	
	<style>
		.ui-jqgrid tr.jqgrow td{
			white-space:nowrap;
			height: 18px !important;
		}
		#gbox_list2
		{
			border: 1px solid <?php echo $c_scheme['R2']; ?>;
		}
		#pager_left
		{
			padding-top: 5px;
		}
	</style>
	
	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>
	
	<?php 
		foreach(explode(":", $qb_support->getLanOnly()) as $key=>$value) {
			echo '<script src="./jqGrid_5.2.1/js/i18n/grid.locale-' . $value . '.js"></script>';
		}
	?>
	<script src="./jqGrid_5.2.1/js/jquery.jqGrid.min.js"></script>

	<?php
		$query = "
			SELECT 
				DATE_FORMAT(NOW(), '%Y-%m-%d'), 
				DATEDIFF(MAX(QBREGDATE), NOW()), 
				DATEDIFF(MIN(QBREGDATE), NOW()),
				MIN(QBREGDATE),
				MAX(QBREGDATE),
				IF (DATEDIFF(MAX(QBREGDATE), MIN(QBREGDATE)) > 365, DATE_SUB(MAX(QBREGDATE), INTERVAL 365 DAY), MIN(QBREGDATE))
			FROM 
				qbi 
			WHERE 
				QBSTATUS NOT IN ('M', 'D')
		";
		$stmt = $db->query($query);
		list($now, $diffmax, $diffmin, $min, $max, $lmin) = $stmt->fetch(PDO::FETCH_NUM );
	?>
	<script>
	// load translation and save in localTranslation
		<?php	
			$ini_axx = parse_ini_file($rel_path.'i18n/a_xx.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_axx as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$cal = parse_ini_file($rel_path.'i18n/calendar.ini', true);
			echo "calTranslation = {};";
			foreach($cal as $key=>$value){
				$add = "";
				if ($value['tpe'] == "S") {
					foreach($value AS $lan=>$trans){
						if ($lan != "tpe") $add .= "'".$lan."':'".$trans."',";
					}
				} else {
					foreach($value AS $lan=>$trans){
						if ($lan != "tpe") {
							$tar = explode(",", $trans);
							$tar = implode("','", $tar);
							$add .= "'".$lan."': ['".$tar."'],";
						}
					}				
				}
				echo "calTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$ini_rekart = parse_ini_file($rel_path.'xml/r_type.ini', true);	
			echo "rekartTranslation = {};";
			foreach($ini_rekart as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "rekartTranslation['".$key."']={".rtrim($add, ',')."};";
			}			
		?>
	</script>
</head>
<body>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
			<?php 
				echo "<div id='mainnav'>". $qb_support->get_main_menu(2) . "</div>";
			?>
			<div class="dtop">
				<span class="icn3_arraoleft_w_n clckbtn" style="float: left; font-size: 30px; margin-left: 5px;" data-type="title" data-lan="prev" title="<?php echo $ini_axx['prev'][$_SESSION['lng']]; ?>" onclick="backtoanalysis()"></span>
				<span data-type="text" data-lan="imm_close"><?php echo $ini_axx['imm_close'][$_SESSION['lng']]; ?></span>
			</div>
			<div id="btn_div" class="btn_div">
				<label class="dlabel vam w50" data-type="text" data-lan="start" ><?php echo $ini_axx['start'][$_SESSION['lng']]; ?></label>
				<input type="text" id="sdat" data-type="date" data-lan="#sdat_org" class="dinputw vam w75" value="" onchange="update_chart()" readonly />
				<input type="hidden" id="sdat_org" value="" />
				<input type="hidden" id="sdat_i" value="" />
				<br style="margin: 10px 0;" />
				<label class="dlabel vam w50" data-type="text" data-lan="ende" ><?php echo $ini_axx['ende'][$_SESSION['lng']]; ?></label>
				<input type="text" id="edat" data-type="date" data-lan="#edat_org" class="dinputw vam w75" value="" onchange="update_chart()" readonly />
				<input type="hidden" id="edat_org" value="" />
				<input type="hidden" id="edat_i" value="" />	
				<br />			
				<div style="text-align: center; margin-top: 30px;">
					<span class="spanbuttonp" data-type="text" data-lan="wo_admin" data-adm="false" onclick="toggle_admin(this)"><?php echo $ini_axx['wo_admin'][$_SESSION['lng']]; ?></span>
					<br />
					<br />
					<label class="dlabel vam w150" style="font-weight: bold;" data-type="text" data-lan="summary"><?php echo $ini_axx['summary'][$_SESSION['lng']]; ?></label>
					<table id="list2" ></table>
					<br />
					<span class="spanbuttonp" id="excel" data-type="text" data-lan="excel_export" onclick="export_excel()"><?php echo $ini_axx['excel_export'][$_SESSION['lng']]; ?></span>	
					<span class="spanbuttonp" id="grafic" data-type="text" data-lan="graph" onclick="export_grafic()"><?php echo $ini_axx['graph'][$_SESSION['lng']]; ?></span>	
				</div>
			</div>
			<div style="display: inline-block;">
				<table id="list"></table> 
				<div id="pager"></div> 
			</div>
		</div>
		<?php include_once($rel_path.'footer.php'); ?> 
	</div>
	<form name="xls" method="post" target="_blank" action = "./tools/axx_excel.php">
		<input type="hidden" name="colnames" id="colnames" value="" />
		<input type="hidden" name="filters" id="filters" value="" />
		<input type="hidden" name="s_d" id="s_d"value="" />
		<input type="hidden" name="e_d" id="e_d"value="" />	
		<input type="hidden" name="sd_org1" id="sd_org1"value="" />
		<input type="hidden" name="ed_org1" id="ed_org1"value="" />
		<input type="hidden" name="qblan" id="qblan"value="" />		
	</form>
	<form name="grfx" id="grfx" method="post" target="_top" action = "">
		<input type="hidden" name="filtersg" id="filtersg" value="" />
		<input type="hidden" name="sd_og" id="sd_og"value="" />
		<input type="hidden" name="ed_og" id="ed_og"value="" />			
		<input type="hidden" name="sd_org1g" id="sd_org1g"value="" />
		<input type="hidden" name="ed_org1g" id="ed_org1g"value="" />			
	</form>
	<script>
		pickerOpts = {
			closeText: "X",		
			dateFormat: "yy-M-dd",
			altField: '#sdat_org',
			altFormat: 'yy-mm-dd',
			firstDay: 1,
			isRTL: false,
			showButtonPanel: true,
			displayClose: true,
			showOn: "button",  
			buttonImage: "./img/dummy_img.png", 
			buttonImageOnly: true,
			buttonText: localTranslation["cal"][$globlan],
			changeYear: true,
			changeMonth: true,
			maxDate: "+<?php echo $diffmax;?>d",
			minDate: "-<?php echo $diffmin;?>d"		
		}
		pickerOpts_2 = {
			closeText: "X",		
			dateFormat: "yy-M-dd",
			altField: '#edat_org',
			altFormat: 'yy-mm-dd',
			firstDay: 1,
			isRTL: false,
			showButtonPanel: true,
			displayClose: true,
			showOn: "button",  
			buttonImage: "./img/dummy_img.png", 
			buttonImageOnly: true,
			buttonText: localTranslation["cal"][$globlan],
			changeYear: true,
			changeMonth: true,
			maxDate: "+<?php echo $diffmax;?>d",
			minDate: "-<?php echo $diffmin;?>d"	
		}		
		
	// fix um bei klicken auf "Heute" den Kalender zu schliessen	
		var old_goToToday = $.datepicker._gotoToday;
		$.datepicker._gotoToday = function(id) {
			old_goToToday.call(this,id);   
			this._selectDate(id);
		};
		
		$.datepicker._defaults['currentText'] = calTranslation['currentText'][$globlan];
		$.datepicker._defaults['monthNames'] = calTranslation['monthNames'][$globlan];
		$.datepicker._defaults['monthNamesShort'] = calTranslation['monthNamesShort'][$globlan];
		$.datepicker._defaults['dayNamesMin'] = calTranslation['dayNamesMin'][$globlan];
			
		$("#sdat").datepicker(pickerOpts);
		clkevnt = $("#sdat").next().data('events').click[0].handler;
		$("#sdat").next().replaceWith('<span class="ui-datepicker-trigger icn_calendar_b_n clckbtn vam" data-type="title" data-lan="cal" title="<?php echo $ini_axx['cal'][$_SESSION['lng']]; ?>"> </span>');
		$("#sdat").next().bind('click', clkevnt);		
		$("#edat").datepicker(pickerOpts_2);
		clkevnt = $("#edat").next().data('events').click[0].handler;
		$("#edat").next().replaceWith('<span class="ui-datepicker-trigger icn_calendar_b_n clckbtn vam" data-type="title" data-lan="cal" title="<?php echo $ini_axx['cal'][$_SESSION['lng']]; ?>"> </span>');
		$("#edat").next().bind('click', clkevnt);
		
		function load_page() {
			$("#sdat").val(localizedate("<?php echo $lmin; ?>"));
			$("#edat").val(localizedate("<?php echo $max; ?>"));
			$("#sdat_org").val("<?php echo $lmin; ?>");
			$("#edat_org").val("<?php echo $max; ?>");
			$("#sdat_i").val("<?php echo $lmin; ?>");			// min start date
			$("#edat_i").val("<?php echo $max; ?>");			// max end date	
			start_search();
		}
	// switch language
		function c_lan() {
			translate_header($globlan);	
			translate_mainmenu($globlan);
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {			
				switch ($(this).data("type")) {
					case "text":		
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "date":
						$(this).val(localizedate($($(this).data("lan")).val()));
						break;						
				}
			});
			$.jgrid.setRegional('list2',{regional: $globlan});
			$("#list2").jqGrid('setLabel', "svt", localTranslation["svt"][$globlan]);				
			$("#list").jqGrid('setLabel', "rtype", localTranslation["irek_art"][$globlan]);
			if ($("#filter_admin").attr("src") == "./img/csvt.png") {
				$("#filter_admin").attr("title", localTranslation["inc_admin"][$globlan]);
			} else {
				$("#filter_admin").attr("title", localTranslation["wo_admin"][$globlan]);		
			}
			$("#gs_rtype").find("option").each(function(idx, obj) {
				if ($(this).val() == "") {
					$(this).text(localTranslation["all"][$globlan]);
				} else {
					$(this).text(rekartTranslation[$(this).val()][$globlan]);
				}
			});
			$.jgrid.setRegional('list',{regional: $globlan});						
			$("#list").jqGrid('setLabel', "qbn", localTranslation["qbn"][$globlan])
				.jqGrid('setLabel', "svt", localTranslation["svt"][$globlan])
				.jqGrid('setLabel', "rtype", localTranslation["irek_art"][$globlan])
				.jqGrid('setLabel', "fu", localTranslation["des"][$globlan]);
			$("#list").trigger("reloadGrid");
		
			$.datepicker._defaults['currentText'] = calTranslation['currentText'][$globlan];
			$.datepicker._defaults['monthNames'] = calTranslation['monthNames'][$globlan];
			$.datepicker._defaults['monthNamesShort'] = calTranslation['monthNamesShort'][$globlan];
			$.datepicker._defaults['dayNamesMin'] = calTranslation['dayNamesMin'][$globlan];
		}
		function backtoanalysis() {
			window.location.href = "./analysis.php";
		}
		function RekArtFormatter (cellvalue, options, rowObject)
		{
			return rekartTranslation[cellvalue][$globlan];
		}
		function start_search() {
			<?php
				$dds = ":".$ini_axx['all'][$_SESSION['lng']];
				$ini_rtype = parse_ini_file($rel_path.'xml/r_type.ini', true);	
				foreach($ini_rtype as $key=>$value){
					$dds .= ";".$key.":".$value[$_SESSION['lng']];
				}
				echo "var dds = '".$dds."';";
			?>
			$("#loading").show();	
			cmTemplate = {
				searchoptions: {
					sopt:['cn'], 
					clearSearch: false
				},
				editable: false,
				sorttype:'string'
			};
			obj = {
				url:  "./tools/a_xx_api.php",
				postData: {
					routine : "getlist",
					sdate: $("#sdat_org").val(),
					edate: $("#edat_org").val()					
				},
				contentType: "application/json",
				datatype: "json",
				jsonReader: {
					id: "id",
					repeatitems: false
				},
				mtype: "POST",
				colNames: [
					localTranslation["qbn"][$globlan],
					localTranslation["svt"][$globlan],
					localTranslation["irek_art"][$globlan],
					localTranslation["des"][$globlan]
				],
				colModel: [
					{ 
						name: "qbn",
						template: cmTemplate,					
						width: 90
					},
					{ 
						name: "svt",
						template: cmTemplate,
						width: 140
					},
					{
						name: "rtype",
						template: cmTemplate,
						width: 120,
						formatter: RekArtFormatter,
						stype: 'select',					
						searchoptions:
						{
							value: dds,
							clearSearch: false,
							searchOperators: false
						}					
					},				
					{
						name: "fu",
						template: cmTemplate,
						width: 400
					}
				],
				regional: $globlan,
				storeNavOptions : true,			
				loadonce: false,
				pager: "#pager",
				recordpos: "left",
				height: 510,
				rowNum: 100,
				rowList: [10, 100, 500, 1000, 1500],
				hoverrows: false,
				rownumbers: true,
				sortname: "qbn",
				sortorder: "desc",
				viewrecords: true,
				gridview: true,
				autoencode: true,
				ignoreCase:true,
				loadui: "block",
				onRightClickRow: function (rowid, iRow, iCol, e) {
					window.localStorage.setItem("qb", $("#list").jqGrid('getRowData', rowid).qbn);
					$.ajax({
						url: "./tools/general_api.php",
						data: {
							routine: "get_qbs",
							qbn: $("#list").jqGrid('getRowData', rowid).qbn
						},
						success: function(result) {
							window.localStorage.setItem("qbn", result.substring(1, result.length-1));				
							window.open(
								'./basic.php',
								'_blank'
							);
							return false;
						}		
					});
					return false;
				},			
				loadComplete: function() {
					$("th[role='columnheader']")
						.unbind("mouseenter")
						.unbind("mouseleave");
				},
				gridComplete: function(data) {
					$(".ui-search-toolbar input[role='textbox']")
						.css("width", "92%")
						.css("background", "<?php echo $c_scheme['M5']; ?>")
						.css("padding", "2px");	
					$(".ui-search-toolbar select[role='select']")
						.removeClass("ui-corner-all")
						.css("background", "<?php echo $c_scheme['M5']; ?>")
						.css("padding", "2px");					
				}
			};
			list1 = $("#list").jqGrid(obj)
				.jqGrid('filterToolbar',{searchOperators : false, searchOnEnter: false})
				.navGrid('#pager', {refresh: false, search: false, edit: false, del: false, add: false});
			obj2 = {
				url:  "./tools/a_xx_api.php",
				postData: {
					routine : "statistics", 
					filter : "F",
					sdate: $("#sdat_org").val(),
					edate: $("#edat_org").val()						
				},
				contentType: "application/json",
				datatype: "json",
				jsonReader: {
					id: "id",
					repeatitems: false
				},
				mtype: "POST",
				colNames: [
					localTranslation["svt"][$globlan],
					"#"
				],
				colModel: [
					{ 
						name: "svt", 
						width: 140 , 
						editable: false,			
						sorttype:'string'
					},
					{ 
						name: "cnt", 
						width: 30 , 
						editable: false,
						sorttype:'number', 
						searchable: false,
						align: "right"
					}
				],
				regional: $globlan,
				height: 200,
				rowNum: 100,
				rowList: [],
				hoverrows: false,
				rownumbers: false,
				sortname: "cnt",
				sortorder: "desc",
				viewrecords: true,
				gridview: true,
				autoencode: true,
				ignoreCase:true,
				loadui: "block",
				loadComplete: function() {	
					$("th[role='columnheader']")
						.unbind("mouseenter")
						.unbind("mouseleave");
				}			
			};
			list2 = $("#list2").jqGrid(obj2);
			$("#loading").hide();		
		}
		function update_chart() {
			$("#list").setGridParam({datatype:'json', postData: {routine : "getlist", sdate: $("#sdat_org").val(), edate: $("#edat_org").val()}}).trigger('reloadGrid');
			$("#list2").setGridParam({datatype:'json', postData: {routine : "statistics", sdate: $("#sdat_org").val(), edate: $("#edat_org").val()}}).trigger('reloadGrid');
		}	
		function toggle_admin(loc) {
			if ($(loc).data("adm")) {
		// no filter active -> filter admin
				$(loc).data("adm", false);
				$(loc).data("lan", "wo_admin");
				$(loc).text(localTranslation["wo_admin"][$globlan]);
				$("#list2").setGridParam({'postData': {routine : "statistics", sdate: $("#sdat_org").val(), edate: $("#edat_org").val(), filter : "F"}}).trigger( 'reloadGrid' );
			} else {
				$(loc).data("adm", true);
				$(loc).data("lan", "inc_admin");
				$(loc).text(localTranslation["inc_admin"][$globlan]);
				$("#list2").setGridParam({'postData': {routine : "statistics", sdate: $("#sdat_org").val(), edate: $("#edat_org").val(), filter : "A"}}).trigger( 'reloadGrid' );			
			}
		}
		function export_excel() {
			$viscol = {};
			$gridcolumns = $('#list').jqGrid('getGridParam', 'colModel');
			$colnames = $('#list').jqGrid('getGridParam', 'colNames');
			for(key in $gridcolumns) {
				if (!($gridcolumns[key].hidden)) $viscol[$gridcolumns[key].name] = $colnames[key];
			}
			delete $viscol.rn;
			$("#colnames").val(JSON.stringify($viscol));		
		// if filter is empty save empty array
			if ($("#list").getGridParam("postData").filters === undefined) {
				$("#filters").val("[]");
			} else {
				$("#filters").val($("#list").getGridParam("postData").filters);
			}
			$("#s_d").val($("#sdat_org").val());
			$("#e_d").val($("#edat_org").val());
			$("#sd_org1").val($("#sdat").val());
			$("#ed_org1").val($("#edat").val());
			$("#qblan").val($globlan);
			document.xls.submit();
		}
		function export_grafic() {		
		// if filter is empty save empty array
			if ($("#list").getGridParam("postData").filters === undefined) {
				$("#filtersg").val("[]");
			} else {
				$("#filtersg").val($("#list").getGridParam("postData").filters);
			}
			$("#sd_og").val($("#sdat").val());
			$("#ed_og").val($("#edat").val());
			$("#sd_org1g").val($("#sdat_org").val());
			$("#ed_org1g").val($("#edat_org").val());
			$('#grfx').attr('action', 'a_xxg.php');
			document.grfx.submit();
		}
		load_page();
	</script>
</body>
</html>