<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<?php include_once(dirname(__FILE__)."/tools/all_header.php"); global $c_scheme, $timezone, $rel_path; ?>	
	<script>
		var js_debug = false;
		$data_changed = false;
	</script>
	
    <title>Basic Data</title>

	<link rel="stylesheet" href="./css/qb.php" />
	<link rel="stylesheet" href="./js_sources/dzone/min/dropzone.min.css" />
	<link rel="stylesheet" href="./trumbowyg/dist/ui/trumbowyg.css">
	<link rel="stylesheet" href="./trumbowyg/dist/plugins/colors/ui/trumbowyg.colors.min.css">
	
	<style>
		.editbox {
			background: #FFFFFF;
		}		
		.trumbowyg-box, .trumbowyg-editor {
			width: 775px; 
			height: 210px;
			min-height: 170px;
			margin: 0;
			margin-top: 5px;
			display: inline-block;
		}
		.trumbowyg-editor {
			padding: 2px;
			font-family: Arial;
		}
		.trumbowyg-fullscreen {
			margin: 0;
			padding: 0;
			top: 0px;
			left: 0px;
			width: 100%;
			height: 100%;
		}
	</style>
	
	<script src="./jquery/jquery.min.js"></script>	
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	
	<script src="./jquery/qb_js.js"></script>
	<script src="./js_sources/dzone/min/dropzone.min.js"></script>
	<script src="./trumbowyg/dist/trumbowyg.js"></script>
	<script src="./trumbowyg/dist/plugins/colors/trumbowyg.colors.min.js"></script>
	<?php 
		foreach(explode(":", $qb_support->getLanOnly()) as $key=>$value) {
			if ($value != "en") echo '<script src="./trumbowyg/dist/langs/'.$value.'.min.js"></script>';
		}
	?>

	<script type="text/javascript">
// load translation and save in localTranslation
		<?php
			date_default_timezone_set($timezone);	
			$ini_basic = parse_ini_file($rel_path.'i18n/basic.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_basic as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
		?>
	</script>
</head>
<body>
	<div id="container">
		<?php
			include_once($rel_path.'tools/header.php');
		?>
		<div id="contents">
			<?php 
				echo "<div id='mainnav'>". $qb_support->get_main_menu(1) . "</div>";
				include_once($rel_path.'tools/g_header2.php'); 
				echo $qb_support->get_sub_menu(0);
			?>	
			<div id="tabscontainer">
				<p>
					<label data-type="text" data-lan="ekd" class="dlabel w175" ><?php echo $ini_basic['ekd'][$_SESSION['lng']]; ?></label>
					<input type="text" class="dinput w300" id="ekd" value="" onchange="$data_changed=true;" />
					<label data-type="text" data-lan="vko" class="dlabel w175" style="margin-left: 31px;"><?php echo $ini_basic['vko'][$_SESSION['lng']]; ?></label>
					<select id="vko">
						<option value="">...</option>
						<?php					
							$query = "SELECT CODE, COUNTRY FROM qb_ccode ORDER BY CODE";
							$stmt = $db->query($query);
							while($row = $stmt->fetch(PDO::FETCH_NUM)) {
								echo "<option value='" . $row[0] . "'>" . $row[0] . " - ". $row[1] . "</option>";
							}							
						?> 		
					</select>
				</p>
				<p>
					<label data-type="text" data-lan="supplier" class="dlabel w175"><?php echo $ini_basic['supplier'][$_SESSION['lng']]; ?></label>
          <select id="supplier">
            <option value="">...</option>
            <?php						
              $query = "SELECT SUPPLIERNAME, SUPPLIERNR FROM qb_supplier ORDER BY SUPPLIERNAME";
              $stmt = $db->query($query);
              while($row = $stmt->fetch(PDO::FETCH_NUM)) {
                echo "<option value='" . $row[1]. "'>" . htmlspecialchars($row[0], ENT_QUOTES) . " - ". $row[1] . "</option>";
              }							
            ?> 							
          </select>
          <label data-type="text" data-lan="credit_nr" class="dlabel w175" style="margin-left: 183px;"><?php echo $ini_basic['credit_nr'][$_SESSION['lng']]; ?></label>
					<input type="text" class='dinput' style="width: 100px;" id="credit_nr" value="" readonly />	
				</p>
				<p style="margin: 2px 0px; padding: 0px;">
					<label data-type="text" data-lan="proddat" data-tool="tt_proddat" class="dlabel w175" title="help" ><?php echo $ini_basic['proddat'][$_SESSION['lng']]; ?></label>
					<input type="hidden" id="proddat_org" value="" />
					<input type="text" data-type="bdate" data-lan="#proddat_org"  class="dinput w100" id="proddat" value="" readonly />				
					<label data-type="text" data-lan="prodnr" class="dlabel w175" style="margin-left: 36px;" ><?php echo $ini_basic['prodnr'][$_SESSION['lng']]; ?></label>
					<input type="text" class="dinput w100" id="prodnr" value="" onchange="$data_changed=true;" />				
					<label data-type="text" data-lan="iorder" class="dlabel w175" style="margin-left: 35px;" ><?php echo $ini_basic['iorder'][$_SESSION['lng']]; ?></label>
					<input type="text" class="dinput w100" id="best_lf" value="" onchange="$data_changed=true;" />					
				</p>
				<p style="padding-bottom: 5px; border-bottom: 1px solid black;">
					<label data-type="text" data-lan="liefermenge" class="dlabel w175"><?php echo $ini_basic['liefermenge'][$_SESSION['lng']]; ?></label>
					<input type="text" class="dinput w100" style="text-align: right;" id="liefermenge" value="" />					
					<label data-type="text" data-lan="inspiziert" class="dlabel w175" style="margin-left: 55px;" ><?php echo $ini_basic['inspiziert'][$_SESSION['lng']]; ?></label>
					<input type="text" class="dinput w100" style="text-align: right; margin-left: 2px;" id="inspiziert" value="" />	
					<label data-type="text" data-lan="defekt" class="dlabel w175" style="margin-left: 35px;"><?php echo $ini_basic['defekt'][$_SESSION['lng']]; ?></label>
					<input type="text" class="dinput w100" style="text-align: right;" id="defekt" value="" />	
					<label class="dlabel" style="width:30px;" id="def_per"></label>
				</p>		
				<label data-type="text" data-lan="idescription" class="dlabel w175" style="white-space: pre-wrap; overflow: visible; vertical-align: top; margin-top: 5px;"><?php echo $ini_basic['idescription'][$_SESSION['lng']]; ?></label>
				<div id="wysiwyg" class="editbox"></div>
				<div>
					<span data-type='title' data-lan='save' id='saveimg' style='float: right; margin: 75px 10px 0 0;' class='icn5_save_b_n clckbtn vam' title='<?php echo $ini_basic['save'][$_SESSION['lng']]; ?>' onclick='check_form()'></span>
					<div id='filetable' style='display: inline-block; width: 510px; vertical-align: top; margin-left: 182px; overflow: hidden;'>
						<p class='listheader'>
							<span data-type='title' data-lan='add' id='plusimg' style='float: right;' class='icn_upload_w_n clckbtn vam' title='<?php echo $ini_basic['add'][$_SESSION['lng']]; ?>'></span>
							<span style='line-height: 20px; width: 440px;' data-type='text' data-lan='links' ><?php echo $ini_basic['links'][$_SESSION['lng']]; ?></span>
						</p>
						<div id='file_list' class='filelist' style='height:105px;'>
						</div>
					</div>
					<div id='reftable' style='display: inline-block; width: 200px; vertical-align: top; margin-left: 30px; overflow: hidden;'>
						<p class='listheader'>
							<span data-type='title' data-lan='add' id='plusimg2' style='float: right;' class='icn_add_w_n clckbtn vam' title='<?php echo $ini_basic['add'][$_SESSION['lng']]; ?>' onclick='add_ref()'></span>
							<span style='line-height: 20px; width: 440px;' data-type='text' data-lan='link_qb' ><?php echo $ini_basic['link_qb'][$_SESSION['lng']]; ?></span>
						</p>
						<div id='ref_list' class='filelist' style='height:105px;'>
							<div id='refpart'>
							</div>
						</div>
					</div>
				</div>
			</div>						
		</div>
		<?php include_once($rel_path.'footer.php'); ?> 
	</div>
<!--  dialog for qbref.... -->
	<div id="dialog-qbr">
		<fieldset>
			<legend data-lan="filter" data-type="text"><?php echo $ini_basic['filter'][$_SESSION['lng']]; ?></legend>
			<div style="height:18px; line-height: 18px; margin-bottom: 5px;">
				<span id="fall" data-checked="true" class="icn_checkboxchecked_c_n clckbtn vam" onclick="change_box(this);"></span>
				<label data-type="text" data-lan="all" class="cblabel w150 vam"><?php echo $ini_basic['all'][$_SESSION['lng']]; ?></label>
			</div>
			<div style="height:18px; line-height: 18px;">
				<span id="fmat" data-checked="false" class="icn_checkboxempty_c_n clckbtn vam" onclick="change_box(this);"></span>
				<label data-type="text" data-lan="imat" class="cblabel w150 vam"><?php echo $ini_basic['imat'][$_SESSION['lng']]; ?></label>
			</div>
		</fieldset>
		<div style="padding: 2px; text-align: center;">
			<input id="qbrefdd" class="dinput w150" />
		</div>
	</div>
	<script>
    $('#wysiwyg').trumbowyg('destroy');
    $('#wysiwyg').trumbowyg({
      lang: $globlan,
      removeformatPasted: true,
      semantic: true,
      tagsToRemove: ['script'],
      btns: [
        ['formatting'],
        ['|', 'foreColor', 'backColor'],
        ['strong', 'em', 'del'],
        ['superscript', 'subscript'],
        ['justifyLeft', 'justifyCenter', 'justifyRight', 'justifyFull'],
        ['unorderedList', 'orderedList'],
        ['horizontalRule'],
        ['removeformat'],
        ['fullscreen']
      ]
    })
    .on('tbwchange', function(){$data_changed = true;});
    
		Dropzone.autoDiscover = false;
		lc = new Array();
		lc[0]= "<?php echo $c_scheme['IE']; ?>";
		lc[1]= "<?php echo $c_scheme['IO']; ?>";		
		var $dummy;
		var fuplds = [];
		pickerOpts = {
			closeText: "X",		
			dateFormat: "yy-M-dd",
			altField: '#proddat_org',
			altFormat: 'yy-mm-dd',
			firstDay: 1,
			isRTL: false,
			showButtonPanel: true,
			displayClose: true,
			showOn: "button",  
			buttonImage: "./img/dummy_img.png", 
			buttonImageOnly: true,
			buttonText: calTranslation["cal"][$globlan],
			changeYear: true,
			changeMonth: true,
			maxDate: "+0d",
			beforeShow: function(input) {				
				$opro_dat = $("#proddat_org").val();
				setTimeout(function() {
					$(input).datepicker("widget").find(".ui-datepicker-buttonpane").css("height", "40px");
					var buttonPane = $(input).datepicker("widget").find(".ui-datepicker-buttonpane");
					var btn = $('<span data-type="title" data-lan="rem" id="del_mat" style="margin-left: 50px; margin-top: 12px;" class="icn_delete_b_n clckbtn vam" title="'+localTranslation["rem"][$globlan]+'"></span>');
					btn.unbind("click").bind("click", function() {
						$.datepicker._clearDate(input);
					});
					btn.appendTo(buttonPane);
				}, 1);				
			},
			onClose: function(dateText,datePickerInstance) {
				if ($opro_dat == $("#proddat_org").val()) {
					if (js_debug) console.log("production date not saved because not changed");
					return false;
				} else {					
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/basic_api.php",
						data: { 
							routine: "savepdate",
							qbn: window.sessionStorage.getItem('qb'),
							dat: $("#proddat_org").val(),
							nw: $("#proddat_org").val(),
							old: $opro_dat					
						},
						success: function(result)
						{
						}
					});
				}					
			}
		};		
	// fix um bei klicken auf "Heute" den Kalender zu schliessen	
		var old_goToToday = $.datepicker._gotoToday;
		$.datepicker._gotoToday = function(id) {
			old_goToToday.call(this,id);   
			this._selectDate(id);
		};
		$.datepicker._defaults['currentText'] = calTranslation['currentText'][$globlan];
		$.datepicker._defaults['monthNames'] = calTranslation['monthNames'][$globlan];
		$.datepicker._defaults['monthNamesShort'] = calTranslation['monthNamesShort'][$globlan];
		$.datepicker._defaults['dayNamesMin'] = calTranslation['dayNamesMin'][$globlan];		
	// datepicker settings
		$("#proddat").datepicker(pickerOpts);			
		clkevnt = $('.ui-datepicker-trigger').data('events').click[0].handler;
		$(".ui-datepicker-trigger").replaceWith('<span class="ui-datepicker-trigger icn_calendar_b_n clckbtn vam" data-type="title" data-lan="cal" title="<?php echo $ini_basic['cal'][$_SESSION['lng']]; ?>"></span>');
		$('.ui-datepicker-trigger').bind('click', clkevnt);
	// selects
		$('#vko').width(248).customSelect({customClass: "cSelect_opt"});
		$('#supplier').width(296).customSelect({customClass: "cSelect_opt"});

		$("#vko")
			.on('focus', function () {
				vko_prev = $(this).children("option:selected").text();
			})
			.change(function() {
				vko_new = $(this).children("option:selected").text();
				$.ajax({
					type: "POST",
					cache: false,
					url:  "./tools/basic_api.php",
					data: { 
						routine: "savevko",
						qbn: window.sessionStorage.getItem('qb'),
						nw: vko_new,
						old: vko_prev,
						cre: this.value
					},
					success: function(result)
					{
						vko_prev = vko_new;
					}
				});
			});		
    $("#supplier")
      .on('focus', function () {
        supplier_prev = $(this).children("option:selected").text();
      })
      .change(function() {
        $('#credit_nr').val(this.value);
        supplier_new = $(this).children("option:selected").text();
        $.ajax({
          type: "POST",
          cache: false,
          url:  "./tools/basic_api.php",
          data: { 
            routine: "savesupplier",
            qbn: window.sessionStorage.getItem('qb'),
            nw: supplier_new,
            old: supplier_prev,
            cre: this.value
          },
          success: function(result)
          {
            supplier_prev = supplier_new;
          }
        });
      });
// keyboard functions for all numeric inputs
	// keyboard code for delivered
		$("#liefermenge").keyboard({
			autoAccept : true,
			restrictInput: true,
			enterNavigation : true,
			layout: 'custom',	
			customLayout: { 
		 
				'default': [ 
					'7 8 9 {b}',
					'4 5 6 {clear}',
					'1 2 3 {a}',
					'{empty} 0 {empty} {c}'
				]
			},
			accepted : function(e, keyboard, el){
				($("#liefermenge").val() == "")?$("#liefermenge").val(0):$("#liefermenge").val($("#liefermenge").val() * 1);
				$lm = $("#liefermenge").val() * 1;
				$im = $("#inspiziert").val() * 1;
				$dm = $("#defekt").val() * 1;	
			// check only if value <> 0
				if ($lm != 0) {
			// yes - check if inspected quantity is larger than the delivered quantity	
					if  ($im > $lm) {
						jAlert(localTranslation["i_gt_l"][$globlan], localTranslation["attention"][$globlan]);
						$("#liefermenge").val($dummy);
						return false;
					}
					if  ($dm > $lm) {
						jAlert(localTranslation["d_gt_i"][$globlan], localTranslation["attention"][$globlan]);
						$("#liefermenge").val($dummy);
						return false;
					}
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/basic_api.php",
						data: { 
							routine: "save_stat",
							qbn: window.sessionStorage.getItem('qb'),
							w: "del",
							q: $lm
						},
						success: function(result)
						{						
							if (($im > 0) && ($dm > 0)) {
								var pct = (Math.floor(($("#defekt").val() / $("#inspiziert").val())*10000))/100;
								$("#def_per").text(pct.toString() + "%");
							}
							 else {
								$("#def_per").text("");
							 }
						}
					});
				} else {
					if (($im > 0) || ($dm > 0)) {
						jAlert(localTranslation["d_gt_b"][$globlan], localTranslation["attention"][$globlan]);
						$("#liefermenge").val($dummy);
						return false;							
					} else {
						$.ajax({
							type: "POST",
							cache: false,
							url:  "./tools/basic_api.php",
							data: { 
								routine: "save_stat",
								qbn: window.sessionStorage.getItem('qb'),
								w: "del",
								q: 0
							},
							success: function(result)
							{						
								$("#def_per").text("");
							}
						});							
					}
				}
			},
			beforeVisible: function(event, keyboard, el){
				$("body").append('<div id="ovrly"><div class="loading-container"></div></div>');
				$('button[data-action="clear"]').css("border", "1px solid <?php echo $c_scheme['M1']; ?>").find("span").css("color", "<?php echo $c_scheme['M3']; ?>");
				$('button[data-action="bksp"]').css("border", "1px solid <?php echo $c_scheme['M1']; ?>").find("span").css("color", "<?php echo $c_scheme['M3']; ?>");
				$('button[data-action="accept"]').css("border", "1px solid <?php echo $c_scheme['M1']; ?>").find("span").css("color", "<?php echo $c_scheme['M1']; ?>");
				$('button[data-action="cancel"]').css("border", "1px solid <?php echo $c_scheme['M3']; ?>");
				$('.ui-keyboard-preview-wrapper input').css("background", "<?php echo $c_scheme['M4']; ?>").css("width", "100px").css("border-radius", "0px");
				$dummy = $("#liefermenge").val();
			},
			beforeClose: function(event, keyboard, el){
				$("#ovrly").remove();
			}				
		})
		.addTyping();
		$("#liefermenge").removeClass("ui-keyboard-input ui-widget-content ui-corner-all");			
	// keyboard code for tested
		$("#inspiziert").keyboard({
			autoAccept : true,
			restrictInput: true,
			enterNavigation : true,
			layout: 'custom',	
			customLayout: { 
		 
				'default': [ 
					'7 8 9 {b}',
					'4 5 6 {clear}',
					'1 2 3 {a}',
					'{empty} 0 {empty} {c}'
				]
			},
			accepted : function(e, keyboard, el){		
				($("#inspiziert").val() == "")?$("#inspiziert").val(0):$("#inspiziert").val($("#inspiziert").val() * 1);
				$lm = $("#liefermenge").val() * 1;
				$im = $("#inspiziert").val() * 1;
				$dm = $("#defekt").val() * 1;	
			// check only if value <> 0
				if ($im != 0) {
			// yes - check if inspected quantity is larger than the delivered quantity	
					if  ($im > $lm) {
						jAlert(localTranslation["i_gt_l"][$globlan], localTranslation["attention"][$globlan]);
						$("#inspiziert").val($dummy);
						return false;
					}
					if  ($dm > $im) {
						jAlert(localTranslation["d_gt_i"], localTranslation["attention"][$globlan]);
						$("#inspiziert").val($dummy);
						return false;
					}
					$.ajax({
						type: "GET",
						cache: false,
						url:  "./tools/basic_api.php",
						data: { 
							routine: "save_stat",
							qbn: window.sessionStorage.getItem('qb'),
							w: "ins",
							q: $im
						},
						success: function(result)
						{
							if (($im > 0) && ($dm > 0)) {
								var pct = (Math.floor(($("#defekt").val() / $("#inspiziert").val())*10000))/100;
								$("#def_per").text(pct.toString() + "%");
							} else {
								$("#def_per").text("");
							}
						}
					});							
				} else {
					if ($dm > 0) {
						jAlert(localTranslation["d_gt_i"][$globlan], localTranslation["attention"][$globlan]);
						$("#inspiziert").val($dummy);
						return false;							
					} else {
						$.ajax({
							type: "POST",
							cache: false,
							url:  "./tools/basic_api.php",
							data: { 
								routine: "save_stat",
								qbn: window.sessionStorage.getItem('qb'),
								w: "ins",
								q: 0
							},
							success: function(result)
							{						
								$("#def_per").text("");
							}
						});							
					}						
				}
			},
			beforeVisible: function(event, keyboard, el){
				$("body").append('<div id="ovrly"><div class="loading-container"></div></div>');
				$('button[data-action="clear"]').css("border", "1px solid <?php echo $c_scheme['M1']; ?>").find("span").css("color", "<?php echo $c_scheme['M3']; ?>");
				$('button[data-action="bksp"]').css("border", "1px solid <?php echo $c_scheme['M1']; ?>").find("span").css("color", "<?php echo $c_scheme['M3']; ?>");
				$('button[data-action="accept"]').css("border", "1px solid <?php echo $c_scheme['M1']; ?>").find("span").css("color", "<?php echo $c_scheme['M1']; ?>");
				$('button[data-action="cancel"]').css("border", "1px solid <?php echo $c_scheme['M3']; ?>");
				$('.ui-keyboard-preview-wrapper input').css("background", "<?php echo $c_scheme['M4']; ?>").css("width", "100px").css("border-radius", "0px");
				$dummy = $("#inspiziert").val();
			},
			beforeClose: function(event, keyboard, el){
				$("#ovrly").remove();
			}				
		})
		.addTyping();
		$("#inspiziert").removeClass("ui-keyboard-input ui-widget-content ui-corner-all");
	// keyboard code for defect
		$("#defekt").keyboard({
			autoAccept : true,
			restrictInput: true,
			enterNavigation : true,
			layout: 'custom',	
			customLayout: { 
		 
				'default': [ 
					'7 8 9 {b}',
					'4 5 6 {clear}',
					'1 2 3 {a}',
					'{empty} 0 {empty} {c}'
				]
			},
			accepted : function(e, keyboard, el){	
				($("#defekt").val() == "")?$("#defekt").val(0):$("#defekt").val($("#defekt").val() * 1);
				$lm = $("#liefermenge").val() * 1;
				$im = $("#inspiziert").val() * 1;
				$dm = $("#defekt").val() * 1;	
			// check only if value <> 0
				if ($dm != 0) {
			// yes - check if inspected quantity is larger than the delivered quantity	
					if  ($dm > $lm) {
						jAlert(localTranslation["i_gt_l"][$globlan], localTranslation["attention"][$globlan]);
						$("#defekt").val($dummy);
						return false;
					} 
					if  ($dm > $im) {
						jAlert(localTranslation["d_gt_i"][$globlan], localTranslation["attention"][$globlan]);
						$("#defekt").val($dummy);
						return false;
					}					
					$.ajax({
						type: "GET",
						cache: false,
						url:  "./tools/basic_api.php",
						data: { 
							routine: "save_stat",
							qbn: window.sessionStorage.getItem('qb'),
							w: "def",
							q: $dm
						},
						success: function(result)
						{							
							if (($im > 0) && ($dm > 0)) {
								var pct = (Math.floor(($("#defekt").val() / $("#inspiziert").val())*10000))/100;
								$("#def_per").text(pct.toString() + "%");
							} else {
								$("#def_per").text("");
							}
						}
					});
				}
			},
			beforeVisible: function(event, keyboard, el){
				$("body").append('<div id="ovrly"><div class="loading-container"></div></div>');
				$('button[data-action="clear"]').css("border", "1px solid <?php echo $c_scheme['M1']; ?>").find("span").css("color", "<?php echo $c_scheme['M3']; ?>");
				$('button[data-action="bksp"]').css("border", "1px solid <?php echo $c_scheme['M1']; ?>").find("span").css("color", "<?php echo $c_scheme['M3']; ?>");
				$('button[data-action="accept"]').css("border", "1px solid <?php echo $c_scheme['M1']; ?>").find("span").css("color", "<?php echo $c_scheme['M1']; ?>");
				$('button[data-action="cancel"]').css("border", "1px solid <?php echo $c_scheme['M3']; ?>");
				$('.ui-keyboard-preview-wrapper input').css("background", "<?php echo $c_scheme['M4']; ?>").css("width", "100px").css("border-radius", "0px");
				$dummy = $("#defekt").val();
			},
			beforeClose: function(event, keyboard, el){
				$("#ovrly").remove();
			}
		})
		.addTyping();
		$("#defekt").removeClass("ui-keyboard-input ui-widget-content ui-corner-all");
	// function for entering qb references
		$( "#dialog-qbr" ).dialog({
			resizable: false,
			dialogClass: "doc_input",
			autoOpen: false,
			closeOnEscape: true,
			height: 350,
			width: 250,
			modal: false,
			buttons:
				[			
					{
						text: "",
						id: "qbref_rem",
						css: { width: '100px' },
						click: function() {
							$( this ).dialog( "close" );
						}
					}					
				],
			close: function() {
				$('#mask').remove(); 
			},		
			open : function() {
				$("#dialog-qbr").dialog('option', 'title', localTranslation["qbref"][$globlan]);					
				$("#qbref_rem").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
					.off('hover')
					.off('focus')
					.addClass("spanbutton")
					.find("span").text(localTranslation["cancel"][$globlan]);
				$('body').append('<div id="mask"></div>');
				$("#mask").css("z-index", "99").fadeIn(0);
				$(".ui-dialog-titlebar button").remove();
				$("#fmat").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
				$("#fall").data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");		
			}	
		});
		$("#qbrefdd").autocomplete({
			source: function( request, response ) {
				$.ajax({
					url: "./tools/basic_api.php",
					dataType: 'json',
					data: {
						q: request.term,
						routine: "selectqbref",
						qbn: window.sessionStorage.getItem('qb'),
						fltr: ($("#fmat").data("checked")==true)?"fmat":"fall",
						mat: $("#mat_nr").text()
					},
					success: function(data) {			
						response($.map(data, function (item) {	
							var AC = new Object();
							AC.value = item[0]+item[2];
							AC.status = item[1];
							return AC
						}));
					}
				});
			},
			minLength: 2,
			select: function( event, ui ) {
				if (ui.item) {
					data = ui.item;
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/basic_api.php",
						data: { 
							routine: "addqbref",
							qbn: window.sessionStorage.getItem('qb'),
							qbref: data.value
						},
						dataType: "json",
						success: function(result)
						{
							$("#refpart").empty();
							$.each(result, function($key, $value) {							
								$("#refpart").append('\
									<p id="ref_'+$value[0]+'" style="padding: 0px; margin: 0px; background-color: '+$qb_status_color[$value[1]]+'; border-bottom: 1px solid <?php echo $c_scheme['RN']; ?>;" >\
									<span class="lspn" style="width: 160px; line-height: 12px;" onclick="goto_qb(\''+$value[0]+'\')">'+$value[0]+$value[2]+'\
									</span><span class="icn_delete_b_n clckbtn dic" data-type="title" data-lan="rem" onclick="del_ref(\''+$value[0]+'\')" title="'+localTranslation['rem'][$globlan]+'"></span>\
									</p>\
								');
							});
						}
					});
					$( "#dialog-qbr" ).dialog("close");
				}
			},
		}).autocomplete("instance")._renderItem = function( ul, item ) {
			return $( "<li style='background-color: "+$qb_status_color[item.status]+";'>" )
				.attr( "data-value", item.value )
				.append( item.value )
				.appendTo( ul );
		};
		$("#qbrefdd").on("focus", function(e) {
			$("#qbrefdd").val("");
		});	
		$("#plusimg").dropzone({
			url: "./tools/UploadHandler_ds.php?mode=N&qbn="+window.sessionStorage.getItem('qb'),
			init: function() {
				this.on("processing", function(file) {
					this.options.url = "./tools/UploadHandler_ds.php?mode=N&qbn="+window.sessionStorage.getItem('qb');
				});
			},				
			previewTemplate: '<div class="dz-preview dz-file-preview"></div>',
			"dragenter": function(evnt) {
				$("#plusimg").css("background-color", "<?php echo $c_scheme['M3']; ?>");
			},
			"dragleave": function(evnt) {
				$("#plusimg").css("background-color", "transparent");
			},
			"drop": function(evnt) {
				$("#plusimg").css("background-color", "transparent");
			},
			"addedfile": function(file) {
				<?php	if (!($qb_support->checkflag('Y'))) { ?>
					var sizeInMB = (file.size / (1024*1024)).toFixed(2);
					if (sizeInMB > 25) {						
						$tdz = Dropzone.forElement("#plusimg");
						$tdz.removeAllFiles();										
						$tdz.removeAllFiles(true);
						jAlert(localTranslation["maxfilesizeexceeded"][$globlan], localTranslation["attention"][$globlan]);
						return false;
					}
				<?php } ?>
			},
			"queuecomplete": function() {
			// save data to database					
				$.ajax({
					type: "POST",
					cache: false,
					url:  "./tools/basic_api.php",
					data: { 
						routine: "savelink",
						fn: JSON.stringify(fuplds),
						qbn: window.sessionStorage.getItem('qb')			
					},
					dataType: "json",
					success: function(result)
					{
						$colorcount = $("#file_list p").length;
						$.each(result, function($key, $value) {
							$flnk = $value[1];
							$fn = $value[2];
							$idx = $value[0];
							$("#file_list").append('<p id="bsc_'+$idx+'" style="padding: 0px; margin: 0px;" >' +
							'<span class="lspn" style="width: 470px;" onclick="window.open(\''+$flnk+'\', \'_blank\');">' + $fn + '</span>' +
							'<span class="icn_delete_b_n clckbtn" data-type="title" data-lan="rem" onclick="del_att(this)" title="'+localTranslation["rem"][$globlan]+'"></span>' +									
							'</p>');
							$("#file_list").find("p:last").css("background" , lc[$colorcount % 2]);
							$colorcount++;
						});
						fuplds = [];								
					}
				});
			},
			"complete": function(file) {
			// add fine names to array
				fuplds.push(JSON.parse(file.xhr.responseText).files[0].name);					
			}
		});
		<?php if ($qb_support->checkflag("ZY")) { ?>		
			function set_special(loc) {
				switch(loc) {
					case "A":
						$('#mat_edt_img').visible();
						handle_fields("S", "S");		// second "S" for preventing lock up of customer complaint fields
						$("#plusimg2").visible();	
						$("#plusimg").visible();
						$.each($("#file_list").find("p"), function(i) {
							$(this).find("span.dic").visible();
						});	
						$.each($("#ref_list").find("p"), function(i) {
							$(this).find("span.dic").visible();
						});					
						break;
					case "X":
						if (JSON.parse(window.sessionStorage.getItem("qbn")).status == "C") {
							$('#mat_edt_img').invisible();
							$("#plusimg2").invisible();
							$("#plusimg").invisible();
							$.each($("#file_list").find("p"), function(i) {
								$(this).find("span.dic").invisible();
							});	
							$.each($("#ref_list").find("p"), function(i) {
								$(this).find("span.dic").invisible();
							});						
						}
						handle_fields(JSON.parse(window.sessionStorage.getItem("qbn")).status);								// reset field settings			
						break;						
				}
			}
		<?php } ?>
		function change_box(loc) {	
			if ($(loc).data("checked")) return false;
			if (loc.id == "fmat") {				
				$("#fall").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
				$("#fmat").data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");
				$("#qbrefdd").val('%%');
				$("#qbrefdd").autocomplete("search");
			} else {		
				$("#fmat").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
				$("#fall").data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");	
				$("#qbrefdd").focus();				
			}
		}
		// code for deleting files
		function del_att(loc) {
			var $id = $(loc).parent().attr("id").split("_")[1];
			var $fn = $.trim($(loc).prev().text());	
		// confirm delete
			$.alerts.cancelButton = localTranslation["cancel"][$globlan];
			jConfirm(localTranslation["confirm_delete"][$globlan], localTranslation["attention"][$globlan], function(r) {
				if (r) {
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/basic_api.php",
						data: { 
							routine: "dellink",
							idx: $id,
							fn: $fn,
							qbn: window.sessionStorage.getItem('qb')
						},
						success: function(result)
						{
							$("#bsc_"+$id).remove();
							$colorcount = 0;
							$.each($("#file_list").find("p"), function () {
								$(this).css("background" , lc[$colorcount % 2]);
								$colorcount++;
							});
						}
					});
				}
			});
		}
	// save form
		function check_form() {
			var h = $("#wysiwyg").trumbowyg('html').trim();
			while (h.match(/^<br ?\/?>/gi)) h = h.replace(/^<br ?\/?>/gi, '').trim();
			while (h.match(/<br ?\/?>$/gi)) h = h.replace(/<br ?\/?>$/gi, '').trim();				
			$('#loading').show();
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/basic_api.php",
				data: { 
					routine: "change",
					qbn: window.sessionStorage.getItem('qb'),
					cus: $.trim($("#ekd").val()),
					lfs: $.trim($("#best_lf").val()),
					des: h,
					lm: $("#liefermenge").val(),
					tm: $("#inspiziert").val(),
					tf: $("#defekt").val(),
					pn: $.trim($("#prodnr").val())
				},
				success: function(result)
				{
					$('#loading').hide();
					$data_changed = false;
				}
			});
		}
		function goto_qb(qbrefnr) {		
			$.ajax({
				type: "GET",
				cache: false,
				url:  "./tools/general_api.php",
				dataType: "json",
				data: { 
					routine: "get_qbs",
					qbn: qbrefnr
				},
				success: function(response)
				{
					window.sessionStorage.setItem('qbn', JSON.stringify(response[0]));
					window.sessionStorage.setItem('qb', qbrefnr);		
					qbnchange();
					g_header2();
				}
			});	
		}
		function add_ref() {
			$( "#dialog-qbr" ).dialog("open");
		};
		function del_ref(loc) {
	// confirm delete
			$.alerts.cancelButton = localTranslation["cancel"][$globlan];
			jConfirm(localTranslation["confirm_delete"][$globlan], localTranslation["attention"][$globlan], function(r) {
				if (r) {		
					$("#loading").show();
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/basic_api.php",
						data: { 
							routine: "delref",
							qbref: loc,
							qbn: window.sessionStorage.getItem('qb')
						},
						success: function(result)
						{
							$("#ref_list").find("#ref_"+loc).remove();
							$("#loading").hide();
						}
					});
				}
			});
		}
		function load_page() {
			document.title = document.title.split("/")[0] + '/' + window.sessionStorage.getItem('qb');
			$.ajax({
				type: "GET",
				cache: false,
				url:  "./tools/basic_api.php",
				dataType: "json",
				data: { 
					routine: "getdata",
					qbn: window.sessionStorage.getItem('qb')
				},
				success: function(result)
				{
					var $qbs = result[1];
					var $fls = result[2];
					var $lnk = result[3];
					result = result[0];				
					$("#ekd").val(result['customer']);
					$("#vko").val(result['sales_org']);
					$('#vko').trigger('render');
					$("#supplier").val(result['supplier']);
					$('#supplier').trigger('render');
					$("#credit_nr").val(result['supplier']);
					$("#proddat_org").val(result['prod_dat']);
					if (result['prod_dat'] == "") {
						$("#proddat").val("");
					} else {
						$("#proddat").val(localizedate(result['prod_dat']));
					}
					$("#prodnr").val(result['prod_nr']);
					$("#best_lf").val(result['lfs_nr']);
					$("#liefermenge").val(result['del_cnt']);
					$("#inspiziert").val(result['test_cnt']);
					$("#defekt").val(result['test_fail']);
					$("#def_per").text(result['def_per']);
					$("#wysiwyg").trumbowyg('html', result['description']);
          $data_changed = false;
				// bottom section
					$cc = 0;
					$("#file_list").empty();
					$.each($fls, function($key, $value) {
						$("#file_list").append('\
							<p id="bsc_'+$value[0]+'" style="padding: 0px; margin: 0px; background-color: '+lc[$cc%2]+';" >\
								<span class="lspn" style="width: 470px; line-height: 16px;" onclick="window.open(\''+$value[1]+'\', \'_blank\')">'+$value[2]+'\
								</span><span class="icn_delete_b_n clckbtn dic" onclick="del_att(this)" data-type="title" data-lan="rem" title="'+localTranslation['rem'][$globlan]+'"></span>\
							</p>\
						');
						$cc++;						
					});
					$("#refpart").empty();
					$.each($lnk, function($key, $value) {
						$("#refpart").append('\
							<p id="ref_'+$value[0]+'" style="padding: 0px; margin: 0px; background-color: '+$qb_status_color[$value[1]]+'; border-bottom: 1px solid <?php echo $c_scheme['RN']; ?>;" >\
							<span class="lspn" style="width: 160px; line-height: 12px;" onclick="goto_qb(\''+$value[0]+'\')">'+$value[0]+$value[2]+'\
							</span><span class="icn_delete_b_n clckbtn dic" data-type="title" data-lan="rem" onclick="del_ref(\''+$value[0]+'\')" title="'+localTranslation['rem'][$globlan]+'"></span>\
							</p>\
						');
					});					
					if (JSON.parse(window.sessionStorage.getItem("qbn")).status != "C") {
						$("#saveimg").visible();
						$("#plusimg").visible();
						$("#plusimg2").visible();						
					} else {
						$("#saveimg").invisible();
						$("#plusimg").invisible();
						$("#plusimg2").invisible();
						$.each($("#file_list").find("p"), function(i) {
							$(this).find("span.dic").invisible();
						});	
						$.each($("#ref_list").find("p"), function(i) {
							$(this).find("span.dic").invisible();
						});
					}			
				// handle fields
					handle_fields($qbs, result['r_type']);
				}
			});		
		}
	// set field properties
		function handle_fields($qbs, $rt) {
			if ($qbs == "C") {
// lock functionality based on qb status				
				$("#supplier").prop("disabled",true);
				$("#ekd").prop("readonly",true);
				$("#vko").prop("disabled",true);
				$("#prodnr").prop("readonly",true);
				$("#best_lf").prop("readonly",true);
				$("#liefermenge").prop("readonly",true);
				$("#inspiziert").prop("readonly",true);
				$("#defekt").prop("readonly",true);
				$('#wysiwyg').trumbowyg('disable');
				$("#pager_left").hide();
				$('.ui-datepicker-trigger').invisible();
				$('#saveimg').invisible();
				$("#plusimg").invisible();
				$("#plusimg2").invisible();
			} else {
				$("#supplier").prop("disabled",false);
				$("#ekd").prop("readonly",false);		
				$("#vko").prop("disabled",false);
				$("#prodnr").prop("readonly",false);
				$("#best_lf").prop("readonly",false);
				$("#liefermenge").prop("readonly",false);
				$("#inspiziert").prop("readonly",false);
				$("#defekt").prop("readonly",false);
				$('#wysiwyg').trumbowyg('enable');
				$("#pager_left").show();
				$('.ui-datepicker-trigger').visible();			
				$('#saveimg').visible();
				$("#plusimg").visible();
				$("#plusimg2").visible();					
			}
		// handle special conditions for customer complaint
			if ($rt == "C") {
				$("#ekd").prop("readonly",true);
				$("#vko").prop("disabled",true);
			}
		}

		function c_lan() {
			translate_header($globlan);	
			translate_mainmenu($globlan);
			translate_g_header2($globlan);
			translate_submenu($globlan);
			
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {	
				switch ($(this).data("type")) {
					case "text":				
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "bdate":
						if ($($(this).data("lan")).val() == "") return;
						$mnth = $($(this).data("lan")).val().split("-");					
						$(this).val($mnth[0]+"-"+ calTranslation["monthNamesShort"][$globlan][$mnth[1]-1]+"-"+$mnth[2]);
						break;						
					default:
						break;
				}
			});
			$.datepicker._defaults['currentText'] = calTranslation['currentText'][$globlan];
			$.datepicker._defaults['monthNames'] = calTranslation['monthNames'][$globlan];
			$.datepicker._defaults['monthNamesShort'] = calTranslation['monthNamesShort'][$globlan];
			$.datepicker._defaults['dayNamesMin'] = calTranslation['dayNamesMin'][$globlan];
			$tmp = $('#wysiwyg').trumbowyg('html');
      $data_changed_old = $data_changed;
      $('#wysiwyg').trumbowyg('destroy');
      $('#wysiwyg').trumbowyg({
        lang: $globlan,
        removeformatPasted: true,
        semantic: true,
        tagsToRemove: ['script'],
        btns: [
          ['formatting'],
          ['|', 'foreColor', 'backColor'],
          ['strong', 'em', 'del'],
          ['superscript', 'subscript'],
          ['justifyLeft', 'justifyCenter', 'justifyRight', 'justifyFull'],
          ['unorderedList', 'orderedList'],
          ['horizontalRule'],
          ['removeformat'],
          ['fullscreen']
        ]
      })
      .on('tbwchange', function(){$data_changed = true;});
			$('#wysiwyg').trumbowyg('html', $tmp);
      $data_changed = $data_changed_old;
		}
		g_header2();		
	</script>	
</body>
</html>
