<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<?php include_once(dirname(__FILE__)."/tools/all_header.php"); global $c_scheme, $timezone, $rel_path; ?>
	<script>
		var js_debug = false;
		$data_changed = false;		
	</script>
	
    <title>Close</title>

	<link rel="stylesheet" href="./css/qb.php" />
	<link rel="stylesheet" href="./jqGrid_5.2.1/css/ui.jqgrid.css" />
	<style>	
		.qb-sts
		{
			height: 20px; 
			text-align: center; 
			margin: 0px;
			padding: 0px;
			font: normal 10pt Arial; 
			padding-top: 7px;
			width: 330px;
			margin-top:7px;
			color: <?php echo $c_scheme['M3']; ?>;
		}
		.ui-accordion-content 
		{ 
			background: <?php echo $c_scheme['M2']; ?>; 
		}
		.ui-dialog{background: <?php echo $c_scheme['M5']; ?>;}
		.ui-dialog-titlebar-close{
			display: none;
		}
		.c_accordion-toggle {
			cursor: pointer;
			font: bold 10pt Arial;
			width: 985px;
			color: <?php echo $c_scheme['XN']; ?>;
			height: 22px;
			line-height: 22px;
			display: inline-block;
			padding-left: 2px;
			background: <?php echo $c_scheme['M2']; ?>;
		}
		.c_accordion-toggle-active {
			color: <?php echo $c_scheme['XI']; ?>;
			background: <?php echo $c_scheme['M1']; ?>;
		}
		.c_accordion-content {
			display: none;
			background: <?php echo $c_scheme['M5']; ?>;
			width: 981px;
			padding: 2px;
			border: 1px solid <?php echo $c_scheme['R2']; ?>;
			border-top: 0;
		}
		.c_accordion-content.default {display: block;}		
	</style>
	
	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>
	<script src="./jqGrid_5.2.1/js/jquery.jqGrid.min.js"></script>
	<?php 
		foreach(explode(":", $qb_support->getLanOnly()) as $key=>$value) {
			echo '<script src="./jqGrid_5.2.1/js/i18n/grid.locale-' . $value . '.js"></script>';
		}
	?>	
	
	<script>
	// load translation and save in localTranslation
		<?php	
			$ini_close = parse_ini_file($rel_path.'i18n/close.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_close as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$ini_fcodes_bb = parse_ini_file($rel_path.'xml/fc_bb.ini', true);
			echo "fcbbTranslation = {};";
			foreach($ini_fcodes_bb as $key=>$value){
				$add = "";
				foreach($value as $key2=>$value2){				
					if (!is_array($value2)) {					
						$add .= "'".$key2."':'".$value2."',";
					} else {
						$add2 = "";					
						foreach($value2 as $key3=>$value3) {
							$add2 .= "'".$key3."':'".$value3."',";
						}
						echo "fcbbTranslation['".$key.substr($key2, 1)."']={".rtrim($add2, ',')."};";
					}
				}
				echo "fcbbTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$ini_fcodes_cc = parse_ini_file($rel_path.'xml/fc_cc.ini', true);
			echo "fcccTranslation = {};";
			foreach($ini_fcodes_cc as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "fcccTranslation['".$key."']={".rtrim($add, ',')."};";
			}			
			$ini_fcodes_dd = parse_ini_file($rel_path.'xml/fc_dd.ini', true);
			echo "fcddTranslation = {};";
			foreach($ini_fcodes_dd as $key=>$value){
				$add = "";
				foreach($value as $key2=>$value2){				
					if (!is_array($value2)) {					
						$add .= "'".$key2."':'".$value2."',";
					} else {
						$add2 = "";					
						foreach($value2 as $key3=>$value3) {
							$add2 .= "'".$key3."':'".$value3."',";
						}
						echo "fcddTranslation['".$key.substr($key2, 1)."']={".rtrim($add2, ',')."};";
					}
				}
				echo "fcddTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$ini_mstat = parse_ini_file($rel_path.'xml/m_status.ini', true);
			echo "mstatTranslation = {};";
			foreach($ini_mstat as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "mstatTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$ini_ffu = parse_ini_file($rel_path.'xml/ffu.ini', true);
			echo "ffuTranslation = {};";
			foreach($ini_ffu as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "ffuTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$ini_teamstatus = parse_ini_file($rel_path.'i18n/team_status.ini', true);	
			echo "tstatusTranslation = {};";
			foreach($ini_teamstatus as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "tstatusTranslation['".$key."']={".rtrim($add, ',')."};";
			}			
		?>	
	</script>
</head>
<body>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
			<?php 
				echo "<div id='mainnav'>". $qb_support->get_main_menu(1) . "</div>";
				include_once($rel_path.'tools/g_header2.php');
				echo $qb_support->get_sub_menu(7);
			?>	
			<div id="tabscontainer" >
				<p id="fs1" style="margin: 5px 0px 1px 0px;">
					<label data-type="text" data-lan="fu" class="dlabel w200 vam"><?php echo $ini_close['fu'][$_SESSION['lng']]; ?></label>
					<textarea class="dtextarea vam" id ="fu" style="width: 780px; height: 65px;" onchange="$data_changed=true;"></textarea>
				</p>
				<p style="margin: 1px 0px;">
					<label data-type="text" data-lan="vb" class="dlabel w200"><?php echo $ini_close['vb'][$_SESSION['lng']]; ?></label>
					<textarea class="dtextarea vam" id ="vb" style="width: 780px; height: 65px;" onchange="$data_changed=true;" ></textarea>
				</p>
				<p id="fs3" style="margin: 1px 0px;">
					<label data-type="text" data-lan="laf" class="dlabel w200"><?php echo $ini_close['laf'][$_SESSION['lng']]; ?></label>
					<textarea class="dtextarea vam" id ="laf" style="width: 780px; height: 65px;" onchange="$data_changed=true;" ></textarea>
				</p>
				<p id="fs4" style="margin: 1px 0px;">
					<label data-type="text" data-lan="ffus" class="dlabel w200"><?php echo $ini_close['ffus'][$_SESSION['lng']]; ?></label>						
					<select id="ffu" data-type="select" data-lan="ffur" onchange="set_ffu();">
						<?php
							foreach ($ini_ffu AS $key=>$value){							
								echo "<option value='".$key."'>".$value[$_SESSION['lng']]."</option>";
							}
						?>					
					</select>
					<span id="pplm" data-checked="false" class="icn_checkboxempty_c_n clckbtn vam" style="margin-left:67px;" onclick="pplm_box(this);"></span>
					<label data-type="text" data-lan="processproblem" class="dlabel w150 vam" ><?php echo $ini_close['processproblem'][$_SESSION['lng']]; ?></label>
					<?php 
						if ($qb_support->getoptions('5wrating', 'set') == "yes") { 
					?>						
							<input id="rating" class="dinput vam" style="width: 20px; margin-left: 22px; position: relative; top: -1px; text-align: center;" readonly value = "" />
					<?php 
						} else {
					?>
							<input id="rating" type="hidden" value="" />
					<?php
						}
					?>
				</p>				
<!-- FC section -->
				<div id="stsfcdiv" style="height: 145px;border:0;padding:0;margin:4px;padding-top: 2px;border-top: 1px solid black;">
					<?php if ($qb_support->getoptions('failurecodes', 'set') == "yes") { ?>
						<div id="close_accordion">
							<div id="fcacc" class="c_accordion-toggle c_accordion-toggle-active">
								<span class="icn4_acc_down_w_n clckbtn vam"></span>
								<span data-type="text" data-lan="f_codes"><?php echo $ini_close['f_codes'][$_SESSION['lng']]; ?></span>
							</div>
							<div class="c_accordion-content default">
								<p style="text-align: left; margin: 0px; padding: 2px;">
									<label data-type="text" data-lan="ffus" class="dlabel vam w200"><?php echo $ini_close['ffus'][$_SESSION['lng']]; ?></label>
									<input class="fipt vam" id="bb1" value="" readonly />
									<input class="fipt vam" id="bb2" value="" readonly />
									<label id="bb" data-type="fcl" data-lan="bb" style="width: 650px; margin-left: 60px;" class="dlabel vam"></label>
								</p>
								<p style="text-align: left; margin: 0px; padding: 2px;">
									<label data-type="text" data-lan="f_class" class="dlabel vam w200"><?php echo $ini_close['f_class'][$_SESSION['lng']]; ?></label>
									<input class="fipt vam" id="cc1" value="" readonly />
									<input class="fipt vam" id="cc2" value="" readonly />
									<label id="cc" data-type="fcl" data-lan="cc" style="width: 650px; margin-left: 60px;" class="dlabel vam"></label>
								</p>
								<p style="text-align: left; margin: 0px; padding: 2px;">
									<label data-type="text" data-lan="f_details" class="dlabel vam w200"><?php echo $ini_close['f_details'][$_SESSION['lng']]; ?></label>
									<input class="fipt vam" id="dd1" value="" readonly />
									<input class="fipt vam" id="dd2" value="" readonly />
									<input class="fipt vam" id="dd3" value="" readonly />
									<input class="fipt vam" id="dd4" value="" readonly />									
									<label id="dd" data-type="fcl" data-lan="dd" style="width: 610px; margin-left: 11px;" class="dlabel vam"></label>
								</p>								
							</div>
							<div class="c_accordion-toggle">
								<span class="icn4_acc_right_be_n clckbtn vam"></span>
								<span data-type="text" data-lan="appstatus"><?php echo $ini_close['appstatus'][$_SESSION['lng']]; ?></span>
							</div>								
							<div class="c_accordion-content">
								<div id="tstscontainer" style="vertical-align: top; display: inline-block; margin-left: 5px;">
									<table id="list"></table> 
								</div>
								<div style="vertical-align: top; display: inline-block; margin-left: 5px;">
									<p style="margin-top: 7px;">
										<label class="dlabel vam w20">TR:</label>
										<input class="fipt2 vam" id="tr" value="" readonly />
									</p>
									<p style="margin: 10px 0;">
										<label class="dlabel vam w20">RR:</label>
										<input class="fipt2 vam" id="rr" value="" readonly />
										<span class="icn_ipopup_b_n" id="rrspan" style="visibility: hidden;"></span>
									</p>
									<p>
										<label class="dlabel vam w20">QR:</label>
										<input class="fipt2 vam" id="qr" value="" readonly />
										<span class="icn_ipopup_b_n" id="rqspan" style="visibility: hidden;"></span>
									</p>
								</div>
								<div id="ordiv" style="vertical-align: top; display: inline-block; height: 100px; width: 370px; overflow: auto; padding: 0; margin-left: 5px; border: 1px solid <?php echo $c_scheme['M1']; ?>;">
									<label id="orcomment_label" class="dlabel" data-type="text" data-lan="overrule_comment_label"><?php echo $ini_close['overrule_comment_label'][$_SESSION['lng']];?></label>
									<p style="margin: 2px; font: normal 10pt Arial; border-top: 1px solid <?php echo $c_scheme['RN']; ?>;" id="oruletxt"></p>
								</div>
							</div>
						</div>					
					<?php } else { ?>
						&nbsp;
					<?php }	?>
				</div>
				<div style="width:330px;display:inline-block;height:50px;border:0;padding:0;text-align:center;margin:0;margin-top:4px;border-top:1px solid gray;padding-top:4px;vertical-align:top;">
					<p id="qbsts" data-type="" data-lan="" class="qb-sts"></p>					
				</div><div id="btnsection" style="display:inline-block;width:660px;text-align:right;height:50px;border:0;margin:0;margin-top:4px;padding:2px 10px 0 0;border-top:1px solid gray;vertical-align:top;">
				</div>					
			</div>
			<input type="hidden" id="cs" value="" />
			<input type="hidden" id="rels" value="" />
			<input type="hidden" id="tc" value="" />
		</div>
		<?php include_once($rel_path.'footer.php'); ?> 
<!-- dialog place holders -->
		<input type="hidden" id="rrdiv" value="" />	
		<input type="hidden" id="rqdiv" value="" />	
		<div id="dialog-rejbygq">
			<fieldset id="fs" style="border: 0px solid purple; padding: 2px; height: 200px; margin:0px;">
				<p>
					<label id="lsubject" data-type="text" data-lan="subject" class="dlabel vam w75"><?php echo $ini_close['subject'][$_SESSION['lng']]; ?></label>
					<input type="text" id="subject" class="dinput w300 vam" value="" readonly />
					<label id="lmessage" data-type="text" data-lan="message" class="dlabel w75" style="vertical-align: top; margin-top: 10px;" ><?php echo $ini_close['message'][$_SESSION['lng']]; ?></label>
					<textarea rows="3" class="dtextarea" id="whtpl" style="width: 300px; height: 150px; font: 9pt Arial; margin-top: 10px;"></textarea>
				</p>
			</fieldset>	
		</div>
		<div id="dialog-rejbysvt">
			<fieldset id="fs1" style="border: 0px solid purple; padding: 2px; height: 200px; margin:0px;">
				<p>
					<label data-type="text" data-lan="subject" class="dlabel vam w75"><?php echo $ini_close['subject'][$_SESSION['lng']]; ?></label>
					<input type="text" id="ssubject" class="dinput w300 vam" value="" readonly />
					<label data-type="text" data-lan="message" class="dlabel w75" style="vertical-align: top; margin-top: 10px;" ><?php echo $ini_close['message'][$_SESSION['lng']]; ?></label>
					<textarea rows="3" class="dtextarea" id="swhtpl" style="width: 300px; height: 150px; font: 9pt Arial; margin-top: 10px;"></textarea>
				</p>
			</fieldset>
		</div>
		<div id="dialog-overrule">
			<fieldset id="fs1" style="border: 0px solid purple; padding: 2px; height: 220px; margin:0px;">
				<p>
					<label id="overrulelabel" class="dlabel w350 vam" style="font-weight: bold; white-space: normal;" data-type="label" data-lan="overrule_comment" ><?php echo $ini_close['overrule_comment'][$_SESSION['lng']]; ?></label>
					<textarea rows="10" class="dtextarea w350 vam" id="overrule" ></textarea>
				</p>
			</fieldset>
		</div>		
	</div>
	<script>

		var $rtpe = "";
	// simple accordion
		$('#close_accordion').find('.c_accordion-toggle').click(function(){
		// if already expanded do nothing
			if (!$(this).hasClass("c_accordion-toggle-active")) {
			// expand this panel				
				$(".c_accordion-toggle").removeClass("c_accordion-toggle-active");
				$(this).addClass("c_accordion-toggle-active");
				$(".c_accordion-toggle").find("span:eq(0)").removeClass("icn4_acc_down_w_n").addClass("icn4_acc_right_be_n");
				$(this).find("span:eq(0)").addClass("icn4_acc_down_w_n");
				$(this).next().slideToggle('fast');
			// hide all other panels
				$(".c_accordion-content").not($(this).next()).slideUp('fast');				
			}
		});
		cmTemplate = {	
			editable: false,
			sorttype:'string',
			search: false
		};	
		obj = {
			url:  "./tools/close_api.php",
			postData: {
			// handle team approval counter
				<?php 
			// if no mailing option do not show team approval box
					if ($qb_support->getoptions('mailing', 'useit') == 'yes') {
				?>				
					routine : "getteamstatus", 
					qbn: window.sessionStorage.getItem("qb")
				<?php
					} else {
				?>
					routine : "" 
				<?php
					}
				?>
			},
			contentType: "application/json",
			datatype: "json",
			jsonReader: {
				id: "id",
				repeatitems: true
			},
			mtype: "POST",
			colNames: [
				localTranslation["nname"][$globlan],
				localTranslation["status"][$globlan],
				"",
				"",
				"",
				"",
				""
			],	
			colModel: [
				{ 
					name: "fname", 
					template: cmTemplate,
					width: 220
				},
				{
					name: "st", 
					template: cmTemplate,
					width: 200,
					formatter: StatusCellTxt
				},
				{ 
					name: "inf",
					template: cmTemplate,
					width: 20,
					formatter: InfoCell,
					align: "center"
				},
				{
					name: "tc", 
					template: cmTemplate,
					width: 20,
					formatter: StatusCell,
					align: "center"
				},
				{ 
					name: "ans",
					template: cmTemplate,
					width: 20,
					formatter: InfoCell2,
					align: "center"
				},
				{ 
					name: "rs",
					hidden: true
				},
				{ 
					name: "lgi",
					hidden: true
				}					
			],
			regional: $globlan,
			storeNavOptions : true,			
			loadonce: true,
			height: 70,
			rowNum: 100,
			rowList: [],
			rownumbers:false,
			sortname: "fname",
			sortorder: "desc",
			gridview: true,
			autoencode: true,
			ignoreCase:true,
			loadui: "block",
			viewrecords: false,
			hoverrows:false,
			loadComplete: function() {				
				$("th[role='columnheader']")
					.unbind("mouseenter")
					.unbind("mouseleave");				
			},
			onCellSelect: function (rowId, iCol, content, event) {	
				if (JSON.parse(window.sessionStorage.getItem("qbn")).status != "S") return false;
				if ($("#list").jqGrid('getRowData', rowId).rs != "R") return false;
				if (iCol != 3) return false;
				$.alerts.cancelButton = localTranslation["cancel"][$globlan];
				jConfirm(localTranslation["confirm_reapply"][$globlan], localTranslation["attention"][$globlan] , function(r) {
					if (r) {
						$.ajax({
							type: "POST",
							cache: false,
							url:  "./tools/close_api.php",
							data: { 
								routine: "sendteamsingle",
								qbn: window.sessionStorage.getItem("qb"),
								user: $("#list").jqGrid('getRowData', rowId).lgi
							},
							success: function(result)
							{
								$("#list").setGridParam({datatype:'json', postData: {routine : "getteamstatus", qbn: window.sessionStorage.getItem("qb")}}).trigger('reloadGrid');
								$("#qbsts").data("type", "stteam");
								$("#qbsts").css("background", "<?php echo $c_scheme['ST']; ?>");
								$("#qbsts").data("lan", result);
								$("#qbsts").text(localTranslation["send_to_team"][$globlan]+": "+localizedate(result));								
							// handle buttons (1 = team informed);
								handle_buttons("1");
								$('#loading').hide();
							}
						});
					}
				});
			}			
		};
		list1 = $("#list").jqGrid(obj);		
		<?php 
			if ($qb_support->getoptions('5wrating', 'set') == "yes") {
				if ($qb_support->checkflag("YW")) {
		?>			
					$('#rating').css("cursor", "pointer").on('click', function() {
						if (JSON.parse(window.sessionStorage.getItem('qbn')).status != "C") {
							$.getScript('./jquery/rating.js', function() {});
						} else if ($("#lockunlock").hasClass("icn_unlock_b_n")) {
							$.getScript('./jquery/rating.js', function() {});
						}
					});				
		<?php 
				}
			}
		?>
		$("#ffu").width(150).customSelect({customClass: "cSelect_man"});
	// function for overruling team
		$( "#dialog-overrule" ).dialog({
			resizable: false,
			dialogClass: "doc_input",
			autoOpen: false,
			closeOnEscape: false,
			height: 340,
			width: 400,
			modal: true,
			buttons:
				[
					{
			// save button
						text: "",
						id: "ovr_send",
						css: { width: '100px' },
						click: function() {
							entertxt = ($.trim($("#overrule").val()))?$.trim($("#overrule").val()):"$";
							$.ajax({
								type: "POST",
								cache: false,
								url:  "./tools/close_api.php",
								data: { 
									routine: "sendoverridesvt",
									txt: $.trim(entertxt),
									qbn: window.sessionStorage.getItem("qb")
								},
								success: function(result)
								{						
							// fill sent to svt info and show it
									$("#qbsts").data("type", "stsvt");
									$("#qbsts").css("background", "<?php echo $c_scheme['ST']; ?>");
									$("#qbsts").data("lan", "<?php echo date('Y-m-d'); ?>");
									$("#qbsts").text(localTranslation["send_to_svt"][$globlan]+": "+localizedate("<?php echo date('Y-m-d'); ?>"));
									$("#qbsts").visible();
									if (entertxt == "$") entertxt = localTranslation["no_comment"][$globlan];					
									$("#oruletxt").text(entertxt);
									$("#ordiv").visible();
									$("#cs").val("3");		// cstatus 3 -> sent to svt
									handle_buttons();
									$("#dialog-overrule" ).dialog( "close" );
								}
							});							
						}
					},
					{
						text: "",
						id: "ovr_cancel",
						css: { width: '100px' },
						click: function() {
							$("#dialog-overrule").dialog("close");
						}
					}	
				],
			close: function() {
				$('#overrule').val("");
			},		
			open : function() {
				$("#dialog-overrule").dialog('option', 'title', localTranslation["insert_record"][$globlan]);
				$("#ovr_send").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
					.off('hover')
					.off('focus')
					.addClass("spanbutton")
					.find("span").text(localTranslation["send"][$globlan]);	
				$("#ovr_cancel").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
					.off('hover')
					.off('focus')
					.addClass("spanbutton")
					.find("span").text(localTranslation["cancel"][$globlan]);	
			}	
		});	
		$("#rrspan").hover(function() {
			$("body").append($("#rrdiv").val());
			$("#rrpopup").css("top", ($("#rrspan").position().top-$("#rrpopup").css("height").slice(0, -2)-10)+"px");
			$("#rrpopup").css("left", $("#rrspan").position().left+"px");
			$("#rrpopup").show();
		}, function() {
			$("#rrpopup").remove();
		});
		$("#rqspan").hover(function() {
			$("body").append($("#rqdiv").val());
			$("#rqpopup").css("top", ($("#rqspan").position().top-$("#rqpopup").css("height").slice(0, -2)-10)+"px");
			$("#rqpopup").css("left", $("#rqspan").position().left+"px");
			$("#rqpopup").show();
		}, function() {
			console.log("out");
			$("#rqpopup").remove();
		});		
		function InfoCell (cellvalue, options, rowObject) {
			return "<span class='icn_mail_b_n hlpcrsr vam' title='"+localTranslation["informed"][$globlan]+": "+cellvalue+"'></span>";
		}
		function InfoCell2 (cellvalue, options, rowObject) {
			if ((rowObject['tc'] == "I") || (rowObject['tc'] == "X")  || (rowObject['tc'] == "S")) {
				return;
			} else if (cellvalue == "0000-00-00 00:00:00") {
				return "<span class='icn_ok_b_n hlpcrsr vam' title='"+localTranslation["answer"][$globlan]+": N/A'></span>";
			} else {
				return "<span class='icn_ok_b_n hlpcrsr vam' title='"+localTranslation["answer"][$globlan]+": "+cellvalue+"'></span>";
			}
		}	
		function StatusCell (cellvalue, options, rowObject) {
			if (rowObject['st'] == "R") {
				return "<span style='color: <?php echo $c_scheme['XW']; ?>;' class='icn_circle_x_n vam' title='"+tstatusTranslation[rowObject['st']][$globlan]+"'></span>";
			} else if (rowObject['st'] == "I") {
				return "<span style='color: <?php echo $c_scheme['XP']; ?>;' class='icn_circle_x_n vam' title='"+tstatusTranslation[rowObject['st']][$globlan]+"'></span>";
			} else if (rowObject['st'] == "A") {
				return "<span style='color: <?php echo $c_scheme['XO']; ?>;' class='icn_circle_x_n vam' title='"+tstatusTranslation[rowObject['st']][$globlan]+"'></span>";
			} else if (rowObject['st'] == "N") {
				return "<span style='color: <?php echo $c_scheme['XH']; ?>;' class='icn_circle_x_n vam' title='"+tstatusTranslation[rowObject['st']][$globlan]+"'></span>";
			} else if (rowObject['st'] == "S") {
				return "<span style='color: <?php echo $c_scheme['XN']; ?>;' class='icn_circle_x_n vam' title='"+tstatusTranslation[rowObject['st']][$globlan]+"'></span>";
			} else if (rowObject['st'] == "X") {
				return "<span style='color: <?php echo $c_scheme['XM']; ?>;' class='icn_circle_x_n vam' title='"+tstatusTranslation[rowObject['st']][$globlan]+"'></span>";
			} else {
				return "";
			}
		}
		function StatusCellTxt (cellvalue, options, rowObject) {
			return tstatusTranslation[cellvalue][$globlan];
		}		
// switch language
		function c_lan() {
			translate_header($globlan);	
			translate_mainmenu($globlan);
			translate_g_header2($globlan);
			translate_submenu($globlan);
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {		
				switch ($(this).data("type")) {			
					case "text":		
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "select":
						if ($(this).attr("data-lan") == "ffur") {			
							$(this).find("option").each(function(idx, obj) {	
								if ($(this).val() != "") $(this).text(ffuTranslation[$(this).val()][$globlan]);
							});
						}
						if ($(this).attr("data-lan") == "msts") {				
							$(this).find("option").each(function(idx, obj) {			
								$(this).text(mstatTranslation[$(this).val()][$globlan]);
							});
						}
						break;
					case "stteam":
						$(this).text(localTranslation["send_to_team"][$globlan]+": "+localizedate($(this).data("lan")));
						break;
					case "rjteam":
						$(this).text(localTranslation["rj_by_team"][$globlan]+": "+localizedate($(this).data("lan")));
						break;							
					case "stsvt":
						$(this).text(localTranslation["send_to_svt"][$globlan]+": "+localizedate($(this).data("lan")));
						break;
					case "rjsvt":
						$(this).text(localTranslation["rjsvt"][$globlan]+": "+localizedate($(this).data("lan")));
						break;
					case "stgq":
						$(this).text(localTranslation["send_to_gq"][$globlan]+": "+localizedate($(this).data("lan")));
						break;
					case "abgq":
						$(this).text(localTranslation["ap_by_gq"][$globlan]+": "+localizedate($(this).data("lan")));
						break;
					case "rjgq":
						$(this).text(localTranslation["rjgq"][$globlan]+": "+localizedate($(this).data("lan")));
						break;
					case "fcl":
						if ($(this).attr("data-lan") == "bb") {
							if ($("#bb1").val().length) {
								$(this).text(fcbbTranslation[$("#bb1").val()][$globlan]+ " / " +fcbbTranslation[$("#bb1").val()+$("#bb2").val()][$globlan]);
							} else {
								$(this).text("");
							}
						}
						if ($(this).attr("data-lan") == "cc") {
							if ($("#cc1").val().length) {
								$(this).text(fcccTranslation[$("#cc1").val()+$("#cc2").val()][$globlan]);
							} else {
								$(this).text("");
							}
						}			
						if ($(this).attr("data-lan") == "dd") {
							if ($("#dd1").val().length) {
								$(this).text(fcddTranslation[$("#dd1").val()+$("#dd2").val()][$globlan]+ " / " +fcddTranslation[$("#dd1").val()+$("#dd2").val()+$("#dd3").val()+$("#dd4").val()][$globlan]);
							} else {
								$(this).text("");
							}
						}			
						break;
				}
			});
			$("#list").jqGrid('setLabel', "fname", localTranslation["nname"][$globlan])
				.jqGrid('setLabel', "st", localTranslation["status"][$globlan])
				.trigger("reloadGrid");				
			$("#ffu").width(150).customSelect({customClass: "cSelect_man"});	
		}
		function load_page() {
			document.title = document.title.split("/")[0] + '/' + window.sessionStorage.getItem("qb");
//
// case specific loadings
//
			$.ajax({
				type: "GET",
				cache: false,
				url:  "./tools/close_api.php",
				dataType: "json",
				data: { 
					routine: "getdata",
					qbn: window.sessionStorage.getItem("qb")
				},
				success: function(result)
				{					
					var $qbs = result[1];
					$("#rels").val(result[2]);
					$("#tc").val(result[3]);
					$("#rrdiv").val(result[4]);
					$("#rqdiv").val(result[5]);
					result = result[0];	
					$("#fu").val(result['FU']);
					$("#vb").val(result['VB']);
					$("#laf").val(result['LAF']);
					$("#rating").val(result['RATING']);
					$("#ffu").val(result['FFU']);
					$('#ffu').trigger("render");
					$("#tr").val(result['REJTEAM']);
					$("#rr").val(result['REJSVT']);
					$("#qr").val(result['REJGQ']);
					(result['REJSVT'] == 0)?$("#rrspan").invisible():$("#rrspan").visible();
					(result['REJGQ'] == 0)?$("#rqspan").invisible():$("#rqspan").visible();
					$("#oruletxt").val(result['OVERRULED']);
					$("#ordiv").css("visibility", (result['OVERRULED']=="")?"hidden":"visibile");
					if (result['PROCESS'] == 1) {
						$("#pplm").data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");	
					} else {
						$("#pplm").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
					}
				// handle team approval counter
					<?php 
				// if no mailing option do not show team approval box
						if ($qb_support->getoptions('mailing', 'useit') == 'yes') {
					?>
						$("#list").setGridParam({datatype:'json', postData: {routine : "getteamstatus", qbn: window.sessionStorage.getItem("qb")}}).trigger('reloadGrid');
					<?php
						}
					?>
					<?php if ($qb_support->getoptions('failurecodes', 'set') == "yes") { ?>
						$("#bb1").val(result['BB'].substr(0,1));
						$("#bb2").val(result['BB'].substr(1,1));
						$("#cc1").val(result['CC'].substr(0,1));
						$("#cc2").val(result['CC'].substr(1,1));
						$("#dd1").val(result['DD'].substr(0,1));
						$("#dd2").val(result['DD'].substr(1,1));
						$("#dd3").val(result['DD'].substr(2,1));
						$("#dd4").val(result['DD'].substr(3,1));						
						if ($("#bb1").val().length) {
							$("#bb").text(fcbbTranslation[$("#bb1").val()][$globlan]+ " / " +fcbbTranslation[result['BB']][$globlan]);
						} else {
							$("#bb").text("");
						}
						if ($("#cc1").val().length) {
							$("#cc").text(fcccTranslation[result['CC']][$globlan]);
						} else {
							$("#cc").text("");
						}
						if ($("#dd1").val().length) {							
							$("#dd").text(fcddTranslation[result['DD'].substr(0,2)][$globlan]+ " / " +fcddTranslation[result['DD']][$globlan]);
						} else {
							$("#dd").text("");
						}
					<?php } ?>
//
// CLOSE STATUS settings
// 0: no approval requested yet
//		if status = "S" 
//		{
//			if no team defined show "send to svt"
//			if team defined & mailing enabled show "send to team"
//			if team defined & mailing disabled show "send to svt"
//		}
// 1: team was informed
//		show "cancel team approval"
// 2: voting finished but not all team members accepted the closure
//		show "overide to svt
//		show "cancel team approval"
// 3: sent to SVT
//		show "approve" and "reject" only for svt, d-svt, q, admin, hide cancel_team_approval and overrule			
// 4: rejected by svt
// 		show "send to svt"
// 		show "cancel team approval" if TC > 0
//		show "save" if TC == 0
// 5: accepted by SVT, sent to GQ
//		show "approve" and "reject" only for q, admin		
// 6: accepted by gq
// 		show nothing (spare for later use)
// 7: rejected by gq
// 		show "approve" and "reject" only for svt, d-svt, q, admin, hide cancel_team_approval and overrule	
// 9: apply special rights
// 		show save button
//
					$("#qbsts").invisible();
					$("#qbsts").data("type", "");
					$("#qbsts").data("lan", "");	
					switch (result['CSTATUS']) {
						case "0":
							$("#qbsts").invisible();
							$("#qbsts").data("type", "");
							$("#qbsts").data("lan", "");							
							break;
						case "1":
							$("#qbsts").data("type", "stteam");
							$("#qbsts").css("background", "<?php echo $c_scheme['ST']; ?>");
							$("#qbsts").data("lan", result['STDATE']);
							$("#qbsts").text(localTranslation["send_to_team"][$globlan]+": "+localizedate(result['STDATE']));
							$("#qbsts").visible();						
							break;							
						case "2":
							$("#qbsts").data("type", "rjteam");
							$("#qbsts").css("background", "<?php echo $c_scheme['SO']; ?>");
							$("#qbsts").data("lan", result['STDATE']);
							$("#qbsts").text(localTranslation["rj_by_team"][$globlan]+": "+localizedate(result['STDATE']));
							$("#qbsts").visible();						
							break;
						case "3":
							$("#qbsts").data("type", "stsvt");
							$("#qbsts").css("background", "<?php echo $c_scheme['ST']; ?>");
							$("#qbsts").data("lan", result['VGDATE']);
							$("#qbsts").text(localTranslation["send_to_svt"][$globlan]+": "+localizedate(result['VGDATE']));
							$("#qbsts").visible();						
							break;
						case "4":
							$("#qbsts").data("type", "rjsvt");
							$("#qbsts").css("background", "<?php echo $c_scheme['SO']; ?>");
							$("#qbsts").data("lan", result['VGDATE']);
							$("#qbsts").text(localTranslation["rjsvt"][$globlan]+": "+localizedate(result['VGDATE']));
							$("#qbsts").visible();						
							break;								
						case "5":
							$("#qbsts").data("type", "stgq");
							$("#qbsts").css("background", "<?php echo $c_scheme['ST']; ?>");
							$("#qbsts").data("lan", result['CLDATE']);
							$("#qbsts").text(localTranslation["send_to_gq"][$globlan]+": "+localizedate(result['CLDATE']));
							$("#qbsts").visible();						
							break;
						case "6":
							$("#qbsts").data("type", "abgq");
							$("#qbsts").css("background", "<?php echo $c_scheme['SC']; ?>");
							$("#qbsts").data("lan", result['GQDATE']);
							$("#qbsts").text(localTranslation["ap_by_gq"][$globlan]+": "+localizedate(result['GQDATE']));
							$("#qbsts").visible();							
							break;
						case "7":
							$("#qbsts").data("type", "rjgq");
							$("#qbsts").css("background", "<?php echo $c_scheme['SO']; ?>");
							$("#qbsts").data("lan", result['CLDATE']);
							$("#qbsts").text(localTranslation["rjgq"][$globlan]+": "+localizedate(result['CLDATE']));
							$("#qbsts").visible();							
							break;							
					}
				// save close status
					$("#cs").val(result['CSTATUS']);
				// handle fields and buttons
					handle_fields($qbs);
					handle_buttons();		
				}
			});
		}
	// set field properties
		function handle_fields($qbs) {
	// lock functionality based on qb status
			if ($qbs == "C") {
				$("#fu").addClass("info").prop("readonly",true);
				$("#vb").addClass("info").prop("readonly",true);
				$("#laf").addClass("info").prop("readonly",true);
				$("#ffu").addClass("info").prop("disabled",true);
				$("#stsfcdiv input").addClass("info").removeClass("mandatory");				
				$('#saveimg').hide();
			} else {
				$("#fu").removeClass("info").prop("readonly",false);
				$("#vb").removeClass("info").prop("readonly",false);
				$("#laf").removeClass("info").prop("readonly",false);
				$("#ffu").removeClass("info").prop("disabled",false);
				$("#stsfcdiv input").addClass("mandatory").removeClass("info");	
				$('#saveimg').show();		
			}		
			$("#fs1").show();
			$("#fs3").show();
			$("#fs4").show();
			$("#stsfcdiv").show();
			$("#vb").css("height", "65px");
		}
		function handle_buttons(cs) {
	// get status
			var $qbsts = JSON.parse(window.sessionStorage.getItem("qbn")).status;
	// get close status (set to 9 to get special rights)
			var $cs = cs || $("#cs").val();
	// get allowed users for closure approval 
			var $rels = $.parseJSON($("#rels").val());
	// get number of team members 
			var $tc = $("#tc").val();			
			if (js_debug) console.log("CS="+$cs+", QB="+$qbsts+", rels="+$rels+", tc="+$tc);				
//
// CLOSE STATUS settings
// 0: no approval requested yet
//		if (status) = "S" 
//		{
//			if (no team defined)
//			{ 
//				show "send to svt"
//			} 
//			else 
//			{
//				if (mailing enabled)
//				{	
//					show "send to team"
//				} else {
//					show "send to svt"
//				}
//			}
//		}
// 1: team was informed
//		show "cancel team approval"
// 2: voting finished but not all team members accepted the closure
//		show "overide to svt
//		show "cancel team approval"
// 3: sent to SVT
//		show "approve" and "reject" only for svt, d-svt, q, admin, hide cancel_team_approval and overrule			
// 4: rejected by svt
// 		show "send to svt"
// 		show "cancel team approval" if TC > 0
//		show "save" if TC == 0
// 5: accepted by SVT, sent to GQ
//		show "approve" and "reject" only for q, admin		
// 6: accepted by gq
// 		show nothing (spare for later use)
// 7: rejected by gq
// 		show "approve" and "reject" only for svt, d-svt, q, admin, hide cancel_team_approval and overrule	
// 9: apply special rights
// 		show save button
//
			$("#btnsection").empty();
			$("#plusimg").remove();
			<?php 
				if ($qb_support->getoptions('failurecodes', 'set') == "yes") {	// FC only if enabled
					if ($qb_support->checkflag("X")) { 
			?>
						if ($cs == "9") {
							$("#fcacc").append('<span data-type="title" data-lan="add" id="plusimg" style="float: right; margin-right: 5px;" class="icn_add_w_n clckbtn vam" title="<?php echo $ini_close["edit"][$_SESSION["lng"]]; ?>" onclick="$.getScript(\'./jquery/fc_tree.js\', function() {});"></span>');
						} else if ($qbsts =="S") {
							$("#fcacc").append('<span data-type="title" data-lan="add" id="plusimg" style="float: right; margin-right: 5px;" class="icn_add_w_n clckbtn vam" title="<?php echo $ini_close["edit"][$_SESSION["lng"]]; ?>" onclick="$.getScript(\'./jquery/fc_tree.js\', function() {});"></span>');
						}
			<?php
					}			
				}
			?>
			switch($cs) {
				case "0":
					if ($qbsts == "S") {
						if ($tc == 0) {
							$("#btnsection").append('<span data-type="title" data-lan="stsvt" id="stsvtimg" class="icn5_svt_b_n clckbtn vam" title="<?php echo $ini_close["stsvt"][$_SESSION["lng"]];?>" onclick="save_form(\'T\');"></span>');
						} else {
							<?php 
								if ($qb_support->getoptions('mailing', 'useit') == 'yes') {
							?>
									$("#btnsection").append('<span data-type="title" data-lan="reqteamapp" id="sendteamimg" class="icn5_team_b_n clckbtn vam" title="<?php echo $ini_close["reqteamapp"][$_SESSION["lng"]];?>" onclick="send_to_team()"></span>');
							<?php
								} else {
							?>
									$("#btnsection").append('<span data-type="title" data-lan="stsvt" id="stsvtimg" class="icn5_svt_b_n clckbtn vam" title="<?php echo $ini_close["stsvt"][$_SESSION["lng"]];?>" onclick="save_form(\'T\');"></span>');
							<?php
								}
							?>							
						}
					}					
					$("#btnsection").append('<span data-type="title" data-lan="save" id="saveimg" class="icn5_save_b_n clckbtn vam" title="<?php echo $ini_close["save"][$_SESSION["lng"]]; ?>" onclick="save_form(\'S\');"></span>');
					break;
				case "1":
					$("#btnsection").append('<span data-type="title" data-lan="tcancel" id="cancelteamimg" class="icn5_cross_b_n clckbtn vam" title="<?php echo $ini_close["tcancel"][$_SESSION["lng"]];?>" onclick="cancel_send_to_team()"></span>');
					break;
				case "2":
					$("#btnsection").append('<span data-type="title" data-lan="tcancel" id="cancelteamimg" class="icn5_cross_b_n clckbtn vam" title="<?php echo $ini_close["tcancel"][$_SESSION["lng"]];?>" onclick="cancel_send_to_team()"></span>');
					$("#btnsection").append('<span data-type="title" data-lan="overrule_team" id="overuleteamimg" class="icn5_warning_b_n clckbtn vam" title="<?php echo $ini_close["overrule_team"][$_SESSION["lng"]];?>" onclick="$(\'#dialog-overrule\').dialog(\'open\');"></span>');
					break;						
				case "3":
				// show assessment button always for Q and A
					<?php if ($qb_support->checkflag("WY")) { ?>
						$("#btnsection").append('<span data-type="title" data-lan="stgq" id="appsvtimg" class="icn5_ok_b_n clckbtn vam" title="<?php echo $ini_close["stgq"][$_SESSION["lng"]]; ?>" onclick="app_by_svt()"></span>');
						$("#btnsection").append('<span data-type="title" data-lan="rbsvt" id="rejsvtimg" class="icn5_cross_b_n clckbtn vam" title="<?php echo $ini_close["rbsvt"][$_SESSION["lng"]]; ?>" onclick="$(\'#dialog-rejbysvt\').dialog(\'open\');"></span>');
					<?php } else if (($qb_support->checkflag("V"))  OR ($qb_support->checkflag("D"))) { ?>
				// show assessment button only for q-case responsible - or if he/she is deputy - for the original SVT
						if ($rels.length > 0) {
							if ($.inArray("<?php echo $_SESSION['lg']; ?>", $rels) !== -1) {
								$("#btnsection").append('<span data-type="title" data-lan="stgq" id="appsvtimg" class="icn5_ok_b_n clckbtn vam" title="<?php echo $ini_close["stgq"][$_SESSION["lng"]]; ?>" onclick="app_by_svt()"></span>');
								$("#btnsection").append('<span data-type="title" data-lan="rbsvt" id="rejsvtimg" class="icn5_cross_b_n clckbtn vam" title="<?php echo $ini_close["rbsvt"][$_SESSION["lng"]]; ?>" onclick="$(\'#dialog-rejbysvt\').dialog(\'open\');"></span>');
							}
						}
					<?php } ?>
					break;
				case "4":
					if ($tc > 0) {
						$("#btnsection").append('<span data-type="title" data-lan="tcancel" id="cancelteamimg" class="icn5_cross_b_n clckbtn vam" title="<?php echo $ini_close["tcancel"][$_SESSION["lng"]];?>" onclick="cancel_send_to_team()"></span>');						
					}
					$("#btnsection").append('<span data-type="title" data-lan="stsvt" id="stsvtimg" class="icn5_svt_b_n clckbtn vam" title="<?php echo $ini_close["stsvt"][$_SESSION["lng"]];?>" onclick="save_form(\'T\');"></span>');
					if ($tc == 0) {
						$("#btnsection").append('<span data-type="title" data-lan="save" id="saveimg" class="icn5_save_b_n clckbtn vam" title="<?php echo $ini_close["save"][$_SESSION["lng"]]; ?>" onclick="save_form(\'S\');"></span>');					
					}
					break;	
				case "5":
					<?php if ($qb_support->checkflag("W")) { ?>	
						$("#btnsection").append('<span data-type="title" data-lan="rbsvt" id="rejgqimg" class="icn5_cross_b_n clckbtn vam" title="<?php echo $ini_close["rbsvt"][$_SESSION["lng"]]; ?>" onclick="$(\'#dialog-rejbygq\').dialog(\'open\');"></span>');								
						$("#btnsection").append('<span data-type="title" data-lan="absvt" id="appgqimg" class="icn5_ok_b_n clckbtn vam" title="<?php echo $ini_close["absvt"][$_SESSION["lng"]]; ?>" onclick="app_by_gq()"></span>');
					<?php } ?>
					break;
				case "6":
					break;
				case "7":			
				// show assessment button always for Q and A
					<?php if ($qb_support->checkflag("WY")) { ?>
						$("#btnsection").append('<span data-type="title" data-lan="stgq" id="appsvtimg" class="icn5_ok_b_n clckbtn vam" title="<?php echo $ini_close["stgq"][$_SESSION["lng"]]; ?>" onclick="app_by_svt()"></span>');
						$("#btnsection").append('<span data-type="title" data-lan="rbsvt" id="rejsvtimg" class="icn5_cross_b_n clckbtn vam" title="<?php echo $ini_close["rbsvt"][$_SESSION["lng"]]; ?>" onclick="$(\'#dialog-rejbysvt\').dialog(\'open\');"></span>');
					<?php } else if (($qb_support->checkflag("V"))  OR ($qb_support->checkflag("D"))) { ?>				
				// show assessment button only for q-case responsible - or if he/she is deputy - for the original SVT
						if ($rels.length > 0) {							
							if ($.inArray("<?php echo $_SESSION['lg']; ?>", $rels) !== -1) {
								$("#btnsection").append('<span data-type="title" data-lan="stgq" id="appsvtimg" class="icn5_ok_b_n clckbtn vam" title="<?php echo $ini_close["stgq"][$_SESSION["lng"]]; ?>" onclick="app_by_svt()"></span>');
								$("#btnsection").append('<span data-type="title" data-lan="rbsvt" id="rejsvtimg" class="icn5_cross_b_n clckbtn vam" title="<?php echo $ini_close["rbsvt"][$_SESSION["lng"]]; ?>" onclick="$(\'#dialog-rejbysvt\').dialog(\'open\');"></span>');
							}
						}
					<?php } ?>
					break;					
				case "9":				
					$("#btnsection").append('<span data-type="title" data-lan="save" id="saveimg" class="icn5_save_b_n clckbtn vam" title="<?php echo $ini_close["save"][$_SESSION["lng"]]; ?>" onclick="save_form(\'S\');"></span>');
					break;
			}
		}
		function cancel_send_to_team() {
			$.alerts.cancelButton = localTranslation["cancel"][$globlan];
			jConfirm(localTranslation["cancel_teamapp"][$globlan], localTranslation["attention"][$globlan] , function(r) {
				if (r) {
					$('#loading').show();	
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/close_api.php",
						data: { 
							routine: "cancelteamstatus",
							qbn: window.sessionStorage.getItem("qb")
						},
						success: function(result)
						{
							$("#cs").val("0");			// set cstatus to "0" -> team approval cancelled
							handle_buttons();
							$("#list").setGridParam({datatype:'json', postData: {routine : "getteamstatus", qbn: window.sessionStorage.getItem("qb")}}).trigger('reloadGrid');
							$("#qbsts").invisible();
							$("#qbsts").data("type", "");
							$("#qbsts").data("lan", "");							
							$('#loading').hide();
						}
					});
				}
			});
		}				
		function send_to_team() {
			save_form("S");
			$.alerts.cancelButton = localTranslation["cancel"][$globlan];
			jConfirm(localTranslation["confirm_teamapp"][$globlan], localTranslation["attention"][$globlan] , function(r) {
				if (r) {				
					if (check_form()) {
						$.ajax({
							type: "POST",
							cache: false,
							url:  "./tools/close_api.php",
							data: { 
								routine: "sendteam",
								qbn: window.sessionStorage.getItem("qb")
							},
							success: function(result)
							{
								$("#list").setGridParam({datatype:'json', postData: {routine : "getteamstatus", qbn: window.sessionStorage.getItem("qb")}}).trigger('reloadGrid');
								$("#cs").val("1");			// set cstatus to "1" -> team approval requested
								handle_buttons();
								$("#qbsts").data("type", "stteam");
								$("#qbsts").css("background", "<?php echo $c_scheme['ST']; ?>");
								$("#qbsts").data("lan", result);
								$("#qbsts").text(localTranslation["send_to_team"][$globlan]+": "+localizedate(result));
								$("#qbsts").visible();									
								$('#loading').hide();
							}
						});
					}
				}
			});				
		}	
		<?php if ($qb_support->checkflag("ZY")) { ?>		
			function set_special(loc) {
				var $qbsts = JSON.parse(window.sessionStorage.getItem("qbn")).status;
				switch(loc) {
					case "A":
						$('#mat_edt_img').visible();				
						handle_fields("S");
						handle_buttons("9");
						break;
					case "X":
						if ($qbsts == "C") {
							$('#mat_edt_img').invisible();
						}				
						handle_fields($qbsts);								// reset field settings				
						handle_buttons();
						break;						
				}
			}
		<?php } ?>
		function set_ffu() {
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/close_api.php",
				data: { 
					routine: "ffu",
					ffu: $("#ffu").val(),
					qbn: window.sessionStorage.getItem("qb")
				},
				success: function(result)
				{	
				}
			});		
		}
		function pplm_box(loc) {
			if ((JSON.parse(window.sessionStorage.getItem("qbn")).status == "C") && (!$("#lockunlock").hasClass("icn_unlock_b_n"))) return false;
			if ($(loc).data("checked")) {
				$(loc).data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
			} else {
				$(loc).data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");	
			}
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/close_api.php",
				data: { 
					routine: "pplm",
					pplm: $("#pplm").data("checked")*1,
					qbn: window.sessionStorage.getItem("qb")
				},
				success: function(result)
				{
					if (js_debug) console.log("process problem flag set to "+$("#pplm").data("checked")*1);
				}
			});
		}
	// function for mailing reject from GQ
		$("#dialog-rejbygq").dialog({
			resizable: false,
			dialogClass: "doc_input",
			autoOpen: false,
			closeOnEscape: false,
			height: 320,
			width: 440,
			modal: true,
			buttons:
				[
					{
			// save button
						text: "",
						id: "rjqgs",
						css: { width: '100px' },
						click: function() {
							$("#loading").show();
							$.ajax({
								type: "POST",
								cache: false,
								url:  "./tools/close_api.php",
								data: { 
									routine: "mailrejgq",
									track: localTranslation["c_rejected"][$globlan],
									txt: $('#whtpl').val(),
									qbn: window.sessionStorage.getItem("qb")
								},
								success: function(result)
								{
									$("#cs").val("7");			// set cstatus to "7" ->set approval request back to SVT
									$("#qbsts").data("type", "rjgq");
									$("#qbsts").css("background", "<?php echo $c_scheme['SO']; ?>");
									$("#qbsts").data("lan", "<?php echo date('Y-m-d'); ?>");
									$("#qbsts").text(localTranslation["rjgq"][$globlan]+": "+localizedate("<?php echo date('Y-m-d'); ?>"));									
									handle_buttons();			// no rels needed since admins and q can always approve cases
									$("#dialog-rejbygq" ).dialog( "close" );
									$("#loading").hide();								
								}
							});	
							$.ajax({
								type: "POST",
								cache: false,
								url:  "./tools/general_api.php",
								data: { 
									routine: "eventmail2",
									evnt: "E12",
									qbn: window.sessionStorage.getItem("qb")
								},
								success: function(result)
								{
								}		
							});
						}
					},
					{
						id: "rjqgc",
						css: { width: '100px' },
						click: function() {
							$( this ).dialog( "close" );
						}
					}	
				],
			close: function() {
				$('#subject').val("");
				$('#whtpl').val("");
			},		
			open : function() {
				$("#dialog-rejbygq").dialog('option', 'title', localTranslation["c_reject"][$globlan]);
				$("#rjqgs").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
					.off('hover')
					.off('focus')
					.addClass("spanbutton")
					.find("span").text(localTranslation["send"][$globlan]);	
				$("#rjqgc").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
					.off('hover')
					.off('focus')
					.addClass("spanbutton")
					.find("span").text(localTranslation["cancel"][$globlan]);					
				$("#lsubject").text(localTranslation["subject"][$globlan]);
				$("#lmessage").text(localTranslation["message"][$globlan]);
				<?php 
					if ($qb_support->getoptions('mailing', 'useit') == "no") {
				// without mailing just make entry to database and update fields
				?>
						$("#loading").show();
						$.ajax({
							type: "POST",
							cache: false,
							url:  "./tools/close_api.php",
							data: { 
								routine: "mailrejgq2",
								track: localTranslation["c_rejected"][$globlan],
								qbn: window.sessionStorage.getItem("qb"),
								txt: "-"
							},
							success: function(result)
							{
								$("#cs").val("7");			// set cstatus to "7" ->set approval request back to SVT
								$("#qbsts").data("type", "rjgq");
								$("#qbsts").css("background", "<?php echo $c_scheme['SO']; ?>");
								$("#qbsts").data("lan", "<?php echo date('Y-m-d'); ?>");
								$("#qbsts").text(localTranslation["rjgq"][$globlan]+": "+localizedate("<?php echo date('Y-m-d'); ?>"));									
								handle_buttons();			// no rels needed since admins and q can always approve cases
								$("#dialog-rejbygq" ).dialog( "close" );
								$("#loading").hide();
							}
						});					
				<?php } else { ?>			
			// otherwise fill subject and text for mail
					$('#subject').val("QB "+window.sessionStorage.getItem("qb")+": "+localTranslation["c_rejected"][$globlan]);
					$('#whtpl').val("...");
				<?php }	?>
			}	
		});
	// function for mailing reject by SVT
		$( "#dialog-rejbysvt" ).dialog({
			resizable: false,
			dialogClass: "doc_input",
			autoOpen: false,
			closeOnEscape: false,
			height: 320,
			width: 440,
			modal: true,
			buttons:
				[
					{
			// save button
						text: "",
						id: "rjsvts",
						css: { width: '100px' },
						click: function() {
							$("#loading").show();	
							$.ajax({
								type: "POST",
								cache: false,
								url:  "./tools/close_api.php",
								data: { 
									routine: "mailrejsvt",
									txt: $('#swhtpl').val(),
									qbn: window.sessionStorage.getItem("qb")
								},
								success: function(result)
								{
									$("#cs").val("4");		// set CSTATUS to reject by svt
									$("#qbsts").data("type", "rjsvt");
									$("#qbsts").css("background", "<?php echo $c_scheme['SO']; ?>");
									$("#qbsts").data("lan", "<?php echo date('Y-m-d'); ?>");
									$("#qbsts").text(localTranslation["rjsvt"][$globlan]+": "+localizedate("<?php echo date('Y-m-d'); ?>"));
									handle_buttons();
									$("#loading").hide();										
									$("#dialog-rejbysvt" ).dialog( "close" );
								}
							});	
							$.ajax({
								type: "POST",
								cache: false,
								url:  "./tools/general_api.php",
								data: { 
									routine: "eventmail2",
									evnt: "E9",
									qbn: window.sessionStorage.getItem("qb")
								},
								success: function(result)
								{
								}		
							});
						}
					},
					{
						text: "",
						id: "rjsvtc",
						css: { width: '100px' },
						click: function() {
							$( this ).dialog( "close" );
						}
					}	
				],
			close: function() {
				$('#ssubject').val("");
				$('#swhtpl').val("");
			},		
			open : function() {
				$("#dialog-rejbysvt").dialog('option', 'title', localTranslation["c_reject"][$globlan]);
				$("#rjsvts").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
					.off('hover')
					.off('focus')
					.addClass("spanbutton")
					.find("span").text(localTranslation["send"][$globlan]);	
				$("#rjsvtc").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
					.off('hover')
					.off('focus')
					.addClass("spanbutton")
					.find("span").text(localTranslation["cancel"][$globlan]);						
	
				<?php 
					if ($qb_support->getoptions('mailing', 'useit') == "no") { 
				?>
						$("#loading").show();
						$.ajax({
							type: "POST",
							cache: false,
							url:  "./tools/close_api.php",
							data: { 
								routine: "mailrejsvt2",
								qbn: window.sessionStorage.getItem("qb"),
								txt: "-"
							},
							success: function(result)
							{
								$("#cs").val("4");		// set CSTATUS to reject by svt
								$("#qbsts").data("type", "rjsvt");
								$("#qbsts").css("background", "<?php echo $c_scheme['SO']; ?>");
								$("#qbsts").data("lan", "<?php echo date('Y-m-d'); ?>");
								$("#qbsts").text(localTranslation["rjsvt"][$globlan]+": "+localizedate("<?php echo date('Y-m-d'); ?>"));								
								handle_buttons();
								$("#dialog-rejbysvt" ).dialog( "close" );
								$("#loading").hide();						
							}
						});					
				<?php 
					} else { 
				?>
					// otherwise fill subject and text for mail
						$('#ssubject').val("QB "+window.sessionStorage.getItem("qb")+": "+localTranslation["c_rejected"][$globlan]);
						$('#whtpl').val("...");
				<?php
					}
				?>
			}	
		});
		function save_form(loc) {
			$("#loading").show();
		// save function
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/close_api.php",
				data: { 
					routine: "saveclose",
					fu: $.trim($("#fu").val()),
					vb: $.trim($("#vb").val()),
					laf: $.trim($("#laf").val()),
					qbn: window.sessionStorage.getItem("qb")
				},
				success: function(result)
				{
					$data_changed = false;
					$("#loading").hide();
			// submit to svt after save if svt icon was clicked
					if (loc == "T") send_to_svt();
				}
			});
		}
		function check_form() {
		// check if all mandatory fields are filled
			if (!$.trim($("#fu").val()) || !$.trim($("#vb").val()) || !$("#ffu").val()) {
				jAlert(localTranslation["fill_close"][$globlan], localTranslation["attention"][$globlan]);
				return false;	
			}
		// check mandatory fields in other forms
			$("#loading").show();
			var res = false;
			$.ajax({
				type: "GET",
				cache: false,
				async: false,
				url:  "./tools/close_api.php",
				data: { 
					routine: "checkrules",
					qbn: window.sessionStorage.getItem("qb")
				},
				success: function(result)
				{
					$("#loading").hide();
					if($.trim(result) != "OK") {
						jAlert(localTranslation[$.trim(result)][$globlan], localTranslation["attention"][$globlan]);
						res = false;
					} else {
						res = true;
					}
				}
			});
			return res;
		}
		function send_to_svt() {			
			if (check_form()) {
				<?php if ($qb_support->getoptions('mailing', 'useit') == "no") { ?>
					$("#loading").show();
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/close_api.php",
						data: { 
							routine: "stsvt2",
							qbn: window.sessionStorage.getItem("qb"),
							tc: $("#tc").val()
						},
						success: function(result)
						{
							$("#loading").hide();					
						}
					});			
				<?php } else { ?>
					$("#loading").show();	
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/close_api.php",
						data: { 
							routine: "stsvt",
							qbn: window.sessionStorage.getItem("qb"),
							tc: $("#tc").val()
						},
						success: function(result)
						{
							$("#loading").hide();
						}
					});	
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/general_api.php",
						data: { 
							routine: "eventmail2",
							evnt: "E8",
							qbn: window.sessionStorage.getItem("qb")
						},
						success: function(result)
						{
						}		
					});
				<?php }	?>
				$("#qbsts").data("type", "stsvt");
				$("#qbsts").css("background", "<?php echo $c_scheme['ST']; ?>");
				$("#qbsts").data("lan", "<?php echo date('Y-m-d'); ?>");
				$("#qbsts").text(localTranslation["send_to_svt"][$globlan]+": "+localizedate("<?php echo date('Y-m-d'); ?>"));
				$("#qbsts").visible();
				$("#cs").val("3");		// sent to SVT
				handle_buttons();			
			}
		}
		function app_by_svt() {
			if (check_form()) {
				<?php if ($qb_support->getoptions('mailing', 'useit') == "no") { ?>
					$("#loading").show();
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/close_api.php",
						data: { 
							routine: "absvt2",
							qbn: window.sessionStorage.getItem("qb")
						},
						success: function(result)
						{
							$("#loading").hide();
						}
					});			
				<?php } else { ?>		
					$("#loading").show();
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/close_api.php",
						data: { 
							routine: "absvt",
							qbn: window.sessionStorage.getItem("qb")
						},
						success: function(result)
						{
							$("#loading").hide();			
						}
					});		
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/general_api.php",
						data: { 
							routine: "eventmail2",
							evnt: "E10",
							qbn: window.sessionStorage.getItem("qb")
						},
						success: function(result)
						{
						}		
					});
				<?php } ?>
				$("#qbsts").data("type", "stgq");
				$("#qbsts").css("background", "<?php echo $c_scheme['ST']; ?>");
				$("#qbsts").data("lan", "<?php echo date('Y-m-d'); ?>");
				$("#qbsts").text(localTranslation["send_to_gq"][$globlan]+": "+localizedate("<?php echo date('Y-m-d'); ?>"));
				$("#cs").val("5");		// sent to GQ
				handle_buttons();				
			}
		}
		function app_by_gq() {
			if (check_form()) {
				<?php 
					if ($qb_support->getoptions('qbclassification', 'set') == "yes") {
				?>	
					// check if classification is done
						if (!$.trim($("#clss").text())) {
							jAlert(localTranslation["fill_class"][$globlan], localTranslation["attention"][$globlan]);
							return false;	
						}
				<?php
					}
					if ($qb_support->getoptions('failurecodes', 'set') == "yes") { 
				?>
					// if failure codes enabled check if all entered
						$fclen = 0;
						$('#stsfcdiv .fipt').each(function(){
							$fclen+=$(this).val().length;
						});
						if ($fclen != 8) {
					// failure codes not set
							jAlert(localTranslation["no_fcs"][$globlan], localTranslation["attention"][$globlan]);
							return false;		
						}
				<?php 
					}
					if ($qb_support->getoptions('5wrating', 'set') == "yes") { 
				?>
					// if rating is enabled check if entered
						if ($("#rating").val() == "") {
					// failure codes not set - check if light and if yes skip error message
							if (JSON.parse(window.sessionStorage.getItem("qbn")).light == 0) {
								jAlert(localTranslation["no_rating"][$globlan], localTranslation["attention"][$globlan]);
								return false;
							}
						}
				<?php 
					}
			// close case
					if ($qb_support->getoptions('mailing', 'useit') == "no") { 
				?>
						$("#loading").show();
						$.ajax({
							type: "POST",
							cache: false,
							url:  "./tools/close_api.php",
							data: { 
								routine: "abgq2",
								qbn: window.sessionStorage.getItem("qb")
							},
							success: function(result)
							{
								$("#loading").hide();
							}
						});			
				<?php 
					} else { 
				?>
						$("#loading").show();		
						$.ajax({
							type: "POST",
							cache: false,
							url:  "./tools/close_api.php",
							data: { 
								routine: "abgq",
								qbn: window.sessionStorage.getItem("qb")
							},
							success: function(result)
							{
								$("#loading").hide();	
							}
						});	
					// Event Mailing	
						$.ajax({
							type: "POST",
							cache: false,
							url:  "./tools/general_api.php",
							data: { 
								routine: "eventmail2",
								evnt: "E11",
								qbn: window.sessionStorage.getItem("qb")
							},
							success: function(result)
							{
							}		
						});	
				<?php 
					} 
				?>
				$("#qbsts").data("type", "abgq");
				$("#qbsts").css("background", "<?php echo $c_scheme['SC']; ?>");
				$("#qbsts").data("lan", "<?php echo date('Y-m-d'); ?>");
				$("#qbsts").text(localTranslation["ap_by_gq"][$globlan]+": "+localizedate("<?php echo date('Y-m-d'); ?>"));
			// change status
				$tmprcl = JSON.parse(window.sessionStorage.getItem("qbn"));
				$tmprcl.status = "C";
				window.sessionStorage.setItem("qbn", JSON.stringify($tmprcl));
				$("#qb").css("background-color", $qb_status_color["C"]);
				$("#cs").val("6");		// case closed
				handle_buttons();
			}				
		}
		g_header2();
	</script>
</body>
</html>
