<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />	
	<?php include_once(dirname(__FILE__)."/tools/all_header.php"); global $c_scheme, $timezone, $rel_path; ?>
	<script>
		var js_debug = false;
		$data_changed = false;		
	</script>
	
    <title>Change Password</title>
		
	<link rel="stylesheet" href="./css/qb.php" />
	
	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>

	<script>
	// load translation and save in localTranslation
		<?php	
			$ini_cpw = parse_ini_file($rel_path.'i18n/cpwuser.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_cpw as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
		?>
	</script>
</head>
<body>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
      <div id='mainnav'>
        <ul style='margin-left: 20px;'>
          <li class='acl'><span data-type='text' data-lan='cpw' data-sr='1'id='sel'><?php echo $ini_cpw['cpw'][$_SESSION['lng']]; ?></span></li>
        </ul>
      </div>
			<div class="dtop">	
				<span data-type="text" data-lan="cpw"><?php echo $ini_cpw['cpw'][$_SESSION['lng']]; ?></span>
			</div>
			<div class="tabs_container">
				<p data-type="text" data-lan="" style="margin-bottom: 50px;height: 25px; border: 0px solid blue; text-align: center; color: <?php echo $c_scheme['IW']; ?>; font: bold 14pt Arial;" id="login_info"><p/>						
				<div style="background: <?php echo $c_scheme['M4']; ?>; width: 600px; margin: auto; margin-top: 20px; padding: 20px 5px;">		
					<p>
						<label data-type="text" data-lan="set_new_pw" class="dlabel w250"><?php echo $ini_cpw['set_new_pw'][$_SESSION['lng']]; ?></label>
						<input type="password" class='dinputw w300 vam' id="password1" />
					</p>	
					<p>
						<label data-type="text" data-lan="conf_new_pw" class="dlabel w250"><?php echo $ini_cpw['conf_new_pw'][$_SESSION['lng']]; ?></label>
						<input type='password' class='dinputw w300 vam' id='password2' />
					</p>
					<center>
						<span data-type="text" data-lan="send" class="spanbutton w100" onclick="check_form();" style="margin-top: 20px;" ><?php echo $ini_cpw['send'][$_SESSION['lng']]; ?></span>
					</center>
					<input type="hidden" id="login" name="login" value="<?php echo $_SESSION['lg']; ?>" />
				</div>
			</div>
		</div>
		<?php include_once($rel_path.'footer.php'); ?> 
	</div>
	<script language="JavaScript" type="text/javascript">
	<!-- enable return key
		var Netscape = new Boolean();
		if(navigator.appName == "Netscape")  Netscape = true;

		function TasteGedrueckt(Ereignis)
		{
		 if(Netscape)
		  {if (Ereignis.which==13) check_form();}
		}
		document.onkeydown = TasteGedrueckt;
	//-->
	</script>

	<!-- JScript-Bereiche fuer MS Internet Explorer -->
	<script for="document" event="onkeydown()" language="JScript" type="text/jscript">
	<!--
		{ if (window.event.keyCode==13) check_form();}
	//-->
	</script>
	<script language="JavaScript" type="text/javascript">
		$("#password1").focus();
		function c_lan() {
			translate_header($globlan);	
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {			
				switch ($(this).data("type")) {
					case "text":
                        if ($(this).data("lan") != "") $(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;					
				}
			});
		}
		function check_form() {
		// check for consistency
			if ($('#password1').val() != $.trim($('#password1').val())) {
		// passwords contains spaces
				$("#login_info").text(localTranslation["no_spaces"][$globlan]);
				$("#password1").val("");
				$("#password2").val("");
				return false;
			}	
			if ($('#password2').val() != $.trim($('#password2').val())) {
		// passwords contains spaces
				$("#login_info").text(localTranslation["no_spaces"][$globlan]);
				$("#password1").val("");
				$("#password2").val("");			
				return false;
			}	
		// no user - verfiy both passwords in addition
			if ($('#password1').val() != $('#password2').val()) {
		// passwords do not match
				$("#login_info").text(localTranslation["no_match"][$globlan]);
				$("#password1").val("");
				$("#password2").val("");			
				return false;
			}
			if ($('#password1').val().length < 5) {
		// password too short
				$("#login_info").text(localTranslation["too_short"][$globlan]);
				$("#password1").val("");
				$("#password2").val("");			
				return false;
			} 
		// login equals password
			if ($('#password1').val().toLowerCase() == $("#aroleinfo").data("login")) {
				$("#login_info").text(localTranslation["not_same"][$globlan]);
				$("#password1").val("");
				$("#password2").val("");			
				return false;
			} 
			$("#loading").show();
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/general_api.php",
				data: { 
					routine: "changepw",
					pwd: $.base64.encode($('#password1').val()),
          opwd: "",
          mode: "0"
				},
        dataType: "json",
				success: function(result)
				{
			// change sucessfull
					if (result[0] == 1) {
            <?php echo ($qb_support->emptydb())?'window.location.href = "./index.php";':'window.location.href = "./basic.php";'; ?>
					} else {
				// no - issue error message
						$("body :input").each(function(){
							$(this).val("");
						});				
						$("#login_info").text(localTranslation[result[1]][$globlan]);
						$("#login_info").data("lan", result[1]);
						$("#loading").hide();
						return;
					}
				}
			});			
		}
	</script>
</body>
</html>
