<?php
// open log file
    $myFile = dirname(__FILE__) . "/log_ai_reminder.txt";	
    $fh = fopen($myFile, 'a');	
    $stringData = "*** Checking for due immediate action reminders @ " . date("Y-m-d H:i:s") . " ***\r\n";		
// check for reminders set on immediate actions
//
// get immediate reminder
    $query = "SELECT COUNT(*) FROM qb_docimm WHERE REMINDER <= CURDATE() AND REMINDER <> '0000-00-00' AND REMINDERINFO<>CURDATE()";
    $stmt = $db->query($query);
    if ($stmt->fetchColumn() > 0 ) {
    // get AI owner visum
        $query = "SELECT VISUM, QBN, IDX FROM qb_docimm WHERE REMINDER <= CURDATE() AND REMINDER <> '0000-00-00' AND REMINDERINFO<>CURDATE() LIMIT 15";
        $stmt = $db->query($query);	
        while ($readrow = $stmt->fetch(PDO::FETCH_NUM)) {
            $query = "SELECT VORNAME, EMAIL, LANG, NACHNAME FROM qb_user WHERE LOGIN=:vis";
            $stmt = $db->prepare($query);
            $stmt->execute(array(':vis' => $readrow[0]));
            $result = $stmt->fetch(PDO::FETCH_NUM);					
        // load template file
            if ($result[2] == "") $result[2] = $qb_support->getOptions('fallbacklang', 'set');
            $template = file_get_contents(dirname(__FILE__) . "/../mail/".$result[2].".cron.ai_reminder.html");
            $template = str_replace('{{qbnummer}}', $readrow[1], $template);
            $template = str_replace('{{username}}', $result[0], $template);
            $template = str_replace('{{qblink}}', $relili . $readrow[1] . "&page=immediate", $template);
            preg_match('/<title>(.*)<\/title>/iU', $template, $subject);
            $subject = "QB".$readrow[1].": ".$subject[1];					
            $qb_support->templatemail($result[1], $subject, $template, "", "cron:immediate_ai_reminder");
    // update database
            $query = "UPDATE qb_docimm SET REMINDERINFO=CURDATE() WHERE IDX=:idx";
            $stmt2 = $db->prepare($query);
            $stmt2->execute(array(':idx' => $readrow[2]));
        // write log file
            $stringData .= "Immediate action reminder on QB" . $readrow[1] . " - Owner: " . $result[3] . ", " . $result[0] . "\r\n";			
        }
    }
// write log file
    fwrite($fh, $stringData);
    fwrite($fh, "//\r\n");
    $stringData = "*** Checking for due definitive action reminders @ " . date("Y-m-d H:i:s") . " ***\r\n";		
// check for reminders set on definitive actions
//
// get definitive reminder
    $query = "SELECT COUNT(*) FROM qb_docdef WHERE REMINDER <= CURDATE() AND REMINDER <> '0000-00-00' AND REMINDERINFO<>CURDATE()";
    $stmt = $db->query($query);
    if ($stmt->fetchColumn() > 0 ) {
    // get AI owner visum
        $query = "SELECT VISUM, QBN, IDX FROM qb_docdef WHERE REMINDER <= CURDATE() AND REMINDER <> '0000-00-00' AND REMINDERINFO<>CURDATE() LIMIT 15";
        $stmt = $db->query($query);	
        while ($readrow = $stmt->fetch(PDO::FETCH_NUM)) {
            $query = "SELECT VORNAME, EMAIL, LANG, NACHNAME FROM qb_user WHERE LOGIN=:vis";
            $stmt = $db->prepare($query);
            $stmt->execute(array(':vis' => $readrow[0]));
            $result = $stmt->fetch(PDO::FETCH_NUM);					
        // load template file
            if ($result[2] == "") $result[2] = $qb_support->getOptions('fallbacklang', 'set');
            $template = file_get_contents(dirname(__FILE__) . "/../mail/".$result[2].".cron.ai_reminder.html");
            $template = str_replace('{{qbnummer}}', $readrow[1], $template);
            $template = str_replace('{{username}}', $result[0], $template);
            $template = str_replace('{{qblink}}', $relili . $readrow[1] . "&page=definitive", $template);
            preg_match('/<title>(.*)<\/title>/iU', $template, $subject);
            $subject = "QB".$readrow[1].": ".$subject[1];					
            $qb_support->templatemail($result[1], $subject, $template, "", "cron:definitive_ai_reminder");
    // update database
            $query = "UPDATE qb_docdef SET REMINDERINFO=CURDATE() WHERE IDX=:idx";
            $stmt2 = $db->prepare($query);
            $stmt2->execute(array(':idx' => $readrow[2]));
        // write log file
            $stringData .= "Definitive action reminder on QB" . $readrow[1] . " - Owner: " . $result[3] . ", " . $result[0] . "\r\n";
        }
    }
// write log file
    fwrite($fh, $stringData);
    fwrite($fh, "//\r\n");
    fclose($fh);
?>