<?php
// write log file only at end og run since the own log file will be truncated too
    $stringData = "//\r\n*** Checking for truncate all logs  @ " . date("Y-m-d H:i:s") . " ***\r\n";
// logs to truncate
    $logs = array(
            'log_ai_reminder.txt',
            'log_del_qblogs.txt',
            'log_overdue_def_ai.txt',
            'log_overdue_imm_ai.txt',
            'log_overdue_pl_assignment.txt',
            'log_pw.txt',
            'log_svt_close.txt',
            'log_svt_implement.txt',
            'log_truncate_maillog.txt',
            'log_vote.txt',
            'log_truncate_alllog.txt'
        );
    $today = new DateTime("now");
    $deldays = $qb_support->getoptions("cronjobs", "dellog");
    if ($deldays == "0") {
// never delete log files
        $myFile = dirname(__FILE__) . "/log_truncate_alllog.txt";	
        $fh = fopen($myFile, 'a');	
        fwrite($fh, $stringData);
        fwrite($fh, "// option 'never delete log files' selected - exiting \r\n");
        fclose($fh);
        return;
    }    
    foreach ($logs as $key=>$value) {
        $cnt = 0;
        if (file_exists(dirname(__FILE__).$ds.$value)) {
            $read = fopen(dirname(__FILE__).$ds.$value, "r");
            if ($read) {
                while (($line = fgets($read)) !== false) {
                    if (substr($line, 0, 16) == "*** Checking for") {
                        $tmpline = explode("@", $line);
                        $tmpline = substr(trim($tmpline[1]), 0, 10);
                        $date2 = new DateTime($tmpline);
                        $diff = $today->diff($date2)->format("%d");
                        if ($diff <= $deldays) {
                            break;
                        }
                    }
                    $cnt++;
                }
            } else {
                continue;
            }
        // shorten file content
            $lines = file(dirname(__FILE__).$ds.$value);
            $lines = array_slice($lines, $cnt);
        // Write back to file
            $file = fopen(dirname(__FILE__).$ds.$value, 'w');
            fwrite($file, implode('', $lines));
            fclose($file);
            $stringData .= "log file " . $value . ": " . $cnt . " lines deleted\r\n";
                
        } else {
            $stringData .= "!!! log file " . $value . " not found\r\n";
        }
    }
// write log file
	$myFile = dirname(__FILE__) . "/log_truncate_alllog.txt";	
	$fh = fopen($myFile, 'a');
    fwrite($fh, $stringData);
    fclose($fh);
?>