<?php
// open log file
	$myFile = dirname(__FILE__) . "/log_truncate_maillog.txt";	
	$fh = fopen($myFile, 'a');	
	$stringData = "*** Checking for truncate mail log  @ " . date("Y-m-d H:i:s") . " ***\r\n";
    fwrite($fh, $stringData);
    
    if ($qb_support->getoptions("mailing", "useit") == "no") {
// run code only if log files are activated
        fwrite($fh, "// Mailing not enabled - exiting \r\n");
        fclose($fh);
        return;
    }
    if ($qb_support->getoptions("mailing", "log") == "no") {
// run code only if log files are activated
        fwrite($fh, "// Mail logging not enabled - exiting \r\n");
        fclose($fh);
        return;
    }
    if ($qb_support->getoptions("mailing", "dellog") == "0") {
// never delete log files
        fwrite($fh, "// option 'never delete log files' selected - exiting \r\n");
        fclose($fh);
        return;
    }
    $cnt = 0;
    $today = new DateTime("now");
    $deldays = $qb_support->getoptions("mailing", "dellog");
// find line to which the file has to be deleted
    $read = fopen(dirname(__FILE__).'/../mail.txt', "r");
    if ($read) {
        while (($line = fgets($read)) !== false) {
            if (substr($line, 0, 36) == "********************************** @") {
                $tmpline = substr($line, 37, 10);
                $date2 = new DateTime($tmpline);
                $diff = $today->diff($date2)->format("%d");
                if ($diff <= $deldays) {
                    break;
                }
            }
            $cnt++;
        }
        fclose($read);
    } else {
// never delete log files
        fwrite($fh, "// no mail log file found - exiting \r\n");
        fclose($fh);
        return;
    }
// shorten file content
    $lines = file(dirname(__FILE__).'/../mail.txt');
    $lines = array_slice($lines, $cnt);
// Write back to file
    $file = fopen(dirname(__FILE__).'/../mail.txt', 'w');
    fwrite($file, implode('', $lines));
    fclose($file);
// write log file
    fwrite($fh, "// ". $cnt . " lines deleted\r\n");
    fclose($fh);
?>