<!DOCTYPE html>
<html>
	<head>
		<meta http-equiv="X-UA-Compatible" content="IE=edge" />
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<?php 
			include_once(dirname(__FILE__)."/tools/all_header.php"); 
			global $c_scheme, $timezone, $rel_path;
			if (!isset($_SESSION['lg'])) header("Location: basic.php");
		?>

		<title>DASHBOARD</title>
			
		<link rel="stylesheet" href="./css/qb.php" />
		<link rel="stylesheet" href="./jqGrid_5.2.1/css/ui.jqgrid.css" />		
		<link rel="stylesheet" href="./css/jquery-ui.1.12.1.min.css">
		<style>
			.hdlne {
				background-color: <?php echo $c_scheme['M3'];?>;
				width: 100%;
				height: 20px;
				font: normal 11pt Arial;
				line-height: 20px;
				cursor: move;
				border-bottom: 1px solid black;
				color: <?php echo $c_scheme['XI'];?>;
			}
			.ui-custom {
				float: right;
				position: relative;
				top: 6px;
				left: -2px;
				cursor: pointer;
				background-color: #FFFFFF;
			}
			.ui-custom2 {
				position: relative;
				left: 2px;
				cursor: pointer;
				background-color: #FFFFFF;
			}
		</style>
		<script src="./jquery/jquery.min.js"></script>
		<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
		<script src="./jquery/jquery-ui.min.js"></script>
		<script src="./charts/Chart.bundle.min.js"></script>
		<script src="./charts/plugins/chartjs-plugin-datalabels.min.js"></script>
		<script src="./jquery/qb_js.js"></script>
		<?php 
			foreach(explode(":", $qb_support->getLanOnly()) as $key=>$value) {
				echo '<script src="./jqGrid_5.2.1/js/i18n/grid.locale-' . $value . '.js"></script>';
			}
		?>
		<script src="./jqGrid_5.2.1/js/jquery.jqGrid.min.js"></script>	
		
		<script>
		// load translation and save in localTranslation
			<?php
				$login = "augeju";
				$ini_dashboard = parse_ini_file($rel_path.'i18n/dashboard.ini', true);	
				echo "localTranslation = {};";
				foreach($ini_dashboard as $key=>$value){
					$add = "";
					foreach($value AS $lan=>$trans){
						$add .= "'".$lan."':'".$trans."',";
					}
					echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
				}
				$ini_qbstatus = parse_ini_file($rel_path.'xml/qb_status.ini', true);	
				echo "qbstatusTranslation = {};";
				foreach($ini_qbstatus as $key=>$value){
					$add = "";
					foreach($value AS $lan=>$trans){
						$add .= "'".$lan."':'".$trans."',";
					}
					echo "qbstatusTranslation['".$key."']={".rtrim($add, ',')."};";		
				}
				$ini_class = parse_ini_file($rel_path.'xml/class.ini', true);
				$ini_class['all']=$ini_dashboard['all'];
				echo "classTranslation = {};";
				foreach($ini_class as $key=>$value){
					$add = "";
					foreach($value AS $lan=>$trans){
						$add .= "'".$lan."':'".$trans."',";
					}
					echo "classTranslation['".$key."']={".rtrim($add, ',')."};";
				}
				$stmt = $db->query("SELECT WIDGET, LNG FROM qb_widgets");
				$widgets = $stmt->fetchAll(PDO::FETCH_NUM);
			?>
		</script>
	</head>
	<body>
		<div class="mainbody">
			<div class="dtop">
				<span class="icn3_arraoleft_w_n clckbtn" style="float: left; font-size: 30px; margin-left: 5px;" data-type="title" data-lan="prev" title="<?php echo $ini_dashboard['prev'][$_SESSION['lng']]; ?>" onclick="backtoanalysis()"></span>
				<span data-type="text" data-lan="dashboard"><?php echo $ini_dashboard['dashboard'][$_SESSION['lng']]; ?></span>
				<span style="float: right; margin-right: 20px;">
					<label data-type="text" data-lan="reports" class="dlabel"><?php echo $ini_dashboard['reports'][$_SESSION['lng']]; ?></label>
					<select id="widgets" class="w150" onchange="upd_widget(this.value)">
						<option value="">...</option>
						<?php
							foreach($widgets as $k=>$v){
								echo "<option value='".$v[0]."'>".$ini_dashboard[$v[1]][$_SESSION['lng']]."</option>";
							}
						?>
					</select>
				</span>
			</div>
		</div>
		<?php
			$query = "SELECT DASH FROM qb_dashboards WHERE LOGIN=:lgi";
			$stmt = $db->prepare($query);	
			$stmt->execute(array(':lgi'=>$login));
			list($allwidgets) = $stmt->fetch(PDO::FETCH_NUM);
			if ($allwidgets !== NULL) {
				$widgets = array_keys(json_decode($allwidgets, true));
				foreach ($widgets as $wk=>$wv) {
					include_once (dirname(__FILE__)."/widgets/".$wv.".php");
				}
			}
		?>
		<script>
			function upd_widget(loc) {
				if ($("#wdg_"+loc).length != 0) {
					jAlert(localTranslation["repexists"][$globlan], localTranslation["attention"][$globlan]);
					$("#widgets").val("");
					return false;
				}
				$.ajax({
					type: "POST",
					cache: false,
					url:  "./tools/dashboard_api.php",
					data: { 
						routine: "addwidget",
						wdg: loc,
						lgi: "<?php echo $login; ?>"
					},
					success: function(result)
					{
						location.reload(); 
					}
				});
			}
			function backtoanalysis() {
				window.location.href="./analysis.php";
			}
		</script>
	</body>
</html>