<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />	
	<?php 
		include_once(dirname(__FILE__)."/tools/all_header.php"); 
		global $c_scheme, $timezone, $rel_path;
		if (!$qb_support->checkflag("YW")) header("Location: basic.php");
	?>	
	<script>
		var js_debug = false;
		$data_changed = false;	
	</script>
    <title>Delete</title>
	
	<link rel="stylesheet" href="./css/qb.php" />
	<link rel="stylesheet" href="./jqGrid_5.2.1/css/ui.jqgrid.css" />

	<style>
		.ui-jqgrid tr.jqgrow td{
			white-space:nowrap;
			height: 18px !important;
		}
		.ui-state-hover, .ui-widget-content .ui-state-hover, .ui-widget-header .ui-state-hover,
		.ui-state-focus, .ui-widget-content .ui-state-focus, .ui-widget-header .ui-state-focus
		{
			border: 0 none;
		}			
	</style>
	
	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>
	
	<?php 
		foreach(explode(":", $qb_support->getLanOnly()) as $key=>$value) {
			echo '<script src="./jqGrid_5.2.1/js/i18n/grid.locale-' . $value . '.js"></script>';
		}
	?>
	<script src="./jqGrid_5.2.1/js/jquery.jqGrid.min.js"></script>	

	<script>
	// load translation and save in localTranslation
		<?php	
			$ini_delete = parse_ini_file($rel_path.'i18n/delete.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_delete as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$ini_qbstatus = parse_ini_file($rel_path.'xml/qb_status.ini', true);
			$ddr = ":".$ini_delete['all'][$_SESSION['lng']];			
			echo "qbstatusTranslation = {};";
			foreach($ini_qbstatus as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "qbstatusTranslation['".$key."']={".rtrim($add, ',')."};";
				if (in_array($key, array('N','O','S','C'))) {
					$ddr .= ";".$key.":".$value[$_SESSION['lng']];
				}				
			}
			echo "var ddr = '".$ddr."';";			
		?>
	</script>
</head>
<body>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
			<?php 
				echo "<div id='mainnav'>". $qb_support->get_main_menu(4) . "</div>";
			?>
			<div class="dtop">
				<?php include_once($rel_path.'html/systemmenu.php');	?>		
				<span data-type="text" data-lan="delete"><?php echo $ini_delete['delete'][$_SESSION['lng']]; ?></span>
			</div>
			<div style="display: inline-block; margin-left: 10px;">
				<table id="list"></table> 
				<div id="pager"></div> 
			</div>
		</div>
		<?php include_once($rel_path.'/footer.php'); ?>
	</div>
	<script>
		window.sessionStorage.removeItem("qb");
		window.sessionStorage.removeItem("qbn");
		
		function load_page() {
			fill_grid();
		}
		function c_lan(loc) {
			translate_header($globlan);	
			translate_mainmenu($globlan);
			translate_system($globlan);
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {			
				switch ($(this).data("type")) {
					case "text":		
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "date":
						$(this).val(localizedate($($(this).data("lan")).val()));
						break;						
				}
			});			
			$.jgrid.setRegional('list',{regional: $globlan});
			$("#list").jqGrid('setLabel', "qbn", localTranslation["qbn"][$globlan])
				.jqGrid('setLabel', "svt", localTranslation["svt"][$globlan])
				.jqGrid('setLabel', "tgr", localTranslation["imat"][$globlan])
				.jqGrid('setLabel', "tgrbz", localTranslation["imatname"][$globlan])
				.jqGrid('setLabel', "qbstatus", localTranslation["status"][$globlan]);
			$("#del_list").attr("title", localTranslation["delrow"][$globlan]);
			$.each($('*').filter(function(){return $(this).data('lan') !== undefined;}), function() {
				$("#gs_qbstatus").find("option").each(function(idx, obj) {
					if ($(this).val() == "") {
						$(this).text(localTranslation["all"][$globlan]);
					} else {
						$(this).text(qbstatusTranslation[$(this).val()][$globlan]);
					}
				});		
			});
			$("#list").trigger("reloadGrid");			
		}	
		function StatusFormatter (cellvalue, options, rowObject)
		{
			return qbstatusTranslation[cellvalue][$globlan];
		}	
		function cusbtns() {
			$("#del_list div").empty().html("<span class='icn_delete_b_n clckbtn'></span>");
			$("#del_list").removeClass("ui-pg-button");
			$("#pager_left .ui-separator").parent().remove();	
		}
		function fill_grid() {
			$("#loading").show();
			cmTemplate = {
				editable: false,			
				sorttype:'string',		
				searchoptions: {
					sopt:['cn'], 
					clearSearch: false
				}
			};
			obj = {
				url:  "./tools/delete_api.php",
				postData: {
					routine : "getqbs",
					qblan: $globlan
				},
				contentType: "application/json",
				datatype: "json",
				jsonReader: {
					id: "id",
					repeatitems: true
				},
				mtype: "POST",
				colNames: [
					localTranslation["qbn"][$globlan],
					localTranslation["svt"][$globlan],
					localTranslation["imat"][$globlan],
					localTranslation["imatname"][$globlan],
					localTranslation["status"][$globlan],
					""
				],
				colModel: [
					{ 
						name: "qbn", 
						template: cmTemplate,
						width: 100
					},
					{ 
						name: "svt", 
						template: cmTemplate,
						width: 180
					},
					{
						name: "tgr", 
						template: cmTemplate,
						width: 180
					},
					{ 
						name: "tgrbz",
						template: cmTemplate,
						width: 350
					},
					{ 
						name: "qbstatus", 
						template: cmTemplate,
						width: 120,
						stype: 'select',
						searchoptions:
						{
							value: ddr
						},
						formatter: StatusFormatter
					},
					{
						name: "sts",
						hidden: true
					}
				],
				regional: $globlan,
				storeNavOptions: true,			
				loadonce: false,
				pager: "#pager",
				height: 510,
				rowNum: 100,
				rowList: [10, 100, 500, 1000, 1500],
				hoverrows: false,
				rownumbers: true,
				sortname: "qbn",
				sortorder: "desc",
				viewrecords: true,
				gridview: true,
				autoencode: true,
				ignoreCase:true,
				loadui: "block",
				onRightClickRow: function (rowid, iRow, iCol, e) {
					window.localStorage.setItem("qb", $("#list").jqGrid('getRowData', rowid).qbn);
					$.ajax({
						url: "./tools/general_api.php",
						data: {
							routine: "get_qbs",
							qbn: $("#list").jqGrid('getRowData', rowid).qbn
						},
						success: function(result) {
							window.localStorage.setItem("qbn", result.substring(1, result.length-1));				
							window.open(
								'./basic.php',
								'_blank'
							);
							return false;
						}		
					});
					return false;
				},					
				loadComplete: function() {
					$("th[role='columnheader']")
						.unbind("mouseenter")
						.unbind("mouseleave");

					var rows = $("#list").getDataIDs();
					for(a=0;a<rows.length;a++)
					{
						row = $("#list").getRowData(rows[a]);
						switch(row.sts) {
							case "N":
								$("#list").setCell (rows[a], "qbstatus","",{"background":"<?php echo $c_scheme['SN']; ?>"});
								break;					
							case "O":
								$("#list").setCell (rows[a], "qbstatus","",{"background":"<?php echo $c_scheme['SO']; ?>"});
								break;
							case "S":
								$("#list").setCell (rows[a], "qbstatus","",{"background":"<?php echo $c_scheme['ST']; ?>"});
								break;
							case "C":
								$("#list").setCell (rows[a], "qbstatus","",{"background":"<?php echo $c_scheme['SC']; ?>"});
								break;
							case "M":
								$("#list").setCell (rows[a], "qbstatus","",{"background":"<?php echo $c_scheme['SM']; ?>"});
								break;								
						}					
					}
				},
				gridComplete: function(data) {
					$(".ui-search-toolbar input[role='textbox']")
						.css("width", "92%")
						.css("background", "<?php echo $c_scheme['M5']; ?>")
						.css("padding", "2px");	
					$(".ui-search-toolbar select[role='select']")
						.removeClass("ui-corner-all")
						.css("background", "<?php echo $c_scheme['M5']; ?>")
						.css("padding", "2px");	
					cusbtns();
				},			
				editurl: "./tools/delete_api.php"
			};
			deleteSettings = {
				recreateForm:true,
				jqModal:true,
				modal: true,
				reloadAfterSubmit:true,
				closeOnEscape:false,
				savekey: [false,13],
				closeAfterEdit:true,
				zIndex:1000,
				width: 380,
				viewPagerButtons:false,
				beforeShowForm: function(form) {
			// center edit form
					var parentWidth = $(window).width();
					var parentHeight = $(window).height();
					var dlgDiv = $("#delmodlist")||$("#alertmod_list");
					var dlgWidth = dlgDiv.width();
					var dlgHeight = dlgDiv.height();
					dlgDiv[0].style.top = Math.round((parentHeight-dlgHeight)/2) + "px";
					dlgDiv[0].style.left = Math.round((parentWidth-dlgWidth)/2) + "px";
					$deluser = $("#list").jqGrid('getRowData',$("#list").jqGrid('getGridParam','selrow'));
					$("td.delmsg",form).html("<center>"+localTranslation["conf_del_0"][$globlan]+"</center><br /><center><span style='color: <?php echo $c_scheme['IW']; ?>; font-weight: bold;'>"+
						$deluser['qbn']+"</span></center>");
					$(".EditButton a").css("display", "none");
					$(".EditButton")
						.append("<span id='dData1' class='spanbutton w100' onclick='$(\"#dData\").click();'>"+localTranslation["rem"][$globlan]+"</span>")
						.append("<span id='eData1' style='margin: 0 10px;' class='spanbutton w100' onclick='$(\"#eData\").click();'>"+localTranslation["cancel"][$globlan]+"</span>");				
				},
				mtype:'POST',
				serializeDelData:function (data) {
					selRowId = $("#list").jqGrid ('getGridParam', 'selrow');
					data['qbn'] = $("#list").jqGrid ('getCell', selRowId, 'qbn');
					data['routine'] = "deleteqb";
					return JSON.stringify(data);
				}
			};	
			list1 = $("#list").jqGrid(obj)
				.jqGrid('filterToolbar',{searchOperators : false, searchOnEnter: false})
				.navGrid('#pager', {refresh: false, search: false, edit: false, add: false}, {}, {}, deleteSettings);
			$("#loading").hide();
		}
		load_page();
	</script>
</body>
</html>
