<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />		
	<?php include_once(dirname(__FILE__)."/tools/all_header.php"); global $c_scheme, $timezone, $rel_path; ?>
	<script>
		var js_debug = false;
		$data_changed = false;		
	</script>
	
    <title>Meta</title>

	<link rel="stylesheet" href="./css/qb.php" />

	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>	

	<script>
	// load translation and save in localTranslation
		<?php	
			$ini_docmeta = parse_ini_file($rel_path.'i18n/docmeta.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_docmeta as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}			
		?>	
	</script>
</head>
<body>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
			<?php 
				echo "<div id='mainnav'>". $qb_support->get_main_menu(1) . "</div>";
				include_once($rel_path.'tools/g_header2.php');
				echo $qb_support->get_sub_menu(8);
			?>	
			<div id="tabscontainer" >
				<?php echo $qb_support->get_doc_menu(4); ?>
				<div id="docscontainer">
					<div id="meta_control" style="width: 270px; border: 0px solid red; padding: 0px; margin: 0px 0px 0px 10px; height: 410px;display: inline-block; vertical-align: top; padding-left: 20px;">
						<p data-type="text" data-lan="meta" style="width: 250px; color: <?php echo $c_scheme['M5']; ?>; font: normal 14pt Arial; background-color: <?php echo $c_scheme['M1']; ?>; margin: 120px 0px 0px 0px; text-align: center;">
							<?php echo $ini_docmeta['meta'][$_SESSION['lng']]; ?>
						</p>
						<select id="meta_select" class="csselect" data-type="select" data-lan="metaselect">
							<?php
								$query = "SELECT REF, TXT FROM qb_metadata ORDER BY TXT ASC";
								$stmt = $db->query($query);
								while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
									echo "<option value='".$row[0]."'>".$row[1]."</option>";
								}
							?>
						</select>
						<span class="icn3_arrowright_b_n clckbtn" style="position: relative; top: -35px; left: 270px;" data-type="title" data-lan="add" id="addimg" onclick="add_meta()" title="<?php echo $ini_docmeta['add'][$_SESSION['lng']]; ?>"></span>
						<p data-type="text" data-lan="newmeta" style="width: 250px; margin-top: 50px; color: <?php echo $c_scheme['M5']; ?>; font: normal 14pt Arial; background-color: <?php echo $c_scheme['M3']; ?>; text-align: center;">
							<?php echo $ini_docmeta['newmeta'][$_SESSION['lng']]; ?>
						</p>
						<input type="text" id="save_meta" class="dinput" style="width: 245px;" />
						<span class="icn3_plus_b_n clckbtn" style="position: relative; top: -35px; left: 270px;" data-type="title" data-lan="add" id="saveimg" onclick="new_meta()" title="<?php echo $ini_docmeta['add'][$_SESSION['lng']]; ?>"></span>
					</div>
					<div id="meta_list" style="overflow-x: hidden; overflow-y: scroll; width: 635px; height: 410px; border: 1px solid silver; display: inline-block; vertical-align: top; margin-left: 50px;"></div>
				</div>
			</div>
		</div>
		<?php include_once($rel_path.'footer.php'); ?> 
	</div>
	<script>
		lc = new Array();
		lc[0]= "<?php echo $c_scheme['IE']; ?>";
		lc[1]= "<?php echo $c_scheme['IO']; ?>";

		$("#save_meta").val("");
		$("#meta_select").width(242).customSelect({customClass: "cSelect_opt"});
		
		function load_page() {
			document.title = document.title.split("/")[0] + '/' + window.sessionStorage.getItem("qb");
			fill_data();
		}
		function c_lan() {
			translate_header($globlan);	
			translate_mainmenu($globlan);
			translate_g_header2($globlan);
			translate_submenu($globlan);
			translate_docmenu($globlan);
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {	
				switch ($(this).data("type")) {
					case "text":		
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;
				}
			});
		}
		function fill_data() {
			$("#meta_list").empty();
			$.ajax({
				type: "GET",
				cache: false,
				url:  "./tools/docmeta_api.php",
				data: { 
					routine: "getmeta",
					qbn: window.sessionStorage.getItem("qb")
				},
				dataType: "json",
				success: function(result)
				{
					var metalist = result[0];
					var $qbs = result[1];
					$colorcount = 0;
					$.each(metalist, function (key) {			
						$("#meta_list").append('\
							<p style="padding: 0px; margin: 0px; padding-left: 2px; background-color: '+lc[$colorcount % 2]+'" >\
								<label id="inp_'+metalist[key]["IDX"]+'" class="dlabel" style="width: 580px;">' + metalist[key]["META"] + '</label>\
								<span data-alt="'+metalist[key]["IDX"]+'" class="icn_delete_b_n clckbtn" data-type="title" data-lan="rem" onclick="del_meta(this)" title="'+localTranslation["rem"][$globlan]+'"></span>\
							</p>\
						');
						$colorcount++;
					});
				// handle status	
				<?php
					if ($qb_support->getoptions('metadata', 'allowclosed') == "yes") {
				?>
						$("#addimg").visible();
						$("#saveimg").visible();
						$("#meta_select").prop("disabled", false);
						$("#meta_list").find("img").visible();
				<?php
					} else {
				?>		
						if ($qbs == "C") {
							$("#addimg").invisible();
							$("#saveimg").invisible();
							$("#meta_select").prop("disabled", true);
							$("#meta_list").find("img").invisible();
						} else {
							$("#addimg").visible();
							$("#saveimg").visible();
							$("#meta_select").prop("disabled", false);
							$("#meta_list").find("img").visible();
						}			
				<?php
					}
				?>
				}
			});	
		}
		function add_meta() {
			if ($("#meta_select").val() == "") return;	
//			$mta = $("#meta_select option:selected").text();	
			$mta = $("#meta_select").val();
			if ($("#inp_"+$mta).length > 0){
				jAlert(localTranslation["meta_exisits"][$globlan], localTranslation["attention"][$globlan]);
				$("#meta_select").val("");
				$('#meta_select').trigger('render');
				return false;		
			}
			$("#loading").show();
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/docmeta_api.php",
				data: { 
					routine: "addmeta",
					meta: $("#meta_select").val(),
					qbn: window.sessionStorage.getItem("qb")
				},
				dataType: "json",
				success: function(result)
				{
					$("#meta_select").val($("#meta_select option:first").val());
					$('#meta_select').trigger('render');
					$("#loading").hide();
					$colorcount = $("#meta_list p").length;
					$("#meta_list").append('\
						<p style="padding: 0px; margin: 0px; padding-left: 2px; background-color: '+lc[$colorcount % 2]+'" >\
							<label id="inp_'+$mta+'" class="dlabel" style="width: 580px;">'+$("#meta_select option[value='"+$mta+"']").text()+'</label>\
							<span data-alt="'+result[1]+'" class="icn_delete_b_n clckbtn" data-type="title" data-lan="rem" onclick="del_meta(this)" title="'+localTranslation["rem"][$globlan]+'"></span>\
						</p>\
					');
				}
			});
		}
		function del_meta(loc) {
			$.alerts.cancelButton = localTranslation["cancel"][$globlan];
			jConfirm(localTranslation["confirm_delete"][$globlan], localTranslation["attention"][$globlan], function(r) {
				if (r) {
					$("#loading").show();
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/docmeta_api.php",
						data: { 
							routine: "delmeta",
							del: $(loc).data("alt"),
							qbn: window.sessionStorage.getItem("qb")
						},		
						success: function(result)
						{
							$(loc).parent().remove();
							$ml = $("#meta_list").find("p");
							$colorcount = 0;
							$ml.each(function()
							{
								if (($colorcount % 2) == 0) {
									$(this).css("background-color" , "<?php echo $c_scheme['IE']; ?>");
								} else {
									$(this).css("background-color" , "<?php echo $c_scheme['IO']; ?>");
								}				
								$colorcount++;
							});					
							$("#loading").hide();
						}
					});								
				}
			});	
		}
		function new_meta() {
			$("#save_meta").val($.trim($("#save_meta").val()));
			if ($("#save_meta").val() == "") return;
			if ($('#meta_select option').filter(function () { return $(this).html().toUpperCase() == $("#save_meta").val().toUpperCase(); }).val() !== undefined) {
				jAlert(localTranslation["meta_avail"][$globlan], localTranslation["attention"][$globlan]);
				$("#save_meta").val("");		
				return false;				
			}
			$('#loading').show();
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/docmeta_api.php",
				data: { 
					routine: "addxml",
					newmeta: $("#save_meta").val(),
					qbn: window.sessionStorage.getItem("qb")
				},
				dataType: "json",
				success: function(result)
				{
				// add new entry to dropdown
					$("#meta_select").append($('<option>', { 
						value: result[0],
						text : result[1]
					}));
					var my_options = $("#meta_select option");
					var selected = $("#meta_select").val();
					my_options.sort(function(a,b) {
						if (a.text > b.text) return 1;
						if (a.text < b.text) return -1;
						return 0
					})

					$("#meta_select").empty().append( my_options );
					$("#meta_select").val(selected);
					$('#meta_select').trigger('render');
					
					$("#save_meta").val("");
					$('#loading').hide();
					$colorcount = $("#meta_list p").length;
					$("#meta_list").append('\
						<p style="padding: 0px; margin: 0px; padding-left: 2px; background-color: '+lc[$colorcount % 2]+'" >\
							<label id="inp_'+result[0]+'" class="dlabel" style="width: 580px;">'+result[1]+'</label>\
							<span data-alt="'+result[2]+'" class="icn_delete_b_n clckbtn" data-type="title" data-lan="rem" onclick="del_meta(this)" title="'+localTranslation["rem"][$globlan]+'"></span>\
						</p>\
					');
				}
			});	
		}
		<?php if ($qb_support->checkflag("ZY")) { ?>		
			function set_special(loc) {
				switch(loc) {
					case "A":
						$('#mat_edt_img').visible();		
						break;
					case "X":
						if (JSON.parse(window.sessionStorage.getItem("qbn")).status == "C") {
							$('#mat_edt_img').invisible();
						}
						break;	
				}
			}
		<?php } ?>
		g_header2();
	</script>
</body>
</html>
