<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />		
	<?php include_once(dirname(__FILE__)."/tools/all_header.php"); global $c_scheme, $timezone, $rel_path; ?>
	<script>
		var js_debug = false;
		$data_changed = false;				
	</script>
	
    <title>Five Why</title>

	<link rel="stylesheet" href="./jqGrid_5.2.1/css/ui.jqgrid.css" />
	<link rel="stylesheet" href="./css/qb.php" />

	<style>
		.scol_bg 
		{
			background-color: <?php echo $c_scheme['I3']; ?> !important;
		}
		.ui-jqgrid tr.jqgrow td {
			white-space: normal !important;
			vertical-align: top;
		}
		.ui-separator
		{
			border: 0px !important;
			width: 10px;
		}
		.ui-state-hover, .ui-widget-content .ui-state-hover, .ui-widget-header .ui-state-hover,
		.ui-state-focus, .ui-widget-content .ui-state-focus, .ui-widget-header .ui-state-focus
		{
			border: 0px none;
		}			
	</style>
	
	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>
	
	<?php 
		foreach(explode(":", $qb_support->getLanOnly()) as $key=>$value) {
			echo '<script src="./jqGrid_5.2.1/js/i18n/grid.locale-' . $value . '.js"></script>';
		}
	?>
	<script src="./jqGrid_5.2.1/js/jquery.jqGrid.min.js"></script>	

	<script type="text/javascript">
		<?php
			$ini_fivewhy = parse_ini_file($rel_path.'i18n/fivewhy.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_fivewhy as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}	
		?>
	var selColumn;
	</script>
</head>
<body>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
			<?php 
				echo "<div id='mainnav'>". $qb_support->get_main_menu(1) . "</div>";
				include_once($rel_path.'tools/g_header2.php');
				echo $qb_support->get_sub_menu(3);
			?>	
			<div id="tabscontainer" >
				<table id="list"></table> 
				<div id="pager"></div> 
			</div>
		</div>
		<?php include_once($rel_path.'footer.php'); ?> 
	</div>
	<script>
		function load_page() {
			document.title = document.title.split("/")[0] + '/' + window.sessionStorage.getItem('qb');
			loaddata();
		}
	// switch language
		function c_lan() {
			translate_header($globlan);	
			translate_mainmenu($globlan);
			translate_g_header2($globlan);
			translate_submenu($globlan);
			
			$.jgrid.setRegional('list',{regional: $globlan});			
			$("#list").jqGrid('setLabel', "root", localTranslation["fu"][$globlan]);
			var $i = 1;
			$.each(obj.colModel, function(key, value) {
				if (value['name'].substring(0,1) == "w") {
					$("#list").jqGrid('setLabel', value['name'], $i+". "+localTranslation["why"][$globlan]);
					$i++;
				}
			});	
			$("#addcol_list").attr("title", localTranslation["addcol"][$globlan]);
			$("#delcol_list").attr("title", localTranslation["delcol"][$globlan]);
			$("#copy_list").attr("title", localTranslation["copy_to_close"][$globlan]);
			$("#add_list").attr("title", localTranslation["addrow"][$globlan]);
			$("#edit_list").attr("title", localTranslation["editrow"][$globlan]);
			$("#del_list").attr("title", localTranslation["delrow"][$globlan]);
			custbtns();
		}		
		function loaddata() {
			$.jgrid.gridUnload("#list");
			$.ajax({
				type: "GET",
				cache: false,
				url:  "./tools/fivewhy_api.php",
				data: { 
					routine: "whysettings",
					qbn: window.sessionStorage.getItem('qb')
				},
				dataType: "json",
				async: false,
				success: function(res)
				{
					$qbs = res[1];
					$why = res[0];
					if ($why == 0) {
						$whycnt = 0;
					} else {
						$whycnt = $.map(JSON.parse(res[2])[0], function(n, i) { return i; }).length-1;
					}
				}
			});
			obj = {
				url:  "./tools/fivewhy_api.php",
				postData: {
					routine : "readwhystring",
					qbn: window.sessionStorage.getItem('qb')
				},
				contentType: "application/json",
				datatype: "json",
				jsonReader: {
					id: "id",
					repeatitems: true
				},
				regional: $globlan,
				storeNavOptions : true,	
				mtype: "POST",
				loadonce: true,
				datatype: "json",
				pager: "#pager",
				rowNum: 10,
				height: 395,
				rowList: [],
				hoverrows: false,
				sortname: "1w",
				sortorder: "desc",
				viewrecords: false,
				pgbuttons: false,
				pgtext: null,
				gridview: true,
				autoencode: true,
				rownumbers:true,
				ignoreCase:true,
				loadui: "block",
				sortable: {				// prevent root cause column from being reordered
					options: {
						items: ">th:not(:has(#jqgh_list_root,#jqgh_list_rn))"
					}
				},
				ondblClickRow: function(id, ri, ci) {
					if (JSON.parse(window.sessionStorage.getItem('qbn')).status != "C") {
						$("#list").jqGrid('editGridRow', id, editSettings);
					}
				},
				onRightClickRow: function () {
					$("#list").jqGrid('resetSelection');
					return false;
				},
				onCellSelect: function (rowid, iCol) {
					var i, rows = this.rows, rl = rows.length, row, rowCells;
					if (obj.colNames.length == iCol) return false;			// prevent root cause column from being selected
					for(i=0; i<rl; i++) {
						row = rows[i];
						if($(row).hasClass('jqgrow')) {
							rowCells = row.cells;
							if (typeof selColumn !== "undefined") {
								$(rowCells[selColumn]).removeClass("scol_bg");
							}
							if (selColumn !== iCol) {
								$(rowCells[iCol]).addClass("scol_bg");
							}
						}
					}
					selColumn = selColumn !== iCol? iCol: undefined;
				},			
				loadComplete: function() {
					$("th[role='columnheader']")
						.unbind("mouseenter")
						.unbind("mouseleave");					
				},			
				editurl: "./tools/fivewhy_api.php?routine=updatewhystring",
				beforeProcessing: function (data) {
					if (data != 0) {		
						$.each(data[0], function(key, value) {
							data[0][key] = $("<div/>").html(value).text();
						});	
					}
				},
				gridComplete: function(data) {				
					custbtns();
				}
			};
			editSettings = {
				recreateForm:true,
				jqModal:true,
				modal: true,
				reloadAfterSubmit:false,
				closeOnEscape:false,
				savekey: [false,13],
				closeAfterEdit:true,
				zIndex:1000,
				width: 680,
				viewPagerButtons:false,
				beforeShowForm: function(form) {
			// center edit form
					var parentWidth = $(window).width();
					var parentHeight = $(window).height();
					var dlgDiv = $("#editmodlist");
					var dlgWidth = dlgDiv.width();
					var dlgHeight = dlgDiv.height();
					dlgDiv[0].style.top = Math.round((parentHeight-dlgHeight)/2) + "px";
					dlgDiv[0].style.left = Math.round((parentWidth-dlgWidth)/2) + "px";
					$(".EditButton a")
						.empty()
						.removeClass();
					$("#sData").append("<span class='spanbutton w100'>"+localTranslation["save"][$globlan]+"</span>");
					$("#cData").append("<span style='margin-left:10px;'class='spanbutton w100'>"+localTranslation["cancel"][$globlan]+"</span>");
				},
				ajaxEditOptions:{ contentType:"application/json" },
				mtype:'POST',
				serializeEditData:function (data) {
					data['qbn'] = window.sessionStorage.getItem('qb');
					return JSON.stringify(data);
				}				
			};	
			addSettings = {
				recreateForm:true,
				jqModal:true,
				modal: true,
				reloadAfterSubmit:false,
				closeOnEscape:false,
				savekey: [false,13],
				closeAfterAdd:true,
				zIndex:1000,
				width: 680,
				viewPagerButtons:true,
				beforeShowForm: function(form) {
			// center edit form
					var parentWidth = $(window).width();
					var parentHeight = $(window).height();
					var dlgDiv = $("#editmodlist");
					var dlgWidth = dlgDiv.width();
					var dlgHeight = dlgDiv.height();
					dlgDiv[0].style.top = Math.round((parentHeight-dlgHeight)/2) + "px";
					dlgDiv[0].style.left = Math.round((parentWidth-dlgWidth)/2) + "px";
					$(".EditButton a")
						.empty()
						.removeClass();
					$("#sData").append("<span class='spanbutton w100'>"+localTranslation["save"][$globlan]+"</span>");
					$("#cData").append("<span style='margin-left:10px;'class='spanbutton w100'>"+localTranslation["cancel"][$globlan]+"</span>");
				},
				ajaxEditOptions:{ contentType:"application/json" },
				mtype:'POST',
				serializeEditData:function (data) {
					data['qbn'] = window.sessionStorage.getItem('qb');
					return JSON.stringify(data);
				},
				onClose: function(sel, o) {
					$("#list").setGridParam({datatype:'json'}).trigger('reloadGrid');
				}
			};
			deleteSettings = {
				recreateForm:true,
				jqModal:true,
				modal: true,
				reloadAfterSubmit:true,
				closeOnEscape:false,
				savekey: [false,13],
				closeAfterEdit:true,
				zIndex:1000,
				viewPagerButtons:false,
				beforeShowForm: function(form) {
			// center edit form
					var parentWidth = $(window).width();
					var parentHeight = $(window).height();
					var dlgDiv = $("#delmodlist")||$("#alertmod_list");
					dlgDiv.css("width", "250px");
					var dlgWidth = dlgDiv.width();
					var dlgHeight = dlgDiv.height();
					dlgDiv[0].style.top = Math.round((parentHeight-dlgHeight)/2) + "px";
					dlgDiv[0].style.left = Math.round((parentWidth-dlgWidth)/2) + "px";
					$(".EditButton a").css("display", "none");
					$(".EditButton")
						.append("<span id='dData1' class='spanbutton w100' onclick='$(\"#dData\").click();'>"+localTranslation["rem"][$globlan]+"</span>")
						.append("<span id='eData1' style='margin: 0 10px;' class='spanbutton w100' onclick='$(\"#eData\").click();'>"+localTranslation["cancel"][$globlan]+"</span>");				
				},
				mtype:'POST',
				serializeDelData:function (data) {			
					data['qbn'] = window.sessionStorage.getItem('qb');
					return JSON.stringify(data);
				},
				onClose: function () {
					$("#dData1").remove();
					$("#eData1").remove();
				}
			};	
			if ($whycnt == 0) {		
				$wdth2 = 235;
		// no 5Why data available yet
				obj.colNames = [
					"1. "+localTranslation['why'][$globlan],
					"2. "+localTranslation['why'][$globlan],
					"3."+localTranslation['why'][$globlan],
					localTranslation['fu'][$globlan]
				];
				colD = [];		// column definitions	
				NewColD = { name: "w1", width: $wdth2, editable: true, edittype:'textarea', editoptions: {rows:"3",cols:"70"} };
				colD.push(NewColD);
				NewColD = { name: "w2", width: $wdth2, editable: true, edittype:'textarea', editoptions: {rows:"3",cols:"70"} };
				colD.push(NewColD);
				NewColD = { name: "w3", width: $wdth2, editable: true, edittype:'textarea', editoptions: {rows:"3",cols:"70"}};
				colD.push(NewColD);
				NewColD = { name: "root", width: $wdth2, editable: true, edittype:'textarea', editoptions: {rows:"3",cols:"70"} };
				colD.push(NewColD);
				obj.colModel = colD;				
			} else {		
		// 5 Why data is there - set up model
				$wdth2 = 945/$whycnt;
				colN = [];		// column names
				colD = [];		// column definitions	
		// create headline array
				for(i=1; i<$whycnt; i++) {		
					colN.push((i)+". "+localTranslation['why'][$globlan]);
					NewColD = { name: "w"+i, width: $wdth2 , editable: true, edittype:'textarea', editoptions: {rows:"3",cols:"70"}};
					colD.splice(i, 0, NewColD);				
				}
				colN.push(localTranslation['fu'][$globlan]);
				obj.colNames = colN;				
				NewColD = { name: "root", width: $wdth2, editable: true, edittype:'textarea', editoptions: {rows:"3",cols:"70"} };
				colD.push(NewColD);						
				obj.colModel = colD;
			}		
			list1 = $("#list").jqGrid(obj).navGrid('#pager', {refresh: false, search: false}, editSettings, addSettings, deleteSettings)
				.jqGrid('sortableRows', {
					update: function (ev, ui) {			
						var item = ui.item[0];
						var ri = item.rowIndex;					
						var oldId = item.id; 							// old row id
						$.ajax({
							type: "POST",
							cache: false,
							url:  "./tools/fivewhy_api.php",
							data: { 
								routine: "reorder",
								oldid: oldId,
								newid: ri*10,
								qbn: window.sessionStorage.getItem('qb')
							},
							success: function(result)
							{
								$("#list").setGridParam({datatype:'json'}).trigger('reloadGrid');
							}
						});
					}
				});
		// rename columns after reorder and save new order
			$("#gbox_list").bind("sortstop", function(){
				neworder = $("#list").jqGrid("getGridParam", "remapColumns");				
				neworder.shift();
				neworder.pop();	
				if (neworder.length == 0) return false; // fix to cancel recolumn if only rows were ordered.		
				$.ajax({
					type: "POST",
					cache: false,
					url:  "./tools/fivewhy_api.php",
					data: { 
						routine: "recolumn",
						neworder: JSON.stringify(neworder),
						qbn: window.sessionStorage.getItem('qb')
					},
					success: function(result)
					{
						loaddata();
					}
				});
			});
			if ($whycnt == 0) custbtns();
		}
		function custbtns() {	
			$("#list").jqGrid('navButtonAdd',"#pager",{
				caption:"",
				id:"addcol_list",
				buttonicon:"ui-icon-grip-solid-vertical", 
				onClickButton: function(){
					if ($("#list").jqGrid('getGridParam', 'records') == 0) {
						jAlert(localTranslation["norow"][$globlan], localTranslation["alertcap"][$globlan]);	
						return false;							
					} else {					
						$.ajax({
							type: "POST",
							cache: false,
							url:  "./tools/fivewhy_api.php",
							data: { 
								routine: "addcolumn",
								qbn: window.sessionStorage.getItem('qb')
							},
							success: function(result)
							{
								loaddata();
							}
						});
					}
				}, 
				position: "last", 
				title: localTranslation["addcol"][$globlan], 
				cursor: "default"
			})
			.jqGrid('navButtonAdd',"#pager",{
				caption:"",
				id:"delcol_list",
				buttonicon:"ui-icon-grip-dotted-vertical", 
				onClickButton: function(){ 
					if ($("#list").find(".scol_bg").length == 0) {
						jAlert(localTranslation["no_column_selected"][$globlan], localTranslation["attention"][$globlan]);
						return false;								
					} else {
						if (obj.colNames.length == 4) {
							jAlert(localTranslation["min_column"][$globlan], localTranslation["attention"][$globlan]);
							return false;
						} else {							
							jConfirm(localTranslation["delcol_c"][$globlan], localTranslation["attention"][$globlan], function(r) {
								if (r) {
									$.ajax({
										type: "POST",
										cache: false,
										url:  "./tools/fivewhy_api.php",
										data: { 
											routine: "deletecolumn",
											col: "w"+$("#list").find(".scol_bg")[0].cellIndex,
											qbn: window.sessionStorage.getItem('qb')
										},
										success: function(result)
										{
											loaddata();
										}
									});											
								}
							});
						}
					}
				},
				position: "last", 
				title: localTranslation["delcol"][$globlan], 
				cursor: "default"
			}) 
			.jqGrid('navButtonAdd',"#pager",{
				caption:"", 
				id:"copy_list",
				buttonicon:"ui-icon-copy", 
				onClickButton: function(){
					selRowId = $("#list").jqGrid ('getGridParam', 'selrow');
					if (selRowId == null) {
						jAlert(localTranslation["alerttext"][$globlan], localTranslation["alertcap"][$globlan]);	
						return false;							
					} else {
						root = $("#list").jqGrid ('getCell', selRowId, 'root');
						if (root.length == 0) {
							jAlert(localTranslation["nothing_to_copy"][$globlan], localTranslation["attention"][$globlan]);	
							return false;
						} else {
							$.ajax({
								type: "POST",
								cache: false,
								url:  "./tools/fivewhy_api.php",
								data: { 
									routine: "copyrootcause",
									root: root,
									qbn: window.sessionStorage.getItem('qb')
								},
								success: function(result)
								{
									jAlert(localTranslation["upd_done"][$globlan], localTranslation["attention"][$globlan]);	
								}
							});
						}
					}
				}, 
				position: "last", 
				title: localTranslation["copy_to_close"][$globlan], 
				cursor: "default"
			});
			$("#add_list div").empty().html("<span class='icn_addrow_g2_n clckbtn'></span>");
			$("#add_list").removeClass();
			$("#edit_list div").empty().html("<span class='icn_edit_b_n clckbtn'></span>");
			$("#edit_list").removeClass();
			$("#del_list div").empty().html("<span class='icn_delrow_r2_n clckbtn'></span>");
			$("#del_list").removeClass();
			$("#delcol_list div").empty().html("<span class='icn_delcol_r2_n clckbtn'></span>");
			$("#delcol_list").removeClass();
			$("#addcol_list div").empty().html("<span class='icn_addcol_g2_n clckbtn'></span>");
			$("#addcol_list").removeClass();
			$("#copy_list div").empty().html("<span class='icn_copy_b_n clckbtn'></span>");
			$("#copy_list").removeClass();
		// if case closed prevent editing
			if  (($qbs == "C") && ($("#lockunlock").attr("src") != './img/lock.png')) {
				jQuery('#add_list').hide();
				jQuery('#edit_list').hide();
				jQuery('#del_list').hide();	
				jQuery('#copy_list').hide();
				jQuery('#addcol_list').hide();
				jQuery('#delcol_list').hide();
				jQuery('.ui-separator').hide();
				$("#list tbody").sortable("destroy");	
			}		
		}	
		<?php if ($qb_support->checkflag("ZY")) { ?>			
			function set_special(loc) {
				switch(loc) {
					case "A":		
						jQuery('#add_list').show();
						jQuery('#edit_list').show();
						jQuery('#del_list').show();	
						jQuery('#copy_list').show();
						jQuery('#addcol_list').show();
						jQuery('#delcol_list').show();
						jQuery('.ui-separator').show();
						$("#list").jqGrid('sortableRows', {
							update: function (ev, ui) {			
								var item = ui.item[0];
								var ri = item.rowIndex;					
								var oldId = item.id; 							// old row id
								$.ajax({
									type: "POST",
									cache: false,
									url:  "./tools/fivewhy_api.php",
									data: { 
										routine: "reorder",
										oldid: oldId,
										newid: ri*10,
										qbn: window.sessionStorage.getItem('qb')
									},
									success: function(result)
									{
									}
								});
							}
						});	
						break;				
					case "X":
						jQuery('#add_list').hide();
						jQuery('#edit_list').hide();
						jQuery('#del_list').hide();	
						jQuery('#copy_list').hide();
						jQuery('#addcol_list').hide();
						jQuery('#delcol_list').hide();
						jQuery('.ui-separator').hide();
						$("#list tbody").sortable("destroy");		
				}
			}
		<?php } ?>
		g_header2();
	</script>
</body>
</html>
