<?php
	require_once(dirname(__FILE__)."/../templates/db-def.php");
	global $c_scheme, $rel_path;
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;	
	$ini_addteammember = parse_ini_file($rel_path.'i18n/addteammember.ini', true);	
	
    header("Content-type: application/javascript; charset: UTF-8");	
?>
$('body').append('\
	<div id="dialog_team" title="<?php echo $ini_addteammember['add_member'][$_SESSION['lng']];?>">\
		<style>\
			.ui-dialog-titlebar-close {display: none;}\
		</style>\
		<p id="usrmsg" style="padding: 2px; margin: 0px; margin-bottom: 10px;" ></p>\
		<label class="dlabel w200" ><?php echo $ini_addteammember['search_member'][$_SESSION['lng']]; ?></label>\
		<input id="s_mem" class="dinput w150" />\
		<div id="h_t1" style="margin-top: 20px; padding:0px;">\
			<p style="background: <?php echo $c_scheme['M1']; ?>; color: <?php echo $c_scheme['XI']; ?>; font: bold 9pt Arial; padding: 3px 0;">\
				<span class="w150" style="margin-left: 5px; display: inline-block;"><?php echo $ini_addteammember['name'][$_SESSION['lng']]; ?></span>\
				<span class="w150" style="display: inline-block;" data-type="text" data-lan="vorname"><?php echo $ini_addteammember['vorname'][$_SESSION['lng']]; ?></span>\
				<span class="w100" style="display: inline-block;" data-type="text" data-lan="department"><?php echo $ini_addteammember['department'][$_SESSION['lng']]; ?></span>\
				<span class="w50" style="display: inline-block; margin-left: 15px; " data-type="text" data-lan="region"><?php echo $ini_addteammember['region'][$_SESSION['lng']]; ?></span>\
			</p>\
			<div id="help_team" style="height: 150px; border: 1px solid <?php echo $c_scheme['R2']; ?>; overflow-x: hidden; overflow-y: scroll;">\
				<?php
					$lc = Array();
					$lc[0] = $c_scheme['IE'];
					$lc[1] = $c_scheme['IO'];
					$query = "
						SELECT 
							LOGIN, 
							NACHNAME, 
							VORNAME, 
							DEPARTMENT, 
							REGION
						FROM 
							qb_team, 
							qb_user 
						WHERE 
							NAME=LOGIN AND 
							QBN=:qbn AND 
							ROLLE<>'PL' 
						ORDER BY 
							NACHNAME
					";											
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qb']
						)
					);
					$colorcount = 0;		
					while($r = $stmt->fetch(PDO::FETCH_NUM)) {
						echo '<p data-new="0" data-id="'.$r[0].'" style="margin:0px;padding:2px;background-color: '.$lc[$colorcount % 2].';" id="ntm_'.$r[0].'">';
							echo '<input readonly style="font: normal 9pt Arial;width:150px;border:0;background: transparent;" value="'.$r[1].'" />';
							echo '<input readonly style="font: normal 9pt Arial;width:150px;border:0;background: transparent;" value="'.$r[2].'" />';
							echo '<input readonly style="font: normal 9pt Arial;width:120px;border:0;background: transparent;" value="'.$r[3].'" />';
							echo '<input readonly style="font: normal 9pt Arial;width:50px;border:0;background: transparent;" value="'.$r[4].'" />';
						echo '</p>';
						$colorcount++;
					}
				?>
			</div>\
		</div>\
	</div>\
');
$('#dialog_team').dialog({
	resizable: false,
	autoOpen: false,
	closeOnEscape: false,
	height: 370, 
	width: 580,
	modal: true,
	buttons:
		[
			{
				text: "<?php echo $ini_addteammember['done'][$_SESSION['lng']];?>",
				id: "add_team_done",
				css: { width: '100px'},
				click: function() {
				// check if member was added
					if ($("#help_team").find("[data-new='1']").length > 0) {
				// yes, get list of new members
						nmem = new Array();
						$.each($("#help_team").find("[data-new='1']"), function() {
							nmem.push(this.id);
						});	
				// now update team list
						$.ajax({
							type: "POST",
							cache: false,
							url:  "./tools/team_api.php",
							data: { 
								routine: "adddata",
								idxs: nmem,
								qbn: window.sessionStorage.getItem("qb"),
								svti: $("#svti").val()
							},
							success: function(result)
							{
				// update team grid and mandatory grid
								fill_grid();
								if ($("#qb").val().substr(-1, 1) != "*") {				// only for normal QB
									<?php if ($qb_support->getoptions('mandatoryteam', 'set') == "yes") { ?>
										fill_grid1();							// renew mandatory team if configured
									<?php } ?>
								}
								$('#dialog_team').dialog("close");
							}
						});	
					} else {
						$('#dialog_team').dialog("close");
					}
				}
			},
			{
				text: "<?php echo $ini_addteammember['cancel'][$_SESSION['lng']];?>",
				id: "add_team_cancel",
				css: { width: '100px'},
				click: function() {	
					$('#dialog_team').dialog("close");
				}
			}	
		],
	close: function() {
		$("#dialog_team").remove();
	},
	open : function() {
		$("#s_mem").val("");
		$("#add_team_done").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
			.off('hover')
			.off('focus')
			.addClass("spanbutton");
		$("#add_team_cancel").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
			.off('hover')
			.off('focus')
			.addClass("spanbutton");
	}
});
$("#s_mem").autocomplete({
	source: function( request, response ) {
		$.ajax({
			url: "./tools/team_api.php",
			dataType: "json",
			data: {
				routine: "smember",
				nme: request.term,
				qbn: window.sessionStorage.getItem('qb')
			},
			success: function(data) {			
				response($.map(data, function (item) {	
					var AC = new Object();

				//autocomplete default values REQUIRED
					AC.label = item[0];
					AC.value = item[0];

				//extend values
					AC.login = item[1];
					AC.nachname = item[2];
					AC.vorname = item[3];
					AC.department = item[4];
					AC.region = item[5];

					return AC
				}));
			}
		});
	},
	minLength: 2,
	select: function( event, ui ) {
		if (ui.item) {
			data = ui.item;
			colorcount = $("#help_team p").length;
			$("#help_team").append('\
					<p data-new="1" id="'+data['login']+'" style="margin:0px;padding:2px;background-color: '+lc[colorcount % 2]+';">\
						<input readonly style="font: normal 9pt Arial;width:145px;border:0;background: transparent;" value="'+data['nachname']+'" />\
						<input readonly style="font: normal 9pt Arial;width:147px;border:0;background: transparent;" value="'+data['vorname']+'" />\
						<input readonly style="font: normal 9pt Arial;width:116px;border:0;background: transparent;" value="'+data['department']+'" />\
						<input readonly style="font: normal 9pt Arial;width:75px;border:0;background: transparent;" value="'+data['region']+'" />\
						<span id="del_mat" data-id="'+data['login']+'" class="icn_delete_b_n clckbtn vam" title="<?php echo $ini_addteammember['rem'][$_SESSION['lng']];?>" onclick="remtm(this)"></span>\
					</p>\
			');
			$(this).val(''); 
			return false;
		}
	}
});
function remtm(loc) {
	$("#help_team").find("#"+$(loc).data("id")).remove();
	$colorcount = 0;
	$("#help_team p").each( function() {
		$(this).css("background-color" , lc[$colorcount % 2]);
		$colorcount++;
	});	
}