﻿$("#loading").show();
$("body").append('<div id="dialog-fcode" title="">'+
		'<div id="accordion">'+  
			'<h3>BB - '+localTranslation["ffus"][$globlan]+'</h3>' +
			'<div><div id="tree_b" class="aciTree" style="width: 800px; height: 180px;"></div></div>'+ 
			'<h3>CC - '+localTranslation["f_class"][$globlan]+'</h3>'+
			'<div><div id="tree_c" class="aciTree" style="width: 800px; height: 180px;"></div></div>'+ 			
			'<h3>DDDD - '+localTranslation["f_details"][$globlan]+'</h3>' +
			'<div><div id="tree_d" class="aciTree" style="width: 800px; height: 180px;"></div></div>' +
		'</div>' +
	'</div>');

$("#dialog-fcode").append('<link rel="stylesheet" type="text/css" href="./acitree/css/aciTree.css" />');
$("#dialog-fcode").append('<script type="text/javascript" src="./acitree/js/jquery.aciPlugin.min.js"></script>');
$("#dialog-fcode").append('<script type="text/javascript" src="./acitree/js/jquery.aciTree.dom.js"></script>');
$("#dialog-fcode").append('<script type="text/javascript" src="./acitree/js/jquery.aciTree.core.js"></script>');
$("#dialog-fcode").append('<script type="text/javascript" src="./acitree/js/jquery.aciTree.selectable.js"></script>');
$("#dialog-fcode").append('<script type="text/javascript" src="./acitree/js/jquery.aciTree.radio.js"></script>');
$("#dialog-fcode").append('<script type="text/javascript" src="./acitree/js/jquery.aciTree.checkbox.js"></script>');
$("#dialog-fcode").append('<script type="text/javascript" src="./acitree/js/jquery.aciTree.utils.js"></script>');	

$trees = {"b": "", "c": "", "d": ""};
$(function() {
// http://acoderinsights.ro/en/aciTree-tree-view-with-jQuery
// function adding material numbers
	$( "#dialog-fcode" ).dialog({
		resizable: false,
		dialogClass: "doc_input",
		autoOpen: true,
		closeOnEscape: false,
		height: 400,
		width: 900,
		modal: true,
		buttons:
			[
				{
					id: "fcsave", 
					text: "",
					css: { width: '100px' },
					click: function() {
						$tb = $('#tree_b').aciTree('api').radios($("#tree_b .aciTreeLi .aciTreeLeaf"), true);
						$trees["b"] = ($tb.length == 0)?"":$('#tree_b').aciTree('api').getId($tb).substring(2);
						$tc = $('#tree_c').aciTree('api').radios($("#tree_c .aciTreeLi"), true);
						$trees["c"] = ($tc.length == 0)?"":$('#tree_c').aciTree('api').getId($tc).substring(2);
						$td = $('#tree_b').aciTree('api').radios($("#tree_d .aciTreeLi .aciTreeLeaf"), true);
						$trees["d"] = ($td.length == 0)?"":$('#tree_d').aciTree('api').getId($td).substring(2);
						$.ajax({
							type: "POST",
							cache: false,
							url:  "./tools/close_api.php",
							data: { 
								routine: "setfcode",
								fc: JSON.stringify($trees),
								qbn: window.sessionStorage.getItem("qb")
							},
							success: function(result)
							{
								if ($trees['b'] != "") {
									$("#bb1").val($trees['b'].substr(0,1));
									$("#bb2").val($trees['b'].substr(1,1));
									$("#bb").text(fcbbTranslation[$trees['b'].substr(0,1)][$globlan]+" / "+fcbbTranslation[$trees['b']][$globlan]);
								}
								if ($trees['c'] != "") {
									$("#cc1").val($trees['c'].substr(0,1));
									$("#cc2").val($trees['c'].substr(1,1));
									$("#cc").text(fcccTranslation[$trees['c']][$globlan]);
								}
								if ($trees['d'] != "") {
									$("#dd1").val($trees['d'].substr(0,1));
									$("#dd2").val($trees['d'].substr(1,1));
									$("#dd3").val($trees['d'].substr(2,1));
									$("#dd4").val($trees['d'].substr(3,1));
									$("#dd").text(fcddTranslation[$trees['d'].substr(0,2)][$globlan]+" / "+fcddTranslation[$trees['d']][$globlan]);
								}
								$("#dialog-fcode").dialog( "close" );
							}
						});
					}
				},
				{
					id: "fccancel",
					text: "",
					css: { width: '100px' },
					click: function() {
						$( "#dialog-fcode" ).dialog( "close" );
					}
				}				
			],
		close: function() {
			$("body").find("#dialog-fcode").remove();
		},		
		open : function() {
			$(function() {    
				$( "#accordion" ).accordion();  
			}); 		
			$("#dialog-fcode").dialog('option', 'title', localTranslation["f_codes"][$globlan]);
			$("#fcsave").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
				.off('hover')
				.off('focus')
				.addClass("spanbutton")
				.find("span").text(localTranslation["save"][$globlan]);	
			$("#fccancel").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
				.off('hover')
				.off('focus')
				.addClass("spanbutton")
				.find("span").text(localTranslation["cancel"][$globlan]);	
						
			$.ajax({
				type: "GET",
				cache: false,
				url:  "./tools/fcode_json.php",
				dataType: "json",
				data: { 
					routine: "getdata",
					qblan: $globlan
				},
				success: function(result)
				{
					$('#tree_b').aciTree({
						rootData: JSON.parse(result[0]),
						checkbox: false,
						radio: true,
						show: {
							duration: 0
						},
						hide: {
							duration: 0
						},
						unique: true,
						loaderDelay: 0
					});							
					$('#tree_c').aciTree({
						rootData: JSON.parse(result[1]),
						checkbox: false,
						radio: true,
						show: {
							duration: 0
						},
						hide: {
							duration: 0
						},
						unique: true,
						loaderDelay: 0						
					});				
					$('#tree_d').aciTree({
						rootData: JSON.parse(result[2]),
						checkbox: false,
						radio: true,
						show: {
							duration: 0
						},
						hide: {
							duration: 0
						},
						unique: true,
						loaderDelay: 0
					});			
					$("#loading").hide();
				}
			});
		}
	});
	var $bo = "";
	var	$do = "";
	$('#tree_b,#tree_c,#tree_d').on('acitree', function(event, api, item, eventName, options) {
		switch (eventName) {
			case "added":	
				if (api.itemData(item).id == "bb"+$("#bb1").val()+$("#bb2").val())  {
					api.check(item);
					$bo = item;
				}
				if (api.itemData(item).id == "cc"+$("#cc1").val()+$("#cc2").val())  {
					api.check(item);
				}
				if (api.itemData(item).id == "dd"+$("#dd1").val()+$("#dd2").val()+$("#dd3").val()+$("#dd4").val())  {
					api.check(item);
					$do = item;
				}				
				break;
			case "init":
				if ($bo.length) api.openPath($bo);
				if ($do.length) api.openPath($do);
				break;
			case "checked":		
				if (api.isInode(item)) {
					api.open(item);
				};
				break;
		}
	});	
});