<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />	
<?php 
	include_once(dirname(__FILE__)."/tools/all_header.php"); 
	global $c_scheme, $timezone, $rel_path;
	if (!$qb_support->checkflag("YW")) header("Location: basic.php");
?>	
	<script>
		var js_debug = false;
		$data_changed = false;	
	</script>
	
    <title>Mail</title>
	
	<link rel="stylesheet" href="./css/qb.php" />
		
	<style>
		#det_dep > div.checkList {
			height:auto !important;
		}
		#exmail > div.checkList {
			height:auto !important;
		}
		#selreg > div.checkList {
			height:auto !important;
		}
		.checkList tr td label {
			font-size: 12pt;
		}
	</style>
	
	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>

	<script>
	// load translation and save in localTranslation
		<?php	
			$ini_mail = parse_ini_file($rel_path.'i18n/mail.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_mail as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$ini_region = parse_ini_file($rel_path.'xml/regions.ini', true);	
			echo "regionTranslation = {};";
			foreach($ini_region as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "regionTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$ini_events = parse_ini_file($rel_path.'xml/events.ini', true);	
			echo "eventTranslation = {};";
			foreach($ini_events as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "eventTranslation['".$key."']={".rtrim($add, ',')."};";
			}				
		?>
	</script>
</head>
<body>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
			<?php 
				echo "<div id='mainnav'>". $qb_support->get_main_menu(4) . "</div>";
			?>
			<div class="dtop">
				<?php include_once($rel_path.'html/systemmenu.php');	?>		
				<span data-type="text" data-lan="mail"><?php echo $ini_mail['mail'][$_SESSION['lng']]; ?></span>
			</div>
			<div class="tabs_container">
				<div style="padding: 5px;">
					<p>
						<label class="dlabel w250" style='font: bold 11pt Arial;' data-type="text" data-lan="nmail"><?php echo $ini_mail['nmail'][$_SESSION['lng']]; ?></label>
						<label class="dlabel w250" style='font: bold 11pt Arial;' data-type="text" data-lan="email"><?php echo $ini_mail['email'][$_SESSION['lng']]; ?></label>
						<label class="dlabel w300" style='font: bold 11pt Arial; margin-left: 10px;' data-type="text" data-lan="event"><?php echo $ini_mail['event'][$_SESSION['lng']]; ?></label>
					</p>
	<!--  section for email addresses -->			
					<div id="new_dep" style="height: 270px; width: 240px; padding: 0px; display: inline-block; vertical-align: top;">
						<div style="vertical-align: top;">
							<div style="display: inline-block; width: 200px; height: 40px; padding-top: 10px;">
								<select id="email">
									<option selected value="">...</option>
									<?php
										$query = "SELECT LOGIN, NACHNAME, VORNAME FROM qb_user WHERE USR != 1 ORDER BY NACHNAME";
										$stmt = $db->query($query);
										while($row = $stmt->fetch(PDO::FETCH_NUM)) {
											echo "<option value='$row[0]'>" . $row[1] . ", ". $row[2] . "</option>";
										}
									?> 									
								</select>
							</div>
							<div style="display: inline-block; width: 30px; vertical-align: top;">
								<span class="icn_arrowright_b_n clckbtn" data-type="image" data-lan="add" title='' onclick="add_email()"></span>
								<span class="icn_delete_b_n clckbtn" data-type="image" data-lan="rem" title='' onclick="rem_email()"></span>
							</div>
							<label class="dlabel w200" style='font: bold 11pt Arial;' data-type="label" data-lan="region"><?php echo $ini_mail['region'][$_SESSION['lng']]; ?></label>
						</div>
						<div id="selreg" style="display: inline-block; vertical-align: top; border: 1px solid #B3B3B3; overflow-y: scroll; height: 490px; padding: 2px; width: 215px; font: normal 11pt Arial;"></div>				
					</div>								
					<div id="exmail" style="display: inline-block; vertical-align: top; margin-left: 10px; border: 1px solid <?php echo $c_scheme['IO']; ?>; overflow-y: scroll; height: 560px; padding: 2px; width: 250px; font: normal 11pt Arial;"></div>
	<!--  section for events -->
					<div id="det_dep" style="display: inline-block; vertical-align: top; margin-left: 10px; border: 1px solid <?php echo $c_scheme['IO']; ?>; overflow-y: scroll; height: 560px; padding: 2px; width: 470px; font: normal 9pt Arial;'"></div>						
				</div>
			</div>
		</div>
		<?php include_once($rel_path.'/footer.php'); ?> 
	</div>
	<script>
		$('#email').width(180).customSelect({customClass: "cSelect_man"});
		$('#email').val("");
		$('#email').trigger("render");
		$('#det_dep').checkList({
			effect: 'none',
			ckall: false,
			tfilter: false,
			colopts: 1,
			altrows: true,
			prefix: "ev",
			cbbgr: "<?php echo $c_scheme['XI']; ?>",
			tdhigh: "<?php echo $c_scheme['M1']; ?>",
			evenrow: "<?php echo $c_scheme['IE']; ?>",
			oddrow: "<?php echo $c_scheme['IO']; ?>",
			onChange: function(loc) {	
				if (typeof loc != "undefined") {
					if ($('#exmail').checkList("getSelection").length == 0) {
						$('#det_dep').checkList("resetSelection", $(loc).data("value"))
					} else {
						$sellist = $('#det_dep').checkList("getSelection");
						$newevnt = "";
						$.each($sellist, function(key, value) {
							$newevnt += value['value'] + ":";
						});
						$newevnt = $newevnt.slice(0, -1);
						$.ajax({
							type: "POST",
							cache: false,
							url:  "./tools/mail_api.php",
							data: { 
								routine: "setevents",
								evt: $newevnt,
								idx: $('#exmail').checkList("getSelection")[0]['value']
							},
							success: function(result)
							{
							}
						});
					}
				}
				return false;			
			}				
		});	
		$('#selreg').checkList({
			effect: 'none',
			ckall: false,
			tfilter: false,
			colopts: 1,
			altrows: true,
			prefix: "rg",
			cbbgr: "<?php echo $c_scheme['XI']; ?>",
			tdhigh: "<?php echo $c_scheme['ST']; ?>",
			evenrow: "<?php echo $c_scheme['IE']; ?>",
			oddrow: "<?php echo $c_scheme['IO']; ?>",		
			onChange: function(loc) {
				if (typeof loc != "undefined") {	
					if ($('#exmail').checkList("getSelection").length == 0) {
						$('#selreg').checkList("resetSelection", $(loc).data("value"))
					} else {
						$sellist = $('#selreg').checkList("getSelection");
						$newreg = "";
						$.each($sellist, function(key, value) {
							$newreg += value['value'] + ":";
						});
						$newreg = $newreg.slice(0, -1);	
						$.ajax({
							type: "POST",
							cache: false,
							url:  "./tools/mail_api.php",
							data: { 
								routine: "setregions",
								idx: $('#exmail').checkList("getSelection")[0]['value'],
								reg: $newreg
							},
							success: function(result)
							{
							}
						});					
					}
				}
				return false;
			}				
		});
		$('#exmail').checkList({
			effect: 'none',
			ckall: false,
			tfilter: false,
			colopts: 1,
			altrows: true,
			prefix: "ma",
			cbbgr: "<?php echo $c_scheme['XI']; ?>",			
			tdhigh: "<?php echo $c_scheme['SO']; ?>",
			evenrow: "<?php echo $c_scheme['IE']; ?>",
			oddrow: "<?php echo $c_scheme['IO']; ?>",			
			radio: true,
			onChange: function(loc) {			
				if (typeof loc != "undefined") {				
					if ($(loc).data("checked")) {
						$("#loading").show();
						$.ajax({
							type: "GET",
							cache: false,
							url:  "./tools/mail_api.php",
							data: { 
								routine: "getdetails",
								idx: $(loc).data("value")
							},
							dataType: "json",
							success: function(result)
							{
								var $evts = result['EVENTS'].split(":");
								var $regs = result['REGIONS'].split(":");
							// work on regions
								$('#selreg').checkList("resetAll");
								$.each($regs, function(key, value) {
									$('#selreg').checkList("setSelection", value);
								});							
							// work on events
								$('#det_dep').checkList("resetAll");
								$.each($evts, function(key, value) {
									$('#det_dep').checkList("setSelection", value);
								});
							// fill email input (for deletion)
								$("#email").val($(loc).data("help"));
								$("#email").trigger("render");
								$("#loading").hide();
							}
						});
					} else {
						$("#email").val("");
						$("#email").trigger("render");
						fill_regions();
						fill_events();
					}
				}
			}				
		});	
		
		function load_page() {
			fill_events();
			fill_regions();
			fill_email();
		}
	// fill region list
		function fill_regions() {
			var $reglist = new Array();
			var $i = 0;
			$.each(regionTranslation, function($key, $value) {
				$reglist[$i] = {'text': $value[$globlan], 'value': $key, 'help': $key};
				$i++;
			});
			$('#selreg').checkList('setData', $reglist);	
		}
	// fill event list
		function fill_events() {
			var $evtlist = new Array();
			var $i = 0;
			$.each(eventTranslation, function($key, $value) {
				$evtlist[$i] = {'text': $value[$globlan], 'value': $key, 'help': $key};
				$i++;
			});
			$('#det_dep').checkList('setData', $evtlist);	
		}
	// fill email list
		function fill_email() {
			$("#loading").show();
			$.ajax({
				type: "GET",
				cache: false,
				url:  "./tools/mail_api.php",
				data: { 
					routine: "getmails"
				},
				dataType: "json",
				success: function(result)
				{
					$usrresult = new Array();
					$.each(result, function($key, $value) {
						$usrresult[$key] = {'text': $value["EMAIL"], 'value': $value["IDX"], 'help': $value["ADDRESS"]};
					});
					$('#exmail').checkList('setData', $usrresult);
					$("#loading").hide();
				}
			});	
		}
	// switch language
		function c_lan() {
			translate_header($globlan);	
			translate_mainmenu($globlan);
			translate_system($globlan);
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {			
				switch ($(this).data("type")) {
					case "text":		
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "date":
						$(this).val(localizedate($($(this).data("lan")).val()));
						break;						
				}
			});
			$.each($("#det_dep span"), function(key, value) {
				$(this).parent().next().find("label").text(eventTranslation[$(value).data("help")][$globlan]);
			});
			$.each($("#selreg span"), function(key, value) {
				$(this).parent().next().find("label").text(regionTranslation[$(value).data("help")][$globlan]);
			});			
		}
	// add email address
		function add_email() {
			if (!$('#email').val()) return;
			var $efound = false;
			$("#exmail").find("span").each(function(){
				if ($('#email').val() == $(this).data('help')) {
					jAlert(localTranslation["email_avail"][$globlan], localTranslation["attention"][$globlan]);
					$efound = true;			
					return false;
				}
			});
			if (!$efound) {
		// new adderss -> add
				$.ajax({
					type: "POST",
					cache: false,
					url:  "./tools/mail_api.php",
					data: { 
						routine: "addmail",
						email: $("#email").val()
					},
					success: function(result)
					{
						$("#email").val("");
						$("#email").trigger("render");
						fill_email();
					}		
				});
			}
		}
	// remove email address from events list
		function rem_email() {
			if ($("#email").val() == "") return false;
			$.alerts.cancelButton = localTranslation["cancel"][$globlan];
			jConfirm(localTranslation["confirm_delete"][$globlan], localTranslation["attention"][$globlan] , function(r) {		
				if (r) {
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/mail_api.php",
						data: { 
							routine: "removemail",
							eidx: $("#exmail .icn_checkboxchecked_c_n").data("value")
						},
						success: function(result)
						{
							$("#email").val("");
							$("#email").trigger("render");
							fill_email();
							$('#selreg').checkList("resetAll");
							$('#det_dep').checkList("resetAll");	
						}		
					});
				};
			});
		}
	// change checked status
		function check_event(loc) {
	// check if email is selected - if not unset checkbox and return
			if ($("#exmail").find("p").filter(function() {return rgb2hex($(this).css('background-color')) == "<?php echo $c_scheme['I3']; ?>";}).length == 0) {
				jAlert(localTranslation["no_email"][$globlan], localTranslation["attention"][$globlan]);
				$("#det_dep").find("p[data='"+loc+"']").find("input:checkbox").prop("checked" , false);
				return;
			}
		// yes -> collect selected events
			$chksum = "";
			$('#det_dep').find("p").find("input:checkbox").each(function() {
				if ($(this).prop('checked')) {
					$chksum += $(this).attr("data")+":";
				}					
			});	
		// remove last ":"
			$chksum = $chksum.substr(0, $chksum.length-1);
		// now save		
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/mail_api.php",
				data: { 
					routine: "setevents",
					evnt: $chksum,
					eidx: $("#exmail").find("p").filter(function() {return rgb2hex($(this).css('background-color')) == "<?php echo $c_scheme['I3']; ?>";}).attr("id").split("_")[1]
				},
				success: function(result)
				{
			// update color code line
					$scb = $('#det_dep').find("p[data='"+loc+"']");
					($scb.find("input:checkbox").prop("checked"))?$scb.css("background-color", "<?php echo $c_scheme['I3']; ?>"):$scb.css("background-color", "<?php echo $c_scheme['M5']; ?>");
				}		
			});	
		}
	// change region filter
		function change_filter(loc) {
		// check if email is selected - if not unset checkbox and return
			if ($("#exmail").find("p").filter(function() {return rgb2hex($(this).css('background-color')) == "<?php echo $c_scheme['I3']; ?>";}).length == 0) {
				jAlert(localTranslation["no_email"][$globlan], localTranslation["attention"][$globlan]);
				$("#det_dep").find("p[data='"+loc+"']").find("input:checkbox").prop("checked" , false);
				return;
			}
		// summarize filter
			$newreg = "";
			$newreg += ($("#eu").prop("checked"))?1:0;
			$newreg += ($("#am").prop("checked"))?1:0;
			$newreg += ($("#ap").prop("checked"))?1:0;
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/mail_api.php",
				data: { 
					routine: "setfilter1",
					newreg: $newreg,
					eidx: $("#exmail").find("p").filter(function() {return rgb2hex($(this).css('background-color')) == "<?php echo $c_scheme['I3']; ?>";}).attr("id").split("_")[1]
				},
				success: function(result)
				{
				}		
			});	
		}
		load_page();
	</script>
</body>
</html>