<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />	
	<?php 
		include_once(dirname(__FILE__)."/tools/all_header.php"); 
		global $c_scheme, $timezone, $rel_path;
		if (!$qb_support->checkflag("YW")) header("Location: basic.php");
	?>	
	<script>
		var js_debug = false;
		$data_changed = false;		
	</script>
	
    <title>Mandatory Team</title>
	
	<link rel="stylesheet" href="./css/qb.php" />
	
	<style>
		.highlight
		{
			background-color: <?php echo $c_scheme['M1']; ?> !important;
		}
	</style>
	
	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script> 

	<script>
	// load translation and save in localTranslation
		<?php	
			$ini_mandatory = parse_ini_file($rel_path.'i18n/mandatory.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_mandatory as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$ini_mandteam = parse_ini_file($rel_path.'xml/mandatory.ini', true);	
			echo "mandTranslation = {};";
			foreach($ini_mandteam as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "mandTranslation['".$key."']={".rtrim($add, ',')."};";
			}			
		?>
</script>
</head>
<body>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
			<?php 
				echo "<div id='mainnav'>". $qb_support->get_main_menu(4) . "</div>";
			?>
			<div class="dtop">
				<?php include_once($rel_path.'html/systemmenu.php'); ?>		
				<span data-type="text" data-lan="mandatory"><?php echo $ini_mandatory['mandatory'][$_SESSION['lng']]; ?></span>
			</div>
			<div class="tabs_container">
				<p style="margin-top: 30px;">
					<label data-type="text" data-lan="mdep" class="dlabel w300" style='margin-left: 30px; font: bold 11pt Arial;'><?php echo $ini_mandatory['mdep'][$_SESSION['lng']]; ?></label>
					<label data-type="text" data-lan="ddep" class="dlabel w300" style='margin-left: 30px; font: bold 11pt Arial;'><?php echo $ini_mandatory['ddep'][$_SESSION['lng']]; ?></label>
					<label data-type="text" data-lan="ndep" class="dlabel w250" style='margin-left: 50px; font: bold 11pt Arial;'><?php echo $ini_mandatory['ndep'][$_SESSION['lng']]; ?></label>
				</p>
<!--  mandatory team list -->
				<div id="manfunc" style="margin-left: 30px; display: inline-block; vertical-align: top; border: 1px solid #DADADA; overflow-y: scroll; overflow-x: hidden; height: 550px; padding: 2px; width: 300px;"></div>
<!--  section for already assigned departments -->
				<div id="det_dep" style="margin-left: 30px; display: inline-block; vertical-align: top; border: 1px solid #DADADA; overflow-y: scroll; overflow-x: hidden; height: 550px; padding: 2px; width: 300px;"></div>
<!--  section for adding new departments to assignment -->			
				<div id="new_dep" style="margin-left: 40px; display: inline-block; vertical-align: top; height: 100px; width: 250px; padding: 2px;">
					<span class="icn_arrowleft_b_n clckbtn" data-type="title" data-lan="add" id="save_reldep" style="margin-right: 5px;" title="<?php echo $ini_mandatory['add'][$_SESSION['lng']]; ?>" onclick="add_dep();"></span>
					<select id="dd_av">
						<option value="">...</option>
						<?php
							$query = "
								SELECT 
									DEPARTMENT 
								FROM 
									qb_user 
								WHERE 
									DEPARTMENT <> '' AND 
									DEPARTMENT NOT IN (SELECT DEPARTMENT FROM qb_mantrans GROUP BY DEPARTMENT) 
								GROUP BY 
									DEPARTMENT 
								ORDER BY 
									DEPARTMENT";							
							$stmt = $db->query($query);
							while($row = $stmt->fetch(PDO::FETCH_NUM)) {
								echo "<option value='".$row[0]."'>".$row[0]."</option>";
							}							
						?>
					</select>				
				</div>
			</div>
		</div>
		<?php include_once($rel_path.'/footer.php'); ?> 		
	</div>
	<script>
		lc = new Array();
		lc[0]= "<?php echo $c_scheme['IE']; ?>";
		lc[1]= "<?php echo $c_scheme['IO']; ?>";
		$('#dd_av').width(200).customSelect({customClass: "cSelect_man"});
		
		function c_lan(loc) {
			translate_header($globlan);	
			translate_mainmenu($globlan);
			translate_system($globlan);
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {			
				switch ($(this).data("type")) {
					case "text":		
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "date":
						$(this).val(localizedate($($(this).data("lan")).val()));
						break;
					case "slabel":
						$(this).text($(this).data("lan")+" - " + mandTranslation[$(this).data("lan")][$globlan]);
						break;
				}
			});	
		}
		function load_page() {
			$("#dd_av").val("");
			$("#dd_av").trigger("render");		
			$color_count = 0;
			$.each(mandTranslation, function($key, $value) {
				$("#manfunc").append('\
					<div id="div_'+$key+'" style="padding:0px; margin: 0px; background-color: '+lc[$color_count % 2]+';">\
						<p id="md_'+$key+'" style="width: 220px; height: 20px; line-height: 20px; padding: 2px; margin: 0px; cursor: pointer;" onclick="line_click(this.id)" data-use="'+$value['inuse']+'" >\
							<label data-type="slabel" data-lan="'+$key+'" style="margin: 0; border: 0px solid red; width: 200px; font: normal 11pt Arial; cursor: pointer;">'+$key+' - '+$value[$globlan]+'</label>\
						</p>\
					</div>\
				');
			// if not in use strike throughand color black, no cursor
				if ($value['inuse'] == "N") {
					$("#manfunc").find("p:last").find("label").css("text-decoration", "line-through").css("color", "<?php echo $c_scheme['XN']; ?>");
				}
				$color_count++;
			});	
		}
		function line_click(loc) {	
			$("#manfunc div").removeClass("highlight");
			$('#div_'+loc.split("_")[1]).addClass("highlight");
			$("#det_dep").empty();
			$("#loading").show();
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/mandatory_api.php",
				data: { 
					routine: "getmantrans",
					shrt: loc.split("_")[1]
				},
				dataType: "json",
				success: function(result)
				{
					$rel = result[0];
					$av = result[1];
					if ($rel[0].length >0) {
						$color_count = 0;
						$.each($rel, function($key, $value) {						
							$("#det_dep").append('<div id="dep_'+$value[0]+'" style="padding:0px; margin: 0px; background-color: '+lc[$color_count % 2]+';"></div>');
							$("#det_dep").find("div:last").append("<p style='width: 280px; height: 20px; line-height: 20px; padding: 2px; margin: 0px;'></p>");
							$("#det_dep").find("p:last").append('<span class="icn_delete_b_n clckbtn" data-type="span" data-lan="rem" title="'+localTranslation["rem"]+'" onclick="rem_rel_dep(\''+$value[0]+'\')"></span>');
							$("#det_dep").find("p:last").append("<label class='dlabel w250' style='line-height: 23px; vertical-align: top; margin-left: 10px;' >"+$value[1]+"</label>");
							$color_count++;
						});
					}
					var sel = $("#dd_av");
					sel.empty();
					for (var i=0; i<$av.length; i++) {
					  sel.append('<option value="' + $av[i] + '">' + $av[i] + '</option>');
					}	
					$("#dd_av").val("");
					$("#dd_av").trigger("render");					
					$("#loading").hide();
				}
			});
		}
		function rem_rel_dep(loc) {		
			$.alerts.cancelButton = localTranslation["cancel"][$globlan];
			jConfirm(localTranslation["confirm_delete"][$globlan], localTranslation["attention"][$globlan], function(r) {
				if (r) {
					$("#loading").show();
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/mandatory_api.php",
						data: { 
							routine: "remmandatory",
							didx: loc
						},
						dataType: "json",
						success: function(result)
						{
							$("#dep_"+loc).remove();
							$color_count = 0;
							$("#det_dep").find("div").each(function() {
								$(this).css("background-color", "#"+lc[$color_count % 2]);
								$color_count++;
							});	
							var sel = $("#dd_av");
							sel.empty();
							for (var i=0; i<result.length; i++) {
							  sel.append('<option value="' + result[i] + '">' + result[i] + '</option>');
							}	
							$("#dd_av").val("");
							$("#dd_av").trigger("render");
							$("#loading").hide();
						}
					});
				}
			});
			
		}
		function add_dep () {
			loc = $("#dd_av").val();	
			if (!$("#manfunc div").hasClass("highlight")) return false;		
			if (loc.length == 0) return false;
			$("#loading").show();
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/mandatory_api.php",
				data: { 
					routine: "addmandatory",
					dep: loc,
					ref: $("#manfunc").find(".highlight").attr("id").split("_")[1]
				},
				dataType: "json",
				success: function(result)
				{			
					$("#loading").hide();
					var sel = $("#dd_av");
					sel.empty();
					for (var i=0; i<result.length; i++) {
					  sel.append('<option value="' + result[i] + '">' + result[i] + '</option>');
					}	
					$("#dd_av").val("");
					$("#dd_av").trigger("render");					
					line_click($("#manfunc").find(".highlight").attr("id"));
				}
			});	
		}
		load_page();
	</script>
</body>
</html>