<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />	
	<?php 
		include_once(dirname(__FILE__)."/tools/all_header.php"); 
		global $c_scheme, $timezone, $rel_path;
		if ($qb_support->checkflag("V") === false) header("Location: basic.php");
	?>	
	<script>
		var js_debug = false;
		$data_changed = false;	
	</script>
	
    <title>Representatives</title>
	
	<link rel="stylesheet" href="./css/qb.php" />
	<link rel="stylesheet" href="./jqGrid_5.2.1/css/ui.jqgrid.css" />
	
	<style>
		.ui-jqgrid tr.jqgrow td{
			white-space:nowrap;
			height: 18px !important;
		}
		.ui-state-hover, .ui-widget-content .ui-state-hover, .ui-widget-header .ui-state-hover,
		.ui-state-focus, .ui-widget-content .ui-state-focus, .ui-widget-header .ui-state-focus
		{
			border: 0 none;
		}			
	</style>
	
	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>
	
	<?php 
		foreach(explode(":", $qb_support->getLanOnly()) as $key=>$value) {
			echo '<script src="./jqGrid_5.2.1/js/i18n/grid.locale-' . $value . '.js"></script>';
		}
	?>
	<script src="./jqGrid_5.2.1/js/jquery.jqGrid.min.js"></script>	

	<script>
	// load translation and save in localTranslation
		<?php	
			$ini_mysvt = parse_ini_file($rel_path.'i18n/mysvt.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_mysvt as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
		?>
	</script>
</head>
<body>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
			<?php 
				echo "<div id='mainnav'>". $qb_support->get_main_menu(5) . "</div>";
			?>
			<div class="dtop">
				<span data-type="text" data-lan="my_svt"><?php echo $ini_mysvt['my_svt'][$_SESSION['lng']]; ?></span>
			</div>
			<?php echo $qb_support->get_svt_menu(1); ?>
			<div id="docscontainer" style="margin: 2px; margin-top: 0; height: 560px;">
				<div id="btn_div" class="btn_div" style="height: 555px;">
					<br />
					<span class="icn_checkboxempty_c_n clckbtn vam" id="selfrep" style="background-color:<?php echo $c_scheme['M5'];?>" onclick="save_self(this);"></span>
					<label class="dlabel vam w150" style="white-space: normal" data-type="text" data-lan="self_ex"><?php echo $ini_mysvt['self_ex'][$_SESSION['lng']]; ?></label>
				</div>
				<div style="display: inline-block; width: 670px; text-align: center;margin-left: 10px;">
					<table id="list"></table> 
					<div id="pager"></div> 
				</div>
			</div>
		</div>
		<?php include_once($rel_path.'footer.php'); ?> 	
	</div>
	<script>
		function c_lan() {
			translate_header($globlan);	
			translate_mainmenu($globlan);
			translate_svtmenu($globlan);
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {			
				switch ($(this).data("type")) {
					case "text":		
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "date":
						$(this).val(localizedate($($(this).data("lan")).val()));
						break;						
				}
			});
			$.jgrid.setRegional('list',{regional: $globlan});
			$("#res_pw").attr("title", localTranslation["reset_pw"][$globlan]);	
			$("#vac_rep").attr("title", localTranslation["toggle_vacation"][$globlan]);	
			$("#list").jqGrid('setLabel', "login", localTranslation["login"][$globlan])
				.jqGrid('setLabel', "nachname", localTranslation["nname"][$globlan])
				.jqGrid('setLabel', "vorname", localTranslation["vorname"][$globlan])
				.jqGrid('setLabel', "r1", localTranslation["vacation"][$globlan]);			
		}
		function load_page() {
			$.ajax({
				type: "GET",
				cache: false,
				url:  "./tools/mysvt_api.php",
				data: { 
					routine: "getself",
					login: $("#aroleinfo").data("login")
				},
				success: function(result)
				{
					if (result == 0) {
						$("#selfrep").data("checked", false);
						$("#selfrep").removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
					} else {		
						$("#selfrep").data("checked", true);
						$("#selfrep").removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");	
					}
					fill_pot();			
				}		
			});
		}
		function VacationFormatter (cellvalue, options, rowObject) {
			if (cellvalue == "1") {
				return "<span class='icn_ok_be_n'></span>";
			} else {
				return "";
			}
		}
		function VacationUnFormatter (cellvalue, options, rowObject) {
			return cellvalue;
		}	
		function fill_pot() {
			$("#loading").show();
			cmTemplate = {
				editable: false,
				sorttype:'string',
				searchoptions: {
					sopt:['cn'], 
					clearSearch: false
				}
			};
			obj = {
				url:  "./tools/mysvt_api.php",
				postData: {
					routine : "getlist",
					lgi: $("#aroleinfo").data("login")
				},
				contentType: "application/json",
				datatype: "json",
				jsonReader: {
					id: "id",
					repeatitems: true
				},
				mtype: "POST",
				colNames: [
					localTranslation["login"][$globlan],
					localTranslation["nname"][$globlan],
					localTranslation["vorname"][$globlan],
					localTranslation["vacation"][$globlan],
					localTranslation["login"][$globlan]
				],	
				colModel: [
					{ 
						name: "dsvt", 
						template: cmTemplate,
						width: 140
					},
					{
						name: "nachname", 
						template: cmTemplate,
						width: 210
					},
					{
						name: "vorname", 
						template: cmTemplate,
						width: 210
					},	
					{
						name: "r1", 
						template: cmTemplate,
						width: 170,
						search: false,
						formatter: VacationFormatter,
						unformatter: VacationUnFormatter,
						align: "center"
					},
					{
						name: "login", 
						hidden: true,
						editable: true,
						width: 150,
						edittype:'select',
						editoptions:
						{
							size: "1",
							value:
							{
								<?php
									$query = "
										SELECT 
											LOGIN, 
											CONCAT(NACHNAME, ', ', VORNAME) 
										FROM 
											qb_user 
										WHERE 
											USR != 1 AND
                      LOGIN NOT IN (SELECT DSVT FROM qb_deputy WHERE SVT=:svt)
										ORDER BY 
											NACHNAME
									";
									$stmt = $db->prepare($query);
									$stmt->execute(
										array(
											':svt' => $_SESSION['lg']
										)
									);	
									$selopt = "'':'',";
									while($row = $stmt->fetch(PDO::FETCH_NUM)) {
										$selopt.="'".$row[0]."':'".addslashes($row[1])."',";
									}
									echo trim($selopt, ",");
								?>
							},
							dataInit: function(elem) {
								$(elem).width(220);
							}
						},
						editrules: 
						{
							edithidden: true
						}						
					}					
				],
				regional: $globlan,
				storeNavOptions: true,			
				loadonce: true,
				pager: "#pager",
				recordpos: "left",
				height: 465,
				rowNum: 100,
				rowList: [10, 100, 500, 1000, 1500],
				hoverrows: false,
				rownumbers: true,
				sortname: "dsvt",
				sortorder: "desc",
				gridview: true,
				autoencode: true,
				ignoreCase:true,
				loadui: "block",
				viewrecords: false,
				pgbuttons: false,
				pginput: false,
				rowList: [],
				loadComplete: function() {			
					$("th[role='columnheader']")
						.unbind("mouseenter")
						.unbind("mouseleave");
				},
				gridComplete: function() {
					$(".ui-search-toolbar input[role='textbox']")
						.css("width", "92%")
						.css("background", "<?php echo $c_scheme['M5']; ?>")
						.css("padding", "2px");	
					custbtns();
				},			
				editurl: "./tools/mysvt_api.php"			
			};
			addSettings = {
				recreateForm:true,
				jqModal:true,
				modal: true,
				reloadAfterSubmit:true,
				closeOnEscape:false,
				savekey: [false,13],
				closeAfterAdd:true,
				zIndex:1000,
				width: 300,
				viewPagerButtons:true,
				beforeShowForm: function(form) {
			// center edit form
					var parentWidth = $(window).width();
					var parentHeight = $(window).height();
					var dlgDiv = $("#editmodlist");
					var dlgWidth = dlgDiv.width();
					var dlgHeight = dlgDiv.height();
					dlgDiv[0].style.top = Math.round((parentHeight-dlgHeight)/2) + "px";
					dlgDiv[0].style.left = Math.round((parentWidth-dlgWidth)/2) + "px";	
					$(".EditButton")
						.empty()
						.append("<span id='sData' class='spanbutton w100'>"+localTranslation["save"][$globlan]+"</span>")
						.append("<span id='cData' style='margin: 0 10px;' class='spanbutton w100'>"+localTranslation["cancel"][$globlan]+"</span>");					
				},
				ajaxEditOptions:{ contentType:"application/json" },
				mtype:'POST',
				serializeEditData:function (data) {
					data["routine"] = "adddeputy";
					data["lgi"] = $("#aroleinfo").data("login");
					data["ex"] = $("#selfrep").prop("checked")*1;
					return JSON.stringify(data);
				},
				onClose: function() {
          location.reload();
//					$("#list").setGridParam({datatype:'json'}).trigger('reloadGrid');
				}	
			};		
			deleteSettings = {
				recreateForm:true,
				jqModal:true,
				modal: true,
				reloadAfterSubmit:true,
				closeOnEscape:false,
				savekey: [false,13],
				closeAfterEdit:true,
				zIndex:1000,
				width: 330,
				viewPagerButtons:false,
				beforeShowForm: function(form) {
			// center edit form
					var parentWidth = $(window).width();
					var parentHeight = $(window).height();
					var dlgDiv = $("#delmodlist")||$("#alertmod_list");
					var dlgWidth = dlgDiv.width();
					var dlgHeight = dlgDiv.height();
					dlgDiv[0].style.top = Math.round((parentHeight-dlgHeight)/2) + "px";
					dlgDiv[0].style.left = Math.round((parentWidth-dlgWidth)/2) + "px";
					$(".EditButton a").css("display", "none");
					$(".EditButton")
						.append("<span id='dData1' class='spanbutton w100' onclick='$(\"#dData\").click();'>"+localTranslation["rem"][$globlan]+"</span>")
						.append("<span id='eData1' style='margin: 0 10px;' class='spanbutton w100' onclick='$(\"#eData\").click();'>"+localTranslation["cancel"][$globlan]+"</span>");				
				},
				onClose: function() {
          location.reload();
//					$(".EditButton span").remove();
				},			
				mtype:'POST',
				serializeDelData:function (data) {
					selRowId = $("#list").jqGrid ('getGridParam', 'selrow');
					data['dsvt'] = $("#list").jqGrid ('getCell', selRowId, 'dsvt');	// get user login
					data['routine'] = "deldeputy";
					data["lgi"] = $("#aroleinfo").data("login");
					return JSON.stringify(data);
				}
			};		
			list = $("#list").jqGrid(obj)
				.jqGrid('filterToolbar',{searchOperators : false, searchOnEnter: false})
				.navGrid('#pager', {refresh: false, search: false, edit: false}, {}, addSettings, deleteSettings);
			$("#loading").hide();
		}
		function custbtns() {		
			$("#list").jqGrid('navButtonAdd',"#pager",{
				caption:"", 
				id:"res_pw",
				buttonicon:"ui-icon-refresh", 
				onClickButton: function(){
					selRowId = $("#list").jqGrid ('getGridParam', 'selrow');
					if (selRowId == null) {
						jAlert(localTranslation["alertrow"][$globlan], localTranslation["attention"][$globlan]);	
						return false;							
					} else {
						$.alerts.cancelButton = localTranslation["cancel"][$globlan];
						jConfirm(localTranslation["confirm_reset"][$globlan], localTranslation["attention"][$globlan], function(r) {
							if (r) {						
								$residx = $("#list").jqGrid ('getCell', selRowId, 'dsvt');	// get user login
								$.ajax({
									type: "POST",
									cache: false,
									url:  "./tools/mysvt_api.php",
									data: { 
										routine: "resetpassword",
										usr: $residx
									},
									success: function(result)
									{
										jAlert(localTranslation["pw_reset_done"][$globlan], localTranslation["attention"][$globlan]);
									}
								});	
							}
						});
					}
				}, 
				position: "last", 
				title: localTranslation["reset_pw"][$globlan], 
				cursor: "default"
			})
			.jqGrid('navButtonAdd',"#pager",{
				caption:"", 
				id:"vac_rep",
				buttonicon:"ui-icon-shuffle", 
				onClickButton: function(){
					selRowId = $("#list").jqGrid ('getGridParam', 'selrow');
					if (selRowId == null) {
						jAlert(localTranslation["alertrow"][$globlan], localTranslation["attention"][$globlan]);	
						return false;							
					} else {					
						$residx = $("#list").jqGrid ('getCell', selRowId, 'dsvt');	// get user login
						$depstat = $("#list").jqGrid ('getCell', selRowId, 'r1').length;	// get vac rep status
						$.ajax({
							type: "POST",
							cache: false,
							url:  "./tools/mysvt_api.php",
							data: { 
								routine: "vacationrep",
								usr: $residx,
								sts: ($depstat>0)?1:0
							},
							success: function(result)
							{
								$("#list").setGridParam({datatype:'json'}).trigger('reloadGrid');
							}
						});	
					}
				}, 
				position: "last", 
				title: localTranslation["toggle_vacation"][$globlan], 
				cursor: "default"
			});	
			$("#add_list div").empty().html("<span class='icn_add_b_n clckbtn'></span>");
			$("#add_list").removeClass("ui-pg-button");
			$("#del_list div").empty().html("<span class='icn_delete_b_n clckbtn'></span>");
			$("#del_list").removeClass("ui-pg-button");
			
			$("#res_pw div").empty().html("<span class='icn_resetpw_b_n clckbtn' style='margin-left: 10px;'></span>");
			$("#res_pw").removeClass("ui-pg-button");
			$("#vac_rep div").empty().html("<span class='icn_substitute_b_n clckbtn' style='margin: 0 2px;'></span>");
			$("#vac_rep").removeClass("ui-pg-button");
			
			$("#pager_left .ui-separator").parent().remove();			
		}
		function save_self(loc) {
			if ($(loc).data("checked")) {
				$(loc).data("checked", false);
				$(loc).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
			} else {		
				$(loc).data("checked", true);
				$(loc).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");	
			}
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/mysvt_api.php",
				data: { 
					routine: "updself",
					login: $("#aroleinfo").data("login"),
					exv: $("#selfrep").data("checked")*1
				},
				success: function(result)
				{
				}		
			});
		}
		load_page();
	</script>
</body>
</html>