<!DOCTYPE html>
<html>
	<head>
		<meta http-equiv="X-UA-Compatible" content="IE=edge" />
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<?php 
			include_once(dirname(__FILE__)."/tools/all_header.php"); 
			global $c_scheme, $timezone, $rel_path;
			if (!isset($_SESSION['lg'])) header("Location: basic.php");
		?>

		<title>PRIVATEQUERY</title>
			
		<link rel="stylesheet" href="./css/qb.php" />
		<link rel="stylesheet" href="./jqGrid_5.2.1/css/ui.jqgrid.css" />		
		<link rel="stylesheet" href="./css/jquery-ui.1.12.1.min.css">
	
		<style>
			.ui-jqgrid tr.jqgrow td{
				white-space:nowrap;
				height: 18px !important;
			}
			#pager_left{
				padding-top: 5px;
			}
			#fldlist table tbody {
				display: block;
				height: 410px;
				overflow-y: scroll;
				overflow-x: hidden;
				width: 180px;
			}
			span.cellWithBackground {
				display: block;
				background-image: none;
				margin-right: -1px;
				height: 18px;
				padding: 1px 2px;
			}
			th.ui-th-column div {
				white-space: normal !important;
				height: auto !important;
				padding: 2px;
			}
		</style>
	
		<script src="./jquery/jquery.min.js"></script>
		<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
		<script src="./jquery/jquery-ui.min.js"></script>
		<script src="./jquery/qb_js.js"></script>

		<?php
			foreach(explode(":", $qb_support->getLanOnly()) as $key=>$value) {
				echo '<script src="./jqGrid_5.2.1/js/i18n/grid.locale-' . $value . '.js"></script>';
			}
		?>
		<script src="./jqGrid_5.2.1/js/jquery.jqGrid.min.js"></script>
		
		<?php
			$query = "
				SELECT 
					DATE_FORMAT(NOW(), '%Y-%m-%d'), 
					DATEDIFF(MAX(QBREGDATE), NOW()), 
					DATEDIFF(MIN(QBREGDATE), NOW()),
					MIN(QBREGDATE),
					MAX(QBREGDATE),
					IF (DATEDIFF(MAX(QBREGDATE), MIN(QBREGDATE)) > 365, DATE_SUB(MAX(QBREGDATE), INTERVAL 365 DAY), MIN(QBREGDATE))
				FROM 
					qbi 
				WHERE 
					QBSTATUS NOT IN ('M', 'D')
			";
			$stmt = $db->query($query);
			list($now, $diffmax, $diffmin, $min, $max, $lmin) = $stmt->fetch(PDO::FETCH_NUM );
		?>
		<script>
		// load translation and save in localTranslation
			<?php	
				$login = $_SESSION['lg'];
				$ini_pquery = parse_ini_file($rel_path.'i18n/privquery.ini', true);	
				echo "localTranslation = {};\n";
				foreach($ini_pquery as $key=>$value){
					$add = "";
					foreach($value AS $lan=>$trans){
						$add .= "'".$lan."':'".$trans."',";
					}
					echo "localTranslation['".$key."']={".rtrim($add, ',')."};\n";
				}
	// Kalender
				$cal = parse_ini_file($rel_path.'i18n/calendar.ini', true);		
				echo "calTranslation = {};\n";
				foreach($cal as $key=>$value){
					$add = "";
					if ($value['tpe'] == "S") {
						foreach($value AS $lan=>$trans){
							if ($lan != "tpe") $add .= "'".$lan."':'".$trans."',";
						}
					} else {
						foreach($value AS $lan=>$trans){
							if ($lan != "tpe") {
								$tar = explode(",", $trans);
								$tar = implode("','", $tar);
								$add .= "'".$lan."': ['".$tar."'],";
							}
						}				
					}
					echo "calTranslation['".$key."']={".rtrim($add, ',')."};\n";
				}
	// QB Status
				$ini_qbstatus = parse_ini_file($rel_path.'xml/qb_status.ini', true);
				$ddr = ":".$ini_pquery['all'][$_SESSION['lng']];			
				echo "qbstatusTranslation = {};\n";
				foreach($ini_qbstatus as $key=>$value){
					$add = "";
					foreach($value AS $lan=>$trans){
						$add .= "'".$lan."':'".$trans."',";
					}
					echo "qbstatusTranslation['".$key."']={".rtrim($add, ',')."};\n";
					if (in_array($key, array('N','O','S','C'))) {
						$ddr .= ";".$key.":".$value[$_SESSION['lng']];
					}				
				}
				echo "var ddr = '".$ddr."';\n";
	// Kriterium
				$qbkrit = parse_ini_file($rel_path.'xml/qb_kriterien.ini', true);
				$ddk = ":".$ini_pquery['all'][$_SESSION['lng']];	
				echo "qbkritTranslation = {};";
				foreach($qbkrit as $key=>$value){
					$add = "";
					foreach($value AS $lan=>$trans){
						$add .= "'".$lan."':'".$trans."',";
					}
					echo "qbkritTranslation['".$key."']={".rtrim($add, ',')."};";
					$ddk .= ";".$key.":".$value[$_SESSION['lng']];
				}
				echo "var ddk = '".$ddk."';\n";
	// Material Status
				$ini_mstatus = parse_ini_file($rel_path.'xml/m_status.ini', true);
				$ddm = ":".$ini_pquery['all'][$_SESSION['lng']];			
				foreach($ini_mstatus as $key=>$value){
					$ddm .= ";".$key.":".$value[$_SESSION['lng']];			
				}
				echo "var ddm = '".$ddm."';\n";
	// Klassifizierung
				$ini_class = parse_ini_file($rel_path.'xml/class.ini', true);
				$ddc = ":".$ini_pquery['all'][$_SESSION['lng']];	
				echo "clssTranslation = {};\n";
				foreach($ini_class as $key=>$value){
					$add = "";
					foreach($value AS $lan=>$trans){
						$add .= "'".$lan."':'".$trans."',";
					}
					echo "clssTranslation['".$key."']={".rtrim($add, ',')."};\n";
					$ddc .= ";".$key.":".$value[$_SESSION['lng']];
				}
				echo "var ddc = '".$ddc."';\n";
	// QB Type
				$ini_qbtype = parse_ini_file($rel_path.'xml/qb_type.ini', true);
				$ddt = ":".$ini_pquery['all'][$_SESSION['lng']];
				echo "qbtypeTranslation = {};\n";
				foreach($ini_qbtype as $key=>$value){
					$add = "";
					foreach($value AS $lan=>$trans){
						$add .= "'".$lan."':'".$trans."',";
					}
					echo "qbtypeTranslation['".$key."']={".rtrim($add, ',')."};\n";
					$ddt .= ";".$key.":".$value[$_SESSION['lng']];
				}
				echo "var ddt = '".$ddt."';\n";
	// Zero/One
				$ini_zo = parse_ini_file($rel_path.'xml/zo.ini', true);
				$ddzo = ":".$ini_pquery['all'][$_SESSION['lng']];
				echo "qbzoTranslation = {};\n";
				foreach($ini_zo as $key=>$value){
					$add = "";
					foreach($value AS $lan=>$trans){
						$add .= "'".$lan."':'".$trans."',";
					}
					echo "qbzoTranslation['".$key."']={".rtrim($add, ',')."};\n";
					$ddzo .= ";".$key.":".$value[$_SESSION['lng']];
				}
				echo "var ddzo = '".$ddzo."';\n";
	// Rekart
				$ini_rekart = parse_ini_file($rel_path.'xml/r_type.ini', true);
				$dds = ":".$ini_pquery['all'][$_SESSION['lng']];
				echo "rekartTranslation = {};\n";
				foreach($ini_rekart as $key=>$value){
					$add = "";
					foreach($value AS $lan=>$trans){
						$add .= "'".$lan."':'".$trans."',";
					}
					echo "rekartTranslation['".$key."']={".rtrim($add, ',')."};\n";
					$dds .= ";".$key.":".$value[$_SESSION['lng']];
				}
				echo "var dds = '".$dds."';\n";
	// Fehlerverursacher
				$ini_ffu = parse_ini_file($rel_path.'xml/ffu.ini', true);
				$ddf = ":".$ini_pquery['all'][$_SESSION['lng']];				
				echo "ffuTranslation = {};\n";
				foreach($ini_ffu as $key=>$value){
					$add = "";
					foreach($value AS $lan=>$trans){
						$add .= "'".$lan."':'".$trans."',";
					}
					echo "ffuTranslation['".$key."']={".rtrim($add, ',')."};\n";
					$ddf .= ";".$key.":".$value[$_SESSION['lng']];
				}
				echo "var ddf = '".$ddf."';\n";
	// AI Status
				$ini_aistatus = parse_ini_file($rel_path.'xml/status.ini', true);
				$ddai = ":".$ini_pquery['all'][$_SESSION['lng']];
				echo "aistatusTranslation = {};\n";
				foreach($ini_aistatus as $key=>$value){
					$add = "";
					foreach($value AS $lan=>$trans){
						$add .= "'".$lan."':'".$trans."',";
					}
					echo "aistatusTranslation['".$key."']={".rtrim($add, ',')."};\n";
					$ddai .= ";".$key.":".$value[$_SESSION['lng']];
				}
				echo "var ddai = '".$ddai."';\n";
	// regions
				$ini_region = parse_ini_file($rel_path.'xml/regions.ini', true);
				$ddreg = ":".$ini_pquery['all'][$_SESSION['lng']];
				echo "regionTranslation = {};";
				foreach($ini_region as $key=>$value){
					$add = "";
					foreach($value AS $lan=>$trans){
						$add .= "'".$lan."':'".$trans."',";
					}
					echo "regionTranslation['".$key."']={".rtrim($add, ',')."};";
					$ddreg .= ";".$key.":".$value[$_SESSION['lng']];
				}
				echo "var ddreg = '".$ddreg."';\n";
	// Fehlercodes
				$ini_fcodes_bb = parse_ini_file($rel_path.'xml/fc_bb.ini', true);
				echo "fcbbTranslation = {};\n";
				foreach($ini_fcodes_bb as $key=>$value){
					$add = "";
					foreach($value as $key2=>$value2){				
						if (!is_array($value2)) {					
							$add .= "'".$key2."':'".$value2."',";
						} else {
							$add2 = "";					
							foreach($value2 as $key3=>$value3) {
								$add2 .= "'".$key3."':'".$value3."',";
							}
							echo "fcbbTranslation['".$key.substr($key2, 1)."']={".rtrim($add2, ',')."};\n";
						}
					}
					echo "fcbbTranslation['".$key."']={".rtrim($add, ',')."};\n";
				}
				$ini_fcodes_cc = parse_ini_file($rel_path.'xml/fc_cc.ini', true);
				echo "fcccTranslation = {};";
				foreach($ini_fcodes_cc as $key=>$value){
					$add = "";
					foreach($value AS $lan=>$trans){
						$add .= "'".$lan."':'".$trans."',";
					}
					echo "fcccTranslation['".$key."']={".rtrim($add, ',')."};";
				}			
				$ini_fcodes_dd = parse_ini_file($rel_path.'xml/fc_dd.ini', true);
				echo "fcddTranslation = {};";
				foreach($ini_fcodes_dd as $key=>$value){
					$add = "";
					foreach($value as $key2=>$value2){				
						if (!is_array($value2)) {					
							$add .= "'".$key2."':'".$value2."',";
						} else {
							$add2 = "";					
							foreach($value2 as $key3=>$value3) {
								$add2 .= "'".$key3."':'".$value3."',";
							}
							echo "fcddTranslation['".$key.substr($key2, 1)."']={".rtrim($add2, ',')."};";
						}
					}
					echo "fcddTranslation['".$key."']={".rtrim($add, ',')."};";
				}
	// Fieldlist
				echo "var usrresult = new Array();\n";
				echo "var fieldlist = {};\n";
				$private_fields = parse_ini_file($rel_path.'xml/pquery.ini', true);
				$ofs = 0;
				foreach ($private_fields as $k => $v) {
					echo "usrresult[".$ofs."] = {'text': '".$v['lang'][$_SESSION['lng']]."', 'value': '".$k."'};\n";
					echo "fieldlist[\"".$k."\"] = {};\n";
					if ($v['soption'] == "") {
						echo "fieldlist[\"".$k."\"] = {\"lang\": '".json_encode($v['lang'])."', \"query\": \"".$v['query']."\", \"table\": \"".$v['table']."\", \"input\": \"".$v['type']."\", \"formatter\": \"".$v['formatter']."\", \"selector\": \"".$v['selector']."\", \"soption\": \"\"};\n";
					} else {
						echo "fieldlist[\"".$k."\"] = {\"lang\": '".json_encode($v['lang'])."', \"query\": \"".$v['query']."\", \"table\": \"".$v['table']."\", \"input\": \"".$v['type']."\", \"formatter\": \"".$v['formatter']."\", \"selector\": \"".$v['selector']."\", \"soption\": eval(\"".$v['soption']."\")};\n";
					}
					$ofs++;
				}
				$query = "SELECT PROFILE FROM qb_privatequery WHERE LOGIN=:lgi AND ACTIVE=1";
				$stmt = $db->prepare($query);	
				$stmt->execute(array(':lgi'=>$login));
				$actprof = $stmt->fetch(PDO::FETCH_NUM);
				if (!$actprof) {
					$felder = array();
					$felder['QBN'] = 0;
					$filter = array();
					$filter['start'] = $lmin;
					$filter['stop'] = $max;
					$filter['class'] = 'all';
					$filter['col'] = 'QBN';
					$filter['sort'] = 'desc';
					$query = 'INSERT INTO qb_privatequery SET FELDER=:fld, FILTER=:fltr, LOGIN=:lgi, PROFILE="Default", ACTIVE=1';
					$stmt = $db->prepare($query);	
					$stmt->execute(array(':lgi'=>$login, ':fld'=>json_encode($felder), ':fltr'=>json_encode($filter)));
					$actprof = "Default";
				} else {
					$actprof = $actprof[0];
				}	
				$query = "SELECT FELDER, FILTER, FILTER2 FROM qb_privatequery WHERE LOGIN=:lgi AND PROFILE=:pf";
				$stmt = $db->prepare($query);	
				$stmt->execute(array(':lgi'=>$login, ':pf'=>$actprof));
				list($felder, $filter, $filter2) = $stmt->fetch(PDO::FETCH_NUM);
				echo "var setfields = [];";
				$felder = json_decode($felder, true);
				$filter = json_decode($filter, true);
				if ($filter2 == '') {
					echo "var filterfields = {};";
				} else {
					echo "var filterfields = JSON.parse('".$filter2."');";
				}
				foreach($felder as $k=>$v) {
					echo "setfields.push('".$k."');";
				}
				$query = "SELECT PROFILE, ACTIVE FROM qb_privatequery WHERE LOGIN=:lgi";
				$stmt = $db->prepare($query);	
				$stmt->execute(array(':lgi'=>$login));
				$profiles = array();
				while($r = $stmt->fetch(PDO::FETCH_NUM)) {
					$profiles[$r[0]] = $r[1];
				}
			?>
			qbstatusbackground = {"N": "<?php echo $c_scheme['SN']; ?>", "O": "<?php echo $c_scheme['SO']; ?>","S": "<?php echo $c_scheme['ST']; ?>","C": "<?php echo $c_scheme['SC']; ?>"};
			$init = true;
		</script>
	</head>
	<body>
		<div id="container">
			<?php 
				include_once($rel_path.'tools/header.php');
			?> 
			<div id="contents">
				<?php 
					echo "<div id='mainnav'>". $qb_support->get_main_menu(2) . "</div>";
				?>
				<div class="dtop">
					<span class="icn3_arraoleft_w_n clckbtn" style="float: left; font-size: 30px; margin-left: 5px;" data-type="title" data-lan="prev" title="<?php echo $ini_pquery['prev'][$_SESSION['lng']]; ?>" onclick="backtoanalysis()"></span>
					<span data-type="text" data-lan="privquery"><?php echo $ini_pquery['privquery'][$_SESSION['lng']]; ?></span>
				</div>
				<div id="btn_div" class="btn_div">
					<p style="border-bottom: 1px solid <?php echo $c_scheme['RN']; ?>; margin-bottom: 3px; padding-bottom: 3px;">
						<label class="dlabel vam w50" data-type="text" data-lan="profil" ><?php echo $ini_pquery['profil'][$_SESSION['lng']]; ?></label>
						<select id="profil" data-type="select" class="w75" onchange="change_profile()" >
							<?php
								foreach($profiles as $key=>$value){
									if ($value == "1") {
										echo "<option selected value='$key'>".$key."</option>";
									} else {
										echo "<option value='$key'>".$key."</option>";
									}
								}
							?>
						</select>
						<span data-type='himage' data-lan='add' style='margin-left:5px;' class='vam clckbtn icn_add_b_n' id='add' title='<?php echo $ini_pquery['add'][$_SESSION['lng']]; ?>' onclick='add_profile()'></span>
						<span data-type='himage' data-lan='del' style='margin-left:5px;' class='vam clckbtn icn_delete_b_n' id='del' title='<?php echo $ini_pquery['del'][$_SESSION['lng']]; ?>' onclick='del_profile()'></span>
					</p>
					<p>
						<label class="dlabel vam w50" data-type="text" data-lan="start" ><?php echo $ini_pquery['start'][$_SESSION['lng']]; ?></label>
						<input type="text" id="sdat" data-type="fqdate" data-lan="#sdat_org" class="dinputw vam w75" value="" onchange="update_chart()" readonly />
						<input type="hidden" id="sdat_org" value="" />
						<input type="hidden" id="sdat_i" value="" />
					</p>
					<p style="margin: 5px 0;">
						<label class="dlabel vam w50" data-type="text" data-lan="stop" ><?php echo $ini_pquery['stop'][$_SESSION['lng']]; ?></label>
						<input type="text" id="edat" data-type="fqdate" data-lan="#edat_org" class="dinputw vam w75" value="" onchange="update_chart()" readonly />
						<input type="hidden" id="edat_org" value="" />
						<input type="hidden" id="edat_i" value="" />
					</p>
					<p style="margin-top: 5px; padding-bottom: 5px; text-align: center; border-bottom: 1px solid <?php echo $c_scheme['RN']; ?>;">
						<select id="clss" data-type="select" data-lan="clss" onchange="update_chart()" >
							<option value='all'><?php echo $ini_pquery['all'][$_SESSION['lng']]; ?></option>
							<?php
								foreach($ini_class as $key=>$value){
									if ($key == $filter['class']) {
										echo "<option selected value='$key'>".$value[$_SESSION['lng']]."</option>";
									} else {
										echo "<option value='$key'>".$value[$_SESSION['lng']]."</option>";
									}
								}
							?>
						</select>
					</p>
					<div>
						<div id="fldlist" style="width: 180px; margin: 2px; height: 440px; border: 0;">
						</div>
						<div style="text-align: center;">	
							<span class="spanbuttonp" id="excel" data-type="text" data-lan="export" onclick="export_excel()"><?php echo $ini_pquery['export'][$_SESSION['lng']]; ?></span>	
						</div>
					</div>
				</div>
				<div style="display: inline-block; width: 810px; text-align: center; margin-left: 2px; overflow-y: auto;">
					<table id="list"></table> 
					<div id="pager"></div> 
				</div>
			</div>
			<?php include_once($rel_path.'footer.php'); ?> 	
		</div>
		<form name="xls" method="post" target="_blank" action = "./tools/pq_excel.php">
			<input type="hidden" name="exlan" id="exlan" value="" />
			<input type="hidden" name="exprof" id="exprof" value="" />
		</form>	
	<script>

		pickerOpts = {
			closeText: "X",		
			dateFormat: "yy-M-dd",
			altField: '#sdat_org',
			altFormat: 'yy-mm-dd',
			firstDay: 1,
			isRTL: false,
			showButtonPanel: true,
			displayClose: true,
			showOn: "button",  
			buttonImage: "./img/dummy_img.png",
			buttonImageOnly: true,
			buttonText: localTranslation["cal"][$globlan],
			changeYear: true,
			changeMonth: true,
			maxDate: "+<?php echo $diffmax;?>d",
			minDate: "-<?php echo $diffmin;?>d"
		}
		pickerOpts_2 = {
			closeText: "X",		
			dateFormat: "yy-M-dd",
			altField: '#edat_org',
			altFormat: 'yy-mm-dd',
			firstDay: 1,
			isRTL: false,
			showButtonPanel: true,
			displayClose: true,
			showOn: "button",  
			buttonImage: "./img/dummy_img.png",
			buttonImageOnly: true,
			buttonText: localTranslation["cal"][$globlan],
			changeYear: true,
			changeMonth: true,
			maxDate: "+<?php echo $diffmax;?>d",
			minDate: "-<?php echo $diffmin;?>d"	
		}		
				
	// fix um bei klicken auf "Heute" den Kalender zu schliessen	
		var old_goToToday = $.datepicker._gotoToday;
		$.datepicker._gotoToday = function(id) {
			old_goToToday.call(this,id);   
			this._selectDate(id);
		};
		
		$.datepicker._defaults['currentText'] = calTranslation['currentText'][$globlan];
		$.datepicker._defaults['monthNames'] = calTranslation['monthNames'][$globlan];
		$.datepicker._defaults['monthNamesShort'] = calTranslation['monthNamesShort'][$globlan];
		$.datepicker._defaults['dayNamesMin'] = calTranslation['dayNamesMin'][$globlan];
			
		$("#sdat").datepicker(pickerOpts);
		clkevnt = $("#sdat").next().data('events').click[0].handler;
		$("#sdat").next().replaceWith('<span class="ui-datepicker-trigger icn_calendar_b_n clckbtn vam" data-type="title" data-lan="cal" title="<?php echo $ini_pquery['cal'][$_SESSION['lng']]; ?>"> </span>');
		$("#sdat").next().bind('click', clkevnt);		
		$("#edat").datepicker(pickerOpts_2);
		clkevnt = $("#edat").next().data('events').click[0].handler;
		$("#edat").next().replaceWith('<span class="ui-datepicker-trigger icn_calendar_b_n clckbtn vam" data-type="title" data-lan="cal" title="<?php echo $ini_pquery['cal'][$_SESSION['lng']]; ?>"> </span>');
		$("#edat").next().bind('click', clkevnt);
		
		$('#fldlist').checkList({
			effect: 'none',
			ckall: false,
			colopts: 1,
			tdhigh: "<?php echo $c_scheme['I2']; ?>",
			altrows: false,
			radio: false,
			prefix: "pl",
			filtertxt: "<?php echo $ini_pquery['filter'][$_SESSION['lng']];?>",
			tfilter: true,
			onChange: function() {
				var selection = $('#fldlist').checkList('getSelection');
				if (selection.length > 0) {
					flist = [];
					$.each(selection, function(k,v) {
						flist.push(v.value);
					});
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/privatequery_api.php",
						data: { 
							routine: "fieldchanged",
							fld: JSON.stringify(flist),
							lgi: "<?php echo $login; ?>",
							prof: $("#profil").val()
						},
						dataType: 'json',
						success: function(result)
						{
							setfields = result;
							start_search();
						}
					});
				}
			}				
		});
		function add_profile() {
			$.alerts.cancelButton = localTranslation["cancel"][$globlan];
			$.alerts.okButton = localTranslation["add"][$globlan];
			jPrompt(localTranslation["profilename"][$globlan], "", localTranslation["profilename"][$globlan], function(r) {
				if (r == "") {
					return false;
				} else if (r != null) {
					found = false;
					r = $.trim(r);
					$.each($("#profil").find("option"), function(k, v) {
						if (r.toLowerCase() == $(v).val().toLowerCase()) found = true;
					});
					if (found) {
						jAlert(localTranslation["profileexists"][$globlan], localTranslation["attention"][$globlan]);
						return false;
					} else {
						$.ajax({
							type: "POST",
							cache: false,
							url: "./tools/privatequery_api.php",
							data: {
								routine: "addprofile",
								lgi: "<?php echo $login; ?>",
								oldprofil: $("#profil").val(),
								newprofil: r
							},
							success: function(result) {
								$("#profil").append($('<option selected></option>').val(r).html(r));
								change_profile();
							}		
						});
					}
				}
			});
		}
		function del_profile() {
			var dprof = $("#profil").val();
			if (dprof == "Default") {
				jAlert(localTranslation["deldefault"][$globlan], localTranslation["attention"][$globlan]);
				return false;
			} else {
				$.alerts.cancelButton = localTranslation["cancel"][$globlan];
				$.alerts.okButton = localTranslation["del"][$globlan];
				jConfirm(localTranslation["confdelprofile"][$globlan], localTranslation["attention"][$globlan], function(r) {
					if (r) {
						$.ajax({
							type: "POST",
							cache: false,
							url: "./tools/privatequery_api.php",
							data: {
								routine: "delprofile",
								lgi: "<?php echo $login; ?>",
								prof: dprof
							},
							success: function(result) {
								$("#profil").val("Default");
								$("#profil option[value='"+dprof+"']").remove();
								change_profile();
							}		
						});
					} else {
						return false;
					}
				});
			}
		}
	// switch language
		function c_lan() {
		// save filter if set
			t_qbs = $("#gs_QBSTATUS").find(":selected").val();
			t_ffu = $("#gs_FFU").find(":selected").val();
		// now translate
			translate_header($globlan);	
			translate_mainmenu($globlan);
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {	
				switch ($(this).data("type")) {
					case "text":		
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "fqdate":
						$(this).val(localizedate($($(this).data("lan")).val()));
						break;						
				}
			});
			$.datepicker._defaults['currentText'] = calTranslation['currentText'][$globlan];
			$.datepicker._defaults['monthNames'] = calTranslation['monthNames'][$globlan];
			$.datepicker._defaults['monthNamesShort'] = calTranslation['monthNamesShort'][$globlan];
			$.datepicker._defaults['dayNamesMin'] = calTranslation['dayNamesMin'][$globlan];
			tmpusrresult = new Array();
			$.each(usrresult, function (k, v) {
				tvar = v;
				tlng = JSON.parse(fieldlist[tvar['value']]['lang']);
				tvar['text'] = tlng[$globlan];
				tmpusrresult.push(tvar);
			});
			usrresult = tmpusrresult;
			fill_fields();			
			$.jgrid.setRegional('list',{regional: $globlan});
			$.each(colD, function(k, v) {
				tlng = JSON.parse(fieldlist[v['name']]['lang']);
				$("#list").jqGrid('setLabel', v['name'], tlng[$globlan]);
			});
			$("#gs_CRITERIUM").find("option").each(function(idx, obj) {
				if ($(this).val() == "") {
					$(this).text(localTranslation["all"][$globlan]);
				} else {
					$(this).text(qbkritTranslation[$(this).val()][$globlan]);
				}
			});
			$("#gs_QBSTATUS").find("option").each(function(idx, obj) {
				if ($(this).val() == "") {
					$(this).text(localTranslation["all"][$globlan]);
				} else {
					$(this).text(qbstatusTranslation[$(this).val()][$globlan]);
				}
			});
			$("#gs_QBSTATUS").val(t_qbs);
			$("#gs_RTYPE").find("option").each(function(idx, obj) {
				if ($(this).val() == "") {
					$(this).text(localTranslation["all"][$globlan]);
				} else {
					$(this).text(rekartTranslation[$(this).val()][$globlan]);
				}
			});
			$("#gs_CLSS").find("option").each(function(idx, obj) {
				if ($(this).val() == "") {
					$(this).text(localTranslation["all"][$globlan]);
				} else {
					$(this).text(clssTranslation[$(this).val()][$globlan]);
				}
			});
			$("#gs_REQREG").find("option").each(function(idx, obj) {
				if ($(this).val() == "") {
					$(this).text(localTranslation["all"][$globlan]);
				} else {
					$(this).text(regionTranslation[$(this).val()][$globlan]);
				}
			});
			$("#gs_ISTAT").find("option").each(function(idx, obj) {
				if ($(this).val() == "") {
					$(this).text(localTranslation["all"][$globlan]);
				} else {
					$(this).text(aistatusTranslation[$(this).val()][$globlan]);
				}
			});
			$("#gs_DSTAT").find("option").each(function(idx, obj) {
				if ($(this).val() == "") {
					$(this).text(localTranslation["all"][$globlan]);
				} else {
					$(this).text(aistatusTranslation[$(this).val()][$globlan]);
				}
			});		
			$("#gs_FFU").find("option").each(function(idx, obj) {
				if ($(this).val() == "") {
					$(this).text(localTranslation["all"][$globlan]);
				} else {
					$(this).text(ffuTranslation[$(this).val()][$globlan]);
				}
			});
			$("#gs_weight").find("option").each(function(idx, obj) {
				if ($(this).val() == "") {
					$(this).text(localTranslation["all"][$globlan]);
				} else {
					$(this).text(qbtypeTranslation[$(this).val()][$globlan]);
				}
			});
			$("#gs_FFU").find("option").each(function(idx, obj) {
				if ($(this).val() == "") {
					$(this).text(localTranslation["all"][$globlan]);
				} else {
					$(this).text(ffuTranslation[$(this).val()][$globlan]);
				}
			});	
			$("#gs_FFU").val(t_ffu);		
			$("#list").trigger("reloadGrid");	
		}
		function load_page() {
			$("#sdat").val(localizedate("<?php echo $filter['start']; ?>"));
			$("#edat").val(localizedate("<?php echo $filter['stop']; ?>"));
			$("#sdat_org").val("<?php echo $filter['start']; ?>");
			$("#edat_org").val("<?php echo $filter['stop']; ?>");
			$("#sdat_i").val("<?php echo $lmin; ?>");			// min start date
			$("#edat_i").val("<?php echo $max; ?>");			// max end date
			fill_fields();
			start_search();
		}	
		function fill_fields() {
			$('#fldlist').checkList('setData', usrresult);
			$.each($("#fldlist").find("tr"), function() {
				if ($.inArray($(this).find("span").data("value"), setfields) > -1) {
					$(this).find("label:eq(0)").parent().css("background", "<?php echo $c_scheme['I2']; ?>");
					$(this).find("span").parent().css("background", "<?php echo $c_scheme['I2']; ?>");
					$(this).find("span").data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");
					if ($(this).find("span").data("value") == "QBN"){				
						$(this).find("span").invisible();
					}
				}
			});
		}
		function backtoanalysis() {
			window.location.href="./analysis.php";
		}
		function kritFormatter (cellvalue, options, rowObject)
		{
			if (cellvalue == '-') return "";
			var ctext = qbkritTranslation[cellvalue][$globlan];
			return ctext;
		}
		function StatusFormatter (cellvalue, options, rowObject)
		{
			var ctext = qbstatusTranslation[cellvalue][$globlan];
			return '<span class="cellWithBackground" style="background-color:'+qbstatusbackground[cellvalue]+';">'+ctext+"</span>";
		}
		function DescFormatter (cellvalue, options, rowObject)
		{
			return cellvalue;
		}
		function RekArtFormatter (cellvalue, options, rowObject)
		{
			if (cellvalue == '-') return "";
			return rekartTranslation[cellvalue][$globlan];
		}
		function ClssFormatter (cellvalue, options, rowObject)
		{
			if (cellvalue == '') return "-";	
			return clssTranslation[cellvalue][$globlan];
		}
		function RegioFormatter (cellvalue, options, rowObject)
		{
			if (cellvalue == '-') return "-";	
			return regionTranslation[cellvalue][$globlan];
		}
		function aiFormatter (cellvalue, options, rowObject) {
			if (cellvalue == '-') return "-";
			return aistatusTranslation[cellvalue][$globlan];
		}
		function FfuFormatter (cellvalue, options, rowObject)
		{
			if (cellvalue == '-') return "-";	
			if (cellvalue == '') return "-";	
			return ffuTranslation[cellvalue][$globlan];
		}
		function BBFormatter (cellvalue, options, rowObject)
		{
			if (cellvalue == '') return "-";
			if (cellvalue == '-') return "-";
			return fcbbTranslation[cellvalue.substr(0,1)][$globlan]+" / "+fcbbTranslation[cellvalue][$globlan];
		}
		function CCFormatter (cellvalue, options, rowObject)
		{
			if (cellvalue == '') return "-";
			if (cellvalue == '-') return "-";
			return fcccTranslation[cellvalue][$globlan];
		}		
		function DDFormatter (cellvalue, options, rowObject)
		{
			if (cellvalue == '') return "-";
			if (cellvalue == '-') return "-";
			return fcddTranslation[cellvalue.substr(0,2)][$globlan]+" / "+fcddTranslation[cellvalue][$globlan];
		}
		function DateFormatter (cellvalue, options, rowObject)
		{
			if (cellvalue == '-') return "-";	
			if (cellvalue == '') return "-";
			parts = cellvalue.split("-");
			if (parts[0] == "0000") return "-";
			newval = parts[0]+"-"+calTranslation['monthNamesShort'][$globlan][parts[1]-1]+"-"+parts[2];
			return newval;
		}
		function start_search() {
			$.jgrid.gridUnload("#list");
			$("#loading").show();	
			cmTemplate = {
				searchoptions: {
					sopt:['cn'], 
					clearSearch: false
				},
				editable: false,
				sorttype:'string'
			};		
			colN = [];		// column names
			colD = [];		// column definitions
			colW = Math.max(130, Math.floor(740/setfields.length));
			$.each(setfields, function(k, v) {
				tlng = JSON.parse(fieldlist[v]['lang']);
				colN.push(tlng[$globlan]);
				if (fieldlist[v]['input'] == "input") {
					tmp = {name: v, width: colW, template: cmTemplate};
					if (fieldlist[v]['formatter'] != 0) tmp["formatter"] = eval(fieldlist[v]['formatter']);
				} else {
					tmp = {name: v, width: colW, template: cmTemplate, stype: 'select', searchoptions:{value: fieldlist[v]['soption'], clearSearch: false,searchOperators: false}};
					if (fieldlist[v]['formatter'] != 0) tmp["formatter"] = eval(fieldlist[v]['formatter']);
				}
				colD.push(tmp);
			});
			obj = {
				url:  "./tools/privatequery_api.php",
				postData: {
					routine : "getdata",
					lgi: "<?php echo $login; ?>",
					qblan: $globlan,
					sdat: $("#sdat_org").val(),
					edat: $("#edat_org").val(),
					clss: $("#clss").val(),
					prof: $("#profil").val(),
					init: $init
				},
				colNames: colN,
				colModel: colD,
				contentType: "application/json",
				datatype: "json",
				jsonReader: {
					id: "id",
					repeatitems: true
				},
				mtype: "POST",
				regional: $globlan,
				storeNavOptions: true,			
				loadonce: false,
				pager: "#pager",
				recordpos: "left",
				height: 475,
				rowNum: 100,
				rowList: [10, 100, 500, 1000, 1500],
				hoverrows: false,
				rownumbers: true,
				sortname: "<?php echo $filter['col']; ?>",
				sortorder: "<?php echo $filter['sort']; ?>",
				viewrecords: true,
				gridview: true,
				autoencode: true,
				ignoreCase:true,
				loadui: "block",
				sortable: {				// prevent number column from being reordered
					options: {
						items: ">th:not(:has(#jqgh_list_rn, #jqgh_list_QBN))"
					}
				},
				resizeStop: function (newwidth, index) {
//					console.log(newwidth, colD[index-1].name);
				},
				onRightClickRow: function (rowid, iRow, iCol, e) {
					window.localStorage.setItem("qb", $("#list").jqGrid('getRowData', rowid).QBN);
					$.ajax({
						type: "POST",
						cache: false,
						url: "./tools/general_api.php",
						data: {
							routine: "get_qbs",
							qbn: $("#list").jqGrid('getRowData', rowid).QBN
						},
						success: function(result) {
							window.localStorage.setItem("qbn", result.substring(1, result.length-1));				
							window.open(
								'./basic.php',
								'_blank'
							);
							return false;
						}		
					});
					return false;
				},
				beforeProcessing: function(data, status, xhr) {
					if ($init) {
						filterfields = JSON.parse(data['filter2']);
						delete data['filter2'];
					}
				},
				gridComplete: function() {
			// get the header row which contains
					headerRow = $("#list").closest("div.ui-jqgrid-view").find("table.ui-jqgrid-htable>thead>tr.ui-jqgrid-labels");

			// increase the height of the resizing span
					resizeSpanHeight = 'height: ' + headerRow.height() + 'px !important; cursor: col-resize;';
					headerRow.find("span.ui-jqgrid-resize").each(function () {
						this.style.cssText = resizeSpanHeight;
					});

			// set position of the dive with the column header text to the middle
					rowHight = headerRow.height();
					headerRow.find("div.ui-jqgrid-sortable").each(function () {
							var ts = $(this);
							ts.css('top', ((rowHight - ts.outerHeight()) / 2) - 5 + 'px');
					});			
					if ($init) {
						$init = false;
						for (item in filterfields) {
							$("#gs_"+item).val(filterfields[item]);
						}
					}
				},
				loadComplete: function(data) {
					$("th[role='columnheader']")
						.unbind("mouseenter")
						.unbind("mouseleave");
					$(".ui-search-toolbar input[role='textbox']")
						.css("width", "92%")
						.css("background", "<?php echo $c_scheme['M5']; ?>")
						.css("padding", "2px");	
					$(".ui-search-toolbar select[role='select']")
						.css("width", "92%")
						.css("background", "<?php echo $c_scheme['M5']; ?>")
						.css("padding", "2px");	
					
					var rows = $("#list").getDataIDs();
					for(a=0;a<rows.length;a++)
					{
						row = $("#list").getRowData(rows[a]);
						switch(row.sts) {
							case "N":
								$("#list").setCell (rows[a], "qbstatus","",{"background":"<?php echo $c_scheme['SN']; ?>"});
								break;					
							case "O":
								$("#list").setCell (rows[a], "qbstatus","",{"background":"<?php echo $c_scheme['SO']; ?>"});
								break;
							case "S":
								$("#list").setCell (rows[a], "qbstatus","",{"background":"<?php echo $c_scheme['ST']; ?>"});
								break;
							case "C":
								$("#list").setCell (rows[a], "qbstatus","",{"background":"<?php echo $c_scheme['SC']; ?>"});
								break;
						}
						switch(row.qblc) {
							case "L":
								$("#list").setCell (rows[a], "weight","",{"background":"<?php echo $c_scheme['TL']; ?>"});
								break;					
							case "T":
								$("#list").setCell (rows[a], "weight","",{"background":"<?php echo $c_scheme['TT']; ?>"});
								break;
							case "N":
								$("#list").setCell (rows[a], "weight","",{"background":"<?php echo $c_scheme['TN']; ?>"});
								break;								
						}					
					}			
				},
				onSortCol: function(index,iCol,sortorder) {
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/privatequery_api.php",
						data: { 
							routine: "changesort",
							col: index,
							sort: sortorder,
							lgi: "<?php echo $login; ?>",
							prof: $("#profil").val()
						},
						success: function(result)
						{
						}
					});
				}
			};
			list1 = $("#list").jqGrid(obj)
				.jqGrid('filterToolbar',{
					searchOperators : false, 
					searchOnEnter: false, 				
					beforeSearch: function () {
						$tmpfilter = $("#list").jqGrid("getGridParam", "postData");
						$tmpfilter['init'] = $init;
					}
				})
				.navGrid('#pager', {refresh: false, search: false, edit: false, del: false, add: false});
			$("#gbox_list").bind("sortstop", function(){
				neworder = $("#list").jqGrid("getGridParam", "remapColumns");
				if (neworder.length == 0) return false;
				neworder.shift();
				newfields = [];
				$.each(neworder, function(k,v) {
					newfields.push(setfields[v-1]);
				});
				setfields = newfields;
				$.ajax({
					type: "POST",
					cache: false,
					url:  "./tools/privatequery_api.php",
					data: { 
						routine: "reorder",
						neworder: JSON.stringify(newfields),
						lgi: "<?php echo $login; ?>",
						prof: $("#profil").val()
					},
					success: function(result)
					{
						$init = true;
						start_search();
					}
				});
			});
			$("#loading").hide();
			
		}
		function update_chart() {
			$.ajax({
				type: "GET",
				cache: false,
				url: "./tools/privatequery_api.php",
				data: {
					routine: "set_filter",
					lgi: "<?php echo $login; ?>",
					sdat: $("#sdat_org").val(),
					edat: $("#edat_org").val(),
					clss: $("#clss").val(),
					prof: $("#profil").val()
				},
				success: function(result) {
					start_search();
				}		
			});
		}
		function change_profile() {
			$.ajax({
				type: "GET",
				cache: false,
				url: "./tools/privatequery_api.php",
				data: {
					routine: "change_profile",
					lgi: "<?php echo $login; ?>",
					prof: $("#profil").val()
				},
				dataType: "json",
				success: function(result) {
					setfields = result;
					$('#fldlist').checkList('setData', []);
					fill_fields();
					$init = true;
					start_search();
				}		
			});
		}
		function export_excel() {
			$("#exlan").val($globlan);
			$("#exprof").val($("#profil").val());	
			document.xls.submit();
		}
		$("#userlogout").remove();
		load_page();
	</script>
</body>
</html>