<!DOCTYPE html>
<?php
	$csp_rules = "default-src 'self'; script-src 'self' 'unsafe-inline' 'unsafe-eval'; style-src 'self';";
	foreach (array("X-WebKit-CSP", "X-Content-Security-Policy", "Content-Security-Policy") as $csp)
	{
			header($csp . ": " . $csp_rules);
	}
?>
<html>
	<head>
		<meta http-equiv="X-UA-Compatible" content="IE=Edge" />	
		<meta http-equiv="Content-Security-Policy-Report-Only" report-to="" content="default-src 'none'; script-src 'self'; connect-src 'self'; img-src 'self'; style-src 'self';"> 
		
		<script>
			var js_debug = false;
			$data_changed = false;		
		</script>
			
		<script src="./jquery/jquery.min.js"></script>
	</head>
	<body>
		<?php
			if (!isset($_REQUEST['qb'])) {
				echo 'window.location.href="./basic.php";';
			} else {
        include_once(dirname(__FILE__)."/tools/all_header.php");
				$query = "SELECT QBSTATUS FROM qbi WHERE QBN=:qbn";
				$stmt = $db->prepare($query);
				$stmt->execute(array(':qbn' => $_REQUEST['qb']));
				if ($stmt->fetchColumn() != 'D') {
		?>
					<script>
						function urlParam (name){
							var results = new RegExp('[\?&]' + name + '=([^&#]*)').exec(window.location.href);
							if (results==null){
							   return 0;
							}
							else{
							   return results[1] || 0;
							}
						}
						if ((urlParam('befehl') == 0) || (urlParam('befehl') != "link")) window.location.href="./basic.php";		// no order or wrong set -> go to new QB page
						$qb = urlParam('qb').substring(0,9);	
						
						window.localStorage.setItem("qb", $qb);
						$.ajax({
							url: "./tools/general_api.php",
							data: {
								routine: "get_qbs",
								qbn: $qb
							},
							success: function(result) {
								window.localStorage.setItem("qbn", result.substring(1, result.length-1));				
								if (urlParam('page') == 0) {					// no page set -> go to basic.php
									window.location.href="./basic.php";
								} else {										// page set, go to page
									window.location.href="./"+urlParam('page')+".php";
								}		
							}		
						});
					</script>
		<?php
				} else {
					require_once (dirname(__FILE__)."/support.php");
					$qb_support = new QBSupport;
					$ini_relink = parse_ini_file(dirname(__FILE__).'/i18n/relink.ini', true);
					$lng = $qb_support->getbrowserlanguage();
					global $c_scheme;
		?>
					<p style="text-align: center; font: bold 24pt Arial; color: <?php echo $c_scheme['XW']; ?>;">
						<?php echo $ini_relink['attention'][$lng]; ?>
					</p>
					<p style="text-align: center; font: normal 14pt Arial; color: <?php echo $c_scheme['XN']; ?>;">
						<?php echo $ini_relink['qbdel1'][$lng]; ?>
						<span style="font-weight: bold; color: <?php echo $c_scheme['XH']; ?>;">
							<?php echo $_REQUEST['qb']; ?>
						</span>
						<?php echo $ini_relink['qbdel2'][$lng]; ?>
						<br /><br />
						<?php echo $ini_relink['qbdel3'][$lng]; ?>
					</p>
		<?php
				}
			}
		?>
	</body>
</html>
