<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />	
	<?php 
		include_once(dirname(__FILE__)."/tools/all_header.php"); 
		global $c_scheme, $timezone, $rel_path;
		if (!$qb_support->checkflag("YW")) header("Location: basic.php");
	?>	
	<script>
		var js_debug = false;
		$data_changed = false;		
	</script>
	
    <title>Reminder</title>

	<link rel="stylesheet" href="./css/qb.php" />
	
	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>

	<script>
	// load translation and save in localTranslation
		<?php	
			$ini_reminder = parse_ini_file($rel_path.'i18n/reminder.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_reminder as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
		?>
	</script>
</head>
<body>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
			<?php 
				echo "<div id='mainnav'>". $qb_support->get_main_menu(4) . "</div>";
			?>
			<div class="dtop">
				<?php include_once($rel_path.'html/systemmenu.php'); ?>		
				<span data-type="text" data-lan="reminder"><?php echo $ini_reminder['reminder'][$_SESSION['lng']]; ?></span>
			</div>
			<div class="tabs_container">
				<div style="background: <?php echo $c_scheme['IE']; ?>; width: 1000px; margin: auto; margin-top: 20px; padding: 10px 5px;">
					<p>
						<label data-type='text' data-lan='rem_svt' class="dlabel" style='border-bottom: 1px dotted gray; width: 800px;'><?php echo $ini_reminder['rem_svt'][$_SESSION['lng']]; ?></label>
						<select id="remind" onchange="rem_changed(this.value);" >
						</select>
						<label data-type='text' data-lan='hours' class="dlabel w75"><?php echo $ini_reminder['hours'][$_SESSION['lng']]; ?></label>
					</p>
					<p>
						<label data-type='text' data-lan='rem_svt2' class="dlabel" style='width: 800px; border-bottom: 1px dotted gray;'><?php echo $ini_reminder['rem_svt2'][$_SESSION['lng']]; ?></label>
						<select id="remind2" onchange="rem2_changed(this.value);" >
						</select>
						<label data-type='text' data-lan='hours' class="dlabel w75"><?php echo $ini_reminder['hours'][$_SESSION['lng']]; ?></label>
					</p>
					<hr />
					<p>
						<label data-type='text' data-lan='rem_svt3' class="dlabel" style='width: 800px; border-bottom: 1px dotted gray;'><?php echo $ini_reminder['rem_svt3'][$_SESSION['lng']]; ?></label>
						<select id="remind4" onchange="rem4_changed(this.value);" >
						</select>
						<label data-type='text' data-lan='days' class="dlabel w75"><?php echo $ini_reminder['days'][$_SESSION['lng']]; ?></label>
					</p>
					<hr />
					<p>
						<label data-type='text' data-lan='rem_svt4' class="dlabel" style='width: 800px; border-bottom: 1px dotted gray;'><?php echo $ini_reminder['rem_svt4'][$_SESSION['lng']]; ?></label>
						<select id="remind5" onchange="rem5_changed(this.value);" >
						</select>
						<label data-type='text' data-lan='days' class="dlabel w75"><?php echo $ini_reminder['days'][$_SESSION['lng']]; ?></label>
					</p>						
					<hr />						
					<p>
						<label data-type='text' data-lan='rem_action' class="dlabel" style='width: 800px; border-bottom: 1px dotted gray;'><?php echo $ini_reminder['rem_action'][$_SESSION['lng']]; ?></label>
						<select id="remind3" onchange="rem3_changed(this.value);" >
						</select>
						<label data-type='text' data-lan='days' class="dlabel w75"><?php echo $ini_reminder['days'][$_SESSION['lng']]; ?></label>
					</p>
				</div>				
			</div>
		</div>
		<?php include_once($rel_path.'/footer.php'); ?> 		
	</div>
	<script>
		$('#remind').width(35).customSelect({customClass: "cSelect_wht"});
		$('#remind2').width(35).customSelect({customClass: "cSelect_wht"});
		$('#remind3').width(35).customSelect({customClass: "cSelect_wht"});
		$('#remind4').width(35).customSelect({customClass: "cSelect_wht"});
		$('#remind5').width(35).customSelect({customClass: "cSelect_wht"});
		
		function load_page() {
			$.ajax({
				type: "GET",
				cache: false,
				url:  "./tools/reminder_api.php",
				data: { 
					routine: "getdata"
				},
				dataType: "json",
				success: function(result)
				{
			// remind (1st SVT reminder)
					var $opts = Array("12", "24", "48", "72", "96", "168");
					$sel = $("#remind");
					$.each($opts, function(key, value) {
						$sel.append($('<option>', { 
							value: value,
							text : value 
						}));
						$sel.val(result['REMINDER']);
					});	
					$('#remind').trigger("render");
			// remind2 (subsequent SVT reminder)
					var $opts = Array("1", "6", "12", "24", "48");
					$sel = $("#remind2");
					$.each($opts, function(key, value) {
						$sel.append($('<option>', { 
							value: value,
							text : value 
						}));
						$sel.val(result['REMINDER2']);
					});
					$('#remind2').trigger("render");
			// remind3 (AI deadline)
					var $opts = Array("1", "2", "3", "5", "10", "14");
					$sel = $("#remind3");
					$.each($opts, function(key, value) {
						$sel.append($('<option>', { 
							value: value,
							text : value 
						}));
						$sel.val(result['REMINDER3']);
					});
					$('#remind3').trigger("render");
			// remind4 (implement deadline)
					var $opts = Array("1", "5", "7", "10", "14");
					$sel = $("#remind4");
					$.each($opts, function(key, value) {
						$sel.append($('<option>', { 
							value: value,
							text : value 
						}));
						$sel.val(result['REMINDER4']);
					});	
					$('#remind4').trigger("render");
			// remind5 (close deadline)
					var $opts = Array("1", "5", "7", "10", "14");
					$sel = $("#remind5");
					$.each($opts, function(key, value) {
						$sel.append($('<option>', { 
							value: value,
							text : value 
						}));
						$sel.val(result['REMINDER5']);
					});	
					$('#remind5').trigger("render");				
				}			
			});
		}	
	// switch language
		function c_lan() {
			translate_header($globlan);	
			translate_mainmenu($globlan);
			translate_system($globlan) 
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {			
				switch ($(this).data("type")) {
					case "text":		
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "date":
						$(this).val(localizedate($($(this).data("lan")).val()));
						break;						
				}
			});
		}	
		function rem_changed(loc) {
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/reminder_api.php",
				data: { 
					routine: "upd_svt",
					wert: loc
				},
				success: function(result)
				{
					jAlert(localTranslation["upd_done"][$globlan], localTranslation["attention"][$globlan]);
				}
			});
		}
		function rem2_changed(loc) {
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/reminder_api.php",
				data: { 
					routine: "upd_svt2",
					wert: loc
				},
				success: function(result)
				{
					jAlert(localTranslation["upd_done"][$globlan], localTranslation["attention"][$globlan]);
				}
			});
		}
		function rem3_changed(loc) {
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/reminder_api.php",
				data: { 
					routine: "upd_action",
					wert: loc
				},
				success: function(result)
				{
					jAlert(localTranslation["upd_done"][$globlan], localTranslation["attention"][$globlan]);
				}
			});
		}
		function rem4_changed(loc) {
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/reminder_api.php",
				data: { 
					routine: "upd_imp",
					wert: loc
				},
				success: function(result)
				{
					jAlert(localTranslation["upd_done"][$globlan], localTranslation["attention"][$globlan]);
				}
			});
		}
		function rem5_changed(loc) {
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/reminder_api.php",
				data: { 
					routine: "upd_close",
					wert: loc
				},
				success: function(result)
				{
					jAlert(localTranslation["upd_done"][$globlan], localTranslation["attention"][$globlan]);
				}
			});
		}
		load_page();
	</script>		
</body>
</html>
