<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />	
	<?php 
		include_once(dirname(__FILE__)."/tools/all_header.php"); 
		global $c_scheme, $timezone, $rel_path;
		if (!$qb_support->checkflag("YW")) header("Location: basic.php");
	?>	
	<script>
		var js_debug = false;
		$data_changed = false;	
	</script>
	
    <title>Reopen</title>
		
	<link rel="stylesheet" href="./css/qb.php" />
	<link rel="stylesheet" href="./jqGrid_5.2.1/css/ui.jqgrid.css" />

	<style>
		.ui-jqgrid tr.jqgrow td{
			white-space:nowrap;
			height: 18px !important;
		}
		#pager_left{
			padding-top: 5px;
		}
	</style>
	
	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>
	
	<?php 
		foreach(explode(":", $qb_support->getLanOnly()) as $key=>$value) {
			echo '<script src="./jqGrid_5.2.1/js/i18n/grid.locale-' . $value . '.js"></script>';
		}
	?>
	<script src="./jqGrid_5.2.1/js/jquery.jqGrid.min.js"></script>		

	<script>
	// load translation and save in localTranslation
		<?php	
			$ini_status = parse_ini_file($rel_path.'i18n/status.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_status as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$ini_qbstatus = parse_ini_file($rel_path.'xml/qb_status.ini', true);
			$ddr = ":".$ini_status['all'][$_SESSION['lng']];			
			echo "qbstatusTranslation = {};";
			foreach($ini_qbstatus as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "qbstatusTranslation['".$key."']={".rtrim($add, ',')."};";
				if (in_array($key, array('N','O','S','C'))) {
					$ddr .= ";".$key.":".$value[$_SESSION['lng']];
				}				
			}
			echo "var ddr = '".$ddr."';";
			$ini_qbtype = parse_ini_file($rel_path.'xml/qb_type.ini', true);
			$ddt = ":".$ini_status['all'][$_SESSION['lng']];	
			echo "qbtypeTranslation = {};";
			foreach($ini_qbtype as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "qbtypeTranslation['".$key."']={".rtrim($add, ',')."};";
				$ddt .= ";".$key.":".$value[$_SESSION['lng']];
			}
			echo "var ddt = '".$ddt."';";		
		?>
	</script>
</head>
<body>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
			<?php 
				echo "<div id='mainnav'>". $qb_support->get_main_menu(4) . "</div>";
			?>
			<div class="dtop">
				<?php include_once($rel_path.'html/systemmenu.php');	?>		
				<span data-type="text" data-lan="reopen"><?php echo $ini_status['reopen'][$_SESSION['lng']]; ?></span>
			</div>
			<div style="display: inline-block; margin-left: 5px;">
				<table id="list"></table> 
				<div id="pager"></div> 
			</div>
		</div>
		<?php include_once($rel_path.'/footer.php'); ?>
	</div>
	<script>
		function load_page() {
			fill_grid();
		}	
		function c_lan() {
			translate_header($globlan);	
			translate_mainmenu($globlan);
			translate_system($globlan);
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {			
				switch ($(this).data("type")) {
					case "text":		
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "date":
						$(this).val(localizedate($($(this).data("lan")).val()));
						break;						
				}
			});			
			$.jgrid.setRegional('list',{regional: $globlan});
			$("#list").jqGrid('setLabel', "qbn", localTranslation["qbn"][$globlan])
				.jqGrid('setLabel', "svt", localTranslation["svt"][$globlan])
				.jqGrid('setLabel', "tgr", localTranslation["imat"][$globlan])
				.jqGrid('setLabel', "qbstatus", localTranslation["akt_stat"][$globlan])
				.jqGrid('setLabel', "qbtype", localTranslation["type"][$globlan])
				.jqGrid('setLabel', "cb1", localTranslation["who"][$globlan])
				.jqGrid('setLabel', "newstatus", localTranslation["new_stat"][$globlan]);
			$.each($('*').filter(function(){return $(this).data('lan') !== undefined;}), function() {
				$("#gs_qbstatus").find("option").each(function(idx, obj) {
					if ($(this).val() == "") {
						$(this).text(localTranslation["all"][$globlan]);
					} else {
						$(this).text(qbstatusTranslation[$(this).val()][$globlan]);			
					}
				});	
				$("#gs_qbtype").find("option").each(function(idx, obj) {
					if ($(this).val() == "") {
						$(this).text(localTranslation["all"][$globlan]);
					} else {
						$(this).text(qbtypeTranslation[$(this).val()][$globlan]);			
					}
				});			
			});
			$("#list").trigger("reloadGrid");			
		}	

		function QBStatusFormatter (cellvalue, options, rowObject) {
			return qbstatusTranslation[cellvalue][$globlan];
		}
		function QBTypeFormatter (cellvalue, options, rowObject) {
			return qbtypeTranslation[cellvalue][$globlan];
		} 
		function NewQBStatusFormatter (cellvalue, options, rowObject) {
			if (cellvalue == "0") {				// immeadiately closed: offer "new" only
				return "<span style='display: inline-block; width: 50%; background-color: <?php echo $c_scheme['SO']; ?>; cursor: pointer;' onclick='changestatus(\"X\", \""+rowObject['qbn']+"\");'>"+ qbstatusTranslation['N'][$globlan] +"</span><span style='display: inline-block; width: 50%; background-color: <?php echo $c_scheme['SN']; ?>;'></span>";
			} else if (cellvalue == "1") {		// qb_light closed: offer "technically closed"
				return "<span style='display: inline-block; width: 50%; background-color: <?php echo $c_scheme['SO']; ?>;'></span><span style='display: inline-block; width: 50%; background-color: <?php echo $c_scheme['ST']; ?>; cursor: pointer;' onclick='changestatus(\"L\", \""+rowObject['qbn']+"\");'>"+ qbstatusTranslation['S'][$globlan] +"</span>";
			} else if (cellvalue == "2") {		// normal qb technically closed: offer "new"
				return "<span style='display: inline-block; width: 50%; background-color: <?php echo $c_scheme['SO']; ?>; cursor: pointer;' onclick='changestatus(\"N\", \""+rowObject['qbn']+"\");'>"+ qbstatusTranslation['N'][$globlan] +"</span><span style='display: inline-block; width: 50%; background-color: <?php echo $c_scheme['SN']; ?>;'></span>";
			} else if (cellvalue == "3") {		// completely closed: offer "new" & "technically closed"
				return "<span style='display: inline-block; width: 50%; background-color: <?php echo $c_scheme['SO']; ?>; cursor: pointer;' onclick='changestatus(\"N\", \""+rowObject['qbn']+"\");'>"+ qbstatusTranslation['N'][$globlan] +"</span><span style='display: inline-block; width: 50%; background-color: <?php echo $c_scheme['ST']; ?>; cursor: pointer;' onclick='changestatus(\"S\", \""+rowObject['qbn']+"\");'>"+qbstatusTranslation['S'][$globlan]+"</span>"
			} else if (cellvalue == "4") {		// request tracking: offer "technically closed"
				return "<span style='display: inline-block; width: 50%; background-color: <?php echo $c_scheme['SO']; ?>;'></span><span style='display: inline-block; width: 50%; background-color: <?php echo $c_scheme['ST']; ?>; cursor: pointer;' onclick='changestatus(\"L\", \""+rowObject['qbn']+"\");'>"+ qbstatusTranslation['S'][$globlan] +"</span>";
			}
		} 
		function fill_grid() {	
			$("#loading").show();
			cmTemplate = {
				editable: false,
				sorttype:'string',
				searchoptions: {
					sopt:['cn'], 
					clearSearch: false
				}
			};
			obj = {
				url:  "./tools/status_api.php",
				postData: {routine : "getqbs"},
				contentType: "application/json",
				datatype: "json",
				jsonReader: {
					id: "id",
					repeatitems: true
				},
				mtype: "POST",
				colNames: [
					localTranslation["qbn"][$globlan],
					localTranslation["akt_stat"][$globlan],
					localTranslation["svt"][$globlan],
					localTranslation["imat"][$globlan],
					localTranslation["type"][$globlan],
					localTranslation["who"][$globlan],
					localTranslation["new_stat"][$globlan],
					"",
					""
				],
				colModel: [
					{ 
						name: "qbn", 
						template: cmTemplate,
						width: 90
					},
					{ 
						name: "qbstatus",
						template: cmTemplate,
						width: 110,
						stype: 'select',					
						searchoptions:
						{
							value: ddr
						},			
						formatter: QBStatusFormatter
					},
					{
						name: "svt", 
						template: cmTemplate,
						width: 150
					},
					{ 
						name: "tgr",
						template: cmTemplate,
						width: 150
					},
					{ 
						name: "qbtype", 
						template: cmTemplate,
						width: 110,
						stype: 'select',					
						searchoptions:
						{
							value: ddt
						},						
						formatter: QBTypeFormatter
					},
					{ 
						name: "cb1",
						template: cmTemplate,
						width: 120
					},
					{ 
						name: "newstatus", 
						template: cmTemplate,
						width: 200,
						search: false,
						formatter: NewQBStatusFormatter
					},
					{ 
						name: "sts",
						hidden: true
					},
					{ 
						name: "qblc",
						hidden: true
					}				
				],
				regional: $globlan,
				storeNavOptions: true,			
				loadonce: false,
				pager: "#pager",
				recordpos: "left",
				height: 510,
				rowNum: 100,
				rowList: [10, 100, 500, 1000, 1500],
				hoverrows: false,
				rownumbers: true,
				sortname: "qbn",
				sortorder: "desc",
				viewrecords: true,
				gridview: true,
				autoencode: true,
				ignoreCase:true,
				loadui: "block",
				loadComplete: function() {
					$("th[role='columnheader']")
						.unbind("mouseenter")
						.unbind("mouseleave");	
						
					var rows = $("#list").getDataIDs();
					for(a=0;a<rows.length;a++)
					{
						row = $("#list").getRowData(rows[a]);
						switch(row.sts) {
							case "N":
								$("#list").setCell (rows[a], "qbstatus","",{"background":"<?php echo $c_scheme['SN']; ?>"});
								break;					
							case "O":
								$("#list").setCell (rows[a], "qbstatus","",{"background":"<?php echo $c_scheme['SO']; ?>"});
								break;
							case "S":
								$("#list").setCell (rows[a], "qbstatus","",{"background":"<?php echo $c_scheme['ST']; ?>"});
								break;
							case "C":
								$("#list").setCell (rows[a], "qbstatus","",{"background":"<?php echo $c_scheme['SC']; ?>"});
								break;
						}
						switch(row.qblc) {
							case "L":
								$("#list").setCell (rows[a], "qbtype","",{"background":"<?php echo $c_scheme['TL']; ?>"});
								break;					
							case "T":
								$("#list").setCell (rows[a], "qbtype","",{"background":"<?php echo $c_scheme['TT']; ?>"});
								break;
							case "N":
								$("#list").setCell (rows[a], "qbtype","",{"background":"<?php echo $c_scheme['TN']; ?>"});
								break;	
							case "R":
								$("#list").setCell (rows[a], "qbtype","",{"background":"<?php echo $c_scheme['TR']; ?>"});
								break;							
						}
					}					
				},
				gridComplete: function(data) {
					$(".ui-search-toolbar input[role='textbox']")
						.css("width", "92%")
						.css("background", "<?php echo $c_scheme['M5']; ?>")
						.css("padding", "2px");	
					$(".ui-search-toolbar select[role='select']")
						.removeClass("ui-corner-all")
						.css("background", "<?php echo $c_scheme['M5']; ?>")
						.css("padding", "2px");							
				}				
			};
			list1 = $("#list").jqGrid(obj)
				.jqGrid('filterToolbar',{searchOperators : false, searchOnEnter: false})
				.navGrid('#pager', {refresh: false, search: false, edit: false, del: false, add: false});
			$("#loading").hide();
		}
	// execute command from table	
		function changestatus(action, loc) {
			a2 = (action == "X")?"N":((action == "L")?"S":action);
			jConfirm(localTranslation["confirm_status_change1"][$globlan]+" "+loc+" "+localTranslation["confirm_status_change2"][$globlan]+qbstatusTranslation[a2][$globlan]+localTranslation["confirm_status_change3"][$globlan], localTranslation["attention"][$globlan], function(r) {				
				if (r) {
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/status_api.php",
						data: { 
							routine: "reopen",
							qbn: loc,
							ns: action
						},
						success: function(result)
						{
							$("#list").setGridParam({datatype:'json'}).trigger('reloadGrid');
						}
					});						
				}
			});	
		}
		load_page();
	</script>
</body>
</html>
