<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />		
	<?php include_once(dirname(__FILE__)."/tools/all_header.php"); global $c_scheme, $timezone, $rel_path; ?>	
	<script>
		var js_debug = false;
		$data_changed = false;
	</script>
	
    <title>Team</title>
	
	<link rel="stylesheet" href="./jqGrid_5.2.1/css/ui.jqgrid.css" />
	<link rel="stylesheet" href="./css/qb.php" />
	
	<style>
		.man_del {		
			background: <?php echo $c_scheme['IG']; ?> url("./img/del.png") repeat-x;  
		}
		.man_miss {
			background: <?php echo $c_scheme['I1']; ?>;
		}
		.man_ava {
			background: <?php echo $c_scheme['I3']; ?>;
		}
		.man_normal {
			background: <?php echo $c_scheme['M2']; ?>;
		}		
		.un_del {
			font: bold italic 9pt Arial;
			color: <?php echo $c_scheme['XI']; ?>;
		}
		.man_undel {
			background:  <?php echo $c_scheme['I2']; ?>;
		}
		#mandteam > div.checkList {
			height: auto !important;
		}
		#selectmandteam > div.checkList {
			height: 170px !important;
		}	
		#memgrid .slick-row:hover { 
			font-weight: bold; 
			color: <?php echo $c_scheme['XH']; ?>;
		}
		#pllist > .checkList {
			height: auto;
		}
		#svtlist > .checkList {
			height: auto;
		}
		#memlist > .checkList {
			height: auto;
		}
		.selteamlist{
			font: normal 9pt Arial;
			color: <?php echo $c_scheme['XN']; ?>;
			border: 0px solid <?php echo $c_scheme['RI']; ?>;
			background: transparent;
		}
		.ui-dialog-titlebar-close{
			display: none;
		}
	</style>

	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>
	
	<?php
		foreach(explode(":", $qb_support->getLanOnly()) as $key=>$value) {
			echo '<script src="./jqGrid_5.2.1/js/i18n/grid.locale-' . $value . '.js"></script>';
		}
	?>
	<script src="./jqGrid_5.2.1/js/jquery.jqGrid.min.js"></script>	
	
	<script>
	// load translation and save in localTranslation
		<?php
			$ini_team = parse_ini_file($rel_path.'i18n/team.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_team as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$ini_mand = parse_ini_file($rel_path.'xml/mandatory.ini', true);	
			echo "mandTranslation = {};";
			foreach($ini_mand as $key=>$value){
				$add = "";
				if ($value['inuse'] == "Y") {
					foreach($value AS $lan=>$trans){
						if ($lan != "inuse") $add .= "'".$lan."':'".$trans."',";
					}
				}
				echo "mandTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$ini_immclose = parse_ini_file($rel_path.'xml/imm_close.ini', true);	
			echo "immcloseTranslation = {};";
			foreach($ini_immclose as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "immcloseTranslation['".$key."']={".rtrim($add, ',')."};";
			}			
		?>
	</script>
</head>
<body>		
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
			<?php 
				echo "<div id='mainnav'>". $qb_support->get_main_menu(1) . "</div>";
				include_once($rel_path.'tools/g_header2.php');
				echo $qb_support->get_sub_menu(1);
			?>	
			<div id="tabscontainer" >
				<p style="padding: 10px 5px; border-bottom: 1px solid <?php echo $c_scheme['RN']; ?>; margin: 0px;">
					<?php
						if (($qb_support->getoptions('immediateclosure', 'set') == "yes") AND ($qb_support->checkflag("I"))) {
					?>
							<span id="immediate_close_img" data-lan="imm_close" data-type="title" title="<?php echo $ini_team['imm_close'][$_SESSION['lng']]; ?>" class="icn5_moon_b_n clckbtn vam" style="float: right; margin-right: 30px; margin-top: -5px;" onclick="$('#dialog-close').dialog('open')"></span>
					<?php 
						} else {
					?>
							<span id="immediate_close_img" style="float: right; margin-right: 30px;"></span>
					<?php
						}
					?>		
					<label class="dlabel w200" data-type="text" data-lan="tsvt" ><?php echo $ini_team['tsvt'][$_SESSION['lng']]; ?></label> 
					<input type="text" class='dinput w175' id="svt" value="" readonly />
					<?php 
						if ($qb_support->checkflag("WVD")) { 
							echo '<span id="assign_svt" data-lan="assign_svt" data-type="title" class="icn2_users_b_n clckbtn vam" title="'.$ini_team['assign_svt'][$_SESSION['lng']].'"></span>';
						}
						if ($qb_support->getoptions('mailing', 'useit') == "yes") {
							echo '<span id="svt_idate" data-lan="" data-type="informed" class="icn2_clock_b_n hlpcrsr vam"></span>';
						} else {
							echo '<span class="slabel" id="svt_idate" style="width:20px;"></span>';
						}
					?>
					<span id="history_svt" data-lan="history" data-type="title" class="icn2_history_b_n clckbtn vam" title="<?php echo $ini_team['history'][$_SESSION['lng']]; ?>"></span>
					<?php
						if ($qb_support->getoptions('qblight', 'set') == "yes") {
					?>
						<span id="qb_light" data-checked="false" class="icn_checkboxempty_c_n clckbtn vam" style="margin-left: 30px;"></span>
						<label data-type="text" data-lan="qb_light" id="qb_lightlabel" class="dlabel vam w100"><?php echo $ini_team['qb_light'][$_SESSION['lng']]; ?></label>
					<?php
						}
					?>
					<br />				
					<label data-type="text" data-lan="tpl" class="dlabel w200" ><?php echo $ini_team['tpl'][$_SESSION['lng']]; ?></label>
					<input type="text" class='dinput w175' id="pl" data-pllogin="" data-plregion="" value="" readonly />
					<?php 
						if ($qb_support->checkflag("WVD")) {
							echo '<span id="assign_pl" data-lan="select_pl" data-type="title" class="icn2_users_b_n clckbtn vam" title="'.$ini_team['select_pl'][$_SESSION['lng']].'"></span>';
						}
						if ($qb_support->getoptions('mailing', 'useit') == "yes") {
							echo '<span id="pl_idate" data-lan="" data-type="informed" class="icn2_clock_b_n hlpcrsr vam"></span>';
						} else {
							echo '<span class="slabel" id="pl_idate" style="width:20px;"></span>';
						}
					?>
					<span id="history_pl" data-lan="history" data-type="title" class="icn2_history_b_n clckbtn vam" title="<?php echo $ini_team['history'][$_SESSION['lng']]; ?>"></span>
					<span id="top_qb" data-checked="false" class="icn_checkboxempty_c_n clckbtn vam" style="margin-left: 30px;"></span>
					<label id="top_qblabel" data-type="text" data-lan="top_qb" class="dlabel vam w100"><?php echo $ini_team['top_qb'][$_SESSION['lng']]; ?></label>				
				</p>
				<br />
				<div id="teamdiv">
					<div id="teamdiv_header">
						<label data-type="text" data-lan="vorname" class="teamheader" style="width: 136px;" ><?php echo $ini_team['vorname'][$_SESSION['lng']]; ?>
						</label><label data-type="text" data-lan="name" class="teamheader" style="width: 136px;" ><?php echo $ini_team['name'][$_SESSION['lng']]; ?>
						</label><label data-type="text" data-lan="department" class="teamheader" style="width: 76px;" ><?php echo $ini_team['department'][$_SESSION['lng']]; ?>
						</label><label data-type="text" data-lan="informed" class="teamheader" style="width: 66px;" ><?php echo $ini_team['informed'][$_SESSION['lng']]; ?>
						</label><label class="teamheader" style="width: 21px;" >&nbsp;
						</label><label class="teamheader" style="width: 21px;" >&nbsp;
						</label><label class="teamheader" style="width: 21px;" >&nbsp;
						</label>
					</div>
					<div id="teamdiv_body" style="padding:0px; margin: 0px; margin-top: 0px; overflow-x: hidden; overflow-y:scroll; border: 1px solid <?php echo $c_scheme['R2']; ?>; border-top: 0px; height: 200px;">
						&nbsp;
					</div>
				</div>
				<div style="display: inline-block; width: 200px; height: 180px; margin: 0px 10px; text-align: center; vertical-align: top; padding-top: 60px; ">
					<span style="visibility: hidden; margin: 5px 0 0 0;" data-type="text" data-lan="add_member" class="spanbutton" id="add_member"><?php echo $ini_team['add_member'][$_SESSION['lng']]; ?></span>
					<?php
						if ($qb_support->getoptions('mailing', 'useit') == "yes") {
							echo '<span style="visibility: hidden; margin: 5px 0 0 0;" class="spanbutton" data-type="text" data-lan="inf_team" id="inform_team">'.$ini_team['inf_team'][$_SESSION['lng']].'</span>';
						} else {
							echo '<span class="slabel" id="inform_team" style="width:100px;"></span>';
						}
						if ($qb_support->getoptions('mandatoryteam', 'set') == "yes") {
							echo '<span style="visibility: hidden; margin: 5px 0 0 0;" class="spanbutton" data-type="text" data-lan="mandatory" id="change_mandatory">'.$ini_team['mandatory'][$_SESSION['lng']].'</span>';
						} else {
							echo '<span class="slabel" id="change_mandatory" style="width:100px;"></span>';
						}
						if ($qb_support->getoptions('mailing', 'useit') == "yes") {
							echo '<span style="visibility: hidden; margin: 5px 0 0 0;" class="spanbutton" data-type="text" data-lan="mail_team" id="mail_team">'.$ini_team['mail_team'][$_SESSION['lng']].'</span>';
						} else {
							echo '<span class="slabel" id="mail_team" style="width:100px;"></span>';
						}				
					?>
				</div>
				<div id="mandteam" style="display: inline-block; font: normal 9pt Arial; width: 150px; vertical-align: top; "></div>
			</div>
		<!-- form for selecting team members if more than one is found during search -->
			<div id="dialog-memsel" style="display:none" title="">
				<div id="memlist" style="width: 200px; padding: 0px; vertical-align: top;"></div>
			</div>	
		<!-- form for changing mandatory team -->
			<div id="dialog-mandatory" style="display:none" title="">
				<div id="selectmandteam" style="margin: auto; font: normal 9pt Arial; width: 170px; margin-top: 10px; "></div>
			</div>
			<?php
				if ($qb_support->checkflag("I")) {
			?>
		<!-- form for immediate close reasons -->
			<div id="dialog-close" style="display:none" title="">
				<p id="imm_cls_validateTips" style="padding: 2px; margin: 0px; margin-bottom: 10px;" >&nbsp;</p>
				<textarea rows="2" id="wht" class="dtextarea" style="width: 490px; height: 100px; margin-bottom: 15px;"></textarea>
				<label data-type="text" data-lan="std_failure" id="stdlbl" class="dlabel vam w150"><?php echo $ini_team['std_failure'][$_SESSION['lng']]; ?></label>
				<select class="dselect vam" id="imcr"></select>
			</div>
			<?php
				}
			?>
		<!-- form for sending mails -->
			<div id="dialog-mailteam" style="display:none" title="">
				<fieldset id="fs" style="border: 0px solid purple; padding: 2px; height: 220px; margin:0px;">
					<p>
						<label id="senderlabel" data-type="text" data-lan="sender" class="dlabel w100 vam"><?php echo $ini_team['sender'][$_SESSION['lng']]; ?></label>
						<select id="sender">
							<?php
								$query = "SELECT LOGIN, CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE USR != 1 ORDER BY NACHNAME";
								$stmt = $db->query($query);
								while($row = $stmt->fetch(PDO::FETCH_NUM)) {
									echo "<option value='" . $row[0] . "'>" . $row[1] . "</option>";
								}
							?> 	
						</select>
						<br />
						<label id="subjectlabel" data-type="text" data-lan="tsubject" class="dlabel w100 vam"><?php echo $ini_team['tsubject'][$_SESSION['lng']]; ?></label>
						<input type="text" name="subject" id="subject" class="dinput vam w250" style="margin: 5px 0;" value="" />
						<br />
						<label data-type="text" data-lan="ntxt" class="dlabel w100" style="vertical-align: top;"><?php echo $ini_team['ntxt'][$_SESSION['lng']]; ?></label>
						<textarea rows="3" class="dtextarea vam" id="whtpl" style="width: 320px; height: 150px;"></textarea>
					</p>
				</fieldset>
			</div>
		</div>
		<?php include_once($rel_path.'footer.php'); ?>
		<input type="hidden" id="exchange" value="" />
		<input type="hidden" id="teambuttons" value="" />
		<input type="hidden" id="immediate_close" value="" />
	</div>
	<script>
		$("#imcr").width(310).customSelect({customClass: "cSelect_opt"});
		$("#sender").width(242).customSelect({customClass: "cSelect_man"});
		
		lc = new Array();
		lc[0]= "<?php echo $c_scheme['IE']; ?>";
		lc[1]= "<?php echo $c_scheme['IO']; ?>";
		$rtpe="";
	// include code for svt history
		$('#history_svt').click(function() {
			$.getScript('./jquery/svt_pl_history.php?qb='+window.sessionStorage.getItem('qb')+'&tpe=svt', function() {
				$("#dialog_history").dialog('open');
			});
		});
	// include code for pl history
		$('#history_pl').click(function() {
			$.getScript('./jquery/svt_pl_history.php?qb='+window.sessionStorage.getItem('qb')+'&tpe=pl', function() {
				$("#dialog_history").dialog('open');
			});
		});	
		$( "#add_member" ).click(function() {				// assign event to add member button	
//			if ($("#pl").val() == "") {										// no pl assigned yet
//				jAlert(localTranslation["pl_first"][$globlan], localTranslation["attention"][$globlan]);
//				return false;		
//			} else {
				$.getScript('./jquery/addteammember.php?qb='+window.sessionStorage.getItem('qb'), function() {
					$("#dialog_team").dialog('open');
				});
//			}
		});	
		$( "#change_mandatory" ).click(function() {			// assign event to add member button
			<?php if ($qb_support->getoptions('mandatoryteam', 'set') == "no") echo "return false;"; ?>
			if (JSON.parse(window.sessionStorage.getItem("qbn")).status == "C") {			// team can not been changed after case is closed
				jAlert(localTranslation["is_closed"][$globlan], localTranslation["attention"][$globlan]);
				return false;
			}	
			if ($("#pl").val() == "") {										// no pl assigned yet
				jAlert(localTranslation["pl_first"][$globlan], localTranslation["attention"][$globlan]);
				return false;		
			}		
			$('#dialog-mandatory').dialog('open');
		});
		$( "#inform_team" ).click(function() {				// assign event to inform team button
			<?php if ($qb_support->getoptions('mailing', 'useit') == "no") echo "return false;"; ?>
			if ($("#pl_idate").data("lan") == '0000-00-00 00:00:00') {
				jAlert(localTranslation["pl_not_informed"][$globlan], localTranslation["attention"][$globlan]);
				return false;				
			} else {
				mail_team();
			}
		});	
		$( "#mail_team" ).click(function() {				// assign event to inform team button
			<?php if ($qb_support->getoptions('mailing', 'useit') == "no") echo "return false;"; ?>
			$('#dialog-mailteam').dialog('open');
		});
		<?php 
			if ($qb_support->getoptions('qblight', 'set') == "yes") {
		?>
			$("#qb_light").click(function() {
				<?php 
					if ($qb_support->checkflag("L")) {  	// QB LIGHT right		
				?>
						if (JSON.parse(window.sessionStorage.getItem("qbn")).status == "C") {				// case completely closed
							jAlert(localTranslation["is_toclosed"][$globlan], localTranslation["attention"][$globlan]);
							return false;				
						}
						if ((JSON.parse(window.sessionStorage.getItem("qbn")).status == "S") && ($("#qblight").val() == 0)){ // case technically closed and no qb-light
							jAlert(localTranslation["is_toclosed"][$globlan], localTranslation["attention"][$globlan]);
							return false;				
						}
						if (!$("#qb_light").data("checked")) {
						// customer complaints can not be handled as QB-light
							if (($("#fehler_fs").data("lan") == "C") && (!$("#lockunlock").hasClass("icn_unlock_b_n"))) {
								jAlert(localTranslation["no_light_if_c"][$globlan], localTranslation["attention"][$globlan]);
								return false;
							} else {
						// hide tabs if qb-light
								$(".qb_tabs li").filter(function() {
									return $(this).data("light") == 0; 
								}).hide();
						// hide "top qb" & label
								$("#top_qb").invisible();
								$("#top_qblabel").invisible();
						// hide mandatory team & change button
								$("#mandteam").invisible();
								$("#change_mandatory").invisible();
						// add "*" to QB number
								$("#qb").val($("#qb").val()+" *");
								$tmprcl = JSON.parse(window.sessionStorage.getItem("qbn"));
								$tmprcl.status = "S";
								window.sessionStorage.setItem("qbn", JSON.stringify($tmprcl));
								$("#qb").css("background-color", "<?php echo $c_scheme['ST']; ?>");
								$("#contents").css("border-color", "<?php echo $c_scheme['R1']; ?>");
								$("#qb_light").data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");	
								$.ajax({
									type: "POST",
									cache: false,
									url:  "./tools/team_api.php",
									data: { 
										routine: "qblight",
										qbn: window.sessionStorage.getItem("qb"),
										set: 1
									},
									success: function(result)
									{
									}
								});				
							}
						} else {
						// show all tabs
							$(".qb_tabs li").filter(function() {
								return $(this); 
							}).show();
							$("#top_qb").visible();
							$("#top_qblabel").visible();
							$("#mandteam").visible();
							$("#change_mandatory").visible();
						// remove star
							$("#qb").val($("#qb").val());
							$tmprcl = JSON.parse(window.sessionStorage.getItem("qbn"));
							$tmprcl.status = "N";
							window.sessionStorage.setItem("qbn", JSON.stringify($tmprcl));	
							$("#qb").css("background-color", "<?php echo $c_scheme['SO']; ?>");
							$("#contents").css("border-color", "<?php echo $c_scheme['R2']; ?>");
							$("#qb_light").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
							$.ajax({
								type: "POST",
								cache: false,
								url:  "./tools/team_api.php",
								data: { 
									routine: "qblight",
									qbn: window.sessionStorage.getItem("qb"),
									set: 0
								},
								success: function(result)
								{
									fill_grid();
									fill_grid1();
								}
							});
						}
				<?php
					} else {
						$query = "SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE FLAGS LIKE '%L%'";
						$stmt = $db->query($query);
						$list = "<br />";
						while ($r = $stmt->fetch(PDO::FETCH_NUM)) {
							$list .= "<br /><b>-&nbsp;".$r[0]."</b>";
						}
				?>
						jAlert(localTranslation['only_flagged_L'][$globlan], localTranslation["attention"][$globlan]);
				<?php
						echo "$('#popup_message').append('$list');";
						echo "return false;";
					}
				?>
			});
		<?php 
			} 
		?>
		$( "#top_qb" ).click(function() {					// assign event to TOP QB checkbox
			<?php 
				if ($qb_support->checkflag("G")) {  	// TOP QB right
			?>			
					if (JSON.parse(window.sessionStorage.getItem("qbn")).status == "C") { 						// case completely closed
						jAlert(localTranslation["is_closed"][$globlan], localTranslation["attention"][$globlan]);
						return false;				
					}
					if (!$("#top_qb").data("checked")) {
						$("#qb_light").invisible();
						$("#qb_lightlabel").invisible();
					// add "!" to QB number
						$("#qb").val($("#qb").val()+" !");
						$("#top_qb").data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");
						$("#contents").css("border-color", "<?php echo $c_scheme['R3']; ?>");
						$.ajax({
							type: "POST",
							cache: false,
							url:  "./tools/team_api.php",
							data: { 
								routine: "topqb",
								qbn: window.sessionStorage.getItem("qb"),
								set: 1
							},
							success: function(result)
							{
							}
						});					
					} else {
						$("#qb_light").visible();
						$("#qb_lightlabel").visible();
					// remove "!"
						$("#qb").val($("#qb").val());
						$("#top_qb").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
						$("#contents").css("border-color", "<?php echo $c_scheme['R2']; ?>");
						$.ajax({
							type: "POST",
							cache: false,
							url:  "./tools/team_api.php",
							data: { 
								routine: "topqb",
								qbn: window.sessionStorage.getItem("qb"),
								set: 0
							},
							success: function(result)
							{
							}
						});					
					}
			<?php
				} else {
					$query = "SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE FLAGS LIKE '%G%'";
					$stmt = $db->query($query);
					$list = "<br />";
					while ($r = $stmt->fetch(PDO::FETCH_NUM)) {
						$list .= "<br /><b>-&nbsp;".$r[0]."</b>";
					}
				?>
					jAlert(localTranslation['only_flagged_G'][$globlan], localTranslation["attention"][$globlan]);
				<?php
					echo "$('#popup_message').append('$list');";
					echo "return false;";
				}
			?>
		});	
		$("#dialog-memsel").dialog({						// dialog for selecting team members
			resizable: false,
			dialogClass: "doc_input",
			autoOpen: false,
			closeOnEscape: false,
			height: 300,
			width: 250,
			modal: true,
			buttons:
				[
					{
						id: "mem_sel_cancel",
						text: "",
						css: { width: '100px'},
						click: function() {
							$( this ).dialog( "close" );
						}
					}	
				],
			close: function() {
				$("#s_mem").val("");
				$("#s_mem").focus();
			},
			open : function() {
				$("#dialog-memsel").dialog('option', 'title', localTranslation["add_member"][$globlan]);
				$("#mem_sel_cancel").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
					.off('hover')
					.off('focus')
					.addClass("spanbutton")
					.find("span").text(localTranslation["cancel"][$globlan]);
				var selmem = $('#dialog-memsel').data("usr");
				var usrresult = new Array();
				$.each(selmem, function(key, value) {
					usrresult[key] = {'text': value['NACHNAME']+", "+value['VORNAME'], 'value': key};
				});				
				$('#memlist').checkList('setData', usrresult);
			}
		});	
		<?php if ($qb_support->getoptions('mandatoryteam', 'set') == "yes") { ?>	
			$('#selectmandteam').checkList({
				effect: 'none',
				ckall: false,
				tfilter: false,
				colopts: 1,
				tdback: "transparent",
				tdhigh: "transparent",
				r_cb: true,
				prefix: "ms",
				onChange: function(loc) {			
					if (typeof loc != "undefined") {
						var $selbox = $(loc).parent().parent();
						if (!$(loc).data("checked")) {
					// checkbox was checked -> uncheck and add class del
							$selbox.removeClass("man_normal").addClass("man_del");
							$(loc).data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
						} else {
							$selbox.removeClass("man_del").addClass("man_normal");
							$(loc).data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");	
						}
					}
					return false;
				}				
			});
		<?php } ?>
		$( "#dialog-mandatory" ).dialog({					// dialog for change mandatory team
			resizable: false,
			autoOpen: false,
			closeOnEscape: false,
			width: 250,
			modal: true,
			buttons:
				[
					{
			// save button
						text: "",
						id: "man_team_save",
						css: ({ 'width': '100px', 'margin': '0px 5px' }),
						click: function() {
			// save data
							$svptn = "[{";
							$.each($("#selectmandteam").find("tr"), function() {
								if (($(this).find("span[data-value=3]").length > 0) || ($(this).find("span[data-value=4]").length > 0)) {
									$svptn+='\"'+$(this).find("span").data("help")+'\":\"1\",';
								} else {
									$svptn+='\"'+$(this).find("span").data("help")+'\":\"'+($(this).find("span").data("checked")*1)+'\",';
								}
							})
							$svptn = $svptn.slice(0, -1) +"}]";					
							$.ajax({
								type: "POST",
								cache: false,
								url:  "./tools/team_api.php",
								data: { 
									routine: "savemand",
									qbn: window.sessionStorage.getItem("qb"),
									mstr: $svptn
								},
								success: function(result)
								{
									$('#dialog-mandatory').dialog( "close" );
									fill_grid1();
								}
							});										
						}
					},
					{
						text: "",
						id: "man_team_cancel",
						css: { width: '100px'},
						click: function() {
							$( this ).dialog( "close" );
						}
					}	
				],
			close: function() {
			},		
			open : function(event, ui) {
			// hide close button
				$(".ui-dialog-titlebar-close", ui.dialog | ui).hide();
				$("#dialog-mandatory").dialog('option', 'title', localTranslation["mandatory"][$globlan]);
				$("#man_team_save").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
					.off('hover')
					.off('focus')
					.addClass("spanbutton")
					.find("span").text(localTranslation["save"][$globlan]);	
				$("#man_team_cancel").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
					.off('hover')
					.off('focus')
					.addClass("spanbutton")
					.find("span").text(localTranslation["cancel"][$globlan]);		
		// load config
				$.ajax({
					type: "POST",
					cache: false,
					url:  "./tools/team_api.php",
					data: { 
						routine: "loadmandteam",
						qbn: window.sessionStorage.getItem("qb"),
						rtype: $("#fehler_fs").data("lan"),
						plr: $("#pl").data("plregion")
					},
					dataType: "json",
					success: function(result) {
						var usrresult = new Array();
						$.each(result, function(key, value) {
							usrresult[key] = {'text': value[1], 'value': value[2], 'help': value[0]};
						});
						$('#selectmandteam').checkList('setData', usrresult);
						$.each($("#selectmandteam").find("tr"), function() {					
							if ($(this).find("span").data("value") == 0) {
								$(this).find("span").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
								$(this).addClass("man_del");
							}
							if (($(this).find("span").data("value") == 1) || ($(this).find("span").data("value") == 2)) {				
								$(this).find("span").data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");
								$(this).addClass("man_normal");
							}
							if (($(this).find("span").data("value") == 3) || ($(this).find("span").data("value") == 4)){				
								$(this).addClass("man_undel");				
								$(this).find("span").invisible();
							}					
						});							
					}
				});
			}
		});
		<?php if ($qb_support->checkflag("I")) { ?>
			$( "#dialog-close" ).dialog({						// dialog for immediate closure
				resizable: false,
				dialogClass: "doc_input",
				autoOpen: false,
				closeOnEscape: false,
				height: 300,
				width: 520,
				modal: true,
				buttons:
					[
						{
							text: "",
							id: "imm_cls_save",
							css: { width: '100px'},
							click: function() {
								if (($.trim($("#wht").val()).length == 0) && ($("#imcr").val().length == 0)) {
									$("#imm_cls_validateTips")
										.text( localTranslation["fill_des"][$globlan] )
										.css("background-color","<?php echo $c_scheme['IW']; ?>");
									setTimeout(function() {
										$("#imm_cls_validateTips")
											.html( '&nbsp' )
											.css("background-color","transparent");
									}, 2000 );							
									return;							
								}
								$desjoin = "";
								if ($.trim($('#wht').val().length) == 0) {
									$desjoin = $("#imcr option:selected").text();
								} else if ($("#imcr option:selected").text() == "...") {
									$desjoin = $.trim($('#wht').val());
								} else {
									$desjoin = $.trim($("#wht").val())+"\n"+$("#imcr option:selected").text();
								}									
								<?php if ($qb_support->getoptions('mailing', 'useit') == "yes") { ?>
							// send eventmail
									$.ajax({
										type: "POST",
										cache: false,			
										url:  "./tools/general_api.php",
										data: { 
											routine: "eventmail2",
											evnt: "E13",
											qbn: window.sessionStorage.getItem("qb")
										},
										success: function(result)
										{
										}		
									});
								<?php } ?>
								$.ajax({
									type: "POST",
									cache: false,
									url:  "./tools/team_api.php",
									data: { 
										routine: "immclose",
										login: $("#aroleinfo").data("login"),
										qbn: window.sessionStorage.getItem("qb"),
										reason: $desjoin
									},
									success: function(result)
									{
										$tmprcl = JSON.parse(window.sessionStorage.getItem("qbn"));
										$tmprcl.status = "C";
										$tmprcl.bc = "C";
										$tmprcl.clss = "R";
										window.sessionStorage.setItem("qbn", JSON.stringify($tmprcl));										
										window.location.href="team.php";				
									}
								});					
							}
						},			
						{
							text: "",
							id: "imm_cls_cancel",
							css: { width: '100px'},
							click: function() {
								$( this ).dialog( "close" );
							}
						}	
					],
					
				close: function() {	
					$("#wht").val("");
					$("#imcr").val("");
				},
				open : function() {
					$("#dialog-close").dialog('option', 'title', localTranslation["select_closure"][$globlan]);
					$("#imm_cls_save").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
						.off('hover')
						.off('focus')
						.addClass("spanbutton")
						.find("span").text(localTranslation["save"][$globlan]);	
					$("#imm_cls_cancel").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
						.off('hover')
						.off('focus')
						.addClass("spanbutton")
						.find("span").text(localTranslation["cancel"][$globlan]);	
					$("#imcr")
						.find('option')
						.remove()
						.end()
						.append('<option value="">...</option>');
					$.each(immcloseTranslation, function(key, value) {
						$("#imcr").append($('<option>', { 
							value: key,
							text : value[$globlan]
						}));
					});
					$('#imcr').trigger('render');
					$('#stdlbl').text(localTranslation["std_failure"][$globlan]);					
				}
			});
		<?php } ?>
		$('#memlist').checkList({
			effect: 'none',
			ckall: false,
			colopts: 1,
			tdback: "transparent",
			tdhigh: "transparent",
			altrows: true,
			radio: true,
			tfilter: false,
			onChange: function() {
				var selection = $('#memlist').checkList('getSelection');
				if (selection.length > 0) {
					var trans = new Array();
					trans.push($('#dialog-memsel').data("usr")[selection[0].value]);
					add_teamlist(trans);
					$("#dialog-memsel").dialog( "close" );				
				}
			}
		});
		<?php if ($qb_support->getoptions('mandatoryteam', 'set') == "yes") { ?>	
			$('#mandteam').checkList({
				effect: 'none',
				ckall: false,
				colopts: 1,
				tdback: "transparent",
				tdhigh: "transparent",
				r_cb: false,
				onChange: function() {
					return false;
				}				
			});
		<?php } ?>
	// function for mailing team
		$( "#dialog-mailteam" ).dialog({
			resizable: false,
			dialogClass: "doc_input",
			autoOpen: false,
			closeOnEscape: false,
			height: 350,
			width: 480,
			modal: true,
			buttons:
				[
					{
			// save button
						id: "dialog_mail_send",
						text: "",
						css: { width: '100px' },
						click: function() {
							$.ajax({
								type: "POST",
								cache: false,
								url:  "./tools/team_api.php",
								data: { 
									routine: "infoteam",
									qbn: window.sessionStorage.getItem("qb"),
									sub: $.trim($('#subject').val()),
									txt: $.trim($('#whtpl').val()),
									sen: $('#sender').val()
								},
								success: function(result)
								{
									$("#dialog-mailteam" ).dialog( "close" );
								}
							});								
						}
					},
					{
						id: "dialog_mail_cancel",
						text: "",
						css: { width: '100px' },
						click: function() {
							$("#dialog-mailteam" ).dialog( "close" );
						}
					}	
				],
			close: function() {
				$('#subject').val("");
				$('#whtpl').val("");
				$('#mailfrom').val("");
			},		
			open : function() {
				$("#dialog-mailteam").dialog('option', 'title', localTranslation["mail_team"][$globlan]);
				$("#dialog_mail_send").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
					.off('hover')
					.off('focus')
					.addClass("spanbutton")
					.find("span").text(localTranslation["send"][$globlan]);	
				$("#dialog_mail_cancel").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
					.off('hover')
					.off('focus')
					.addClass("spanbutton")
					.find("span").text(localTranslation["cancel"][$globlan]);
				$("#sender option").filter(function() {
					return $(this).text() == $("#pl").val();
				}).attr('selected', true);
				$("#sender").trigger('render');
				$("#subject").val(localTranslation["teammail"][$globlan]);
			}	
		});
		
		function fill_grid1() {
			<?php if ($qb_support->getoptions('mandatoryteam', 'set') == "no") echo "return false;"; ?>
			// fill grid with mandatory team members
			$.ajax({
				type: "GET",
				cache: false,
				url:  "./tools/team_api.php",
				dataType: "json",
				data: { 
					routine: "loadmandteam",
					qbn: window.sessionStorage.getItem("qb"),
					rtype: $("#fehler_fs").data("lan"),
					plr: $("#pl").data("plregion")
				},
				success: function(result)
				{	
					var usrresult = new Array();
					$.each(result, function(key, value) {
						usrresult[key] = {'text': value[1], 'value': value[2], 'help': value[0]};
					});
					$('#mandteam').checkList('setData', usrresult);
					$.each($("#mandteam").find("tr"), function() {
						if ($(this).find("span").data("value") == 0) {				
							$(this).addClass("man_del");
						}
						if ($(this).find("span").data("value") == 1) {				
							$(this).addClass("man_miss");
						}
						if ($(this).find("span").data("value") == 2) {				
							$(this).addClass("man_ava");
						}
						if ($(this).find("span").data("value") == 3) {				
							$(this).addClass("man_miss");
							$(this).find("label").addClass("un_del");
						}
						if ($(this).find("span").data("value") == 4) {				
							$(this).addClass("man_ava");
							$(this).find("label").addClass("un_del");
						}					
					});				
				}
			});
		}
		function check_event(loc) {								// format mandatory team member selection box
		// change status of checkboxes
			if ($('#cb_'+loc).prop('checked')) {
				$("#ip_"+loc).css("text-decoration", "none").css("color", "<?php echo $c_scheme['XN']; ?>");
				$("#pm_"+loc).css("background-color", "<?php echo $c_scheme['M5']; ?>");
			} else {
				$("#ip_"+loc).css("text-decoration", "line-through").css("color", "<?php echo $c_scheme['XG']; ?>");
				$("#pm_"+loc).css("background-color", "<?php echo $c_scheme['M2']; ?>");
			}
		}		
		function load_page() {
			document.title = document.title.split("/")[0] + '/' + window.sessionStorage.getItem("qb");
			fill_fields();
		}
		function c_lan() {
			translate_header($globlan);	
			translate_mainmenu($globlan);
			translate_g_header2($globlan);
			translate_submenu($globlan);
			
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {
				switch ($(this).data("type")) {
					case "text":		
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "informed":
						$(this).attr("title", localTranslation["informed"][$globlan]+localizetime($(this).data("lan")));
						break;
					case "nominate":
						$(this).attr("title", localTranslation["nominated"][$globlan]+localizetime($(this).data("lan")));
						break;
					case "html":				
						$(this).html(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "tdate":
						if ($(this).data("lan") != "0000-00-00") {
							$(this).text(localizedate($(this).data("lan")));
						}
						break;
					default:
						break;
				}
			});
			$.each($("#mandteam").find("tr"), function() {
				$(this).find("td:eq(1) label").text(mandTranslation[$(this).find("td:eq(0) span").data("help")][$globlan]);
			});	
		}
		function fill_fields() {
			$.ajax({
				type: "GET",
				cache: false,
				url:  "./tools/team_api.php",
				dataType: "json",
				data: { 
					routine: "getform",
					login: $("#aroleinfo").data("login"),
					qbn: window.sessionStorage.getItem("qb")
				},
				success: function(result)
				{
					var $data = result[0];
					var $qbs = result[1];
					$rtpe = result[2];
			// save option for immediate close
					$("#immediate_close").val($data['immclose']);
			// save exchange for D-SVT
					$("#exchange").val($data['exchange']);
			// SVT
					$("#svt").val($data['svt'] || '');
					$("#svt_idate").data("lan", $data['svti'] || '0000-00-00 00:00:00');
					$("#svt_idate").attr("title", localTranslation["informed"][$globlan]+": "+(localizetime($data['svti']) || ''));
			// PL
					$("#pl").val($data['pl'] || '');
					$("#pl").data("pllogin", $data['pllogin'] || '');
					$("#pl").data("plregion", $data['plregion'] || '');
					$("#pl_idate").data("lan", $data['pli'] || '0000-00-00 00:00:00');
					$("#pl_idate").attr("title", localTranslation["informed"][$globlan]+": "+(localizetime($data['pli']) || ''));
			// QB light & TOP-QB handling
					if ($data['qb_light'] == 1) {
						$("#qb_light").data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");
						$("#top_qb").invisible();
						$("#top_qblabel").invisible();
						$("#mandteam").invisible();
						$("#change_mandatory").invisible();
						fill_grid();
						if (js_debug) console.log("QB-light: mandatory team functions invisible, TOP QB invisible");					
					} else {
						$("#qb_light").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
						$("#mandteam").visible();
						$("#change_mandatory").visible();					
						if ($data['top_qb'] == 1) {
							$("#top_qb").data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");
							$("#qb_light").invisible();
							$("#qb_lightlabel").invisible();
							if (js_debug) console.log("TOP-QB: QB-Light invisible");						
						} else {
							$("#top_qb").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
							$("#qb_light").visible();
							$("#qb_lightlabel").visible();
							$("#top_qb").visible();
							$("#top_qblabel").visible();
						}
						fill_grid();
						fill_grid1();
					}
					handle_buttons($qbs);
				}
			});
		}
		function handle_buttons(sts) {
			var $qbsts = sts || JSON.parse(window.sessionStorage.getItem("qbn")).status;
	// immediate closure handling
			if ($("#immediate_close").val() > 0) {
				$("#immediate_close_img").invisible();
				if (js_debug) console.log("Immediate closeure invisible because detail datasets available");
			} else {
				if ((sts == "C") || (sts == "S")) {
					$("#immediate_close_img").invisible();
					if (js_debug) console.log("Immediate closeure disabled because qb-status not 'open'");					
				} else {
					<?php if ($qb_support->checkflag("I")) { ?>
						$("#immediate_close_img").visible();
						if (js_debug) console.log("Immediate closeure enabled because no detail datasets available and special role");
					<?php } else { ?>
						$("#immediate_close_img").invisible();
						if (js_debug) console.log("Immediate closeure disabled because no special role");						
					<?php } ?>
				}
			}
			<?php if ($qb_support->checkflag("YWVD")) { ?>
		// assign_svt handling
				if ($qbsts == "C") {
					$('#assign_svt').invisible();
					if (js_debug) console.log("assign_svt hidden because case is closed");
				} else {
					<?php if ($qb_support->checkflag("YWV")) { ?>
						$('#assign_svt').visible();
						if (js_debug) console.log("assign_svt visible because SVT");					
					<?php } else { ?>
						if ($("#exchange").val() == 1) {
							$('#assign_svt').visible();
							if (js_debug) console.log("assign_svt visible because special role");
						} else {
							$('#assign_svt').invisible();
							if (js_debug) console.log("assign_svt hidden because deputy and no exchange");					
						}					
					<?php } ?>
				}
				$("#assign_svt").click(function() {
					if (window.sessionStorage.getItem("qbn").status == "C") {			// svt can not been changed after case is closed
						jAlert(localTranslation["is_closed"][$globlan], localTranslation["attention"][$globlan]);
						return false;
					}
					$.getScript('./jquery/selectsvt.php', function() {$("#dialog_svt").dialog('open');});
				});			
			<?php } ?>		
		// inform svti_date handling
			if (($("#svt").val() == "") || ($("#svt_idate").data("lan") == '0000-00-00 00:00:00')) {
				$('#svt_idate').invisible();
				if (js_debug) console.log("svt_idate hidden because no svt defined or not informed yet");
			} else {
				$('#svt_idate').visible();
				if (js_debug) console.log("svt_idate visible because svt was informed");
			}
			<?php if ($qb_support->checkflag("YWVD")) { ?>
				if ($qbsts == "C") {
					$('#assign_pl').invisible();
					if (js_debug) console.log("assign_pl hidden because case is closed");
				} else {			
					$('#assign_pl').click(function() {
			// assign_pl handling
						if ($qbsts == "C") {
							$('#assign_pl').invisible();
							if (js_debug) console.log("assign_pl hidden because case is closed");
						} else {
							$('#assign_pl').visible();
							if (js_debug) console.log("assign_pl visible because special role");
						}
						if (JSON.parse(window.sessionStorage.getItem("qbn")).status == "C") {			// pl can not been changed after case is closed
							jAlert(localTranslation["is_closed"][$globlan], localTranslation["attention"][$globlan]);
							return false;
						}				
						if ($("#svt").val() == "") {											// no svt assigned yet
							jAlert(localTranslation["no_svt_selected"][$globlan], localTranslation["attention"][$globlan]);
							return false;		
						}
						if ($("#svt_idate").data("lan") == '0000-00-00 00:00:00') {
							jAlert(localTranslation["svt_not_informed"][$globlan], localTranslation["attention"][$globlan]);
							return false;				
						}
						$.getScript('./jquery/selectpl.php?qbn='+window.sessionStorage.getItem('qb'), function() {$("#dialog_pl").dialog('open');});
					});
				}
			<?php } ?>
	// inform pli_date handling
			if (($("#pl").val() == "") || ($("#pl_idate").data("lan") == '0000-00-00 00:00:00')) {
				$('#pl_idate').invisible();
				if (js_debug) console.log("pl_idate hidden because no pl defined or not informed yet");
			} else {
				$('#pl_idate').visible();
				if (js_debug) console.log("pl_idate visible because pl was informed");				
			}
	// add member button handling	
			if ($qbsts == "C") {
				$('#add_member').invisible();
				if (js_debug) console.log("add member button hidden because case is closed");					
			} else {
//				if ($("#pl_idate").data("lan") == '0000-00-00 00:00:00') {
//					$('#add_member').invisible();
//					if (js_debug) console.log("add member button invisible because no pl assigned / informed");			
//				} else {
					$('#add_member').visible();
//					if (js_debug) console.log("add member button visible because team is defined");
//				}
			}
	//
	// mail team button will be handled in fill_grid()
	//
	// mandatory member button handling	
			if ($qbsts == "C") {
				$('#change_mandatory').invisible();
				if (js_debug) console.log("change_mandatory button hidden because case is closed");					
			} else {
				if ($("#qb_light").data("checked")) {
					$('#change_mandatory').invisible();
					if (js_debug) console.log("change_mandatory button hidden because qb-light");				
				} else {
					$('#change_mandatory').visible();
					if (js_debug) console.log("change_mandatory button visible because team is defined");
				}
			}
	//
	// inform team handling will be handled in fill_grid()
	//			
	// settings for manual QB - enable all buttons but not mailing / inform buttons
			if ($qbsts == "M") {
				$('#inform_team').visible();
				$('#immediate_close_img').invisible();
			}		
		}
		function del_usr(loc) {
			$.alerts.cancelButton = localTranslation["cancel"][$globlan];
			jConfirm(localTranslation["confirm_delete"][$globlan], localTranslation["attention"][$globlan], function(r) {
				if (r) {
					$('#loading').show();
					$.ajax({
						type: "POST",
						cache: false,		
						url:  "./tools/team_api.php",
						data: { 
							routine: "delusr",
							qbn: window.sessionStorage.getItem("qb"),
							idx: loc
						},
						success: function(result)
						{
							if ($('#div_barcoda p label').eq(3).text() != "-") {
						// inform user about deletetion
								$.ajax({
									type: "POST",
									cache: false,		
									url:  "./tools/team_api.php",
									data: { 
										routine: "informdeluser",
										qbn: window.sessionStorage.getItem("qb"),
										idx: loc
									},
									success: function(result)
									{	
									}
								});
							}
							if ($("#qb").val().substr(-1, 1) != "*") fill_grid1();
							fill_grid();
							$('#loading').hide();
						}
					});						
				}
			});
		}
		function mail_usr(loc) {
			$('#loading').show();						
			$.ajax({
				type: "POST",
				cache: false,		
				url:  "./tools/team_api.php",
				data: { 
					routine: "mailsingle",
					idx: loc,
					qbn: window.sessionStorage.getItem("qb")
				},
				success: function(result)
				{
					var $idat = $("#div_"+loc+" p").find(':nth-child(5)');
					$idat.text(localizedate("<?php echo date('Y-m-d'); ?>"));
					$idat.data("lan", "<?php echo date('Y-m-d'); ?>");
					$("#div_"+loc+" p").find(':nth-child(6)').html("&nbsp;");
					$('#loading').hide();
				}
			});		
		}
		function fill_grid() {									// fill existing team table
		// fill grid with team members
			$.ajax({
				type: "GET",
				cache: false,
				url:  "./tools/team_api.php",
				data: { 
					routine: "existteam",
					qbn: window.sessionStorage.getItem("qb")
				},
				dataType: "json",
				success: function(result)
				{
					var exteam = result[0];
					var inf_team_done = result[1];		
					$("#teambuttons").val(result[1].join(':'));	
					var $qbs = result[2];
					$color_count = 1;
					$("#teamdiv_body").empty();
					$(exteam).each( function($key, $value) {
						$odat = ($value['INFORMED']=="-")?"-":localizedate($value['INFORMED']);
            $ndat = ($value['NOMINATED']=="-")?"-":localizedate($value['NOMINATED']);
						$("#teamdiv_body").append('<div id="div_'+$value['LOGIN']+'" style="padding:0px; margin: 0px; background-color: '+lc[$color_count % 2]+';"></div>');				
						$("#teamdiv_body").find("div:last").append('<p style="margin:0px; padding: 0px;"></p>');
						$("#teamdiv_body").find("p:last").append("<input type='hidden' value='"+$value['LOGIN']+"' />" +
						"<label class='teamlabel' style='width: 136px;'>"+$value['VORNAME']+"</label>" +
						"<label class='teamlabel' style='width: 136px;'>"+$value['NACHNAME']+"</label>" +
						"<label class='teamlabel' style='width: 76px;'>"+$value['DEPARTMENT']+"</label>" +
						"<label class='teamlabel inf-done' style='width: 66px;' data-type='tdate' data-lan='"+$value['INFORMED']+"'>"+$odat+"</label>");
						<?php 
							if ($qb_support->getoptions('mailing', 'useit') == "yes") {
						?>
							if ($odat == "-") {
								if (js_debug) console.log($value['VORNAME']+" "+$value['NACHNAME']+" not informed yet");
						// check if any team member was already informed
								if (inf_team_done[1] > 0) {
									if (js_debug) console.log($value['VORNAME']+" "+$value['NACHNAME']+" not informed yet but team was informed ");
									if ($qbs == "C") {
								// case closed, do not show envelope
										$("#teamdiv_body").find("p:last").append("<label class='teamlabel' style='width: 21px;'>&nbsp;</label>");
										if (js_debug) console.log("case is closed - do not show envelope");
									} else {
										$("#teamdiv_body").find("p:last").append("<label class='teamlabel' style='width: 21px; text-align: center;'>" +
										"<span data-type='image' data-lan='email' class='icn_mail_b_n clckbtn vam' title='"+localTranslation["email"][$globlan]+"' onclick='mail_usr(\""+$value['LOGIN']+"\");'></span>"+
										"</label>");
										if (js_debug) console.log($value['VORNAME']+" "+$value['NACHNAME']+" show envelope");
									}
								} else {
							// no - general inform button visible
									$("#teamdiv_body").find("p:last").append("<label class='teamlabel' style='width: 21px;'>&nbsp;</label>");
									if (js_debug) console.log($value['VORNAME']+" "+$value['NACHNAME']+" not informed yet but team also not informed yet -> do not show envelope");
								}						
							} else {
						// user was already informed, do not show envelope
								$("#teamdiv_body").find("p:last").append("<label class='teamlabel' style='width: 21px;'>&nbsp;</label>");
								if (js_debug) console.log($value['VORNAME']+" "+$value['NACHNAME']+" already informed");
							}
						<?php
							} else {
						?>
							$("#teamdiv_body").find("p:last").append("<label class='teamlabel' style='width: 21px;'>&nbsp;</label>");
						<?php
							}
						?>
							$("#teamdiv_body").find("p:last").append("<label class='teamlabel' style='width: 21px; text-align: center;'>" +
								"<span data-type='image' data-lan='rem' class='icn_delete_b_n clckbtn vam' title='"+localTranslation["rem"][$globlan]+"' onclick='del_usr(\""+$value['LOGIN']+"\");'></span>"+
								"</label>");
							$("#teamdiv_body").find("p:last").append("<label class='teamlabel' style='width: 20px; text-align: center;'>" +
								"<span data-type='nominate' data-lan='"+$ndat+"' class='icn_star_b_n hlpcrsr vam' title='"+localTranslation["nominated"][$globlan]+": "+$ndat+"' ></span>"+
								"</label>");							
						$color_count++;				
					});
					if ($qbs == "C") {
						$("#teamdiv_body .remimg").invisible();
					}
					<?php if ($qb_support->getoptions('mailing', 'useit') == "yes"){ ?>
	// handle mail team button				
					// check if case is closed
						if ($qbs == "C") {
							$('#inform_team').invisible();
							if (js_debug) console.log("mail team button hidden because case is closed");	
					// check if any team member is defined						
						} else if (inf_team_done[0] ==0) {
							$('#inform_team').invisible();
							if (js_debug) console.log("mail team button hidden because no team defined");
					// check if pl was informed
						} else if ($("#pl_idate").data("lan") == '0000-00-00 00:00:00') {
							$('#inform_team').invisible();
							if (js_debug) console.log("mail team button hidden because pl not informed yet");
					// check if at least one team member was already informed						
						} else if (inf_team_done[1] > 0) {
							$('#inform_team').invisible();
							if (js_debug) console.log("mail team button hidden because at leastr one team member was already informed");				
						} else {
					// show mail team button
							$('#inform_team').visible();
							if (js_debug) console.log("all criteria matched for mail team - show button");
						}
	// handle inform team button
					// check if case is closed
						if ($qbs == "C") {
							$('#mail_team').invisible();
							if (js_debug) console.log("inform team button hidden because case is closed");						
					// check if any team member is defined
						} else if (inf_team_done[0] ==0) {
							$('#mail_team').invisible();
							if (js_debug) console.log("inform team button hidden because no team defined");
					// check if pl was informed
						} else if ($("#pl_idate").data("lan") == '0000-00-00 00:00:00') {
							$('#mail_team').invisible();
							if (js_debug) console.log("inform team button hidden because pl not informed yet");
					// check if at least one team member was already informed
						} else if (inf_team_done[1] > 0) {
							$('#mail_team').visible();
							if (js_debug) console.log("inform team button visible because at least one team member was already informed");				
						} else {
					// just hide the button if no other criteria match
							$('#mail_team').invisible();
							if (js_debug) console.log("inform team button hidden because no criteria matched");
						}						
					<?php } ?>
				}		
			});	
		}
		function mail_team() {									// inform team function
			$("#loading").show();
			$.ajax({
				type: "POST",
				cache: false,		
				url:  "./tools/team_api.php",
				data: { 
					routine: "setinformteam",
					qbn: window.sessionStorage.getItem("qb")
				},
				success: function(result)
				{
					$('#teamdiv_body div p').children('label').each(function() {
						if ($(this).hasClass("inf-done")) {
							$(this).text(localizedate("<?php echo date('Y-m-d'); ?>"));
							$(this).data("lan", "<?php echo date('Y-m-d'); ?>");
						}
					});
					$("#loading").hide();	
				}
			});
			$('#inform_team').invisible();
			$.ajax({
				type: "POST",
				cache: false,		
				url:  "./tools/team_api.php",
				data: { 
					routine: "mailteam",
					qbn: window.sessionStorage.getItem("qb")
				},
				success: function(result)
				{
				}
			});			
		}
		<?php if ($qb_support->checkflag("ZY")) { ?>
		// set special rights
			function set_special(loc) {
				if (JSON.parse(window.sessionStorage.getItem("qbn")).status != "C") return;
				switch(loc) {
					case "X":
						$('#mat_edt_img').invisible();	
						if (($("#immediate_close").val() > 0) || (JSON.parse(window.sessionStorage.getItem("qbn")).status == "C") || (JSON.parse(window.sessionStorage.getItem("qbn")).status == "S")) {
							$("#immediate_close_img").invisible();
						}
						$("#teamdiv_body .remimg").invisible();
						handle_buttons(JSON.parse(window.sessionStorage.getItem("qbn")).status);
						break;
					case "A":
						$('#mat_edt_img').visible();	
						$('#assign_svt').visible();
						$('#assign_pl').visible();
						$("#immediate_close_img").visible();
						$('#add_member').visible();
						$('#change_mandatory').visible();
						$("#teamdiv_body .remimg").visible();
						break;			
				}	
			}
		<?php } ?>
		g_header2();
	</script>
</body>
</html>