<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	
	$routine = new A_contqb();
	echo $routine->execute();
	
	class A_contqb {
		
		public function __construct() 
		{
		}
		
		public function execute()
		{	
			global $db, $debug;
	// called routine
			$sub_routine = $_REQUEST["routine"];
			switch ($sub_routine)
			{
				case "getdata":
					$fltr = ($_REQUEST['clss'] == "all")?"":" AND CLSS='".$_REQUEST['clss']."' ";
			// make sure that start date is before end date, if no then swap results
					$ymds = $_REQUEST['from'];
					$ymde = $_REQUEST['to'];
					if ($ymds > $ymde) {
						$tmp = $ymds;
						$ymds = $ymde;
						$ymde = $tmp;
					}
			// get difference
					$o = Array();		// open cases
					$c = Array();		// closed cases
					$n = Array();		// new cases
					$d = Array();		// date
			// open cases
				// new cases
					$query = "
						SELECT 
							COUNT(*)
						FROM 
							qbi 
						WHERE 
							QBREGDATE>=:sdat AND 
							QBREGDATE<=:edat AND 
							QBSTATUS NOT IN ('M', 'D')				
					".$fltr;
					$stmt1 = $db->prepare($query);
					$stmt1->bindParam(':sdat', $ymds);		
					$stmt1->bindParam(':edat', $ymde);
				// closed cases
					$query = "
						SELECT 
							COUNT(*)
						FROM 
							qb_close 
						LEFT JOIN 
							qbi 
						ON 
							qbi.QBN=qb_close.QBN 
						WHERE 
							CL_DATE>=:sdat AND 
							CL_DATE<=:edat AND 
							QBSTATUS NOT IN ('M', 'D')
					".$fltr;
					$stmt2 = $db->prepare($query);
					$stmt2->bindParam(':sdat', $ymds);		
					$stmt2->bindParam(':edat', $ymde);
      // analysis monthly
					if ($_REQUEST['art'] == "M") {
						$s_explode = explode("-", $ymds);
						$e_explode = explode("-", $ymde);
						$dm = ($e_explode[1] - $s_explode[1]) + (($e_explode[0] - $s_explode[0])*12);
						$s_explode[1]--;
						$rec = join("-", $s_explode);
        // get all open cases before selected period
            $ymde = date('Y-m-d', strtotime('-1 day', strtotime($s_explode[0] . "-" . $s_explode[1] . "-01")));
            $ymds = "1900-01-01";         // start date dummy - just needed to use same query as below...
            $stmt1->execute();
						$oldopen = ($stmt1->rowCount() > 0)?$stmt1->fetchColumn():0;
						$stmt2->execute();
						$oldopen = $oldopen - (($stmt2->rowCount() > 0)?$stmt2->fetchColumn():0);
            if ($oldopen < 0) $oldopen = 0;       // just to be sure that the starting cases are at least 0
        // now start to iterate
						for ($i=0; $i<=$dm; $i++) {
							$andat = explode("-", $rec);
							$andat[1] = ($andat[1]+1);
							if ($andat[1] > 12) {
								$andat[1] = 1;
								$andat[0] = $andat[0]+1;
							}
							$rec = $ymds = $andat[0] . "-" . $andat[1] . "-01";
              $ymde = (new DateTime($ymds))->format('Y-m-t');
						// get new cases
							$stmt1->execute();
							$nt = $n[] = $stmt1->fetchColumn();
						// get closed cases
							$stmt2->execute();							
							$ct = $c[] = ($stmt2->rowCount() > 0)?$stmt2->fetchColumn():0;
						// get date
							$d[] = $andat[0] . "-" . substr("0".$andat[1], -2);
            // calculate open
              $newopen = $o[] = $oldopen +$nt - $ct;
              $oldopen = $newopen;
						}
						return json_encode(Array($d, $n, $c, $o));
					} else {
				// analysis quarterly
						$s_explode = explode("-", $ymds);
						$e_explode = explode("-", $ymde);
						$dq = (ceil($e_explode[1]/3) - ceil($s_explode[1]/3)) + (($e_explode[0] - $s_explode[0])*4);
						$ay = $s_explode[0];
						$aq = ceil($s_explode[1]/3);
            
        // get all open cases before selected period
            $ymde = date('Y-m-d', strtotime('-1 day', strtotime($ay . "-" . (($aq-1)*3+1) . "-01")));
            $ymds = "1900-01-01";         // start date dummy - just needed to use same query as below...
            $stmt1->execute();
						$oldopen = ($stmt1->rowCount() > 0)?$stmt1->fetchColumn():0;
						$stmt2->execute();
						$oldopen = $oldopen - (($stmt2->rowCount() > 0)?$stmt2->fetchColumn():0);
            if ($oldopen < 0) $oldopen = 0;       // just to be sure that the starting cases are at least 0
						for ($i=0; $i<=$dq; $i++) {
              $ymds = $ay . "-" . (($aq-1)*3+1) . "-01";
              $ymde = (new DateTime($ay . "-" . $aq*3 . "-01"))->format('Y-m-t');
						// get new cases							
							$stmt1->execute();
							$nt = $n[] = ($stmt1->rowCount() > 0)?$stmt1->fetchColumn():0;
						// get closed cases							
							$stmt2->execute();
							$ct = $c[] = ($stmt2->rowCount() > 0)?$stmt2->fetchColumn():0;
						// get date
							$d[] = "Q" . $aq . "-" . $ay;
            // calculate open
              $newopen = $o[] = $oldopen +$nt - $ct;
              $oldopen = $newopen;
							$aq++;
							if ($aq == 5) {
								$ay++;
								$aq = 1;
							}							
						}
						return json_encode(Array($d, $n, $c, $o));						
					}	
					break;					
			}
		}		
	}
?>	