<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	global $rel_path;	
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;
	
	$routine = new A_fclass();
	echo $routine->execute();
	
	class A_fclass {
		
		public function __construct() 
		{
		}
		
		public function execute()
		{	
			global $db, $debug, $qb_support, $rel_path;
	// called routine
			$sub_routine = $_REQUEST["routine"];
			switch ($sub_routine)
			{
				case "getdata":
					$fltr = ($_REQUEST['clss'] == "all")?"":" AND CLSS='".$_REQUEST['clss']."'";
			// make sure that start date is before end date, if no then swap results
					$ymds = $_REQUEST['from'];
					$ymde = $_REQUEST['to'];
					if ($ymds > $ymde) {
						$tmp = $ymds;
						$ymds = $ymde;
						$ymde = $tmp;
					}				
					$query = "
						SELECT 
							CC, 
							COUNT(CC) 
						FROM 
							qbi 
						WHERE 
							qbi.CC!='' AND 
							QBREGDATE>=:sdat AND 
							QBREGDATE<=:edat
					".$fltr."
						GROUP BY 
							qbi.CC";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':sdat' => $ymds,
							':edat' => $ymde
						)
					);		
					$c = Array();
					$m = Array();
					$t = Array();
					$x = Array();
					while($row = $stmt->fetch(PDO::FETCH_NUM)) {
						$c[] = $row[0];
						$m[] = ((integer) $row[1]);
					}
					$FC = parse_ini_file($rel_path.'xml/fc_cc.ini', true);
					foreach ($c as $value) {
						foreach ($FC AS $key1=>$value1) {
							if ($key1 == $value) $t[] = $value1[$_REQUEST['qblan']] . " (".$key1.")";
						}
					}
					$x[] = $t;
					$x[] = $m;
					$x[] = $c;
					$result = json_encode($x);
					return $result;		
					break;
				case "details":
					$fltr = ($_REQUEST['clss'] == "all")?"":" AND CLSS='".$_REQUEST['clss']."'";
					$query = "
						SELECT 
							IF(DDDD='', 'NA', DDDD), 
							COUNT(DDDD) 
						FROM 
							qbi 
						WHERE 
							CC=:cc AND 
							QBREGDATE>=:sdat AND 
							QBREGDATE<=:edat AND
							DDDD != ''
					".$fltr."
						GROUP BY 
							DDDD
						ORDER BY
							COUNT(DDDD) ASC
					";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':sdat' => $_REQUEST['sdate'],
							':edat' => $_REQUEST['edate'],
							':cc' => $_REQUEST['cc']
						)
					);
					$m = Array();
					$n = Array();
					$c = Array();
					$FD = parse_ini_file($rel_path.'xml/fc_dd.ini', true);
					while($r = $stmt->fetch(PDO::FETCH_NUM)) {
						$m[] = (integer) $r[1];
						$n[] = $FD[substr($r[0],0,2)]["_".substr($r[0],2,2)][$_REQUEST['qblan']]." (".$r[0].")";
						$c[] = $r[0];
					}
					$x = Array();
					$x[] = $n;
					$x[] = $m;
					$x[] = $c;					
					$result = json_encode($x);
					return $result;		
					break;
				case "gettable":
					$fltr = ($_REQUEST['clss'] == "all")?"":" AND CLSS='".$_REQUEST['clss']."'";
					$query[] = "
						SELECT 
							qbi.QBN AS qbn, 
							MNR AS tgr, 
							DESCRIPTION AS doc
						FROM 
							qbi
						LEFT JOIN
							qbbasic ON qbbasic.QBN=qbi.QBN
						WHERE
							CC=:cc AND
							DDDD=:dddd AND 
							QBSTATUS='C' AND 
							QBREGDATE>=:sdat AND 
							QBREGDATE<=:edat
					".$fltr;
				// generate order & limit
					$order_str = "ORDER BY " . $_REQUEST['sidx'] . " " . $_REQUEST['sord'];
					$limit_str = " LIMIT " . ($_REQUEST['page']-1)*$_REQUEST['rows'] . ", " . $_REQUEST['rows'];
				// compile query string
					$querystr = $qb_support->makequery(json_encode($query), json_encode($_REQUEST));
				// get total rows first (only query string)
					$stmt = $db->prepare($querystr);
					$stmt->execute(
						array(
							':cc' => $_REQUEST['cc'],
							':dddd' => $_REQUEST['dddd'],
							':sdat' => $_REQUEST['from'],
							':edat' => $_REQUEST['to']
						)
					);					
					$num_records = $stmt->rowCount();
					$num_pages = ceil($num_records/$_REQUEST['rows']);
				// now get result (query string with iorder and limit)		
					$stmt = $db->prepare($querystr . " " . $order_str . " " . $limit_str);
					$stmt->execute(
						array(
							':cc' => $_REQUEST['cc'],
							':dddd' => $_REQUEST['dddd'],
							':sdat' => $_REQUEST['from'],
							':edat' => $_REQUEST['to']
						)
					);					
					$rows = array();
					while($r = $stmt->fetch(PDO::FETCH_ASSOC)) {
						$rows[] = $r;
					}	
					$ret = Array();
					$ret['total'] = $num_pages;
					$ret['page'] = $_REQUEST['page'];
					$ret['records'] = $num_records;
					$ret['rows'] = $rows;					
					$result = json_encode($ret);
					return $result;	
					break;					
			}
		}
	}
?>	