<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	global $rel_path;	
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;
	
	$routine = new A_gen();
	echo $routine->execute();
	
	class A_gen {
		
		public function __construct() 
		{
		}
		
		public function execute()
		{	
			global $db, $rel_path, $debug, $timezone, $qb_support;
	// called routine
			$sub_routine = $_REQUEST["routine"];
			switch ($sub_routine)
			{
				case "opentable":			
					$fltr = ($_REQUEST['clss'] == 'all')?"":" AND CLSS='".$_REQUEST['clss']."' ";
				// generate group array
                    $ini_grp = parse_ini_file($rel_path.'xml/grouprtypes.ini', true);
                    $grp = $ini_grp[$_REQUEST['qblan']]["group"];
				// rtype translations
					$trn_dat = Array();
					$ini_rekart = parse_ini_file($rel_path.'xml/r_type.ini', true);			
					$qu = explode("-", $_REQUEST['qu']);
					$sdat = $qu[1]."-".((($qu[0]-1)*3)+1)."-01";
					$edat = $qu[1]."-".($qu[0]*3)."-31";
					$query = "
						SELECT
                        	RTYPE AS rtype,
							COUNT(RTYPE) AS cnt,
							'' AS rgroup
						FROM
							qbi
						WHERE
							QBREGDATE>=:sdat AND 
							QBREGDATE<=:edat
					".$fltr."
						GROUP BY 
							RTYPE
					";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':sdat' => $sdat,
							':edat' => $edat
						)
					);					
					$r = Array();
					while($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
						$row['rgroup'] = $grp[$row['rtype']];
						$row['rtype'] = $ini_rekart[$row['rtype']][$_REQUEST['qblan']];
						$r[] = $row;
					}					
					$result = json_encode($r);
					return $result;
					break;						
				case "openqb":
					$fltr = ($_REQUEST['clss'] == 'all')?"":" AND CLSS='".$_REQUEST['clss']."' ";
				// generate group array
                    $ini_grp = parse_ini_file($rel_path.'xml/grouprtypes.ini', true);
                    $grp = Array();
                    $r = array();
                    $grp2= $ini_grp[$_REQUEST['qblan']]["group"];
                    foreach ($grp2 as $key => $value) {
                        if (!array_key_exists($value, $grp)) {
                            $grp[$value] = "'".$key."'";
                            $r[0][] = $value;
                        } else {
                            $grp[$value] .= ",'".$key."'";
                        }
                    }
			// make sure that start date is before end date, if no then swap results
					$ymds = $_REQUEST['sdate'];
					$ymde = $_REQUEST['edate'];
					if ($ymds > $ymde) {
						$tmp = $ymds;
						$ymds = $ymde;
						$ymde = $tmp;
					}
			// generate query
					$query = "SELECT ";
					foreach($grp AS $key=>$value) {
						$crit = rtrim($value , ",");
						$query .= "SUM(IF(RTYPE IN (".$crit."), 1, 0)), ";
					}
					$query .= "
                            CONCAT('0', QUARTER(QBREGDATE), '-', YEAR(QBREGDATE)) AS QU
						FROM
							qbi
						WHERE
							QBREGDATE>=:sdat AND 
							QBREGDATE<=:edat
					".$fltr."
						GROUP BY 
							YEAR(QBREGDATE), QUARTER(QBREGDATE)
					";				
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':sdat' => $ymds,
							':edat' => $ymde
						)
					);
					while($row = $stmt->fetch(PDO::FETCH_NUM)) {
						for ($i=1; $i<=count($grp)+1; $i++) {
							if ($i != 4) {
								$r[$i][] = intval ($row[$i-1]);
							} else {
								$r[$i][] = $row[$i-1];
							}
						}
					}
					$result = json_encode($r);
					return $result;
					break;			
				case "qbstatus":
					$fltr = ($_REQUEST['clss'] == 'all')?"":" WHERE CLSS='".$_REQUEST['clss']."'";
					$query = "
						SELECT 
							SUM(IF (QBSTATUS='N', 1, 0)) AS N, 
							SUM(IF (QBSTATUS='O', 1, 0)) AS O,  
							SUM(IF (QBSTATUS='S', 1, 0)) AS S
						FROM 
							qbi
					".$fltr;				
					$stmt = $db->query($query);
					$row = $stmt->fetch(PDO::FETCH_NUM );	
					date_default_timezone_set($timezone);					
					$d = date("Y-m-d H:i:s");
					$result = json_encode(Array($row, $d));
					return $result;		
					break;
				case "qbffu":
					$fltr = ($_REQUEST['clss'] == 'all')?"":" AND CLSS='".$_REQUEST['clss']."' ";	
			// load xml to generate groups
					$ini_fcat = parse_ini_file($rel_path.'xml/failure_category.ini', true);	
					$ini_ffu = parse_ini_file($rel_path.'xml/ffu.ini', true);
					$ffug = Array();
					foreach ($ini_ffu AS $key=>$value) {
						if (!array_key_exists($value['inclass'], $ffug)) {
							$ffug[$value['inclass']] =  "'".$key;
						} else {
							$ffug[$value['inclass']] =  $ffug[$value['inclass']]."','".$key;
						}
					}				
			// make sure that start date is before end date, if no then swap results
					$ymds = $_REQUEST['sdate'];
					$ymde = $_REQUEST['edate'];
					if ($ymds > $ymde) {
						$tmp = $ymds;
						$ymds = $ymde;
						$ymde = $tmp;
					}
//	split date range in quarters
					$ds = DateTime::createFromFormat('Y-m-d', $ymds);
					$de = DateTime::createFromFormat('Y-m-d', $ymde);
					$dsq = ceil($ds->format('m')/3);
					$deq = ceil($de->format('m')/3);
					$dsy = $ds->format('y');
					$dey = $de->format('y');
					$numq = intval($deq - $dsq + 4*($dey - $dsy) + 1);
					$yi = $ds->format('Y');		// start year
					$qi = $dsq;					// start quarter
				// assemble query
					$x = array();		// temp result data
					$l = array();		// category translation
					$t = array();		// quarters
					$y = array();		// final result data
					$j = 0;
					$query = "SELECT ";
					foreach($ffug as $key=>$value) {
						$query .= "SUM(IF(FFU IN (" . $value . "'), 1, 0)) AS " . $key . ", ";
						$l[] = $ini_fcat[$key][$_SESSION['lng']];
						$x[$key] = array();
						$j++;
					}
					$query = substr($query, 0, -2);
					$query .= " 
						FROM 
							qb_close 
						LEFT JOIN 
							qbi ON qb_close.QBN=qbi.QBN 
						WHERE 
							QBSTATUS NOT IN ('D', 'M') AND 
							QBREGDATE>=:sdat AND
							QBREGDATE<=:edat
					".$fltr;
					$stmt = $db->prepare($query);
					$sd = 0;
					$ed = 0;
					$stmt->bindParam(':sdat', $sd);
					$stmt->bindParam(':edat', $ed);
				// result array
					$r = Array();
					for ($i = 0; $i < $numq; $i++) {					
				// create start date of quarter	
						$sd = DateTime::createFromFormat("Y-m-d", $yi."-".((($qi-1)*3)+1)."-01")->format('Y-m-d');
				// create end date of quarter						
						$ed = date("Y-m-t", strtotime($yi."-".($qi*3)."-01")); 	
				// run query
						$stmt->execute();
						$key = "0".$qi."-".$yi;
						$t[] = $key;
						$v = $stmt->fetch(PDO::FETCH_ASSOC);
						$r[$key] = $v;
						foreach($v as $key=>$value) {
							$x[$key][] = $value;
						}
						$qi++;
						if ($qi > 4) {
							$qi = 1;
							$yi++;
						}
					}
					foreach($x as $key=>$value) {
						$y[] = array_map('intval', array_values($value));
					}
					$result = json_encode(array($l, $y, $t));
					return $result;				
					break;
				case "qbqbl":
					$fltr = ($_REQUEST['clss'] == 'all')?"":" AND CLSS='".$_REQUEST['clss']."'";	
			// make sure that start date is before end date, if no then swap results
					$ymds = $_REQUEST['sdate'];
					$ymde = $_REQUEST['edate'];
					if ($ymds > $ymde) {
						$tmp = $ymds;
						$ymds = $ymde;
						$ymde = $tmp;
					}				
					$query = "
						SELECT 
							SUM(TOP),
							SUM(LIGHT),
							(COUNT(*) -SUM(TOP) - SUM(LIGHT))
						FROM 
							qbi 
						WHERE 
							QBSTATUS NOT IN ('M', 'D') AND 
							QBREGDATE>=:sdat AND 
							QBREGDATE<=:edat
					".$fltr;				
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':sdat' => $ymds,
							':edat' => $ymde
						)
					);
					$row = $stmt->fetch(PDO::FETCH_NUM);
					$result = json_encode($row);
					return $result;		
					break;
			}
		}		
	}
?>	