<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	global $rel_path;	
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;
	
	$routine = new Meta();
	echo $routine->execute();
	
	class Meta {
		
		public function __construct() 
		{
		}
		
		public function execute()
		{	
			global $db, $debug, $qb_support, $rel_path;
	// called routine
			$sub_routine = $_REQUEST["routine"];
			switch ($sub_routine)
			{
				case "search":
					$fltr = ($_REQUEST['clss'] == 'all')?"":" AND CLSS='".$_REQUEST['clss']."' ";
			// make sure that start date is before end date, if no then swap results
					$ymds = $_REQUEST['sdat'];
					$ymde = $_REQUEST['edat'];
					if ($ymds > $ymde) {
						$tmp = $ymds;
						$ymds = $ymde;
						$ymde = $tmp;
					}					
		// working on meta filter
					$_REQUEST['meta'] = $_REQUEST['meta1'];
					if (stripos($_REQUEST['meta'], 'all') !== false) { // option "all"
						$meta_dat = " LIKE '%' ";
					} else {
						$meta_dat = " IN (" . $_REQUEST['meta'] . ") ";
					}
					$query[] = "
						SELECT 
							qb_meta.QBN AS qbn, 
							(SELECT TXT FROM qb_metadata WHERE REF=META) AS meta, 
							(IF(MNR='0','xxxxx-xxxxx', MNR)) AS mat, 
							DESCRIPTION AS des, 
							QBREGDATE AS qbdat 
						FROM 
							qb_meta 
						LEFT JOIN 
							qbbasic ON qb_meta.QBN=qbbasic.QBN 
						LEFT JOIN 
							qbi ON qbi.QBN=qbbasic.QBN 
						WHERE 
							QBSTATUS NOT IN ('D', 'M') AND 
							QBREGDATE>=:sdat AND 
							QBREGDATE<=:edat AND
							META" . $meta_dat . " 
					".$fltr;				
				// generate order & limit
					$order_str = "ORDER BY " . $_REQUEST['sidx'] . " " . $_REQUEST['sord'];
					$limit_str = " LIMIT " . ($_REQUEST['page']-1)*$_REQUEST['rows'] . ", " . $_REQUEST['rows'];
				// compile query string
					unset($_REQUEST['meta']);
					unset($_REQUEST['meta1']);
					unset($_REQUEST['clss']);
					$querystr = $qb_support->makequery(json_encode($query), json_encode($_REQUEST));
				// get total rows first (only query string)
					$stmt = $db->prepare($querystr);
					$stmt->execute(
						array(
							':sdat' => $ymds,
							':edat' => $ymde
						)
					);					
					$num_records = $stmt->rowCount();
					$num_pages = ceil($num_records/$_REQUEST['rows']);
				// now get result (query string with iorder and limit)		
					$stmt = $db->prepare($querystr . " " . $order_str . " " . $limit_str);
					$stmt->execute(
						array(
							':sdat' => $ymds,
							':edat' => $ymde
						)
					);
					$rows = array();
					while($r = $stmt->fetch(PDO::FETCH_ASSOC)) {		
						$rows[] = $r;
					}	
					$ret = Array();
					$ret['total'] = $num_pages;
					$ret['page'] = $_REQUEST['page'];
					$ret['records'] = $num_records;
					$ret['rows'] = $rows;					
					$result = json_encode($ret);
					return $result;		
					break;
			}
		}	
	}
?>
