<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	global $rel_path;	
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;
	
	$routine = new Freequery();
	echo $routine->execute();
	
	class Freequery {
		
		public function __construct() 
		{
		}
		
		public function execute()
		{	
			global $db, $debug, $qb_support;
	// called routine
			$sub_routine = $_REQUEST["routine"];
			switch ($sub_routine)
			{
				case "getdata":
				// define material name language
					$mncol = $qb_support->getLanMat($_REQUEST['qblan']);	
					$query[] = "
						SELECT 
							qbi.QBN AS qbn, 
							QBSTATUS AS qbstatus, 
							QBSTATUS AS sts,
							CLSS AS clss,
							CUSTOMER AS customer, 
							QBREGDATE AS regdate, 
							RTYPE AS rtype, 
							DESCRIPTION AS description,
							FFU AS ffu, 
							(SELECT COUNTRY FROM qb_ccode WHERE SALESORG = CODE) AS vko,
							(SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE LOGIN=qbi.SVT) AS svt, 
							IF (SHOWREQ=1,(SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE REQ=LOGIN), '*****') AS req,
							(SELECT REGION FROM qb_user WHERE REQ=LOGIN) AS regio,
							IF (MNR='0', 'xxxxx-xxxxx', MNR) AS tgr, 
							COALESCE(TGRBZ_" . $mncol . ", 'xxxxx-xxxxx') AS tgrbz,
							(SELECT SUPPLIERNAME FROM qb_supplier WHERE SUPPLIER=SUPPLIERNR) AS supplier,
							(SELECT (SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE LOGIN=NAME) FROM qb_team WHERE ROLLE='PL' AND qbn=qbi.QBN) AS pl, 
							(SELECT (SELECT DEPARTMENT FROM qb_user WHERE LOGIN=NAME) FROM qb_team WHERE ROLLE='PL' AND qbn=qbi.QBN) AS department,
							BEST AS best							
						FROM 
							qbi 
						LEFT JOIN 
							qbbasic ON qbi.QBN=qbbasic.QBN 
						LEFT JOIN 
							qb_material ON MNR=TGR 
						LEFT JOIN 
							qb_close ON qbi.QBN=qb_close.QBN 
						WHERE 
							QBSTATUS NOT IN ('M', 'D') AND
							QBREGDATE>=:sdat AND
							QBREGDATE<=:edat AND
							TOP=1
					";	
				// generate order & limit
					$order_str = "ORDER BY " . $_REQUEST['sidx'] . " " . $_REQUEST['sord'];
					$limit_str = " LIMIT " . ($_REQUEST['page']-1)*$_REQUEST['rows'] . ", " . $_REQUEST['rows'];
				// fix for empty "filters" string
					if ((isset($_REQUEST['filters'])) AND ($_REQUEST['filters'] =="")) unset($_REQUEST['filters']);
					if ((isset($_REQUEST['searchField'])) AND ($_REQUEST['searchField'] =="")) unset($_REQUEST['searchField']);
					if ((isset($_REQUEST['searchOper'])) AND ($_REQUEST['searchOper'] =="")) unset($_REQUEST['searchOper']);
					if ((isset($_REQUEST['searchString'])) AND ($_REQUEST['searchString'] =="")) unset($_REQUEST['searchString']);
				// compile query string
					$querystr = $qb_support->makequery(json_encode($query), json_encode($_REQUEST));						
				// get total rows first (only query string)
					$stmt = $db->prepare($querystr);
					$stmt->execute(
						array(
							':sdat' => $_REQUEST['sdat'],
							':edat' => $_REQUEST['edat']
						)
					);
					$num_records = $stmt->rowCount();
					$num_pages = ceil($num_records/$_REQUEST['rows']);
				// now get result (query string with iorder and limit)		
					$stmt = $db->prepare($querystr . " " . $order_str . " " . $limit_str);
					$stmt->execute(
						array(
							':sdat' => $_REQUEST['sdat'],
							':edat' => $_REQUEST['edat']
						)
					);	
					$rows = array();
					while($r = $stmt->fetch(PDO::FETCH_ASSOC)) {
						$rows[] = $r;
					}	
					$ret = Array();
					$ret['total'] = $num_pages;
					$ret['page'] = $_REQUEST['page'];
					$ret['records'] = $num_records;
					$ret['rows'] = $rows;					
					$result = json_encode($ret);
					return $result;		
					break;
			}
		}
	}
?>