<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");

	$routine = new A_topten();
	echo $routine->execute();
	
	class A_topten {
		
		public function __construct() 
		{
		}
		
		public function execute()
		{	
			global $db, $debug;
	// make sure that start date is before end date, if no then swap results
			$ymds = $_REQUEST['sdate'];
			$ymde = $_REQUEST['edate'];
			if ($ymds > $ymde) {
				$tmp = $ymds;
				$ymds = $ymde;
				$ymde = $tmp;
			}			
	// called routine
			$sub_routine = $_REQUEST["routine"];
			switch ($sub_routine)
			{
				case "toptenffu":
					$fltr = ($_REQUEST['clss'] == "all")?"":" AND CLSS='".$_REQUEST['clss']."' ";						
					$query = "
						SELECT 
							FFU, 
							COUNT(FFU) 
						FROM 
							qb_close, 
							qbi 
						WHERE 
							qb_close.QBN=qbi.QBN AND
							FFU!='' AND
							QBREGDATE>=:sdat AND 
							QBREGDATE<=:edat
					" . $fltr . "							
						GROUP BY 
							FFU 
						ORDER BY 
							COUNT(FFU) DESC 
						LIMIT 
							0, 10
					";				
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':sdat' => $ymds,
							':edat' => $ymde
						)
					);
					$r = Array();
					$x = Array();
					while($row = $stmt->fetch(PDO::FETCH_NUM)) {
						$r[] = $row[0];
						$x[] = (integer) $row[1];
					}
					$result = json_encode(Array($r, $x));
					return $result;		
					break;
				case "toptensup":
					$fltr = ($_REQUEST['clss'] == "all")?"":" AND CLSS='".$_REQUEST['clss']."' ";
					$query = "
						SELECT 
							COALESCE(SUPPLIERNAME, 'N/A'), 
							COUNT(SUPPLIER) AS TOP 
						FROM 
							qbi, 
							qbbasic 
						LEFT JOIN 
							qb_supplier ON SUPPLIER=SUPPLIERNR 
						LEFT JOIN 
							qb_close ON qbbasic.QBN=qb_close.QBN 
						WHERE 
							qbi.QBN=qbbasic.QBN AND 
							QBREGDATE>=:sdat
							AND QBREGDATE<=:edat AND 
							QBSTATUS='C' AND SUPPLIER != '' AND 
							FFU='SUP'
					" . $fltr . "															
						GROUP BY 
							SUPPLIER 
						ORDER BY 
							TOP DESC 
						LIMIT 
							0, 10
					";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':sdat' => $ymds,
							':edat' => $ymde
						)
					);
					$r = Array();
					$x = Array();
					while($row = $stmt->fetch(PDO::FETCH_NUM)) {
						$r[] = $row[0];
						$x[] = (integer) $row[1];
					}
					$result = json_encode(Array($r, $x));
					return $result;		
					break;
				case "toptenmat":
					$fltr = ($_REQUEST['clss'] == "all")?"":" AND CLSS='".$_REQUEST['clss']."' ";
					if ($_REQUEST['o_xxx'] == 0) {
						$query = "
							SELECT 
								MNR, 
								COUNT(MNR) AS TOP 
							FROM 
								qbi, 
								qbbasic 
							WHERE 
								qbi.QBN=qbbasic.QBN AND 
								QBREGDATE>=:sdat AND 
								QBREGDATE<=:edat
								AND MNR <> 0 AND 
								QBSTATUS NOT IN ('M', 'D')
						" . $fltr . "
							GROUP BY 
								MNR 
							ORDER BY 
								TOP DESC 
							LIMIT 
								0, 10
						";
					} else {
						$query = "
							SELECT 
								IF(MNR='0', 'xxxxx-xxxxx', MNR) AS MNR, 
								COUNT(MNR) AS TOP 
							FROM 
								qbi, 
								qbbasic 
							WHERE 
								qbi.QBN=qbbasic.QBN AND 
								QBREGDATE>=:sdat AND 
								QBREGDATE<=:edat AND 
								QBSTATUS NOT IN ('M', 'D')
						" . $fltr . "
							GROUP BY 
								MNR 
							ORDER BY 
								TOP DESC 
							LIMIT 
								0, 10
						";
					}	
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':sdat' => $ymds,
							':edat' => $ymde
						)
					);
					$r = Array();
					$x = Array();
					while($row = $stmt->fetch(PDO::FETCH_NUM)) {
						$r[] = $row[0];
						$x[] = (integer) $row[1];
					}
					$result = json_encode(Array($r, $x));
					return $result;		
					break;
			}
		}		
	}
?>	