<?php
	include ("../templates/db-def.php");
	global $rel_path;	
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;

	$routine = new Meta();
	echo $routine->execute();
	
	class Meta {
		
		public function __construct() 
		{
		}
		
		public function execute()
		{	
			global $db, $debug, $qb_support;
	// called routine
			$sub_routine = $_REQUEST["routine"];
			switch ($sub_routine)
			{
				case "search":
					$fltr = ($_REQUEST['clss'] == "all")?"":" AND CLSS='".$_REQUEST['clss']."'";
		// working on wgr filter
					if (stripos($_REQUEST['wgr1'], 'all') !== false) { // option "all"
						$wgr_dat = " LIKE '%' ";
					} else {
						$wgr_dat = " IN (" . $_REQUEST['wgr1'] . ") ";
					}
					$query[] = "
						SELECT
							WGR AS wgr,
							qbbasic.QBN AS qbn,
							(IF(MNR='0','xxxxx-xxxxx', MNR)) AS mat, 
							DESCRIPTION AS des, 
							QBREGDATE AS qbdat,
							QBSTATUS AS status,
							(SELECT COALESCE(CONCAT(NACHNAME, ', ', VORNAME), '') FROM qb_user WHERE LOGIN=qbi.SVT) AS svt,
							(SELECT COALESCE(DEPARTMENT, '') FROM qb_user WHERE LOGIN=qbi.SVT) AS dep,
							QBSTATUS AS sts
						FROM
							qb_material
						LEFT JOIN
							qbbasic
						ON
							TGR=MNR
						LEFT JOIN
							qbi
						ON
							qbi.QBN=qbbasic.QBN
						WHERE
							QBSTATUS NOT IN ('D', 'M') AND
							QBREGDATE>=:sdat AND 
							QBREGDATE<=:edat AND
							WGR" . $wgr_dat . "
					".$fltr;
				// generate order & limit
					$order_str = "ORDER BY " . $_REQUEST['sidx'] . " " . $_REQUEST['sord'];
					$limit_str = " LIMIT " . ($_REQUEST['page']-1)*$_REQUEST['rows'] . ", " . $_REQUEST['rows'];
				// compile query string
					$querystr = $qb_support->makequery(json_encode($query), json_encode($_REQUEST));				
				// get total rows first (only query string)
					$stmt = $db->prepare($querystr);
					$stmt->execute(
						array(
							':sdat' => $_REQUEST['sdate'],
							':edat' => $_REQUEST['edate']
						)
					);
					$num_records = $stmt->rowCount();
					$num_pages = ceil($num_records/$_REQUEST['rows']);
				// now get result (query string with iorder and limit)		
					$stmt = $db->prepare($querystr . " " . $order_str . " " . $limit_str);
					$stmt->execute(
						array(
							':sdat' => $_REQUEST['sdate'],
							':edat' => $_REQUEST['edate']
						)
					);
					$rows = array();
					while($r = $stmt->fetch(PDO::FETCH_ASSOC)) {		
						$rows[] = $r;
					}	
					$ret = Array();
					$ret['total'] = $num_pages;
					$ret['page'] = $_REQUEST['page'];
					$ret['records'] = $num_records;
					$ret['rows'] = $rows;					
					$result = json_encode($ret);
					return $result;		
					break;
			}
		}	
	}
?>
