<?php
// this generates the excel
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	global $rel_path;	
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;
	$lng = $_REQUEST['qblan'];
// general translations
	$ini_awgr = parse_ini_file($rel_path.'i18n/a_wgr.ini', true);
	$cal = parse_ini_file($rel_path.'i18n/calendar.ini', true);
	$ini_qbstatus = parse_ini_file($rel_path.'xml/qb_status.ini', true);	
// extract data
	$filters = json_decode($_REQUEST['filters'], true);
	$detfilter = " HAVING ";
	foreach($filters as $key=>$value) {
		if ($value != "") {
			$detfilter .= $key." LIKE '%".$value."%' AND ";
		}
	}
	if ($detfilter == " HAVING ") {
		$detfilter = "";
	} else {
		$detfilter = substr($detfilter, 0, -5);
	}
	$titles = json_decode($_REQUEST['titles'], true);
	$clss = json_decode($_REQUEST['qbclss'], true);
	$clss_key = array_keys($clss)[0];
	$clss_txt = $clss[$clss_key];
	$fltr = ($clss_key == 'all')?"":" AND CLSS='".$clss_key."' ";
	$wgr_fltr = ($_REQUEST['qbwgr'] == "'all'")?"":" AND WGR IN (".$_REQUEST['qbwgr'].")";
	$ymds = $_REQUEST['sdate'];
	$ymde = $_REQUEST['edate'];
	if ($ymds > $ymde) {
		$tmp = $ymds;
		$ymds = $ymde;
		$ymde = $tmp;
	}
	$query = "
		SELECT
			qbbasic.QBN AS qbn,
			QBREGDATE AS qbdat,
			WGR AS wgr,
			(IF(MNR='0','xxxxx-xxxxx', MNR)) AS mat,
			QBSTATUS AS status,
			DESCRIPTION AS des, 
			(SELECT COALESCE(CONCAT(NACHNAME, ', ', VORNAME), '') FROM qb_user WHERE LOGIN=qbi.SVT) AS svt,
			(SELECT COALESCE(DEPARTMENT, '') FROM qb_user WHERE LOGIN=qbi.SVT) AS dep
		FROM
			qb_material
		LEFT JOIN
			qbbasic
		ON
			TGR=MNR
		LEFT JOIN
			qbi
		ON
			qbi.QBN=qbbasic.QBN
		WHERE
			QBSTATUS NOT IN ('D', 'M') AND
			QBREGDATE>=:sdat AND 
			QBREGDATE<=:edat
	".$wgr_fltr.$fltr.$detfilter;
	$stmt = $db->prepare($query);
	$stmt->execute(
		array(
			':sdat' => $ymds,
			':edat' => $ymde
		)
	);			
	$num_records = $stmt->rowCount();	

/** Include PhpSpreadsheet */
  require $rel_path.'phpspreadsheet/autoload.php';

  use PhpOffice\PhpSpreadsheet\Spreadsheet;
  use PhpOffice\PhpSpreadsheet\Style\Border;
  use PhpOffice\PhpSpreadsheet\Style\Color;
  use PhpOffice\PhpSpreadsheet\Style\Font;
  use PhpOffice\PhpSpreadsheet\Writer\Xlsx;

  $spreadsheet = new Spreadsheet();
  $spreadsheet->getActiveSheet()->getPageSetup()->setOrientation(\PhpOffice\PhpSpreadsheet\Worksheet\PageSetup::ORIENTATION_LANDSCAPE);
  $spreadsheet->getActiveSheet()->getPageSetup()->setPaperSize(\PhpOffice\PhpSpreadsheet\Worksheet\PageSetup::PAPERSIZE_A4);
  $spreadsheet->getProperties()->setCreator("QB-oot")->setTitle("TOP Qb");
  $spreadsheet->getDefaultStyle()->getFont()->setName('Arial')->setSize(11);
  $sheet = $spreadsheet->getActiveSheet();
	
// define formats
  $styleThinBlackBorderOutline = [
    'borders' => [
      'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
      'color' => ['argb' => 'FF000000']
    ]
  ];  
  $styleThickBlackBorderOutline = [
    'borders' => [
      'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_MEDIUM,
      'color' => ['argb' => 'FF000000']
    ]
  ]; 
  $styleGreyBackground = [
    'fill' => [
      'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
      'color' => ['argb' => 'FFCCCCCC']
    ]
  ];
  $styleFilterBackground = [
    'fill' => [
      'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
      'color' => ['argb' => 'FFEBF1DE']
    ]
  ]; 
  $styleHyperlink = [
    'font' => [
      'alignment' => ['horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER],
      'color' => ['argb' => 'FF0000FF'],
      'underline' => Font::UNDERLINE_SINGLE
    ]
  ];

// insert filter settings
	$sheet->setCellValue("A1", $ini_awgr['filter'][$lng]);
	$sheet->getStyle('A1')->getFont()->setBold(true)->setSize(12);
	$sheet->mergeCells('A1:B1');
	$sheet->getStyle('A1:B1')->applyFromArray($styleThickBlackBorderOutline);
	$sheet->setCellValue("A2", $ini_awgr['qbn'][$lng]);
	$sheet->setCellValue("B2", $filters['qbn']);
	$sheet->setCellValue("A3", $ini_awgr['date'][$lng]);
	$sheet->setCellValue("B3", $ymds." - ".$ymde);
	$sheet->setCellValue("A4", $ini_awgr['wgr'][$lng]);
	$sheet->setCellValue("B4", $_REQUEST['qbwgr']);
	$sheet->setCellValue("A5", $ini_awgr['imat'][$lng]);
	$sheet->setCellValue("B5", $filters['mat']);
	$sheet->setCellValue("A6", $ini_awgr['clss'][$lng]);
	$sheet->setCellValue("B6", $clss_txt);
	$sheet->setCellValue("A7", $ini_awgr['status'][$lng]);
	$sheet->setCellValue("B7", $filters['status']);
	$sheet->setCellValue("A8", $ini_awgr['des'][$lng]);
	$sheet->setCellValue("B8", $filters['des']);
	$sheet->setCellValue("A9", $ini_awgr['svt'][$lng]);
	$sheet->setCellValue("B9", $filters['svt']);
	$sheet->setCellValue("A10", $ini_awgr['department'][$lng]);
	$sheet->setCellValue("B10", $filters['dep']);
	$sheet->setCellValue("A11", $ini_awgr['generated'][$lng]);
	$sheet->setCellValue("B11", date('Y-M-d H:i:s', time()));
	$sheet->setCellValue("A12", $ini_awgr['found_datasets'][$lng]);
	$sheet->setCellValue("B12", $num_records);
	$sheet->getStyle('B12')->getAlignment()->setHorizontal(\PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_LEFT);	
	$sheet->getStyle('B12')->getFont()->setBold(true);	
	$sheet->getStyle('B2:B12')->getFont()->setItalic(true);
// format filter box
	$sheet->getStyle('A1:B12')->applyFromArray($styleFilterBackground)->applyFromArray($styleThickBlackBorderOutline);

// generate headlines
	$i = 1;
	$start_row = 14;
	
	foreach ($titles as $title) {
		$sheet->setCellValue(chr(64+$i).$start_row, $title);
		$i++;
	}	
// format headlines
	$sheet->getStyle('A'.$start_row.':'.chr(64+count($titles)).$start_row)->applyFromArray($styleThinBlackBorderOutline);
	$sheet->getStyle('A'.$start_row.':'.chr(64+count($titles)).$start_row)->applyFromArray($styleGreyBackground);
	$sheet->getStyle('A'.$start_row.':'.chr(64+count($titles)).$start_row)->getFont()->setBold(true)->setName('Arial')->setSize(10)->getColor()->setARGB('FF0000FF');
	$sheet->getStyle('A'.$start_row.':'.chr(64+count($titles)).$start_row)->getAlignment()->setHorizontal(\PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_LEFT);	
	
	$data_row = $start_row + 1;
	global $relili;
	while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$i = 1;
		foreach($row as $key => $value) {
			switch ($key) {
				case "qbn":
					$sheet->setCellValue(chr(64+$i).$data_row, $value);
					$sheet->getCell(chr(64+$i).$data_row)->getHyperlink()->setUrl('http://' . $relili . $value);
					$sheet->getStyle(chr(64+$i).$data_row)->applyFromArray($styleHyperlink);
					$sheet->getColumnDimension(chr(64+$i))->setAutoSize(true);
					break;
				case "des":
          $richText = new \PhpOffice\PhpSpreadsheet\RichText\RichText();
          $richText->createText($value);
          $sheet->setCellValue(chr(64+$i).$data_row, $richText);
					$sheet->getColumnDimension(chr(64+$i))->setWidth(100);
					$sheet->getStyle(chr(64+$i).$data_row)->getAlignment()->setWrapText(true);
					break;
				case "status":
					$sheet->setCellValue(chr(64+$i).$data_row, $ini_qbstatus[$value][$lng]);
					$sheet->getColumnDimension(chr(64+$i))->setAutoSize(true);
					break;
				default:
					$sheet->setCellValue(chr(64+$i).$data_row, $value);
					$sheet->getColumnDimension(chr(64+$i))->setAutoSize(true);
					break;
			}
			$sheet->getStyle(chr(64+$i).$data_row)->getAlignment()->setVertical(\PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_TOP);
			$i++;
		}
		$data_row++;
	}
// set autofilter
	$sheet->setAutoFilter('A'.$start_row.':'.chr(64+count($titles)).$start_row);
// Rename worksheet
	$sheet->setTitle('wgr');

// Set active sheet index to the first sheet, so Excel opens this as the first sheet
	$spreadsheet->setActiveSheetIndex(0);

// Redirect output to a client’s web browser (Excel2007)
	header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
	header('Content-Disposition: attachment;filename="wgr_daten.xlsx"');
	header('Cache-Control: max-age=0');

  $writer = new Xlsx($spreadsheet);
  $writer->save('php://output');
	exit;
?>
