<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	global $rel_path;
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;
	
	$routine = new Whos();
	echo $routine->execute();
	
	class Whos {
		
		public function __construct() 
		{
		}
		
		public function execute()
		{	
			global $db, $debug, $qb_support;
	// called routine
			$sub_routine = $_REQUEST["routine"];
			switch ($sub_routine)
			{
				case "getlist":
					$query[] = "
						SELECT 
							qbbasic.QBN AS qbn, 
							ROLLE AS role, 
							(SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE LOGIN=NAME) AS visum, 
							QBSTATUS AS status, 
							DESCRIPTION AS doc,
							QBSTATUS AS sts 
						FROM 
							qb_team 
						LEFT JOIN 
							qbbasic ON qb_team.QBN=qbbasic.QBN 
						LEFT JOIN 
							qbi ON qbi.QBN=qbbasic.QBN 
						WHERE 
							QBSTATUS NOT IN ('D', 'M') AND
							QBREGDATE>=:sdat AND 
							QBREGDATE<=:edat
					";
					$query[] = " UNION 
						SELECT 
							qbi.QBN AS qbn, 
							'SVT' AS role, 
							(SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE LOGIN=SVT) AS visum, 
							QBSTATUS AS status, 
							(SELECT DESCRIPTION FROM qbbasic WHERE qbbasic.QBN=qbi.QBN) AS doc,
							QBSTATUS AS sts 
						FROM 
							qbi 
						WHERE 
							QBSTATUS NOT IN ('D', 'M') AND
							QBREGDATE>=:sdat AND 
							QBREGDATE<=:edat AND
							SVT <> ''
					";
				// generate order & limit
					$order_str = "ORDER BY " . $_REQUEST['sidx'] . " " . $_REQUEST['sord'];
					$limit_str = " LIMIT " . ($_REQUEST['page']-1)*$_REQUEST['rows'] . ", " . $_REQUEST['rows'];
				// compile query string
					$querystr = $qb_support->makequery(json_encode($query), json_encode($_REQUEST));
				// get total rows first (only query string)
					$stmt = $db->prepare($querystr);
					$stmt->execute(
						array(
							':sdat' => $_REQUEST['sdat'],
							':edat' => $_REQUEST['edat']
						)
					);					
					$num_records = $stmt->rowCount();
					$num_pages = ceil($num_records/$_REQUEST['rows']);
				// now get result (query string with iorder and limit)		
					$stmt = $db->prepare($querystr . " " . $order_str . " " . $limit_str);	
					$stmt->execute(
						array(
							':sdat' => $_REQUEST['sdat'],
							':edat' => $_REQUEST['edat']
						)
					);
					$rows = array();
					while($r = $stmt->fetch(PDO::FETCH_ASSOC)) {
						$rows[] = $r;
					}	
					$ret = Array();
					$ret['total'] = $num_pages;
					$ret['page'] = $_REQUEST['page'];
					$ret['records'] = $num_records;
					$ret['rows'] = $rows;					
					$result = json_encode($ret);
					return $result;	
					break;
			}
		}	
	}
?>