<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	global $rel_path;	
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;
	
	$routine = new XX();
	echo $routine->execute();
	
	class XX {
		
		public function __construct() 
		{
		}
		
		public function execute()
		{	
			global $db, $debug, $qb_support;
	// make sure that start date is before end date, if no then swap results
			$ymds = $_REQUEST['sdate'];
			$ymde = $_REQUEST['edate'];
			if ($ymds > $ymde) {
				$tmp = $ymds;
				$ymds = $ymde;
				$ymde = $tmp;
			}				
	// called routine
			$sub_routine = $_REQUEST["routine"];
			switch ($sub_routine)
			{
				case "graphics":
					$filters = json_decode($_REQUEST['filter'], true);
					$query = "
						SELECT 
							COUNT(QBN),
							DATE_FORMAT(QBREGDATE, '%m-%Y')
						FROM 
							qbi
						WHERE 
							BB='XX' AND
							QBREGDATE>=:sdat AND 
							QBREGDATE<=:edat
					";
					if (count($filters) > 0) {
						$fstr = " AND  ";
						$rules = $filters['rules'];
						foreach($rules as $key=>$value) {
							if ($value['field'] == 'fu') {
								$fstr .= " (SELECT FU FROM qb_CLOSE WHERE qb_close.QBN=qbi.QBN) LIKE '%" . $value['data'] . "%' ";
							} else {
								$fstr .= " " . $value['field'] . " LIKE '%" . $value['data'] . "%' ";
							}
							if ($key < (count($rules)-1)) $fstr .= " AND ";
						}
						$query .= $fstr;
					}
					$query .= "
                        GROUP BY 
                        	DATE_FORMAT(QBREGDATE, '%m-%Y')
						ORDER BY 
							DATE_FORMAT(QBREGDATE, '%m-%Y') ASC					
					";					
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':sdat' => $ymds,
							':edat' => $ymde
						)
					);
					$c = Array();
					$m = Array();				
					while($row = $stmt->fetch(PDO::FETCH_NUM)) {
						$c[] = ((integer) $row[0]);
						$m[] = $row[1];
					}		
					$result = json_encode(Array(array_reverse($c), array_reverse($m)));
					return $result;		
					break;				
				case "getlist":
					$query[] = "
						SELECT 
							QBN AS qbn, 
							COALESCE((SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE LOGIN=SVT), 'N/A') AS svt, 
							(SELECT FU FROM qb_CLOSE WHERE qb_close.QBN=qbi.QBN) AS fu,
							RTYPE AS rtype							
						FROM 
							qbi 
						WHERE 
							BB='XX' AND
							QBREGDATE>=:sdat AND 
							QBREGDATE<=:edat 						
					";
				// generate order & limit
					$order_str = "ORDER BY " . $_REQUEST['sidx'] . " " . $_REQUEST['sord'];
					$limit_str = " LIMIT " . ($_REQUEST['page']-1)*$_REQUEST['rows'] . ", " . $_REQUEST['rows'];
				// compile query string
					$querystr = $qb_support->makequery(json_encode($query), json_encode($_REQUEST));
				// get total rows first (only query string)
					$stmt = $db->prepare($querystr);
					$stmt->execute(
						array(
							':sdat' => $ymds,
							':edat' => $ymde
						)
					);					
					$num_records = $stmt->rowCount();
					$num_pages = ceil($num_records/$_REQUEST['rows']);
				// now get result (query string with iorder and limit)		
					$stmt = $db->prepare($querystr . " " . $order_str . " " . $limit_str);
					$stmt->execute(
						array(
							':sdat' => $ymds,
							':edat' => $ymde
						)
					);					
					$rows = array();
					while($r = $stmt->fetch(PDO::FETCH_ASSOC)) {
						$rows[] = $r;
					}	
					$ret = Array();
					$ret['total'] = $num_pages;
					$ret['page'] = $_REQUEST['page'];
					$ret['records'] = $num_records;
					$ret['rows'] = $rows;					
					$result = json_encode($ret);
					return $result;		
					break;
				case "statistics":
					if ($_REQUEST['filter'] != "A") {
						$query = "
							SELECT 
								COALESCE(CONCAT(NACHNAME, ', ', VORNAME),'N/A') AS svt, 
								COUNT(svt) AS cnt 
							FROM 
								qbi 
							LEFT JOIN 
								qb_user 
							ON 
								LOGIN=SVT 
							WHERE 
								BB='XX' AND 
								FLAGS NOT LIKE '%Y%' AND
								FLAGS NOT LIKE '%W%' AND
								QBREGDATE>=:sdat AND 
								QBREGDATE<=:edat 	
							GROUP BY 
								svt 
							ORDER BY 
								COUNT(svt) DESC
						";
					} else {
						$query = "
							SELECT 
								COALESCE(CONCAT(NACHNAME, ', ', VORNAME),'N/A') AS svt, 
								COUNT(svt) AS cnt 
							FROM 
								qbi 
							LEFT JOIN 
								qb_user 
							ON 
								LOGIN=SVT 
							WHERE 
								BB='XX'  AND
								QBREGDATE>=:sdat AND 
								QBREGDATE<=:edat 	
							GROUP BY 
								svt 
							ORDER BY 
								COUNT(svt) DESC
						";
					}
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':sdat' => $ymds,
							':edat' => $ymde
						)
					);
					$rows = array();
					while($r = $stmt->fetch(PDO::FETCH_ASSOC)) {
						$rows[] = $r;
					}	
					$result = json_encode($rows);
					return $result;		
					break;					
			}
		}	
	}
?>