<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;
	
	$routine = new Close();
	echo $routine->execute();
	
	class Close {
		
		public function __construct() 
		{
		}
		
		public function execute()
		{	
			global $db, $debug, $qb_support, $relili, $rel_path, $rootlink, $c_scheme;		
	// called routine
			$sub_routine = $_REQUEST["routine"];
			switch ($sub_routine)
			{
				case "getteamstatus":
					$query = "
						SELECT 
							CONCAT(VORNAME, ' ', NACHNAME) AS fname, 
							ST AS st, 
							DEL AS del, 
							INFORMED AS inf, 
							ANSWER AS ans,
							ST AS rs,
							LOGIN as lgi			
						FROM 
							qb_close_sts 
						LEFT JOIN 
							qb_user ON SU=LOGIN 
						WHERE 
							QBN=:qbn
					";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn']
						)
					);	
					$rows = array();
					while($r = $stmt->fetch(PDO::FETCH_ASSOC)) {
						$rows[] = $r;
					}
					$result = json_encode($rows);
					return $result;		
					break;				
				case "getdata":
					$ret = array();
					$rrhtml = "";
					$rqhtml = "";							
					$query = "
						SELECT 
							FU, 
							VB, 
							LAF, 
							FFU, 
							ST_DATE, 
							VG_DATE, 
							CL_DATE, 
							GQ_DATE, 
							PROCESS, 
							CSTATUS, 
							REJTEAM, 
							REJSVT, 
							REJGQ, 
							OVERRULED 
						FROM 
							qb_close 
						WHERE 
							QBN=:qbn
					";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn']
						)
					);
					if ($stmt->rowCount() > 0) {
						$row = $stmt->fetch(PDO::FETCH_NUM );
						list($ret["FU"], $ret["VB"], $ret["LAF"], $ret["FFU"], $ret["STDATE"], $ret["VGDATE"], $ret["CLDATE"], $ret["GQDATE"], 
							$ret["PROCESS"], $ret["CSTATUS"], $ret["REJTEAM"], $ret["REJSVT"], $ret["REJGQ"], $ret["OVERRULED"]) = $row;
				// get reject svt text
						if ($ret['REJSVT'] > 0) {
							$query = "
								SELECT 
									REJDATE, 
									REJTEXT, 
									(SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE LOGIN=REJLOGIN)
								FROM 
									qb_close_rej
								WHERE 
									QBN=:qbn AND
									REJTYPE='S'
								ORDER BY REJDATE DESC
							";				
							$stmt = $db->prepare($query);
							$stmt->execute(
								array(
									':qbn' => $_REQUEST['qbn']
								)
							);
							$rrhtml = "<div id='rrpopup' class='rejinfo'>";
							while($r = $stmt->fetch(PDO::FETCH_NUM)) {
								$rrhtml .= "<p style='margin-bottom: 2px;'>";
								$rrhtml .= "<label style='font-weight: bold;'>".$r[0]." - ".$r[2]."</label><br />";
								$rrhtml .= "<span>".$r[1]."</span>";
								$rrhtml .= "</p>";
							}
							$rrhtml .= "</div>";
						}
				// get reject svt text
						if ($ret['REJGQ'] > 0) {
							$query = "
								SELECT 
									REJDATE, 
									REJTEXT, 
									(SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE LOGIN=REJLOGIN)
								FROM 
									qb_close_rej
								WHERE 
									QBN=:qbn AND
									REJTYPE='Q'
								ORDER BY REJDATE DESC
							";				
							$stmt = $db->prepare($query);
							$stmt->execute(
								array(
									':qbn' => $_REQUEST['qbn']
								)
							);
							$rqhtml = "<div id='rqpopup' class='rejinfo'>";
							while($r = $stmt->fetch(PDO::FETCH_NUM)) {
								$rqhtml .= "<p style='margin-bottom: 2px;'>";
								$rqhtml .= "<label style='font-weight: bold;'>".$r[0]." - ".$r[2]."</label><br />";
								$rqhtml .= "<span>".$r[1]."</span>";
								$rqhtml .= "</p>";
							}
							$rqhtml .= "</div>";
						}	
					} else {
						$ret["FU"] = "";
						$ret["VB"] = "";
						$ret["LAF"] = "";
						$ret["FFU"] = "";
						$ret["STDATE"] = "0000-00-00";
						$ret["VGDATE"] = "0000-00-00";
						$ret["CLDATE"] = "0000-00-00";
						$ret["GQDATE"] = "0000-00-00";
						$ret["PROCESS"]	= 0;
						$ret["CSTATUS"]	= 0;
						$ret["REJTEAM"] = 0;
						$ret["REJSVT"] = 0;
						$ret["REJGQ"] = 0;
						$ret["OVERRULED"] = "";
					}
					$query = "
						SELECT 
							COALESCE(BB, '') AS BB, 
							COALESCE(CC, '') AS CC, 
							COALESCE(DDDD, '') AS DDDD, 
							RATING 
						FROM 
							qbi 
						WHERE 
							QBN=:qbn
					";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn']
						)
					);
					$row = $stmt->fetch(PDO::FETCH_NUM );
					$ret["BB"] = $row[0];
					$ret["CC"] = $row[1];
					$ret["DD"] = $row[2];
					$ret["RATING"] = $row[3];
					$query = "SELECT MSTAT FROM qbbasic WHERE QBN=:qbn";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn']
						)
					);
					$row = $stmt->fetch(PDO::FETCH_NUM );
					if ($row) {					
						$ret["MST"] = $row[0];
					} else {
						$ret["MST"] = "NA";
					}
					$qbs = $qb_support->qb_status($_REQUEST['qbn']);
					$asvt = array();
				// if team approval waiting for release generate list of allowed svt (if deputy add original)
					if ((($ret['CSTATUS']*1) == 3) OR (($ret['CSTATUS']*1) == 7)) {
					// 1) original svt
						$query = "SELECT SVT FROM qbi WHERE QBN=:qbn";
						$stmt = $db->prepare($query);
						$stmt->execute(array(':qbn' => $_REQUEST['qbn']));
						$tsvt = $stmt->fetch(PDO::FETCH_NUM);
						$tsvt = $tsvt[0];
						array_push($asvt, $tsvt);
					// 2) representative (if defined)
						$query = "SELECT DSVT, COUNT(*) FROM qb_deputy WHERE SVT=:svt AND REP=1";
						$stmt = $db->prepare($query);
						$stmt->execute(array(':svt' => $tsvt));
						$tmp = $stmt->fetch(PDO::FETCH_NUM);
						if ($tmp[1] > 0) {
							array_push($asvt, $tmp[0]);
						}
					// 3) if deputy check for original svt
						$query = "SELECT SVT FROM qb_deputy WHERE DSVT=:svt";
						$stmt = $db->prepare($query);
						$stmt->execute(array(':svt' => $tsvt));
						while($tmp = $stmt->fetch(PDO::FETCH_NUM)) {
							array_push($asvt, $tmp[0]);
						}
					// remove duplicates
						$asvt = array_unique($asvt);
					}
				// get team member count
					$query = "SELECT COUNT(*) FROM qb_team WHERE QBN=:qbn AND ROLLE!='PL'";
					$stmt = $db->prepare($query);
					$stmt->execute(array(':qbn' => $_REQUEST['qbn']));
					$tc = $stmt->fetchColumn();			
					$result = json_encode(array($ret, $qbs, json_encode($asvt), $tc, $rrhtml, $rqhtml));
					return $result;	
					break;
				case "cancelteamstatus":
				// write log
					$qb_support->writelog($_REQUEST['qbn'], "C", "CLOSE", "Team approval request cancellation sent");				
				// load PL
					$query = "SELECT EMAIL FROM qb_user LEFT JOIN qb_team ON NAME=LOGIN WHERE QBN=:qbn AND ROLLE='PL'";			
					$stmt2 = $db->prepare($query);
					$stmt2->execute(array(':qbn' => $_REQUEST['qbn']));	
					$sender = $stmt2->fetchColumn();				
					$query = "SELECT VORNAME, EMAIL, LANG FROM qb_user LEFT JOIN qb_team ON NAME=LOGIN WHERE QBN=:qbn AND ROLLE='MEMBER'";		
					$stmt = $db->prepare($query);
					$stmt->execute(array(':qbn' => $_REQUEST['qbn']));
					while($result = $stmt->fetch(PDO::FETCH_NUM)) {	
					// load template file
						if ($result[2] == "") $result[2] = $qb_support->getOptions('fallbacklang', 'set');
						$template = file_get_contents($rel_path."mail/".$result[2].".close.cancelteamstatus.html");
						$template = str_replace('{{qbnummer}}', $_REQUEST['qbn'], $template);
						$template = str_replace('{{username}}', $result[0], $template);
						$template = str_replace('{{qblink}}', $relili . $_REQUEST['qbn'] . "&page=basic", $template);
						preg_match('/<title>(.*)<\/title>/iU', $template, $subject);
						$subject = "QB".$_REQUEST['qbn'].": ".$subject[1];					
						$qb_support->templatemail($result[1], $subject, $template, $sender, "close:cancelteamstatus");
					}
				// now delete entries from database
					$query = "DELETE FROM qb_close_sts WHERE QBN=:qbn";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn']
						)
					);
				// update status
					$query = "UPDATE qb_close SET CSTATUS=0, ST_DATE='0000-00-00', VG_DATE='0000-00-00' WHERE QBN=:qbn";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn']
						)
					);
					$result = "Done";
					return $result;		
					break;
			// send approval request to one team member only
				case "sendteamsingle":
				// write log
					$qb_support->writelog($_REQUEST['qbn'], "A", "CLOSE", "Team approval sent to team");
					$qb_support->qbactivity($_REQUEST['qbn']);
			// remove old vote from user
					$query = "DELETE FROM qb_close_sts WHERE QBN=:qbn AND SU=:lgi";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn'],
							':lgi' => $_REQUEST['user']
						)
					);					
			// send request
					$query = "SELECT EMAIL FROM qb_user LEFT JOIN qb_team ON NAME=LOGIN WHERE QBN=:qbn AND ROLLE='PL'";					
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn']
						)
					);
					$sender = $stmt->fetchColumn();
					$query = "SELECT VORNAME, EMAIL, LANG FROM qb_user WHERE LOGIN=:lgi";		
					$stmt = $db->prepare($query);
					$stmt->execute(array(':lgi' => $_REQUEST['user']));
				// write log
					$qb_support->writelog($_REQUEST['qbn'], "A", "CLOSE", "Team approval sent to single user");											
				// get individual token
					$unid = md5(uniqid(microtime(),1).getenv("REMOTE_ADDR"));
					$y_link = $rootlink . "voteclose.php?uid=" . $unid . "&vote=A";
					$n_link = $rootlink . "voteclose.php?uid=" . $unid . "&vote=R";				
					$query = "INSERT INTO qb_close_sts (QBN, SU, ST, INFORMED, TOKEN) VALUES (:qbn, :sun, 'I', NOW(), :uid)";				
					$stmt2 = $db->prepare($query);
					$stmt2->execute(
						array(
							':qbn' => $_REQUEST['qbn'],
							':sun' => $_REQUEST['user'],
							':uid' => $unid
						)
					);
					$result = $stmt->fetch(PDO::FETCH_NUM);
				// load template file
					if ($result[2] == "") $result[2] = $qb_support->getOptions('fallbacklang', 'set');
					$template = file_get_contents($rel_path."mail/".$result[2].".close.send_vote.html");
					$template = str_replace('{{qbnummer}}', $_REQUEST['qbn'], $template);
					$template = str_replace('{{username}}', $result[0], $template);
					$template = str_replace('{{yescolor}}', $c_scheme['XO'], $template);
					$template = str_replace('{{yeslink}}', $y_link, $template);
					$template = str_replace('{{nocolor}}', $c_scheme['XW'], $template);
					$template = str_replace('{{nolink}}', $n_link, $template);
					$template = str_replace('{{qblink}}', $relili . $_REQUEST['qbn'] . "&page=basic", $template);
					preg_match('/<title>(.*)<\/title>/iU', $template, $subject);
					$subject = "QB".$_REQUEST['qbn'].": ".$subject[1];					
					$qb_support->templatemail($result[1], $subject, $template, $sender, "close:send_vote");

				// set CSTATUS to 1 (= informed)
					$query = "UPDATE qb_close SET CSTATUS=1, ST_DATE=NOW(), VG_DATE='0000-00-00', CL_DATE='0000-00-00' WHERE QBN=:qbn";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn']
						)
					);
					$result = date('Y-m-d');
					return $result;	
					break;							
			// send approval request to team
				case "sendteam":
				// write log
					$qb_support->writelog($_REQUEST['qbn'], "C", "CLOSE", "Closure approval sent to team");				
					$qb_support->qbactivity($_REQUEST['qbn']);
			// check if resent - if yes delete old team data
					$query = "SELECT COUNT(*) FROM qb_close_sts WHERE QBN=:qbn";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn']
						)
					);
					$row = $stmt->fetch(PDO::FETCH_NUM);
					if ($row[0] > 0) {
						$query = "DELETE FROM qb_close_sts WHERE QBN=:qbn";
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':qbn' => $_REQUEST['qbn']
							)
						);
					}
			// send request
					$query = "SELECT EMAIL FROM qb_user LEFT JOIN qb_team ON NAME=LOGIN WHERE QBN=:qbn AND ROLLE='PL'";					
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn']
						)
					);
					$sender = $stmt->fetchColumn();
        // write log
          $qb_support->writelog($_REQUEST['qbn'], "C", "CLOSE", "Closure approval sender is ". $sender);
          $query = "SELECT COUNT(*) FROM qb_user LEFT JOIN qb_team ON NAME=LOGIN WHERE QBN=:qbn AND ROLLE='MEMBER'";
					$stmt = $db->prepare($query);
					$stmt->execute(array(':qbn' => $_REQUEST['qbn']));
          $teamcount = $stmt->fetchColumn();
        // write log
          $qb_support->writelog($_REQUEST['qbn'], "C", "CLOSE", $teamcount . " team members found");          
					$query = "SELECT VORNAME, EMAIL, LANG, LOGIN FROM qb_user LEFT JOIN qb_team ON NAME=LOGIN WHERE QBN=:qbn AND ROLLE='MEMBER'";		
					$stmt = $db->prepare($query);
					$stmt->execute(array(':qbn' => $_REQUEST['qbn']));
					while($result = $stmt->fetch(PDO::FETCH_NUM)) {
				// send individual email to each team member
						$unid = md5(uniqid(microtime(),1).getenv("REMOTE_ADDR"));
						$y_link = $rootlink . "voteclose.php?uid=" . $unid . "&vote=A";
						$n_link = $rootlink . "voteclose.php?uid=" . $unid . "&vote=R";				
						$query = "INSERT INTO qb_close_sts (QBN, SU, ST, INFORMED, TOKEN) VALUES (:qbn, :sun, 'I', NOW(), :uid)";				
						$stmt2 = $db->prepare($query);
						$stmt2->execute(
							array(
								':qbn' => $_REQUEST['qbn'],
								':sun' => $result[3],
								':uid' => $unid
							)
						);						
					// load template file
						if ($result[2] == "") $result[2] = $qb_support->getOptions('fallbacklang', 'set');
						$template = file_get_contents($rel_path."mail/".$result[2].".close.send_vote.html");
						$template = str_replace('{{qbnummer}}', $_REQUEST['qbn'], $template);
						$template = str_replace('{{username}}', $result[0], $template);
						$template = str_replace('{{yescolor}}', $c_scheme['XO'], $template);
						$template = str_replace('{{yeslink}}', $y_link, $template);
						$template = str_replace('{{nocolor}}', $c_scheme['XW'], $template);
						$template = str_replace('{{nolink}}', $n_link, $template);
						$template = str_replace('{{qblink}}', $relili . $_REQUEST['qbn'] . "&page=basic", $template);
						preg_match('/<title>(.*)<\/title>/iU', $template, $subject);
						$subject = "QB".$_REQUEST['qbn'].": ".$subject[1];					
						$qb_support->templatemail($result[1], $subject, $template, $sender, "close:send_vote");
          // write log
            $qb_support->writelog($_REQUEST['qbn'], "C", "CLOSE", "Closure approval sent to ". $result[3]);	
					}
				// set CSTATUS to 1 (= team informed)
					$query = "UPDATE qb_close SET CSTATUS=1, ST_DATE=NOW() WHERE QBN=:qbn";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn']
						)
					);
        // write log
          $qb_support->writelog($_REQUEST['qbn'], "C", "CLOSE", "Closure approval status set to 1");	
				// send event mail
					$qb_support->event_mail2("E8A", $_REQUEST['qbn']);
					$result = date('Y-m-d');
					return $result;		
					break;
			// send request to SVT after overuling the team decision
				case "sendoverridesvt":
				// write log
					$qb_support->writelog($_REQUEST['qbn'], "A", "CLOSE", "Team approval overruled");				
					$qb_support->qbactivity($_REQUEST['qbn']);
					$query = "UPDATE qb_close set VG_DATE=NOW(), CSTATUS=5, OVERRULED=:ovr WHERE QBN=:qbn";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn'],
							':ovr' => nl2br($_REQUEST['txt'])
						)
					);
				// inform SVT
					$ini = parse_ini_file($rel_path.'i18n/close.ini', true);
				// inform svt that a technical closure is requested
					$query = "SELECT EMAIL, VORNAME, LANG FROM qb_user, qbi WHERE QBN=:qbn AND SVT=LOGIN";
					$stmt = $db->prepare($query);
					$stmt->execute(array(':qbn' => $_REQUEST['qbn']));
					$result = $stmt->fetch(PDO::FETCH_NUM );
				// load template file
					if ($result[2] == "") $result[2] = $qb_support->getOptions('fallbacklang', 'set');
					$template = file_get_contents($rel_path."mail/".$result[2].".close.infosvt_tc.html");
					$template = str_replace('{{username}}', $result[1], $template);
					$template = str_replace('{{qbnummer}}', $_REQUEST['qbn'], $template);
					$template = str_replace('{{qblink}}', $relili . $_REQUEST['qbn'] . "&page=close", $template);
					preg_match('/<title>(.*)<\/title>/iU', $template, $subject);
					$subject = $ini["qbshort"][$_SESSION["lng"]].$_REQUEST['qbn'].": ".$subject[1];
					$qb_support->templatemail($result[0], $subject, $template, "", "close:infosvt_tc");
				// Event Mailing
					$qb_support->event_mail2("E8", $_REQUEST['qbn']);
					return "Done";
					break;					
				case "pplm":
			// process problem yes or no
					$query = "SELECT COUNT(*), PROCESS FROM qb_close WHERE QBN=:qbn";
					$stmt = $db->prepare($query);
					$stmt->execute(array(':qbn' => $_REQUEST['qbn']));
					$row = $stmt->fetch(PDO::FETCH_NUM);
			// check if dataset is already available
					if ($row[0] == 0) {
					// write log
						$qb_support->writelog($_REQUEST['qbn'], "A", "CLOSE", "Flag process problem set");						
				// no -> INSERT
						$query = "INSERT INTO qb_close (PROCESS, QBN) VALUES (:pplm, :qbn)";				
					} else {
						if ($row[1] == 1) {
						// write log
							$qb_support->writelog($_REQUEST['qbn'], "C", "CLOSE", "Flag process problem unset");							
						} else {
						// write log
							$qb_support->writelog($_REQUEST['qbn'], "C", "CLOSE", "Flag process problem set");
						}
				// yes -> UPDATE
						$query = "UPDATE qb_close SET PROCESS=:pplm WHERE QBN=:qbn";					
					}
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':pplm' => $_REQUEST['pplm'],
							':qbn' => $_REQUEST['qbn']
						)
					);
					$result = "Done";
					return $result;
					break;
				case "ffu":
			// material status
				// write log
					$qb_support->writelog($_REQUEST['qbn'], "C", "CLOSE", "FFU changed", $_REQUEST['ffu']);			
					$query = "UPDATE qb_close SET FFU=:ffu WHERE QBN=:qbn";	
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':ffu' => $_REQUEST['ffu'],
							':qbn' => $_REQUEST['qbn']
						)
					);
					break;					
				case "mstat":
			// material status
				// write log
					$qb_support->writelog($_REQUEST['qbn'], "C", "CLOSE", "Material status set", $_REQUEST['stat']);
					$query = "UPDATE qbbasic SET MSTAT=:mst WHERE QBN=:qbn";	
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':mst' => $_REQUEST['stat'],
							':qbn' => $_REQUEST['qbn']
						)
					);
					$result = "Done";
					return $result;
					break;
			// this script is called from fc_tree.js
				case "setfcode":			
					$fc = json_decode($_REQUEST['fc'], true);
					$query = "UPDATE qbi SET BB=:bb, CC=:cc, DDDD=:dd WHERE QBN=:qbn";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':bb' => $fc['b'],
							':cc' => $fc['c'],
							':dd' => $fc['d'],
							':qbn' => $_REQUEST['qbn']
						)
					);
				// write log
					$qb_support->writelog($_REQUEST['qbn'], "C", "CLOSE", "Failure codes set", $fc['b']."-".$fc['c']."-".$fc['d']);	
					$result = "Done";
					return $result;
					break;					
				case "checkrules":
			// check if all mandatory inputs are done
			// check for q-case leader
					$query = "SELECT COUNT(*) FROM qb_team WHERE QBN=:qbn AND ROLLE='PL'";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn']
						)
					);	
					if ($stmt->fetchColumn() == 0) {
						$result = 'pl_first';
						return $result;
					}
			// check for open definitive actions
					$query = "SELECT COUNT(*) FROM qb_docdef WHERE STAT='OPEN' AND QBN=:qbn";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn']
						)
					);	
					if ($stmt->fetchColumn() > 0) {
						$result = 'open_topics';
						return $result;
					}
			// check if supplier is entered when FFU supplier
					$query = "
						SELECT 
							FFU, 
							SUPPLIER 
						FROM 
							qbbasic,
							qb_close 
						WHERE
							qb_close.QBN=qbbasic.QBN AND
							qbbasic.QBN=:qbn
					";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn']
						)
					);
					$row = $stmt->fetch(PDO::FETCH_NUM );
					if (($row[0] == 'SUP') AND ($row[1] == "")) {
						$result = 'missing_supplier';
						return $result;
					}
			// check if validation is done
					$query = "SELECT CHECK_NEXT_WE, WE_OK, OTHER_TEST, TEST_OK, LIGHT FROM qbi LEFT JOIN qb_val 
						ON qbi.QBN=qb_val.QBN WHERE qbi.QBN=:qbn";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn']
						)
					);
					list($nextwe, $weok, $other, $otherok, $light) = $stmt->fetch(PDO::FETCH_NUM );
					if ($light == 0) {
						if (($nextwe == 0) AND ($other=="")) {
							$result = 'missing_validation';
							return $result;					
						}		
						if (($nextwe == 1) AND ($weok=="0")) {
							$result = 'correct_validation';
							return $result;						
						}
						if (($other != "") AND ($otherok=="0")) {
							$result = 'correct_validation';
							return $result;						
						}
					}
			// check if all questions have been answered
					$query = "SELECT COUNT(*) FROM qb_questions WHERE ANSWERED='N' AND QBN=:qbn";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn']
						)
					);
					if ($stmt->fetchColumn() != 0) {
						$result = 'open_questions';
						return $result;						
					}
			// check if all rework is back
					$query = "
						SELECT
							SUM(DELIVERED - RETURNED) AS OFFEN 
						FROM 
							qb_nacharbeit 
						WHERE 
							QBN=:qbn 
					";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn']
						)
					);
					if ($stmt->fetchColumn() != 0) {
						$result = 'open_rework';
						return $result;						
					}
			// check for 8D
					$query = "SELECT COUNT(*), COALESCE(8D,0), 8D_ERH FROM qb_def WHERE QBN=:qbn";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn']
						)
					);	
					$row = $stmt->fetch(PDO::FETCH_NUM );	
					if (($row[0] > 0) AND ($row[1] > 0)) {
						if ($row[2] == "0000-00-00") {
							$result = 'no_acht_d';
							return $result;
						}
					}					
					$result = "OK";
					return $result;
					break;
				case "absvt2":
				// write log
					$qb_support->writelog($_REQUEST['qbn'], "C", "CLOSE", "Closure approval accepted by responsible");					
			// log activity
					$qb_support->qbactivity($_REQUEST['qbn']);
			// approved by SVT
					$query = "UPDATE qb_close set CL_DATE=:dat, INFO='0000-00-00', CSTATUS=5 WHERE QBN=:qbn";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn'],
							':dat' => date('Y-m-d')
						)
					);
			// update tracking if FFU supplier and supplier under monitoring
					$query = "SELECT FFU FROM qb_close WHERE QBN=:qbn";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn']
						)
					);	
					if ($stmt->fetchColumn() == "SUP") {
				// FFU is supplier
						$query = "SELECT TRACK FROM qbbasic, qb_supplier WHERE SUPPLIER=SUPPLIERNR AND QBN=:qbn";
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':qbn' => $_REQUEST['qbn']
							)
						);	
						if ($stmt->fetchColumn() == 1) {
					// tracking is set -> add to qbbasic (2 for standard tracking text)
							$query = "UPDATE qbbasic SET TRACK=2 WHERE QBN=:qbn";
							$stmt = $db->prepare($query);
							$stmt->execute(
								array(
									':qbn' => $_REQUEST['qbn']
								)
							);	
						}
					}
					$result = "Done";
					return $result;
					break;
				case "absvt":
				// write log
					$qb_support->writelog($_REQUEST['qbn'], "C", "CLOSE", "Closure approval accepted by responsible");				
			// log activity
					$qb_support->qbactivity($_REQUEST['qbn']);
			// approved by SVT	
					$query = "UPDATE qb_close set CL_DATE=:dat, INFO='0000-00-00', CSTATUS=5 WHERE QBN=:qbn";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn'],
							':dat' => date('Y-m-d')
						)
					);
			// update tracking if FFU supplier and supplier under monitoring
					$query = "SELECT FFU FROM qb_close WHERE QBN=:qbn";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn']
						)
					);	
					if ($stmt->fetchColumn() == "SUP") {
				// FFU is supplier
						$query = "SELECT TRACK FROM qbbasic, qb_supplier WHERE SUPPLIER=SUPPLIERNR AND QBN=:qbn";
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':qbn' => $_REQUEST['qbn']
							)
						);	
						if ($stmt->fetchColumn() == 1) {
					// tracking is set -> add to qbbasic (2 for standard tracking text)
							$query = "UPDATE qbbasic SET TRACK=2 WHERE QBN=:qbn";
							$stmt = $db->prepare($query);
							$stmt->execute(
								array(
									':qbn' => $_REQUEST['qbn']
								)
							);	
						}
					}			
			// inform PL about approval
					$query = "SELECT VORNAME, EMAIL, LANG FROM qb_user, qb_team WHERE QBN='" . $_REQUEST['qbn'] . "' AND ROLLE='PL' and NAME=LOGIN";
					$stmt = $db->prepare($query);
					$stmt->execute(array(':qbn' => $_REQUEST['qbn']));
					$result = $stmt->fetch(PDO::FETCH_NUM);					
				// load template file
					if ($result[2] == "") $result[2] = $qb_support->getOptions('fallbacklang', 'set');
					$template = file_get_contents($rel_path."mail/".$result[2].".close.svt_accept.html");
					$template = str_replace('{{qbnummer}}', $_REQUEST['qbn'], $template);
					$template = str_replace('{{username}}', $result[0], $template);
					$template = str_replace('{{qblink}}', $relili . $_REQUEST['qbn'] . "&page=basic", $template);
					preg_match('/<title>(.*)<\/title>/iU', $template, $subject);
					$subject = "QB".$_REQUEST['qbn'].": ".$subject[1];					
					$qb_support->templatemail($result[1], $subject, $template, "", "close:svt_accept");
					$result = "Done";
					return $result;
					break;
				case "stsvt2":
				// write log
					$qb_support->writelog($_REQUEST['qbn'], "C", "CLOSE", "Closure approval sent to responsible");					
			// send to SVT
					if ($_REQUEST['tc'] == 0) {
				// if team count == 0 SET ALSO ST_DATE		
						$query = "UPDATE qb_close set VG_DATE=NOW(), ST_DATE=NOW(), CSTATUS=3 WHERE QBN=:qbn";
					} else {
						$query = "UPDATE qb_close set VG_DATE=NOW(), CSTATUS=3 WHERE QBN=:qbn";
					}
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn']
						)
					);
					$result = "Done";
					return $result;
					break;
				case "stsvt":
				// write log
					$qb_support->writelog($_REQUEST['qbn'], "C", "CLOSE", "Closure approval sent to responsible");					
					$query = "SELECT SENDERMAIL FROM qb_conf";
					$stmt = $db->query($query);
					$sendermail = $stmt->fetchColumn();		
			// send to SVT
					if ($_REQUEST['tc'] == 0) {
				// if team count == 0 SET ALSO ST_DATE		
						$query = "UPDATE qb_close set VG_DATE=NOW(), ST_DATE=NOW(), CSTATUS=3 WHERE QBN=:qbn";
					} else {
						$query = "UPDATE qb_close set VG_DATE=NOW(), CSTATUS=3 WHERE QBN=:qbn";
					}
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn']
						)
					);	
			// inform SVT about closure request
					$query = "SELECT VORNAME, EMAIL, LANG FROM qb_user, qbi WHERE QBN=:qbn AND LOGIN=SVT";
					$stmt = $db->prepare($query);
					$stmt->execute(array(':qbn' => $_REQUEST['qbn']));
					$result = $stmt->fetch(PDO::FETCH_NUM);					
				// load template file
					if ($result[2] == "") $result[2] = $qb_support->getOptions('fallbacklang', 'set');
					$template = file_get_contents($rel_path."mail/".$result[2].".close.send_to_svt.html");
					$template = str_replace('{{qbnummer}}', $_REQUEST['qbn'], $template);
					$template = str_replace('{{username}}', $result[0], $template);
					$template = str_replace('{{qblink}}', $relili . $_REQUEST['qbn'] . "&page=basic", $template);
					preg_match('/<title>(.*)<\/title>/iU', $template, $subject);
					$subject = "QB".$_REQUEST['qbn'].": ".$subject[1];					
					$qb_support->templatemail($result[1], $subject, $template, "", "close:stsvt");
					$qb_support->qbactivity($_REQUEST['qbn']);
					$result = "Done";
					return $result;
					break;
				case "abgq2":
				// write log
					$qb_support->writelog($_REQUEST['qbn'], "C", "CLOSE", "Closure approval accepted by quality");				
			// approved by GQ
					$query = "UPDATE qb_close set GQ_DATE=:dat, CLOSEDBY=:clb, CSTATUS=6 WHERE QBN=:qbn";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn'],
							':dat' => date('Y-m-d'),
							':clb' => $_SESSION['lg']
						)
					);
			// change QB status to "closed"
					$query = "UPDATE qbi SET QBSTATUS='C' WHERE QBN=:qbn";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn']
						)
					);						
			// delete tracking mails
					$query = "DELETE FROM qb_trackmail WHERE QBN=:qbn";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn']
						)
					);
					$qb_support->qbactivity($_REQUEST['qbn']);
					$result = "Done";
					return $result;
					break;
				case "abgq":
				// write log
					$qb_support->writelog($_REQUEST['qbn'], "C", "CLOSE", "Closure approval accepted by quality");				
			// approved by GQ
					$query = "UPDATE qb_close set GQ_DATE=:dat, CLOSEDBY=:clb, CSTATUS=6 WHERE QBN=:qbn";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn'],
							':dat' => date('Y-m-d'),
							':clb' => $_SESSION['lg']
						)
					);
			// change QB status to "closed"
					$query = "UPDATE qbi SET QBSTATUS='C' WHERE QBN=:qbn";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn']
						)
					);					
			// delete tracking mails
					$query = "DELETE FROM qb_trackmail WHERE QBN=:qbn";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn']
						)
					);
					$qb_support->qbactivity($_REQUEST['qbn']);		
			// sendmail if requestor asked for it 
					$query = "SELECT VORNAME, EMAIL, LANG, CLOSEMAIL FROM qbbasic LEFT JOIN qb_user ON REQ=LOGIN WHERE QBN=:qbn";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn']
						)
					);
					$result = $stmt->fetch(PDO::FETCH_NUM );
					if ($result[3] == 1) {			
					// load template file
						if ($result[2] == "") $result[2] = $qb_support->getOptions('fallbacklang', 'set');
						$template = file_get_contents($rel_path."mail/".$result[2].".close.inform_requestor_on_close.html");
						$template = str_replace('{{qbnummer}}', $_REQUEST['qbn'], $template);
						$template = str_replace('{{username}}', $result[0], $template);
						$template = str_replace('{{qblink}}', $relili . $_REQUEST['qbn'] . "&page=basic", $template);
						preg_match('/<title>(.*)<\/title>/iU', $template, $subject);
						$subject = "QB".$_REQUEST['qbn'].": ".$subject[1];					
						$qb_support->templatemail($result[1], $subject, $template, "", "close:abgq");		
					}
					$result = "Done";
					return $result;
					break;
				case "mailrejsvt2":
				// write log
					$qb_support->writelog($_REQUEST['qbn'], "C", "CLOSE", "Closure rejected by responsible");				
					$qb_support->qbactivity($_REQUEST['qbn']);
				// reset send-date
					$query = "UPDATE qb_close set VG_DATE=NOW(), INFO='0000-00-00', CSTATUS=4, REJSVT=(REJSVT+1) WHERE QBN=:qbn";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn']
						)
					);
			// write log file for rejects
					$query = "INSERT INTO qb_close_rej SET REJDATE=NOW(), QBN=:qbn, REJLOGIN=:svt, REJTEXT=:rtxt, REJTYPE='S'";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn'],
							':svt' => $_SESSION['lg'],
							':rtxt' => $_REQUEST['txt']
						)
					);
					$result = "Done";
					return $result;
					break;
				case "mailrejsvt":
				// write log
					$qb_support->writelog($_REQUEST['qbn'], "C", "CLOSE", "Closure rejected by responsible");					
				// reject by svt
					$qb_support->qbactivity($_REQUEST['qbn']);
				// reset send-date
					$query = "UPDATE qb_close set VG_DATE=NOW(), INFO='0000-00-00', CSTATUS=4, REJSVT=(REJSVT+1) WHERE QBN=:qbn";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn']
						)
					);
			// write log file for rejects
					$query = "INSERT INTO qb_close_rej SET REJDATE=NOW(), QBN=:qbn, REJLOGIN=:svt, REJTEXT=:rtxt, REJTYPE='S'";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn'],
							':svt' => $_SESSION['lg'],
							':rtxt' => $_REQUEST['txt']
						)
					);
				// get email
					$query = "SELECT VORNAME, EMAIL, LANG FROM qb_user, qb_team WHERE QBN=:qbn AND ROLLE='PL' and NAME=LOGIN";
					$stmt = $db->prepare($query);
					$stmt->execute(array(':qbn' => $_REQUEST['qbn']));
					$result = $stmt->fetch(PDO::FETCH_NUM);					
				// load template file
					if ($result[2] == "") $result[2] = $qb_support->getOptions('fallbacklang', 'set');
					$template = file_get_contents($rel_path."mail/".$result[2].".close.svt_reject.html");
					$template = str_replace('{{qbnummer}}', $_REQUEST['qbn'], $template);
					$template = str_replace('{{username}}', $result[0], $template);
					$template = str_replace('{{reason}}', $_REQUEST['txt'], $template);
					$template = str_replace('{{qblink}}', $relili . $_REQUEST['qbn'] . "&page=basic", $template);
					preg_match('/<title>(.*)<\/title>/iU', $template, $subject);
					$subject = "QB".$_REQUEST['qbn'].": ".$subject[1];					
					$qb_support->templatemail($result[1], $subject, $template, "", "close:mailrejsvt");
					$result = "Done";
					return $result;
					break;
				case "mailrejgq2":
				// write log
					$qb_support->writelog($_REQUEST['qbn'], "C", "CLOSE", "Closure rejected by quality");
				// reset send-date
					$query = "UPDATE qb_close SET CL_DATE=NOW(), VG_DATE=NOW(), INFO=NOW(), CSTATUS=7, REJGQ=(REJGQ+1) WHERE QBN=:qbn";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn']
						)
					);
			// write log file for rejects
					$query = "INSERT INTO qb_close_rej SET REJDATE=NOW(), QBN=:qbn, REJLOGIN=:svt, REJTEXT=:rtxt, REJTYPE='S'";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn'],
							':svt' => $_SESSION['lg'],
							':rtxt' => "-"
						)
					);
				// mark as special and add comment
					$query = "UPDATE qbi SET TRACK=1, TRACKCOM=:trc WHERE QBN=:qbn";		
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn'],
							':trc' => $_REQUEST['track']
						)
					);
					$result = "Done";
					return $result;
					break;
				case "mailrejgq":
				// write log
					$qb_support->writelog($_REQUEST['qbn'], "C", "CLOSE", "Closure rejected by quality");				
					$query = "SELECT SENDERMAIL FROM qb_conf";
					$stmt = $db->query($query);
					$sendermail = $stmt->fetchColumn();				
			// reject by Quality
				// reset send-date
					$query = "UPDATE qb_close SET CL_DATE=NOW(), VG_DATE=NOW(), INFO=NOW(), CSTATUS=7, REJGQ=(REJGQ+1) WHERE QBN=:qbn";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn']
						)
					);
			// write log file for rejects
					$query = "INSERT INTO qb_close_rej SET REJDATE=NOW(), QBN=:qbn, REJLOGIN=:svt, REJTEXT=:rtxt, REJTYPE='Q'";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn'],
							':svt' => $_SESSION['lg'],
							':rtxt' => $_REQUEST['txt']
						)
					);
				// mark as special and add comment
					$query = "UPDATE qbi SET TRACK=1, TRACKCOM=:trc WHERE QBN=:qbn";		
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn'],
							':trc' => $_REQUEST['track'] . "\r\n" . $_REQUEST['txt']
						)
					);	
				// inform PL & SVT about rejection
					$query = "SELECT VORNAME, EMAIL, LANG FROM qb_user, qb_team WHERE NAME=LOGIN AND ROLLE='PL' AND QBN=:qbn 
						UNION SELECT VORNAME, EMAIL, LANG FROM qb_user, qbi WHERE SVT=LOGIN AND QBN=:qbn";
					$stmt = $db->prepare($query);
					$stmt->execute(array(':qbn' => $_REQUEST['qbn']));
					while($result = $stmt->fetch(PDO::FETCH_NUM)) {
					// load template file
						if ($result[2] == "") $result[2] = $qb_support->getOptions('fallbacklang', 'set');
						$template = file_get_contents($rel_path."mail/".$result[2].".close.gq_reject.html");
						$template = str_replace('{{qbnummer}}', $_REQUEST['qbn'], $template);
						$template = str_replace('{{username}}', $result[0], $template);
						$template = str_replace('{{reason}}', $_REQUEST['txt'], $template);
						$template = str_replace('{{qblink}}', $relili . $_REQUEST['qbn'] . "&page=basic", $template);
						preg_match('/<title>(.*)<\/title>/iU', $template, $subject);
						$subject = "QB".$_REQUEST['qbn'].": ".$subject[1];					
						$qb_support->templatemail($result[1], $subject, $template, "", "close:mailrejgq");
					}
					$qb_support->qbactivity($_REQUEST['qbn']);
					$result = "Done";
					return $result;
					break;
				case "saveclose":
				// write log
					$qb_support->writelog($_REQUEST['qbn'], "C", "CLOSE", "Detail data saved");					
			// save changes
					$query = "SELECT COUNT(*) FROM qb_close WHERE QBN=:qbn";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn']
						)
					);	
					if ($stmt->fetchColumn() > 0) {
				// Update
						$query = "UPDATE qb_close SET FU=:fu, VB=:vb, LAF=:laf WHERE QBN=:qbn";
					} else {
				// New
					// no root cause material set - set original material
						$query = "INSERT INTO qb_close (FU, VB, LAF, QBN) VALUES(:fu, :vb, :laf, :qbn)";
					}	
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':qbn' => $_REQUEST['qbn'],
							':fu' => $_REQUEST['fu'],
							':vb' => $_REQUEST['vb'],
							':laf' => $_REQUEST['laf']
						)
					);	
					$qb_support->qbactivity($_REQUEST['qbn']);
					$result = "Done";
					return $result;
					break;
			}
		}
	}
?>