<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	global $rel_path;	
	require_once ($rel_path."support.php");
  
	$qb_support = new QBSupport;
  $lng = $_SESSION['lng'];
  $cal = parse_ini_file($rel_path.'i18n/calendar.ini', true);	
  $calmonth = explode(",", $cal['monthNamesShort'][$lng]);
    
	$routine = new Cusad();
	echo $routine->execute();
	
	class Cusad {
		
		public function __construct() 
		{
		}
    
    function format_date($loc) {
      global $calmonth;
      if ($loc == "-") return "-";
      $olddate = substr($loc, 0, 10);
      if ($olddate == "0000-00-00") return "-";
      $olddate = explode("-", $olddate);
      $newdate = $olddate[0]."-".$calmonth[$olddate[1]-1]."-".$olddate[2];
      return $newdate;
    }		
		public function execute()
		{	
			global $db, $qb_support, $rel_path;
      $ini_aistatus = parse_ini_file($rel_path.'xml/status.ini', true);	
      $ini_cusad = parse_ini_file($rel_path.'i18n/cus_ad.ini', true);	
      $lng = $_SESSION['lng'];
	// called routine
			$sub_routine = $_REQUEST["routine"];
			switch ($sub_routine)
			{
				case "getdata":
          $query = "SELECT CUSTOMER, SALESORG, MNR, LFS_NR, DEL_COUNT, TEST_COUNT, TEST_FAIL, PROD_DAT, PROD_NR, DESCRIPTION FROM qbbasic WHERE QBN=:qbn";
          $stmt = $db->prepare($query);
          $stmt->execute(array(':qbn' => $_REQUEST['qbn']));
          list($customer, $region, $mnr, $lfs, $delivered, $tested, $fails, $pdat, $pnr, $desc) = $stmt->fetch(PDO::FETCH_NUM);
          $result = "<h4 id='d1'>".$ini_cusad['D1'][$lng] . "</h4>";
          $result .= "<div class='cntnr'>" . $desc . "</div>";
    // 2D
          $result .= "<h4 id='d2' class='sprtr'>".$ini_cusad['D2'][$lng] . "</h4>";
          $query = "
            SELECT 
              (SELECT CONCAT(NACHNAME, ', ', VORNAME) from qb_user WHERE LOGIN=NAME) AS PL, 
              (SELECT DEPARTMENT FROM qb_user WHERE LOGIN=NAME) AS DEP 
            FROM 
              qb_team
            WHERE 
              QBN=:qbn
            ORDER BY
              ROLLE DESC
          ";
          $stmt = $db->prepare($query);
          $stmt->execute(array(':qbn' => $_REQUEST['qbn']));
          $result .= "<div class='cntnr'>";
          while($row = $stmt->fetch(PDO::FETCH_NUM)) {
            $result .= "<label class='w250 dlabel'>" . $row[0] . "</label><label class='dlabel w75'>" .$row[1] . "</label>";
          }
          $result .= "</div>";
    // 3D
          $result .= "<h4 id='d3' class='sprtr'>".$ini_cusad['D3'][$lng] . "</h4>";
          $query = "SELECT WHT, WHN, STAT, (SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE LOGIN=VISUM), UNTIL FROM qb_docimm WHERE QBN=:qbn AND IAD=1 ORDER BY WHN ASC";
          $stmt = $db->prepare($query);
          $stmt->execute(array(':qbn' => $_REQUEST['qbn']));
          $result .= "<div class='cntnr'>";
          $found = false;
          while($row = $stmt->fetch(PDO::FETCH_NUM)) {
            $result .= "<div class='ai'><label class='w100 dlabel'>" . $this->format_date($row[1]) . "</label><label class='dlabel w400'>" .$row[3] . "</label><label class='w100 dlabel'>" . $this->format_date($row[1]) . "</label><label class='dlabel w75'>" . $ini_aistatus[$row[2]][$lng] . "</label></div>";
            $result .= "<div class='ai'>" . $row[0] . "</div>";
            $found = true;
          }
          if (!$found) {
            $result .= "<p class='wrnng'>" . $ini_cusad['nodata'][$lng] . "</p>";
          }
          $result .= "</div>";
    // 4D
          $result .= "<h4 id='d4' class='sprtr'>".$ini_cusad['D4'][$lng] . "</h4>";
          $query = "SELECT WHYARRAY FROM qb_fivewhy WHERE QBN=:qbn";
          $stmt = $db->prepare($query);
          $stmt->execute(array(':qbn' => $_REQUEST['qbn']));
          $result .= "<div class='cntnr'>";
          if (!$stmt) {
            $result .= "<p class='wrnng'>" . $ini_cusad['nodata'][$lng] . "</p>";
          } else {
            list($why) = $stmt->fetch(PDO::FETCH_NUM);
            $why = json_decode($why, true);
            $cols = count($why[0]) - 1;
            $colw = floor(680 / $cols);
            for($i = 1; $i < $cols; $i++) {
              $result .= "<label class='dlabel' style='width:".$colw."px; text-align: center;'>" . $i . ". " . $ini_cusad['why'][$lng] . "</label>";
            }
            $result .= "<label class='dlabel' style='width:".$colw."px; text-align: center;'>" . $ini_cusad['root'][$lng] . "</label>";
            foreach($why as $k=>$v) {
              $dets = $v;
              $troot = $dets['root'];
              unset($dets['root']);
              unset($dets['id']);
              ksort($dets, SORT_STRING);
              foreach($dets as $nk=>$nv) {
                $result .= "<div class='' style='vertical-align: top; border-top: 1px solid black; display: inline-block; width:".$colw."px;'>" . $nv . "</div>";
              }
              $result .= "<div class='' style='vertical-align: top; border-top: 1px solid black; display: inline-block; width:".$colw."px;'>" . $troot . "</div></br>";
            }
          }
          $result .= "</div>";
    // 5D
          $result .= "<h4 id='d5' class='sprtr'>".$ini_cusad['D5'][$lng] . "</h4>";
          $query = "SELECT WHT, WHN, STAT, (SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE LOGIN=VISUM), UNTIL FROM qb_docdef WHERE QBN=:qbn AND IAD=1 ORDER BY WHN ASC";
          $stmt = $db->prepare($query);
          $stmt->execute(array(':qbn' => $_REQUEST['qbn']));
          $result .= "<div class='cntnr'>";
          $found = false;
          while($row = $stmt->fetch(PDO::FETCH_NUM)) {
            $result .= "<div class='ai'><label class='w100 dlabel'>" . $this->format_date($row[1]) . "</label><label class='dlabel w400'>" .$row[3] . "</label><label class='w100 dlabel'>" . $this->format_date($row[1]) . "</label><label class='dlabel w75'>" . $ini_aistatus[$row[2]][$lng] . "</label></div>";
            $result .= "<div class='ai'>" . $row[0] . "</div>";
            $found = true;
          }
          if (!$found) {
            $result .= "<p class='wrnng'>" . $ini_cusad['nodata'][$lng] . "</p>";
          }
          $result .= "</div>";
    // 6D
          $result .= "<h4 id='d6' class='sprtr'>".$ini_cusad['D6'][$lng] . "</h4>";
          $query = "SELECT COUNT(*), DATE_REL_M, PLANNED_C_DATE, DESCRIPTION FROM qb_imp WHERE QBN=:qbn";
          $stmt = $db->prepare($query);
          $stmt->execute(array(':qbn' => $_REQUEST['qbn']));
          list($cnt, $pdate, $udate, $desc2) = $stmt->fetch(PDO::FETCH_NUM);
          $result .= "<div class='cntnr'>";
          if ($cnt == 0) {
            $result .= "<p class='wrnng'>" . $ini_cusad['nodata'][$lng] . "</p>";
          } else {
            $result .= "<div>" . $desc2 . "</div>";
            $result .= "<label class='w100 dlabel'>" . $ini_cusad['termin'][$lng] . "</label><label class='w100 dlabel'>" . $this->format_date($udate) . "</label><br />";
          }
          $result .= "</div>";
    // 7D
          $result .= "<h4 id='d7' class='sprtr'>".$ini_cusad['D7'][$lng] . "</h4>";
          $query = "SELECT COUNT(*), CHECK_NEXT_WE, WE_OK, WE_DATE, DOOT, OTHER_TEST, V_DATE FROM qb_val WHERE QBN=:qbn";
          $stmt = $db->prepare($query);
          $stmt->execute(array(':qbn' => $_REQUEST['qbn']));
          list($cnt, $cnwe, $weok, $wed, $doot, $oth, $vdat) = $stmt->fetch(PDO::FETCH_NUM);
          $result .= "<div class='cntnr'>";
          if ($cnt == 0) {
            $result .= "<p class='wrnng'>" . $ini_cusad['nodata'][$lng] . "</p>";
          } else {
            if ($cnwe == 1) {
              $result .= "<label class='w200 dlabel'>" . $ini_cusad['check_next_we'][$lng] . "</label>";
              $result .= "<label class='w100 dlabel'>" . $ini_cusad['we_ok'][$lng] . "</label>";
              $result .= "<label class='w100 dlabel'>" . $this->format_date($wed) . "</label><br />";
            } else {
              $result .= "<div>" . $oth . "</div>";
              $result .= "<label class='w100 dlabel'>" . $ini_cusad['and_pr_ok'][$lng] . "</label><label class='w100 dlabel'>" . $this->format_date($vdat) . "</label><br />";
            }
          }
          $result .= "</div>";
    // 8D
          $result .= "<h4 id='d8' class='sprtr'>".$ini_cusad['D8'][$lng] . "</h4>";
          $query = "SELECT COUNT(*), FU, VB, GQ_DATE FROM qb_close WHERE QBN=:qbn";
          $stmt = $db->prepare($query);
          $stmt->execute(array(':qbn' => $_REQUEST['qbn']));
          list($cnt, $fu, $vb, $gdate) = $stmt->fetch(PDO::FETCH_NUM);
          $result .= "<div class='cntnr'>";
          if ($cnt == 0) {
            $result .= "<p class='wrnng'>" . $ini_cusad['nodata'][$lng] . "</p>";
          } else {
            $result .= "<label class='w200 dlabel'>" . $ini_cusad['fu'][$lng] . "</label>";
            $result .= "<div>" . $fu . "</div>";
            $result .= "<label class='w200 dlabel'>" . $ini_cusad['vb'][$lng] . "</label>";
            $result .= "<div>" . $vb . "</div>";
            $result .= "<label class='w200 dlabel'>" . $ini_cusad['cdate'][$lng] . "</label>";
            $result .= "<label class='w200 dlabel'>" . $this->format_date($gdate) . "</label><br />";
          }
          $result .= "</div>";
					return $result;		
					break;
			}
		}	
	}
?>
