<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	global $rel_path;	
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;
	
	$routine = new Dashboard();
	echo $routine->execute();
	
	class Dashboard {
		
		public function __construct() 
		{
		}
		
		public function execute()
		{	
			global $db, $debug, $qb_support;
	// called routine
			$sub_routine = $_REQUEST["routine"];
			switch ($sub_routine)
			{
				case "orphanssearch":
					return "";
					break;
				case "savesize":
					$dash = $this->getdash($_REQUEST['lgi']);
					$dash[$_REQUEST['frm']]['wdt'] = $_REQUEST['wdt'];
					$dash[$_REQUEST['frm']]['hgt'] = $_REQUEST['hgt'];
					$this->savedash($dash, $_REQUEST['lgi']);
					break;
				case "saveposition":
					$dash = $this->getdash($_REQUEST['lgi']);
					$dash[$_REQUEST['frm']]['lft'] = $_REQUEST['lft'];
					$dash[$_REQUEST['frm']]['top'] = $_REQUEST['top'];
					$this->savedash($dash, $_REQUEST['lgi']);
					break;
				case "savecolmod":
					$dash = $this->getdash($_REQUEST['lgi']);
					$dash[$_REQUEST['frm']]['columns'] = json_decode($_REQUEST['cols'], true);
					$this->savedash($dash, $_REQUEST['lgi']);
					break;
				case "savedaterange":
					$dash = $this->getdash($_REQUEST['lgi']);
					$dash[$_REQUEST['frm']]['drange'] = $_REQUEST['range'];
					$this->savedash($dash, $_REQUEST['lgi']);
					break;
				case "saveclass":
					$dash = $this->getdash($_REQUEST['lgi']);
					$dash[$_REQUEST['frm']]['clss'] = $_REQUEST['clss'];
					$this->savedash($dash, $_REQUEST['lgi']);
					break;
				case "savestyle":
					$dash = $this->getdash($_REQUEST['lgi']);
					$dash[$_REQUEST['frm']]['style'] = $_REQUEST['style'];
					$this->savedash($dash, $_REQUEST['lgi']);
					break;
				case "savelimitmod":
					$dash = $this->getdash($_REQUEST['lgi']);
					$dash[$_REQUEST['frm']]['limit'] = $_REQUEST['lmt'];
					$this->savedash($dash, $_REQUEST['lgi']);
					break;
				case "saveorder":
					$dash = $this->getdash($_REQUEST['lgi']);
					$dash[$_REQUEST['frm']]['sort']['col'] = $_REQUEST['col'];
					$dash[$_REQUEST['frm']]['sort']['ordr'] = $_REQUEST['ordr'];
					$this->savedash($dash, $_REQUEST['lgi']);
					break;
				case "removewidget":
					$dash = $this->getdash($_REQUEST['lgi']);
					unset($dash[$_REQUEST['frm']]);
					if (count($dash) == 0) {
						$this->deldash($_REQUEST['lgi']);
					} else {
						$this->savedash($dash, $_REQUEST['lgi']);
					}
					break;
				case "addwidget":
					$query = "SELECT INIT FROM qb_widgets WHERE WIDGET=:wdg";
					$stmt = $db->prepare($query);
					$stmt->execute(array(':wdg' => $_REQUEST['wdg']));
					$new_wdg = $stmt->fetch(PDO::FETCH_NUM);
					$new_wdg = json_decode($new_wdg[0], true);
					$dash = $this->getdash($_REQUEST['lgi']);
					if ($dash == NULL) {
						$dash = array();
						$dash[$_REQUEST['wdg']] = $new_wdg;
						$this->newdash($dash, $_REQUEST['lgi']);
					} else {
						$dash[$_REQUEST['wdg']] = $new_wdg;
						$this->savedash($dash, $_REQUEST['lgi']);
					}
					break;
			}
		}
		private function getdash($login) {
			global $db;
			$query = "SELECT DASH FROM qb_dashboards WHERE LOGIN=:lgi";
			$stmt = $db->prepare($query);	
			$stmt->execute(array(':lgi'=>$login));
			list($dash) = $stmt->fetch(PDO::FETCH_NUM);
			return json_decode($dash, true);
		}
		private function savedash($dash, $login) {
			global $db;
			$query = "UPDATE qb_dashboards SET DASH=:dsh WHERE LOGIN=:lgi";
			$stmt = $db->prepare($query);	
			$stmt->execute(array(':lgi'=>$login, ':dsh'=>json_encode($dash)));
		}
		private function newdash($dash, $login) {
			global $db;
			$query = "INSERT INTO qb_dashboards SET DASH=:dsh, LOGIN=:lgi";
			$stmt = $db->prepare($query);	
			$stmt->execute(array(':lgi'=>$login, ':dsh'=>json_encode($dash)));
		}
		private function deldash($login) {
			global $db;
			$query = "DELETE FROM qb_dashboards WHERE LOGIN=:lgi";
			$stmt = $db->prepare($query);	
			$stmt->execute(array(':lgi'=>$login));
		}
	}
?>