<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	global $rel_path;	
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;
	
	$routine = new Mandatory();
	echo $routine->execute();
	
	class Mandatory {
		
		public function __construct() 
		{
		}
		
		public function execute()
		{	
			global $db, $debug, $qb_support;
	// called routine
			$sub_routine = $_REQUEST["routine"];
			switch ($sub_routine)
			{
				case "getmantrans":
					$query = "
						SELECT
							IDX,
							DEPARTMENT
						FROM
							qb_mantrans
						WHERE
							SHORT=:shrt
						ORDER BY
							DEPARTMENT ASC
					";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':shrt' => $_REQUEST['shrt']
						)
					);
					if ($stmt->rowCount() > 0) {
						while($r = $stmt->fetch(PDO::FETCH_NUM)) {
							$rows[] = $r;
						}
					} else {
						$rows[] = Array();
					}
					$query = "
						SELECT 
							DEPARTMENT 
						FROM 
							qb_user 
						WHERE 
							DEPARTMENT <> '' AND 
							DEPARTMENT NOT IN (SELECT DEPARTMENT FROM qb_mantrans GROUP BY DEPARTMENT) 
						GROUP BY 
							DEPARTMENT 
						ORDER BY 
							DEPARTMENT";
					$stmt = $db->query($query);
					$result = array();
					while($row = $stmt->fetch(PDO::FETCH_NUM)) {
						$result[] = $row[0];
					}					
					$result = json_encode(array($rows, $result));
					return $result;
					break;				
				case "remmandatory":
			// now delete old entry
					$query = "DELETE FROM qb_mantrans WHERE IDX=:idx";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':idx' => $_REQUEST['didx']
						)
					);
					$query = "
						SELECT 
							DEPARTMENT 
						FROM 
							qb_user 
						WHERE 
							DEPARTMENT <> '' AND 
							DEPARTMENT NOT IN (SELECT DEPARTMENT FROM qb_mantrans GROUP BY DEPARTMENT) 
						GROUP BY 
							DEPARTMENT 
						ORDER BY 
							DEPARTMENT";
					$stmt = $db->query($query);
					$result = array();
					while($row = $stmt->fetch(PDO::FETCH_NUM)) {
						$result[] = $row[0];
					}
					return json_encode($result);
					break;					
				case "addmandatory":
				// add department
					$query = "INSERT INTO qb_mantrans SET SHORT=:ref, DEPARTMENT=:dep";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':ref' => $_POST['ref'],
							':dep' => $_POST['dep']
						)
					);
					$query = "
						SELECT 
							DEPARTMENT 
						FROM 
							qb_user 
						WHERE 
							DEPARTMENT <> '' AND 
							DEPARTMENT NOT IN (SELECT DEPARTMENT FROM qb_mantrans GROUP BY DEPARTMENT) 
						GROUP BY 
							DEPARTMENT 
						ORDER BY 
							DEPARTMENT";
					$stmt = $db->query($query);
					$result = array();
					while($row = $stmt->fetch(PDO::FETCH_NUM)) {
						$result[] = $row[0];
					}
					return json_encode($result);					
					break;
			}
		}
	}
?>								