<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	global $rel_path;	
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;
	
	$qbn = filter_input(INPUT_GET,"qb",FILTER_SANITIZE_STRING);
	$lng = $_REQUEST['qblan'];
// define material name language
	$mncol = $qb_support->getLanMat($_REQUEST['qblan']);
	$ini_index = parse_ini_file($rel_path.'i18n/index.ini', true);
	$ini_basic = parse_ini_file($rel_path.'i18n/basic.ini', true);
	$ini_team = parse_ini_file($rel_path.'i18n/team.ini', true);
	$ini_immediate = parse_ini_file($rel_path.'i18n/immediate.ini', true);
	$ini_fivewhy = parse_ini_file($rel_path.'i18n/fivewhy.ini', true);
	$ini_definitive = parse_ini_file($rel_path.'i18n/definitive.ini', true);
	$ini_implement = parse_ini_file($rel_path.'i18n/implement.ini', true);
	$ini_validate = parse_ini_file($rel_path.'i18n/validate.ini', true);
	$ini_close = parse_ini_file($rel_path.'i18n/close.ini', true);
	$ini_docmet = parse_ini_file($rel_path.'i18n/docmet.ini', true);
	$ini_doccom = parse_ini_file($rel_path.'i18n/doccom.ini', true);
	$ini_docmeta = parse_ini_file($rel_path.'i18n/docmeta.ini', true);
	$ini_doccost = parse_ini_file($rel_path.'i18n/doccost.ini', true);
	$ini_docquest = parse_ini_file($rel_path.'i18n/docquest.ini', true);
	$ini_qbstatus = parse_ini_file($rel_path.'xml/qb_status.ini', true);
	$ini_qbtype = parse_ini_file($rel_path.'xml/qb_type.ini', true);
	$ini_teamstatus = parse_ini_file($rel_path.'i18n/team_status.ini', true);
	$ini_qbstatus = parse_ini_file($rel_path.'xml/qb_status.ini', true);
	$ini_rekart = parse_ini_file($rel_path.'xml/r_type.ini', true);	
	$ini_gheader2 = parse_ini_file($rel_path.'i18n/g_header2.ini', true);	
	$ini_mand = parse_ini_file($rel_path.'xml/mandatory.ini', true);	
	$ini_aistatus = parse_ini_file($rel_path.'xml/status.ini', true);	
	$ini_ffu = parse_ini_file($rel_path.'xml/ffu.ini', true);
	$ini_docmenu = parse_ini_file($rel_path.'i18n/doc_menu.ini', true);
	$ini_costart = parse_ini_file($rel_path.'xml/cost_art.ini', true);	
	$ini_fcodes_bb = parse_ini_file($rel_path.'xml/fc_bb.ini', true);
	$ini_fcodes_cc = parse_ini_file($rel_path.'xml/fc_cc.ini', true);
	$ini_fcodes_dd = parse_ini_file($rel_path.'xml/fc_dd.ini', true);
	
	$cal = parse_ini_file($rel_path.'i18n/calendar.ini', true);	
	$cal = explode(",", $cal['monthNamesShort'][$lng]);	
	$ini_submenu = parse_ini_file($rel_path.'i18n/sub_menu.ini', true);
	$ini_adc = parse_ini_file($rel_path.'xml/adc.ini', true);

	$query = "SELECT COMPANYLOGO FROM qb_conf";
	$stmt = $db->query($query);
	$companylogo = $stmt->fetchColumn();

	//include tcpdf class
	require_once(dirname(__FILE__)."/../tcpdf/tcpdf.php");

	// Extend the TCPDF class to create custom Header and Footer
	class MYPDF extends TCPDF {

		//Page header
		public function Header() {
			global $companylogo, $qbn, $ini_definitive, $rel_path, $lng;
		// Logo
			$image_file = $rel_path."templates/".$companylogo;
			$ext = explode(".", $companylogo);
			$ext = array_pop($ext);			
			$this->Image($image_file, 10, 6, 25, '', $ext, '', 'T', false, 300, '', false, false, 0, false, false, false);
		// Set font
			$this->SetFont('helvetica','B',12); 
		// Title
			$this->Cell(0, 10, $ini_definitive['qbn'][$lng] . " " . $qbn, 0, 0, 'R', false, '', 0, true, 'T', 'B');	
		}

		// Page footer
		public function Footer() {
			// Position at 15 mm from bottom
			$this->SetY(-15);
			// Set font
			$this->SetFont('helvetica', 'I', 8);
			// Page number
			$this->Cell(0, 10, 'Page '.$this->getAliasNumPage().'/'.$this->getAliasNbPages(), 0, false, 'C', 0, '', 0, false, 'T', 'M');
		}
	// Checkbox ticked
		public function checkbox_f($ofst) {
			$this->SetFillColor(221, 221, 221);	
			$x = $this->GetX() - $ofst;
			$y = $this->GetY() + 1;
			$this->SetLineWidth(0.3);
			$this->Rect($x, $y, 3, 3, 'DF');
			$this->Line($x, $y, $x+3, $y+3);
			$this->Line($x, $y+3, $x+3, $y);
			$this->SetLineWidth(0.2);
			$this->SetFillColor(255, 255, 255);	
		} 	
	// Checkbox empty
		public function checkbox_e($ofst) { 
			$this->SetFillColor(221, 221, 221);
			$x = $this->GetX() - $ofst;
			$y = $this->GetY() + 1;
			$this->SetLineWidth(0.3);
			$this->Rect($x, $y, 3, 3, 'DF');
			$this->SetLineWidth(0.2);
			$this->SetFillColor(255, 255, 255);			
		} 		
	}
// set document information
	$pdf = new MYPDF("P", "mm", "A4", true, 'UTF-8', false);
	$pdf->SetCreator("QMMS");
	$pdf->SetTitle($ini_definitive['qbn'][$lng] ." ". $qbn);
	
// set header and footer fonts
	$pdf->setHeaderFont(Array(PDF_FONT_NAME_MAIN, '', PDF_FONT_SIZE_MAIN));
	$pdf->setFooterFont(Array(PDF_FONT_NAME_DATA, '', PDF_FONT_SIZE_DATA));

// set default monospaced font
	$pdf->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);
	
// set margins
	$pdf->SetMargins('10', '18', '10');
	$pdf->SetFooterMargin(PDF_MARGIN_FOOTER);

// set auto page breaks
	$pdf->SetAutoPageBreak(TRUE, PDF_MARGIN_BOTTOM);

// set some language-dependent strings (optional)
	require_once($rel_path.'tcpdf/'.$_REQUEST["qblan"].'.php');
	$pdf->setLanguageArray($l);

// add a page
	$pdf->AddPage();
// prepare data
//
// basic data
	$query = "SELECT QBN, QBDATE, QBREGDATE, QBSTATUS, COALESCE(CONCAT(VORNAME, ' ' , NACHNAME), 'not assigned yet'), BB, " .
		"CC, DDDD, LIGHT, TOP, RTYPE FROM qbi LEFT JOIN qb_user ON SVT=LOGIN WHERE QBN=:qbn";
	$stmt = $db->prepare($query);
	$stmt->execute(
		array(
			':qbn' => $qbn
		)
	);
	list($qbi, $qbdate, $qbregdate, $qbstatus, $svt, $bb, $cc, $dddd, $light, $top, $rtype) = $stmt->fetch(PDO::FETCH_NUM );	
	$txt = "";
	if ($light == 1) {
		$txt = $ini_qbtype['L'][$lng];
	} else if ($top == 1) {
		$txt = $ini_qbtype['T'][$lng];
	} else {
		$txt = $ini_qbtype['N'][$lng];
	}

// Start
	$pdf->SetFont('helvetica', 'B', 14);
	$pdf->Cell(0, 10, $txt . ' ' . $qbi, 1, 1, 'C', false, '', 0, false, 'T', 'C');
	
	$pdf->SetFont('helvetica', '', 12);
	$pdf->Cell(70, 10, $svt, 'B', 0, 'L', false, '', 0, false, 'T', 'C');
	// set fillcolor for status
	switch ($qbstatus) {
		case "N":
			$rc = 255;
			$gc = 255;
			$bc = 255;
			break;
		case "O":
			$rc = 255;
			$gc = 102;
			$bc = 102;
			break;	
		case "S":
			$rc = 255;
			$gc = 255;
			$bc = 102;	
			break;	
		case "C":
			$rc = 102;
			$gc = 255;
			$bc = 102;	
			break;
		default:
			$rc = 255;
			$gc = 255;
			$bc = 255;	
			break;	
	}
	$qbd = explode("-", $qbregdate);
	$pdf->SetFillColor($rc, $gc, $bc);
	$pdf->Cell(50, 10, $ini_qbstatus[$qbstatus][$lng], 'BT', 0, 'C', true, '', 0, false, 'T', 'C');
	$pdf->Cell(0, 10, $qbd[0] . "-" . $cal[($qbd[1]*1)-1] . "-" . $qbd[2], 'B', 1, 'R', false, '', 0, false, 'T', 'C');
	$pdf->Ln(2);
	
	$pdf->SetFillColor(221, 221, 221);
	$pdf->SetFont('helvetica', 'B', 10);
	$pdf->Cell(0,5,$ini_basic['idescription'][$lng], 'T', 1, 'L', true);
	// head data
	$query = "SELECT IF(SHOWREQ=1, (SELECT CONCAT(NACHNAME, ', ' , VORNAME) FROM qb_user WHERE REQ=LOGIN), '********'), IF(MNR='0', 'xxxxx-xxxxx', MNR) AS TGR, 
		IF(MNR='0', 'xxxxx-xxxxx', (SELECT TGRBZ_" . $mncol . " FROM qb_material WHERE TGR=MNR)) AS TGRBZ, COALESCE((SELECT " .
		"SUPPLIERNAME FROM qb_supplier WHERE SUPPLIER=SUPPLIERNR), 'not assigned yet'), COALESCE(SUPPLIER, ''), DESCRIPTION, CUSTOMER, " .
		"(SELECT COUNTRY FROM qb_ccode WHERE CODE=SALESORG), LFS_NR, DEL_COUNT, TEST_COUNT, TEST_FAIL, (SELECT DEPARTMENT FROM qb_user WHERE REQ=LOGIN), SHOWREQ, 
		BEST FROM qbbasic WHERE QBN=:qbn";
		$stmt = $db->prepare($query);
		$stmt->execute(
			array(
				':qbn' => $qbn
			)
		);
	list($req, $tgr, $tgrbz, $supplier, $creditor, $descr, $customer, $vko, $lfsnr, $delivered, $tested, $fail, $dep, $showreq, $crm) = $stmt->fetch(PDO::FETCH_NUM );	

// 1st row
	$pdf->SetFont('helvetica', '', 10);
	$pdf->SetFillColor(255, 255, 255);
	$pdf->Cell(35 ,5,$ini_index['ireq'][$lng], 'T', 0, 'L', true);
	$pdf->SetFillColor(255, 255, 204);
	$pdf->Cell(60,5, $req, 'T', 0, 'L', true);
	$pdf->SetFillColor(255, 255, 255);
	$pdf->Cell(25,5,$ini_team['department'][$lng], 'T', 0, 'L', true);
	$pdf->SetFillColor(255, 255, 204);
	$pdf->Cell(23,5, $dep, 'T', 0, 'L', true);
	$pdf->SetFillColor(255, 255, 255);
	$pdf->Cell(25,5,$ini_index['iopen'][$lng], 'T', 0, 'L', true);
	$pdf->SetFillColor(255, 255, 204);
	$qbd = explode("-", $qbdate);
	$pdf->Cell(0,5,$qbd[0]."-".$cal[($qbd[1]*1)-1]."-".$qbd[2], 'T', 1, 'L', true);
// 2nd row
	$pdf->SetFillColor(255, 255, 255);
	if ($qb_support->getOptions('usecrm', 'set') == "yes") {
		$pdf->Cell(35,5,$ini_index['imat'][$lng], 'T', 0, 'L', true);
		$pdf->SetFillColor(204, 255, 102);
		$pdf->Cell(108,5, $tgr, 'T', 0, 'L', true);
		$pdf->SetFillColor(255, 255, 255);
		$pdf->Cell(25,5,$ini_gheader2['best'][$lng], 'T', 0, 'L', true);
		$pdf->SetFillColor(255, 255, 204);
		$pdf->SetTextColor(0, 0, 204);
		$ln_corr = $qb_support->getOptions('usecrm', 'path') . $crm;
		$pdf->Cell(0,5,$crm, 'T', 1, 'L', true, $ln_corr);
	} else {
		$pdf->Cell(35,5,$ini_index['imat'][$lng], 'T', 0, 'L', true);
		$pdf->SetFillColor(204, 255, 102);
		$pdf->Cell(0,5, $tgr, 'T', 1, 'L', true);	
	}
	$pdf->SetTextColor(0, 0, 0);
	$pdf->SetFillColor(255, 255, 255);	
	$pdf->Cell(35,5,$ini_gheader2['imatname'][$lng], 'T', 0, 'L', true);
	$pdf->SetFillColor(255, 255, 204);
	$pdf->Cell(0,5, $tgrbz, 'T', 1, 'L', true);
// Bst / lfsnr /VKO / opening date
	$pdf->SetFillColor(255, 255, 255);
	$pdf->Cell(35,5,$ini_basic['iorder'][$lng], 'T', 0, 'L', true);
	$pdf->SetFillColor(255, 255, 204);
	$pdf->Cell(60,5, $lfsnr, 'T', 0, 'L', true);
	$pdf->SetFillColor(255, 255, 255);		
	$pdf->Cell(50,5,$ini_basic['vko'][$lng], 'T', 0, 'L', true);
	$pdf->SetFillColor(255, 255, 204);
	$pdf->Cell(0,5, $vko, 'T', 1, 'L', true);
// 3rd row
	$pdf->SetFillColor(255, 255, 255);
	$pdf->Cell(35,5,$ini_basic['ekd'][$lng], 'T', 0, 'L', true);
	$pdf->SetFillColor(255, 255, 204);
	$pdf->Cell(60,5, $customer, 'T', 0, 'L', true);
	$pdf->SetFillColor(255, 255, 255);
	$pdf->Cell(50,5,$ini_gheader2['irek_art'][$lng], 'T', 0, 'L', true);
	$pdf->SetFillColor(255, 255, 204);
	$pdf->Cell(0,5,$ini_rekart[$rtype][$lng], 'T', 1, 'L', true);
// 4rd row
	$pdf->SetFillColor(255, 255, 255);
	$pdf->Cell(35,5,$ini_basic['supplier'][$lng], 'T', 0, 'L', true);
	$pdf->SetFillColor(255, 255, 204);
	$pdf->Cell(60,5,$supplier, 'T', 0, 'L', true);
	$pdf->SetFillColor(255, 255, 255);
	$pdf->Cell(50,5,$ini_basic['credit_nr'][$lng], 'T', 0, 'L', true);
	$pdf->SetFillColor(255, 255, 204);
	$pdf->Cell(0,5,$creditor, 'T', 1, 'L', true);
// 5th row
	$pdf->SetFillColor(255, 255, 255);
	$pdf->Cell(35,5,$ini_basic['liefermenge'][$lng], 'BT', 0, 'L', true);
	$pdf->SetFillColor(255, 255, 204);
	$pdf->Cell(30,5,$delivered, 'BT', 0, 'L', true);
	$pdf->SetFillColor(255, 255, 255);
	$pdf->Cell(35,5,$ini_basic['inspiziert'][$lng], 'BT', 0, 'L', true);
	$pdf->SetFillColor(255, 255, 204);
	$pdf->Cell(30,5,$tested, 'BT', 0, 'L', true);
	$pdf->SetFillColor(255, 255, 255);
	$pdf->Cell(35,5,$ini_basic['defekt'][$lng], 'BT', 0, 'L', true);
	$pdf->SetFillColor(255, 255, 204);
	$pdf->Cell(0,5,$fail, 'BT', 1, 'L', true);
// Failure description
	$pdf->Ln(1);
	$pdf->SetFont('helvetica', 'B', 10);
	$pdf->SetFillColor(255, 255, 255);
	$pdf->Cell(0,5,$ini_basic['idescription'][$lng] . ":", 'TB', 1, 'L', true);
	$pdf->SetFont('helvetica', '', 10);
	$pdf->SetFillColor(255, 255, 204);
	$pdf->MultiCell(0,5, $descr,'BT','L', 1, 1, "", "", false, 0, true);
// Links
	$pdf->Ln(1);
	$pdf->SetFont('helvetica', 'B', 10);
	$pdf->SetFillColor(255, 255, 255);
	$pdf->Cell(0,5,$ini_basic['links'][$lng] . ":", 'BT', 1, 'L', true);
	$pdf->SetFont('helvetica', '', 10);
	$pdf->SetFillColor(255, 255, 204);
	$query = "SELECT LINK FROM qbbasic_files WHERE QBN=:qbn";
	$stmt = $db->prepare($query);
	$stmt->execute(
		array(
			':qbn' => $qbn
		)
	);	
	while($row = $stmt->fetch(PDO::FETCH_NUM)) {
		$ln = explode("/", $row[0]);
		$ln = $ln[count($ln)-1];
		$pdf->SetFillColor(255, 255, 204);
		$pdf->SetTextColor(0, 0, 204);
		$ln_corr = "http://".$rootlink."/files/" . $qbn . "/" . $ln;
		$pdf->Cell(0,5, $ln, 'BT', 1, 'L', true, $ln_corr);
		$pdf->SetTextColor(0, 0, 0);	
	}
// linked QBs
	$query = "SELECT QBREF FROM qb_qbref WHERE QBN=:qbn";
	$stmt = $db->prepare($query);
	$stmt->execute(
		array(
			':qbn' => $qbn
		)
	);
	if ($stmt->rowCount() > 0) {
		$pdf->Ln(1);
		$pdf->SetFont('helvetica', 'B', 10);
		$pdf->SetFillColor(255, 255, 255);
		$pdf->Cell(0,5,$ini_basic['link_qb'][$lng] . ":", 'BT', 1, 'L', true);
		$pdf->SetFont('helvetica', '', 10);
		$cco = 0;
		$pdf->SetTextColor(0, 0, 204);
		while($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$ln_corr = "http://" . $relili . $row[0];
			if (($cco%2) == 1) {
				$pdf->SetFillColor(255, 255, 255);
			} else {
				$pdf->SetFillColor(255, 255, 204);
			}
			$pdf->Cell(0,5, $row[0], 'BT', 1, 'L', true, $ln_corr);
			$cco++;
		}
		$pdf->SetTextColor(0, 0, 0);
	}
	
// Team
	$pdf->Ln(2);
	$pdf->SetFillColor(221, 221, 221);
	$pdf->SetFont('','',10);
	$pdf->Cell(0,5,$ini_submenu['team'][$lng], 'BT', 1, 'L', true);
		// PL first
	$query = "SELECT CONCAT(NACHNAME, ', ' , VORNAME) FROM qb_team, qb_user WHERE NAME=LOGIN AND QBN=:qbn AND ROLLE='PL'";
	$stmt = $db->prepare($query);
	$stmt->execute(
		array(
			':qbn' => $qbn
		)
	);	
	if ($stmt->rowCount() > 0) {
		$pl = $stmt->fetchColumn();
		// then team
		$query = "SELECT CONCAT(NACHNAME, ', ' , VORNAME) AS NNAME, qb_user.DEPARTMENT, COALESCE(SHORT, 'XX') AS SN FROM qb_team, qb_user LEFT JOIN 
			qb_mantrans ON qb_user.DEPARTMENT=qb_mantrans.DEPARTMENT WHERE NAME=LOGIN AND QBN=:qbn AND ROLLE<>'PL' ORDER BY SN, NNAME";
		$stmt = $db->prepare($query);
		$stmt->execute(
			array(
				':qbn' => $qbn
			)
		);	
		$team_found = false;
		if ($stmt->rowCount() > 0) {
			$team_found = true;
		}
		$ini_mand['XX'][$lng] = "";
		$pdf->SetFillColor(255, 255, 204);
		$pdf->Cell(30,5,$ini_team['tpl'][$lng], 'BT', 0, 'L', false);
		$pdf->SetFillColor(255, 255, 204);
		$pdf->Cell(0,5, $pl,'BT', 1, 'L', false);
		$cco = 0;
		if ($team_found) {
			while($row = $stmt->fetch(PDO::FETCH_NUM)) {
				if (($cco%2) == 1) {
					$pdf->Cell(30,5, $ini_mand[$row[2]][$lng], 'BTL', 0, 'L', true);	
					$pdf->Cell(0,5, $row[0] . " (" . $row[1] . ")" , 'BT', 1, 'L', true);
				} else {
					$pdf->Cell(30,5, $ini_mand[$row[2]][$lng], 'BT', 0, 'L', true);
					$pdf->Cell(65,5, $row[0] . " (" . $row[1] . ")" , 'BT', 0, 'L', true);
				}
				$cco++;
			}
		// fill row if odd number of teammembers
			if (($cco%2) == 1) {
				$pdf->Cell(0,5,"" , 'BTL', 1, 'L', true);	
			}
		}
	} else {
		$pdf->SetFillColor(255, 255, 204);
		$pdf->Cell(0,5, $ini_team['no_data'][$lng], 'BT', 1, 'L', true);
	}
// immediate actions
	$pdf->Ln(2);
	$pdf->SetFillColor(221, 221, 221);
	$pdf->SetFont('','',10);
	$pdf->Cell(0,5,$ini_submenu['sofort'][$lng], 'BT', 1, 'L', true);
	$query = "SELECT WES, ERSATZ, SONDERFREIGABE, CUS_BET, MIM, LPSG48, LPSK48 FROM qb_imm WHERE QBN=:qbn";
	$stmt = $db->prepare($query);
	$stmt->execute(
		array(
			':qbn' => $qbn
		)
	);	
	if ($stmt->rowCount() > 0) {
		$row = $stmt->fetch(PDO::FETCH_NUM );
	// details...
		$pdf->SetFillColor(255, 255, 255);
		$pdf->Cell(95, 5, $ini_immediate['mim'][$lng], 'BT', 0, 'L', true);
		($row[4] == 0)?$pdf->checkbox_e(5):$pdf->checkbox_f(5);
		$pdf->Cell(0,5, $ini_immediate['sonderfreigabe'][$lng], 'BTL', 0, 'L', true);
		($row[2] == 0)?$pdf->checkbox_e(5):$pdf->checkbox_f(5);
		$pdf->ln();
		$pdf->Cell(95,5, $ini_immediate['ersatz'][$lng], 'BT', 0, 'L', true);
		($row[1] == 0)?$pdf->checkbox_e(5):$pdf->checkbox_f(5);
		$pdf->Cell(0, 0, $ini_immediate['wes'][$lng], 'BTL', 0, 'L', true);
		($row[0] == 0)?$pdf->checkbox_e(5):$pdf->checkbox_f(5);	
		$pdf->ln();
		$pdf->Cell(95,5, $ini_immediate['LPSK48'][$lng], 'BT', 0, 'L', true);
		($row[6] == 0)?$pdf->checkbox_e(5):$pdf->checkbox_f(5);
		$pdf->Cell(0, 5, $ini_immediate['LPSG48'][$lng], 'BTL', 0, 'L', true);
		($row[5] == 0)?$pdf->checkbox_e(5):$pdf->checkbox_f(5);
		$pdf->Cell(0,5, '', 'BT', 1, 'L', true);
		$pdf->ln(1);
	}
	// details
	$query = "
		SELECT 
			WHT, 
			WHN, 
			STAT, 
			CONCAT(NACHNAME, ', ' , VORNAME), 
			UID, 
			LUPDATE, 
			UNTIL 
		FROM 
			qb_docimm 
		LEFT JOIN 
			qb_user ON VISUM=LOGIN 
		WHERE 
			QBN=:qbn 
		ORDER BY 
			WHN ASC
	";
	$stmt = $db->prepare($query);
	$stmt->execute(
		array(
			':qbn' => $qbn
		)
	);	
	if ($stmt->rowCount() > 0) {
	// start rows
		$cco = 0;
		while($row = $stmt->fetch(PDO::FETCH_NUM)) {
			if (($cco%2) == 0) {
				$pdf->SetFillColor(255, 255, 255);
			} else {
				$pdf->SetFillColor(255, 255, 204);	
			}
			$qbd = explode(" ", $row[1]);
			$qbd = explode("-", $qbd[0]);	
			$pdf->Cell(25,5, $qbd[0]."-".$cal[($qbd[1]*1)-1]."-".$qbd[2], 'BTL', 0, 'C', true);
			$qbd = explode(" ", $row[5]);
			$qbd = explode("-", $qbd[0]);
			$pdf->SetFont('', 'B');
			$pdf->SetTextColor(102, 153, 255);
			$pdf->Cell(25,5, $qbd[0]."-".$cal[($qbd[1]*1)-1]."-".$qbd[2], 'BTL', 0, 'C', true);	
			$pdf->SetTextColor(0, 0, 0);
			$pdf->SetFont('','N');
			$pdf->Cell(85,5, $row[3], 'BTL', 0, 'L', true);
			if ($row[2] == 'OPEN') {
				$rds = hexdec(substr($c_scheme['XW'], 1, 2));
				$gds = hexdec(substr($c_scheme['XW'], 3, 2));
				$bds = hexdec(substr($c_scheme['XW'], 5, 2));
				$pdf->SetFillColor($rds, $gds, $bds);
			} else {
				if (($cco%2) == 0) {
					$pdf->SetFillColor(255, 255, 255);
				} else {
					$pdf->SetFillColor(255, 255, 204);	
				}			
			}
			$pdf->Cell(25,5, $ini_aistatus[$row[2]][$lng], 'BTL', 0, 'C', true);
			if (($cco%2) == 0) {
				$pdf->SetFillColor(255, 255, 255);
			} else {
				$pdf->SetFillColor(255, 255, 204);	
			}
			$qbd = explode(" ", $row[6]);
			$qbd = explode("-", $qbd[0]);			
			$pdf->Cell(0,5, $qbd[0]."-".$cal[($qbd[1]*1)-1]."-".$qbd[2], '1', 1, 'C', true);
			$pdf->MultiCell(0,5, $row[0],'1','L', 1, 1, "", "", false, 0, true);
			
			$query = "SELECT LINK FROM qb_docimm_files WHERE LUID=:lui";
			$stmt2 = $db->prepare($query);
			$stmt2->execute(
				array(
					':lui' => $row[4]
				)
			);	
			$zaehl = $stmt2->rowCount();
			if ( $zaehl > 0) {
				$pdf->SetTextColor(0, 0, 204);
				$linkcnt = 0;
				while($row2 = $stmt2->fetch(PDO::FETCH_NUM)) {
					$ln = $row2[0];
					$ln_corr = "http://".$rootlink."/files/" . $qbn . "/" . $ln;
					$pdf->Cell(0, 5, $ln, ($linkcnt == $zaehl-1)?'LRB':'LR', 1, 'L', true, $ln_corr);
					$linkcnt++;
				}			
			}
			$pdf->SetTextColor(0, 0, 0);
			$cco++;			
		}
	} else {
	// no data
		$pdf->SetFillColor(255, 255, 204);
		$pdf->Cell(0,5, $ini_team['no_data'][$lng], 'BT', 1, 'L', true);
	}	
// 5 why actions
	$pdf->Ln(2);
	$pdf->SetFillColor(221, 221, 221);
	$pdf->SetFont('','',10);
	$pdf->SetTextColor(0, 0, 0);
	$pdf->Cell(0,5,$ini_submenu['five_why'][$lng], 'BT', 1, 'L', true);
	$query = "SELECT WHYARRAY FROM qb_fivewhy WHERE QBN=:qbn";
	$stmt = $db->prepare($query);
	$stmt->execute(
		array(
			':qbn' => $qbn
		)
	);
	$pdf->SetFillColor(255, 255, 255);
	if ($stmt->rowCount() > 0) {
		$data = json_decode($stmt->fetchColumn(), true);
	// get dimensions
		$columns = count($data[0]) -1;
		$cells = floor(190/$columns);
		$rows = count($data);
		for ($i=1; $i < $columns; $i++) {
			$pdf->Cell($cells, 5, $i . '. ' . $ini_fivewhy['why'][$lng], 1, 0, 'C', true);
		}
		$pdf->Cell(0, 5, $ini_fivewhy['fu'][$lng], 1, 1, 'C', true);
	// create rows
		$cco = 1;
		for ($i=0; $i < $rows; $i++) {
			if (($cco%2) == 0) {
				$pdf->SetFillColor(255, 255, 255);
			} else {
				$pdf->SetFillColor(255, 255, 204);	
			}
			$arrcnt = 0;
			unset($data[$i]['id']);
		// calculate cell height for pdf multicell
				if (count($data[$i]) == 0) {
			// if empty row in between filled rows greate dummy row
					$linecount = 2;
					for ($j=1; $j < $columns; $j++) {	
						$pdf->MultiCell($cells, $linecount*5, "", 1, 'L', true, 0);
					}			
					$pdf->MultiCell(0, $linecount*5, "", 1, 'L', true, 1);			
				} else {
			// row with data
					$linecount = 0;
					for ($j=1; $j < $columns; $j++) {	
						$linecount = max($pdf->getNumLines($data[$i]['w'.$j], $cells), $linecount);			
					}
					$linecount = max($pdf->getNumLines($data[$i]['root'], $cells), $linecount);	
					
					for ($j=1; $j < $columns; $j++) {	
						$pdf->MultiCell($cells, $linecount*5, $data[$i]['w'.$j], 1, 'L', true, 0);
					}			
					$pdf->MultiCell(0, $linecount*5, $data[$i]['root'], 1, 'L', true, 1);
				}
			$cco++;
		}
	} else {
		$pdf->SetFillColor(255, 255, 204);
		$pdf->Cell(0,5, $ini_team['no_data'][$lng], 'BT', 1, 'L', true);
	}
// definitive actions
	$pdf->Ln(2);
	$pdf->SetFillColor(221, 221, 221);
	$pdf->SetFont('','',10);
	$pdf->SetTextColor(0, 0, 0);
	$pdf->Cell(0,5,$ini_submenu['definitiv'][$lng], 'BT', 1, 'L', true);
	$query = "SELECT 8D, 8D_AN, 8D_ERH FROM qb_def WHERE QBN=:qbn";
	$stmt = $db->prepare($query);
	$stmt->execute(
		array(
			':qbn' => $qbn
		)
	);	
	$defac = 0;
	if ($stmt->rowCount() > 0) {
		$row = $stmt->fetch(PDO::FETCH_NUM);
		// details...
		$pdf->SetFillColor(255, 255, 255);
		$pdf->Cell(65,5, $ini_definitive['8D'][$lng], 'BT', 0, 'L', true);
		($row[0] == 0)?$pdf->checkbox_e(10):$pdf->checkbox_f(10);
		$pdf->SetFillColor(255, 255, 255);
		$pdf->Cell(26,5,$ini_definitive['8D_ang'][$lng], 'BTL', 0, 'L', true);
		$pdf->SetFillColor(255, 255, 204);
		$pdf->Cell(39,5, $row[1], 'BT', 0, 'L', true);
		$pdf->SetFillColor(255, 255, 255);
		$pdf->Cell(26,5,$ini_definitive['8D_erh'][$lng], 'BTL', 0, 'L', true);
		$pdf->SetFillColor(255, 255, 204);
		$pdf->Cell(0,5, ($row[2]=='0000-00-00')?'-': $row[2], 'BT', 1, 'L', true);
	// 8D Links
		$query = "SELECT 8D_LINK, 8D_DATE, TPE, BEARBEITER, SQMCODE FROM qb_8D WHERE QBN=:qbn";
		$stmt = $db->prepare($query);
		$stmt->execute(
			array(
				':qbn' => $qbn
			)
		);	
		if ($stmt->rowCount() > 0) {
			$pdf->ln(1);
			while($row = $stmt->fetch(PDO::FETCH_NUM)) {
				$qbd = explode(" ", $row[1]);
				$qbd = explode("-", $qbd[0]);
				if ($row[2] == "F") {
					$ln = explode("/", $row[0]);
					$ln = $ln[count($ln)-1];
					$pdf->SetFillColor(255, 255, 255);
					$pdf->Cell(38,5,$qbd[0]."-".$cal[($qbd[1]*1)-1]."-".$qbd[2], 'BT', 0, 'L', true);
					$pdf->SetFillColor(255, 255, 204);
					$pdf->SetTextColor(0, 0, 204);
					$ln_corr = "http://".$rootlink."/files/" . $qbn . "/" . $ln;
					$pdf->Cell(0,5,utf8_decode($ln), 'BT', 1, 'L', true, $ln_corr);
					$pdf->SetTextColor(0, 0, 0);
				} else if ($row[2] == "A") {
					$pdf->SetFillColor(255, 255, 255);
					$pdf->Cell(38,5,$qbd[0]."-".$cal[($qbd[1]*1)-1]."-".$qbd[2], 'BT', 0, 'L', true);
					$pdf->SetFillColor(255, 255, 204);
					$pdf->SetTextColor(0, 0, 0);
					$pdf->Cell(0,5,$ini_adc[substr($row[0],0,1)."0"][$_SESSION['lng']].": ".$ini_adc[substr($row[0],0,1)."0"]["_".$row[0]][$_SESSION['lng']], 'BT', 1, 'L', true);					
				} else if ($row[2] == "I") {
					$pdf->SetFillColor(255, 255, 255);
					$pdf->Cell(38,5,$qbd[0]."-".$cal[($qbd[1]*1)-1]."-".$qbd[2], 'BT', 0, 'L', true);
					$pdf->SetFillColor(255, 255, 204);
					$pdf->SetTextColor(0, 0, 0);
					$pdf->Cell(0,5,$ini_definitive["8D_ang"][$_SESSION['lng']], 'BT', 1, 'L', true);
				} else if ($row[2] == "C") {
					$pdf->SetFillColor(255, 255, 255);
					$pdf->Cell(38,5,$qbd[0]."-".$cal[($qbd[1]*1)-1]."-".$qbd[2], 'BT', 0, 'L', true);
					$pdf->SetFillColor(255, 255, 204);
					$pdf->SetTextColor(0, 0, 0);
					$pdf->Cell(0,5,$ini_definitive["8D_erh"][$_SESSION['lng']], 'BT', 1, 'L', true);
				} else {
					$pdf->SetFillColor(255, 255, 255);
					$pdf->Cell(38,5,$qbd[0]."-".$cal[($qbd[1]*1)-1]."-".$qbd[2], 'BT', 0, 'L', true);
					$pdf->SetFillColor(255, 255, 204);
					$pdf->SetTextColor(0, 0, 0);
					$pdf->Cell(0,5,$row[2], 'BT', 1, 'L', true);				
				}
			}
		}
		$pdf->ln(1);
		$defac++;
	}
	$query = "
		SELECT 
			WHT, 
			WHN, 
			STAT, 
			CONCAT(NACHNAME, ', ' , VORNAME), 
			UID, 
			LUPDATE, 
			UNTIL 
		FROM 
			qb_docdef
		LEFT JOIN 
			qb_user ON VISUM=LOGIN 
		WHERE 
			QBN=:qbn 
		ORDER BY 
			WHN ASC
	";
	$stmt = $db->prepare($query);
	$stmt->execute(
		array(
			':qbn' => $qbn
		)
	);	
	if ($stmt->rowCount() > 0) {
	// start rows
		$cco = 0;
		while($row = $stmt->fetch(PDO::FETCH_NUM)) {	
			if (($cco%2) == 0) {
				$pdf->SetFillColor(255, 255, 255);
			} else {
				$pdf->SetFillColor(255, 255, 204);	
			}
			if ($row[1] == "0000-00-00 00:00:00") {
				$pdf->Cell(25,5, "", 'BTL', 0, 'C', true);
			} else {
				$qbd = explode(" ", $row[1]);
				$qbd = explode("-", $qbd[0]);
				$pdf->Cell(25,5, $qbd[0]."-".$cal[($qbd[1]*1)-1]."-".$qbd[2], 'BTL', 0, 'C', true);
			}
			if ($row[5] == "0000-00-00 00:00:00") {
				$pdf->Cell(25,5, "", 'BTL', 0, 'C', true);
			} else {				
				$qbd = explode(" ", $row[5]);
				$qbd = explode("-", $qbd[0]);
				$pdf->SetFont('', 'B');
				$pdf->SetTextColor(102, 153, 255);
				$pdf->Cell(25,5, $qbd[0]."-".$cal[($qbd[1]*1)-1]."-".$qbd[2], 'BTL', 0, 'C', true);	
				$pdf->SetTextColor(0, 0, 0);
				$pdf->SetFont('','N');
			}
			$pdf->Cell(85,5, $row[3], 'BTL', 0, 'L', true);
			if ($row[2] == 'OPEN') {
				$rds = hexdec(substr($c_scheme['XW'], 1, 2));
				$gds = hexdec(substr($c_scheme['XW'], 3, 2));
				$bds = hexdec(substr($c_scheme['XW'], 5, 2));
				$pdf->SetFillColor($rds, $gds, $bds);
			} else {
				if (($cco%2) == 0) {
					$pdf->SetFillColor(255, 255, 255);
				} else {
					$pdf->SetFillColor(255, 255, 204);	
				}			
			}
			$pdf->Cell(25,5, $ini_aistatus[$row[2]][$lng], 'BTL', 0, 'C', true);
			if (($cco%2) == 0) {
				$pdf->SetFillColor(255, 255, 255);
			} else {
				$pdf->SetFillColor(255, 255, 204);	
			}
			$qbd = explode(" ", $row[6]);
			$qbd = explode("-", $qbd[0]);			
			$pdf->Cell(0,5, $qbd[0]."-".$cal[($qbd[1]*1)-1]."-".$qbd[2], '1', 1, 'C', true);
			$pdf->MultiCell(0,5, $row[0],'1','L', 1, 1, "", "", false, 0, true);
			
			$query = "SELECT LINK FROM qb_docimm_files WHERE LUID=:lui";
			$stmt2 = $db->prepare($query);
			$stmt2->execute(
				array(
					':lui' => $row[4]
				)
			);	
			$zaehl = $stmt2->rowCount();
			if ( $zaehl > 0) {
				$pdf->SetTextColor(0, 0, 204);
				$linkcnt = 0;
				while($row2 = $stmt2->fetch(PDO::FETCH_NUM)) {
					$ln = $row2[0];
					$ln_corr = "http://".$rootlink."/files/" . $qbn . "/" . $ln;
					$pdf->Cell(0, 5, $ln, ($linkcnt == $zaehl-1)?'LRB':'LR', 1, 'L', true, $ln_corr);
					$linkcnt++;
				}			
			}
			$pdf->SetTextColor(0, 0, 0);
			$cco++;			
		}
	} else {
	// no data
		$pdf->SetFillColor(255, 255, 204);
		$pdf->Cell(0,5, $ini_team['no_data'][$lng], 'BT', 1, 'L', true);
	}
// implementation
	$pdf->Ln(2);
	$pdf->SetFillColor(221, 221, 221);
	$pdf->SetFont('','',10);
	$pdf->SetTextColor(0, 0, 0);
	$pdf->Cell(0,5,$ini_submenu['umsetzung'][$lng], 'BT', 1, 'L', true);
	$query = "SELECT DATE_REL_M, PLANNED_C_DATE, SEND_TO_SVT, DATE_ACC_BY_SVT, DESCRIPTION FROM qb_imp WHERE QBN=:qbn";
	$stmt = $db->prepare($query);
	$stmt->execute(
		array(
			':qbn' => $qbn
		)
	);	
	if ($stmt->rowCount() > 0) {
		$row = $stmt->fetch(PDO::FETCH_NUM );
		$pdf->SetFillColor(255, 255, 255);
		$pdf->Cell(60,5, $ini_implement['dat_umsetzungsfreigabe'][$lng], 'BT', 0, 'L', true);
		$pdf->SetFillColor(255, 255, 204);
		if($row[0] == '0000-00-00') {
			$pdf->Cell(57, 5, '-', 'BT', 0, 'L', true);
		} else {
			$qbd = explode("-", $row[0]);
			$pdf->Cell(57,5,$qbd[0]."-".$cal[($qbd[1]*1)-1]."-".$qbd[2], 'BT', 0, 'L', true);
		}
		$pdf->SetFillColor(255, 255, 255);
		$pdf->Cell(38,5, $ini_implement['dat_plan_abschluss'][$lng], 'BTL', 0, 'L', true);	
		$pdf->SetFillColor(255, 255, 204);
		if($row[1] == '0000-00-00') {
			$pdf->Cell(0, 5, '-', 'BT', 1, 'L', true);
		} else {		
			$qbd = explode("-", $row[1]);
			$pdf->Cell(0,5,$qbd[0]."-".$cal[($qbd[1]*1)-1]."-".$qbd[2], 'BT', 1, 'L', true);
		}
		$pdf->SetFillColor(255, 255, 255);
		$pdf->Cell(60,5, $ini_implement['send_to_svt'][$lng], 'BT', 0, 'L', true);
		$pdf->SetFillColor(255, 255, 204);
		if($row[2] == '0000-00-00') {
			$pdf->Cell(0, 5, '-', 'BT', 1, 'L', true);
		} else {		
			$qbd = explode("-", $row[2]);
			$pdf->Cell(0,5,$qbd[0]."-".$cal[($qbd[1]*1)-1]."-".$qbd[2], 'BT', 1, 'L', true);
		}
		$pdf->SetFillColor(255, 255, 255);
		$pdf->Cell(60,5, $ini_implement['approved_by_svt'][$lng], 'BT', 0, 'L', true);	
		$pdf->SetFillColor(255, 255, 204);
		if($row[3] == '0000-00-00') {
			$pdf->Cell(0, 5, '-', 'BT', 1, 'L', true);
		} else {		
			$qbd = explode("-", $row[3]);
			$pdf->Cell(0,5,$qbd[0]."-".$cal[($qbd[1]*1)-1]."-".$qbd[2], 'BT', 1, 'L', true);
		}
		$pdf->ln(1);
		$pdf->SetFillColor(255, 255, 255);
		$pdf->Cell(0,5,$ini_implement['description'][$lng] . ":", 'LRT', 1, 'L', true);
		$pdf->SetFillColor(255, 255, 204);
		$pdf->MultiCell(0,5, $row[4],'1','L', 1, 1, "", "", false, 0, true);
	// team approval status
		$query = "
			SELECT 
				CONCAT(VORNAME, ' ', NACHNAME) AS fname, 
				ST AS st, 
				DEL AS del, 
				INFORMED AS inf, 
				ANSWER AS ans
			FROM 
				qb_imp_sts 
			LEFT JOIN 
				qb_user ON SU=LOGIN 
			WHERE 
				QBN=:qbn
		";
		$stmt = $db->prepare($query);
		$stmt->execute(
			array(
				':qbn' => $qbn
			)
		);
		if ($stmt->rowCount() > 0) {
			$pdf->SetFillColor(255, 255, 255);
			$pdf->SetFont('','',10);
			$pdf->SetTextColor(0, 0, 0);
			$pdf->ln(2);
			$pdf->Cell(0,5, $ini_implement['status'][$lng], 'BT', 1, 'L', true);	
			$pdf->Cell(50,5, $ini_implement['nname'][$lng], 'BT', 0, 'L', true);
			$pdf->Cell(50,5, $ini_implement['status'][$lng], 'BT', 0, 'L', true);
			$pdf->Cell(50,5, $ini_implement['informed'][$lng], 'BT', 0, 'L', true);
			$pdf->Cell(0,5, $ini_implement['answer'][$lng], 'BT', 1, 'L', true);
			$cco = 1;
			while($row = $stmt->fetch(PDO::FETCH_NUM)) {
				if (($cco%2) == 0) {
					$pdf->SetFillColor(255, 255, 255);
				} else {
					$pdf->SetFillColor(255, 255, 204);	
				}
				$pdf->Cell(50,5, $row[0], 'BT', 0, 'L', true);
				$pdf->Cell(50,5, $ini_teamstatus[$row[1]][$lng], 'BT', 0, 'L', true);	
				$r = substr($row[3], 0, 10);		
				if ($r == "0000-00-00") {
					$pdf->Cell(50,5, "-", 'BT', 0, 'L', true);
				} else {
					$qbd = explode(" ", $r);
					$qbd1 = explode("-", $qbd[0]);	
					$pdf->Cell(50,5, $qbd1[0]."-".$cal[($qbd1[1]*1)-1]."-".$qbd1[2], 'BT', 0, 'L', true);
				}
				$r = substr($row[4], 0, 10);
				if ($r == "0000-00-00") {
					$pdf->Cell(0,5, "-", 'BT', 1, 'L', true);
				} else {				
					$qbd = explode(" ", $r);
					$qbd1 = explode("-", $qbd[0]);	
					$pdf->Cell(0,5, $qbd1[0]."-".$cal[($qbd1[1]*1)-1]."-".$qbd1[2], 'BT', 1, 'L', true);
				}
				$cco++;
			}
		}
	} else {
		$pdf->SetFillColor(255, 255, 204);
		$pdf->Cell(0,5, $ini_team['no_data'][$lng], 'BT', 1, 'L', true);
	}
// validation
	$pdf->Ln(2);
	$pdf->SetFillColor(221, 221, 221);
	$pdf->SetFont('','',10);
	$pdf->Cell(0,5, $ini_submenu['pruefung'][$lng], 'BT', 1, 'L', true);
	//
	$query = "SELECT CHECK_NEXT_WE, WE_OK, OTHER_TEST, TEST_OK, V_DATE FROM qb_val WHERE QBN=:qbn";
	$stmt = $db->prepare($query);
	$stmt->execute(
		array(
			':qbn' => $qbn
		)
	);	
	if ($stmt->rowCount() > 0) {
		$row = $stmt->fetch(PDO::FETCH_NUM );
		$pdf->SetFillColor(255, 255, 255);
		$pdf->Cell(95,5, $ini_validate['check_next_we'][$lng], 'BT', 0, 'L', true);
		($row[0] == 0)?$pdf->checkbox_e(10):$pdf->checkbox_f(10);
		$pdf->Cell(0,5, $ini_validate['we_ok'][$lng], 'BTL', 0, 'L', true);
		($row[1] == 0)?$pdf->checkbox_e(55):$pdf->checkbox_f(55);
		$pdf->ln();
		$pdf->Cell(0,5, $ini_validate['des_and_pr'][$lng] . ":", 'BT', 1, 'L', true);
		$pdf->SetFillColor(255, 255, 204);
		$pdf->MultiCell(0,5, $row[2],'1','L', 1, 1, "", "", false, 0, true);
		$pdf->SetFillColor(255, 255, 255);
		$pdf->Cell(95,5, $ini_validate['and_pr_ok'][$lng], 'BT', 0, 'L', true);
		($row[3] == 0)?$pdf->checkbox_e(10):$pdf->checkbox_f(10);
		$pdf->Cell(38,5, $ini_team['date'][$lng], 'BTL', 0, 'L', true);	
		$pdf->SetFillColor(255, 255, 204);
		if ($row[4] == "0000-00-00") {
			$pdf->Cell(0, 5, '-', 'BT', 1, 'L', true);
		} else {
			$qbd = explode("-", $row[4]);
			$pdf->Cell(0,5, $qbd[0]."-".$cal[($qbd[1]*1)-1]."-".$qbd[2], 'BT', 1, 'L', true);
		}
	} else {
		$pdf->SetFillColor(255, 255, 204);
		$pdf->Cell(0,5, $ini_team['no_data'][$lng], 'BT', 1, 'L', true);
	}	
// closing
	$pdf->Ln(2);
	$pdf->SetFillColor(221, 221, 221);
	$pdf->SetFont('','',10);
	$pdf->Cell(0,5,$ini_submenu['abschluss'][$lng], 'BT', 1, 'L', true);
	//
	$query = "SELECT FU, VB, LAF, FFU, VG_DATE, CL_DATE, GQ_DATE FROM qb_close WHERE QBN=:qbn";
	$stmt = $db->prepare($query);
	$stmt->execute(
		array(
			':qbn' => $qbn
		)
	);	
	if ($stmt->rowCount() > 0) {
		$row = $stmt->fetch(PDO::FETCH_NUM );
		$pdf->Ln(1);
		$pdf->SetFillColor(255, 255, 255);
		$pdf->Cell(0,5,$ini_close['fu'][$lng], 'BT', 1, 'L', true);
		$pdf->SetFillColor(255, 255, 204);
		$pdf->MultiCell(0,5, $row[0],'BT','L', 1);
		$pdf->Ln(1);
		$pdf->SetFillColor(255, 255, 255);
		$pdf->Cell(0, 5, $ini_close['vb'][$lng], '0', 1, 'L', true);
		$pdf->SetFillColor(255, 255, 204);
		$pdf->MultiCell(0,5, $row[1],'BT','L', 1);
		$pdf->Ln(1);
		$pdf->SetFillColor(255, 255, 255);
		$pdf->Cell(0,5,$ini_close['laf'][$lng], '0', 1, 'L', true);
		$pdf->SetFillColor(255, 255, 204);
		$pdf->MultiCell(0,5, $row[2],'BT','L', 1);
		$pdf->Ln(1);
		$pdf->SetFillColor(255, 255, 255);
		$pdf->Cell(50,5, $ini_close['ffus'][$lng], 'BT', 0, 'L', true);
		$pdf->SetFillColor(255, 255, 204);
		if ($row[3] == "") {
			$pdf->Cell(0,5,"", 'BT', 1, 'L', true);
		} else {
			$pdf->Cell(0,5,$ini_ffu[$row[3]][$lng], 'BT', 1, 'L', true);
		}
		$pdf->Ln(1);
		$pdf->SetFillColor(255, 255, 255);
		$pdf->Cell(50,5, $ini_close['send_to_svt'][$lng], 'BT', 0, 'L', true);
		$pdf->SetFillColor(255, 255, 204);
		if ($row[4] == "0000-00-00") {
			$pdf->Cell(47,5, '-', 'BT', 0, 'L', true);
		} else {
			$qbd = explode("-", $row[4]);
			$pdf->Cell(47, 5, $qbd[0]."-".$cal[($qbd[1]*1)-1]."-".$qbd[2], 'BT', 0, 'L', true);
		}
		$pdf->SetFillColor(255, 255, 255);
		$pdf->Cell(50,5, $ini_close['send_to_gq'][$lng], 'BTL', 0, 'L', true);	
		$pdf->SetFillColor(255, 255, 204);
		if ($row[5] == "0000-00-00") {
			$pdf->Cell(0,5, '-', 'BT', 1, 'L', true);
		} else {
			$qbd = explode("-", $row[5]);
			$pdf->Cell(0, 5, $qbd[0]."-".$cal[($qbd[1]*1)-1]."-".$qbd[2], 'BT', 1, 'L', true);
		}
		$pdf->SetFillColor(255, 255, 255);
		$pdf->Cell(50,5, $ini_close['ap_by_gq'][$lng], 'BT', 0, 'L', true);	
		$pdf->SetFillColor(255, 255, 204);
		if ($row[6] == "0000-00-00") {
			$pdf->Cell(47,5, '-', 'BT', 0, 'L', true);
		} else {
			$qbd = explode("-", $row[6]);
			$pdf->Cell(47, 5, $qbd[0]."-".$cal[($qbd[1]*1)-1]."-".$qbd[2], 'BT', 0, 'L', true);
		}
		$pdf->SetFillColor(255, 255, 255);
		$pdf->Cell(0,5,'', 'BTL', 1, 'L', true);
	} else {
		$pdf->SetFillColor(255, 255, 204);
		$pdf->Cell(0,5,$ini_team['no_data'][$lng], 'BT', 1, 'L', true);
	}
	$pdf->Ln(2);
	$pdf->SetFillColor(191, 191, 191);
	$pdf->SetFont('','',10);
	$pdf->Cell(0,10,$ini_close['documentation'][$lng], 'BT', 1, 'L', true);
	$pdf->Ln(4);
// meetings
	$pdf->SetFillColor(221, 221, 221);
	$pdf->SetTextColor(0,0,0);
	$pdf->SetFont('','',10);
	$pdf->Cell(0,5,$ini_docmenu['meetings'][$lng], 'BT', 1, 'L', true);
	// details
	$query = "
		SELECT
			WHT, 
			WHN, 
			(SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user where LOGIN=VISUM), 
			UID 
		FROM 
			qb_docmet 
		LEFT JOIN 
			qb_docmet_files 
		ON 
			UID=LUID 
		WHERE 
			QBN=:qbn
		ORDER BY
			WHN DESC
	";
	$stmt = $db->prepare($query);
	$stmt->execute(
		array(
			':qbn' => $qbn
		)
	);	
	if ($stmt->rowCount() > 0) {
	// start rows
		$cco = 0;
		while($row = $stmt->fetch(PDO::FETCH_NUM)) {
			if (($cco%2) == 0) {
				$pdf->SetFillColor(255, 255, 255);
			} else {
				$pdf->SetFillColor(255, 255, 204);	
			}
			$qbd = explode("-", $row[1]);
			$pdf->Cell(25,5, $qbd[0]."-".$cal[($qbd[1]*1)-1]."-".$qbd[2], 1, 0, 'C', true);
			$pdf->Cell(0,5, $row[2], 'BTR', 1, 'L', true);
			$pdf->MultiCell(0,5, $row[0],'1','L', 1, 1, "", "", false, 0, true);
			
			$query = "SELECT LINK FROM qb_docmet_files WHERE LUID=:lui";
			$stmt2 = $db->prepare($query);
			$stmt2->execute(
				array(
					':lui' => $row[3]
				)
			);	
			$zaehl = $stmt2->rowCount();
			if ( $zaehl > 0) {
				$pdf->SetTextColor(0, 0, 204);
				$linkcnt = 0;
				while($row2 = $stmt2->fetch(PDO::FETCH_NUM)) {
					$ln = $row2[0];
					$ln_corr = "http://".$rootlink."/files/" . $qbn . "/" . $ln;
					$pdf->Cell(0, 5, $ln, ($linkcnt == $zaehl-1)?'LRB':'LR', 1, 'L', true, $ln_corr);
					$linkcnt++;
				}			
			}
			$pdf->SetTextColor(0, 0, 0);
			$cco++;			
		}
	} else {
	// no data
		$pdf->SetFillColor(255, 255, 204);
		$pdf->Cell(0,5, $ini_team['no_data'][$lng], 'BT', 1, 'L', true);
	}
	$pdf->ln(2);
// communication
	$pdf->SetFillColor(221, 221, 221);
	$pdf->SetTextColor(0,0,0);
	$pdf->SetFont('','',10);
	$pdf->Cell(0,5, $ini_docmenu['doc_com'][$lng], 'BT', 1, 'L', true);
	// details
	$query = "
		SELECT 
			WHT, 
			WHN, 
			UID 
		FROM 
			qb_doccom 
		WHERE 
			QBN=:qbn 
		ORDER BY 
			WHN DESC
	";
	$stmt = $db->prepare($query);
	$stmt->execute(
		array(
			':qbn' => $qbn
		)
	);	
	if ($stmt->rowCount() > 0) {
	// start rows
		$cco = 0;
		while($row = $stmt->fetch(PDO::FETCH_NUM)) {
			if (($cco%2) == 0) {
				$pdf->SetFillColor(255, 255, 255);
			} else {
				$pdf->SetFillColor(255, 255, 204);	
			}
			$qbd = explode("-", $row[1]);
			$pdf->Cell(0,5, $qbd[0]."-".$cal[($qbd[1]*1)-1]."-".$qbd[2], 'TB', 1, 'L', true);
			$pdf->MultiCell(0,5, $row[0],'1','L', 1, 1, "", "", false, 0, true);
			
			$query = "SELECT LINK FROM qb_doccom_files WHERE LUID=:lui";
			$stmt2 = $db->prepare($query);
			$stmt2->execute(
				array(
					':lui' => $row[2]
				)
			);	
			$zaehl = $stmt2->rowCount();
			if ( $zaehl > 0) {
				$pdf->SetTextColor(0, 0, 204);
				$linkcnt = 0;
				while($row2 = $stmt2->fetch(PDO::FETCH_NUM)) {
					$ln = $row2[0];
					$ln_corr = "http://".$rootlink."/files/" . $qbn . "/" . $ln;
					$pdf->Cell(0, 5, $ln, ($linkcnt == $zaehl-1)?'B':0, 1, 'L', true, $ln_corr);
					$linkcnt++;
				}			
			}
			$pdf->SetTextColor(0, 0, 0);
			$cco++;			
		}
	} else {
	// no data
		$pdf->SetFillColor(255, 255, 204);
		$pdf->Cell(0,5, $ini_team['no_data'][$lng], 'BT', 1, 'L', true);
	}
	$pdf->ln(2);
	
// meta data
	$pdf->Ln(2);
	$pdf->SetFillColor(221, 221, 221);
	$pdf->SetTextColor(0,0,0);
	$pdf->SetFont('','',10);
	$pdf->Cell(0,5, $ini_docmenu['meta'][$lng], 'BT', 1, 'L', true);	
// details
	$query = "SELECT (SELECT TXT FROM qb_metadata WHERE REF=META) AS MDATA FROM qb_meta WHERE QBN=:qbn ORDER BY MDATA DESC";
	$stmt = $db->prepare($query);
	$stmt->execute(
		array(
			':qbn' => $qbn
		)
	);		
	if ($stmt->rowCount() > 0) {
	// start rows
		$cco = 1;
		while($row = $stmt->fetch(PDO::FETCH_NUM)) {
			if (($cco%2) == 0) {
				$pdf->SetFillColor(255, 255, 255);
			} else {
				$pdf->SetFillColor(255, 255, 204);	
			}
			$pdf->Cell(0,5, $row[0], 'TB', 1, 'L', true);
			$cco++;		
		}
	} else {
		$pdf->SetFillColor(255, 255, 204);
		$pdf->Cell(0,5, $ini_team['no_data'][$lng], 'BT', 1, 'L', true);
	}
	$pdf->ln(2);
	
// costs
	if ($qb_support->checkflag("C")){
		$pdf->SetFillColor(221, 221, 221);
		$pdf->SetTextColor(0,0,0);
		$pdf->SetFont('','',10);
		$pdf->Cell(0,5, $ini_docmenu['costs'][$lng], 'BT', 1, 'L', true);
	// details
		$query = "
			SELECT 
				GRUND, 
				ART, 
				C_DATE, 
				MENGE, 
				COST, 
				CURRENCY, 
				FACTOR, 
				IDX, 
				UID 
			FROM 
				qb_doccost 
			WHERE 
				QBN=:qbn 
			ORDER BY 
				C_DATE ASC
		";
		$stmt = $db->prepare($query);
		$stmt->execute(
			array(
				':qbn' => $qbn
			)
		);	
		if ($stmt->rowCount() > 0) {
		// start rows
			$cco = 1;
			while($row = $stmt->fetch(PDO::FETCH_NUM)) {
				if (($cco%2) == 0) {
					$pdf->SetFillColor(255, 255, 255);
				} else {
					$pdf->SetFillColor(255, 255, 204);	
				}
				$qbd = explode("-", $row[2]);
				if ($row[2] == "0000-00-00") {
					$pdf->Cell(50, 5,'-' , 'TB', 0, 'L', true);
				} else {
					$pdf->Cell(50, 5,$qbd[0]."-".$cal[($qbd[1]*1)-1]."-".$qbd[2] , 'TB', 0, 'L', true);
				}
				$pdf->Cell(50, 5, $ini_costart[$row[1]][$lng] , 1, 0, 'L', true);
				$pdf->Cell(0, 5, $row[3] . " x " . number_format($row[4],2) . " " . $row[5] . " = " . number_format(($row[3]*$row[4]*$row[6]), 2) . " CHF" , 'TB', 1, 'R', true);
				$pdf->MultiCell(0, 5, str_replace("<br />", "", $row[0]), 'B', 'L', true, 1);
				
				$query = "SELECT LINK FROM qb_doccost_files WHERE LUID=:lui";
				$stmt2 = $db->prepare($query);
				$stmt2->execute(
					array(
						':lui' => $row[8]
					)
				);	
				$zaehl = $stmt2->rowCount();
				if ( $zaehl > 0) {
					$pdf->SetTextColor(0, 0, 204);
					$linkcnt = 0;
					while($row2 = $stmt2->fetch(PDO::FETCH_NUM)) {
						$ln = $row2[0];
						$ln_corr = "http://".$rootlink."/files/" . $qbn . "/" . $ln;
						$pdf->Cell(0, 5, $ln, ($linkcnt == $zaehl-1)?'B':0, 1, 'L', true, $ln_corr);
						$linkcnt++;
					}			
				}
				$pdf->SetTextColor(0, 0, 0);
				$cco++;		
			}
		} else {
			$pdf->SetFillColor(255, 255, 204);
			$pdf->Cell(0,5, $ini_team['no_data'][$lng], 'BT', 1, 'L', true);
		}
	}
	if ($qb_support->getoptions('failurecodes', 'set') == "yes") {
	// classification
		$pdf->Ln(2);
		$pdf->SetFillColor(221, 221, 221);
		$pdf->SetTextColor(0,0,0);
		$pdf->SetFont('','',10);
		$pdf->Cell(0,5, $ini_close['f_codes'][$lng], 'BT', 1, 'L', true);
		// details
		$query = "SELECT BB, CC, DDDD FROM qbi WHERE QBN=:qbn";
		$stmt = $db->prepare($query);
		$stmt->execute(
			array(
				':qbn' => $qbn
			)
		);
		list($BB, $CC, $DDDD) = $stmt->fetch(PDO::FETCH_NUM );
		// BB
		$pdf->Ln(1);
		$pdf->SetFillColor(255, 255, 255);
		$pdf->Cell(20,5,'BB: ', 'BT', 0, 'L', true);
		if (strlen($BB)==0) {
			$pdf->Cell(40,5,'', 'BT', 0, 'L', true);
			$pdf->Cell(0,5,'', 'BT', 1, 'L', true);
		} else {
			$b1 = substr($BB, 0, 1);
			$b2 = substr($BB, 1, 1);
			$pdf->Cell(10,5,$BB, 'BT', 0, 'L', true);
			$pdf->Cell(0,5,$ini_fcodes_bb[$b1][$lng]."/".$ini_fcodes_bb[$b1]["_".$b2][$lng], 'BT', 1, 'L', true);
		}
		// CC
		$pdf->SetFillColor(255, 255, 204);
		$pdf->Cell(20,5,'CC: ', 'BT', 0, 'L', true);
		if (strlen($CC)==0) {
			$pdf->Cell(40,5,'', 'BT', 0, 'L', true);
			$pdf->Cell(0,5,'', 'BT', 1, 'L', true);	
		} else {
			$pdf->Cell(10, 5, $CC, 'BT', 0, 'L', true);		
			$pdf->Cell(0, 5, $ini_fcodes_cc[$cc][$lng], 'BT', 1, 'L', true);	
		}
		// DDDD
		$pdf->SetFillColor(255, 255, 255);
		$pdf->Cell(20,5,'DDDD: ', 'BT', 0, 'L', true);
		if (strlen($DDDD)==0) {
			$pdf->Cell(40,5,'', 'BT', 0, 'L', true);
			$pdf->Cell(0,5,'', 'BT', 1, 'L', true);	
		} else {
			$d1 = substr($DDDD, 0, 2);
			$d2 = substr($DDDD, 2, 2);
			$pdf->Cell(10,5,$DDDD, 'BT', 0, 'L', true);
			$pdf->Cell(0,5,$ini_fcodes_dd[$d1][$lng]."/".$ini_fcodes_dd[$d1]["_".$d2][$lng], 'BT', 1, 'L', true);	
		}
	}
// eor	
	$pdf->Ln(10);
	$pdf->SetTextColor(0, 0, 0);
	$pdf->SetFillColor(255, 255, 255);
	$pdf->Cell(0,5,$ini_team['eor'][$lng], '0', 1, 'C', true);	
//Close and output PDF document
	$pdf->Output($qbi.'.pdf', 'I');	
	return;
	
class myPDF extends tFPDF 
{
	
	function RotatedText($x, $y, $txt, $angle) {
	//Text rotated around its origin
		$this->Rotate($angle, $x, $y);
		$this->Text($x, $y, $txt);
		$this->Rotate(0);
	}	
	var $angle=0;
	function Rotate($angle,$x=-1,$y=-1) {
		if($x==-1)
			$x=$this->x;
		if($y==-1)
			$y=$this->y;
		if($this->angle!=0)
			$this->_out('Q');
		$this->angle=$angle;
		if($angle!=0)
		{
			$angle*=M_PI/180;
			$c=cos($angle);
			$s=sin($angle);
			$cx=$x*$this->k;
			$cy=($this->h-$y)*$this->k;
			$this->_out(sprintf('q %.5F %.5F %.5F %.5F %.2F %.2F cm 1 0 0 1 %.2F %.2F cm',$c,$s,-$s,$c,$cx,$cy,-$cx,-$cy));
		}
	}
	function _endpage() {
		if($this->angle!=0)
		{
			$this->angle=0;
			$this->_out('Q');
		}
		parent::_endpage();
	}
}
?>