<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	global $rel_path;	
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;
	
	$routine = new Adt();
	echo $routine->execute();
	
	class Adt {
		
		public function __construct() 
		{
		}
		
		public function execute()
		{	
			global $db, $debug, $qb_support,$rel_path;
	// called routine
			$sub_routine = $_REQUEST["routine"];
			switch ($sub_routine)
			{
				case "getlist":
					$fltr = ($_REQUEST['clss'] == "all")?"":" AND CLSS='".$_REQUEST['clss']."'";
					$ratings = parse_ini_file($rel_path.'xml/ratings.ini', true);
					$ini_ratings = array();
					foreach($ratings as $lan=>$value){
						$rate = $value['rate'];
						foreach($rate AS $key=>$value1) {
							$det = explode(":", $value1);
							if (!array_key_exists($det[0], $ini_ratings)) $ini_ratings[$det[0]] = array();
							$ini_ratings[$det[0]][$lan] = $det[1];
						}
					}				
			// make sure that start date is before end date, if no then swap results
					$ymds = $_REQUEST['sdate'];
					$ymde = $_REQUEST['edate'];
					if ($ymds > $ymde) {
						$tmp = $ymds;
						$ymds = $ymde;
						$ymde = $tmp;
					}
					$query = "
						SELECT 
							RATING,
                            COUNT(*)
                        FROM 
							qbi
						WHERE
							QBREGDATE>=:sdat AND 
							QBREGDATE<=:edat AND
							QBSTATUS IN ('C') AND
							LIGHT=0 AND
							RATING<9
						".$fltr."
						GROUP BY 
							RATING
					";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':sdat' => $ymds,
							':edat' => $ymde
						)
					);
					$rows = array();
					$names = array();
					$vals = array();	
					while($r = $stmt->fetch(PDO::FETCH_NUM)) {					
						$rows[] = $r[1]*1;
						$names[] = $ini_ratings[$r[0]][$_SESSION['lng']];
						$vals[] = $r[0];
					}
					$result = json_encode(array($rows, $names, $vals));
					return $result;	
					break;
				case "gettable":
					$fltr = ($_REQUEST['clss'] == "all")?"":" AND CLSS='".$_REQUEST['clss']."'";
					$query[] = "
						SELECT
							QBN AS qbn,
							(SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user LEFT JOIN qb_team ON LOGIN=NAME WHERE ROLLE='PL' AND qb_team.QBN=qbi.QBN) AS lead,
							(SELECT MNR FROM qbbasic WHERE qbbasic.QBN=qbi.QBN) AS tgr,
							(SELECT WHYARRAY FROM qb_fivewhy WHERE qb_fivewhy.QBN=qbi.QBN) as root
            FROM 
							qbi
						WHERE 
							QBREGDATE>=:sdat AND 
							QBREGDATE<=:edat AND
							QBSTATUS IN ('C') AND
							LIGHT=0 AND
							RATING=:rtg
					".$fltr;
				// generate order & limit
					$order_str = "ORDER BY " . $_REQUEST['sidx'] . " " . $_REQUEST['sord'];
					$limit_str = " LIMIT " . ($_REQUEST['page']-1)*$_REQUEST['rows'] . ", " . $_REQUEST['rows'];
				// compile query string
					$querystr = $qb_support->makequery(json_encode($query), json_encode($_REQUEST));
				// get total rows first (only query string)
					$stmt = $db->prepare($querystr);
					$stmt->execute(
						array(
							':sdat' => $_REQUEST['from'],
							':edat' => $_REQUEST['to'],
							':rtg' => $_REQUEST['cc']
						)
					);					
					$num_records = $stmt->rowCount();
					$num_pages = ceil($num_records/$_REQUEST['rows']);
				// now get result (query string with iorder and limit)		
					$stmt = $db->prepare($querystr . " " . $order_str . " " . $limit_str);
					$stmt->execute(
						array(
							':sdat' => $_REQUEST['from'],
							':edat' => $_REQUEST['to'],
							':rtg' => $_REQUEST['cc']
						)
					);					
					$rows = array();
					$xxx = 0;
					while($r = $stmt->fetch(PDO::FETCH_ASSOC)) {
						$why = json_decode($r['root'], true);
						if (count($why) == 1) {
							$r['root'] = $why[0]['root'];
						} else if (count($why) == 0) {
							$r['root'] = "";
						} else {
							$tmp = "";
							foreach($why as $key=>$value) {
								if (trim($value['root']) != "") {
									$tmp.=$value['root'] . "-/-";
								}
							}
							$r['root'] = (strlen($tmp) > 0)?substr($tmp, 0, -3):$tmp;						
						}
						$rows[] = $r;
						$xxx++;
					}	
					$ret = Array();
					$ret['total'] = $num_pages;
					$ret['page'] = $_REQUEST['page'];
					$ret['records'] = $num_records;
					$ret['rows'] = $rows;					
					$result = json_encode($ret);
					return $result;						
					break;
			}
		}	
	}
?>
