<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	global $rel_path;
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;

	$routine = new Remind();
	echo $routine->execute();
	
	class Remind {
		
		public function __construct() 
		{
		}
		
		public function execute()
		{	
			global $db, $debug, $qb_support;
	// called routine
			$sub_routine = $_REQUEST["routine"];
			switch ($sub_routine)
			{
		// read settings
				case "getdata":
					$query = "
						SELECT 
							REMINDER, 
							REMINDER2, 
							REMINDER3, 
							REMINDER4, 
							REMINDER5
						FROM 
							qb_conf";
					$stmt = $db->query($query);
					$r = $stmt->fetch(PDO::FETCH_ASSOC );
					$result = json_encode($r);
					return $result;		
					break;		
				case "upd_suptrackpw":
		// update reminder interval
					$query = "UPDATE qb_conf SET SUPPLIERTRACKPW=:val";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':val' => crypt($_REQUEST['wert'])
						)
					);
					$result = "Done";
					return $result;		
					break;
				case "upd_specialpw":
		// update reminder interval
					$query = "UPDATE qb_conf SET SPECIAL1PW=:val";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':val' => crypt($_REQUEST['wert'])
						)
					);
					$result = "Done";
					return $result;		
					break;
				case "upd_svt":		
		// update reminder interval
					$query = "UPDATE qb_conf SET REMINDER=:val";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':val' => $_REQUEST['wert']
						)
					);
					$result = "Done";
					return $result;		
					break;
				case "upd_svt2":
		// update reminder interval
					$query = "UPDATE qb_conf SET REMINDER2=:val";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':val' => $_REQUEST['wert']
						)
					);
					$result = "Done";
					return $result;		
					break;
				case "upd_action":
		// update reminder interval
					$query = "UPDATE qb_conf SET REMINDER3=:val";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':val' => $_REQUEST['wert']
						)
					);
					$result = "Done";
					return $result;		
					break;
				case "upd_pw":
		// update reminder interval
					$query = "UPDATE qb_conf SET KPIPW=:val";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':val' => crypt($_REQUEST['wert'])
						)
					);
					$result = "Done";
					return $result;		
					break;
				case "upd_imp":		
		// update reminder interval for implement release
					$query = "UPDATE qb_conf SET REMINDER4=:val";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':val' => $_REQUEST['wert']
						)
					);
					$result = "Done";
					return $result;		
					break;
				case "upd_close":
		// update reminder interval for closure release
					$query = "UPDATE qb_conf SET REMINDER5=:val";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':val' => $_REQUEST['wert']
						)
					);
					$result = "Done";
					return $result;		
					break;
			}
		}			
	}
?>