﻿<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	global $rel_path;	
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;

	$routine = new Rename();
	echo $routine->execute();
	
	class Rename {
		
		public function __construct() 
		{
		}
		
		public function execute()
		{	
			global $db, $rel_path, $debug, $qb_support;
	// called routine
			$sub_routine = $_REQUEST["routine"];
			switch ($sub_routine)
			{
				case "listqb":
				// define material name language
					$mncol = $qb_support->getLanMat($_REQUEST['qblan']);
					$query[] = "
						SELECT 
							qbi.QBN AS qbn, 
							QBSTATUS AS sts, 
							QBSTATUS AS qbstatus, 
							(SELECT CONCAT(VORNAME, ' ', NACHNAME) FROM qb_user WHERE SVT=LOGIN) AS svt, 
							IF (MNR='0', 'xxxxx-xxxxx', MNR) AS tgr, 
							IF (MNR='0', 'xxxxx-xxxxx', (SELECT TGRBZ_" . $mncol . " FROM qb_material WHERE TGR=MNR)) AS tgrbz
						FROM 
							qbi 
						LEFT JOIN 
							qbbasic ON qbbasic.QBN=qbi.QBN
					";
				// generate order & limit
					$order_str = "ORDER BY " . $_REQUEST['sidx'] . " " . $_REQUEST['sord'];
					$limit_str = " LIMIT " . ($_REQUEST['page']-1)*$_REQUEST['rows'] . ", " . $_REQUEST['rows'];
				// compile query string
					$querystr = $qb_support->makequery(json_encode($query), json_encode($_REQUEST));
				// get total rows first (only query string)
					$stmt = $db->query($querystr);				
					$num_records = $stmt->rowCount();
					$num_pages = ceil($num_records/$_REQUEST['rows']);
				// now get result (query string with iorder and limit)		
					$stmt = $db->query($querystr . " " . $order_str . " " . $limit_str);
					$rows = array();
					while($r = $stmt->fetch(PDO::FETCH_ASSOC)) {
						$rows[] = $r;
					}
					$ret = Array();
					$ret['total'] = $num_pages;
					$ret['page'] = $_REQUEST['page'];
					$ret['records'] = $num_records;
					$ret['rows'] = $rows;					
					$result = json_encode($ret);
					return $result;
					break;
				case "checkrename":
					$query = "SELECT COUNT(*), COALESCE(QBSTATUS, 'F') FROM qbi WHERE QBN=:nqb";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':nqb' => $_REQUEST['newqb']
						)
					);
					$row = $stmt->fetch(PDO::FETCH_NUM );
					$result = $row[1];
					return $result;
					break;				
				case "dorename":
			// check if new number reuses a deleted number
					if ($_REQUEST['ost'] == "D") {
				// yes, delete number from qbi first
						$query = "DELETE FROM qbi WHERE QBN=:nqb";
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':nqb' => $_REQUEST['newqb'] 
							)
						);			
					}
				// now update all tables
					$nn = explode("_", $_REQUEST['newqb']);		
					$query = "UPDATE qbi SET QBN=:nqb, QBI=:qbi, QBY=:qby WHERE QBN=:oqb";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':nqb' => $_REQUEST['newqb'],
							':oqb' => $_REQUEST['oldqb'],
							':qbi' => $nn[1],
							':qby' => $nn[0]
						)
					);
				// qbbasiv
					$query = "UPDATE qbbasic SET QBN=:nqb WHERE QBN=:oqb";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':nqb' => $_REQUEST['newqb'],
							':oqb' => $_REQUEST['oldqb'] 
						)
					);
				// qbbasic_files
					$query = "UPDATE qbbasic_files SET QBN=:nqb, LINK= REPLACE(LINK, :oqb, :nqb) WHERE QBN=:oqb";						
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':nqb' => $_REQUEST['newqb'],
							':oqb' => $_REQUEST['oldqb'] 
						)
					);
				// qb_8d
					$query = "UPDATE qb_8d SET QBN=:nqb, 8D_LINK=REPLACE(8D_LINK, :oqb, :nqb) WHERE QBN=:oqb";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':nqb' => $_REQUEST['newqb'],
							':oqb' => $_REQUEST['oldqb'] 
						)
					);				
				// qb_close
					$query = "UPDATE qb_close SET QBN=:nqb WHERE QBN=:oqb";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':nqb' => $_REQUEST['newqb'],
							':oqb' => $_REQUEST['oldqb'] 
						)
					);
				// qb_def
					$query = "UPDATE qb_def SET QBN=:nqb WHERE QBN=:oqb";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':nqb' => $_REQUEST['newqb'],
							':oqb' => $_REQUEST['oldqb'] 
						)
					);
				// qb_doccom
					$query = "UPDATE qb_doccom SET QBN=:nqb WHERE QBN=:oqb";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':nqb' => $_REQUEST['newqb'],
							':oqb' => $_REQUEST['oldqb'] 
						)
					);	
				// qb_doccost
					$query = "UPDATE qb_doccost SET QBN=:nqb WHERE QBN=:oqb";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':nqb' => $_REQUEST['newqb'],
							':oqb' => $_REQUEST['oldqb'] 
						)
					);
				// qb_docdef
					$query = "UPDATE qb_docdef SET QBN=:nqb WHERE QBN=:oqb";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':nqb' => $_REQUEST['newqb'],
							':oqb' => $_REQUEST['oldqb'] 
						)
					);
				// qb_docimm
					$query = "UPDATE qb_docimm SET QBN=:nqb WHERE QBN=:oqb";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':nqb' => $_REQUEST['newqb'],
							':oqb' => $_REQUEST['oldqb'] 
						)
					);
				// qb_docmet
					$query = "UPDATE qb_docmet SET QBN=:nqb WHERE QBN=:oqb";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':nqb' => $_REQUEST['newqb'],
							':oqb' => $_REQUEST['oldqb'] 
						)
					);
				// qb_docfivewhy
					$query = "UPDATE qb_fivewhy SET QBN=:nqb WHERE QBN=:oqb";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':nqb' => $_REQUEST['newqb'],
							':oqb' => $_REQUEST['oldqb'] 
						)
					);
				// qb_imm
					$query = "UPDATE qb_imm SET QBN=:nqb WHERE QBN=:oqb";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':nqb' => $_REQUEST['newqb'],
							':oqb' => $_REQUEST['oldqb'] 
						)
					);
				// qb_imp
					$query = "UPDATE qb_imp SET QBN=:nqb WHERE QBN=:oqb";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':nqb' => $_REQUEST['newqb'],
							':oqb' => $_REQUEST['oldqb'] 
						)
					);
				// qb_impsts
					$query = "UPDATE qb_imp_sts SET QBN=:nqb WHERE QBN=:oqb";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':nqb' => $_REQUEST['newqb'],
							':oqb' => $_REQUEST['oldqb'] 
						)
					);
				// qb_man
					$query = "UPDATE qb_man SET QBN=:nqb WHERE QBN=:oqb";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':nqb' => $_REQUEST['newqb'],
							':oqb' => $_REQUEST['oldqb'] 
						)
					);	
				// qb_meta
					$query = "UPDATE qb_meta SET QBN=:nqb WHERE QBN=:oqb";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':nqb' => $_REQUEST['newqb'],
							':oqb' => $_REQUEST['oldqb'] 
						)
					);	
				// qb_nacharbeit
					$query = "UPDATE qb_nacharbeit SET QBN=:nqb WHERE QBN=:oqb";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':nqb' => $_REQUEST['newqb'],
							':oqb' => $_REQUEST['oldqb'] 
						)
					);
				// qb_plchange
					$query = "UPDATE qb_plchange SET QBN=:nqb WHERE QBN=:oqb";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':nqb' => $_REQUEST['newqb'],
							':oqb' => $_REQUEST['oldqb'] 
						)
					);				
				// qb_ref
					$query = "UPDATE qb_qbref SET QBN=:nqb WHERE QBN=:oqb";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':nqb' => $_REQUEST['newqb'],
							':oqb' => $_REQUEST['oldqb'] 
						)
					);	
					$query = "UPDATE qb_qbref SET QBREF=:nqb WHERE QBREF=:oqb";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':nqb' => $_REQUEST['newqb'],
							':oqb' => $_REQUEST['oldqb'] 
						)
					);
				// qb_questions
					$query = "UPDATE qb_questions SET QBN=:nqb WHERE QBN=:oqb";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':nqb' => $_REQUEST['newqb'],
							':oqb' => $_REQUEST['oldqb'] 
						)
					);					
				// qb_svtchange
					$query = "UPDATE qb_svtchange SET QBN=:nqb WHERE QBN=:oqb";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':nqb' => $_REQUEST['newqb'],
							':oqb' => $_REQUEST['oldqb'] 
						)
					);
				// qb_team
					$query = "UPDATE qb_team SET QBN=:nqb WHERE QBN=:oqb";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':nqb' => $_REQUEST['newqb'],
							':oqb' => $_REQUEST['oldqb'] 
						)
					);	
				// qb_trackmail
					$query = "UPDATE qb_trackmail SET QBN=:nqb WHERE QBN=:oqb";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':nqb' => $_REQUEST['newqb'],
							':oqb' => $_REQUEST['oldqb'] 
						)
					);
				// qb_val
					$query = "UPDATE qb_val SET QBN=:nqb WHERE QBN=:oqb";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':nqb' => $_REQUEST['newqb'],
							':oqb' => $_REQUEST['oldqb'] 
						)
					);				
				// rename folder
					if (is_dir ($rel_path."files/" . $_REQUEST['oldqb'])) {
						rename($rel_path."files/" . $_REQUEST['oldqb'], $rel_path."files/" . $_REQUEST['newqb']);
					}
					$result = "Done";
					return $result;		
					break;
			}
		}			
	}
?>