<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	global $rel_path;	
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;
	
	$routine = new Svtmail();
	echo $routine->execute();
	
	class Svtmail {
		
		public function __construct() 
		{
		}
		
		public function execute()
		{	
			global $db, $debug, $qb_support;
	// called routine
			$sub_routine = $_REQUEST["routine"];
			switch ($sub_routine)
			{
				case "getdetails":
					$query = "
						SELECT 
							EVENTS
						FROM 
							qb_svtmail 
						WHERE 
							SVT=:svt
					";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':svt' => $_REQUEST['login']
						)
					);
					$result = json_encode($stmt->fetch(PDO::FETCH_ASSOC));
					return $result;		
					break;				
				case "setevents":
			// check if svt is already available
					$query = "SELECT COUNT(*) FROM qb_svtmail WHERE SVT=:svt";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':svt' => $_REQUEST['login']
						)
					);
					if ($stmt->fetchColumn() == 0) {
				// no is no, insert new
						$query = "INSERT INTO qb_svtmail (SVT, EVENTS) VALUES (:svt, :evnt)";
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':svt' => $_REQUEST['login'],
								':evnt' => $_REQUEST['evnt']
							)
						);
					} else {
				// yes, update line
						$query = "UPDATE qb_svtmail SET EVENTS=:evnt WHERE SVT=:svt";
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':svt' => $_REQUEST['login'],
								':evnt' => $_REQUEST['evnt']
							)
						);
					}
				// now delete all entries which have no events assigned
					$query = "DELETE FROM qb_svtmail WHERE EVENTS=''";
					$stmt = $db->query($query);
					$result = "Done";
					return $result;		
					break;
			}
		}		
	}
?>