<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	global $rel_path;
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;
	
	$routine = new Tasks();
	echo $routine->execute();
	
	class Tasks {
		
		public function __construct() 
		{
		}
		
		public function execute()
		{	
			global $db, $debug, $qb_support, $rel_path, $relili;
			$ini_team = parse_ini_file($rel_path.'i18n/team.ini', true);
	// called routine
			if (isset($_REQUEST['routine'])) {
				$sub_routine = $_REQUEST["routine"];
			} else {
				$json = file_get_contents('php://input');
				$obj = json_decode($json, true);
				$sub_routine = $obj["routine"];
			}
			switch ($sub_routine)
			{
//
// savesvt	-	assign & inform svt
// listsvt	-	show all cases without svt or svt not informed yet
//
				case "savesvt":
					$qb_support->qbactivity($obj['qbn']);
			// save svt	
					if ($qb_support->qb_status($obj['qbn']) != "M") {
			// get svt data
						$query = "SELECT EMAIL, VORNAME, LANG, CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE LOGIN=:svt";
						$stmt = $db->prepare($query);
						$stmt->execute(array(':svt' => $obj['svt']));
						$selectedsvt = $stmt->fetch(PDO::FETCH_NUM );
			// check if vacation representative is defined
						$query = "SELECT COUNT(DSVT), DSVT, CONCAT(NACHNAME, ', ', VORNAME) FROM qb_deputy LEFT JOIN qb_user on DSVT=LOGIN WHERE SVT=:svt AND REP='1'";
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':svt' => $obj['svt']
							)
						);				
						$row = $stmt->fetch(PDO::FETCH_NUM);
						if ($row[0] > 0) {
			// yes, inform original SVT 
					// load template file
							if ($selectedsvt[2] == "") $selectedsvt[2] = $qb_support->getOptions('fallbacklang', 'set');
							$template = file_get_contents($rel_path."mail/".$selectedsvt[2].".team.inform_new_svt_but_vacation.html");
							$template = str_replace('{{username}}', $selectedsvt[1], $template);
							$template = str_replace('{{qbnummer}}', $obj['qbn'], $template);
							$template = str_replace('{{representative}}', $row[2], $template);
							$template = str_replace('{{login}}', $_SESSION['fn'], $template);
							$template = str_replace('{{qblink}}', $relili . $obj['qbn'] . "&page=basic", $template);
							preg_match('/<title>(.*)<\/title>/iU', $template, $subject);
							$subject = $ini_team["qbshort"][$_SESSION["lng"]].$obj['qbn'].": ".$subject[1];							
							$qb_support->templatemail($selectedsvt[0], $subject, $template, "", "team_api:informnewsvtbutvacation");	
							$obj['svt'] = $row[1];
						}					
			// get old svt (if set)
						$query = "SELECT SVT, SVTI, VORNAME, EMAIL, LANG FROM qbi LEFT JOIN qb_user ON SVT=LOGIN WHERE QBN=:qbn";
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':qbn' => $obj['qbn']
							)
						);				
						$row = $stmt->fetch(PDO::FETCH_NUM);
			// write log
						$query = "INSERT INTO qb_svtchange SET QBN=:qbn, OLDSVT=:osv, NEWSVT=:nsv, CHANGER=:chn";
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':qbn' => $obj['qbn'],
								':osv' => $row[0],
								':nsv' => $obj['svt'],
								':chn' => $_SESSION['lg']
							)
						);						
			// check if old svt was defined and if yes send notification of dismissal (if not changer itself)
						if (($row[0] != '') AND ($_SESSION['lg'] != $row[0])) {
							if ($row[4] == "") $row[4] = $qb_support->getOptions('fallbacklang', 'set');
							$template = file_get_contents($rel_path."mail/".$row[4].".team.inform_svt_dismissal.html");
							$template = str_replace('{{username}}', $row[2], $template);
							$template = str_replace('{{qbnummer}}', $obj['qbn'], $template);
							$template = str_replace('{{newsvt}}', $selectedsvt[3], $template);
							$template = str_replace('{{login}}', $_SESSION['fn'], $template);
							$template = str_replace('{{qblink}}', $relili . $obj['qbn'] . "&page=basic", $template);
							preg_match('/<title>(.*)<\/title>/iU', $template, $subject);
							$subject = $ini_team["qbshort"][$_SESSION["lng"]].$obj['qbn'].": ".$subject[1];							
							$qb_support->templatemail($row[3], $subject, $template, "", "team_api:informsvtdismissal");							
						}
			// set new svt
						$query = "UPDATE qbi SET SVT=:svt, SVTI=NOW(), IC=0 WHERE QBN=:qbn";
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':svt' => $obj['svt'],
								':qbn' => $obj['qbn']
							)
						);
			// inform new svt
						$query = "SELECT EMAIL, VORNAME, LANG, CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE LOGIN=:svt";
						$stmt = $db->prepare($query);
						$stmt->execute(array(':svt' => $obj['svt']));
						$result = $stmt->fetch(PDO::FETCH_NUM );
						if ($result[2] == "") $result[2] = $qb_support->getOptions('fallbacklang', 'set');
						$template = file_get_contents($rel_path."mail/".$result[2].".team.inform_new_svt.html");
						$template = str_replace('{{username}}', $result[1], $template);
						$template = str_replace('{{qbnummer}}', $obj['qbn'], $template);
						$template = str_replace('{{login}}', $_SESSION['fn'], $template);
						$template = str_replace('{{qblink}}', $relili . $obj['qbn'] . "&page=basic", $template);
						preg_match('/<title>(.*)<\/title>/iU', $template, $subject);
						$subject = $ini_team["qbshort"][$_SESSION["lng"]].$obj['qbn'].": ".$subject[1];							
						$qb_support->templatemail($result[0], $subject, $template, "", "team_api:informnewsvt");
						$return_svt = $result[3];
					} else {			
						$query = "UPDATE qbi SET SVT=:svt WHERE QBN=:qbn";
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':svt' => $obj['svt'],
								':qbn' => $obj['qbn']
							)
						);
						$query = "SELECT CONCAT(NACHNAME, ', ', VORNAME) FROM qb_user WHERE LOGIN=:svt";
						$stmt = $db->prepare($query);
						$stmt->execute(array(':svt' => $obj['svt']));
						$result = $stmt->fetch(PDO::FETCH_NUM );
						$return_svt = $result[0];
					}
			// check if deputy SVT
					$query = "SELECT COUNT(SVT) FROM qb_deputy WHERE SVT=:svt AND DSVT=:dsv";
					$stmt = $db->prepare($query);
					$stmt->execute(
						array(
							':svt' => $_SESSION['lg'],
							':dsv' => $obj['svt']
						)
					);
					$row = $stmt->fetch(PDO::FETCH_NUM);
					if ($row[0] == 0) {
				// no, no deputy -> delete DEPUTY field in qbi (just for safety reasons, may be it was set before)
						$query = "UPDATE qbi SET DELEGATE='' WHERE QBN=:qbn";
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':qbn' => $obj['qbn']
							)
						);
					} else {
				// yes, set DEPUTY
						$query = "UPDATE qbi SET DELEGATE=:del WHERE QBN=:qbn";
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':del' => $_SESSION['lg'],
								':qbn' => $obj['qbn']
							)
						);
					}
					$qb_support->event_mail2("E2", $obj['qbn']);
					return "Done";		
					break;
				case "listsvt":	
				// define material name language
					$mncol = $qb_support->getLanMat($_REQUEST['qblan']);
					$query = "
						SELECT 
							qbi.QBN AS qbn, 
							COALESCE(CONCAT(NACHNAME, ', ', VORNAME), '') AS svt,
							LOGIN AS lgin,
							IF(SHOWREQ=1, (SELECT CONCAT(NACHNAME, ', ', VORNAME, ' (', DEPARTMENT,')') FROM qb_user WHERE REQ=LOGIN), '*****') AS req, 
							IF(MNR='0', 'xxxxx-xxxxx', MNR) AS tgr, 
							IF(MNR='0', 'xxxxx-xxxxx', TGRBZ_" . $mncol . ") AS tgrbz, 
							DESCRIPTION AS des
						FROM 
							qbi 
						LEFT JOIN 
							qb_user ON SVT=LOGIN 
						LEFT JOIN 
							qbbasic ON qbi.QBN=qbbasic.QBN 
						LEFT JOIN 
							qb_material ON MNR=qb_material.TGR 
						WHERE 
							QBSTATUS NOT IN ('X', 'D', 'C') AND 
							(qbi.SVT='' OR SVTI='0000-00-00 00:00:00') 
						ORDER BY 
							QBN DESC";
					$stmt = $db->query($query);
					$rows = array();
					while($r = $stmt->fetch(PDO::FETCH_ASSOC)) {
						$rows[] = $r;
					}	
					$result = json_encode($rows);
					return $result;		
					break;
				case "listfc":
					$query[] = "
						SELECT 
							qb_close.QBN AS qbn, 
							CONCAT(NACHNAME, ', ', VORNAME) AS svt,
							CLSS AS clss,
							TRACK AS track, 
							TRACKCOM AS trackcom
						FROM 
							qb_close 
						LEFT JOIN 
							qbi ON qb_close.QBN=qbi.QBN 
						LEFT JOIN 
							qb_user ON SVT=LOGIN 
						WHERE 
							(QBSTATUS='S' OR LIGHT=1) AND 
							CONVERT(CL_DATE, SIGNED) >0 AND 
							CONVERT(GQ_DATE, SIGNED) =0
					";
				// generate order & limit
					$order_str = "ORDER BY " . $_REQUEST['sidx'] . " " . $_REQUEST['sord'];
					$limit_str = " LIMIT " . ($_REQUEST['page']-1)*$_REQUEST['rows'] . ", " . $_REQUEST['rows'];
				// compile query string
					$querystr = $qb_support->makequery(json_encode($query), json_encode($_REQUEST));
//var_dump($querystr);					
					$stmt = $db->query($querystr);
				// get total rows first (only query string)	
					$num_records = $stmt->rowCount();
					$num_pages = ceil($num_records/$_REQUEST['rows']);
				// now get result (query string with iorder and limit)		
					$stmt = $db->query($querystr . " " . $order_str . " " . $limit_str);
					$rows = array();
					while($r = $stmt->fetch(PDO::FETCH_ASSOC)) {
						$rows[] = $r;
					}	
					$ret = Array();
					$ret['total'] = $num_pages;
					$ret['page'] = $_REQUEST['page'];
					$ret['records'] = $num_records;
					$ret['rows'] = $rows;					
					$result = json_encode($ret);
					return $result;		
					break;
			}
		}
	}
?>