<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />	
	<?php 
		include_once(dirname(__FILE__)."/tools/all_header.php"); 
		global $c_scheme, $timezone, $rel_path;
		if (!$qb_support->checkflag("YW")) header("Location: basic.php");
	?>	
	<script>
		var js_debug = false;
		$data_changed = false;	
	</script>
	
    <title>User</title>
		
	<link rel="stylesheet" href="./css/qb.php" />
	<link rel="stylesheet" href="./jqGrid_5.2.1/css/ui.jqgrid.css" />

	<style>
		.highlightrow {
			background: <?php echo $c_scheme['MB']; ?> url(./img/del.png) center repeat-x;
		}
		.ignorerow {
			background: <?php echo $c_scheme['I2']; ?> url(./img/del.png) center repeat-x;
		}
		.logininput {
			background: <?php echo $c_scheme['MB']; ?>;
		}
		.man_ava {
			background: <?php echo $c_scheme['SC']; ?>;
		}	
		#selectroles > div.checkList {
			height: 178px !important;
		}
		#selectflags > .checkList {
			height: auto;
		}
		.ui-jqgrid tr.jqgrow td{
			white-space:nowrap;
			height: 18px !important;
		}
		.ui-state-hover, .ui-widget-content .ui-state-hover, .ui-widget-header .ui-state-hover,
		.ui-state-focus, .ui-widget-content .ui-state-focus, .ui-widget-header .ui-state-focus
		{
			border: 0 none;
		}		
	</style>
	
	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>
	
	<?php 
		foreach(explode(":", $qb_support->getLanOnly()) as $key=>$value) {
			echo '<script src="./jqGrid_5.2.1/js/i18n/grid.locale-' . $value . '.js"></script>';
		}
	?>
	<script src="./jqGrid_5.2.1/js/jquery.jqGrid.min.js"></script>

	<script>
	// load translation and save in localTranslation
		<?php
			$ini_user = parse_ini_file($rel_path.'i18n/user.ini', true);
			echo "localTranslation = {};";
			foreach($ini_user as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}			
			$ini_flags = parse_ini_file($rel_path.'xml/flags.ini', true);			
			if (!$qb_support->checkflag("Y")) unset($ini_flags['Y']);
			$ddf = ":".$ini_user['all'][$_SESSION['lng']];		
			echo "flagTranslation = {};";
			foreach ($ini_flags as $key => $value)
			{
				$start[$key]  = $value['order'];
			}								
			array_multisort($start, SORT_ASC, $ini_flags);
			foreach($ini_flags as $key=>$value){
				if ($key == "D") continue;
				if ($key == "B") continue;
				if ($key == "C") continue;			
				if ($value['rights'] == "Y") {
					$add = "";
					foreach($value AS $lan=>$trans){
						if ($lan != "rights") {
							$add .= "'".$lan."':'".$trans."',";
						}
					}
					echo "flagTranslation['".$key."']={".rtrim($add, ',')."};";
					$ddf .= ";".$key.":".$value[$_SESSION['lng']];
				}
			}	
			echo "ddf = '".$ddf."';";
			$ddr = ":".$ini_user['all'][$_SESSION['lng']];
			$query = "SELECT ROLE FROM qb_roles ORDER BY ORDR ASC";
			$stmt = $db->query($query);
			while ($r = $stmt->fetch(PDO::FETCH_NUM)) {
				if ($qb_support->checkflag("Y")) {
					$ddr .= ";".$r[0].":".$r[0];
				} else {
					if ($r[0] != "ADMIN") $ddr .= ";".$r[0].":".$r[0];
				}
			}
			echo "ddr = '".$ddr."';";	
			$ini_region = parse_ini_file($rel_path.'xml/regions.ini', true);	
			echo "regionTranslation = {};";
			$ddt = ":".$ini_user['all'][$_SESSION['lng']];
			$ddte = "";			
			foreach($ini_region as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "regionTranslation['".$key."']={".rtrim($add, ',')."};";
				$ddt .= ";".$key.":".$value[$_SESSION['lng']];
				$ddte .= ";".$key.":".$value[$_SESSION['lng']];
			}
			echo "ddt = '".$ddt."';";
			echo "ddte = '".rtrim($ddte, ",")."';";
			$ini_language = parse_ini_file($rel_path.'i18n/lang.ini', true);
			echo "langTranslation = {};";			
			$dds = "";
			$ddse = "";
			foreach(explode(":", $qb_support->getLanOnly()) as $key=>$value) {
				$add = "";
				foreach($ini_language[$value] AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "langTranslation['".$value."']={".rtrim($add, ',')."};";
				$dds .= ";".$value.":".$ini_language[$value][$_SESSION['lng']];
				$ddse .= ";".$value.":".$ini_language[$value][$_SESSION['lng']];
			}
			echo "dds = '".$dds."';";
			echo "ddse = '".ltrim(rtrim($ddse, ","),";")."';";
			
		?>
	</script>
</head>
<body>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
			<?php 
				echo "<div id='mainnav'>". $qb_support->get_main_menu(4) . "</div>";
			?>
			<div class="dtop">
				<?php include_once($rel_path.'html/systemmenu.php');	?>		
				<span data-type="text" data-lan="na_user"><?php echo $ini_user['na_user'][$_SESSION['lng']]; ?></span>
			</div>
			<div class="tabs_container">
				<div style="margin-left: 5px;" >
					<table id="list"></table> 
					<div id="pager"></div> 
				</div>
			</div>
		</div>
		<?php include_once($rel_path.'footer.php'); ?> 
	</div>
<!-- form for changing roles -->
	<div id="dialog-roles" style="display:none; background: <?php echo $c_scheme['M5']; ?>;" title="">
		<div id="selectroles" style="margin: auto; font: normal 9pt Arial; width: 200px; margin-top: 10px; "></div>
	</div>
	<script>
		var $triggerfilter = 0;
		
		$('#selectflags').checkList({
			effect: 'none',
			ckall: false,
			tfilter: false,
			colopts: 1,
			col2: 1,
			tdback: "<?php echo $c_scheme['IE']; ?>",
			r_cb: true,
			prefix: "fg",
			onChange: function(loc) {
				if (typeof loc != "undefined") {
					if (!$(loc).data("checked")) {
				// checkbox was checked -> uncheck
						$(loc).data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
					} else {
						$(loc).data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");
					}
				}
			}				
		});
		
		$('#selectroles').checkList({
			effect: 'none',
			ckall: false,
			tfilter: false,
			colopts: 1,
			tdback: "<?php echo $c_scheme['IE']; ?>",
			r_cb: true,
			radio: true,
			prefix: "rs",
			onChange: function(loc) {
				if (typeof loc != "undefined") {				
					if ($(loc).data("help") <= 0) {
				// no free license
						$arole = $("#dialog-roles").data("arole");
						$("#selectroles").find("tr span[data-text='"+$arole+"']").data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");
						$(loc).data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
					}
					$.each($("#selectroles tr"), function() {
						if ($(this).find("td:first span").data("help") <=0) {
							$(this).css("background", "<?php echo $c_scheme['IW']; ?>").find("td").css("background", "transparent");
						}
					});
				}
				return false;
			}				
		});	
// function changing roles
		$( "#dialog-roles" ).dialog({
			resizable: false,
			dialogClass: "doc_input",
			autoOpen: false,
			closeOnEscape: false,
			height: 300,
			width: 250,
			modal: true,
			buttons:
				[
					{
						text: "",
						id: "roles_save",
						css: { width: '100px' },
						click: function() {
							$("#loading").show();
							$newrole = $("#selectroles tr").find("td span.icn_checkboxchecked_c_n").data("text");
							if ($newrole == $("#dialog-roles").data("arole")) {
								$("#loading").hide();
								$("#dialog-roles").dialog( "close" );
							} else {
								$.ajax({
									type: "POST",
									cache: false,
									url:  "./tools/user_api.php",
									data: { 
										routine: "setrole",
										login: $("#dialog-roles").data("login"),
										role: $newrole
									},
									success: function(result)
									{
										$("#loading").hide();
										if ($.trim(result) == "OK") {
											$("#dialog-roles").dialog( "close" );
											$triggerfilter = 1;
											$("#list").setGridParam({datatype:'json'}).trigger('reloadGrid');
										} else {
											jAlert(localTranslation[$.trim(result)][$globlan], localTranslation["attention"][$globlan]);
											return false;
										}
									}
								});
							}
						}
					},
					{
						text: "",
						id: "roles_cancel",
						css: { width: '100px' },
						click: function() {
							$( "#dialog-roles" ).dialog( "close" );
						}
					}				
				],
			close: function() {
			},		
			open : function() {		
				$("#dialog-roles").dialog('option', 'title', $("#dialog-roles").data("uname"));
				$("#roles_save").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
					.off('hover')
					.off('focus')
					.addClass("spanbutton")
					.find("span").text(localTranslation["save"][$globlan]);	
				$("#roles_cancel").removeClass("ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only ui-state-focus")
					.off('hover')
					.off('focus')
					.addClass("spanbutton")
					.find("span").text(localTranslation["cancel"][$globlan]);
					
				$.ajax({
					type: "GET",
					cache: false,
					url:  "./tools/user_api.php",
					data: { 
						routine: "getroles"
					},
					dataType: "json",
					success: function(result)
					{					
						$('#selectroles').checkList('setData', result);
						$arole = $("#dialog-roles").data("arole");
						$.each($("#selectroles tr"), function() {
							if ($(this).find("td:first span").data("help") <=0) {
								$(this).css("background", "<?php echo $c_scheme['IW']; ?>").find("td").css("background", "transparent");
							}
						});	
						$('#selectroles').checkList("setSelection", $arole);
					}
				});				
			}
		});
		
		function load_page() {
			loaddata();
		}	
		function c_lan() {		
			translate_header($globlan);	
			translate_mainmenu($globlan);
			translate_system($globlan);
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {			
				switch ($(this).data("type")) {
					case "text":			
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "date":
						$(this).val(localizedate($($(this).data("lan")).val()));
						break;						
				}
			});	
			$.jgrid.setRegional('list',{regional: $globlan});
			$("#list").jqGrid('setLabel', "login", localTranslation["login"][$globlan])
				.jqGrid('setLabel', "vorname", localTranslation["vorname"][$globlan])
				.jqGrid('setLabel', "nachname", localTranslation["naname"][$globlan])
				.jqGrid('setLabel', "department", localTranslation["department"][$globlan])
				.jqGrid('setLabel', "email", localTranslation["email"][$globlan])
				.jqGrid('setLabel', "role", localTranslation["roles"][$globlan])		
				.jqGrid('setLabel', "sprache", localTranslation["sprache"][$globlan])
				.jqGrid('setLabel', "region", localTranslation["region"][$globlan]);
			$("#add_list").attr("title", localTranslation["add_row"][$globlan]);	
			$("#edit_list").attr("title", localTranslation["edit_row"][$globlan]);
			$("#del_list").attr("title", localTranslation["del_row"][$globlan]);
			$("#res_pw").attr("title", localTranslation["res_pw"][$globlan]);
			$("#edit_role").attr("title", localTranslation["edit_role"][$globlan]);
			$("#edit_login").attr("title", localTranslation["edit_login"][$globlan]);
			$("#edit_flag").attr("title", localTranslation["flag_usr"][$globlan]);
			$("#admin_del").attr("title", localTranslation["admin_del"][$globlan]);
		
			$("#gs_flags").find("option").each(function(idx, obj) {		
				if ($(this).val() == "") {
					$(this).text(localTranslation["all"][$globlan]);
				} else {
					$(this).text(flagTranslation[$(this).val()][$globlan]);			
				}			
			});	
			$("#gs_region").find("option").each(function(idx, obj) {
				if ($(this).val() == "") {
					$(this).text(localTranslation["all"][$globlan]);
				} else {
					$(this).text(regionTranslation[$(this).val()][$globlan]);			
				}
			});	
			$("#gs_role").find("option").each(function(idx, obj) {
				if ($(this).val() == "") {
					$(this).text(localTranslation["all"][$globlan]);
				}
			});
			$("#list").trigger('reloadGrid');
		}
		function respwFormatter (cellvalue, options, rowObject)
		{
			if (rowObject['pwr'] > 0) {
				return  "<span class='icn_key_be_n vam'></span>";
			} else {
				return "";
			}
		}
		function custbtns() {
			$("#list").jqGrid('navButtonAdd',"#pager",{
				caption:"",
				id:"res_pw",
				buttonicon:"ui-icon-person", 
				onClickButton: function(){ 
					if($("#list").jqGrid('getGridParam','selrow') === null) {
						jAlert(localTranslation["select_user_first"][$globlan], localTranslation["attention"][$globlan]);
						return false;
					} else {
						$deluser = $("#list").jqGrid('getRowData',$("#list").jqGrid('getGridParam','selrow'));
						if ($deluser['pwr'] == 0) {
							jAlert(localTranslation["no_userpassword"][$globlan], localTranslation["attention"][$globlan]);
							return false;
						} else {
							$.alerts.cancelButton = localTranslation["cancel"][$globlan];
							jConfirm(localTranslation["confirm_reset"][$globlan], localTranslation["attention"][$globlan][$globlan], function(r) {
								if (r) {							
									$.ajax({
										type: "POST",
										cache: false,
										url:  "./tools/user_api.php",
										data: { 
											routine: "resetpassword",
											login: $deluser['login']
										},
										success: function(result)
										{
											$.jgrid.gridUnload("#list");
											loaddata();
											jAlert(localTranslation["pw_reset_done"][$globlan], localTranslation["attention"][$globlan]);
										}
									});
								}
							});
						}
					}
				}, 
				position: "last", 
				title: localTranslation["res_pw"][$globlan], 
				cursor: "default"
			});
			$("#list").jqGrid('navButtonAdd',"#pager",{
				caption:"",
				id:"edit_role",
				buttonicon:"ui-icon-key", 
				onClickButton: function(){ 
					if($("#list").jqGrid('getGridParam','selrow') === null) {
						jAlert(localTranslation["select_user_first"][$globlan], localTranslation["attention"][$globlan]);
						return false;
					} else {
						$deluser = $("#list").jqGrid('getRowData',$("#list").jqGrid('getGridParam','selrow'));
						$( "#dialog-roles" ).data("arole", $deluser['usr']).data("login", $deluser['login']).data("uname", $deluser['nachname']+", "+$deluser['vorname']).dialog("open");
					}
				}, 
				position: "last", 
				title:  localTranslation["edit_role"][$globlan], 
				cursor: "default"
			});		
		// special buttons for admins
			<?php if ($qb_support->checkflag("Y")) { ?>
				$("#list").jqGrid('navButtonAdd',"#pager",{
					caption:"",
					id:"edit_login",
					buttonicon:"ui-icon-wrench", 
					onClickButton: function(){
						if($("#list").jqGrid('getGridParam','selrow') === null) {
							jAlert(localTranslation["select_user_first"][$globlan], localTranslation["attention"][$globlan]);
							return false;
						} else {
							$("#list").jqGrid('editGridRow', $("#list").jqGrid('getGridParam','selrow'), editSettings2);
						}
					},
					position: "last", 
					title: localTranslation["edit_login"][$globlan],
					cursor: "default"
				});	
				$("#list").jqGrid('navButtonAdd',"#pager",{
					caption:"",
					id:"admin_del",
					buttonicon:"ui-icon-alert", 
					onClickButton: function(){
						if ($("#list").jqGrid('getGridParam','selrow') === null) {
							jAlert(localTranslation["select_user_first"][$globlan], localTranslation["attention"][$globlan]);
							return false;
						} else {
							$deluser = $("#list").jqGrid('getRowData',$("#list").jqGrid('getGridParam','selrow'));
							if ($deluser['active'] != 0) {
								jAlert(localTranslation["del_user_first"][$globlan], localTranslation["attention"][$globlan]);
								return false;							
							} else {
								$.alerts.cancelButton = localTranslation["cancel"][$globlan];
								jConfirm(localTranslation["confirm_del_user"][$globlan], localTranslation["attention"][$globlan], function(r) {
									if (r) {
										$("#loading").show();
										$.ajax({
											type: "POST",
											cache: false,
											url:  "./tools/user_api.php",
											data: { 
												routine: "eraseuser",
												login: $deluser['login']
											},
											success: function(result)
											{
												$("#loading").hide();
												if ($.trim(result) == "Fail") {
													jAlert(localTranslation["user_not_erased"][$globlan], localTranslation["attention"][$globlan]);
													return false;
												} else {
													$("#gs_login").val("");
													$triggerfilter = 1;
													$("#list").setGridParam({datatype:'json'}).trigger('reloadGrid');
													jAlert(localTranslation["user_erased"][$globlan], localTranslation["attention"][$globlan]);
												}
											}
										});
									} else {
										return false;
									}
								});
							}
						}					
					},
					position: "last", 
					title: localTranslation["admin_del"][$globlan],
					cursor: "default"
				});					
			<?php } ?>
			$("#add_list div").empty().html("<span class='icn_add_b_n clckbtn'></span>");
			$("#add_list").removeClass("ui-pg-button");
			$("#edit_list div").empty().html("<span class='icn_edit_b_n clckbtn' style='margin: 0 2px;'></span>");
			$("#edit_list").removeClass("ui-pg-button");
			$("#del_list div").empty().html("<span class='icn_delete_b_n clckbtn'></span>");
			$("#del_list").removeClass("ui-pg-button");
			
			$("#res_pw div").empty().html("<span class='icn_resetpw_b_n clckbtn' style='margin-left: 10px;'></span>");
			$("#res_pw").removeClass("ui-pg-button");
			$("#edit_role div").empty().html("<span class='icn_role_b_n clckbtn' style='margin: 0 2px;'></span>");
			$("#edit_role").removeClass("ui-pg-button");
			$("#edit_flag div").empty().html("<span class='icn_userflag_b_n clckbtn'></span>");
			$("#edit_flag").removeClass("ui-pg-button");

			$("#edit_login div").empty().html("<span class='icn_userloginadmin_b_n clckbtn' style='margin: 0 2px 0 10px;'></span>");
			$("#edit_login").removeClass("ui-pg-button");		
			$("#admin_del div").empty().html("<span class='icn_userdeleteadmin_b_n clckbtn'></span>");
			$("#admin_del").removeClass("ui-pg-button");
			
			$("#pager_left .ui-separator").parent().remove();	
		}
		function RegionFormatter (cellvalue, options, rowObject)
		{
			var ctext = regionTranslation[cellvalue][$globlan];
			return ctext;
		}	
		function loaddata() {
			cmTemplate = {
				editable: true,
				edittype:'text', 
				editrules:
				{
					required:true,
				},
				editoptions:
				{
					size:"30"
				}, 			
				sorttype:'string',		
				searchoptions: {
					sopt:['cn'], 
					clearSearch: false
				}
			};		
			obj = {
				url:  "./tools/user_api.php",
				postData: {
					routine : "readuser",
					qblan: $globlan
				},
				contentType: "application/json",
				datatype: "json",
				jsonReader: {
					id: "id",
					repeatitems: false
				},
				mtype: "POST",
				colNames: [
					localTranslation["login"][$globlan],
					localTranslation["vorname"][$globlan],
					localTranslation["naname"][$globlan],
					localTranslation["department"][$globlan],
					localTranslation["email"][$globlan],
					localTranslation["roles"][$globlan],			
					localTranslation["sprache"][$globlan],
					localTranslation["region"][$globlan],
					localTranslation["flags"][$globlan],
					"",
					"",
					"",
					""
				],
		// create column definitions
				colModel: [
					{ 
						name: "login", 
						width: 120,
						template: cmTemplate
					},
					{ 
						name: "vorname", 
						width: 150,
						template: cmTemplate
					},
					{
						name: "nachname", 
						width: 150,
						template: cmTemplate
					},
					{	
						name: "department", 
						width: 100,
						template: cmTemplate
					},
					{ 
						name: "email",
						template: cmTemplate,					
						hidden: true,
            <?php if ($qb_support->getoptions('mailing', 'useit') == "no") { ?>
              editrules: 
              {
                edithidden: false
              },
              editable: false
						<?php } else { ?>
              editrules: 
              {
                edithidden: true
              },
              editable: true
					<?php } ?>
					},
					{ 
						name: "role", 
						width: 140,
						stype: 'select',					
						searchoptions:
						{
							value: ddr
						},					
						template: cmTemplate,
						editable: false				
					},
					{ 
						name: "lang",
						template: cmTemplate,
						hidden: true,
						edittype:'select',
						stype: 'select',					
						searchoptions:
						{
							value: dds
						}, 					
						editoptions:
						{
							size: "1",
							value: ddse,
							dataInit: function(elem) {
								$(elem).width(150);
							}
						},
						editrules: 
						{
							edithidden: true
						}
					},
					{ 
						name: "region", 
						width: 110,
						template: cmTemplate,
						edittype:'select',
						stype: 'select',					
						searchoptions:
						{
							value: ddt
						}, 					
						editoptions:
						{
							size: "1",
							value: ddte,
							dataInit: function(elem) {
								$(elem).width(150);
							}
						},
						formatter: RegionFormatter
					},
					{ 
						name: "flags", 
						width: 130,
						stype: 'select',					
						searchoptions:
						{
							value: ddf
						},	
						template: cmTemplate,
						editable: false 
					},			
					{ name: "reset", width: 20, align:"center", editable: false, sortable: false, search:false, formatter: respwFormatter },
					{ name: "pwr", hidden: true , editable: false },
					{ name: "usr", hidden: true , editable: false },
					{ name: "active", hidden: true , editable: false }
				],
				regional: $globlan,
				storeNavOptions: true,			
				loadonce: true,
				pager: "#pager",
				height: 500,
				rowNum: 100,
				rowList: [10, 100, 500, 1000, 1500],
				hoverrows: false,
				rownumbers:true,
				sortname: "nachname",
				sortorder: "asc",
				viewrecords: true,
				gridview: true,
				autoencode: true,
				ignoreCase:true,
				loadui: "block",
				loadComplete: function() {
					$("th[role='columnheader']")
						.unbind("mouseenter")
						.unbind("mouseleave");
						
			// gray out deleted lines		
					var rows = $("#list").getDataIDs();
					for(a=0;a<rows.length;a++)
					{
						row = $("#list").getRowData(rows[a]);	
						if (row.role == "") {
							$("#"+rows[a]).addClass("highlightrow");
						}
						if (row.active == 2) {
							$("#"+rows[a]).addClass("ignorerow");
						}
					}
				},
				gridComplete: function(data) {
					$(".ui-search-toolbar input[role='textbox']")
						.css("width", "92%")
						.css("background", "<?php echo $c_scheme['M5']; ?>")
						.css("padding", "2px");
					custbtns();
					if ($triggerfilter == 1) {
						$triggerfilter = 0;
						setTimeout(function(){var sgrid = $("#list")[0];sgrid.triggerToolbar();},800);			
					}
				},			
				ondblClickRow: function(id, ri, ci) {
					$("#list").jqGrid('editGridRow', id, editSettings);
				},
				editurl: "./tools/user_api.php"		
			};
			editSettings = {
				recreateForm:true,
				jqModal:true,
				modal: true,
				reloadAfterSubmit: true,
				closeOnEscape:false,
				savekey: [false,13],
				closeAfterEdit:true,
				zIndex:1000,
				width: 350,
				viewPagerButtons:false,
				beforeShowForm: function(form) {
			// center edit form
					var parentWidth = $(window).width();
					var parentHeight = $(window).height();
					var dlgDiv = $("#editmodlist");
					var dlgWidth = dlgDiv.width();
					var dlgHeight = dlgDiv.height();
					dlgDiv[0].style.top = Math.round((parentHeight-dlgHeight)/2) + "px";
					dlgDiv[0].style.left = Math.round((parentWidth-dlgWidth)/2) + "px";
					$('#login').attr('readonly','readonly').addClass("logininput");
					$("#lang").find("option").each(function(idx, obj) {
						$(this).text(langTranslation[$(this).val()][$globlan]);
					});	
					$("#region").find("option").each(function(idx, obj) {
						if ($(this).val() == "") {
							$(this).remove();
						} else {
							$(this).text(regionTranslation[$(this).val()][$globlan]);
						}			
					});
					$(".EditButton")
						.empty()
						.append("<span id='sData' class='spanbutton w100'>"+localTranslation["save"][$globlan]+"</span>")
						.append("<span id='cData' style='margin: 0 10px;' class='spanbutton w100'>"+localTranslation["cancel"][$globlan]+"</span>");								
				},
				ajaxEditOptions:{ contentType:"application/json" },
				mtype:'POST',
				serializeEditData:function (data) {
          <?php if ($qb_support->getoptions('mailing', 'useit') == "no") { ?>
            data["email"] = "";
          <?php } ?>
					data["routine"] = "updateuser";
					return JSON.stringify(data);
				},
				errorTextFormat: function (e) {
					if (e['status'] == 409) {
						return '<span class="ui-icon ui-icon-alert" style="float: left; margin-right: .3em;"></span>'+localTranslation["login_used"][$globlan];
					}
				},
				onClose: function() {
					$triggerfilter = 1;
					$("#list").setGridParam({datatype:'json'}).trigger('reloadGrid');
				}	
			};
			$old_svt = "";
			editSettings2 = {
				recreateForm:true,
				jqModal:true,
				modal: true,
				reloadAfterSubmit: true,
				closeOnEscape:false,
				savekey: [false,13],
				closeAfterEdit:true,
				zIndex:1000,
				width: 350,
				viewPagerButtons:false,
				beforeShowForm: function(form) {
			// center edit form
					var parentWidth = $(window).width();
					var parentHeight = $(window).height();
					var dlgDiv = $("#editmodlist");
					var dlgWidth = dlgDiv.width();
					var dlgHeight = dlgDiv.height();
					dlgDiv[0].style.top = Math.round((parentHeight-dlgHeight)/2) + "px";
					dlgDiv[0].style.left = Math.round((parentWidth-dlgWidth)/2) + "px";
					$old_svt = $('#login').val();
					$('#login').removeAttr('readonly').removeClass("logininput");
					$('#tr_vorname').hide();
					$('#tr_nachname').hide();
					$('#tr_department').hide();
					$('#tr_role').hide();
					$('#tr_email').hide();
					$('#tr_lang').hide();
					$('#tr_region').hide();	
					$(".EditButton")
						.empty()
						.append("<span id='sData' class='spanbutton w100'>"+localTranslation["save"][$globlan]+"</span>")
						.append("<span id='cData' style='margin: 0 10px;' class='spanbutton w100'>"+localTranslation["cancel"][$globlan]+"</span>");								
				},
				ajaxEditOptions:{ contentType:"application/json" },
				mtype:'POST',
				serializeEditData:function (data) {
					data["routine"] = "adminupdate";
					data["old"] = $old_svt;
					return JSON.stringify(data);
				},
				errorTextFormat: function (e) {
					if (e['status'] == 409) {
						return '<span class="ui-icon ui-icon-alert" style="float: left; margin-right: .3em;"></span>'+localTranslation["login_used"][$globlan];
					}
				},
				onClose: function() {
					$("#gs_login").val("");
					$triggerfilter = 1;
					$("#list").setGridParam({datatype:'json'}).trigger('reloadGrid');
				}	
			};			
			addSettings = {
				recreateForm:true,
				jqModal:true,
				modal: true,
				reloadAfterSubmit:true,
				closeOnEscape:false,
				savekey: [false,13],
				closeAfterAdd:true,
				zIndex:1000,
				width: 350,
				viewPagerButtons:true,
				beforeShowForm: function(form) {
			// center edit form
					var parentWidth = $(window).width();
					var parentHeight = $(window).height();
					var dlgDiv = $("#editmodlist");
					var dlgWidth = dlgDiv.width();
					var dlgHeight = dlgDiv.height();
					dlgDiv[0].style.top = Math.round((parentHeight-dlgHeight)/2) + "px";
					dlgDiv[0].style.left = Math.round((parentWidth-dlgWidth)/2) + "px";
					$('#login').removeAttr('readonly').removeClass("logininput");
					$("#lang").find("option").each(function(idx, obj) {
						$(this).text(langTranslation[$(this).val()][$globlan]);
					});	
					$("#region").find("option").each(function(idx, obj) {
						if ($(this).val() == "") {
							$(this).remove();
						} else {
							$(this).text(regionTranslation[$(this).val()][$globlan]);
						}			
					});
					$(".EditButton")
						.empty()
						.append("<span id='sData' class='spanbutton w100'>"+localTranslation["save"][$globlan]+"</span>")
						.append("<span id='cData' style='margin: 0 10px;' class='spanbutton w100'>"+localTranslation["cancel"][$globlan]+"</span>");								
				},
				ajaxEditOptions:{ contentType:"application/json" },
				mtype:'POST',
				postData: {routine : "adduser"},
				serializeEditData:function (data) {
          <?php if ($qb_support->getoptions('mailing', 'useit') == "no") { ?>
            data["email"] = "";
          <?php } ?>
					data["routine"] = "adduser";
					data["role2"] = "";
					return JSON.stringify(data);
				},
				errorTextFormat: function (e) {
					if (e['status'] == 409) {
						return '<span class="ui-icon ui-icon-alert" style="float: left; margin-right: .3em;"></span>'+localTranslation["login_used"][$globlan];
					}
				},
				onClose: function() {
					$triggerfilter = 1;
					$("#list").setGridParam({datatype:'json'}).trigger('reloadGrid');
				}	
			};
			deleteSettings = {
				recreateForm:true,
				jqModal:true,
				modal: true,
				reloadAfterSubmit: true,
				closeOnEscape:false,
				savekey: [false,13],
				closeAfterEdit:true,
				zIndex:1000,
				width: 330,
				viewPagerButtons:false,
				caption: localTranslation["rem"][$globlan],
				beforeShowForm: function(form) {
			// center edit form
					var parentWidth = $(window).width();
					var parentHeight = $(window).height();
					var dlgDiv = $("#delmodlist")||$("#alertmod_list");
					$(dlgDiv).css("width", "400px");				
					var dlgWidth = dlgDiv.width();
					var dlgHeight = dlgDiv.height();
					dlgDiv[0].style.top = Math.round((parentHeight-dlgHeight)/2) + "px";
					dlgDiv[0].style.left = Math.round((parentWidth-dlgWidth)/2) + "px";
					$deluser = $("#list").jqGrid('getRowData',$("#list").jqGrid('getGridParam','selrow'));
					$("td.delmsg",form).html("<center>"+localTranslation["confirm_del_user"][$globlan]+"</center><br /><center><span style='color: #ff0000; font-weight: bold;'>"+
						$deluser['nachname']+", "+$deluser['vorname']+"</span></center>");
					$(".EditButton a").css("display", "none");
					$(".EditButton")
						.append("<span id='dData1' class='spanbutton w100' onclick='$(\"#dData\").click();'>"+localTranslation["rem"][$globlan]+"</span>")
						.append("<span id='eData1' style='margin: 0 10px;' class='spanbutton w100' onclick='$(\"#eData\").click();'>"+localTranslation["cancel"][$globlan]+"</span>");
				},
				mtype:'POST',
				serializeDelData:function (data) {
					$deluser = $("#list").jqGrid('getRowData',$("#list").jqGrid('getGridParam','selrow'));
					data["login"] = $deluser['login'];
					data["routine"] = "deleteuser";
					return JSON.stringify(data);
				},
				onClose: function() {
					$(".EditButton span").remove();
					$triggerfilter = 1;
					$("#list").setGridParam({datatype:'json'}).trigger('reloadGrid');
				}
			};
			list1 = $("#list").jqGrid(obj)
				.jqGrid('filterToolbar',{searchOperators : false, searchOnEnter: false})
				.navGrid('#pager', {refresh: false, search: false}, editSettings, addSettings, deleteSettings);
//			setTimeout(function(){var sgrid = $("#list")[0];sgrid.triggerToolbar();},800);			
		}
		load_page();
	</script>		
</body>
</html>
