<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<?php include_once(dirname(__FILE__)."/tools/all_header.php"); global $c_scheme, $timezone, $rel_path; ?>
	<script>
		var js_debug = false;
		$data_changed = false;		
	</script>
	
    <title>Validation</title>

	<link rel="stylesheet" href="./css/qb.php" />
	<link rel="stylesheet" href="./trumbowyg/dist/ui/trumbowyg.css">
	<link rel="stylesheet" href="./trumbowyg/dist/plugins/colors/ui/trumbowyg.colors.min.css">
	
	<style>
		.editbox {
			background: #FFFFFF;
		}
		.lockedbox {
			border: 0px;
			font: normal 10pt Arial !important;
			color: <?php echo $c_scheme['XN']; ?>;
			text-align: left;	
			background-color: <?php echo $c_scheme['M4']; ?>;
			vertical-align: middle;
			padding: 2px;
			margin-left: 27px; 
			width: 635px; 
			height: 285px !important;
		}			
		.trumbowyg-box, .trumbowyg-editor {
			width: 640px;
			min-height: 210px;
			margin: 0;
			margin-top: 5px;
			margin-left: 27px;
			display: inline-block;
		}
		.trumbowyg-editor {
			padding: 2px;
			font-family: Arial;
		}
		.trumbowyg-fullscreen {
			margin: 0;
			padding: 0;
			top: 0px;
			left: 0px;
			width: 100%;
			height: 100%;
		}
	</style>
	
	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>
	<script src="./trumbowyg/dist/trumbowyg.js"></script>
	<script src="./trumbowyg/dist/plugins/colors/trumbowyg.colors.min.js"></script>
	<?php 
		foreach(explode(":", $qb_support->getLanOnly()) as $key=>$value) {
			if ($value != "en") echo '<script src="./trumbowyg/dist/langs/'.$value.'.min.js"></script>';
		}
	?>	
	
	<script>
	// load translation and save in localTranslation
		<?php	
			$ini_validate = parse_ini_file($rel_path.'i18n/validate.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_validate as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
		?>	
</script>
</head>
<body>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
			<?php 
				echo "<div id='mainnav'>". $qb_support->get_main_menu(1) . "</div>";
				include_once($rel_path.'tools/g_header2.php');
				echo $qb_support->get_sub_menu(6);
			?>
			<div id="tabscontainer" >
				<div style="margin: 10px 0;height: 55px;" >
					<p id="check_next_we_p">
						<span id="check_next_we" data-checked="false" class="icn_checkboxempty_c_n clckbtn vam" style="margin-left:10px;" onclick="cnwe(this);"></span>
						<label data-type="text" data-lan="check_next_we" class="dlabel w400 vam" ><?php echo $ini_validate['check_next_we'][$_SESSION['lng']]; ?></label>
					</p>
					<p id="other_test_p">
						<span id="other_test" data-checked="false" class="icn_checkboxempty_c_n clckbtn vam" style="margin-left:10px;" onclick="doot(this);"></span>
						<label data-type="text" data-lan="other_pr" class="dlabel w400 vam" ><?php echo $ini_validate['other_pr'][$_SESSION['lng']]; ?></label>
					</p>
				</div>
				<div style="height: 315px;">
					<div id="pweok" style="display: none; border-top: 2px solid black; padding-top: 5px;" >
						<span id="we_ok" data-checked="false" class="icn_checkboxempty_c_n clckbtn vam" style="margin-left:10px;" onclick="cweok(this);"></span>
						<label data-type="text" data-lan="we_ok" class="dlabel w300 vam" ><?php echo $ini_validate['we_ok'][$_SESSION['lng']]; ?></label>
						<input id="weddate" type="text" class="dinput w75" data-type="valdate" data-lan="#weddate_org" value="" readonly />
						<input id="weddate_org" type="hidden" value="" />
					</div>
					<div id="pott" style="border-top: 2px solid black; padding-top: 5px;">
						<div>
							<label data-type="text" data-lan="des_and_pr" class="dlabel w200" style="vertical-align: top; margin-top: 50px;" ><?php echo $ini_validate['des_and_pr'][$_SESSION['lng']];?></label>	
							<div id="wysiwyg" class="editbox"></div>
						</div>
						<div style="vertical-align: top; margin-top: 5px;">
							<span id="dap_ok" data-checked="false" class="icn_checkboxempty_c_n clckbtn vam" style="margin-left:5px;" onclick="cottok(this);"></span>
							<label data-type="text" data-lan="and_pr_ok" class="dlabel w200 vam" ><?php echo $ini_validate['and_pr_ok'][$_SESSION['lng']]; ?></label>
							<input id="vdate" type="text" class="dinput w85" data-type="valdate" data-lan="#vdate_org" value="" readonly />
							<input id="vdate_org" type="hidden"  value="" />
						</div>
					</div>
				</div>
				<div id="btnsection" style="height: 50px; border: 0px solid silver; margin:0px; padding:0px; text-align: right; margin-top: 5px; border-top: 1px solid gray; padding-top: 5px;">
					<span data-type="title" data-lan="save" id="saveimg" style="display: none" class="icn5_save_b_n clckbtn vam" title="<?php echo $ini_validate['save'][$_SESSION['lng']]; ?>" onclick="otest()"></span>
				</div>
			</div>	
		</div>
		<?php include_once($rel_path.'footer.php'); ?> 
	</div>
	<script>
    $('#wysiwyg').trumbowyg('destroy');
    $('#wysiwyg').trumbowyg({
      lang: $globlan,
      removeformatPasted: true,
      semantic: true,
      tagsToRemove: ['script'],
      btns: [
        ['formatting'],
        ['|', 'foreColor', 'backColor'],
        ['strong', 'em', 'del'],
        ['superscript', 'subscript'],
        ['justifyLeft', 'justifyCenter', 'justifyRight', 'justifyFull'],
        ['unorderedList', 'orderedList'],
        ['horizontalRule'],
        ['removeformat'],
        ['fullscreen']
      ]
    })
    .on('tbwchange', function(){$data_changed = true;});
		
		pickerOpts = {
			closeText: "X",
			dateFormat: "yy-M-dd",
			altField: '#vdate_org',
			altFormat: 'yy-mm-dd',			
			firstDay: 1,
			isRTL: false,
			showButtonPanel: true,
			displayClose: true,
			showOn: "button",  
			buttonImage: "./img/dummy_img.png", 
			buttonImageOnly: true,
			buttonText: localTranslation["cal"][$globlan],
			changeYear: true,
			changeMonth: true,
			maxDate: "+1m",
			minDate: "-1m",
			beforeShow: function(input) {
				if (!$("#wysiwyg").trumbowyg('html').trim().length) {
					jAlert(localTranslation["des_and_pr_na"][$globlan], localTranslation["attention"][$globlan]);
					return false;
				}
				$opla_dat = $("#vdate_org").val();
			},			
			onClose: function(dateText,datePickerInstance) {
				if ($opla_dat == $("#vdate_org").val()) {
					if (js_debug) console.log("tentative closing date not saved because not changed");
					return false;
				} else {			
					if (js_debug) console.log("tentative closing date saved");
					var h = $("#wysiwyg").trumbowyg('html').trim();
					while (h.match(/^<br ?\/?>/gi)) h = h.replace(/^<br ?\/?>/gi, '').trim();
					while (h.match(/<br ?\/?>$/gi)) h = h.replace(/<br ?\/?>$/gi, '').trim();					
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/validate_api.php",
						data: { 
							routine: "savevdatedate",
							dat: $("#vdate_org").val(),
							qbn: window.sessionStorage.getItem("qb"),
							ott: h
						},
						success: function(result)
						{
							$("#dap_ok").data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");
						}
					});
				}
			}
		};		
		pickerOpts_2 = {
			closeText: "X",
			dateFormat: "yy-M-dd",
			altField: '#weddate_org',
			altFormat: 'yy-mm-dd',			
			firstDay: 1,
			isRTL: false,
			showButtonPanel: true,
			displayClose: true,
			showOn: "button",  
			buttonImage: "./img/dummy_img.png", 
			buttonImageOnly: true,
			buttonText: localTranslation["cal"][$globlan],
			changeYear: true,
			changeMonth: true,
			maxDate: "+1m",
			minDate: "-1m",
			beforeShow: function(input) {	
				$opla_dat = $("#weddate_org").val();
			},			
			onClose: function(dateText,datePickerInstance) {
				if ($opla_dat == $("#weddate_org").val()) {
					if (js_debug) console.log("incomming inspection date not saved because not changed");
					return false;
				} else {			
					if (js_debug) console.log("incomming inspection date saved");
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/validate_api.php",
						data: { 
							routine: "savewedate",
							dat: $("#weddate_org").val(),
							qbn: window.sessionStorage.getItem("qb")
						},
						success: function(result)
						{
						}
					});
				}
			}			
		};			
	// fix um bei klicken auf "Heute" den Kalender zu schliessen	
		var old_goToToday = $.datepicker._gotoToday;
		$.datepicker._gotoToday = function(id) {
			old_goToToday.call(this,id);   
			this._selectDate(id);
		};
		$.datepicker._defaults['currentText'] = calTranslation['currentText'][$globlan];
		$.datepicker._defaults['monthNames'] = calTranslation['monthNames'][$globlan];
		$.datepicker._defaults['monthNamesShort'] = calTranslation['monthNamesShort'][$globlan];
		$.datepicker._defaults['dayNamesMin'] = calTranslation['dayNamesMin'][$globlan];
		
		$('#vdate').datepicker(pickerOpts);
		clkevnt = $("#vdate").next().data('events').click[0].handler;
		$("#vdate").next().replaceWith('<span class="ui-datepicker-trigger icn_calendar_b_n clckbtn vam" data-type="title" data-lan="cal" title="<?php echo $ini_validate['cal'][$_SESSION['lng']]; ?>"></span>');
		$("#vdate").next().bind('click', clkevnt);
		
		$("#weddate").datepicker(pickerOpts_2);
		clkevnt = $("#weddate").next().data('events').click[0].handler;
		$("#weddate").next().replaceWith('<span class="ui-datepicker-trigger icn_calendar_b_n clckbtn vam" data-type="title" data-lan="cal" title="<?php echo $ini_validate['cal'][$_SESSION['lng']]; ?>"></span>');
		$("#weddate").next().bind('click', clkevnt);		
		
	// switch language
		function c_lan() {
			translate_header($globlan);	
			translate_mainmenu($globlan);
			translate_g_header2($globlan);
			translate_submenu($globlan);
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {	
				switch ($(this).data("type")) {
					case "text":		
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "valdate":
						$(this).val(localizedate($($(this).data("lan")).val()));
						break;						
				}
			});
			
			$tmp = $('#wysiwyg').trumbowyg('html');
      $data_changed_old = $data_changed;
      $('#wysiwyg').trumbowyg('destroy');
      $('#wysiwyg').trumbowyg({
        lang: $globlan,
        removeformatPasted: true,
        semantic: true,
        tagsToRemove: ['script'],
        btns: [
          ['formatting'],
          ['|', 'foreColor', 'backColor'],
          ['strong', 'em', 'del'],
          ['superscript', 'subscript'],
          ['justifyLeft', 'justifyCenter', 'justifyRight', 'justifyFull'],
          ['unorderedList', 'orderedList'],
          ['horizontalRule'],
          ['removeformat'],
          ['fullscreen']
        ]
      })
      .on('tbwchange', function(){$data_changed = true;});
			$('#wysiwyg').trumbowyg('html', $tmp);
      $data_changed = $data_changed_old;
		}
		function load_page() {
			document.title = document.title.split("/")[0] + '/' + window.sessionStorage.getItem("qb");
			$.ajax({
				type: "GET",
				cache: false,
				url:  "./tools/validate_api.php",
				dataType: "json",
				data: { 
					routine: "getdata",
					qbn: window.sessionStorage.getItem("qb")
				},
				success: function(result)
				{
					var $qbs = result[1];
					result = result[0];	
				// check next WE option is set
					if (result['CNW'] > 0) {
						$("#check_next_we").data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");	
						$("#pweok").show();
						$("#other_test_p").hide();
						$("#pott").hide();
						if (result['WOK'] > 0) {
							$("#we_ok").data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");	
							if (result['WED'] != "0000-00-00") {
								$("#weddate_org").val(result['WED']);
								$("#weddate").val(localizedate(result['WED']));
							} else {
								$("#weddate_org").val("");
								$("#weddate").val("");
							}
						} else {
							$("#we_ok").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
							$("#weddate_org").val("");
							$("#weddate").val("");
						}
				// option other test is set
					} else if (result['DOOT'] > 0) {
						$("#other_test").data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");	
						$("#pott").show();
						$("#check_next_we_p").hide();
						$("#pweok").hide();
						if (result['OTT'].length > 0) {
							$('#wysiwyg').trumbowyg('html', result['OTT']);
						} else {
							$('#wysiwyg').trumbowyg('html', "");
						}
						if (result['TOK'] > 0) {
							$("#dap_ok").data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");
							if (result['VDA'] != "0000-00-00") {
								$("#vdate_org").val(result['VDA']);
								$("#vdate").val(localizedate(result['VDA']));
							} else {
								$("#vdate_org").val("");
								$("#vdate").val("");
							}
						} else {
							$("#dap_ok").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
							$("#vdate_org").val("");
							$("#vdate").val("");
						}						
				// no option is set
					} else {
						$("#check_next_we").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");	
						$("#other_test").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");	
						$("#check_next_we_p").show();
						$("#other_test_p").show();
						$("#pweok").hide();
						$("#pott").hide();
						$("#vdate_org").val("");
						$("#vdate").val("");
						$("#weddate_org").val("");
						$("#weddate").val("");
						$("#dap_ok").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
						$("#we_ok").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
						$('#wysiwyg').trumbowyg('html', "");
					}
          $data_changed = false;
				// handle fields 
					handle_fields($qbs);			
				}
			});
		}
		function handle_fields(loc) {		
			if (loc != "S") {
				if (js_debug) console.log("QB not 'S' ->lock all fields");		
		// lock all fields
				$('#wysiwyg').trumbowyg('disable');
				$("#saveimg").hide();
				$(".ui-datepicker-trigger").hide();
			} else {
				if (js_debug) console.log("QB == 'S' unlock all fields");		
		// unlock lock all fields
				$('#wysiwyg').trumbowyg('enable');
				$("#saveimg").show();
				$(".ui-datepicker-trigger").show();
			}	
		}
		function cnwe(loc) {
			if (JSON.parse(window.sessionStorage.getItem("qbn")).status != "M") {
				if ((JSON.parse(window.sessionStorage.getItem("qbn")).status != "S") && (!$("#lockunlock").hasClass("icn_unlock_b_n"))) return false;
			}
			if ($(loc).data("checked")) {
				$(loc).data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
			} else {		
				$(loc).data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");	
			}	
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/validate_api.php",
				data: { 
					routine: "cnwe",
					qbn: window.sessionStorage.getItem("qb"),
					wep: $("#check_next_we").data("checked")*1
				},
				success: function(result)
				{
					$("#we_ok").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
					$("#weddate_org").val("");
					$("#weddate").val("");					
					if ($("#check_next_we").data("checked")) {
						$("#pweok").show();
						$("#other_test_p").hide();
						$("#pott").hide();
					} else {
						$("#other_test_p").show();
						$("#pweok").hide();
					}
				}
			});
		}
		function doot(loc) {
			if (JSON.parse(window.sessionStorage.getItem("qbn")).status != "M") {
				if ((JSON.parse(window.sessionStorage.getItem("qbn")).status != "S") && (!$("#lockunlock").hasClass("icn_unlock_b_n"))) return false;
			}
			if ($(loc).data("checked")) {
				$(loc).data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
			} else {		
				$(loc).data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");	
			}	
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/validate_api.php",
				data: { 
					routine: "doot",
					qbn: window.sessionStorage.getItem("qb"),
					wep: $("#other_test").data("checked")*1
				},
				success: function(result)
				{
					$("#dap_ok").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
					$("#vdate_org").val("");
					$("#vdate").val("");
					$('#wysiwyg').trumbowyg('html', "");					
					if ($("#other_test").data("checked")) {
						$("#check_next_we_p").hide();
						$("#pweok").hide();
						$("#pott").show();
					} else {
						$("#check_next_we_p").show();
						$("#pott").hide();
					}
				}
			});
		}		
		function cweok(loc) {
			if (JSON.parse(window.sessionStorage.getItem("qbn")).status != "M") {
				if ((JSON.parse(window.sessionStorage.getItem("qbn")).status != "S") && (!$("#lockunlock").hasClass("icn_unlock_b_n"))) return false;
			}
			if ($(loc).data("checked")) {
				$(loc).data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
			} else {		
				$(loc).data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");
			}		
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/validate_api.php",
				data: { 
					routine: "cweok",
					wep: $("#we_ok").data("checked")*1,
					qbn: window.sessionStorage.getItem("qb")
				},
				success: function(result)
				{
					if ($("#we_ok").data("checked")) {
						$("#weddate_org").val(result);
						$("#weddate").val(localizedate(result));
					} else {
						$("#weddate_org").val("");
						$("#weddate").val("");
					}
				}
			});	
		}
		function otest() {
			var h = $("#wysiwyg").trumbowyg('html').trim();
			while (h.match(/^<br ?\/?>/gi)) h = h.replace(/^<br ?\/?>/gi, '').trim();
			while (h.match(/<br ?\/?>$/gi)) h = h.replace(/<br ?\/?>$/gi, '').trim();		
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/validate_api.php",
				data: { 
					routine: "otest",
					qbn: window.sessionStorage.getItem("qb"),
					ott: h
				},
				success: function(result)
				{
					$data_changed = false;
					if (!h.length) {
			// no text available
						$("#dap_ok").data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
						$("#vdate").val("");
						$("#vdate_org").val("");
					}
				}
			});
		}
		function cottok(loc) {
			if (JSON.parse(window.sessionStorage.getItem("qbn")).status != "M") {
				if ((JSON.parse(window.sessionStorage.getItem("qbn")).status != "S") && (!$("#lockunlock").hasClass("icn_unlock_b_n"))) return false;
			}
			if (!$("#wysiwyg").trumbowyg('html').trim().length) {
				jAlert(localTranslation["des_and_pr_na"][$globlan], localTranslation["attention"][$globlan]);
				return false;
			}
			if ($(loc).data("checked")) {
				$(loc).data("checked", false).removeClass("icn_checkboxchecked_c_n").addClass("icn_checkboxempty_c_n");
			} else {		
				$(loc).data("checked", true).removeClass("icn_checkboxempty_c_n").addClass("icn_checkboxchecked_c_n");	
			}
			var h = $("#wysiwyg").trumbowyg('html').trim();
			while (h.match(/^<br ?\/?>/gi)) h = h.replace(/^<br ?\/?>/gi, '').trim();
			while (h.match(/<br ?\/?>$/gi)) h = h.replace(/<br ?\/?>$/gi, '').trim();	
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/validate_api.php",
				data: { 
					routine: "cottok",
					tok: $("#dap_ok").data("checked")*1,
					qbn: window.sessionStorage.getItem("qb"),
					ott: h
				},
				success: function(result)
				{
					if ($("#dap_ok").data("checked")) {
						$("#vdate_org").val(result);
						$("#vdate").val(localizedate(result));
					} else {
						$("#vdate_org").val("");
						$("#vdate").val("");
					}
				}
			});	
		}
		<?php if ($qb_support->checkflag("ZY")) { ?>	
			function set_special(loc) {	
				if ($.inArray(JSON.parse(window.sessionStorage.getItem("qbn")).status, Array("C", "S")) === -1) return;			
				switch(loc) {
					case "A":
						$('#mat_edt_img').visible();
						$(".ui-datepicker-trigger").show();
						$('#wysiwyg').trumbowyg('enable');
						$("#saveimg").show();
						break;
					case "X":
						if (JSON.parse(window.sessionStorage.getItem("qbn")).status == "C") $('#mat_edt_img').invisible();
						handle_fields(JSON.parse(window.sessionStorage.getItem("qbn")).status);
						break;
				}
			}
		<?php } ?>
		g_header2();
	</script>
</body>
</html>
