<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<?php include_once(dirname(__FILE__)."./tools/all_header.php"); global $c_scheme, $rel_path; ?>	
	
    <title>Vote</title>
	
	<link rel="stylesheet" href="./css/qb.php" />
	<link rel="stylesheet" href="./trumbowyg/dist/ui/trumbowyg.css">
	<link rel="stylesheet" href="./trumbowyg/dist/plugins/colors/ui/trumbowyg.colors.min.css">	
	<link rel="stylesheet" href="./jqGrid_5.2.1/css/ui.jqgrid.css" />

	<style type="text/css">
		.ui-jqgrid tr.jqgrow td{
			white-space:nowrap;
			height: 18px !important;
		}
		.editbox {
			background: #FFFFFF;
		}		
		.trumbowyg-box, .trumbowyg-editor {
			width: 650px; 
			height: 210px;
			min-height: 170px;
			margin: 0;
			display: inline-block;
		}
		.trumbowyg-editor {
			padding: 2px;
			font-family: Arial;
		}
		.trumbowyg-fullscreen {
			margin: 0;
			padding: 0;
			top: 0px;
			left: 0px;
			width: 100%;
			height: 100%;
		}
	</style>
	
	<script src="./jquery/jquery.min.js"></script>
	<script src="./jquery/jquery-migrate-1.2.1.min.js"></script>	
	<script src="./jquery/jquery-ui.min.js"></script>
	<script src="./jquery/qb_js.js"></script>
	<script src="./trumbowyg/dist/trumbowyg.js"></script>
	<script src="./trumbowyg/dist/plugins/colors/trumbowyg.colors.min.js"></script>
	
	<script src="./jqGrid_5.2.1/js/jquery.jqGrid.min.js"></script>
	
	<script>
	// load translation and save in localTranslation
		<?php	
			$ini_vote = parse_ini_file($rel_path.'i18n/vote_imp.ini', true);	
			echo "localTranslation = {};";
			foreach($ini_vote as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "localTranslation['".$key."']={".rtrim($add, ',')."};";
			}
			$ini_teamstatus = parse_ini_file($rel_path.'i18n/team_status.ini', true);	
			echo "tstatusTranslation = {};";
			foreach($ini_teamstatus as $key=>$value){
				$add = "";
				foreach($value AS $lan=>$trans){
					$add .= "'".$lan."':'".$trans."',";
				}
				echo "tstatusTranslation['".$key."']={".rtrim($add, ',')."};";
			}		
		?>
	</script>
</head>
<body>
	<div id="container">
		<?php 
			include_once($rel_path.'tools/header.php');
		?> 
		<div id="contents">
			<?php 
				echo "<div id='mainnav'>". $qb_support->get_main_menu(99) . "</div>";
			?>
			<div class="dtop">
				<?php
					$valid_vote = false;			
			// check if direct access
					if (isset($_REQUEST['uid'])) {				
						$query = "SELECT QBN, IDX FROM qb_imp_sts WHERE TOKEN=:uid AND ST='I'";						
						$stmt = $db->prepare($query);
						$stmt->execute(
							array(
								':uid' => $_REQUEST['uid']
							)
						);
					// check if valid uid
						if ($stmt->rowCount() == 0) {	
					// no
							$msg = 'invalid_uid';
							unset($_REQUEST['uid']);
						} else {
							$valid_vote = true;
						}
					} else {	
						$msg = 'invalid_uid';
					}	
					if (!$valid_vote) {	
				// direct access or voting finished already or wrong uid				
						echo '<span data-type="text" data-lan="'.$msg.'" style="border: 1px solid #DADADA; border-left: 0; border-right:0; text-align: center; font: bold 14pt Arial; display: inline-block; width: 100%; height: 50px; line-height: 50px; background: '.$c_scheme["M1"]. '; color: '.$c_scheme["XI"].';">'.$ini_vote[$msg][$_SESSION['lng']].'</span>';
					} else {					
		// voting is OK - continue
						$row = $stmt->fetch(PDO::FETCH_NUM);
						$qb_n = $row[0];
						$idx = $row[1];
						echo '
							<span data-type="hdr" data-lan="" style="border: 1px solid #DADADA; border-left: 0; border-right:0; text-align: center; font: bold 14pt Arial; display: inline-block; width: 100%; height: 50px; line-height: 50px; background: '.$c_scheme["M1"].'; color: '.$c_scheme["XI"].';">
								'.$ini_vote["vote"][$_SESSION['lng']].' '.$ini_vote["qbn"][$_SESSION['lng']].' '.$qb_n.'
							</span>
						';
					}
				?>
			</div>
			<div class="tabs_container">
				<?php if ($valid_vote) { ?>
					<p data-type="pvote" data-lan="<?php echo $_REQUEST['vote']; ?>" id="votemsg" style=';margin: 20px 0px; font: bold 12pt Arial; text-align: center; color: <?php echo ($_REQUEST['vote']=="A")?$c_scheme['XO']:$c_scheme['XW'];?>'>
						<?php
							if ($_REQUEST['vote'] == "R") {
								echo $ini_vote["qb_vote3"][$_SESSION['lng']]." '".$ini_teamstatus[$_REQUEST['vote']][$_SESSION['lng']]."'";
							} else {
								echo $ini_vote["qb_vote1"][$_SESSION['lng']]." '".$ini_teamstatus[$_REQUEST['vote']][$_SESSION['lng']]."' ".$ini_vote["qb_vote2"][$_SESSION['lng']];
							}
						?>
					</p>
					<?php
						if ($_REQUEST['vote'] == "R") {
					?>
						<div id="rejreason" style="width: 660px; margin: auto;">
							<label data-type="text" data-lan="reason" class="dlabel" ><?php echo $ini_vote['reason'][$_SESSION['lng']]; ?></label>
							<br />
							<div id="wysiwyg" class="editbox"></div>
							<span class="spanbuttonp" style="margin-left: 270px;" data-type="text" data-lan="save" onclick="save_reject();"><?php echo $ini_vote['save'][$_SESSION['lng']]; ?></span>
						</div>
					<?php
						}
					?>
					<div id="rejreason2" style="width: 660px; margin: auto;">
						<div style="width: 425px; margin: auto;">
							<table id="list"></table> 
						</div>
					</div>
					<script language="JavaScript" type="text/JavaScript">
						<?php
							if ($_REQUEST['vote'] == "R") {
								echo '$("#rejreason2").invisible();';
							}
						?>
            $('#wysiwyg').trumbowyg({
              lang: $globlan,
              removeformatPasted: true,
              semantic: true,
              tagsToRemove: ['script'],
              btns: [
                ['formatting'],
                ['|', 'foreColor', 'backColor'],
                ['strong', 'em', 'del'],
                ['superscript', 'subscript'],
                ['justifyLeft', 'justifyCenter', 'justifyRight', 'justifyFull'],
                ['unorderedList', 'orderedList'],
                ['horizontalRule'],
                ['removeformat'],
                ['fullscreen']
              ]
            });
					
						window.sessionStorage.setItem("qb","<?php echo $qb_n; ?>");
						function save_reject() {
							var h = $("#wysiwyg").trumbowyg('html').trim();
							while (h.match(/^<br ?\/?>/gi)) h = h.replace(/^<br ?\/?>/gi, '').trim();
							while (h.match(/<br ?\/?>$/gi)) h = h.replace(/<br ?\/?>$/gi, '').trim();
							if (h.length == 0) {
								jAlert(localTranslation["reason"][$globlan], localTranslation["attention"][$globlan]);
								return false;
							}
							$.ajax({
								type: "GET",
								cache: false,
								url:  "./tools/vote_imp_api.php",
								data: { 
									routine: "setteamstatus2",
									qbn: "<?php echo $qb_n; ?>",
									idx: "<?php echo $idx; ?>",
									vte: "<?php echo $_REQUEST['vote']; ?>",
									cmt: h,
									tkn: "<?php echo $_REQUEST['uid']; ?>"
								},
								success: function(result)
								{
									$("#rejreason").hide();
									$("#rejreason2").visible();
									$("#votemsg").text(localTranslation["qb_vote1"][$globlan]+" '"+tstatusTranslation["R"][$globlan]+"' "+localTranslation["qb_vote2"][$globlan]);
									$("#list").setGridParam({
										datatype: "json", 
										postData: {
											routine: "getteamstatus",
											qbn: "<?php echo $qb_n; ?>"
										} 
									}).trigger("reloadGrid");
								}
							});							
						}
						function StatusCell (cellvalue, options, rowObject) {
							if (rowObject['st'] == "R") {
								return "<span style='color: <?php echo $c_scheme['XW']; ?>;' class='icn_circle_x_n vam' title='"+tstatusTranslation[rowObject['st']][$globlan]+"'></span>";
							} else if (rowObject['st'] == "I") {
								return "<span style='color: <?php echo $c_scheme['XP']; ?>;' class='icn_circle_x_n vam' title='"+tstatusTranslation[rowObject['st']][$globlan]+"'></span>";
							} else if (rowObject['st'] == "A") {
								return "<span style='color: <?php echo $c_scheme['XO']; ?>;' class='icn_circle_x_n vam' title='"+tstatusTranslation[rowObject['st']][$globlan]+"'></span>";
							} else if (rowObject['st'] == "N") {
								return "<span style='color: <?php echo $c_scheme['XH']; ?>;' class='icn_circle_x_n vam' title='"+tstatusTranslation[rowObject['st']][$globlan]+"'></span>";
							} else if (rowObject['st'] == "S") {
								return "<span style='color: <?php echo $c_scheme['XN']; ?>;' class='icn_circle_x_n vam' title='"+tstatusTranslation[rowObject['st']][$globlan]+"'></span>";
							} else if (rowObject['st'] == "X") {
								return "<span style='color: <?php echo $c_scheme['XM']; ?>;' class='icn_circle_x_n vam' title='"+tstatusTranslation[rowObject['st']][$globlan]+"'></span>";
							} else {
								return "";
							}
						}
						function StatusCellTxt (cellvalue, options, rowObject) {
							return tstatusTranslation[cellvalue][$globlan];
						}
						function show_result() {
							cmTemplate = {
								editable: false,
								sorttype:'string',
								search: false
							};			
							obj = {
								url:  "./tools/implement_api.php",
								postData: {
									routine : "getteamstatus",
									qbn: "<?php echo $qb_n; ?>"
								},
								contentType: "application/json",
								datatype: "json",
								jsonReader: {
									id: "id",
									repeatitems: true
								},
								mtype: "POST",
								colNames: [
									localTranslation["nname"][$globlan],
									localTranslation["status"][$globlan],
									""
								],
								colModel: [
									{ 
										name: "fname", 
										template: cmTemplate,
										width: 200
									},
									{
										name: "st", 
										template: cmTemplate,
										width: 154,
										formatter: StatusCellTxt
									},
									{
										name: "tc", 
										template: cmTemplate,
										width: 25,
										formatter: StatusCell,
										align: "center"
									}
								],
								regional: $globlan,
								storeNavOptions: true,					
								loadonce: true,
								height: "auto",
								rowNum: 100,
								hoverrows: false,					
								rownumbers:true,
								sortname: "fname",
								sortorder: "desc",
								gridview: true,
								autoencode: true,
								ignoreCase:true,
								loadui: "block",
								viewrecords: false,
								pgbuttons: false,
								pginput: false,
								rowList: [],
								loadComplete: function() {
									$("th[role='columnheader']")
										.unbind("mouseenter")
										.unbind("mouseleave");
								}					
							}
							list1 = $("#list").jqGrid(obj);
						}
						function load_page() {
							$.ajax({
								type: "GET",
								cache: false,
								url:  "./tools/vote_imp_api.php",
								data: { 
									routine: "setteamstatus",
									qbn: "<?php echo $qb_n; ?>",
									idx: "<?php echo $idx; ?>",
									vte: "<?php echo $_REQUEST['vote']; ?>"
								},
								success: function(result)
								{
									show_result();
								}
							});
						}
					</script>		
				<?php
					}
				?>
			</div>
		</div>
		<?php include_once($rel_path.'footer.php'); ?> 
	</div>
	<script>
		function c_lan() {	
			translate_header($globlan);	
			translate_mainmenu($globlan);
			$.each($('#container *').filter(function(){return $(this).data('lan') !== undefined;}), function() {	
				switch ($(this).data("type")) {
					case "text":		
						$(this).text(localTranslation[$(this).data("lan")][$globlan]);
						break;
					case "title":				
						$(this).attr("title", localTranslation[$(this).data("lan")]);
						break;
					case "date":
						$(this).val(localizedate($($(this).data("lan")).val()));
						break;
					case "hdr":
						$(this).text(localTranslation["vote"][$globlan]+" "+localTranslation["qbn"][$globlan]+" "+window.sessionStorage.getItem("qb"));
						break;
					case "pvote":
						<?php if ($_REQUEST['vote'] != "R") { ?>
							$(this).text(localTranslation["qb_vote1"][$globlan]+" '"+tstatusTranslation[$(this).data("lan")][$globlan]+"' "+localTranslation["qb_vote2"][$globlan]);
						<?php } else { ?>
							$(this).text(localTranslation["qb_vote3"][$globlan]+" '"+tstatusTranslation[$(this).data("lan")][$globlan]+"'");
						<?php } ?>
						$(this).css("color", ($(this).data("lan")=='A')?"green":"red");
						break;
				}
			});
			if ($("#list").length > 0) {
				$.jgrid.setRegional('list',{regional: $globlan});
				$("#list").jqGrid('setLabel', "fname", localTranslation["nname"][$globlan])
					.jqGrid('setLabel', "st", localTranslation["status"][$globlan]);
			}
			$("#list").trigger("reloadGrid");
			$tmp = $('#wysiwyg').trumbowyg('html');
			$('#wysiwyg').trumbowyg('destroy');
      $('#wysiwyg').trumbowyg({
        lang: $globlan,
        removeformatPasted: true,
        semantic: true,
        tagsToRemove: ['script'],
        btns: [
          ['formatting'],
          ['|', 'foreColor', 'backColor'],
          ['strong', 'em', 'del'],
          ['superscript', 'subscript'],
          ['justifyLeft', 'justifyCenter', 'justifyRight', 'justifyFull'],
          ['unorderedList', 'orderedList'],
          ['horizontalRule'],
          ['removeformat'],
          ['fullscreen']
        ]
      });
			$('#wysiwyg').trumbowyg('html', $tmp);			
		}
		<?php
			if ($_REQUEST['vote'] == "R") {
				echo "if (typeof show_result == 'function') { show_result(); }";
			} else {
				echo "if (typeof load_page == 'function') { load_page(); }";
			}
		?>
	</script>
</body>
</html>
