<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	global $rel_path;	
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;
  
	$routine = new RegionsWidget();
	echo $routine->execute();
	
	class RegionsWidget {
		
		public function __construct() 
		{
		}
		
		public function execute()
		{	
			global $db, $rel_path;
	// called routine
			$sub_routine = $_REQUEST["routine"];
			switch ($sub_routine)
			{
				case "getregionswidget":
					$today = new DateTime();
					$edat = $today->format('Y-m-d');
					$sdat = $today->sub(new DateInterval('P'.$_REQUEST['range'].'M'))->format('Y-m-d');
					$fltr = ($_REQUEST['clss'] == "all")?"":" AND CLSS='".$_REQUEST['clss']."'";
					$regnames = "";
					$query = "
						SELECT 
							COUNT(*) 
						FROM 
							qb_user, 
							qbbasic, 
							qbi 
						WHERE 
							REGION=:reg AND 
							REQ=LOGIN AND 
							QBSTATUS NOT IN ('D', 'M') AND 
							qbi.QBN=qbbasic.QBN AND 
							QBREGDATE>=:from AND 
							QBREGDATE<=:to
					".$fltr;
					$stmt = $db->prepare($query);
					$stmt->bindParam(':from', $sdat);
					$stmt->bindParam(':to', $edat);
					$stmt->bindParam(':reg', $region);				
					$r = Array();
					$c = Array();
					$n = Array();
					$ini_region = parse_ini_file($rel_path.'xml/regions.ini', true);
					foreach($ini_region as $key=>$value) {
						$region = $key;
						$stmt->execute();		
						$c[] = (integer) $stmt->fetchColumn();
						$n[] = $value[$_SESSION['lng']];
						$r[] = $region;
					}
				// if style = relative convert numbers
					if ($_REQUEST['style'] == "r") {
						$ct = array();
						$sum = array_sum($c);
						foreach($c as $k=>$v) {
							$ct[] = floor(($v/$sum)*10000)/100;
						}
						$c = $ct;
					}
					$result = json_encode(Array($r, $c, $n));
					return $result;		
					break;
			}
		}		
	}
?>	