﻿<script>
	<?php
		$query = "SELECT DEFS FROM qb_widgets WHERE WIDGET='toptenmaterial'";
		$stmt = $db->query($query);
		list($TopTenMaterialDef) = $stmt->fetch(PDO::FETCH_NUM);	
		$TopTenMaterialDef = json_decode($TopTenMaterialDef, true);
		$TopTenMaterialStpDef = $TopTenMaterialDef['steps'];
		$TopTenMaterialDateRangeDef = $TopTenMaterialDef['drange'];
		$query = "SELECT DASH FROM qb_dashboards WHERE LOGIN=:lgi";
		$stmt = $db->prepare($query);	
		$stmt->execute(array(':lgi'=>$login));
		list($dash) = $stmt->fetch(PDO::FETCH_NUM);
		$dash = json_decode($dash, true);
		$dash = $dash['toptenmaterial'];
	?>
	var ctx;
	var TopTenMatChartData = {
		labels: [],
		datasets: [{
			label: "<?php echo $ini_dashboard['anzahl'][$_SESSION['lng']]; ?>",
			backgroundColor: "<?php echo $c_scheme['M1'];?>",
			borderColor: "<?php echo $c_scheme['M1'];?>",
			borderWidth: 1,
			data: []
		}]
	}
	$.widget( "custom.toptenmaterial", {
		options: {
			lft: 0,
			top: 0,
			wdt: 550,
			hgt: 250,
			sdat: "",
			edat: ""
		},
		_create: function() {
			this.options.wdt = <?php echo $dash['wdt']; ?>;
			this.options.hgt = <?php echo $dash['hgt']; ?>;
			this.options.lft = <?php echo $dash['lft']; ?>;
			this.options.top = <?php echo $dash['top']; ?>;
			this.element
				.attr("id", "wdg_toptenmaterial")
				.css("position", "absolute")
				.css("border", "1px solid <?php echo $c_scheme['RN'];?>")
				.css("background-color", "<?php echo $c_scheme['M5'];?>")
				.css("width", this.options.wdt)
				.css("height", this.options.hgt)
				.css("left", this.options.lft)
				.css("top", this.options.top)
				.resizable({
					minHeight: 250,
					minWidth: 550,
					stop: function(event, ui){
						$.ajax({
							type: "POST",
							cache: false,
							url:  "./tools/dashboard_api.php",
							data: { 
								routine: "savesize",
								frm: "toptenmaterial",
								lgi: "<?php echo $login; ?>",
								wdt: Math.floor(ui.size.width),
								hgt: Math.floor(ui.size.height)
							},
							success: function(result)
							{
								$("#TopTenMatChartContainer").css("width",ui.size.width).css("height", ui.size.height - 52);
								toptenchart.destroy();
								toptenchart = new Chart(ctx, opts);
								if ($("#TopTenMatChartContainer").css("display") == "none") {
									$("#TopTenMatChartContainer").toggle("blind", 1);
									$("#TopTenMatFilter").toggle("blind", 1);
								}
							}
						});
					}
				});
			this.element.append('\
				<div id="TopTenMatHead" class="hdlne">\
					<span id="TopTenMatMenuIcon" title="<?php echo $ini_dashboard['filter'][$_SESSION['lng']]; ?>" class="ui-icon ui-icon-gear ui-custom2" onclick="$(\'#TopTenMatChartContainer\').toggle(\'blind\', 1);$(\'#TopTenMatFilter\').toggle(\'blind\', 1);" ></span>\
					&nbsp;<?php echo $ini_dashboard['toptenmat'][$_SESSION['lng']]; ?>\
					<span title="<?php echo $ini_dashboard['close'][$_SESSION['lng']]; ?>" id="TopTenMatCloseIcon" class="ui-icon ui-icon-closethick ui-custom" onclick="$(\'#wdg_toptenmaterial\').remove();" ></span>\
				</div>\
			');
			this.element.draggable({
				containment: "document",
				handle: "#TopTenMatHead",
				stop: function(event, ui){
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/dashboard_api.php",
						data: { 
							routine: "saveposition",
							frm: "toptenmaterial",
							lgi: "<?php echo $login; ?>",
							lft: Math.floor(ui.position.left),
							top: Math.floor(ui.position.top)
						},
						success: function(result)
						{
							if ($("#TopTenMatChartContainer").css("display") == "none") {
								$("#TopTenMatChartContainer").toggle("blind", 1);
								$("#TopTenMatFilter").toggle("blind", 1);
							}
						}
					});
				}
			});
			this.element.append('\
				<div id="TopTenMatFilter" style="display: none; overflow:hidden; line-height: 25px; height: 225px; background: <?php echo $c_scheme['M5'];?>;">\
					<label data-type="text" data-lan="range" class="dlabel w100">\
						<?php echo $ini_dashboard['range'][$_SESSION['lng']]; ?>\
					</label>\
					<select id="TopTenMonthRange" style="width: 50px;" onchange="$TopTenMat.toptenmaterial(\'toptenmatrefresh\', {\'mode\': \'date\'});">\
					</select>\
					<label data-type="text" data-lan="monate" class="dlabel w75">\
						<?php echo $ini_dashboard['monate'][$_SESSION['lng']]; ?>\
					</label>\
					<br />\
				</div>\
			');
			<?php
				foreach($TopTenMaterialDateRangeDef as $k=>$v) {
					if ($k==$dash['drange']) {
						echo "$('#TopTenMonthRange').append('<option selected value=\'".$k."\'>".$v."</option>');";
					} else {
						echo "$('#TopTenMonthRange').append('<option value=\'".$k."\'>".$v."</option>');";
					}
				}
			?>
			this.element.find("div:last").append('\
				<label data-type="text" data-lan="anzahl" class="dlabel w100">\
					<?php echo $ini_dashboard['anzahl'][$_SESSION['lng']]; ?>\
				</label>\
				<select id="TopTenMatCnt" style="width: 75px;" onchange="$TopTenMat.toptenmaterial(\'toptenmatrefresh\', {\'mode\': \'anzahl\'});">\
				</select>\
				<br />\
			');
			<?php
				foreach($TopTenMaterialStpDef as $k=>$v) {
					if ($k==$dash['limit']) {
						echo "$('#TopTenMatCnt').append('<option selected value=\'".$k."\'>".$v."</option>');";
					} else {
						echo "$('#TopTenMatCnt').append('<option value=\'".$k."\'>".$v."</option>');";
					}
				}
			?>
			this.element.find("div:last").append('\
				<label data-type="text" data-lan="anzahl" class="dlabel w100">\
					<?php echo $ini_dashboard['klasse'][$_SESSION['lng']]; ?>\
				</label>\
				<select id="TopTenMatClss" style="width: 100px;" onchange="$TopTenMat.toptenmaterial(\'toptenmatrefresh\', {\'mode\': \'klasse\'});">\
				</select>\
				<br />\
			');
			<?php
				foreach($ini_class as $k=>$v) {
					if ($k==$dash['clss']) {
						echo "$('#TopTenMatClss').append('<option selected value=\'".$k."\'>".$k."-".$v[$_SESSION['lng']]."</option>');";
					} else {
						echo "$('#TopTenMatClss').append('<option value=\'".$k."\'>".$k."-".$v[$_SESSION['lng']]."</option>');";
					}
				}
			?>
			this.element.append('\
				<div id="TopTenMatChartContainer">\
					<canvas style="margin-top: 10px;" id="TopTenMatChartCanvas"></canvas>\
				</div>\
			');
			$("#TopTenMatChartContainer").css("width",this.options.wdt).css("height", this.options.hgt-52).css("overflow-x", "hidden").css("overflow-y", "hidden");
			ctx = document.getElementById("TopTenMatChartCanvas").getContext("2d");
			this.toptenmatrefresh({'mode': 'init'});
		},
		toptenmatrefresh: function(value) {
			if ( value === undefined ) return false;
			if ( value['mode'] === undefined ) return false;
			ttmelm = this;
			switch (value['mode']) {
				case "klasse":
				// change class
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/dashboard_api.php",
						data: { 
							routine: "saveclass",
							frm: "toptenmaterial",
							lgi: "<?php echo $login; ?>",
							clss: $("#TopTenMatClss").val()
						},
						success: function(result)
						{
							ttmelm._setdata();
						}
					});
					break;
				case "date":
				// change date range
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/dashboard_api.php",
						data: { 
							routine: "savedaterange",
							frm: "toptenmaterial",
							lgi: "<?php echo $login; ?>",
							range: $("#TopTenMonthRange").val()
						},
						success: function(result)
						{
							ttmelm._setdata();
						}
					});
					break;
				case "init":
					opts = {
						type: 'bar',
						data: TopTenMatChartData,
						options: {
							responsive: true,
							legend: {
								display: false,
								position: 'right'
							},
							title: {
								display: false,
								position: 'top',
								text: 'Top Ten Materialnummern'
							},
							scales: {
								xAxes: [{
									ticks: {
										display: true,
										fontColor: "#000",
										fontFamily: "Arial",
										fontSize: 8
									},
									scaleLabel: {
										display: true,
										fontColor: "<?php echo $c_scheme['XN'];?>",
										fontFamily: "Arial",
										fontSize: 8,
										labelString: "<?php echo $ini_dashboard['mnr'][$_SESSION['lng']]; ?>"
									}
								}],
								yAxes: [{
									ticks: {
										display: true,
										fontColor: "<?php echo $c_scheme['XN'];?>",
										fontFamily: "Arial",
										fontSize: 8,
										beginAtZero: true
									},
									scaleLabel: {
										display: true,
										fontColor: "<?php echo $c_scheme['XN'];?>",
										fontFamily: "Arial",
										fontSize: 8,
										labelString: "<?php echo $ini_dashboard['anzahl'][$_SESSION['lng']]; ?>"
									}
								}]
							},
							plugins: {
								datalabels: {
									display: false
								}
							}
						}
					};
					toptenchart = new Chart(ctx, opts);
					ttmelm._setdata();
					break;
				case "anzahl":
			// change top 10 to new count
					$.ajax({
						type: "POST",
						cache: false,
						url:  "./tools/dashboard_api.php",
						data: { 
							routine: "savelimitmod",
							frm: "toptenmaterial",
							lgi: "<?php echo $login; ?>",
							lmt: $("#TopTenMatCnt").val()
						},
						success: function(result)
						{
							ttmelm._setdata();
						}
					});
					break;
			}
		},
		_setdata: function() {
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./widgets/toptenmaterial_wdg.php",
				data: { 
					routine: "gettoptenwidget",
					lim: $("#TopTenMatCnt").val(),
					range: $("#TopTenMonthRange").val(),
					clss: $("#TopTenMatClss").val()
				},
				dataType: "json",
				success: function(result)
				{
					TopTenMatChartData.labels = result[0];
					TopTenMatChartData.datasets[0].data = result[1].map(Number);
					toptenchart.update();
					if ($("#TopTenMatChartContainer").css("display") == "none") {
						$("#TopTenMatChartContainer").toggle("blind", 1);
						$("#TopTenMatFilter").toggle("blind", 1);
					}	
				}
			});
		},
	// destroy element if closed
		_destroy: function() {
			$.ajax({
				type: "POST",
				cache: false,
				url:  "./tools/dashboard_api.php",
				data: { 
					routine: "removewidget",
					frm: "toptenmaterial",
					lgi: "<?php echo $login; ?>"
				},
				success: function(result)
				{
					$TopTenMat.remove();
				}
			});
		}
	});
	$TopTenMat = $("<div></div>").appendTo("body").toptenmaterial();
</script>