<?php
	include_once (dirname(__FILE__)."/../templates/db-def.php");
	global $rel_path;	
	require_once ($rel_path."support.php");
	$qb_support = new QBSupport;
  
	$routine = new WidgetData();
	echo $routine->execute();
	
	class WidgetData {
		
		public function __construct() 
		{
		}
		
		public function execute()
		{	
			global $db, $rel_path;
	// called routine
			$sub_routine = $_REQUEST["routine"];
			switch ($sub_routine)
			{
				case "getdata":
					$fltr = ($_REQUEST['clss'] == "all")?"":" AND CLSS='".$_REQUEST['clss']."' ";
					$today = new DateTime();
					$ymde = $today->format('Y-m-d');
					$ymds = $today->sub(new DateInterval('P'.$_REQUEST['range'].'M'))->format('Y-m-d');
			// get difference
					$o = Array();		// open cases
					$c = Array();		// closed cases
					$n = Array();		// new cases
					$d = Array();		// date
			// open cases
				// new cases
					$query = "
						SELECT 
							COUNT(*)
						FROM 
							qbi 
						WHERE 
							QBREGDATE>=:sdat AND 
							QBREGDATE<=:edat AND 
							QBSTATUS NOT IN ('M', 'D')				
					".$fltr;
					$stmt1 = $db->prepare($query);
					$stmt1->bindParam(':sdat', $ymds);		
					$stmt1->bindParam(':edat', $ymde);
				// closed cases
					$query = "
						SELECT 
							COUNT(*)
						FROM 
							qb_close 
						LEFT JOIN 
							qbi 
						ON 
							qbi.QBN=qb_close.QBN 
						WHERE 
							CL_DATE>=:sdat AND 
							CL_DATE<=:edat AND 
							QBSTATUS NOT IN ('M', 'D')
					".$fltr;
					$stmt2 = $db->prepare($query);
					$stmt2->bindParam(':sdat', $ymds);		
					$stmt2->bindParam(':edat', $ymde);
					if ($_REQUEST['grp'] == "m") {
				// analysis monthly
						$s_explode = explode("-", $ymds);
						$e_explode = explode("-", $ymde);
						$dm = ($e_explode[1] - $s_explode[1]) + (($e_explode[0] - $s_explode[0])*12);
						$s_explode[1]--;
						$rec = join("-", $s_explode);
						for ($i=0; $i<=$dm; $i++) {
							$andat = explode("-", $rec);
							$andat[1] = ($andat[1]+1);
							if ($andat[1] > 12) {
								$andat[1] = 1;
								$andat[0] = $andat[0]+1;
							}
							$rec = join("-", $andat);
							$ymds = $andat[0] . "-" . $andat[1] . "-01";
							$ymde = $andat[0] . "-" . $andat[1] . "-31";
						// get new cases
							$stmt1->execute();
							$n[] = $stmt1->fetchColumn();
						// get closed cases
							$stmt2->execute();							
							$c[] = ($stmt2->rowCount() > 0)?$stmt2->fetchColumn():0;
						// get date
							$d[] = $andat[0] . "-" . substr("0".$andat[1], -2);
				// get all normal QBN of cases opened before end date of date range which are not implemented yet
							$res = 0;
							$query = "
								SELECT 
									QBN
								FROM 
									qbi 
								WHERE
									QBREGDATE<=:edat AND 
									QBSTATUS NOT IN ('M', 'D') AND
									LIGHT=0
							".$fltr;
							$stmt = $db->prepare($query);
							$stmt->execute(array(':edat' => $ymde));
							$qbn_array = $stmt->fetchAll(PDO::FETCH_COLUMN, 0);		// all normal qbn within selected time period
							$query = "
								SELECT 
									QBN
								FROM 
									qbi 
								WHERE
									QBREGDATE<=:edat AND 
									QBSTATUS NOT IN ('M', 'D') AND
									LIGHT=1
							".$fltr;
							$stmt = $db->prepare($query);
							$stmt->execute(array(':edat' => $ymde));
							$qbl_array = $stmt->fetchAll(PDO::FETCH_COLUMN, 0);		// all light qbn within selected time period
				// get all normal QBN which are not implemented yet
					// get those with no entry in qb_imp
							$query = "
								SELECT 
									QBN
								FROM 
									qbi 
								WHERE
									QBREGDATE<=:edat AND 
									QBN NOT IN (SELECT QBN FROM qb_imp) AND
									QBSTATUS NOT IN ('M', 'D') AND
									LIGHT=0
							".$fltr;
							$stmt = $db->prepare($query);
							$stmt->execute(array(':edat' => $ymde));
							$qbn_ni_array = $stmt->fetchAll(PDO::FETCH_COLUMN, 0);		// all normal qbn not implemented at all
							$res += count($qbn_ni_array);
						// reduce qbn list to those which are implemented
							$qbn_array = array_diff($qbn_array, $qbn_ni_array);
					// get those with entry in qb_imp but no ACC_BY_SVT_DATE
							$qbn_string = "'".implode("', '", $qbn_array)."'";						
							$query = "
								SELECT 
									QBN
								FROM 
									qb_imp 
								WHERE
									QBN IN (".$qbn_string.") AND
									DATE_ACC_BY_SVT = '0000-00-00'
							";						
							$stmt = $db->query($query);
							$qbn_ni_array = $stmt->fetchAll(PDO::FETCH_COLUMN, 0);		// all normal qbn from timeframe that are closed
							$res += count($qbn_ni_array);
						// reduce qbn list to those which are not implemented - part 2
							$qbn_array = array_diff($qbn_array, $qbn_ni_array);
						// get qbn not closed yet - inverse logic
							$qbn_string = "'".implode("', '", $qbn_array)."'";
							$query = "
								SELECT 
									QBN
								FROM 
									qb_close 
								WHERE
									QBN IN (".$qbn_string.")
							";
							$stmt = $db->query($query);
							$qbn_nc_array = $stmt->fetchAll(PDO::FETCH_COLUMN, 0);		// all normal qbn from timeframe that are closed
							$qbn_nc_array = array_diff($qbn_array, $qbn_nc_array);
							$res += count($qbn_nc_array);
							$qbn_array = array_diff($qbn_array, $qbn_nc_array);
						// get qbn not closed yet - part 2, those which have CL_DATE='0000-00-00'
							$qbn_string = "'".implode("', '", $qbn_array)."'";
							$query = "
								SELECT 
									QBN
								FROM 
									qb_close 
								WHERE
									QBN IN (".$qbn_string.") AND
									CL_DATE = '0000-00-00'
							";
							$stmt = $db->query($query);
							$qbn_nc_array = $stmt->fetchAll(PDO::FETCH_COLUMN, 0);		// all normal qbn from timeframe that are closed
							$res += count($qbn_nc_array);
							$qbn_array = array_diff($qbn_array, $qbn_nc_array);
					// qbn_array now contains all qbn from daterange which might have been open		
							$qbn_string = "'".implode("', '", $qbn_array)."'";
							$query = "
								SELECT 
									COUNT(*)
								FROM 
									qb_close
								WHERE
									QBN IN (".$qbn_string.") AND
									CL_DATE>:edat
							";						
							$stmt = $db->prepare($query);
							$stmt->execute(array(':edat' => $ymde));			
							$res += $stmt->fetchColumn();
				// normal cases are done now, continue with QB light
						// get qbn not closed yet - inverse logic
							$qbl_string = "'".implode("', '", $qbl_array)."'";
							$query = "
								SELECT 
									QBN
								FROM 
									qb_close 
								WHERE
									QBN IN (".$qbl_string.")
							";
							$stmt = $db->query($query);
							$qbl_nc_array = $stmt->fetchAll(PDO::FETCH_COLUMN, 0);		// all normal qbn from timeframe that are closed
							$qbl_nc_array = array_diff($qbl_array, $qbl_nc_array);
							$res += count($qbl_nc_array);
							$qbl_array = array_diff($qbl_array, $qbl_nc_array);
						// get qbn not closed yet - part 2, those which have CL_DATE='0000-00-00'
							$qbl_string = "'".implode("', '", $qbl_array)."'";
							$query = "
								SELECT 
									QBN
								FROM 
									qb_close 
								WHERE
									QBN IN (".$qbl_string.") AND
									CL_DATE = '0000-00-00'
							";
							$stmt = $db->query($query);
							$qbl_nc_array = $stmt->fetchAll(PDO::FETCH_COLUMN, 0);		// all normal qbn from timeframe that are closed
							$res += count($qbl_nc_array);
							$qbl_array = array_diff($qbl_array, $qbl_nc_array);
					// qbl_array now contains all qbn from daterange which might have been open
							$qbl_string = "'".implode("', '", $qbl_array)."'";
							$query = "
								SELECT 
									COUNT(*)
								FROM 
									qb_close
								WHERE
									QBN IN (".$qbl_string.") AND
									CL_DATE>:edat
							";						
							$stmt = $db->prepare($query);
							$stmt->execute(array(':edat' => $ymde));			
							$res += $stmt->fetchColumn();					
							$o[] = $res;
						}
						return json_encode(Array($d, $n, $c, $o));
					} else {
				// analysis quarterly
						$s_explode = explode("-", $ymds);
						$e_explode = explode("-", $ymde);
						$dq = (ceil($e_explode[1]/3) - ceil($s_explode[1]/3)) + (($e_explode[0] - $s_explode[0])*4);
						$ay = $e_explode[0];
						$aq = ceil($e_explode[1]/3);
						for ($i=0; $i<=$dq; $i++) {
							$ymde = $ay . "-" . $aq*3 . "-31";
							$ymds = $ay . "-" . (($aq-1)*3+1) . "-01";
						// get new cases							
							$stmt1->execute();
							$n[] = ($stmt1->rowCount() > 0)?$stmt1->fetchColumn():0;
						// get closed cases							
							$stmt2->execute();
							$c[] = ($stmt2->rowCount() > 0)?$stmt2->fetchColumn():0;
						// get date
							$d[] = "Q" . $aq . "-" . $ay;
				// get all normal QBN of cases opened before end date of date range which are not implemented yet
							$res = 0;
							$query = "
								SELECT 
									QBN
								FROM 
									qbi 
								WHERE
									QBREGDATE<=:edat AND 
									QBSTATUS NOT IN ('M', 'D') AND
									LIGHT=0
							".$fltr;
							$stmt = $db->prepare($query);
							$stmt->execute(array(':edat' => $ymde));
							$qbn_array = $stmt->fetchAll(PDO::FETCH_COLUMN, 0);		// all normal qbn within selected time period
							$query = "
								SELECT 
									QBN
								FROM 
									qbi 
								WHERE
									QBREGDATE<=:edat AND 
									QBSTATUS NOT IN ('M', 'D') AND
									LIGHT=1
							".$fltr;
							$stmt = $db->prepare($query);
							$stmt->execute(array(':edat' => $ymde));
							$qbl_array = $stmt->fetchAll(PDO::FETCH_COLUMN, 0);		// all light qbn within selected time period
				// get all normal QBN which are not implemented yet
					// get those with no entry in qb_imp
							$query = "
								SELECT 
									QBN
								FROM 
									qbi 
								WHERE
									QBREGDATE<=:edat AND 
									QBN NOT IN (SELECT QBN FROM qb_imp) AND
									QBSTATUS NOT IN ('M', 'D') AND
									LIGHT=0
							".$fltr;
							$stmt = $db->prepare($query);
							$stmt->execute(array(':edat' => $ymde));
							$qbn_ni_array = $stmt->fetchAll(PDO::FETCH_COLUMN, 0);		// all normal qbn not implemented at all
							$res += count($qbn_ni_array);
						// reduce qbn list to those which are implemented
							$qbn_array = array_diff($qbn_array, $qbn_ni_array);
					// get those with entry in qb_imp but no ACC_BY_SVT_DATE
							$qbn_string = "'".implode("', '", $qbn_array)."'";						
							$query = "
								SELECT 
									QBN
								FROM 
									qb_imp 
								WHERE
									QBN IN (".$qbn_string.") AND
									DATE_ACC_BY_SVT = '0000-00-00'
							";						
							$stmt = $db->query($query);
							$qbn_ni_array = $stmt->fetchAll(PDO::FETCH_COLUMN, 0);		// all normal qbn from timeframe that are closed
							$res += count($qbn_ni_array);
						// reduce qbn list to those which are not implemented - part 2
							$qbn_array = array_diff($qbn_array, $qbn_ni_array);
						// get qbn not closed yet - inverse logic
							$qbn_string = "'".implode("', '", $qbn_array)."'";
							$query = "
								SELECT 
									QBN
								FROM 
									qb_close 
								WHERE
									QBN IN (".$qbn_string.")
							";
							$stmt = $db->query($query);
							$qbn_nc_array = $stmt->fetchAll(PDO::FETCH_COLUMN, 0);		// all normal qbn from timeframe that are closed
							$qbn_nc_array = array_diff($qbn_array, $qbn_nc_array);
							$res += count($qbn_nc_array);
							$qbn_array = array_diff($qbn_array, $qbn_nc_array);
						// get qbn not closed yet - part 2, those which have CL_DATE='0000-00-00'
							$qbn_string = "'".implode("', '", $qbn_array)."'";
							$query = "
								SELECT 
									QBN
								FROM 
									qb_close 
								WHERE
									QBN IN (".$qbn_string.") AND
									CL_DATE = '0000-00-00'
							";
							$stmt = $db->query($query);
							$qbn_nc_array = $stmt->fetchAll(PDO::FETCH_COLUMN, 0);		// all normal qbn from timeframe that are closed
							$res += count($qbn_nc_array);
							$qbn_array = array_diff($qbn_array, $qbn_nc_array);
					// qbn_array now contains all qbn from daterange which might have been open		
							$qbn_string = "'".implode("', '", $qbn_array)."'";
							$query = "
								SELECT 
									COUNT(*)
								FROM 
									qb_close
								WHERE
									QBN IN (".$qbn_string.") AND
									CL_DATE>:edat
							";						
							$stmt = $db->prepare($query);
							$stmt->execute(array(':edat' => $ymde));			
							$res += $stmt->fetchColumn();
				// normal cases are done now, continue with QB light
						// get qbn not closed yet - inverse logic
							$qbl_string = "'".implode("', '", $qbl_array)."'";
							$query = "
								SELECT 
									QBN
								FROM 
									qb_close 
								WHERE
									QBN IN (".$qbl_string.")
							";
							$stmt = $db->query($query);
							$qbl_nc_array = $stmt->fetchAll(PDO::FETCH_COLUMN, 0);		// all normal qbn from timeframe that are closed
							$qbl_nc_array = array_diff($qbl_array, $qbl_nc_array);
							$res += count($qbl_nc_array);
							$qbl_array = array_diff($qbl_array, $qbl_nc_array);
						// get qbn not closed yet - part 2, those which have CL_DATE='0000-00-00'
							$qbl_string = "'".implode("', '", $qbl_array)."'";
							$query = "
								SELECT 
									QBN
								FROM 
									qb_close 
								WHERE
									QBN IN (".$qbl_string.") AND
									CL_DATE = '0000-00-00'
							";
							$stmt = $db->query($query);
							$qbl_nc_array = $stmt->fetchAll(PDO::FETCH_COLUMN, 0);		// all normal qbn from timeframe that are closed
							$res += count($qbl_nc_array);
							$qbl_array = array_diff($qbl_array, $qbl_nc_array);
					// qbl_array now contains all qbn from daterange which might have been open
							$qbl_string = "'".implode("', '", $qbl_array)."'";
							$query = "
								SELECT 
									COUNT(*)
								FROM 
									qb_close
								WHERE
									QBN IN (".$qbl_string.") AND
									CL_DATE>:edat
							";						
							$stmt = $db->prepare($query);
							$stmt->execute(array(':edat' => $ymde));			
							$res += $stmt->fetchColumn();					
							$o[] = $res;
							$aq--;
							if ($aq == 0) {
								$ay--;
								$aq = 4;
							}							
						}
						return json_encode(Array(array_reverse($d), array_reverse($n), array_reverse($c), array_reverse($o)));						
					}	
					break;
			}
		}		
	}
?>	